//
// openspin-pre.js
// 
// This is a wrapper function around the Emscripten generated code
// See hello-post.js for the tail end of this wrapper.
// See https://github.com/mdaines/viz.js/ for original inspiration about pre and post.
// 
openspin = function (moduleConf) {
    var Module = moduleConf;
//
// Emscripten generated code goes here...
//


// Note: Some Emscripten settings will significantly limit the speed of the generated code.
// Note: Some Emscripten settings may limit the speed of the generated code.
// The Module object: Our interface to the outside world. We import
// and export values on it, and do the work to get that through
// closure compiler if necessary. There are various ways Module can be used:
// 1. Not defined. We create it here
// 2. A function parameter, function(Module) { ..generated code.. }
// 3. pre-run appended it, var Module = {}; ..generated code..
// 4. External script tag defines var Module.
// We need to do an eval in order to handle the closure compiler
// case, where this code here is minified but Module was defined
// elsewhere (e.g. case 4 above). We also need to check if Module
// already exists (e.g. case 3 above).
// Note that if you want to run closure, and also to use Module
// after the generated code, you will need to define   var Module = {};
// before the code. Then that object will be used in the code, and you
// can continue to use Module afterwards as well.
var Module;
if (!Module) Module = eval('(function() { try { return Module || {} } catch(e) { return {} } })()');

// Sometimes an existing Module object exists with properties
// meant to overwrite the default module functionality. Here
// we collect those properties and reapply _after_ we configure
// the current environment's defaults to avoid having to be so
// defensive during initialization.
var moduleOverrides = {};
for (var key in Module) {
  if (Module.hasOwnProperty(key)) {
    moduleOverrides[key] = Module[key];
  }
}

// The environment setup code below is customized to use Module.
// *** Environment setup code ***
var ENVIRONMENT_IS_NODE = typeof process === 'object' && typeof require === 'function';
var ENVIRONMENT_IS_WEB = typeof window === 'object';
var ENVIRONMENT_IS_WORKER = typeof importScripts === 'function';
var ENVIRONMENT_IS_SHELL = !ENVIRONMENT_IS_WEB && !ENVIRONMENT_IS_NODE && !ENVIRONMENT_IS_WORKER;

if (ENVIRONMENT_IS_NODE) {
  // Expose functionality in the same simple way that the shells work
  // Note that we pollute the global namespace here, otherwise we break in node
  if (!Module['print']) Module['print'] = function print(x) {
    process['stdout'].write(x + '\n');
  };
  if (!Module['printErr']) Module['printErr'] = function printErr(x) {
    process['stderr'].write(x + '\n');
  };

  var nodeFS = require('fs');
  var nodePath = require('path');

  Module['read'] = function read(filename, binary) {
    filename = nodePath['normalize'](filename);
    var ret = nodeFS['readFileSync'](filename);
    // The path is absolute if the normalized version is the same as the resolved.
    if (!ret && filename != nodePath['resolve'](filename)) {
      filename = path.join(__dirname, '..', 'src', filename);
      ret = nodeFS['readFileSync'](filename);
    }
    if (ret && !binary) ret = ret.toString();
    return ret;
  };

  Module['readBinary'] = function readBinary(filename) { return Module['read'](filename, true) };

  Module['load'] = function load(f) {
    globalEval(read(f));
  };

  Module['arguments'] = process['argv'].slice(2);

  module['exports'] = Module;
}
else if (ENVIRONMENT_IS_SHELL) {
  if (!Module['print']) Module['print'] = print;
  if (typeof printErr != 'undefined') Module['printErr'] = printErr; // not present in v8 or older sm

  if (typeof read != 'undefined') {
    Module['read'] = read;
  } else {
    Module['read'] = function read() { throw 'no read() available (jsc?)' };
  }

  Module['readBinary'] = function readBinary(f) {
    return read(f, 'binary');
  };

  if (typeof scriptArgs != 'undefined') {
    Module['arguments'] = scriptArgs;
  } else if (typeof arguments != 'undefined') {
    Module['arguments'] = arguments;
  }

  this['Module'] = Module;

  eval("if (typeof gc === 'function' && gc.toString().indexOf('[native code]') > 0) var gc = undefined"); // wipe out the SpiderMonkey shell 'gc' function, which can confuse closure (uses it as a minified name, and it is then initted to a non-falsey value unexpectedly)
}
else if (ENVIRONMENT_IS_WEB || ENVIRONMENT_IS_WORKER) {
  Module['read'] = function read(url) {
    var xhr = new XMLHttpRequest();
    xhr.open('GET', url, false);
    xhr.send(null);
    return xhr.responseText;
  };

  if (typeof arguments != 'undefined') {
    Module['arguments'] = arguments;
  }

  if (typeof console !== 'undefined') {
    if (!Module['print']) Module['print'] = function print(x) {
      console.log(x);
    };
    if (!Module['printErr']) Module['printErr'] = function printErr(x) {
      console.log(x);
    };
  } else {
    // Probably a worker, and without console.log. We can do very little here...
    var TRY_USE_DUMP = false;
    if (!Module['print']) Module['print'] = (TRY_USE_DUMP && (typeof(dump) !== "undefined") ? (function(x) {
      dump(x);
    }) : (function(x) {
      // self.postMessage(x); // enable this if you want stdout to be sent as messages
    }));
  }

  if (ENVIRONMENT_IS_WEB) {
    this['Module'] = Module;
  } else {
    Module['load'] = importScripts;
  }
}
else {
  // Unreachable because SHELL is dependant on the others
  throw 'Unknown runtime environment. Where are we?';
}

function globalEval(x) {
  eval.call(null, x);
}
if (!Module['load'] == 'undefined' && Module['read']) {
  Module['load'] = function load(f) {
    globalEval(Module['read'](f));
  };
}
if (!Module['print']) {
  Module['print'] = function(){};
}
if (!Module['printErr']) {
  Module['printErr'] = Module['print'];
}
if (!Module['arguments']) {
  Module['arguments'] = [];
}
// *** Environment setup code ***

// Closure helpers
Module.print = Module['print'];
Module.printErr = Module['printErr'];

// Callbacks
Module['preRun'] = [];
Module['postRun'] = [];

// Merge back in the overrides
for (var key in moduleOverrides) {
  if (moduleOverrides.hasOwnProperty(key)) {
    Module[key] = moduleOverrides[key];
  }
}



// === Auto-generated preamble library stuff ===

//========================================
// Runtime code shared with compiler
//========================================

var Runtime = {
  stackSave: function () {
    return STACKTOP;
  },
  stackRestore: function (stackTop) {
    STACKTOP = stackTop;
  },
  forceAlign: function (target, quantum) {
    quantum = quantum || 4;
    if (quantum == 1) return target;
    if (isNumber(target) && isNumber(quantum)) {
      return Math.ceil(target/quantum)*quantum;
    } else if (isNumber(quantum) && isPowerOfTwo(quantum)) {
      return '(((' +target + ')+' + (quantum-1) + ')&' + -quantum + ')';
    }
    return 'Math.ceil((' + target + ')/' + quantum + ')*' + quantum;
  },
  isNumberType: function (type) {
    return type in Runtime.INT_TYPES || type in Runtime.FLOAT_TYPES;
  },
  isPointerType: function isPointerType(type) {
  return type[type.length-1] == '*';
},
  isStructType: function isStructType(type) {
  if (isPointerType(type)) return false;
  if (isArrayType(type)) return true;
  if (/<?{ ?[^}]* ?}>?/.test(type)) return true; // { i32, i8 } etc. - anonymous struct types
  // See comment in isStructPointerType()
  return type[0] == '%';
},
  INT_TYPES: {"i1":0,"i8":0,"i16":0,"i32":0,"i64":0},
  FLOAT_TYPES: {"float":0,"double":0},
  or64: function (x, y) {
    var l = (x | 0) | (y | 0);
    var h = (Math.round(x / 4294967296) | Math.round(y / 4294967296)) * 4294967296;
    return l + h;
  },
  and64: function (x, y) {
    var l = (x | 0) & (y | 0);
    var h = (Math.round(x / 4294967296) & Math.round(y / 4294967296)) * 4294967296;
    return l + h;
  },
  xor64: function (x, y) {
    var l = (x | 0) ^ (y | 0);
    var h = (Math.round(x / 4294967296) ^ Math.round(y / 4294967296)) * 4294967296;
    return l + h;
  },
  getNativeTypeSize: function (type) {
    switch (type) {
      case 'i1': case 'i8': return 1;
      case 'i16': return 2;
      case 'i32': return 4;
      case 'i64': return 8;
      case 'float': return 4;
      case 'double': return 8;
      default: {
        if (type[type.length-1] === '*') {
          return Runtime.QUANTUM_SIZE; // A pointer
        } else if (type[0] === 'i') {
          var bits = parseInt(type.substr(1));
          assert(bits % 8 === 0);
          return bits/8;
        } else {
          return 0;
        }
      }
    }
  },
  getNativeFieldSize: function (type) {
    return Math.max(Runtime.getNativeTypeSize(type), Runtime.QUANTUM_SIZE);
  },
  dedup: function dedup(items, ident) {
  var seen = {};
  if (ident) {
    return items.filter(function(item) {
      if (seen[item[ident]]) return false;
      seen[item[ident]] = true;
      return true;
    });
  } else {
    return items.filter(function(item) {
      if (seen[item]) return false;
      seen[item] = true;
      return true;
    });
  }
},
  set: function set() {
  var args = typeof arguments[0] === 'object' ? arguments[0] : arguments;
  var ret = {};
  for (var i = 0; i < args.length; i++) {
    ret[args[i]] = 0;
  }
  return ret;
},
  STACK_ALIGN: 8,
  getAlignSize: function (type, size, vararg) {
    // we align i64s and doubles on 64-bit boundaries, unlike x86
    if (vararg) return 8;
    if (!vararg && (type == 'i64' || type == 'double')) return 8;
    if (!type) return Math.min(size, 8); // align structures internally to 64 bits
    return Math.min(size || (type ? Runtime.getNativeFieldSize(type) : 0), Runtime.QUANTUM_SIZE);
  },
  calculateStructAlignment: function calculateStructAlignment(type) {
    type.flatSize = 0;
    type.alignSize = 0;
    var diffs = [];
    var prev = -1;
    var index = 0;
    type.flatIndexes = type.fields.map(function(field) {
      index++;
      var size, alignSize;
      if (Runtime.isNumberType(field) || Runtime.isPointerType(field)) {
        size = Runtime.getNativeTypeSize(field); // pack char; char; in structs, also char[X]s.
        alignSize = Runtime.getAlignSize(field, size);
      } else if (Runtime.isStructType(field)) {
        if (field[1] === '0') {
          // this is [0 x something]. When inside another structure like here, it must be at the end,
          // and it adds no size
          // XXX this happens in java-nbody for example... assert(index === type.fields.length, 'zero-length in the middle!');
          size = 0;
          if (Types.types[field]) {
            alignSize = Runtime.getAlignSize(null, Types.types[field].alignSize);
          } else {
            alignSize = type.alignSize || QUANTUM_SIZE;
          }
        } else {
          size = Types.types[field].flatSize;
          alignSize = Runtime.getAlignSize(null, Types.types[field].alignSize);
        }
      } else if (field[0] == 'b') {
        // bN, large number field, like a [N x i8]
        size = field.substr(1)|0;
        alignSize = 1;
      } else if (field[0] === '<') {
        // vector type
        size = alignSize = Types.types[field].flatSize; // fully aligned
      } else if (field[0] === 'i') {
        // illegal integer field, that could not be legalized because it is an internal structure field
        // it is ok to have such fields, if we just use them as markers of field size and nothing more complex
        size = alignSize = parseInt(field.substr(1))/8;
        assert(size % 1 === 0, 'cannot handle non-byte-size field ' + field);
      } else {
        assert(false, 'invalid type for calculateStructAlignment');
      }
      if (type.packed) alignSize = 1;
      type.alignSize = Math.max(type.alignSize, alignSize);
      var curr = Runtime.alignMemory(type.flatSize, alignSize); // if necessary, place this on aligned memory
      type.flatSize = curr + size;
      if (prev >= 0) {
        diffs.push(curr-prev);
      }
      prev = curr;
      return curr;
    });
    if (type.name_ && type.name_[0] === '[') {
      // arrays have 2 elements, so we get the proper difference. then we scale here. that way we avoid
      // allocating a potentially huge array for [999999 x i8] etc.
      type.flatSize = parseInt(type.name_.substr(1))*type.flatSize/2;
    }
    type.flatSize = Runtime.alignMemory(type.flatSize, type.alignSize);
    if (diffs.length == 0) {
      type.flatFactor = type.flatSize;
    } else if (Runtime.dedup(diffs).length == 1) {
      type.flatFactor = diffs[0];
    }
    type.needsFlattening = (type.flatFactor != 1);
    return type.flatIndexes;
  },
  generateStructInfo: function (struct, typeName, offset) {
    var type, alignment;
    if (typeName) {
      offset = offset || 0;
      type = (typeof Types === 'undefined' ? Runtime.typeInfo : Types.types)[typeName];
      if (!type) return null;
      if (type.fields.length != struct.length) {
        printErr('Number of named fields must match the type for ' + typeName + ': possibly duplicate struct names. Cannot return structInfo');
        return null;
      }
      alignment = type.flatIndexes;
    } else {
      var type = { fields: struct.map(function(item) { return item[0] }) };
      alignment = Runtime.calculateStructAlignment(type);
    }
    var ret = {
      __size__: type.flatSize
    };
    if (typeName) {
      struct.forEach(function(item, i) {
        if (typeof item === 'string') {
          ret[item] = alignment[i] + offset;
        } else {
          // embedded struct
          var key;
          for (var k in item) key = k;
          ret[key] = Runtime.generateStructInfo(item[key], type.fields[i], alignment[i]);
        }
      });
    } else {
      struct.forEach(function(item, i) {
        ret[item[1]] = alignment[i];
      });
    }
    return ret;
  },
  dynCall: function (sig, ptr, args) {
    if (args && args.length) {
      assert(args.length == sig.length-1);
      return FUNCTION_TABLE[ptr].apply(null, args);
    } else {
      assert(sig.length == 1);
      return FUNCTION_TABLE[ptr]();
    }
  },
  addFunction: function (func) {
    var table = FUNCTION_TABLE;
    var ret = table.length;
    assert(ret % 2 === 0);
    table.push(func);
    for (var i = 0; i < 2-1; i++) table.push(0);
    return ret;
  },
  removeFunction: function (index) {
    var table = FUNCTION_TABLE;
    table[index] = null;
  },
  getAsmConst: function (code, numArgs) {
    // code is a constant string on the heap, so we can cache these
    if (!Runtime.asmConstCache) Runtime.asmConstCache = {};
    var func = Runtime.asmConstCache[code];
    if (func) return func;
    var args = [];
    for (var i = 0; i < numArgs; i++) {
      args.push(String.fromCharCode(36) + i); // $0, $1 etc
    }
    code = Pointer_stringify(code);
    if (code[0] === '"') {
      // tolerate EM_ASM("..code..") even though EM_ASM(..code..) is correct
      if (code.indexOf('"', 1) === code.length-1) {
        code = code.substr(1, code.length-2);
      } else {
        // something invalid happened, e.g. EM_ASM("..code($0)..", input)
        abort('invalid EM_ASM input |' + code + '|. Please use EM_ASM(..code..) (no quotes) or EM_ASM({ ..code($0).. }, input) (to input values)');
      }
    }
    return Runtime.asmConstCache[code] = eval('(function(' + args.join(',') + '){ ' + code + ' })'); // new Function does not allow upvars in node
  },
  warnOnce: function (text) {
    if (!Runtime.warnOnce.shown) Runtime.warnOnce.shown = {};
    if (!Runtime.warnOnce.shown[text]) {
      Runtime.warnOnce.shown[text] = 1;
      Module.printErr(text);
    }
  },
  funcWrappers: {},
  getFuncWrapper: function (func, sig) {
    assert(sig);
    if (!Runtime.funcWrappers[func]) {
      Runtime.funcWrappers[func] = function dynCall_wrapper() {
        return Runtime.dynCall(sig, func, arguments);
      };
    }
    return Runtime.funcWrappers[func];
  },
  UTF8Processor: function () {
    var buffer = [];
    var needed = 0;
    this.processCChar = function (code) {
      code = code & 0xFF;

      if (buffer.length == 0) {
        if ((code & 0x80) == 0x00) {        // 0xxxxxxx
          return String.fromCharCode(code);
        }
        buffer.push(code);
        if ((code & 0xE0) == 0xC0) {        // 110xxxxx
          needed = 1;
        } else if ((code & 0xF0) == 0xE0) { // 1110xxxx
          needed = 2;
        } else {                            // 11110xxx
          needed = 3;
        }
        return '';
      }

      if (needed) {
        buffer.push(code);
        needed--;
        if (needed > 0) return '';
      }

      var c1 = buffer[0];
      var c2 = buffer[1];
      var c3 = buffer[2];
      var c4 = buffer[3];
      var ret;
      if (buffer.length == 2) {
        ret = String.fromCharCode(((c1 & 0x1F) << 6)  | (c2 & 0x3F));
      } else if (buffer.length == 3) {
        ret = String.fromCharCode(((c1 & 0x0F) << 12) | ((c2 & 0x3F) << 6)  | (c3 & 0x3F));
      } else {
        // http://mathiasbynens.be/notes/javascript-encoding#surrogate-formulae
        var codePoint = ((c1 & 0x07) << 18) | ((c2 & 0x3F) << 12) |
                        ((c3 & 0x3F) << 6)  | (c4 & 0x3F);
        ret = String.fromCharCode(
          Math.floor((codePoint - 0x10000) / 0x400) + 0xD800,
          (codePoint - 0x10000) % 0x400 + 0xDC00);
      }
      buffer.length = 0;
      return ret;
    }
    this.processJSString = function processJSString(string) {
      string = unescape(encodeURIComponent(string));
      var ret = [];
      for (var i = 0; i < string.length; i++) {
        ret.push(string.charCodeAt(i));
      }
      return ret;
    }
  },
  stackAlloc: function (size) { var ret = STACKTOP;STACKTOP = (STACKTOP + size)|0;STACKTOP = (((STACKTOP)+7)&-8);(assert((STACKTOP|0) < (STACK_MAX|0))|0); return ret; },
  staticAlloc: function (size) { var ret = STATICTOP;STATICTOP = (STATICTOP + (assert(!staticSealed),size))|0;STATICTOP = (((STATICTOP)+7)&-8); return ret; },
  dynamicAlloc: function (size) { var ret = DYNAMICTOP;DYNAMICTOP = (DYNAMICTOP + (assert(DYNAMICTOP > 0),size))|0;DYNAMICTOP = (((DYNAMICTOP)+7)&-8); if (DYNAMICTOP >= TOTAL_MEMORY) enlargeMemory();; return ret; },
  alignMemory: function (size,quantum) { var ret = size = Math.ceil((size)/(quantum ? quantum : 8))*(quantum ? quantum : 8); return ret; },
  makeBigInt: function (low,high,unsigned) { var ret = (unsigned ? ((low>>>0)+((high>>>0)*4294967296)) : ((low>>>0)+((high|0)*4294967296))); return ret; },
  GLOBAL_BASE: 8,
  QUANTUM_SIZE: 4,
  __dummy__: 0
}


Module['Runtime'] = Runtime;









//========================================
// Runtime essentials
//========================================

var __THREW__ = 0; // Used in checking for thrown exceptions.
var setjmpId = 1; // Used in setjmp/longjmp
var setjmpLabels = {};

var ABORT = false; // whether we are quitting the application. no code should run after this. set in exit() and abort()
var EXITSTATUS = 0;

var undef = 0;
// tempInt is used for 32-bit signed values or smaller. tempBigInt is used
// for 32-bit unsigned values or more than 32 bits. TODO: audit all uses of tempInt
var tempValue, tempInt, tempBigInt, tempInt2, tempBigInt2, tempPair, tempBigIntI, tempBigIntR, tempBigIntS, tempBigIntP, tempBigIntD, tempDouble, tempFloat;
var tempI64, tempI64b;
var tempRet0, tempRet1, tempRet2, tempRet3, tempRet4, tempRet5, tempRet6, tempRet7, tempRet8, tempRet9;

function assert(condition, text) {
  if (!condition) {
    abort('Assertion failed: ' + text);
  }
}

var globalScope = this;

// C calling interface. A convenient way to call C functions (in C files, or
// defined with extern "C").
//
// Note: LLVM optimizations can inline and remove functions, after which you will not be
//       able to call them. Closure can also do so. To avoid that, add your function to
//       the exports using something like
//
//         -s EXPORTED_FUNCTIONS='["_main", "_myfunc"]'
//
// @param ident      The name of the C function (note that C++ functions will be name-mangled - use extern "C")
// @param returnType The return type of the function, one of the JS types 'number', 'string' or 'array' (use 'number' for any C pointer, and
//                   'array' for JavaScript arrays and typed arrays; note that arrays are 8-bit).
// @param argTypes   An array of the types of arguments for the function (if there are no arguments, this can be ommitted). Types are as in returnType,
//                   except that 'array' is not possible (there is no way for us to know the length of the array)
// @param args       An array of the arguments to the function, as native JS values (as in returnType)
//                   Note that string arguments will be stored on the stack (the JS string will become a C string on the stack).
// @return           The return value, as a native JS value (as in returnType)
function ccall(ident, returnType, argTypes, args) {
  return ccallFunc(getCFunc(ident), returnType, argTypes, args);
}
Module["ccall"] = ccall;

// Returns the C function with a specified identifier (for C++, you need to do manual name mangling)
function getCFunc(ident) {
  try {
    var func = Module['_' + ident]; // closure exported function
    if (!func) func = eval('_' + ident); // explicit lookup
  } catch(e) {
  }
  assert(func, 'Cannot call unknown function ' + ident + ' (perhaps LLVM optimizations or closure removed it?)');
  return func;
}

// Internal function that does a C call using a function, not an identifier
function ccallFunc(func, returnType, argTypes, args) {
  var stack = 0;
  function toC(value, type) {
    if (type == 'string') {
      if (value === null || value === undefined || value === 0) return 0; // null string
      value = intArrayFromString(value);
      type = 'array';
    }
    if (type == 'array') {
      if (!stack) stack = Runtime.stackSave();
      var ret = Runtime.stackAlloc(value.length);
      writeArrayToMemory(value, ret);
      return ret;
    }
    return value;
  }
  function fromC(value, type) {
    if (type == 'string') {
      return Pointer_stringify(value);
    }
    assert(type != 'array');
    return value;
  }
  var i = 0;
  var cArgs = args ? args.map(function(arg) {
    return toC(arg, argTypes[i++]);
  }) : [];
  var ret = fromC(func.apply(null, cArgs), returnType);
  if (stack) Runtime.stackRestore(stack);
  return ret;
}

// Returns a native JS wrapper for a C function. This is similar to ccall, but
// returns a function you can call repeatedly in a normal way. For example:
//
//   var my_function = cwrap('my_c_function', 'number', ['number', 'number']);
//   alert(my_function(5, 22));
//   alert(my_function(99, 12));
//
function cwrap(ident, returnType, argTypes) {
  var func = getCFunc(ident);
  return function() {
    return ccallFunc(func, returnType, argTypes, Array.prototype.slice.call(arguments));
  }
}
Module["cwrap"] = cwrap;

// Sets a value in memory in a dynamic way at run-time. Uses the
// type data. This is the same as makeSetValue, except that
// makeSetValue is done at compile-time and generates the needed
// code then, whereas this function picks the right code at
// run-time.
// Note that setValue and getValue only do *aligned* writes and reads!
// Note that ccall uses JS types as for defining types, while setValue and
// getValue need LLVM types ('i8', 'i32') - this is a lower-level operation
function setValue(ptr, value, type, noSafe) {
  type = type || 'i8';
  if (type.charAt(type.length-1) === '*') type = 'i32'; // pointers are 32-bit
    switch(type) {
      case 'i1': HEAP8[(ptr)]=value; break;
      case 'i8': HEAP8[(ptr)]=value; break;
      case 'i16': tempBigInt=value;HEAP8[(ptr)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((ptr)+(1))|0)]=tempBigInt&0xff; break;
      case 'i32': tempBigInt=value;HEAP8[(ptr)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((ptr)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((ptr)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((ptr)+(3))|0)]=tempBigInt&0xff; break;
      case 'i64': (tempI64 = [value>>>0,(tempDouble=value,Math_abs(tempDouble) >= 1 ? (tempDouble > 0 ? Math_min(Math_floor((tempDouble)/4294967296), 4294967295)>>>0 : (~~(Math_ceil((tempDouble - +(((~~(tempDouble)))>>>0))/4294967296)))>>>0) : 0)],tempBigInt=tempI64[0],HEAP8[(ptr)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((ptr)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((ptr)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((ptr)+(3))|0)]=tempBigInt&0xff,tempBigInt=tempI64[1],HEAP8[(((ptr)+(4))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((ptr)+(5))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((ptr)+(6))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((ptr)+(7))|0)]=tempBigInt&0xff); break;
      case 'float': HEAPF32[((tempDoublePtr)>>2)]=value;HEAP8[(ptr)]=HEAP8[(tempDoublePtr)];HEAP8[(((ptr)+(1))|0)]=HEAP8[(((tempDoublePtr)+(1))|0)];HEAP8[(((ptr)+(2))|0)]=HEAP8[(((tempDoublePtr)+(2))|0)];HEAP8[(((ptr)+(3))|0)]=HEAP8[(((tempDoublePtr)+(3))|0)]; break;
      case 'double': (HEAPF64[(tempDoublePtr)>>3]=value,tempBigInt=HEAP32[((tempDoublePtr)>>2)],HEAP8[(ptr)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((ptr)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((ptr)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((ptr)+(3))|0)]=tempBigInt&0xff,tempBigInt=HEAP32[(((tempDoublePtr)+(4))>>2)],HEAP8[(((ptr)+(4))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((ptr)+(5))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((ptr)+(6))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((ptr)+(7))|0)]=tempBigInt&0xff); break;
      default: abort('invalid type for setValue: ' + type);
    }
}
Module['setValue'] = setValue;

// Parallel to setValue.
function getValue(ptr, type, noSafe) {
  type = type || 'i8';
  if (type.charAt(type.length-1) === '*') type = 'i32'; // pointers are 32-bit
    switch(type) {
      case 'i1': return HEAP8[(ptr)];
      case 'i8': return HEAP8[(ptr)];
      case 'i16': return (((((HEAPU8[(ptr)])|(HEAPU8[(((ptr)+(1))|0)]<<8))<<16)>>16));
      case 'i32': return ((((HEAPU8[(ptr)])|(HEAPU8[(((ptr)+(1))|0)]<<8)|(HEAPU8[(((ptr)+(2))|0)]<<16)|(HEAPU8[(((ptr)+(3))|0)]<<24))|0));
      case 'i64': return ((HEAPU8[(ptr)])|(HEAPU8[(((ptr)+(1))|0)]<<8)|(HEAPU8[(((ptr)+(2))|0)]<<16)|(HEAPU8[(((ptr)+(3))|0)]<<24)|(HEAPU8[(((ptr)+(4))|0)]<<32)|(HEAPU8[(((ptr)+(5))|0)]<<40)|(HEAPU8[(((ptr)+(6))|0)]<<48)|(HEAPU8[(((ptr)+(7))|0)]<<56));
      case 'float': return (copyTempFloat(ptr),HEAPF32[((tempDoublePtr)>>2)]);
      case 'double': return (HEAP32[((tempDoublePtr)>>2)]=((((HEAPU8[(ptr)])|(HEAPU8[(((ptr)+(1))|0)]<<8)|(HEAPU8[(((ptr)+(2))|0)]<<16)|(HEAPU8[(((ptr)+(3))|0)]<<24))|0)),HEAP32[(((tempDoublePtr)+(4))>>2)]=((((HEAPU8[(((ptr)+(4))|0)])|(HEAPU8[(((ptr)+(5))|0)]<<8)|(HEAPU8[(((ptr)+(6))|0)]<<16)|(HEAPU8[(((ptr)+(7))|0)]<<24))|0)),HEAPF64[(tempDoublePtr)>>3]);
      default: abort('invalid type for setValue: ' + type);
    }
  return null;
}
Module['getValue'] = getValue;

var ALLOC_NORMAL = 0; // Tries to use _malloc()
var ALLOC_STACK = 1; // Lives for the duration of the current function call
var ALLOC_STATIC = 2; // Cannot be freed
var ALLOC_DYNAMIC = 3; // Cannot be freed except through sbrk
var ALLOC_NONE = 4; // Do not allocate
Module['ALLOC_NORMAL'] = ALLOC_NORMAL;
Module['ALLOC_STACK'] = ALLOC_STACK;
Module['ALLOC_STATIC'] = ALLOC_STATIC;
Module['ALLOC_DYNAMIC'] = ALLOC_DYNAMIC;
Module['ALLOC_NONE'] = ALLOC_NONE;

// allocate(): This is for internal use. You can use it yourself as well, but the interface
//             is a little tricky (see docs right below). The reason is that it is optimized
//             for multiple syntaxes to save space in generated code. So you should
//             normally not use allocate(), and instead allocate memory using _malloc(),
//             initialize it with setValue(), and so forth.
// @slab: An array of data, or a number. If a number, then the size of the block to allocate,
//        in *bytes* (note that this is sometimes confusing: the next parameter does not
//        affect this!)
// @types: Either an array of types, one for each byte (or 0 if no type at that position),
//         or a single type which is used for the entire block. This only matters if there
//         is initial data - if @slab is a number, then this does not matter at all and is
//         ignored.
// @allocator: How to allocate memory, see ALLOC_*
function allocate(slab, types, allocator, ptr) {
  var zeroinit, size;
  if (typeof slab === 'number') {
    zeroinit = true;
    size = slab;
  } else {
    zeroinit = false;
    size = slab.length;
  }

  var singleType = typeof types === 'string' ? types : null;

  var ret;
  if (allocator == ALLOC_NONE) {
    ret = ptr;
  } else {
    ret = [_malloc, Runtime.stackAlloc, Runtime.staticAlloc, Runtime.dynamicAlloc][allocator === undefined ? ALLOC_STATIC : allocator](Math.max(size, singleType ? 1 : types.length));
  }

  if (zeroinit) {
    var ptr = ret, stop;
    assert((ret & 3) == 0);
    stop = ret + (size & ~3);
    for (; ptr < stop; ptr += 4) {
      tempBigInt=0;HEAP8[(ptr)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((ptr)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((ptr)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((ptr)+(3))|0)]=tempBigInt&0xff;
    }
    stop = ret + size;
    while (ptr < stop) {
      HEAP8[((ptr++)|0)]=0;
    }
    return ret;
  }

  if (singleType === 'i8') {
    if (slab.subarray || slab.slice) {
      HEAPU8.set(slab, ret);
    } else {
      HEAPU8.set(new Uint8Array(slab), ret);
    }
    return ret;
  }

  var i = 0, type, typeSize, previousType;
  while (i < size) {
    var curr = slab[i];

    if (typeof curr === 'function') {
      curr = Runtime.getFunctionIndex(curr);
    }

    type = singleType || types[i];
    if (type === 0) {
      i++;
      continue;
    }
    assert(type, 'Must know what type to store in allocate!');

    if (type == 'i64') type = 'i32'; // special case: we have one i32 here, and one i32 later

    setValue(ret+i, curr, type);

    // no need to look up size unless type changes, so cache it
    if (previousType !== type) {
      typeSize = Runtime.getNativeTypeSize(type);
      previousType = type;
    }
    i += typeSize;
  }

  return ret;
}
Module['allocate'] = allocate;

function Pointer_stringify(ptr, /* optional */ length) {
  // TODO: use TextDecoder
  // Find the length, and check for UTF while doing so
  var hasUtf = false;
  var t;
  var i = 0;
  while (1) {
    assert(ptr + i < TOTAL_MEMORY);
    t = HEAPU8[(((ptr)+(i))|0)];
    if (t >= 128) hasUtf = true;
    else if (t == 0 && !length) break;
    i++;
    if (length && i == length) break;
  }
  if (!length) length = i;

  var ret = '';

  if (!hasUtf) {
    var MAX_CHUNK = 1024; // split up into chunks, because .apply on a huge string can overflow the stack
    var curr;
    while (length > 0) {
      curr = String.fromCharCode.apply(String, HEAPU8.subarray(ptr, ptr + Math.min(length, MAX_CHUNK)));
      ret = ret ? ret + curr : curr;
      ptr += MAX_CHUNK;
      length -= MAX_CHUNK;
    }
    return ret;
  }

  var utf8 = new Runtime.UTF8Processor();
  for (i = 0; i < length; i++) {
    assert(ptr + i < TOTAL_MEMORY);
    t = HEAPU8[(((ptr)+(i))|0)];
    ret += utf8.processCChar(t);
  }
  return ret;
}
Module['Pointer_stringify'] = Pointer_stringify;

// Given a pointer 'ptr' to a null-terminated UTF16LE-encoded string in the emscripten HEAP, returns
// a copy of that string as a Javascript String object.
function UTF16ToString(ptr) {
  var i = 0;

  var str = '';
  while (1) {
    var codeUnit = (((((HEAPU8[(((ptr)+(i*2))|0)])|(HEAPU8[(((ptr)+((i*2)+(1)))|0)]<<8))<<16)>>16));
    if (codeUnit == 0)
      return str;
    ++i;
    // fromCharCode constructs a character from a UTF-16 code unit, so we can pass the UTF16 string right through.
    str += String.fromCharCode(codeUnit);
  }
}
Module['UTF16ToString'] = UTF16ToString;

// Copies the given Javascript String object 'str' to the emscripten HEAP at address 'outPtr',
// null-terminated and encoded in UTF16LE form. The copy will require at most (str.length*2+1)*2 bytes of space in the HEAP.
function stringToUTF16(str, outPtr) {
  for(var i = 0; i < str.length; ++i) {
    // charCodeAt returns a UTF-16 encoded code unit, so it can be directly written to the HEAP.
    var codeUnit = str.charCodeAt(i); // possibly a lead surrogate
    tempBigInt=codeUnit;HEAP8[(((outPtr)+(i*2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((outPtr)+((i*2)+(1)))|0)]=tempBigInt&0xff;
  }
  // Null-terminate the pointer to the HEAP.
  tempBigInt=0;HEAP8[(((outPtr)+(str.length*2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((outPtr)+((str.length*2)+(1)))|0)]=tempBigInt&0xff;
}
Module['stringToUTF16'] = stringToUTF16;

// Given a pointer 'ptr' to a null-terminated UTF32LE-encoded string in the emscripten HEAP, returns
// a copy of that string as a Javascript String object.
function UTF32ToString(ptr) {
  var i = 0;

  var str = '';
  while (1) {
    var utf32 = ((((HEAPU8[(((ptr)+(i*4))|0)])|(HEAPU8[(((ptr)+((i*4)+(1)))|0)]<<8)|(HEAPU8[(((ptr)+((i*4)+(2)))|0)]<<16)|(HEAPU8[(((ptr)+((i*4)+(3)))|0)]<<24))|0));
    if (utf32 == 0)
      return str;
    ++i;
    // Gotcha: fromCharCode constructs a character from a UTF-16 encoded code (pair), not from a Unicode code point! So encode the code point to UTF-16 for constructing.
    if (utf32 >= 0x10000) {
      var ch = utf32 - 0x10000;
      str += String.fromCharCode(0xD800 | (ch >> 10), 0xDC00 | (ch & 0x3FF));
    } else {
      str += String.fromCharCode(utf32);
    }
  }
}
Module['UTF32ToString'] = UTF32ToString;

// Copies the given Javascript String object 'str' to the emscripten HEAP at address 'outPtr',
// null-terminated and encoded in UTF32LE form. The copy will require at most (str.length+1)*4 bytes of space in the HEAP,
// but can use less, since str.length does not return the number of characters in the string, but the number of UTF-16 code units in the string.
function stringToUTF32(str, outPtr) {
  var iChar = 0;
  for(var iCodeUnit = 0; iCodeUnit < str.length; ++iCodeUnit) {
    // Gotcha: charCodeAt returns a 16-bit word that is a UTF-16 encoded code unit, not a Unicode code point of the character! We must decode the string to UTF-32 to the heap.
    var codeUnit = str.charCodeAt(iCodeUnit); // possibly a lead surrogate
    if (codeUnit >= 0xD800 && codeUnit <= 0xDFFF) {
      var trailSurrogate = str.charCodeAt(++iCodeUnit);
      codeUnit = 0x10000 + ((codeUnit & 0x3FF) << 10) | (trailSurrogate & 0x3FF);
    }
    tempBigInt=codeUnit;HEAP8[(((outPtr)+(iChar*4))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((outPtr)+((iChar*4)+(1)))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((outPtr)+((iChar*4)+(2)))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((outPtr)+((iChar*4)+(3)))|0)]=tempBigInt&0xff;
    ++iChar;
  }
  // Null-terminate the pointer to the HEAP.
  tempBigInt=0;HEAP8[(((outPtr)+(iChar*4))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((outPtr)+((iChar*4)+(1)))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((outPtr)+((iChar*4)+(2)))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((outPtr)+((iChar*4)+(3)))|0)]=tempBigInt&0xff;
}
Module['stringToUTF32'] = stringToUTF32;

function demangle(func) {
  try {
    // Special-case the entry point, since its name differs from other name mangling.
    if (func == 'Object._main' || func == '_main') {
      return 'main()';
    }
    if (typeof func === 'number') func = Pointer_stringify(func);
    if (func[0] !== '_') return func;
    if (func[1] !== '_') return func; // C function
    if (func[2] !== 'Z') return func;
    switch (func[3]) {
      case 'n': return 'operator new()';
      case 'd': return 'operator delete()';
    }
    var i = 3;
    // params, etc.
    var basicTypes = {
      'v': 'void',
      'b': 'bool',
      'c': 'char',
      's': 'short',
      'i': 'int',
      'l': 'long',
      'f': 'float',
      'd': 'double',
      'w': 'wchar_t',
      'a': 'signed char',
      'h': 'unsigned char',
      't': 'unsigned short',
      'j': 'unsigned int',
      'm': 'unsigned long',
      'x': 'long long',
      'y': 'unsigned long long',
      'z': '...'
    };
    function dump(x) {
      //return;
      if (x) Module.print(x);
      Module.print(func);
      var pre = '';
      for (var a = 0; a < i; a++) pre += ' ';
      Module.print (pre + '^');
    }
    var subs = [];
    function parseNested() {
      i++;
      if (func[i] === 'K') i++; // ignore const
      var parts = [];
      while (func[i] !== 'E') {
        if (func[i] === 'S') { // substitution
          i++;
          var next = func.indexOf('_', i);
          var num = func.substring(i, next) || 0;
          parts.push(subs[num] || '?');
          i = next+1;
          continue;
        }
        if (func[i] === 'C') { // constructor
          parts.push(parts[parts.length-1]);
          i += 2;
          continue;
        }
        var size = parseInt(func.substr(i));
        var pre = size.toString().length;
        if (!size || !pre) { i--; break; } // counter i++ below us
        var curr = func.substr(i + pre, size);
        parts.push(curr);
        subs.push(curr);
        i += pre + size;
      }
      i++; // skip E
      return parts;
    }
    var first = true;
    function parse(rawList, limit, allowVoid) { // main parser
      limit = limit || Infinity;
      var ret = '', list = [];
      function flushList() {
        return '(' + list.join(', ') + ')';
      }
      var name;
      if (func[i] === 'N') {
        // namespaced N-E
        name = parseNested().join('::');
        limit--;
        if (limit === 0) return rawList ? [name] : name;
      } else {
        // not namespaced
        if (func[i] === 'K' || (first && func[i] === 'L')) i++; // ignore const and first 'L'
        var size = parseInt(func.substr(i));
        if (size) {
          var pre = size.toString().length;
          name = func.substr(i + pre, size);
          i += pre + size;
        }
      }
      first = false;
      if (func[i] === 'I') {
        i++;
        var iList = parse(true);
        var iRet = parse(true, 1, true);
        ret += iRet[0] + ' ' + name + '<' + iList.join(', ') + '>';
      } else {
        ret = name;
      }
      paramLoop: while (i < func.length && limit-- > 0) {
        //dump('paramLoop');
        var c = func[i++];
        if (c in basicTypes) {
          list.push(basicTypes[c]);
        } else {
          switch (c) {
            case 'P': list.push(parse(true, 1, true)[0] + '*'); break; // pointer
            case 'R': list.push(parse(true, 1, true)[0] + '&'); break; // reference
            case 'L': { // literal
              i++; // skip basic type
              var end = func.indexOf('E', i);
              var size = end - i;
              list.push(func.substr(i, size));
              i += size + 2; // size + 'EE'
              break;
            }
            case 'A': { // array
              var size = parseInt(func.substr(i));
              i += size.toString().length;
              if (func[i] !== '_') throw '?';
              i++; // skip _
              list.push(parse(true, 1, true)[0] + ' [' + size + ']');
              break;
            }
            case 'E': break paramLoop;
            default: ret += '?' + c; break paramLoop;
          }
        }
      }
      if (!allowVoid && list.length === 1 && list[0] === 'void') list = []; // avoid (void)
      return rawList ? list : ret + flushList();
    }
    return parse();
  } catch(e) {
    return func;
  }
}

function demangleAll(text) {
  return text.replace(/__Z[\w\d_]+/g, function(x) { var y = demangle(x); return x === y ? x : (x + ' [' + y + ']') });
}

function stackTrace() {
  var stack = new Error().stack;
  return stack ? demangleAll(stack) : '(no stack trace available)'; // Stack trace is not available at least on IE10 and Safari 6.
}

// Memory management

var PAGE_SIZE = 4096;
function alignMemoryPage(x) {
  return (x+4095)&-4096;
}

var HEAP;
var HEAP8, HEAPU8, HEAP16, HEAPU16, HEAP32, HEAPU32, HEAPF32, HEAPF64;

var STATIC_BASE = 0, STATICTOP = 0, staticSealed = false; // static area
var STACK_BASE = 0, STACKTOP = 0, STACK_MAX = 0; // stack area
var DYNAMIC_BASE = 0, DYNAMICTOP = 0; // dynamic area handled by sbrk

function enlargeMemory() {
  abort('Cannot enlarge memory arrays. Either (1) compile with -s TOTAL_MEMORY=X with X higher than the current value ' + TOTAL_MEMORY + ', (2) compile with ALLOW_MEMORY_GROWTH which adjusts the size at runtime but prevents some optimizations, or (3) set Module.TOTAL_MEMORY before the program runs.');
}

var TOTAL_STACK = Module['TOTAL_STACK'] || 5242880;
var TOTAL_MEMORY = Module['TOTAL_MEMORY'] || 134217728;
var FAST_MEMORY = Module['FAST_MEMORY'] || 2097152;


// Initialize the runtime's memory
// check for full engine support (use string 'subarray' to avoid closure compiler confusion)
assert(typeof Int32Array !== 'undefined' && typeof Float64Array !== 'undefined' && !!(new Int32Array(1)['subarray']) && !!(new Int32Array(1)['set']),
       'Cannot fallback to non-typed array case: Code is too specialized');

var buffer = new ArrayBuffer(TOTAL_MEMORY);
HEAP8 = new Int8Array(buffer);
HEAP16 = new Int16Array(buffer);
HEAP32 = new Int32Array(buffer);
HEAPU8 = new Uint8Array(buffer);
HEAPU16 = new Uint16Array(buffer);
HEAPU32 = new Uint32Array(buffer);
HEAPF32 = new Float32Array(buffer);
HEAPF64 = new Float64Array(buffer);

// Endianness check (note: assumes compiler arch was little-endian)
HEAP32[0] = 255;
assert(HEAPU8[0] === 255 && HEAPU8[3] === 0, 'Typed arrays 2 must be run on a little-endian system');

Module['HEAP'] = HEAP;
Module['HEAP8'] = HEAP8;
Module['HEAP16'] = HEAP16;
Module['HEAP32'] = HEAP32;
Module['HEAPU8'] = HEAPU8;
Module['HEAPU16'] = HEAPU16;
Module['HEAPU32'] = HEAPU32;
Module['HEAPF32'] = HEAPF32;
Module['HEAPF64'] = HEAPF64;

function callRuntimeCallbacks(callbacks) {
  while(callbacks.length > 0) {
    var callback = callbacks.shift();
    if (typeof callback == 'function') {
      callback();
      continue;
    }
    var func = callback.func;
    if (typeof func === 'number') {
      if (callback.arg === undefined) {
        Runtime.dynCall('v', func);
      } else {
        Runtime.dynCall('vi', func, [callback.arg]);
      }
    } else {
      func(callback.arg === undefined ? null : callback.arg);
    }
  }
}

var __ATPRERUN__  = []; // functions called before the runtime is initialized
var __ATINIT__    = []; // functions called during startup
var __ATMAIN__    = []; // functions called when main() is to be run
var __ATEXIT__    = []; // functions called during shutdown
var __ATPOSTRUN__ = []; // functions called after the runtime has exited

var runtimeInitialized = false;

function preRun() {
  // compatibility - merge in anything from Module['preRun'] at this time
  if (Module['preRun']) {
    if (typeof Module['preRun'] == 'function') Module['preRun'] = [Module['preRun']];
    while (Module['preRun'].length) {
      addOnPreRun(Module['preRun'].shift());
    }
  }
  callRuntimeCallbacks(__ATPRERUN__);
}

function ensureInitRuntime() {
  if (runtimeInitialized) return;
  runtimeInitialized = true;
  callRuntimeCallbacks(__ATINIT__);
}

function preMain() {
  callRuntimeCallbacks(__ATMAIN__);
}

function exitRuntime() {
  callRuntimeCallbacks(__ATEXIT__);
}

function postRun() {
  // compatibility - merge in anything from Module['postRun'] at this time
  if (Module['postRun']) {
    if (typeof Module['postRun'] == 'function') Module['postRun'] = [Module['postRun']];
    while (Module['postRun'].length) {
      addOnPostRun(Module['postRun'].shift());
    }
  }
  callRuntimeCallbacks(__ATPOSTRUN__);
}

function addOnPreRun(cb) {
  __ATPRERUN__.unshift(cb);
}
Module['addOnPreRun'] = Module.addOnPreRun = addOnPreRun;

function addOnInit(cb) {
  __ATINIT__.unshift(cb);
}
Module['addOnInit'] = Module.addOnInit = addOnInit;

function addOnPreMain(cb) {
  __ATMAIN__.unshift(cb);
}
Module['addOnPreMain'] = Module.addOnPreMain = addOnPreMain;

function addOnExit(cb) {
  __ATEXIT__.unshift(cb);
}
Module['addOnExit'] = Module.addOnExit = addOnExit;

function addOnPostRun(cb) {
  __ATPOSTRUN__.unshift(cb);
}
Module['addOnPostRun'] = Module.addOnPostRun = addOnPostRun;

// Tools

// This processes a JS string into a C-line array of numbers, 0-terminated.
// For LLVM-originating strings, see parser.js:parseLLVMString function
function intArrayFromString(stringy, dontAddNull, length /* optional */) {
  var ret = (new Runtime.UTF8Processor()).processJSString(stringy);
  if (length) {
    ret.length = length;
  }
  if (!dontAddNull) {
    ret.push(0);
  }
  return ret;
}
Module['intArrayFromString'] = intArrayFromString;

function intArrayToString(array) {
  var ret = [];
  for (var i = 0; i < array.length; i++) {
    var chr = array[i];
    if (chr > 0xFF) {
        assert(false, 'Character code ' + chr + ' (' + String.fromCharCode(chr) + ')  at offset ' + i + ' not in 0x00-0xFF.');
      chr &= 0xFF;
    }
    ret.push(String.fromCharCode(chr));
  }
  return ret.join('');
}
Module['intArrayToString'] = intArrayToString;

// Write a Javascript array to somewhere in the heap
function writeStringToMemory(string, buffer, dontAddNull) {
  var array = intArrayFromString(string, dontAddNull);
  var i = 0;
  while (i < array.length) {
    var chr = array[i];
    HEAP8[(((buffer)+(i))|0)]=chr;
    i = i + 1;
  }
}
Module['writeStringToMemory'] = writeStringToMemory;

function writeArrayToMemory(array, buffer) {
  for (var i = 0; i < array.length; i++) {
    HEAP8[(((buffer)+(i))|0)]=array[i];
  }
}
Module['writeArrayToMemory'] = writeArrayToMemory;

function writeAsciiToMemory(str, buffer, dontAddNull) {
  for (var i = 0; i < str.length; i++) {
    assert(str.charCodeAt(i) === str.charCodeAt(i)&0xff);
    HEAP8[(((buffer)+(i))|0)]=str.charCodeAt(i);
  }
  if (!dontAddNull) HEAP8[(((buffer)+(str.length))|0)]=0;
}
Module['writeAsciiToMemory'] = writeAsciiToMemory;

function unSign(value, bits, ignore, sig) {
  if (value >= 0) {
    return value;
  }
  return bits <= 32 ? 2*Math.abs(1 << (bits-1)) + value // Need some trickery, since if bits == 32, we are right at the limit of the bits JS uses in bitshifts
                    : Math.pow(2, bits)         + value;
}
function reSign(value, bits, ignore, sig) {
  if (value <= 0) {
    return value;
  }
  var half = bits <= 32 ? Math.abs(1 << (bits-1)) // abs is needed if bits == 32
                        : Math.pow(2, bits-1);
  if (value >= half && (bits <= 32 || value > half)) { // for huge values, we can hit the precision limit and always get true here. so don't do that
                                                       // but, in general there is no perfect solution here. With 64-bit ints, we get rounding and errors
                                                       // TODO: In i64 mode 1, resign the two parts separately and safely
    value = -2*half + value; // Cannot bitshift half, as it may be at the limit of the bits JS uses in bitshifts
  }
  return value;
}

// check for imul support, and also for correctness ( https://bugs.webkit.org/show_bug.cgi?id=126345 )
if (!Math['imul'] || Math['imul'](0xffffffff, 5) !== -5) Math['imul'] = function imul(a, b) {
  var ah  = a >>> 16;
  var al = a & 0xffff;
  var bh  = b >>> 16;
  var bl = b & 0xffff;
  return (al*bl + ((ah*bl + al*bh) << 16))|0;
};
Math.imul = Math['imul'];


var Math_abs = Math.abs;
var Math_cos = Math.cos;
var Math_sin = Math.sin;
var Math_tan = Math.tan;
var Math_acos = Math.acos;
var Math_asin = Math.asin;
var Math_atan = Math.atan;
var Math_atan2 = Math.atan2;
var Math_exp = Math.exp;
var Math_log = Math.log;
var Math_sqrt = Math.sqrt;
var Math_ceil = Math.ceil;
var Math_floor = Math.floor;
var Math_pow = Math.pow;
var Math_imul = Math.imul;
var Math_fround = Math.fround;
var Math_min = Math.min;

// A counter of dependencies for calling run(). If we need to
// do asynchronous work before running, increment this and
// decrement it. Incrementing must happen in a place like
// PRE_RUN_ADDITIONS (used by emcc to add file preloading).
// Note that you can add dependencies in preRun, even though
// it happens right before run - run will be postponed until
// the dependencies are met.
var runDependencies = 0;
var runDependencyWatcher = null;
var dependenciesFulfilled = null; // overridden to take different actions when all run dependencies are fulfilled
var runDependencyTracking = {};

function addRunDependency(id) {
  runDependencies++;
  if (Module['monitorRunDependencies']) {
    Module['monitorRunDependencies'](runDependencies);
  }
  if (id) {
    assert(!runDependencyTracking[id]);
    runDependencyTracking[id] = 1;
    if (runDependencyWatcher === null && typeof setInterval !== 'undefined') {
      // Check for missing dependencies every few seconds
      runDependencyWatcher = setInterval(function() {
        var shown = false;
        for (var dep in runDependencyTracking) {
          if (!shown) {
            shown = true;
            Module.printErr('still waiting on run dependencies:');
          }
          Module.printErr('dependency: ' + dep);
        }
        if (shown) {
          Module.printErr('(end of list)');
        }
      }, 10000);
    }
  } else {
    Module.printErr('warning: run dependency added without ID');
  }
}
Module['addRunDependency'] = addRunDependency;
function removeRunDependency(id) {
  runDependencies--;
  if (Module['monitorRunDependencies']) {
    Module['monitorRunDependencies'](runDependencies);
  }
  if (id) {
    assert(runDependencyTracking[id]);
    delete runDependencyTracking[id];
  } else {
    Module.printErr('warning: run dependency removed without ID');
  }
  if (runDependencies == 0) {
    if (runDependencyWatcher !== null) {
      clearInterval(runDependencyWatcher);
      runDependencyWatcher = null;
    }
    if (dependenciesFulfilled) {
      var callback = dependenciesFulfilled;
      dependenciesFulfilled = null;
      callback(); // can add another dependenciesFulfilled
    }
  }
}
Module['removeRunDependency'] = removeRunDependency;

Module["preloadedImages"] = {}; // maps url to image data
Module["preloadedAudios"] = {}; // maps url to audio data


var memoryInitializer = null;

// === Body ===



STATIC_BASE = 8;

STATICTOP = STATIC_BASE + 18895640;


/* global initializers */ __ATINIT__.push({ func: function() { runPostSets() } });

var _stdout;
var _stdout=_stdout=allocate([0,0,0,0,0,0,0,0], "i8", ALLOC_STATIC);;
var _stderr;
var _stderr=_stderr=allocate([0,0,0,0,0,0,0,0], "i8", ALLOC_STATIC);;
























































































































































































































































































































































































































































































































































































































































































































































































































































































































































































var __ZTVN10__cxxabiv120__si_class_type_infoE;
__ZTVN10__cxxabiv120__si_class_type_infoE=allocate([0,0,0,0,200,47,0,0,2,0,0,0,54,0,0,0,36,0,0,0,60,0,0,0,48,0,0,0,6,0,0,0,20,0,0,0,66,0,0,0,0,0,0,0,0,0,0,0], "i8", ALLOC_STATIC);;
var __ZTVN10__cxxabiv117__class_type_infoE;
__ZTVN10__cxxabiv117__class_type_infoE=allocate([0,0,0,0,216,47,0,0,38,0,0,0,14,0,0,0,36,0,0,0,60,0,0,0,48,0,0,0,30,0,0,0,32,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0], "i8", ALLOC_STATIC);;




















var __ZTISt9exception;











































var __ZN16SymbolTableEntryC1ERK25SymbolTableEntryDataTable;
var __ZN12SymbolEngineC1Ev;
/* memory initializer */ allocate([160,32,0,0,232,34,0,0,160,26,0,0,248,20,0,0,48,14,0,0,80,12,0,0,80,10,0,0,248,7,0,0,184,5,0,0,168,3,0,0,152,37,0,0,104,35,0,0,176,33,0,0,232,32,0,0,224,31,0,0,16,31,0,0,64,30,0,0,136,29,0,0,184,28,0,0,48,28,0,0,128,27,0,0,232,26,0,0,240,25,0,0,72,25,0,0,104,24,0,0,152,23,0,0,24,23,0,0,200,22,0,0,152,22,0,0,0,22,0,0,136,21,0,0,48,21,0,0,128,20,0,0,24,20,0,0,128,19,0,0,72,19,0,0,16,19,0,0,40,15,0,0,8,15,0,0,192,14,0,0,112,14,0,0,88,14,0,0,16,14,0,0,224,13,0,0,192,13,0,0,128,13,0,0,104,13,0,0,80,13,0,0,40,13,0,0,216,12,0,0,176,12,0,0,152,12,0,0,56,12,0,0,32,12,0,0,248,11,0,0,184,11,0,0,136,11,0,0,112,11,0,0,80,11,0,0,232,10,0,0,152,10,0,0,120,10,0,0,48,10,0,0,248,9,0,0,184,9,0,0,136,9,0,0,96,9,0,0,40,9,0,0,224,8,0,0,160,8,0,0,80,8,0,0,40,8,0,0,200,7,0,0,152,7,0,0,72,7,0,0,8,7,0,0,208,6,0,0,176,6,0,0,128,6,0,0,80,6,0,0,24,6,0,0,240,5,0,0,104,5,0,0,56,5,0,0,24,5,0,0,240,4,0,0,192,4,0,0,152,4,0,0,112,4,0,0,80,4,0,0,16,4,0,0,232,3,0,0,136,3,0,0,104,3,0,0,64,3,0,0,8,3,0,0,224,2,0,0,184,2,0,0,136,2,0,0,40,2,0,0,32,38,0,0,216,37,0,0,112,37,0,0,64,37,0,0,24,37,0,0,224,36,0,0,184,36,0,0,128,36,0,0,56,36,0,0,24,36,0,0,168,35,0,0,128,35,0,0,56,35,0,0,8,35,0,0,208,34,0,0,168,34,0,0,136,34,0,0,96,34,0,0,95,112,137,0,255,9,47,15,10,0,0,0,100,0,0,0,232,3,0,0,16,39,0,0,160,134,1,0,64,66,15,0,128,150,152,0,0,225,245,5,87,79,82,68,70,73,76,76,0,0,0,0,0,0,0,0,95,67,76,75,77,79,68,69,0,0,0,0,0,0,0,0,83,121,109,98,111,108,115,32,95,67,76,75,77,79,68,69,44,32,95,67,76,75,70,82,69,81,44,32,95,88,73,78,70,82,69,81,32,99,97,110,32,111,110,108,121,32,98,101,32,117,115,101,100,32,97,115,32,105,110,116,101,103,101,114,32,99,111,110,115,116,97,110,116,115,0,0,0,0,0,0,66,89,84,69,70,73,76,76,0,0,0,0,0,0,0,0,95,83,84,65,67,75,32,97,110,100,32,95,70,82,69,69,32,109,117,115,116,32,115,117,109,32,116,111,32,117,110,100,101,114,32,56,107,0,0,0,83,84,82,67,79,77,80,0,82,69,83,32,105,115,32,110,111,116,32,97,108,108,111,119,101,100,32,105,110,32,79,82,71,88,32,109,111,100,101,0,83,84,82,83,73,90,69,0,82,101,103,105,115,116,101,114,32,105,115,32,110,111,116,32,97,108,108,111,119,101,100,32,104,101,114,101,0,0,0,0,67,79,71,78,69,87,0,0,63,95,82,69,84,32,97,100,100,114,101,115,115,32,105,115,32,111,117,116,32,111,102,32,114,97,110,103,101,0,0,0,101,108,115,101,105,102,100,101,102,0,0,0,0,0,0,0,82,69,66,79,79,84,0,0,63,95,82,69,84,32,97,100,100,114,101,115,115,32,105,115,32,110,111,116,32,108,111,110,103,0,0,0,0,0,0,0,67,72,73,80,86,69,82,0,80,85,66,47,67,79,78,32,108,105,115,116,32,111,118,101,114,102,108,111,119,0,0,0,67,76,75,70,82,69,81,0,79,84,72,69,82,32,109,117,115,116,32,98,101,32,108,97,115,116,32,99,97,115,101,0,92,0,0,0,0,0,0,0,95,67,76,75,70,82,69,81,47,95,88,73,78,70,82,69,81,32,110,111,116,32,97,108,108,111,119,101,100,32,119,105,116,104,32,82,67,70,65,83,84,47,82,67,83,76,79,87,0,0,0,0,0,0,0,0,67,76,75,77,79,68,69,0,34,36,34,32,105,115,32,110,111,116,32,97,108,108,111,119,101,100,32,104,101,114,101,0,76,79,79,75,68,79,87,78,90,0,0,0,0,0,0,0,79,114,105,103,105,110,32,101,120,99,101,101,100,115,32,36,49,70,48,32,108,105,109,105,116,0,0,0,0,0,0,0,123,0,0,0,0,0,0,0,76,79,79,75,68,79,87,78,0,0,0,0,0,0,0,0,95,70,82,69,69,0,0,0,79,98,106,101,99,116,32,101,120,99,101,101,100,115,32,51,50,107,0,0,0,0,0,0,76,79,79,75,85,80,90,0,79,114,105,103,105,110,32,101,120,99,101,101,100,115,32,70,73,84,32,108,105,109,105,116,0,0,0,0,0,0,0,0,76,79,79,75,85,80,0,0,79,98,106,101,99,116,32,100,105,115,116,105,108,108,101,114,32,111,118,101,114,102,108,111,119,0,0,0,0,0,0,0,82,69,84,85,82,78,0,0,79,98,106,101,99,116,32,99,111,117,110,116,32,109,117,115,116,32,98,101,32,102,114,111,109,32,49,32,116,111,32,50,53,53,0,0,0,0,0,0,65,66,79,82,84,0,0,0,78,111,32,80,85,66,32,114,111,117,116,105,110,101,115,32,102,111,117,110,100,0,0,0,101,108,115,101,0,0,0,0,81,85,73,84,0,0,0,0,78,111,32,99,97,115,101,115,32,101,110,99,111,117,110,116,101,114,101,100,0,0,0,0,78,69,88,84,0,0,0,0,77,101,109,111,114,121,32,105,110,115,116,114,117,99,116,105,111,110,115,32,99,97,110,110,111,116,32,117,115,101,32,87,82,47,78,82,0,0,0,0,83,84,69,80,0,0,0,0,76,105,109,105,116,32,111,102,32,50,53,54,32,115,117,98,114,111,117,116,105,110,101,115,32,43,32,111,98,106,101,99,116,115,32,101,120,99,101,101,100,101,100,0,0,0,0,0,73,110,118,97,108,105,100,32,111,98,106,101,99,116,32,102,105,108,101,32,0,0,0,0,58,0,0,0,0,0,0,0,67,65,76,76,32,115,121,109,98,111,108,32,109,117,115,116,32,110,111,116,32,101,120,99,101,101,100,32,50,53,50,32,99,104,97,114,97,99,116,101,114,115,0,0,0,0,0,0,84,79,0,0,0,0,0,0,76,105,109,105,116,32,111,102,32,49,53,32,112,97,114,97,109,101,116,101,114,115,32,101,120,99,101,101,100,101,100,0,70,82,79,77,0,0,0,0,76,105,109,105,116,32,111,102,32,52,48,57,54,32,108,111,99,97,108,32,118,97,114,105,97,98,108,101,115,32,101,120,99,101,101,100,101,100,0,0,39,0,0,0,0,0,0,0,85,78,84,73,76,0,0,0,76,105,109,105,116,32,111,102,32,49,54,32,69,76,83,69,73,70,115,32,101,120,99,101,101,100,101,100,0,0,0,0,95,83,84,65,67,75,0,0,87,72,73,76,69,0,0,0,76,105,109,105,116,32,111,102,32,49,44,48,52,56,44,53,55,54,32,68,65,84,32,115,121,109,98,111,108,115,32,101,120,99,101,101,100,101,100,0,82,69,80,69,65,84,0,0,76,105,115,116,32,105,115,32,116,111,111,32,108,97,114,103,101,0,0,0,0,0,0,0,79,84,72,69,82,0,0,0,76,105,109,105,116,32,111,102,32,51,50,32,117,110,105,113,117,101,32,65,82,67,72,73,86,69,32,102,105,108,101,115,32,101,120,99,101,101,100,101,100,0,0,0,0,0,0,0,67,65,83,69,0,0,0,0,76,105,109,105,116,32,111,102,32,51,50,32,117,110,105,113,117,101,32,80,82,69,67,79,77,80,73,76,69,32,102,105,108,101,115,32,101,120,99,101,101,100,101,100,0,0,0,0,105,102,110,100,101,102,0,0,69,76,83,69,0,0,0,0,76,105,109,105,116,32,111,102,32,51,50,32,117,110,105,113,117,101,32,68,65,84,32,102,105,108,101,115,32,101,120,99,101,101,100,101,100,0,0,0,69,76,83,69,73,70,78,79,84,0,0,0,0,0,0,0,13,95,67,76,75,70,82,69,81,58,32,37,48,56,88,13,13,0,0,0,0,0,0,0,76,105,109,105,116,32,111,102,32,51,50,32,117,110,105,113,117,101,32,111,98,106,101,99,116,115,32,101,120,99,101,101,100,101,100,0,0,0,0,0,69,76,83,69,73,70,0,0,76,105,109,105,116,32,111,102,32,56,32,110,101,115,116,101,100,32,98,108,111,99,107,115,32,101,120,99,101,101,100,101,100,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,95,67,76,75,70,82,69,81,32,111,114,32,95,88,73,78,70,82,69,81,32,109,117,115,116,32,98,101,32,115,112,101,99,105,102,105,101,100,0,0,73,70,78,79,84,0,0,0,76,105,109,105,116,32,111,102,32,54,52,32,99,97,115,101,115,32,101,120,99,101,101,100,101,100,0,0,0,0,0,0,73,70,0,0,0,0,0,0,73,110,116,101,103,101,114,32,111,112,101,114,97,116,111,114,32,110,111,116,32,97,108,108,111,119,101,100,32,105,110,32,102,108,111,97,116,105,110,103,45,112,111,105,110,116,32,101,120,112,114,101,115,115,105,111,110,0,0,0,0,0,0,0,80,49,0,0,0,0,0,0,70,73,76,69,0,0,0,0,73,110,116,101,114,110,97,108,0,0,0,0,0,0,0,0,108,111,103,40,39,66,97,100,79,98,106,58,32,51,39,41,59,32,116,104,114,111,119,32,39,97,108,108,32,100,111,110,101,39,59,0,0,0,0,0,65,82,67,72,73,86,69,0,73,110,116,101,103,101,114,32,110,111,116,32,97,108,108,111,119,101,100,32,105,110,32,102,108,111,97,116,105,110,103,45,112,111,105,110,116,32,101,120,112,114,101,115,115,105,111,110,0,0,0,0,0,0,0,0,80,82,69,67,79,77,80,73,76,69,0,0,0,0,0,0,73,110,118,97,108,105,100,32,102,105,108,101,110,97,109,101,44,32,117,115,101,32,34,70,105,108,101,110,97,109,101,73,110,81,117,111,116,101,115,34,0,0,0,0,0,0,0,0,76,79,78,71,0,0,0,0,73,110,118,97,108,105,100,32,102,105,108,101,110,97,109,101,32,99,104,97,114,97,99,116,101,114,0,0,0,0,0,0,87,79,82,68,0,0,0,0,73,110,116,101,114,110,97,108,32,68,65,84,32,102,105,108,101,32,110,111,116,32,102,111,117,110,100,0,0,0,0,0,105,102,100,101,102,0,0,0,66,89,84,69,0,0,0,0,73,110,118,97,108,105,100,32,100,111,117,98,108,101,45,98,105,110,97,114,121,32,110,117,109,98,101,114,0,0,0,0,68,69,86,0,0,0,0,0,13,13,95,67,76,75,77,79,68,69,58,32,37,48,50,88,0,0,0,0,0,0,0,0,73,110,118,97,108,105,100,32,95,67,76,75,77,79,68,69,32,115,112,101,99,105,102,105,101,100,0,0,0,0,0,0,105,110,102,105,110,105,116,121,0,0,0,0,0,0,0,0,80,82,73,0,0,0,0,0,73,110,118,97,108,105,100,32,98,105,110,97,114,121,32,110,117,109,98,101,114,0,0,0,61,0,0,0,0,0,0,0,67,111,110,115,116,97,110,116,32,101,120,99,101,101,100,115,32,51,50,32,98,105,116,115,0,0,0,0,0,0,0,0,80,85,66,0,0,0,0,0,70,108,111,97,116,105,110,103,45,112,111,105,110,116,32,111,118,101,114,102,108,111,119,0,79,66,74,0,0,0,0,0,70,108,111,97,116,105,110,103,45,112,111,105,110,116,32,110,111,116,32,97,108,108,111,119,101,100,32,105,110,32,105,110,116,101,103,101,114,32,101,120,112,114,101,115,115,105,111,110,0,0,0,0,0,0,0,0,95,95,84,65,82,71,69,84,95,95,0,0,0,0,0,0,68,65,84,0,0,0,0,0,70,108,111,97,116,105,110,103,45,112,111,105,110,116,32,99,111,110,115,116,97,110,116,32,109,117,115,116,32,98,101,32,119,105,116,104,105,110,32,43,47,45,32,51,46,52,101,43,51,56,0,0,0,0,0,0,108,111,103,40,39,66,97,100,79,98,106,58,32,50,39,41,59,32,116,104,114,111,119,32,39,97,108,108,32,100,111,110,101,39,59,0,0,0,0,0,86,65,82,0,0,0,0,0,70,105,108,101,110,97,109,101,32,116,111,111,32,108,111,110,103,0,0,0,0,0,0,0,67,79,78,0,0,0,0,0,69,120,112,101,99,116,101,100,32,84,79,0,0,0,0,0,83,84,82,73,78,71,0,0,69,120,112,101,99,116,101,100,32,83,84,69,80,32,111,114,32,101,110,100,32,111,102,32,108,105,110,101,0,0,0,0,67,79,78,83,84,65,78,84,0,0,0,0,0,0,0,0,69,109,112,116,121,32,115,116,114,105,110,103,0,0,0,0,85,110,116,101,114,109,105,110,97,116,101,100,32,35,105,102,32,115,116,97,114,116,105,110,103,32,97,116,32,108,105,110,101,32,37,100,0,0,0,0,84,82,85,78,67,0,0,0,69,120,112,101,99,116,101,100,32,34,93,34,0,0,0,0,82,79,85,78,68,0,0,0,13,79,66,74,32,98,121,116,101,115,58,32,37,100,0,0,69,120,112,101,99,116,101,100,32,34,41,34,0,0,0,0,70,76,79,65,84,0,0,0,69,120,112,101,99,116,101,100,32,34,125,125,34,0,0,0,44,0,0,0,0,0,0,0,67,97,110,110,111,116,32,99,111,109,112,117,116,101,32,115,113,117,97,114,101,32,114,111,111,116,32,111,102,32,110,101,103,97,116,105,118,101,32,102,108,111,97,116,105,110,103,45,112,111,105,110,116,32,110,117,109,98,101,114,0,0,0,0,78,79,84,0,0,0,0,0,69,120,112,101,99,116,101,100,32,34,125,34,0,0,0,0,61,62,0,0,0,0,0,0,69,120,112,101,99,116,101,100,32,34,35,34,0,0,0,0,95,95,83,80,73,78,95,95,0,0,0,0,0,0,0,0,61,60,0,0,0,0,0,0,69,120,112,101,99,116,101,100,32,34,124,34,32,111,114,32,101,110,100,32,111,102,32,108,105,110,101,0,0,0,0,0,108,111,103,40,39,66,97,100,79,98,106,58,32,49,39,41,59,32,116,104,114,111,119,32,39,97,108,108,32,100,111,110,101,39,59,0,0,0,0,0,61,61,0,0,0,0,0,0,69,120,112,101,99,116,101,100,32,80,82,69,67,79,77,80,73,76,69,32,111,114,32,65,82,67,72,73,86,69,0,0,60,62,0,0,0,0,0,0,69,120,112,101,99,116,101,100,32,34,91,34,0,0,0,0,62,0,0,0,0,0,0,0,69,120,112,101,99,116,101,100,32,34,40,34,0,0,0,0,60,0,0,0,0,0,0,0,69,120,112,114,101,115,115,105,111,110,32,105,115,32,116,111,111,32,99,111,109,112,108,101,120,0,0,0,0,0,0,0,94,94,0,0,0,0,0,0,85,110,97,98,108,101,32,116,111,32,111,112,101,110,32,102,105,108,101,32,37,115,0,0,69,120,112,101,99,116,101,100,32,70,82,79,77,0,0,0,47,47,0,0,0,0,0,0,32,37,48,50,88,0,0,0,69,120,112,101,99,116,101,100,32,34,61,34,32,34,91,34,32,34,44,34,32,111,114,32,101,110,100,32,111,102,32,108,105,110,101,0,0,0,0,0,47,0,0,0,0,0,0,0,69,120,112,101,99,116,101,100,32,101,110,100,32,111,102,32,108,105,110,101,0,0,0,0,93,0,0,0,0,0,0,0,66,108,111,99,107,110,101,115,116,32,115,116,97,99,107,32,111,118,101,114,102,108,111,119,0,0,0,0,0,0,0,0,42,42,0,0,0,0,0,0,69,120,112,101,99,116,101,100,32,34,46,34,0,0,0,0,42,0,0,0,0,0,0,0,69,105,116,104,101,114,32,95,67,76,75,70,82,69,81,32,111,114,32,95,88,73,78,70,82,69,81,32,109,117,115,116,32,98,101,32,115,112,101,99,105,102,105,101,100,44,32,98,117,116,32,110,111,116,32,98,111,116,104,0,0,0,0,0,49,0,0,0,0,0,0,0,124,60,0,0,0,0,0,0,69,120,112,101,99,116,101,100,32,34,44,34,32,111,114,32,34,41,34,0,0,0,0,0,108,111,103,40,39,66,97,100,79,98,106,58,32,49,58,49,39,41,59,32,116,104,114,111,119,32,39,97,108,108,32,100,111,110,101,39,59,0,0,0,79,82,0,0,0,0,0,0,69,120,112,101,99,116,101,100,32,34,44,34,0,0,0,0,101,114,114,111,114,0,0,0,62,124,0,0,0,0,0,0,69,120,112,101,99,116,101,100,32,34,58,34,0,0,0,0,117,115,97,103,101,58,32,111,112,101,110,115,112,105,110,10,32,32,32,32,32,32,32,32,32,91,32,45,104,32,93,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,100,105,115,112,108,97,121,32,116,104,105,115,32,104,101,108,112,10,32,32,32,32,32,32,32,32,32,91,32,45,76,32,111,114,32,45,73,32,60,112,97,116,104,62,32,93,32,32,32,32,97,100,100,32,97,32,100,105,114,101,99,116,111,114,121,32,116,111,32,116,104,101,32,105,110,99,108,117,100,101,32,112,97,116,104,10,32,32,32,32,32,32,32,32,32,91,32,45,111,32,60,112,97,116,104,62,32,93,32,32,32,32,32,32,32,32,32,32,111,117,116,112,117,116,32,102,105,108,101,110,97,109,101,10,32,32,32,32,32,32,32,32,32,91,32,45,98,32,93,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,111,117,116,112,117,116,32,98,105,110,97,114,121,32,102,105,108,101,32,102,111,114,109,97,116,10,32,32,32,32,32,32,32,32,32,91,32,45,101,32,93,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,111,117,116,112,117,116,32,101,101,112,114,111,109,32,102,105,108,101,32,102,111,114,109,97,116,10,32,32,32,32,32,32,32,32,32,91,32,45,99,32,93,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,111,117,116,112,117,116,32,111,110,108,121,32,68,65,84,32,115,101,99,116,105,111,110,115,10,32,32,32,32,32,32,32,32,32,91,32,45,100,32,93,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,100,117,109,112,32,111,117,116,32,100,111,99,32,109,111,100,101,10,32,32,32,32,32,32,32,32,32,91,32,45,116,32,93,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,111,117,116,112,117,116,32,106,117,115,116,32,116,104,101,32,111,98,106,101,99,116,32,102,105,108,101,32,116,114,101,101,10,32,32,32,32,32,32,32,32,32,91,32,45,102,32,93,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,111,117,116,112,117,116,32,97,32,108,105,115,116,32,111,102,32,102,105,108,101,110,97,109,101,115,32,102,111,114,32,117,115,101,32,105,110,32,97,114,99,104,105,118,105,110,103,10,32,32,32,32,32,32,32,32,32,91,32,45,113,32,93,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,113,117,105,101,116,32,109,111,100,101,32,40,115,117,112,112,114,101,115,115,32,98,97,110,110,101,114,32,97,110,100,32,110,111,110,45,101,114,114,111,114,32,116,101,120,116,41,10,32,32,32,32,32,32,32,32,32,91,32,45,118,32,93,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,118,101,114,98,111,115,101,32,111,117,116,112,117,116,10,32,32,32,32,32,32,32,32,32,91,32,45,112,32,93,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,100,105,115,97,98,108,101,32,116,104,101,32,112,114,101,112,114,111,99,101,115,115,111,114,10,32,32,32,32,32,32,32,32,32,91,32,45,97,32,93,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,117,115,101,32,97,108,116,101,114,110,97,116,105,118,101,32,112,114,101,112,114,111,99,101,115,115,111,114,32,114,117,108,101,115,10,32,32,32,32,32,32,32,32,32,91,32,45,68,32,60,100,101,102,105,110,101,62,32,93,32,32,32,32,32,32,32,32,97,100,100,32,97,32,100,101,102,105,110,101,10,32,32,32,32,32,32,32,32,32,91,32,45,77,32,60,115,105,122,101,62,32,93,32,32,32,32,32,32,32,32,32,32,115,105,122,101,32,111,102,32,101,101,112,114,111,109,32,40,117,112,32,116,111,32,49,54,55,55,55,50,49,54,32,98,121,116,101,115,41,10,32,32,32,32,32,32,32,32,32,60,110,97,109,101,46,115,112,105,110,62,32,32,32,32,32,32,32,32,32,32,32,32,115,112,105,110,32,102,105,108,101,32,116,111,32,99,111,109,112,105,108,101,10,10,0,0,0,0,0,0,65,78,68,0,0,0,0,0,69,120,112,101,99,116,101,100,32,34,44,34,32,111,114,32,101,110,100,32,111,102,32,108,105,110,101,0,0,0,0,0,70,101,98,32,49,49,32,50,48,49,52,0,0,0,0,0,62,60,0,0,0,0,0,0,69,120,112,101,99,116,101,100,32,66,89,84,69,44,32,87,79,82,68,44,32,111,114,32,76,79,78,71,0,0,0,0,67,111,109,112,105,108,101,100,32,111,110,32,37,115,10,0,126,62,0,0,0,0,0,0,69,120,112,101,99,116,101,100,32,97,32,117,110,105,113,117,101,32,118,97,114,105,97,98,108,101,32,110,97,109,101,0,114,98,0,0,0,0,0,0,80,114,111,112,101,108,108,101,114,32,83,112,105,110,47,80,65,83,77,32,67,111,109,112,105,108,101,114,32,39,79,112,101,110,83,112,105,110,39,32,40,99,41,50,48,49,50,45,50,48,49,51,32,80,97,114,97,108,108,97,120,32,73,110,99,46,32,68,66,65,32,80,97,114,97,108,108,97,120,32,83,101,109,105,99,111,110,100,117,99,116,111,114,46,10,0,45,0,0,0,0,0,0,0,37,48,52,88,45,0,0,0,69,120,112,101,99,116,101,100,32,97,32,117,110,105,113,117,101,32,115,117,98,114,111,117,116,105,110,101,32,110,97,109,101,0,0,0,0,0,0,0,37,115,32,58,32,101,114,114,111,114,32,58,32,79,98,106,101,99,116,32,72,101,97,112,32,79,118,101,114,102,108,111,119,46,10,0,0,0,0,0,115,116,100,58,58,98,97,100,95,97,108,108,111,99,0,0,43,0,0,0,0,0,0,0,69,120,112,101,99,116,101,100,32,97,32,117,110,105,113,117,101,32,114,101,115,117,108,116,32,110,97,109,101,0,0,0,37,115,32,58,32,101,114,114,111,114,32,58,32,79,98,106,101,99,116,32,101,120,99,101,101,100,115,32,114,117,110,116,105,109,101,32,109,101,109,111,114,121,32,108,105,109,105,116,32,98,121,32,37,100,32,108,111,110,103,115,46,10,0,0,91,0,0,0,0,0,0,0,84,89,80,69,58,32,37,48,50,88,0,0,0,0,0,0,66,108,111,99,107,32,100,101,115,105,103,110,97,116,111,114,32,109,117,115,116,32,98,101,32,105,110,32,102,105,114,115,116,32,99,111,108,117,109,110,0,0,0,0,0,0,0,0,94,0,0,0,0,0,0,0,69,120,112,101,99,116,101,100,32,97,32,117,110,105,113,117,101,32,112,97,114,97,109,101,116,101,114,32,110,97,109,101,0,0,0,0,0,0,0,0,37,115,32,58,32,101,114,114,111,114,32,58,32,79,98,106,101,99,116,32,102,105,108,101,115,32,101,120,99,101,101,100,32,54,52,107,46,10,0,0,124,0,0,0,0,0,0,0,69,120,112,101,99,116,101,100,32,97,32,117,110,105,113,117,101,32,110,97,109,101,44,32,66,89,84,69,44,32,87,79,82,68,44,32,76,79,78,71,44,32,111,114,32,97,115,115,101,109,98,108,121,32,105,110,115,116,114,117,99,116,105,111,110,0,0,0,0,0,0,0,37,115,32,58,32,101,114,114,111,114,32,58,32,67,97,110,32,110,111,116,32,102,105,110,100,47,111,112,101,110,32,102,105,108,101,46,10,0,0,0,124,124,0,0,0,0,0,0,69,120,112,101,99,116,101,100,32,97,32,117,110,105,113,117,101,32,99,111,110,115,116,97,110,116,32,110,97,109,101,32,111,114,32,34,35,34,0,0,37,115,32,58,32,101,114,114,111,114,32,58,32,79,98,106,101,99,116,32,110,101,115,116,105,110,103,32,101,120,99,101,101,100,115,32,108,105,109,105,116,32,111,102,32,37,100,32,108,101,118,101,108,115,46,10,0,0,0,0,0,0,0,0,108,111,103,40,39,66,97,100,79,98,106,58,32,49,58,48,39,41,59,32,116,104,114,111,119,32,39,97,108,108,32,100,111,110,101,39,59,0,0,0,38,0,0,0,0,0,0,0,69,120,112,101,99,116,101,100,32,97,32,118,97,114,105,97,98,108,101,0,0,0,0,0,37,115,124,45,37,115,10,0,10,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,69,120,112,101,99,116,101,100,32,97,32,117,110,105,113,117,101,32,111,98,106,101,99,116,32,110,97,109,101,0,0,0,76,105,110,101,58,10,37,115,10,79,102,102,101,110,100,105,110,103,32,73,116,101,109,58,32,37,115,10,0,0,0,0,37,115,0,0,0,0,0,0,60,35,0,0,0,0,0,0,69,120,112,101,99,116,101,100,32,97,32,116,101,114,109,105,110,97,116,105,110,103,32,113,117,111,116,101,0,0,0,0,37,115,40,37,100,58,37,100,41,32,58,32,101,114,114,111,114,32,58,32,37,115,10,0,80,76,76,49,54,88,0,0,37,115,58,37,100,58,32,37,115,58,32,0,0,0,0,0,80,76,76,56,88,0,0,0,80,76,76,52,88,0,0,0,80,76,76,50,88,0,0,0,80,76,76,49,88,0,0,0,35,62,0,0,0,0,0,0,88,84,65,76,51,0,0,0,69,120,112,101,99,116,101,100,32,97,32,115,117,98,114,111,117,116,105,110,101,32,111,114,32,111,98,106,101,99,116,32,110,97,109,101,0,0,0,0,88,84,65,76,50,0,0,0,88,84,65,76,49,0,0,0,73,110,112,117,116,32,105,110,32,85,84,70,45,49,54,32,105,110,32,98,105,103,32,101,110,100,105,97,110,32,102,111,114,109,97,116,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,121,101,116,33,10,0,0,0,0,0,88,73,78,80,85,84,0,0,82,67,83,76,79,87,0,0,82,67,70,65,83,84,0,0,79,117,116,32,111,102,32,109,101,109,111,114,121,10,0,0,80,73,0,0,0,0,0,0,80,79,83,88,0,0,0,0,78,69,71,88,0,0,0,0,84,82,85,69,0,0,0,0,60,60,0,0,0,0,0,0,70,65,76,83,69,0,0,0,69,120,112,101,99,116,101,100,32,97,32,115,117,98,114,111,117,116,105,110,101,32,110,97,109,101,0,0,0,0,0,0,82,69,83,85,76,84,0,0,86,83,67,76,0,0,0,0,79,117,116,32,111,102,32,109,101,109,111,114,121,33,10,0,67,97,110,110,111,116,32,102,105,110,100,47,111,112,101,110,32,100,97,116,32,102,105,108,101,58,32,37,115,32,10,0,86,67,70,71,0,0,0,0,80,72,83,66,0,0,0,0,80,72,83,65,0,0,0,0,109,117,108,116,105,112,108,101,32,35,101,108,115,101,32,115,116,97,116,101,109,101,110,116,115,32,105,110,32,35,105,102,0,0,0,0,0,0,0,0,70,82,81,66,0,0,0,0,70,82,81,65,0,0,0,0,67,84,82,66,0,0,0,0,67,84,82,65,0,0,0,0,62,62,0,0,0,0,0,0,68,73,82,66,0,0,0,0,32,32,32,78,65,77,69,58,32,37,115,13,0,0,0,0,69,120,112,101,99,116,101,100,32,97,32,109,101,109,111,114,121,32,118,97,114,105,97,98,108,101,32,97,102,116,101,114,32,34,64,34,0,0,0,0,68,73,82,65,0,0,0,0,79,85,84,66,0,0,0,0,114,98,0,0,0,0,0,0,79,85,84,65,0,0,0,0,73,78,66,0,0,0,0,0,73,78,65,0,0,0,0,0,35,101,108,115,101,32,119,105,116,104,111,117,116,32,109,97,116,99,104,105,110,103,32,35,105,102,0,0,0,0,0,0,67,78,84,0,0,0,0,0,80,65,82,0,0,0,0,0,78,82,0,0,0,0,0,0,87,82,0,0,0,0,0,0,60,45,0,0,0,0,0,0,87,67,0,0,0,0,0,0,69,120,112,101,99,116,101,100,32,97,32,108,111,99,97,108,32,115,121,109,98,111,108,0,87,90,0,0,0,0,0,0,67,77,80,88,0,0,0,0,87,65,82,78,73,78,71,58,32,69,101,112,114,111,109,32,115,105,122,101,32,101,120,99,101,101,100,101,100,32,98,121,32,37,100,32,108,111,110,103,115,46,10,0,0,0,0,0,67,77,80,0,0,0,0,0,41,0,0,0,0,0,0,0,84,69,83,84,78,0,0,0,84,69,83,84,0,0,0,0,74,77,80,0,0,0,0,0,35,101,110,100,105,102,32,119,105,116,104,111,117,116,32,109,97,116,99,104,105,110,103,32,35,105,102,0,0,0,0,0,82,69,84,0,0,0,0,0,67,65,76,76,0,0,0,0,34,125,34,32,109,117,115,116,32,98,101,32,112,114,101,99,101,101,100,101,100,32,98,121,32,34,123,34,32,116,111,32,102,111,114,109,32,97,32,99,111,109,109,101,110,116,0,0,84,74,90,0,0,0,0,0,45,62,0,0,0,0,0,0,84,74,78,90,0,0,0,0,69,120,112,101,99,116,101,100,32,97,110,32,105,110,115,116,114,117,99,116,105,111,110,32,111,114,32,118,97,114,105,97,98,108,101,0,0,0,0,0,68,74,78,90,0,0,0,0,67,77,80,83,85,66,0,0,13,0,0,0,0,0,0,0,83,85,66,83,88,0,0,0,65,68,68,83,88,0,0,0,83,85,66,83,0,0,0,0,65,68,68,83,0,0,0,0,35,101,114,114,111,114,58,32,37,115,0,0,0,0,0,0,83,85,66,88,0,0,0,0,65,68,68,88,0,0,0,0,67,77,80,83,88,0,0,0,83,80,82,0,0,0,0,0,67,77,80,83,0,0,0,0,69,120,112,101,99,116,101,100,32,97,110,32,101,120,112,114,101,115,115,105,111,110,32,116,101,114,109,0,0,0,0,0,78,69,71,78,90,0,0,0,78,69,71,90,0,0,0,0,80,114,111,103,114,97,109,32,115,105,122,101,32,105,115,32,37,100,32,98,121,116,101,115,10,0,0,0,0,0,0,0,37,100,0,0,0,0,0,0,78,69,71,78,67,0,0,0,78,69,71,67,0,0,0,0,65,66,83,78,69,71,0,0,65,66,83,0,0,0,0,0,35,119,97,114,110,58,32,37,115,0,0,0,0,0,0,0,78,69,71,0,0,0,0,0,77,79,86,0,0,0,0,0,83,85,77,78,90,0,0,0,58,61,0,0,0,0,0,0,83,85,77,90,0,0,0,0,69,120,112,101,99,116,101,100,32,97,32,68,65,84,32,115,121,109,98,111,108,0,0,0,83,85,77,78,67,0,0,0,83,85,77,67,0,0,0,0,119,98,0,0,0,0,0,0,83,85,66,65,66,83,0,0,65,68,68,65,66,83,0,0,83,85,66,0,0,0,0,0,65,68,68,0,0,0,0,0,42,69,78,68,42,0,0,0,77,85,88,78,90,0,0,0,77,85,88,90,0,0,0,0,77,85,88,78,67,0,0,0,46,79,66,74,0,0,0,0,45,45,0,0,0,0,0,0,77,85,88,67,0,0,0,0,69,120,112,101,99,116,101,100,32,97,32,99,111,110,115,116,97,110,116,44,32,117,110,97,114,121,32,111,112,101,114,97,116,111,114,44,32,111,114,32,34,40,34,0,0,0,0,0,88,79,82,0,0,0,0,0,65,78,68,78,0,0,0,0,68,111,110,101,46,10,0,0,13,80,114,111,103,114,97,109,58,32,32,37,100,32,76,111,110,103,115,13,86,97,114,105,97,98,108,101,58,32,37,100,32,76,111,110,103,115,13,0,74,77,80,82,69,84,0,0,77,79,86,73,0,0,0,0,77,79,86,68,0,0,0,0,77,79,86,83,0,0,0,0,114,101,100,101,102,105,110,105,110,103,32,96,37,115,39,0,77,65,88,0,0,0,0,0,77,73,78,0,0,0,0,0,77,65,88,83,0,0,0,0,110,97,110,0,0,0,0,0,43,43,0,0,0,0,0,0,77,73,78,83,0,0,0,0,69,120,112,101,99,116,101,100,32,97,32,99,111,110,115,116,97,110,116,32,110,97,109,101,0,0,0,0,0,0,0,0,82,69,86,0,0,0,0,0,83,65,82,0,0,0,0,0,37,115,10,0,0,0,0,0,34,32,73,110,116,101,114,102,97,99,101,58,13,13,0,0,82,67,76,0,0,0,0,0,82,67,82,0,0,0,0,0,83,72,76,0,0,0,0,0,83,72,82,0,0,0,0,0,37,115,32,105,115,32,110,111,116,32,97,32,118,97,108,105,100,32,105,100,101,110,116,105,102,105,101,114,32,102,111,114,32,100,101,102,105,110,101,0,82,79,76,0,0,0,0,0,82,79,82,0,0,0,0,0,79,78,69,83,0,0,0,0,63,0,0,0,0,0,0,0,69,78,67,0,0,0,0,0,69,120,112,101,99,116,101,100,32,97,32,98,105,110,97,114,121,32,111,112,101,114,97,116,111,114,32,111,114,32,34,41,34,0,0,0,0,0,0,0,77,85,76,83,0,0,0,0,77,85,76,0,0,0,0,0,67,111,109,112,105,108,105,110,103,46,46,46,10,37,115,10,0,0,0,0,0,0,0,0,79,98,106,101,99,116,32,34,37,115,0,0,0,0,0,0,72,85,66,79,80,0,0,0,82,68,76,79,78,71,0,0,87,82,76,79,78,71,0,0,82,68,87,79,82,68,0,0,110,111,32,115,116,114,105,110,103,32,102,111,117,110,100,32,102,111,114,32,105,110,99,108,117,100,101,0,0,0,0,0,87,82,87,79,82,68,0,0,82,68,66,89,84,69,0,0,87,82,66,89,84,69,0,0,126,126,0,0,0,0,0,0,73,70,95,78,69,86,69,82,0,0,0,0,0,0,0,0,69,120,112,101,99,116,101,100,32,97,110,32,97,115,115,101,109,98,108,121,32,105,110,115,116,114,117,99,116,105,111,110,0,0,0,0,0,0,0,0,73,70,95,65,76,87,65,89,83,0,0,0,0,0,0,0,73,70,95,66,69,0,0,0,101,101,112,114,111,109,0,0,80,85,66,32,32,0,0,0,73,70,95,90,95,79,82,95,67,0,0,0,0,0,0,0,73,70,95,67,95,79,82,95,90,0,0,0,0,0,0,0,73,70,95,78,90,95,79,82,95,67,0,0,0,0,0,0,73,70,95,67,95,79,82,95,78,90,0,0,0,0,0,0,105,110,99,108,117,100,101,0,73,70,95,66,0,0,0,0,73,70,95,67,0,0,0,0,73,70,95,90,95,79,82,95,78,67,0,0,0,0,0,0,126,0,0,0,0,0,0,0,73,70,95,78,67,95,79,82,95,90,0,0,0,0,0,0,69,120,112,101,99,116,101,100,32,97,110,32,97,115,115,101,109,98,108,121,32,101,102,102,101,99,116,0,0,0,0,0,73,70,95,69,0,0,0,0,73,70,95,90,0,0,0,0,98,105,110,97,114,121,0,0,32,58,32,0,0,0,0,0,73,70,95,90,95,69,81,95,67,0,0,0,0,0,0,0,119,97,114,110,105,110,103,0,73,70,95,67,95,69,81,95,90,0,0,0,0,0,0,0,73,70,95,90,95,65,78,68,95,67,0,0,0,0,0,0,73,70,95,67,95,65,78,68,95,90,0,0,0,0,0,0,117,110,100,101,102,0,0,0,73,70,95,78,90,95,79,82,95,78,67,0,0,0,0,0,73,70,95,78,67,95,79,82,95,78,90,0,0,0,0,0,73,70,95,90,95,78,69,95,67,0,0,0,0,0,0,0,65,100,100,114,101,115,115,32,105,115,32,110,111,116,32,108,111,110,103,0,0,0,0,0,73,70,95,67,95,78,69,95,90,0,0,0,0,0,0,0,64,64,0,0,0,0,0,0,32,32,32,86,65,76,85,69,58,32,37,48,56,88,32,40,37,48,56,120,41,0,0,0,69,120,112,101,99,116,101,100,32,97,110,32,97,115,115,101,109,98,108,121,32,101,102,102,101,99,116,32,111,114,32,101,110,100,32,111,102,32,108,105,110,101,0,0,0,0,0,0,73,70,95,78,69,0,0,0,73,70,95,78,90,0,0,0,100,97,116,0,0,0,0,0,95,68,69,66,85,71,0,0,73,70,95,78,90,95,65,78,68,95,67,0,0,0,0,0,73,70,95,67,95,65,78,68,95,78,90,0,0,0,0,0,73,70,95,65,69,0,0,0,73,70,95,78,67,0,0,0,100,101,102,105,110,101,0,0,73,70,95,90,95,65,78,68,95,78,67,0,0,0,0,0,73,70,95,78,67,95,65,78,68,95,90,0,0,0,0,0,73,70,95,65,0,0,0,0,73,70,95,78,90,95,65,78,68,95,78,67,0,0,0,0,64,0,0,0,0,0,0,0,68,101,115,116,105,110,97,116,105,111,110,32,114,101,103,105,115,116,101,114,32,99,97,110,110,111,116,32,101,120,99,101,101,100,32,36,49,70,70,0,73,70,95,78,67,95,65,78,68,95,78,90,0,0,0,0,78,79,80,0,0,0,0,0,69,82,82,79,82,58,32,115,112,105,110,102,105,108,101,32,109,117,115,116,32,104,97,118,101,32,46,115,112,105,110,32,101,120,116,101,110,115,105,111,110,46,32,89,111,117,32,112,97,115,115,101,100,32,105,110,58,32,37,115,10,0,0,0,95,88,73,78,70,82,69,81,0,0,0,0,0,0,0,0,70,73,84,0,0,0,0,0,40,0,0,0,0,0,0,0,82,69,83,0,0,0,0,0,79,82,71,0,0,0,0,0,86,97,114,105,97,98,108,101,32,110,101,101,100,115,32,97,110,32,111,112,101,114,97,116,111,114,0,0,0,0,0,0,79,82,71,88,0,0,0,0,85,110,100,101,102,105,110,101,100,32,115,121,109,98,111,108,0,0,0,0,0,0,0,0,76,79,67,75,67,76,82,0,85,110,100,101,102,105,110,101,100,32,63,95,82,69,84,32,115,121,109,98,111,108,0,0,101,110,100,105,102,0,0,0,76,79,67,75,83,69,84,0,85,110,114,101,99,111,103,110,105,122,101,100,32,99,104,97,114,97,99,116,101,114,0,0,65,100,100,114,101,115,115,32,105,115,32,111,117,116,32,111,102,32,114,97,110,103,101,0,76,79,67,75,82,69,84,0,84,111,111,32,109,117,99,104,32,118,97,114,105,97,98,108,101,32,115,112,97,99,101,32,105,115,32,100,101,99,108,97,114,101,100,0,0,0,0,0,76,79,67,75,78,69,87,0,84,111,111,32,109,97,110,121,32,115,116,114,105,110,103,32,99,111,110,115,116,97,110,116,32,99,104,97,114,97,99,116,101,114,115,0,0,0,0,0,46,46,0,0,0,0,0,0,68,105,118,105,100,101,32,98,121,32,122,101,114,111,0,0,67,79,71,83,84,79,80,0,84,111,111,32,109,97,110,121,32,115,116,114,105,110,103,32,99,111,110,115,116,97,110,116,115,0,0,0,0,0,0,0,67,79,71,73,78,73,84,0,84,104,105,115,32,105,110,115,116,114,117,99,116,105,111,110,32,105,115,32,111,110,108,121,32,97,108,108,111,119,101,100,32,119,105,116,104,105,110,32,97,32,82,69,80,69,65,84,32,98,108,111,99,107,0,0,13,68,105,115,116,105,108,108,101,100,32,108,111,110,103,115,58,32,37,100,0,0,0,0,46,115,112,105,110,0,0,0,67,79,71,73,68,0,0,0,95,67,76,75,70,82,69,81,0,0,0,0,0,0,0,0,83,121,109,98,111,108,32,116,97,98,108,101,32,105,115,32,102,117,108,108,0,0,0,0,67,76,75,83,69,84,0,0,83,121,109,98,111,108,115,32,95,83,84,65,67,75,32,97,110,100,32,95,70,82,69,69,32,99,97,110,32,111,110,108,121,32,98,101,32,117,115,101,100,32,97,115,32,105,110,116,101,103,101,114,32,99,111,110,115,116,97,110,116,115,0,0,87,65,73,84,86,73,68,0,83,111,117,114,99,101,32,114,101,103,105,115,116,101,114,47,99,111,110,115,116,97,110,116,32,99,97,110,110,111,116,32,101,120,99,101,101,100,32,36,49,70,70,0,0,0,0,0,87,65,73,84,67,78,84,0,83,105,122,101,32,111,118,101,114,114,105,100,101,32,109,117,115,116,32,98,101,32,115,109,97,108,108,101,114,0,0,0,87,65,73,84,80,78,69,0,83,105,122,101,32,111,118,101,114,114,105,100,101,32,109,117,115,116,32,98,101,32,108,97,114,103,101,114,0,0,0,0,101,108,115,101,105,102,110,100,101,102,0,0,0,0,0,0,87,65,73,84,80,69,81,0,83,84,82,73,78,71,32,110,111,116,32,97,108,108,111,119,101,100,32,104,101,114,101,0,76,79,78,71,77,79,86,69,0,0,0,0,0,0,0,0,83,121,109,98,111,108,32,105,115,32,97,108,114,101,97,100,121,32,100,101,102,105,110,101,100,0,0,0,0,0,0,0,87,79,82,68,77,79,86,69,0,0,0,0,0,0,0,0,83,121,109,98,111,108,32,101,120,99,101,101,100,115,32,50,53,54,32,99,104,97,114,97,99,116,101,114,115,0,0,0,46,0,0,0,0,0,0,0,95,67,76,75,70,82,69,81,47,95,88,73,78,70,82,69,81,32,115,112,101,99,105,102,105,101,100,32,119,105,116,104,111,117,116,32,95,67,76,75,77,79,68,69,0,0,0,0,66,89,84,69,77,79,86,69,0,0,0,0,0,0,0,0,83,121,109,98,111,108,32,95,68,69,66,85,71,32,99,97,110,32,111,110,108,121,32,98,101,32,117,115,101,100,32,97,115,32,97,110,32,105,110,116,101,103,101,114,32,99,111,110,115,116,97,110,116,0,0,0,76,79,78,71,70,73,76,76,0,0,0,0,0,0,0,0,83,116,114,105,110,103,32,99,104,97,114,97,99,116,101,114,115,32,109,117,115,116,32,114,97,110,103,101,32,102,114,111,109,32,49,32,116,111,32,50,53,53,0,0,0,0,0,0,125,0,0,0,0,0,0,0,70,65,84,65,76,32,69,82,82,79,82,58,32,84,111,111,32,109,97,110,121,32,102,105,108,101,115,33,10,0,0,0,37,115,37,99,37,115,0,0,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,0,0,255,255,255,255,255,255,255,255,255,9,10,255,255,13,255,255,255,255,255,255,255,255,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,160,161,162,163,255,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,14,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE);
/* memory initializer */ allocate([255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,2,4,3,5,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,164,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,21,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,20,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,16,255,255,255,255,255,255,255,255,255,255,255,255,255,255,18,255,255,255,255,255,19,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,17,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,144,255,145,255,255,255,255,255,255,255,255,255,159,255,255,255,158,255,255,255,157,255,255,255,156,255,255,255,149,255,255,255,255,255,255,153,148,255,255,255,255,255,255,152,151,255,255,255,255,255,255,155,150,255,255,255,255,255,255,154,146,255,255,255,255,255,255,255,255,255,255,255,255,255,255,147,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,7,255,255,255,255,255,255,255,255,255,6,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,184,47,0,0,28,0,0,0,10,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,47,0,0,22,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,0,0,40,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,83,116,57,116,121,112,101,95,105,110,102,111,0,0,0,0,83,116,57,98,97,100,95,97,108,108,111,99,0,0,0,0,78,49,48,95,95,99,120,120,97,98,105,118,49,50,48,95,95,115,105,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,0,0,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,55,95,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,0,0,0,0,0,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,54,95,95,115,104,105,109,95,116,121,112,101,95,105,110,102,111,69,0,0,0,0,0,0,0,0,56,72,97,115,104,97,98,108,101,0,0,0,0,0,0,0,49,54,83,121,109,98,111,108,84,97,98,108,101,69,110,116,114,121,0,0,0,0,0,0,0,0,0,0,240,46,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,47,0,0,216,47,0,0,0,0,0,0,0,0,0,0,56,47,0,0,232,47,0,0,0,0,0,0,0,0,0,0,96,47,0,0,176,47,0,0,0,0,0,0,0,0,0,0,136,47,0,0,0,0,0,0,152,47,0,0,248,47,0,0,0,0,0,0,1,0,0,0,0,0,0,0,72,34,0,0,0,0,0,0,2,0,0,0,0,0,0,0,80,26,0,0,0,0,0,0,3,0,0,0,0,0,0,0,224,20,0,0,0,0,0,0,4,0,0,0,0,0,0,0,40,14,0,0,0,0,0,0,5,0,0,0,0,0,0,0,72,12,0,0,0,0,0,0,6,0,0,0,0,0,0,0,72,10,0,0,0,0,0,0,7,0,0,0,0,0,0,0,240,7,0,0,0,0,0,0,8,0,0,0,0,0,0,0,176,5,0,0,0,0,0,0,9,0,0,0,0,0,0,0,160,3,0,0,0,0,0,0,10,0,0,0,0,0,0,0,144,37,0,0,0,0,0,0,11,0,0,0,0,0,0,0,96,35,0,0,0,0,0,0,12,0,0,0,0,0,0,0,168,33,0,0,0,0,0,0,13,0,0,0,0,0,0,0,200,32,0,0,0,0,0,0,14,0,0,0,0,0,0,0,200,31,0,0,0,0,0,0,15,0,0,0,0,0,0,0,248,30,0,0,0,0,0,0,16,0,0,0,0,0,0,0,48,30,0,0,0,0,0,0,17,0,0,0,0,0,0,0,120,29,0,0,0,0,0,0,18,0,0,0,0,0,0,0,168,28,0,0,0,0,0,0,19,0,0,0,0,0,0,0,32,28,0,0,0,0,0,0,20,0,0,0,0,0,0,0,112,27,0,0,0,0,0,0,22,0,0,0,1,0,0,0,216,26,0,0,0,0,0,0,22,0,0,0,1,0,0,0,224,25,0,0,1,0,0,0,22,0,0,0,1,0,0,0,40,25,0,0,2,0,0,0,22,0,0,0,1,0,0,0,88,24,0,0,3,0,0,0,22,0,0,0,6,0,0,0,136,23,0,0,4,0,0,0,22,0,0,0,6,0,0,0,16,23,0,0,5,0,0,0,21,0,0,0,0,0,0,0,192,22,0,0,7,0,0,0,22,0,0,0,2,0,0,0,144,22,0,0,8,0,0,0,21,0,0,0,0,0,0,0,248,21,0,0,9,0,0,0,22,0,0,0,3,0,0,0,128,21,0,0,10,0,0,0,22,0,0,0,3,0,0,0,40,21,0,0,11,0,0,0,22,0,0,0,5,0,0,0,120,20,0,0,12,0,0,0,22,0,0,0,5,0,0,0,8,20,0,0,13,0,0,0,22,0,0,0,1,0,0,0,120,19,0,0,14,0,0,0,22,0,0,0,1,0,0,0,64,19,0,0,15,0,0,0,22,0,0,0,9,0,0,0,8,19,0,0,16,0,0,0,21,0,0,0,0,0,0,0,32,15,0,0,17,0,0,0,22,0,0,0,10,0,0,0,0,15,0,0,18,0,0,0,21,0,0,0,0,0,0,0,184,14,0,0,19,0,0,0,22,0,0,0,4,0,0,0,104,14,0,0,20,0,0,0,22,0,0,0,4,0,0,0,80,14,0,0,21,0,0,0,22,0,0,0,4,0,0,0,8,14,0,0,22,0,0,0,22,0,0,0,4,0,0,0,208,13,0,0,23,0,0,0,21,0,0,0,0,0,0,0,160,13,0,0,24,0,0,0,22,0,0,0,7,0,0,0,120,13,0,0,25,0,0,0,22,0,0,0,7,0,0,0,96,13,0,0,26,0,0,0,22,0,0,0,7,0,0,0,72,13,0,0,27,0,0,0,22,0,0,0,7,0,0,0,32,13,0,0,28,0,0,0,22,0,0,0,7,0,0,0,208,12,0,0,29,0,0,0,22,0,0,0,7,0,0,0,168,12,0,0,30,0,0,0,21,0,0,0,8,0,0,0,144,12,0,0,31,0,0,0,23,0,0,0,0,0,0,0,48,12,0,0,0,0,0,0,24,0,0,0,0,0,0,0,8,12,0,0,0,0,0,0,25,0,0,0,0,0,0,0,240,11,0,0,0,0,0,0,26,0,0,0,0,0,0,0,168,11,0,0,0,0,0,0,27,0,0,0,0,0,0,0,128,11,0,0,0,0,0,0,28,0,0,0,0,0,0,0,104,11,0,0,0,0,0,0,28,0,0,0,1,0,0,0,72,11,0,0,0,0,0,0,28,0,0,0,2,0,0,0,224,10,0,0,0,0,0,0,28,0,0,0,3,0,0,0,144,10,0,0,0,0,0,0,28,0,0,0,4,0,0,0,112,10,0,0,0,0,0,0,28,0,0,0,5,0,0,0,40,10,0,0,0,0,0,0,28,0,0,0,6,0,0,0,216,9,0,0,0,0,0,0,29,0,0,0,0,0,0,0,176,9,0,0,0,0,0,0,29,0,0,0,1,0,0,0,128,9,0,0,0,0,0,0,29,0,0,0,2,0,0,0,88,9,0,0,0,0,0,0,30,0,0,0,0,0,0,0,24,9,0,0,0,0,0,0,31,0,0,0,0,0,0,0,216,8,0,0,0,0,0,0,32,0,0,0,0,0,0,0,152,8,0,0,0,0,0,0,33,0,0,0,0,0,0,0,72,8,0,0,0,0,0,0,34,0,0,0,0,0,0,0,32,8,0,0,0,0,0,0,35,0,0,0,0,0,0,0,192,7,0,0,0,0,0,0,36,0,0,0,0,0,0,0,112,7,0,0,0,0,0,0,37,0,0,0,0,0,0,0,64,7,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,39,0,0,0,0,0,0,0,200,6,0,0,0,0,0,0,40,0,0,0,0,0,0,0,168,6,0,0,0,0,0,0,42,0,0,0,0,0,0,0,120,6,0,0,0,0,0,0,43,0,0,0,0,0,0,0,72,6,0,0,0,0,0,0,44,0,0,0,0,0,0,0,16,6,0,0,0,0,0,0,45,0,0,0,0,0,0,0,232,5,0,0,0,0,0,0,46,0,0,0,0,0,0,0,96,5,0,0,0,0,0,0,47,0,0,0,0,0,0,0,48,5,0,0,0,0,0,0,47,0,0,0,1,0,0,0,16,5,0,0,0,0,0,0,48,0,0,0,48,0,0,0,232,4,0,0,0,0,0,0,48,0,0,0,50,0,0,0,184,4,0,0,0,0,0,0,49,0,0,0,16,0,0,0,144,4,0,0,0,0,0,0,49,0,0,0,144,0,0,0,104,4,0,0,0,0,0,0,49,0,0,0,17,0,0,0,56,4,0,0,0,0,0,0,49,0,0,0,145,0,0,0,0,4,0,0,0,0,0,0,50,0,0,0,0,0,0,0,224,3,0,0,0,0,0,0,51,0,0,0,0,0,0,0,128,3,0,0,0,0,0,0,52,0,0,0,0,0,0,0,96,3,0,0,0,0,0,0,53,0,0,0,0,0,0,0,56,3,0,0,0,0,0,0,55,0,0,0,168,0,0,0,0,3,0,0,0,0,0,0,57,0,0,0,86,0,0,0,216,2,0,0,0,0,0,0,57,0,0,0,151,0,0,0,176,2,0,0,0,0,0,0,59,0,0,0,216,0,0,0,120,2,0,0,0,0,0,0,59,0,0,0,217,0,0,0,8,2,0,0,0,0,0,0,59,0,0,0,218,0,0,0,16,38,0,0,0,0,0,0,59,0,0,0,220,0,0,0,200,37,0,0,0,0,0,0,59,0,0,0,221,0,0,0,96,37,0,0,0,0,0,0,59,0,0,0,222,0,0,0,48,37,0,0,0,0,0,0,59,0,0,0,219,0,0,0,16,37,0,0,60,1,0,0,59,0,0,0,223,0,0,0,216,36,0,0,61,1,0,0,59,0,0,0,99,0,0,0,176,36,0,0,126,1,0,0,59,0,0,0,167,0,0,0,120,36,0,0,63,1,0,0,59,0,0,0,160,0,0,0,48,36,0,0,128,1,0,0,54,0,0,0,0,0,0,0,0,36,0,0,193,1,0,0,56,0,0,0,236,0,0,0,160,35,0,0,130,1,0,0,59,0,0,0,97,0,0,0,120,35,0,0,131,1,0,0,58,0,0,0,41,0,0,0,48,35,0,0,196,1,0,0,59,0,0,0,98,0,0,0,0,35,0,0,133,1,0,0,58,0,0,0,106,0,0,0,200,34,0,0,134,1,0,0,58,0,0,0,107,0,0,0,160,34,0,0,135,1,0,0,62,0,0,0,0,0,0,0,128,34,0,0,0,0,0,0,62,0,0,0,1,0,0,0,88,34,0,0,0,0,0,0,62,0,0,0,2,0,0,0,80,34,0,0,0,0,0,0,62,0,0,0,3,0,0,0,64,34,0,0,0,0,0,0,62,0,0,0,4,0,0,0,232,33,0,0,0,0,0,0,63,0,0,0,1,0,0,0,216,33,0,0,0,0,0,0,63,0,0,0,1,0,0,0,152,33,0,0,0,0,0,0,63,0,0,0,1,0,0,0,144,33,0,0,0,0,0,0,63,0,0,0,2,0,0,0,128,33,0,0,0,0,0,0,63,0,0,0,2,0,0,0,112,33,0,0,0,0,0,0,63,0,0,0,3,0,0,0,96,33,0,0,0,0,0,0,63,0,0,0,3,0,0,0,88,33,0,0,0,0,0,0,63,0,0,0,4,0,0,0,72,33,0,0,0,0,0,0,63,0,0,0,4,0,0,0,56,33,0,0,0,0,0,0,63,0,0,0,5,0,0,0,32,33,0,0,0,0,0,0,63,0,0,0,5,0,0,0,24,33,0,0,0,0,0,0,63,0,0,0,6,0,0,0,184,32,0,0,0,0,0,0,63,0,0,0,6,0,0,0,144,32,0,0,0,0,0,0,63,0,0,0,7,0,0,0,128,32,0,0,0,0,0,0,63,0,0,0,7,0,0,0,112,32,0,0,0,0,0,0,63,0,0,0,8,0,0,0,88,32,0,0,0,0,0,0,63,0,0,0,8,0,0,0,72,32,0,0,0,0,0,0,63,0,0,0,9,0,0,0,56,32,0,0,0,0,0,0,63,0,0,0,9,0,0,0,32,32,0,0,0,0,0,0,63,0,0,0,10,0,0,0,8,32,0,0,0,0,0,0,63,0,0,0,10,0,0,0,0,32,0,0,0,0,0,0,63,0,0,0,11,0,0,0,208,31,0,0,0,0,0,0,63,0,0,0,11,0,0,0,184,31,0,0,0,0,0,0,63,0,0,0,12,0,0,0,176,31,0,0,0,0,0,0,63,0,0,0,12,0,0,0,168,31,0,0,0,0,0,0,63,0,0,0,13,0,0,0,144,31,0,0,0,0,0,0,63,0,0,0,13,0,0,0,128,31,0,0,0,0,0,0,63,0,0,0,14,0,0,0,112,31,0,0,0,0,0,0,63,0,0,0,14,0,0,0,96,31,0,0,0,0,0,0,63,0,0,0,14,0,0,0,72,31,0,0,0,0,0,0,63,0,0,0,15,0,0,0,56,31,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,64,0,0,0,0,0,0,0,240,30,0,0,0,0,0,0,64,0,0,0,64,0,0,0,232,30,0,0,0,0,0,0,64,0,0,0,1,0,0,0,224,30,0,0,0,0,0,0,64,0,0,0,65,0,0,0,184,30,0,0,0,0,0,0,64,0,0,0,2,0,0,0,176,30,0,0,0,0,0,0,64,0,0,0,66,0,0,0,168,30,0,0,0,0,0,0,64,0,0,0,3,0,0,0,160,30,0,0,0,0,0,0,64,0,0,0,68,0,0,0,112,30,0,0,0,0,0,0,64,0,0,0,69,0,0,0,104,30,0,0,0,0,0,0,64,0,0,0,70,0,0,0,56,30,0,0,0,0,0,0,64,0,0,0,71,0,0,0,40,30,0,0,0,0,0,0,64,0,0,0,72,0,0,0,32,30,0,0,0,0,0,0,64,0,0,0,73,0,0,0,24,30,0,0,0,0,0,0,64,0,0,0,74,0,0,0,232,29,0,0,0,0,0,0,64,0,0,0,75,0,0,0,224,29,0,0,0,0,0,0,64,0,0,0,76,0,0,0,216,29,0,0,0,0,0,0,64,0,0,0,77,0,0,0,208,29,0,0,0,0,0,0,64,0,0,0,78,0,0,0,176,29,0,0,0,0,0,0,64,0,0,0,79,0,0,0,168,29,0,0,0,0,0,0,64,0,0,0,80,0,0,0,128,29,0,0,0,0,0,0,64,0,0,0,81,0,0,0,104,29,0,0,0,0,0,0,64,0,0,0,82,0,0,0,96,29,0,0,0,0,0,0,64,0,0,0,83,0,0,0,88,29,0,0,0,0,0,0,64,0,0,0,84,0,0,0,64,29,0,0,0,0,0,0,64,0,0,0,85,0,0,0,56,29,0,0,0,0,0,0,64,0,0,0,86,0,0,0,48,29,0,0,0,0,0,0,64,0,0,0,87,0,0,0,40,29,0,0,0,0,0,0,64,0,0,0,89,0,0,0,240,28,0,0,0,0,0,0,64,0,0,0,91,0,0,0,232,28,0,0,0,0,0,0,64,0,0,0,92,0,0,0,176,28,0,0,0,0,0,0,64,0,0,0,93,0,0,0,152,28,0,0,0,0,0,0,64,0,0,0,94,0,0,0,144,28,0,0,0,0,0,0,64,0,0,0,95,0,0,0,136,28,0,0,0,0,0,0,64,0,0,0,96,0,0,0,120,28,0,0,0,0,0,0,64,0,0,0,97,0,0,0,112,28,0,0,0,0,0,0,64,0,0,0,98,0,0,0,104,28,0,0,0,0,0,0,64,0,0,0,99,0,0,0,96,28,0,0,0,0,0,0,64,0,0,0,100,0,0,0,80,28,0,0,0,0,0,0,64,0,0,0,101,0,0,0,72,28,0,0,0,0,0,0,64,0,0,0,102,0,0,0,40,28,0,0,0,0,0,0,64,0,0,0,103,0,0,0,24,28,0,0,0,0,0,0,64,0,0,0,104,0,0,0,16,28,0,0,0,0,0,0,64,0,0,0,105,0,0,0,8,28,0,0,0,0,0,0,64,0,0,0,106,0,0,0,240,27,0,0,0,0,0,0,64,0,0,0,107,0,0,0,232,27,0,0,0,0,0,0,64,0,0,0,108,0,0,0,224,27,0,0,0,0,0,0,64,0,0,0,109,0,0,0,216,27,0,0,0,0,0,0,64,0,0,0,110,0,0,0,168,27,0,0,0,0,0,0,64,0,0,0,111,0,0,0,160,27,0,0,0,0,0,0,64,0,0,0,48,0,0,0,120,27,0,0,0,0,0,0,64,0,0,0,49,0,0,0,104,27,0,0,0,0,0,0,64,0,0,0,114,0,0,0,96,27,0,0,0,0,0,0,64,0,0,0,115,0,0,0,88,27,0,0,0,0,0,0,64,0,0,0,116,0,0,0,64,27,0,0,0,0,0,0,64,0,0,0,117,0,0,0,56,27,0,0,0,0,0,0,64,0,0,0,118,0,0,0,48,27,0,0,0,0,0,0,64,0,0,0,119,0,0,0,40,27,0,0,0,0,0,0,64,0,0,0,120,0,0,0,24,27,0,0,0,0,0,0,64,0,0,0,121,0,0,0,16,27,0,0,0,0,0,0,64,0,0,0,58,0,0,0,224,26,0,0,0,0,0,0,64,0,0,0,59,0,0,0,208,26,0,0,0,0,0,0,64,0,0,0,21,0,0,0,152,26,0,0,0,0,0,0,64,0,0,0,22,0,0,0,144,26,0,0,0,0,0,0,64,0,0,0,23,0,0,0,104,26,0,0,0,0,0,0,64,0,0,0,24,0,0,0,96,26,0,0,0,0,0,0,64,0,0,0,25,0,0,0,88,26,0,0,0,0,0,0,64,0,0,0,33,0,0,0,72,26,0,0,0,0,0,0,64,0,0,0,51,0,0,0,16,26,0,0,0,0,0,0,65,0,0,0,4,0,0,0,8,26,0,0,0,0,0,0,65,0,0,0,2,0,0,0,232,25,0,0,0,0,0,0,65,0,0,0,1,0,0,0,216,25,0,0,0,0,0,0,65,0,0,0,8,0,0,0,208,25,0,0,0,0,0,0,66,0,0,0,16,0,0,0,200,25,0,0,0,0,0,0,66,0,0,0,17,0,0,0,192,25,0,0,0,0,0,0,66,0,0,0,18,0,0,0,152,25,0,0,0,0,0,0,66,0,0,0,19,0,0,0,144,25,0,0,0,0,0,0,66,0,0,0,20,0,0,0,136,25,0,0,0,0,0,0,66,0,0,0,21,0,0,0,120,25,0,0,0,0,0,0,66,0,0,0,22,0,0,0,112,25,0,0,0,0,0,0,66,0,0,0,23,0,0,0,48,25,0,0,0,0,0,0,66,0,0,0,24,0,0,0,32,25,0,0,0,0,0,0,66,0,0,0,25,0,0,0,24,25,0,0,0,0,0,0,66,0,0,0,26,0,0,0,16,25,0,0,0,0,0,0,66,0,0,0,27,0,0,0,8,25,0,0,0,0,0,0,66,0,0,0,28,0,0,0,216,24,0,0,0,0,0,0,66,0,0,0,29,0,0,0,208,24,0,0,0,0,0,0,66,0,0,0,30,0,0,0,200,24,0,0,0,0,0,0,66,0,0,0,31,0,0,0,144,24,0,0,0,0,0,0,78,0,0,0,0,0,0,0,136,24,0,0,0,0,0,0,67,0,0,0,0,0,0,0,96,24,0,0,0,0,0,0,67,0,0,0,255,255,255,255,80,24,0,0,0,0,0,0,67,0,0,0,0,0,0,128,72,24,0,0,0,0,0,0,67,0,0,0,255,255,255,127,64,24,0,0,0,0,0,0,68,0,0,0,219,15,73,64,56,24,0,0,0,0,0,0,67,0,0,0,1,0,0,0,32,24,0,0,0,0,0,0,67,0,0,0,2,0,0,0,24,24,0,0,0,0,0,0,67,0,0,0,4,0,0,0,16,24,0,0,0,0,0,0,67,0,0,0,8,0,0,0,200,23,0,0,0,0,0,0,67,0,0,0,16,0,0,0,192,23,0,0,0,0,0,0,67,0,0,0,32,0,0,0,144,23,0,0,0,0,0,0,67,0,0,0,64,0,0,0,128,23,0,0,0,0,0,0,67,0,0,0,128,0,0,0,120,23,0,0,0,0,0,0,67,0,0,0,0,1,0,0,112,23,0,0,0,0,0,0,67,0,0,0,0,2,0,0,104,23,0,0,0,0,0,0,67,0,0,0,0,4,0,0,80,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,28,0,0,0,0,0,0,0,79,0,0,0,0,0,0,208,76,0,0,0,0,0,0], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+10240);
function runPostSets() {

tempBigInt=(((__ZTVN10__cxxabiv117__class_type_infoE+8)|0));HEAP8[(12208 )]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(12209 )]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(12210 )]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(12211 )]=tempBigInt&0xff;
tempBigInt=(((__ZTVN10__cxxabiv120__si_class_type_infoE+8)|0));HEAP8[(12216 )]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(12217 )]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(12218 )]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(12219 )]=tempBigInt&0xff;
tempBigInt=__ZTISt9exception;HEAP8[(12224 )]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(12225 )]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(12226 )]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(12227 )]=tempBigInt&0xff;
tempBigInt=(((__ZTVN10__cxxabiv120__si_class_type_infoE+8)|0));HEAP8[(12232 )]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(12233 )]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(12234 )]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(12235 )]=tempBigInt&0xff;
tempBigInt=(((__ZTVN10__cxxabiv120__si_class_type_infoE+8)|0));HEAP8[(12248 )]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(12249 )]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(12250 )]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(12251 )]=tempBigInt&0xff;
tempBigInt=(((__ZTVN10__cxxabiv120__si_class_type_infoE+8)|0));HEAP8[(12264 )]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(12265 )]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(12266 )]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(12267 )]=tempBigInt&0xff;
tempBigInt=(((__ZTVN10__cxxabiv117__class_type_infoE+8)|0));HEAP8[(12280 )]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(12281 )]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(12282 )]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(12283 )]=tempBigInt&0xff;
tempBigInt=(((__ZTVN10__cxxabiv120__si_class_type_infoE+8)|0));HEAP8[(12288 )]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(12289 )]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(12290 )]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(12291 )]=tempBigInt&0xff;
}

var tempDoublePtr = Runtime.alignMemory(allocate(12, "i8", ALLOC_STATIC), 8);

assert(tempDoublePtr % 8 == 0);

function copyTempFloat(ptr) { // functions, because inlining this code increases code size too much

  HEAP8[tempDoublePtr] = HEAP8[ptr];

  HEAP8[tempDoublePtr+1] = HEAP8[ptr+1];

  HEAP8[tempDoublePtr+2] = HEAP8[ptr+2];

  HEAP8[tempDoublePtr+3] = HEAP8[ptr+3];

}

function copyTempDouble(ptr) {

  HEAP8[tempDoublePtr] = HEAP8[ptr];

  HEAP8[tempDoublePtr+1] = HEAP8[ptr+1];

  HEAP8[tempDoublePtr+2] = HEAP8[ptr+2];

  HEAP8[tempDoublePtr+3] = HEAP8[ptr+3];

  HEAP8[tempDoublePtr+4] = HEAP8[ptr+4];

  HEAP8[tempDoublePtr+5] = HEAP8[ptr+5];

  HEAP8[tempDoublePtr+6] = HEAP8[ptr+6];

  HEAP8[tempDoublePtr+7] = HEAP8[ptr+7];

}


  var _llvm_dbg_declare=undefined;

  
  
  
  function _strlen(ptr) {
      ptr = ptr|0;
      var curr = 0;
      curr = ptr;
      while (HEAP8[(curr)]) {
        curr = (curr + 1)|0;
      }
      return (curr - ptr)|0;
    }
  
  function __reallyNegative(x) {
      return x < 0 || (x === 0 && (1/x) === -Infinity);
    }function __formatString(format, varargs) {
      var textIndex = format;
      var argIndex = 0;
      function getNextArg(type) {
        // NOTE: Explicitly ignoring type safety. Otherwise this fails:
        //       int x = 4; printf("%c\n", (char)x);
        var ret;
        if (type === 'double') {
          ret = (HEAP32[((tempDoublePtr)>>2)]=((((HEAPU8[(((varargs)+(argIndex))|0)])|(HEAPU8[(((varargs)+((argIndex)+(1)))|0)]<<8)|(HEAPU8[(((varargs)+((argIndex)+(2)))|0)]<<16)|(HEAPU8[(((varargs)+((argIndex)+(3)))|0)]<<24))|0)),HEAP32[(((tempDoublePtr)+(4))>>2)]=((((HEAPU8[(((varargs)+((argIndex)+(4)))|0)])|(HEAPU8[(((varargs)+(((argIndex)+(4))+(1)))|0)]<<8)|(HEAPU8[(((varargs)+(((argIndex)+(4))+(2)))|0)]<<16)|(HEAPU8[(((varargs)+(((argIndex)+(4))+(3)))|0)]<<24))|0)),HEAPF64[(tempDoublePtr)>>3]);
        } else if (type == 'i64') {
          ret = [((((HEAPU8[(((varargs)+(argIndex))|0)])|(HEAPU8[(((varargs)+((argIndex)+(1)))|0)]<<8)|(HEAPU8[(((varargs)+((argIndex)+(2)))|0)]<<16)|(HEAPU8[(((varargs)+((argIndex)+(3)))|0)]<<24))|0)),
                 ((((HEAPU8[(((varargs)+(argIndex+8))|0)])|(HEAPU8[(((varargs)+((argIndex+8)+(1)))|0)]<<8)|(HEAPU8[(((varargs)+((argIndex+8)+(2)))|0)]<<16)|(HEAPU8[(((varargs)+((argIndex+8)+(3)))|0)]<<24))|0))];
          argIndex += 8; // each 32-bit chunk is in a 64-bit block
  
        } else {
          type = 'i32'; // varargs are always i32, i64, or double
          ret = ((((HEAPU8[(((varargs)+(argIndex))|0)])|(HEAPU8[(((varargs)+((argIndex)+(1)))|0)]<<8)|(HEAPU8[(((varargs)+((argIndex)+(2)))|0)]<<16)|(HEAPU8[(((varargs)+((argIndex)+(3)))|0)]<<24))|0));
        }
        argIndex += Math.max(Runtime.getNativeFieldSize(type), Runtime.getAlignSize(type, null, true));
        return ret;
      }
  
      var ret = [];
      var curr, next, currArg;
      while(1) {
        var startTextIndex = textIndex;
        curr = HEAP8[(textIndex)];
        if (curr === 0) break;
        next = HEAP8[((textIndex+1)|0)];
        if (curr == 37) {
          // Handle flags.
          var flagAlwaysSigned = false;
          var flagLeftAlign = false;
          var flagAlternative = false;
          var flagZeroPad = false;
          var flagPadSign = false;
          flagsLoop: while (1) {
            switch (next) {
              case 43:
                flagAlwaysSigned = true;
                break;
              case 45:
                flagLeftAlign = true;
                break;
              case 35:
                flagAlternative = true;
                break;
              case 48:
                if (flagZeroPad) {
                  break flagsLoop;
                } else {
                  flagZeroPad = true;
                  break;
                }
              case 32:
                flagPadSign = true;
                break;
              default:
                break flagsLoop;
            }
            textIndex++;
            next = HEAP8[((textIndex+1)|0)];
          }
  
          // Handle width.
          var width = 0;
          if (next == 42) {
            width = getNextArg('i32');
            textIndex++;
            next = HEAP8[((textIndex+1)|0)];
          } else {
            while (next >= 48 && next <= 57) {
              width = width * 10 + (next - 48);
              textIndex++;
              next = HEAP8[((textIndex+1)|0)];
            }
          }
  
          // Handle precision.
          var precisionSet = false, precision = -1;
          if (next == 46) {
            precision = 0;
            precisionSet = true;
            textIndex++;
            next = HEAP8[((textIndex+1)|0)];
            if (next == 42) {
              precision = getNextArg('i32');
              textIndex++;
            } else {
              while(1) {
                var precisionChr = HEAP8[((textIndex+1)|0)];
                if (precisionChr < 48 ||
                    precisionChr > 57) break;
                precision = precision * 10 + (precisionChr - 48);
                textIndex++;
              }
            }
            next = HEAP8[((textIndex+1)|0)];
          }
          if (precision === -1) {
            precision = 6; // Standard default.
            precisionSet = false;
          }
  
          // Handle integer sizes. WARNING: These assume a 32-bit architecture!
          var argSize;
          switch (String.fromCharCode(next)) {
            case 'h':
              var nextNext = HEAP8[((textIndex+2)|0)];
              if (nextNext == 104) {
                textIndex++;
                argSize = 1; // char (actually i32 in varargs)
              } else {
                argSize = 2; // short (actually i32 in varargs)
              }
              break;
            case 'l':
              var nextNext = HEAP8[((textIndex+2)|0)];
              if (nextNext == 108) {
                textIndex++;
                argSize = 8; // long long
              } else {
                argSize = 4; // long
              }
              break;
            case 'L': // long long
            case 'q': // int64_t
            case 'j': // intmax_t
              argSize = 8;
              break;
            case 'z': // size_t
            case 't': // ptrdiff_t
            case 'I': // signed ptrdiff_t or unsigned size_t
              argSize = 4;
              break;
            default:
              argSize = null;
          }
          if (argSize) textIndex++;
          next = HEAP8[((textIndex+1)|0)];
  
          // Handle type specifier.
          switch (String.fromCharCode(next)) {
            case 'd': case 'i': case 'u': case 'o': case 'x': case 'X': case 'p': {
              // Integer.
              var signed = next == 100 || next == 105;
              argSize = argSize || 4;
              var currArg = getNextArg('i' + (argSize * 8));
              var origArg = currArg;
              var argText;
              // Flatten i64-1 [low, high] into a (slightly rounded) double
              if (argSize == 8) {
                currArg = Runtime.makeBigInt(currArg[0], currArg[1], next == 117);
              }
              // Truncate to requested size.
              if (argSize <= 4) {
                var limit = Math.pow(256, argSize) - 1;
                currArg = (signed ? reSign : unSign)(currArg & limit, argSize * 8);
              }
              // Format the number.
              var currAbsArg = Math.abs(currArg);
              var prefix = '';
              if (next == 100 || next == 105) {
                if (argSize == 8 && i64Math) argText = i64Math.stringify(origArg[0], origArg[1], null); else
                argText = reSign(currArg, 8 * argSize, 1).toString(10);
              } else if (next == 117) {
                if (argSize == 8 && i64Math) argText = i64Math.stringify(origArg[0], origArg[1], true); else
                argText = unSign(currArg, 8 * argSize, 1).toString(10);
                currArg = Math.abs(currArg);
              } else if (next == 111) {
                argText = (flagAlternative ? '0' : '') + currAbsArg.toString(8);
              } else if (next == 120 || next == 88) {
                prefix = (flagAlternative && currArg != 0) ? '0x' : '';
                if (argSize == 8 && i64Math) {
                  if (origArg[1]) {
                    argText = (origArg[1]>>>0).toString(16);
                    var lower = (origArg[0]>>>0).toString(16);
                    while (lower.length < 8) lower = '0' + lower;
                    argText += lower;
                  } else {
                    argText = (origArg[0]>>>0).toString(16);
                  }
                } else
                if (currArg < 0) {
                  // Represent negative numbers in hex as 2's complement.
                  currArg = -currArg;
                  argText = (currAbsArg - 1).toString(16);
                  var buffer = [];
                  for (var i = 0; i < argText.length; i++) {
                    buffer.push((0xF - parseInt(argText[i], 16)).toString(16));
                  }
                  argText = buffer.join('');
                  while (argText.length < argSize * 2) argText = 'f' + argText;
                } else {
                  argText = currAbsArg.toString(16);
                }
                if (next == 88) {
                  prefix = prefix.toUpperCase();
                  argText = argText.toUpperCase();
                }
              } else if (next == 112) {
                if (currAbsArg === 0) {
                  argText = '(nil)';
                } else {
                  prefix = '0x';
                  argText = currAbsArg.toString(16);
                }
              }
              if (precisionSet) {
                while (argText.length < precision) {
                  argText = '0' + argText;
                }
              }
  
              // Add sign if needed
              if (currArg >= 0) {
                if (flagAlwaysSigned) {
                  prefix = '+' + prefix;
                } else if (flagPadSign) {
                  prefix = ' ' + prefix;
                }
              }
  
              // Move sign to prefix so we zero-pad after the sign
              if (argText.charAt(0) == '-') {
                prefix = '-' + prefix;
                argText = argText.substr(1);
              }
  
              // Add padding.
              while (prefix.length + argText.length < width) {
                if (flagLeftAlign) {
                  argText += ' ';
                } else {
                  if (flagZeroPad) {
                    argText = '0' + argText;
                  } else {
                    prefix = ' ' + prefix;
                  }
                }
              }
  
              // Insert the result into the buffer.
              argText = prefix + argText;
              argText.split('').forEach(function(chr) {
                ret.push(chr.charCodeAt(0));
              });
              break;
            }
            case 'f': case 'F': case 'e': case 'E': case 'g': case 'G': {
              // Float.
              var currArg = getNextArg('double');
              var argText;
              if (isNaN(currArg)) {
                argText = 'nan';
                flagZeroPad = false;
              } else if (!isFinite(currArg)) {
                argText = (currArg < 0 ? '-' : '') + 'inf';
                flagZeroPad = false;
              } else {
                var isGeneral = false;
                var effectivePrecision = Math.min(precision, 20);
  
                // Convert g/G to f/F or e/E, as per:
                // http://pubs.opengroup.org/onlinepubs/9699919799/functions/printf.html
                if (next == 103 || next == 71) {
                  isGeneral = true;
                  precision = precision || 1;
                  var exponent = parseInt(currArg.toExponential(effectivePrecision).split('e')[1], 10);
                  if (precision > exponent && exponent >= -4) {
                    next = ((next == 103) ? 'f' : 'F').charCodeAt(0);
                    precision -= exponent + 1;
                  } else {
                    next = ((next == 103) ? 'e' : 'E').charCodeAt(0);
                    precision--;
                  }
                  effectivePrecision = Math.min(precision, 20);
                }
  
                if (next == 101 || next == 69) {
                  argText = currArg.toExponential(effectivePrecision);
                  // Make sure the exponent has at least 2 digits.
                  if (/[eE][-+]\d$/.test(argText)) {
                    argText = argText.slice(0, -1) + '0' + argText.slice(-1);
                  }
                } else if (next == 102 || next == 70) {
                  argText = currArg.toFixed(effectivePrecision);
                  if (currArg === 0 && __reallyNegative(currArg)) {
                    argText = '-' + argText;
                  }
                }
  
                var parts = argText.split('e');
                if (isGeneral && !flagAlternative) {
                  // Discard trailing zeros and periods.
                  while (parts[0].length > 1 && parts[0].indexOf('.') != -1 &&
                         (parts[0].slice(-1) == '0' || parts[0].slice(-1) == '.')) {
                    parts[0] = parts[0].slice(0, -1);
                  }
                } else {
                  // Make sure we have a period in alternative mode.
                  if (flagAlternative && argText.indexOf('.') == -1) parts[0] += '.';
                  // Zero pad until required precision.
                  while (precision > effectivePrecision++) parts[0] += '0';
                }
                argText = parts[0] + (parts.length > 1 ? 'e' + parts[1] : '');
  
                // Capitalize 'E' if needed.
                if (next == 69) argText = argText.toUpperCase();
  
                // Add sign.
                if (currArg >= 0) {
                  if (flagAlwaysSigned) {
                    argText = '+' + argText;
                  } else if (flagPadSign) {
                    argText = ' ' + argText;
                  }
                }
              }
  
              // Add padding.
              while (argText.length < width) {
                if (flagLeftAlign) {
                  argText += ' ';
                } else {
                  if (flagZeroPad && (argText[0] == '-' || argText[0] == '+')) {
                    argText = argText[0] + '0' + argText.slice(1);
                  } else {
                    argText = (flagZeroPad ? '0' : ' ') + argText;
                  }
                }
              }
  
              // Adjust case.
              if (next < 97) argText = argText.toUpperCase();
  
              // Insert the result into the buffer.
              argText.split('').forEach(function(chr) {
                ret.push(chr.charCodeAt(0));
              });
              break;
            }
            case 's': {
              // String.
              var arg = getNextArg('i8*');
              var argLength = arg ? _strlen(arg) : '(null)'.length;
              if (precisionSet) argLength = Math.min(argLength, precision);
              if (!flagLeftAlign) {
                while (argLength < width--) {
                  ret.push(32);
                }
              }
              if (arg) {
                for (var i = 0; i < argLength; i++) {
                  ret.push(HEAPU8[((arg++)|0)]);
                }
              } else {
                ret = ret.concat(intArrayFromString('(null)'.substr(0, argLength), true));
              }
              if (flagLeftAlign) {
                while (argLength < width--) {
                  ret.push(32);
                }
              }
              break;
            }
            case 'c': {
              // Character.
              if (flagLeftAlign) ret.push(getNextArg('i8'));
              while (--width > 0) {
                ret.push(32);
              }
              if (!flagLeftAlign) ret.push(getNextArg('i8'));
              break;
            }
            case 'n': {
              // Write the length written so far to the next parameter.
              var ptr = getNextArg('i32*');
              tempBigInt=ret.length;HEAP8[(ptr)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((ptr)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((ptr)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((ptr)+(3))|0)]=tempBigInt&0xff;
              break;
            }
            case '%': {
              // Literal percent sign.
              ret.push(curr);
              break;
            }
            default: {
              // Unknown specifiers remain untouched.
              for (var i = startTextIndex; i < textIndex + 2; i++) {
                ret.push(HEAP8[(i)]);
              }
            }
          }
          textIndex += 2;
          // TODO: Support a/A (hex float) and m (last error) specifiers.
          // TODO: Support %1${specifier} for arg selection.
        } else {
          ret.push(curr);
          textIndex += 1;
        }
      }
      return ret;
    }function _snprintf(s, n, format, varargs) {
      // int snprintf(char *restrict s, size_t n, const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      var result = __formatString(format, varargs);
      var limit = (n === undefined) ? result.length
                                    : Math.min(result.length, Math.max(n - 1, 0));
      if (s < 0) {
        s = -s;
        var buf = _malloc(limit+1);
        tempBigInt=buf;HEAP8[(s)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((s)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((s)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((s)+(3))|0)]=tempBigInt&0xff;
        s = buf;
      }
      for (var i = 0; i < limit; i++) {
        HEAP8[(((s)+(i))|0)]=result[i];
      }
      if (limit < n || (n === undefined)) HEAP8[(((s)+(i))|0)]=0;
      return result.length;
    }function _sprintf(s, format, varargs) {
      // int sprintf(char *restrict s, const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      return _snprintf(s, undefined, format, varargs);
    }


  function _strcpy(pdest, psrc) {
      pdest = pdest|0; psrc = psrc|0;
      var i = 0;
      do {
        HEAP8[(((pdest+i)|0)|0)]=HEAP8[(((psrc+i)|0)|0)];
        i = (i+1)|0;
      } while (HEAP8[(((psrc)+(i-1))|0)]);
      return pdest|0;
    }

  function _strrchr(ptr, chr) {
      var ptr2 = ptr + _strlen(ptr);
      do {
        if (HEAP8[(ptr2)] == chr) return ptr2;
        ptr2--;
      } while (ptr2 >= ptr);
      return 0;
    }

  function _strncpy(pdest, psrc, num) {
      pdest = pdest|0; psrc = psrc|0; num = num|0;
      var padding = 0, curr = 0, i = 0;
      while ((i|0) < (num|0)) {
        curr = padding ? 0 : HEAP8[(((psrc)+(i))|0)];
        HEAP8[(((pdest)+(i))|0)]=curr;
        padding = padding ? 1 : (HEAP8[(((psrc)+(i))|0)] == 0);
        i = (i+1)|0;
      }
      return pdest|0;
    }

  
  
  var ERRNO_CODES={EPERM:1,ENOENT:2,ESRCH:3,EINTR:4,EIO:5,ENXIO:6,E2BIG:7,ENOEXEC:8,EBADF:9,ECHILD:10,EAGAIN:11,EWOULDBLOCK:11,ENOMEM:12,EACCES:13,EFAULT:14,ENOTBLK:15,EBUSY:16,EEXIST:17,EXDEV:18,ENODEV:19,ENOTDIR:20,EISDIR:21,EINVAL:22,ENFILE:23,EMFILE:24,ENOTTY:25,ETXTBSY:26,EFBIG:27,ENOSPC:28,ESPIPE:29,EROFS:30,EMLINK:31,EPIPE:32,EDOM:33,ERANGE:34,ENOMSG:42,EIDRM:43,ECHRNG:44,EL2NSYNC:45,EL3HLT:46,EL3RST:47,ELNRNG:48,EUNATCH:49,ENOCSI:50,EL2HLT:51,EDEADLK:35,ENOLCK:37,EBADE:52,EBADR:53,EXFULL:54,ENOANO:55,EBADRQC:56,EBADSLT:57,EDEADLOCK:35,EBFONT:59,ENOSTR:60,ENODATA:61,ETIME:62,ENOSR:63,ENONET:64,ENOPKG:65,EREMOTE:66,ENOLINK:67,EADV:68,ESRMNT:69,ECOMM:70,EPROTO:71,EMULTIHOP:72,EDOTDOT:73,EBADMSG:74,ENOTUNIQ:76,EBADFD:77,EREMCHG:78,ELIBACC:79,ELIBBAD:80,ELIBSCN:81,ELIBMAX:82,ELIBEXEC:83,ENOSYS:38,ENOTEMPTY:39,ENAMETOOLONG:36,ELOOP:40,EOPNOTSUPP:95,EPFNOSUPPORT:96,ECONNRESET:104,ENOBUFS:105,EAFNOSUPPORT:97,EPROTOTYPE:91,ENOTSOCK:88,ENOPROTOOPT:92,ESHUTDOWN:108,ECONNREFUSED:111,EADDRINUSE:98,ECONNABORTED:103,ENETUNREACH:101,ENETDOWN:100,ETIMEDOUT:110,EHOSTDOWN:112,EHOSTUNREACH:113,EINPROGRESS:115,EALREADY:114,EDESTADDRREQ:89,EMSGSIZE:90,EPROTONOSUPPORT:93,ESOCKTNOSUPPORT:94,EADDRNOTAVAIL:99,ENETRESET:102,EISCONN:106,ENOTCONN:107,ETOOMANYREFS:109,EUSERS:87,EDQUOT:122,ESTALE:116,ENOTSUP:95,ENOMEDIUM:123,EILSEQ:84,EOVERFLOW:75,ECANCELED:125,ENOTRECOVERABLE:131,EOWNERDEAD:130,ESTRPIPE:86};
  
  var ERRNO_MESSAGES={0:"Success",1:"Not super-user",2:"No such file or directory",3:"No such process",4:"Interrupted system call",5:"I/O error",6:"No such device or address",7:"Arg list too long",8:"Exec format error",9:"Bad file number",10:"No children",11:"No more processes",12:"Not enough core",13:"Permission denied",14:"Bad address",15:"Block device required",16:"Mount device busy",17:"File exists",18:"Cross-device link",19:"No such device",20:"Not a directory",21:"Is a directory",22:"Invalid argument",23:"Too many open files in system",24:"Too many open files",25:"Not a typewriter",26:"Text file busy",27:"File too large",28:"No space left on device",29:"Illegal seek",30:"Read only file system",31:"Too many links",32:"Broken pipe",33:"Math arg out of domain of func",34:"Math result not representable",35:"File locking deadlock error",36:"File or path name too long",37:"No record locks available",38:"Function not implemented",39:"Directory not empty",40:"Too many symbolic links",42:"No message of desired type",43:"Identifier removed",44:"Channel number out of range",45:"Level 2 not synchronized",46:"Level 3 halted",47:"Level 3 reset",48:"Link number out of range",49:"Protocol driver not attached",50:"No CSI structure available",51:"Level 2 halted",52:"Invalid exchange",53:"Invalid request descriptor",54:"Exchange full",55:"No anode",56:"Invalid request code",57:"Invalid slot",59:"Bad font file fmt",60:"Device not a stream",61:"No data (for no delay io)",62:"Timer expired",63:"Out of streams resources",64:"Machine is not on the network",65:"Package not installed",66:"The object is remote",67:"The link has been severed",68:"Advertise error",69:"Srmount error",70:"Communication error on send",71:"Protocol error",72:"Multihop attempted",73:"Cross mount point (not really error)",74:"Trying to read unreadable message",75:"Value too large for defined data type",76:"Given log. name not unique",77:"f.d. invalid for this operation",78:"Remote address changed",79:"Can   access a needed shared lib",80:"Accessing a corrupted shared lib",81:".lib section in a.out corrupted",82:"Attempting to link in too many libs",83:"Attempting to exec a shared library",84:"Illegal byte sequence",86:"Streams pipe error",87:"Too many users",88:"Socket operation on non-socket",89:"Destination address required",90:"Message too long",91:"Protocol wrong type for socket",92:"Protocol not available",93:"Unknown protocol",94:"Socket type not supported",95:"Not supported",96:"Protocol family not supported",97:"Address family not supported by protocol family",98:"Address already in use",99:"Address not available",100:"Network interface is not configured",101:"Network is unreachable",102:"Connection reset by network",103:"Connection aborted",104:"Connection reset by peer",105:"No buffer space available",106:"Socket is already connected",107:"Socket is not connected",108:"Can't send after socket shutdown",109:"Too many references",110:"Connection timed out",111:"Connection refused",112:"Host is down",113:"Host is unreachable",114:"Socket already connected",115:"Connection already in progress",116:"Stale file handle",122:"Quota exceeded",123:"No medium (in tape drive)",125:"Operation canceled",130:"Previous owner died",131:"State not recoverable"};
  
  
  var ___errno_state=0;function ___setErrNo(value) {
      // For convenient setting and returning of errno.
      tempBigInt=value;HEAP8[(___errno_state)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((___errno_state)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((___errno_state)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((___errno_state)+(3))|0)]=tempBigInt&0xff;
      return value;
    }
  
  var PATH={splitPath:function (filename) {
        var splitPathRe = /^(\/?|)([\s\S]*?)((?:\.{1,2}|[^\/]+?|)(\.[^.\/]*|))(?:[\/]*)$/;
        return splitPathRe.exec(filename).slice(1);
      },normalizeArray:function (parts, allowAboveRoot) {
        // if the path tries to go above the root, `up` ends up > 0
        var up = 0;
        for (var i = parts.length - 1; i >= 0; i--) {
          var last = parts[i];
          if (last === '.') {
            parts.splice(i, 1);
          } else if (last === '..') {
            parts.splice(i, 1);
            up++;
          } else if (up) {
            parts.splice(i, 1);
            up--;
          }
        }
        // if the path is allowed to go above the root, restore leading ..s
        if (allowAboveRoot) {
          for (; up--; up) {
            parts.unshift('..');
          }
        }
        return parts;
      },normalize:function (path) {
        var isAbsolute = path.charAt(0) === '/',
            trailingSlash = path.substr(-1) === '/';
        // Normalize the path
        path = PATH.normalizeArray(path.split('/').filter(function(p) {
          return !!p;
        }), !isAbsolute).join('/');
        if (!path && !isAbsolute) {
          path = '.';
        }
        if (path && trailingSlash) {
          path += '/';
        }
        return (isAbsolute ? '/' : '') + path;
      },dirname:function (path) {
        var result = PATH.splitPath(path),
            root = result[0],
            dir = result[1];
        if (!root && !dir) {
          // No dirname whatsoever
          return '.';
        }
        if (dir) {
          // It has a dirname, strip trailing slash
          dir = dir.substr(0, dir.length - 1);
        }
        return root + dir;
      },basename:function (path) {
        // EMSCRIPTEN return '/'' for '/', not an empty string
        if (path === '/') return '/';
        var lastSlash = path.lastIndexOf('/');
        if (lastSlash === -1) return path;
        return path.substr(lastSlash+1);
      },extname:function (path) {
        return PATH.splitPath(path)[3];
      },join:function () {
        var paths = Array.prototype.slice.call(arguments, 0);
        return PATH.normalize(paths.join('/'));
      },join2:function (l, r) {
        return PATH.normalize(l + '/' + r);
      },resolve:function () {
        var resolvedPath = '',
          resolvedAbsolute = false;
        for (var i = arguments.length - 1; i >= -1 && !resolvedAbsolute; i--) {
          var path = (i >= 0) ? arguments[i] : FS.cwd();
          // Skip empty and invalid entries
          if (typeof path !== 'string') {
            throw new TypeError('Arguments to path.resolve must be strings');
          } else if (!path) {
            continue;
          }
          resolvedPath = path + '/' + resolvedPath;
          resolvedAbsolute = path.charAt(0) === '/';
        }
        // At this point the path should be resolved to a full absolute path, but
        // handle relative paths to be safe (might happen when process.cwd() fails)
        resolvedPath = PATH.normalizeArray(resolvedPath.split('/').filter(function(p) {
          return !!p;
        }), !resolvedAbsolute).join('/');
        return ((resolvedAbsolute ? '/' : '') + resolvedPath) || '.';
      },relative:function (from, to) {
        from = PATH.resolve(from).substr(1);
        to = PATH.resolve(to).substr(1);
        function trim(arr) {
          var start = 0;
          for (; start < arr.length; start++) {
            if (arr[start] !== '') break;
          }
          var end = arr.length - 1;
          for (; end >= 0; end--) {
            if (arr[end] !== '') break;
          }
          if (start > end) return [];
          return arr.slice(start, end - start + 1);
        }
        var fromParts = trim(from.split('/'));
        var toParts = trim(to.split('/'));
        var length = Math.min(fromParts.length, toParts.length);
        var samePartsLength = length;
        for (var i = 0; i < length; i++) {
          if (fromParts[i] !== toParts[i]) {
            samePartsLength = i;
            break;
          }
        }
        var outputParts = [];
        for (var i = samePartsLength; i < fromParts.length; i++) {
          outputParts.push('..');
        }
        outputParts = outputParts.concat(toParts.slice(samePartsLength));
        return outputParts.join('/');
      }};
  
  var TTY={ttys:[],init:function () {
        // https://github.com/kripken/emscripten/pull/1555
        // if (ENVIRONMENT_IS_NODE) {
        //   // currently, FS.init does not distinguish if process.stdin is a file or TTY
        //   // device, it always assumes it's a TTY device. because of this, we're forcing
        //   // process.stdin to UTF8 encoding to at least make stdin reading compatible
        //   // with text files until FS.init can be refactored.
        //   process['stdin']['setEncoding']('utf8');
        // }
      },shutdown:function () {
        // https://github.com/kripken/emscripten/pull/1555
        // if (ENVIRONMENT_IS_NODE) {
        //   // inolen: any idea as to why node -e 'process.stdin.read()' wouldn't exit immediately (with process.stdin being a tty)?
        //   // isaacs: because now it's reading from the stream, you've expressed interest in it, so that read() kicks off a _read() which creates a ReadReq operation
        //   // inolen: I thought read() in that case was a synchronous operation that just grabbed some amount of buffered data if it exists?
        //   // isaacs: it is. but it also triggers a _read() call, which calls readStart() on the handle
        //   // isaacs: do process.stdin.pause() and i'd think it'd probably close the pending call
        //   process['stdin']['pause']();
        // }
      },register:function (dev, ops) {
        TTY.ttys[dev] = { input: [], output: [], ops: ops };
        FS.registerDevice(dev, TTY.stream_ops);
      },stream_ops:{open:function (stream) {
          var tty = TTY.ttys[stream.node.rdev];
          if (!tty) {
            throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
          }
          stream.tty = tty;
          stream.seekable = false;
        },close:function (stream) {
          // flush any pending line data
          if (stream.tty.output.length) {
            stream.tty.ops.put_char(stream.tty, 10);
          }
        },read:function (stream, buffer, offset, length, pos /* ignored */) {
          if (!stream.tty || !stream.tty.ops.get_char) {
            throw new FS.ErrnoError(ERRNO_CODES.ENXIO);
          }
          var bytesRead = 0;
          for (var i = 0; i < length; i++) {
            var result;
            try {
              result = stream.tty.ops.get_char(stream.tty);
            } catch (e) {
              throw new FS.ErrnoError(ERRNO_CODES.EIO);
            }
            if (result === undefined && bytesRead === 0) {
              throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
            }
            if (result === null || result === undefined) break;
            bytesRead++;
            buffer[offset+i] = result;
          }
          if (bytesRead) {
            stream.node.timestamp = Date.now();
          }
          return bytesRead;
        },write:function (stream, buffer, offset, length, pos) {
          if (!stream.tty || !stream.tty.ops.put_char) {
            throw new FS.ErrnoError(ERRNO_CODES.ENXIO);
          }
          for (var i = 0; i < length; i++) {
            try {
              stream.tty.ops.put_char(stream.tty, buffer[offset+i]);
            } catch (e) {
              throw new FS.ErrnoError(ERRNO_CODES.EIO);
            }
          }
          if (length) {
            stream.node.timestamp = Date.now();
          }
          return i;
        }},default_tty_ops:{get_char:function (tty) {
          if (!tty.input.length) {
            var result = null;
            if (ENVIRONMENT_IS_NODE) {
              result = process['stdin']['read']();
              if (!result) {
                if (process['stdin']['_readableState'] && process['stdin']['_readableState']['ended']) {
                  return null;  // EOF
                }
                return undefined;  // no data available
              }
            } else if (typeof window != 'undefined' &&
              typeof window.prompt == 'function') {
              // Browser.
              result = window.prompt('Input: ');  // returns null on cancel
              if (result !== null) {
                result += '\n';
              }
            } else if (typeof readline == 'function') {
              // Command line.
              result = readline();
              if (result !== null) {
                result += '\n';
              }
            }
            if (!result) {
              return null;
            }
            tty.input = intArrayFromString(result, true);
          }
          return tty.input.shift();
        },put_char:function (tty, val) {
          if (val === null || val === 10) {
            Module['print'](tty.output.join(''));
            tty.output = [];
          } else {
            tty.output.push(TTY.utf8.processCChar(val));
          }
        }},default_tty1_ops:{put_char:function (tty, val) {
          if (val === null || val === 10) {
            Module['printErr'](tty.output.join(''));
            tty.output = [];
          } else {
            tty.output.push(TTY.utf8.processCChar(val));
          }
        }}};
  
  var MEMFS={ops_table:null,CONTENT_OWNING:1,CONTENT_FLEXIBLE:2,CONTENT_FIXED:3,mount:function (mount) {
        return MEMFS.createNode(null, '/', 16384 | 0777, 0);
      },createNode:function (parent, name, mode, dev) {
        if (FS.isBlkdev(mode) || FS.isFIFO(mode)) {
          // no supported
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (!MEMFS.ops_table) {
          MEMFS.ops_table = {
            dir: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr,
                lookup: MEMFS.node_ops.lookup,
                mknod: MEMFS.node_ops.mknod,
                mknod: MEMFS.node_ops.mknod,
                rename: MEMFS.node_ops.rename,
                unlink: MEMFS.node_ops.unlink,
                rmdir: MEMFS.node_ops.rmdir,
                readdir: MEMFS.node_ops.readdir,
                symlink: MEMFS.node_ops.symlink
              },
              stream: {
                llseek: MEMFS.stream_ops.llseek
              }
            },
            file: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr
              },
              stream: {
                llseek: MEMFS.stream_ops.llseek,
                read: MEMFS.stream_ops.read,
                write: MEMFS.stream_ops.write,
                allocate: MEMFS.stream_ops.allocate,
                mmap: MEMFS.stream_ops.mmap
              }
            },
            link: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr,
                readlink: MEMFS.node_ops.readlink
              },
              stream: {}
            },
            chrdev: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr
              },
              stream: FS.chrdev_stream_ops
            },
          };
        }
        var node = FS.createNode(parent, name, mode, dev);
        if (FS.isDir(node.mode)) {
          node.node_ops = MEMFS.ops_table.dir.node;
          node.stream_ops = MEMFS.ops_table.dir.stream;
          node.contents = {};
        } else if (FS.isFile(node.mode)) {
          node.node_ops = MEMFS.ops_table.file.node;
          node.stream_ops = MEMFS.ops_table.file.stream;
          node.contents = [];
          node.contentMode = MEMFS.CONTENT_FLEXIBLE;
        } else if (FS.isLink(node.mode)) {
          node.node_ops = MEMFS.ops_table.link.node;
          node.stream_ops = MEMFS.ops_table.link.stream;
        } else if (FS.isChrdev(node.mode)) {
          node.node_ops = MEMFS.ops_table.chrdev.node;
          node.stream_ops = MEMFS.ops_table.chrdev.stream;
        }
        node.timestamp = Date.now();
        // add the new node to the parent
        if (parent) {
          parent.contents[name] = node;
        }
        return node;
      },ensureFlexible:function (node) {
        if (node.contentMode !== MEMFS.CONTENT_FLEXIBLE) {
          var contents = node.contents;
          node.contents = Array.prototype.slice.call(contents);
          node.contentMode = MEMFS.CONTENT_FLEXIBLE;
        }
      },node_ops:{getattr:function (node) {
          var attr = {};
          // device numbers reuse inode numbers.
          attr.dev = FS.isChrdev(node.mode) ? node.id : 1;
          attr.ino = node.id;
          attr.mode = node.mode;
          attr.nlink = 1;
          attr.uid = 0;
          attr.gid = 0;
          attr.rdev = node.rdev;
          if (FS.isDir(node.mode)) {
            attr.size = 4096;
          } else if (FS.isFile(node.mode)) {
            attr.size = node.contents.length;
          } else if (FS.isLink(node.mode)) {
            attr.size = node.link.length;
          } else {
            attr.size = 0;
          }
          attr.atime = new Date(node.timestamp);
          attr.mtime = new Date(node.timestamp);
          attr.ctime = new Date(node.timestamp);
          // NOTE: In our implementation, st_blocks = Math.ceil(st_size/st_blksize),
          //       but this is not required by the standard.
          attr.blksize = 4096;
          attr.blocks = Math.ceil(attr.size / attr.blksize);
          return attr;
        },setattr:function (node, attr) {
          if (attr.mode !== undefined) {
            node.mode = attr.mode;
          }
          if (attr.timestamp !== undefined) {
            node.timestamp = attr.timestamp;
          }
          if (attr.size !== undefined) {
            MEMFS.ensureFlexible(node);
            var contents = node.contents;
            if (attr.size < contents.length) contents.length = attr.size;
            else while (attr.size > contents.length) contents.push(0);
          }
        },lookup:function (parent, name) {
          throw FS.genericErrors[ERRNO_CODES.ENOENT];
        },mknod:function (parent, name, mode, dev) {
          return MEMFS.createNode(parent, name, mode, dev);
        },rename:function (old_node, new_dir, new_name) {
          // if we're overwriting a directory at new_name, make sure it's empty.
          if (FS.isDir(old_node.mode)) {
            var new_node;
            try {
              new_node = FS.lookupNode(new_dir, new_name);
            } catch (e) {
            }
            if (new_node) {
              for (var i in new_node.contents) {
                throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY);
              }
            }
          }
          // do the internal rewiring
          delete old_node.parent.contents[old_node.name];
          old_node.name = new_name;
          new_dir.contents[new_name] = old_node;
          old_node.parent = new_dir;
        },unlink:function (parent, name) {
          delete parent.contents[name];
        },rmdir:function (parent, name) {
          var node = FS.lookupNode(parent, name);
          for (var i in node.contents) {
            throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY);
          }
          delete parent.contents[name];
        },readdir:function (node) {
          var entries = ['.', '..']
          for (var key in node.contents) {
            if (!node.contents.hasOwnProperty(key)) {
              continue;
            }
            entries.push(key);
          }
          return entries;
        },symlink:function (parent, newname, oldpath) {
          var node = MEMFS.createNode(parent, newname, 0777 | 40960, 0);
          node.link = oldpath;
          return node;
        },readlink:function (node) {
          if (!FS.isLink(node.mode)) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
          return node.link;
        }},stream_ops:{read:function (stream, buffer, offset, length, position) {
          var contents = stream.node.contents;
          if (position >= contents.length)
            return 0;
          var size = Math.min(contents.length - position, length);
          assert(size >= 0);
          if (size > 8 && contents.subarray) { // non-trivial, and typed array
            buffer.set(contents.subarray(position, position + size), offset);
          } else
          {
            for (var i = 0; i < size; i++) {
              buffer[offset + i] = contents[position + i];
            }
          }
          return size;
        },write:function (stream, buffer, offset, length, position, canOwn) {
          var node = stream.node;
          node.timestamp = Date.now();
          var contents = node.contents;
          if (length && contents.length === 0 && position === 0 && buffer.subarray) {
            // just replace it with the new data
            assert(buffer.length);
            if (canOwn && offset === 0) {
              node.contents = buffer; // this could be a subarray of Emscripten HEAP, or allocated from some other source.
              node.contentMode = (buffer.buffer === HEAP8.buffer) ? MEMFS.CONTENT_OWNING : MEMFS.CONTENT_FIXED;
            } else {
              node.contents = new Uint8Array(buffer.subarray(offset, offset+length));
              node.contentMode = MEMFS.CONTENT_FIXED;
            }
            return length;
          }
          MEMFS.ensureFlexible(node);
          var contents = node.contents;
          while (contents.length < position) contents.push(0);
          for (var i = 0; i < length; i++) {
            contents[position + i] = buffer[offset + i];
          }
          return length;
        },llseek:function (stream, offset, whence) {
          var position = offset;
          if (whence === 1) {  // SEEK_CUR.
            position += stream.position;
          } else if (whence === 2) {  // SEEK_END.
            if (FS.isFile(stream.node.mode)) {
              position += stream.node.contents.length;
            }
          }
          if (position < 0) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
          stream.ungotten = [];
          stream.position = position;
          return position;
        },allocate:function (stream, offset, length) {
          MEMFS.ensureFlexible(stream.node);
          var contents = stream.node.contents;
          var limit = offset + length;
          while (limit > contents.length) contents.push(0);
        },mmap:function (stream, buffer, offset, length, position, prot, flags) {
          if (!FS.isFile(stream.node.mode)) {
            throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
          }
          var ptr;
          var allocated;
          var contents = stream.node.contents;
          // Only make a new copy when MAP_PRIVATE is specified.
          if ( !(flags & 2) &&
                (contents.buffer === buffer || contents.buffer === buffer.buffer) ) {
            // We can't emulate MAP_SHARED when the file is not backed by the buffer
            // we're mapping to (e.g. the HEAP buffer).
            allocated = false;
            ptr = contents.byteOffset;
          } else {
            // Try to avoid unnecessary slices.
            if (position > 0 || position + length < contents.length) {
              if (contents.subarray) {
                contents = contents.subarray(position, position + length);
              } else {
                contents = Array.prototype.slice.call(contents, position, position + length);
              }
            }
            allocated = true;
            ptr = _malloc(length);
            if (!ptr) {
              throw new FS.ErrnoError(ERRNO_CODES.ENOMEM);
            }
            buffer.set(contents, ptr);
          }
          return { ptr: ptr, allocated: allocated };
        }}};
  
  var IDBFS={dbs:{},indexedDB:function () {
        return window.indexedDB || window.mozIndexedDB || window.webkitIndexedDB || window.msIndexedDB;
      },DB_VERSION:20,DB_STORE_NAME:"FILE_DATA",mount:function (mount) {
        return MEMFS.mount.apply(null, arguments);
      },syncfs:function (mount, populate, callback) {
        IDBFS.getLocalSet(mount, function(err, local) {
          if (err) return callback(err);
  
          IDBFS.getRemoteSet(mount, function(err, remote) {
            if (err) return callback(err);
  
            var src = populate ? remote : local;
            var dst = populate ? local : remote;
  
            IDBFS.reconcile(src, dst, callback);
          });
        });
      },reconcile:function (src, dst, callback) {
        var total = 0;
  
        var create = {};
        for (var key in src.files) {
          if (!src.files.hasOwnProperty(key)) continue;
          var e = src.files[key];
          var e2 = dst.files[key];
          if (!e2 || e.timestamp > e2.timestamp) {
            create[key] = e;
            total++;
          }
        }
  
        var remove = {};
        for (var key in dst.files) {
          if (!dst.files.hasOwnProperty(key)) continue;
          var e = dst.files[key];
          var e2 = src.files[key];
          if (!e2) {
            remove[key] = e;
            total++;
          }
        }
  
        if (!total) {
          // early out
          return callback(null);
        }
  
        var completed = 0;
        function done(err) {
          if (err) return callback(err);
          if (++completed >= total) {
            return callback(null);
          }
        };
  
        // create a single transaction to handle and IDB reads / writes we'll need to do
        var db = src.type === 'remote' ? src.db : dst.db;
        var transaction = db.transaction([IDBFS.DB_STORE_NAME], 'readwrite');
        transaction.onerror = function transaction_onerror() { callback(this.error); };
        var store = transaction.objectStore(IDBFS.DB_STORE_NAME);
  
        for (var path in create) {
          if (!create.hasOwnProperty(path)) continue;
          var entry = create[path];
  
          if (dst.type === 'local') {
            // save file to local
            try {
              if (FS.isDir(entry.mode)) {
                FS.mkdir(path, entry.mode);
              } else if (FS.isFile(entry.mode)) {
                var stream = FS.open(path, 'w+', 0666);
                FS.write(stream, entry.contents, 0, entry.contents.length, 0, true /* canOwn */);
                FS.close(stream);
              }
              done(null);
            } catch (e) {
              return done(e);
            }
          } else {
            // save file to IDB
            var req = store.put(entry, path);
            req.onsuccess = function req_onsuccess() { done(null); };
            req.onerror = function req_onerror() { done(this.error); };
          }
        }
  
        for (var path in remove) {
          if (!remove.hasOwnProperty(path)) continue;
          var entry = remove[path];
  
          if (dst.type === 'local') {
            // delete file from local
            try {
              if (FS.isDir(entry.mode)) {
                // TODO recursive delete?
                FS.rmdir(path);
              } else if (FS.isFile(entry.mode)) {
                FS.unlink(path);
              }
              done(null);
            } catch (e) {
              return done(e);
            }
          } else {
            // delete file from IDB
            var req = store.delete(path);
            req.onsuccess = function req_onsuccess() { done(null); };
            req.onerror = function req_onerror() { done(this.error); };
          }
        }
      },getLocalSet:function (mount, callback) {
        var files = {};
  
        function isRealDir(p) {
          return p !== '.' && p !== '..';
        };
        function toAbsolute(root) {
          return function(p) {
            return PATH.join2(root, p);
          }
        };
  
        var check = FS.readdir(mount.mountpoint)
          .filter(isRealDir)
          .map(toAbsolute(mount.mountpoint));
  
        while (check.length) {
          var path = check.pop();
          var stat, node;
  
          try {
            var lookup = FS.lookupPath(path);
            node = lookup.node;
            stat = FS.stat(path);
          } catch (e) {
            return callback(e);
          }
  
          if (FS.isDir(stat.mode)) {
            check.push.apply(check, FS.readdir(path)
              .filter(isRealDir)
              .map(toAbsolute(path)));
  
            files[path] = { mode: stat.mode, timestamp: stat.mtime };
          } else if (FS.isFile(stat.mode)) {
            files[path] = { contents: node.contents, mode: stat.mode, timestamp: stat.mtime };
          } else {
            return callback(new Error('node type not supported'));
          }
        }
  
        return callback(null, { type: 'local', files: files });
      },getDB:function (name, callback) {
        // look it up in the cache
        var db = IDBFS.dbs[name];
        if (db) {
          return callback(null, db);
        }
        var req;
        try {
          req = IDBFS.indexedDB().open(name, IDBFS.DB_VERSION);
        } catch (e) {
          return onerror(e);
        }
        req.onupgradeneeded = function req_onupgradeneeded() {
          db = req.result;
          db.createObjectStore(IDBFS.DB_STORE_NAME);
        };
        req.onsuccess = function req_onsuccess() {
          db = req.result;
          // add to the cache
          IDBFS.dbs[name] = db;
          callback(null, db);
        };
        req.onerror = function req_onerror() {
          callback(this.error);
        };
      },getRemoteSet:function (mount, callback) {
        var files = {};
  
        IDBFS.getDB(mount.mountpoint, function(err, db) {
          if (err) return callback(err);
  
          var transaction = db.transaction([IDBFS.DB_STORE_NAME], 'readonly');
          transaction.onerror = function transaction_onerror() { callback(this.error); };
  
          var store = transaction.objectStore(IDBFS.DB_STORE_NAME);
          store.openCursor().onsuccess = function store_openCursor_onsuccess(event) {
            var cursor = event.target.result;
            if (!cursor) {
              return callback(null, { type: 'remote', db: db, files: files });
            }
  
            files[cursor.key] = cursor.value;
            cursor.continue();
          };
        });
      }};
  
  var NODEFS={isWindows:false,staticInit:function () {
        NODEFS.isWindows = !!process.platform.match(/^win/);
      },mount:function (mount) {
        assert(ENVIRONMENT_IS_NODE);
        return NODEFS.createNode(null, '/', NODEFS.getMode(mount.opts.root), 0);
      },createNode:function (parent, name, mode, dev) {
        if (!FS.isDir(mode) && !FS.isFile(mode) && !FS.isLink(mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var node = FS.createNode(parent, name, mode);
        node.node_ops = NODEFS.node_ops;
        node.stream_ops = NODEFS.stream_ops;
        return node;
      },getMode:function (path) {
        var stat;
        try {
          stat = fs.lstatSync(path);
          if (NODEFS.isWindows) {
            // On Windows, directories return permission bits 'rw-rw-rw-', even though they have 'rwxrwxrwx', so 
            // propagate write bits to execute bits.
            stat.mode = stat.mode | ((stat.mode & 146) >> 1);
          }
        } catch (e) {
          if (!e.code) throw e;
          throw new FS.ErrnoError(ERRNO_CODES[e.code]);
        }
        return stat.mode;
      },realPath:function (node) {
        var parts = [];
        while (node.parent !== node) {
          parts.push(node.name);
          node = node.parent;
        }
        parts.push(node.mount.opts.root);
        parts.reverse();
        return PATH.join.apply(null, parts);
      },flagsToPermissionStringMap:{0:"r",1:"r+",2:"r+",64:"r",65:"r+",66:"r+",129:"rx+",193:"rx+",514:"w+",577:"w",578:"w+",705:"wx",706:"wx+",1024:"a",1025:"a",1026:"a+",1089:"a",1090:"a+",1153:"ax",1154:"ax+",1217:"ax",1218:"ax+",4096:"rs",4098:"rs+"},flagsToPermissionString:function (flags) {
        if (flags in NODEFS.flagsToPermissionStringMap) {
          return NODEFS.flagsToPermissionStringMap[flags];
        } else {
          return flags;
        }
      },node_ops:{getattr:function (node) {
          var path = NODEFS.realPath(node);
          var stat;
          try {
            stat = fs.lstatSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          // node.js v0.10.20 doesn't report blksize and blocks on Windows. Fake them with default blksize of 4096.
          // See http://support.microsoft.com/kb/140365
          if (NODEFS.isWindows && !stat.blksize) {
            stat.blksize = 4096;
          }
          if (NODEFS.isWindows && !stat.blocks) {
            stat.blocks = (stat.size+stat.blksize-1)/stat.blksize|0;
          }
          return {
            dev: stat.dev,
            ino: stat.ino,
            mode: stat.mode,
            nlink: stat.nlink,
            uid: stat.uid,
            gid: stat.gid,
            rdev: stat.rdev,
            size: stat.size,
            atime: stat.atime,
            mtime: stat.mtime,
            ctime: stat.ctime,
            blksize: stat.blksize,
            blocks: stat.blocks
          };
        },setattr:function (node, attr) {
          var path = NODEFS.realPath(node);
          try {
            if (attr.mode !== undefined) {
              fs.chmodSync(path, attr.mode);
              // update the common node structure mode as well
              node.mode = attr.mode;
            }
            if (attr.timestamp !== undefined) {
              var date = new Date(attr.timestamp);
              fs.utimesSync(path, date, date);
            }
            if (attr.size !== undefined) {
              fs.truncateSync(path, attr.size);
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },lookup:function (parent, name) {
          var path = PATH.join2(NODEFS.realPath(parent), name);
          var mode = NODEFS.getMode(path);
          return NODEFS.createNode(parent, name, mode);
        },mknod:function (parent, name, mode, dev) {
          var node = NODEFS.createNode(parent, name, mode, dev);
          // create the backing node for this in the fs root as well
          var path = NODEFS.realPath(node);
          try {
            if (FS.isDir(node.mode)) {
              fs.mkdirSync(path, node.mode);
            } else {
              fs.writeFileSync(path, '', { mode: node.mode });
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          return node;
        },rename:function (oldNode, newDir, newName) {
          var oldPath = NODEFS.realPath(oldNode);
          var newPath = PATH.join2(NODEFS.realPath(newDir), newName);
          try {
            fs.renameSync(oldPath, newPath);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },unlink:function (parent, name) {
          var path = PATH.join2(NODEFS.realPath(parent), name);
          try {
            fs.unlinkSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },rmdir:function (parent, name) {
          var path = PATH.join2(NODEFS.realPath(parent), name);
          try {
            fs.rmdirSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },readdir:function (node) {
          var path = NODEFS.realPath(node);
          try {
            return fs.readdirSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },symlink:function (parent, newName, oldPath) {
          var newPath = PATH.join2(NODEFS.realPath(parent), newName);
          try {
            fs.symlinkSync(oldPath, newPath);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },readlink:function (node) {
          var path = NODEFS.realPath(node);
          try {
            return fs.readlinkSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        }},stream_ops:{open:function (stream) {
          var path = NODEFS.realPath(stream.node);
          try {
            if (FS.isFile(stream.node.mode)) {
              stream.nfd = fs.openSync(path, NODEFS.flagsToPermissionString(stream.flags));
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },close:function (stream) {
          try {
            if (FS.isFile(stream.node.mode) && stream.nfd) {
              fs.closeSync(stream.nfd);
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },read:function (stream, buffer, offset, length, position) {
          // FIXME this is terrible.
          var nbuffer = new Buffer(length);
          var res;
          try {
            res = fs.readSync(stream.nfd, nbuffer, 0, length, position);
          } catch (e) {
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          if (res > 0) {
            for (var i = 0; i < res; i++) {
              buffer[offset + i] = nbuffer[i];
            }
          }
          return res;
        },write:function (stream, buffer, offset, length, position) {
          // FIXME this is terrible.
          var nbuffer = new Buffer(buffer.subarray(offset, offset + length));
          var res;
          try {
            res = fs.writeSync(stream.nfd, nbuffer, 0, length, position);
          } catch (e) {
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          return res;
        },llseek:function (stream, offset, whence) {
          var position = offset;
          if (whence === 1) {  // SEEK_CUR.
            position += stream.position;
          } else if (whence === 2) {  // SEEK_END.
            if (FS.isFile(stream.node.mode)) {
              try {
                var stat = fs.fstatSync(stream.nfd);
                position += stat.size;
              } catch (e) {
                throw new FS.ErrnoError(ERRNO_CODES[e.code]);
              }
            }
          }
  
          if (position < 0) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
  
          stream.position = position;
          return position;
        }}};
  
  var _stdin=allocate(1, "i32*", ALLOC_STATIC);
  
  var _stdout=allocate(1, "i32*", ALLOC_STATIC);
  
  var _stderr=allocate(1, "i32*", ALLOC_STATIC);
  
  function _fflush(stream) {
      // int fflush(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fflush.html
      // we don't currently perform any user-space buffering of data
    }var FS={root:null,mounts:[],devices:[null],streams:[null],nextInode:1,nameTable:null,currentPath:"/",initialized:false,ignorePermissions:true,ErrnoError:null,genericErrors:{},handleFSError:function (e) {
        if (!(e instanceof FS.ErrnoError)) throw e + ' : ' + stackTrace();
        return ___setErrNo(e.errno);
      },lookupPath:function (path, opts) {
        path = PATH.resolve(FS.cwd(), path);
        opts = opts || { recurse_count: 0 };
  
        if (opts.recurse_count > 8) {  // max recursive lookup of 8
          throw new FS.ErrnoError(ERRNO_CODES.ELOOP);
        }
  
        // split the path
        var parts = PATH.normalizeArray(path.split('/').filter(function(p) {
          return !!p;
        }), false);
  
        // start at the root
        var current = FS.root;
        var current_path = '/';
  
        for (var i = 0; i < parts.length; i++) {
          var islast = (i === parts.length-1);
          if (islast && opts.parent) {
            // stop resolving
            break;
          }
  
          current = FS.lookupNode(current, parts[i]);
          current_path = PATH.join2(current_path, parts[i]);
  
          // jump to the mount's root node if this is a mountpoint
          if (FS.isMountpoint(current)) {
            current = current.mount.root;
          }
  
          // follow symlinks
          // by default, lookupPath will not follow a symlink if it is the final path component.
          // setting opts.follow = true will override this behavior.
          if (!islast || opts.follow) {
            var count = 0;
            while (FS.isLink(current.mode)) {
              var link = FS.readlink(current_path);
              current_path = PATH.resolve(PATH.dirname(current_path), link);
              
              var lookup = FS.lookupPath(current_path, { recurse_count: opts.recurse_count });
              current = lookup.node;
  
              if (count++ > 40) {  // limit max consecutive symlinks to 40 (SYMLOOP_MAX).
                throw new FS.ErrnoError(ERRNO_CODES.ELOOP);
              }
            }
          }
        }
  
        return { path: current_path, node: current };
      },getPath:function (node) {
        var path;
        while (true) {
          if (FS.isRoot(node)) {
            var mount = node.mount.mountpoint;
            if (!path) return mount;
            return mount[mount.length-1] !== '/' ? mount + '/' + path : mount + path;
          }
          path = path ? node.name + '/' + path : node.name;
          node = node.parent;
        }
      },hashName:function (parentid, name) {
        var hash = 0;
  
  
        for (var i = 0; i < name.length; i++) {
          hash = ((hash << 5) - hash + name.charCodeAt(i)) | 0;
        }
        return ((parentid + hash) >>> 0) % FS.nameTable.length;
      },hashAddNode:function (node) {
        var hash = FS.hashName(node.parent.id, node.name);
        node.name_next = FS.nameTable[hash];
        FS.nameTable[hash] = node;
      },hashRemoveNode:function (node) {
        var hash = FS.hashName(node.parent.id, node.name);
        if (FS.nameTable[hash] === node) {
          FS.nameTable[hash] = node.name_next;
        } else {
          var current = FS.nameTable[hash];
          while (current) {
            if (current.name_next === node) {
              current.name_next = node.name_next;
              break;
            }
            current = current.name_next;
          }
        }
      },lookupNode:function (parent, name) {
        var err = FS.mayLookup(parent);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        var hash = FS.hashName(parent.id, name);
        for (var node = FS.nameTable[hash]; node; node = node.name_next) {
          var nodeName = node.name;
          if (node.parent.id === parent.id && nodeName === name) {
            return node;
          }
        }
        // if we failed to find it in the cache, call into the VFS
        return FS.lookup(parent, name);
      },createNode:function (parent, name, mode, rdev) {
        if (!FS.FSNode) {
          FS.FSNode = function(parent, name, mode, rdev) {
            this.id = FS.nextInode++;
            this.name = name;
            this.mode = mode;
            this.node_ops = {};
            this.stream_ops = {};
            this.rdev = rdev;
            this.parent = null;
            this.mount = null;
            if (!parent) {
              parent = this;  // root node sets parent to itself
            }
            this.parent = parent;
            this.mount = parent.mount;
            FS.hashAddNode(this);
          };
  
          // compatibility
          var readMode = 292 | 73;
          var writeMode = 146;
  
          FS.FSNode.prototype = {};
  
          // NOTE we must use Object.defineProperties instead of individual calls to
          // Object.defineProperty in order to make closure compiler happy
          Object.defineProperties(FS.FSNode.prototype, {
            read: {
              get: function() { return (this.mode & readMode) === readMode; },
              set: function(val) { val ? this.mode |= readMode : this.mode &= ~readMode; }
            },
            write: {
              get: function() { return (this.mode & writeMode) === writeMode; },
              set: function(val) { val ? this.mode |= writeMode : this.mode &= ~writeMode; }
            },
            isFolder: {
              get: function() { return FS.isDir(this.mode); },
            },
            isDevice: {
              get: function() { return FS.isChrdev(this.mode); },
            },
          });
        }
        return new FS.FSNode(parent, name, mode, rdev);
      },destroyNode:function (node) {
        FS.hashRemoveNode(node);
      },isRoot:function (node) {
        return node === node.parent;
      },isMountpoint:function (node) {
        return node.mounted;
      },isFile:function (mode) {
        return (mode & 61440) === 32768;
      },isDir:function (mode) {
        return (mode & 61440) === 16384;
      },isLink:function (mode) {
        return (mode & 61440) === 40960;
      },isChrdev:function (mode) {
        return (mode & 61440) === 8192;
      },isBlkdev:function (mode) {
        return (mode & 61440) === 24576;
      },isFIFO:function (mode) {
        return (mode & 61440) === 4096;
      },isSocket:function (mode) {
        return (mode & 49152) === 49152;
      },flagModes:{"r":0,"rs":1052672,"r+":2,"w":577,"wx":705,"xw":705,"w+":578,"wx+":706,"xw+":706,"a":1089,"ax":1217,"xa":1217,"a+":1090,"ax+":1218,"xa+":1218},modeStringToFlags:function (str) {
        var flags = FS.flagModes[str];
        if (typeof flags === 'undefined') {
          throw new Error('Unknown file open mode: ' + str);
        }
        return flags;
      },flagsToPermissionString:function (flag) {
        var accmode = flag & 2097155;
        var perms = ['r', 'w', 'rw'][accmode];
        if ((flag & 512)) {
          perms += 'w';
        }
        return perms;
      },nodePermissions:function (node, perms) {
        if (FS.ignorePermissions) {
          return 0;
        }
        // return 0 if any user, group or owner bits are set.
        if (perms.indexOf('r') !== -1 && !(node.mode & 292)) {
          return ERRNO_CODES.EACCES;
        } else if (perms.indexOf('w') !== -1 && !(node.mode & 146)) {
          return ERRNO_CODES.EACCES;
        } else if (perms.indexOf('x') !== -1 && !(node.mode & 73)) {
          return ERRNO_CODES.EACCES;
        }
        return 0;
      },mayLookup:function (dir) {
        return FS.nodePermissions(dir, 'x');
      },mayCreate:function (dir, name) {
        try {
          var node = FS.lookupNode(dir, name);
          return ERRNO_CODES.EEXIST;
        } catch (e) {
        }
        return FS.nodePermissions(dir, 'wx');
      },mayDelete:function (dir, name, isdir) {
        var node;
        try {
          node = FS.lookupNode(dir, name);
        } catch (e) {
          return e.errno;
        }
        var err = FS.nodePermissions(dir, 'wx');
        if (err) {
          return err;
        }
        if (isdir) {
          if (!FS.isDir(node.mode)) {
            return ERRNO_CODES.ENOTDIR;
          }
          if (FS.isRoot(node) || FS.getPath(node) === FS.cwd()) {
            return ERRNO_CODES.EBUSY;
          }
        } else {
          if (FS.isDir(node.mode)) {
            return ERRNO_CODES.EISDIR;
          }
        }
        return 0;
      },mayOpen:function (node, flags) {
        if (!node) {
          return ERRNO_CODES.ENOENT;
        }
        if (FS.isLink(node.mode)) {
          return ERRNO_CODES.ELOOP;
        } else if (FS.isDir(node.mode)) {
          if ((flags & 2097155) !== 0 ||  // opening for write
              (flags & 512)) {
            return ERRNO_CODES.EISDIR;
          }
        }
        return FS.nodePermissions(node, FS.flagsToPermissionString(flags));
      },MAX_OPEN_FDS:4096,nextfd:function (fd_start, fd_end) {
        fd_start = fd_start || 1;
        fd_end = fd_end || FS.MAX_OPEN_FDS;
        for (var fd = fd_start; fd <= fd_end; fd++) {
          if (!FS.streams[fd]) {
            return fd;
          }
        }
        throw new FS.ErrnoError(ERRNO_CODES.EMFILE);
      },getStream:function (fd) {
        return FS.streams[fd];
      },createStream:function (stream, fd_start, fd_end) {
        if (!FS.FSStream) {
          FS.FSStream = function(){};
          FS.FSStream.prototype = {};
          // compatibility
          Object.defineProperties(FS.FSStream.prototype, {
            object: {
              get: function() { return this.node; },
              set: function(val) { this.node = val; }
            },
            isRead: {
              get: function() { return (this.flags & 2097155) !== 1; }
            },
            isWrite: {
              get: function() { return (this.flags & 2097155) !== 0; }
            },
            isAppend: {
              get: function() { return (this.flags & 1024); }
            }
          });
        }
        if (stream.__proto__) {
          // reuse the object
          stream.__proto__ = FS.FSStream.prototype;
        } else {
          var newStream = new FS.FSStream();
          for (var p in stream) {
            newStream[p] = stream[p];
          }
          stream = newStream;
        }
        var fd = FS.nextfd(fd_start, fd_end);
        stream.fd = fd;
        FS.streams[fd] = stream;
        return stream;
      },closeStream:function (fd) {
        FS.streams[fd] = null;
      },chrdev_stream_ops:{open:function (stream) {
          var device = FS.getDevice(stream.node.rdev);
          // override node's stream ops with the device's
          stream.stream_ops = device.stream_ops;
          // forward the open call
          if (stream.stream_ops.open) {
            stream.stream_ops.open(stream);
          }
        },llseek:function () {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }},major:function (dev) {
        return ((dev) >> 8);
      },minor:function (dev) {
        return ((dev) & 0xff);
      },makedev:function (ma, mi) {
        return ((ma) << 8 | (mi));
      },registerDevice:function (dev, ops) {
        FS.devices[dev] = { stream_ops: ops };
      },getDevice:function (dev) {
        return FS.devices[dev];
      },syncfs:function (populate, callback) {
        if (typeof(populate) === 'function') {
          callback = populate;
          populate = false;
        }
  
        var completed = 0;
        var total = FS.mounts.length;
        function done(err) {
          if (err) {
            return callback(err);
          }
          if (++completed >= total) {
            callback(null);
          }
        };
  
        // sync all mounts
        for (var i = 0; i < FS.mounts.length; i++) {
          var mount = FS.mounts[i];
          if (!mount.type.syncfs) {
            done(null);
            continue;
          }
          mount.type.syncfs(mount, populate, done);
        }
      },mount:function (type, opts, mountpoint) {
        var lookup;
        if (mountpoint) {
          lookup = FS.lookupPath(mountpoint, { follow: false });
          mountpoint = lookup.path;  // use the absolute path
        }
        var mount = {
          type: type,
          opts: opts,
          mountpoint: mountpoint,
          root: null
        };
        // create a root node for the fs
        var root = type.mount(mount);
        root.mount = mount;
        mount.root = root;
        // assign the mount info to the mountpoint's node
        if (lookup) {
          lookup.node.mount = mount;
          lookup.node.mounted = true;
          // compatibility update FS.root if we mount to /
          if (mountpoint === '/') {
            FS.root = mount.root;
          }
        }
        // add to our cached list of mounts
        FS.mounts.push(mount);
        return root;
      },lookup:function (parent, name) {
        return parent.node_ops.lookup(parent, name);
      },mknod:function (path, mode, dev) {
        var lookup = FS.lookupPath(path, { parent: true });
        var parent = lookup.node;
        var name = PATH.basename(path);
        var err = FS.mayCreate(parent, name);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.mknod) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        return parent.node_ops.mknod(parent, name, mode, dev);
      },create:function (path, mode) {
        mode = mode !== undefined ? mode : 0666;
        mode &= 4095;
        mode |= 32768;
        return FS.mknod(path, mode, 0);
      },mkdir:function (path, mode) {
        mode = mode !== undefined ? mode : 0777;
        mode &= 511 | 512;
        mode |= 16384;
        return FS.mknod(path, mode, 0);
      },mkdev:function (path, mode, dev) {
        if (typeof(dev) === 'undefined') {
          dev = mode;
          mode = 0666;
        }
        mode |= 8192;
        return FS.mknod(path, mode, dev);
      },symlink:function (oldpath, newpath) {
        var lookup = FS.lookupPath(newpath, { parent: true });
        var parent = lookup.node;
        var newname = PATH.basename(newpath);
        var err = FS.mayCreate(parent, newname);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.symlink) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        return parent.node_ops.symlink(parent, newname, oldpath);
      },rename:function (old_path, new_path) {
        var old_dirname = PATH.dirname(old_path);
        var new_dirname = PATH.dirname(new_path);
        var old_name = PATH.basename(old_path);
        var new_name = PATH.basename(new_path);
        // parents must exist
        var lookup, old_dir, new_dir;
        try {
          lookup = FS.lookupPath(old_path, { parent: true });
          old_dir = lookup.node;
          lookup = FS.lookupPath(new_path, { parent: true });
          new_dir = lookup.node;
        } catch (e) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        // need to be part of the same mount
        if (old_dir.mount !== new_dir.mount) {
          throw new FS.ErrnoError(ERRNO_CODES.EXDEV);
        }
        // source must exist
        var old_node = FS.lookupNode(old_dir, old_name);
        // old path should not be an ancestor of the new path
        var relative = PATH.relative(old_path, new_dirname);
        if (relative.charAt(0) !== '.') {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        // new path should not be an ancestor of the old path
        relative = PATH.relative(new_path, old_dirname);
        if (relative.charAt(0) !== '.') {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY);
        }
        // see if the new path already exists
        var new_node;
        try {
          new_node = FS.lookupNode(new_dir, new_name);
        } catch (e) {
          // not fatal
        }
        // early out if nothing needs to change
        if (old_node === new_node) {
          return;
        }
        // we'll need to delete the old entry
        var isdir = FS.isDir(old_node.mode);
        var err = FS.mayDelete(old_dir, old_name, isdir);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        // need delete permissions if we'll be overwriting.
        // need create permissions if new doesn't already exist.
        err = new_node ?
          FS.mayDelete(new_dir, new_name, isdir) :
          FS.mayCreate(new_dir, new_name);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!old_dir.node_ops.rename) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isMountpoint(old_node) || (new_node && FS.isMountpoint(new_node))) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        // if we are going to change the parent, check write permissions
        if (new_dir !== old_dir) {
          err = FS.nodePermissions(old_dir, 'w');
          if (err) {
            throw new FS.ErrnoError(err);
          }
        }
        // remove the node from the lookup hash
        FS.hashRemoveNode(old_node);
        // do the underlying fs rename
        try {
          old_dir.node_ops.rename(old_node, new_dir, new_name);
        } catch (e) {
          throw e;
        } finally {
          // add the node back to the hash (in case node_ops.rename
          // changed its name)
          FS.hashAddNode(old_node);
        }
      },rmdir:function (path) {
        var lookup = FS.lookupPath(path, { parent: true });
        var parent = lookup.node;
        var name = PATH.basename(path);
        var node = FS.lookupNode(parent, name);
        var err = FS.mayDelete(parent, name, true);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.rmdir) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isMountpoint(node)) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        parent.node_ops.rmdir(parent, name);
        FS.destroyNode(node);
      },readdir:function (path) {
        var lookup = FS.lookupPath(path, { follow: true });
        var node = lookup.node;
        if (!node.node_ops.readdir) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR);
        }
        return node.node_ops.readdir(node);
      },unlink:function (path) {
        var lookup = FS.lookupPath(path, { parent: true });
        var parent = lookup.node;
        var name = PATH.basename(path);
        var node = FS.lookupNode(parent, name);
        var err = FS.mayDelete(parent, name, false);
        if (err) {
          // POSIX says unlink should set EPERM, not EISDIR
          if (err === ERRNO_CODES.EISDIR) err = ERRNO_CODES.EPERM;
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.unlink) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isMountpoint(node)) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        parent.node_ops.unlink(parent, name);
        FS.destroyNode(node);
      },readlink:function (path) {
        var lookup = FS.lookupPath(path, { follow: false });
        var link = lookup.node;
        if (!link.node_ops.readlink) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        return link.node_ops.readlink(link);
      },stat:function (path, dontFollow) {
        var lookup = FS.lookupPath(path, { follow: !dontFollow });
        var node = lookup.node;
        if (!node.node_ops.getattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        return node.node_ops.getattr(node);
      },lstat:function (path) {
        return FS.stat(path, true);
      },chmod:function (path, mode, dontFollow) {
        var node;
        if (typeof path === 'string') {
          var lookup = FS.lookupPath(path, { follow: !dontFollow });
          node = lookup.node;
        } else {
          node = path;
        }
        if (!node.node_ops.setattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        node.node_ops.setattr(node, {
          mode: (mode & 4095) | (node.mode & ~4095),
          timestamp: Date.now()
        });
      },lchmod:function (path, mode) {
        FS.chmod(path, mode, true);
      },fchmod:function (fd, mode) {
        var stream = FS.getStream(fd);
        if (!stream) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        FS.chmod(stream.node, mode);
      },chown:function (path, uid, gid, dontFollow) {
        var node;
        if (typeof path === 'string') {
          var lookup = FS.lookupPath(path, { follow: !dontFollow });
          node = lookup.node;
        } else {
          node = path;
        }
        if (!node.node_ops.setattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        node.node_ops.setattr(node, {
          timestamp: Date.now()
          // we ignore the uid / gid for now
        });
      },lchown:function (path, uid, gid) {
        FS.chown(path, uid, gid, true);
      },fchown:function (fd, uid, gid) {
        var stream = FS.getStream(fd);
        if (!stream) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        FS.chown(stream.node, uid, gid);
      },truncate:function (path, len) {
        if (len < 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var node;
        if (typeof path === 'string') {
          var lookup = FS.lookupPath(path, { follow: true });
          node = lookup.node;
        } else {
          node = path;
        }
        if (!node.node_ops.setattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isDir(node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EISDIR);
        }
        if (!FS.isFile(node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var err = FS.nodePermissions(node, 'w');
        if (err) {
          throw new FS.ErrnoError(err);
        }
        node.node_ops.setattr(node, {
          size: len,
          timestamp: Date.now()
        });
      },ftruncate:function (fd, len) {
        var stream = FS.getStream(fd);
        if (!stream) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if ((stream.flags & 2097155) === 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        FS.truncate(stream.node, len);
      },utime:function (path, atime, mtime) {
        var lookup = FS.lookupPath(path, { follow: true });
        var node = lookup.node;
        node.node_ops.setattr(node, {
          timestamp: Math.max(atime, mtime)
        });
      },open:function (path, flags, mode, fd_start, fd_end) {
        flags = typeof flags === 'string' ? FS.modeStringToFlags(flags) : flags;
        mode = typeof mode === 'undefined' ? 0666 : mode;
        if ((flags & 64)) {
          mode = (mode & 4095) | 32768;
        } else {
          mode = 0;
        }
        var node;
        if (typeof path === 'object') {
          node = path;
        } else {
          path = PATH.normalize(path);
          try {
            var lookup = FS.lookupPath(path, {
              follow: !(flags & 131072)
            });
            node = lookup.node;
          } catch (e) {
            // ignore
          }
        }
        // perhaps we need to create the node
        if ((flags & 64)) {
          if (node) {
            // if O_CREAT and O_EXCL are set, error out if the node already exists
            if ((flags & 128)) {
              throw new FS.ErrnoError(ERRNO_CODES.EEXIST);
            }
          } else {
            // node doesn't exist, try to create it
            node = FS.mknod(path, mode, 0);
          }
        }
        if (!node) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOENT);
        }
        // can't truncate a device
        if (FS.isChrdev(node.mode)) {
          flags &= ~512;
        }
        // check permissions
        var err = FS.mayOpen(node, flags);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        // do truncation if necessary
        if ((flags & 512)) {
          FS.truncate(node, 0);
        }
        // we've already handled these, don't pass down to the underlying vfs
        flags &= ~(128 | 512);
  
        // register the stream with the filesystem
        var stream = FS.createStream({
          node: node,
          path: FS.getPath(node),  // we want the absolute path to the node
          flags: flags,
          seekable: true,
          position: 0,
          stream_ops: node.stream_ops,
          // used by the file family libc calls (fopen, fwrite, ferror, etc.)
          ungotten: [],
          error: false
        }, fd_start, fd_end);
        // call the new stream's open function
        if (stream.stream_ops.open) {
          stream.stream_ops.open(stream);
        }
        if (Module['logReadFiles'] && !(flags & 1)) {
          if (!FS.readFiles) FS.readFiles = {};
          if (!(path in FS.readFiles)) {
            FS.readFiles[path] = 1;
            Module['printErr']('read file: ' + path);
          }
        }
        return stream;
      },close:function (stream) {
        try {
          if (stream.stream_ops.close) {
            stream.stream_ops.close(stream);
          }
        } catch (e) {
          throw e;
        } finally {
          FS.closeStream(stream.fd);
        }
      },llseek:function (stream, offset, whence) {
        if (!stream.seekable || !stream.stream_ops.llseek) {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }
        return stream.stream_ops.llseek(stream, offset, whence);
      },read:function (stream, buffer, offset, length, position) {
        if (length < 0 || position < 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        if ((stream.flags & 2097155) === 1) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if (FS.isDir(stream.node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EISDIR);
        }
        if (!stream.stream_ops.read) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var seeking = true;
        if (typeof position === 'undefined') {
          position = stream.position;
          seeking = false;
        } else if (!stream.seekable) {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }
        var bytesRead = stream.stream_ops.read(stream, buffer, offset, length, position);
        if (!seeking) stream.position += bytesRead;
        return bytesRead;
      },write:function (stream, buffer, offset, length, position, canOwn) {
        if (length < 0 || position < 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        if ((stream.flags & 2097155) === 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if (FS.isDir(stream.node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EISDIR);
        }
        if (!stream.stream_ops.write) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var seeking = true;
        if (typeof position === 'undefined') {
          position = stream.position;
          seeking = false;
        } else if (!stream.seekable) {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }
        if (stream.flags & 1024) {
          // seek to the end before writing in append mode
          FS.llseek(stream, 0, 2);
        }
        var bytesWritten = stream.stream_ops.write(stream, buffer, offset, length, position, canOwn);
        if (!seeking) stream.position += bytesWritten;
        return bytesWritten;
      },allocate:function (stream, offset, length) {
        if (offset < 0 || length <= 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        if ((stream.flags & 2097155) === 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if (!FS.isFile(stream.node.mode) && !FS.isDir(node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
        }
        if (!stream.stream_ops.allocate) {
          throw new FS.ErrnoError(ERRNO_CODES.EOPNOTSUPP);
        }
        stream.stream_ops.allocate(stream, offset, length);
      },mmap:function (stream, buffer, offset, length, position, prot, flags) {
        // TODO if PROT is PROT_WRITE, make sure we have write access
        if ((stream.flags & 2097155) === 1) {
          throw new FS.ErrnoError(ERRNO_CODES.EACCES);
        }
        if (!stream.stream_ops.mmap) {
          throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
        }
        return stream.stream_ops.mmap(stream, buffer, offset, length, position, prot, flags);
      },ioctl:function (stream, cmd, arg) {
        if (!stream.stream_ops.ioctl) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTTY);
        }
        return stream.stream_ops.ioctl(stream, cmd, arg);
      },readFile:function (path, opts) {
        opts = opts || {};
        opts.flags = opts.flags || 'r';
        opts.encoding = opts.encoding || 'binary';
        var ret;
        var stream = FS.open(path, opts.flags);
        var stat = FS.stat(path);
        var length = stat.size;
        var buf = new Uint8Array(length);
        FS.read(stream, buf, 0, length, 0);
        if (opts.encoding === 'utf8') {
          ret = '';
          var utf8 = new Runtime.UTF8Processor();
          for (var i = 0; i < length; i++) {
            ret += utf8.processCChar(buf[i]);
          }
        } else if (opts.encoding === 'binary') {
          ret = buf;
        } else {
          throw new Error('Invalid encoding type "' + opts.encoding + '"');
        }
        FS.close(stream);
        return ret;
      },writeFile:function (path, data, opts) {
        opts = opts || {};
        opts.flags = opts.flags || 'w';
        opts.encoding = opts.encoding || 'utf8';
        var stream = FS.open(path, opts.flags, opts.mode);
        if (opts.encoding === 'utf8') {
          var utf8 = new Runtime.UTF8Processor();
          var buf = new Uint8Array(utf8.processJSString(data));
          FS.write(stream, buf, 0, buf.length, 0);
        } else if (opts.encoding === 'binary') {
          FS.write(stream, data, 0, data.length, 0);
        } else {
          throw new Error('Invalid encoding type "' + opts.encoding + '"');
        }
        FS.close(stream);
      },cwd:function () {
        return FS.currentPath;
      },chdir:function (path) {
        var lookup = FS.lookupPath(path, { follow: true });
        if (!FS.isDir(lookup.node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR);
        }
        var err = FS.nodePermissions(lookup.node, 'x');
        if (err) {
          throw new FS.ErrnoError(err);
        }
        FS.currentPath = lookup.path;
      },createDefaultDirectories:function () {
        FS.mkdir('/tmp');
      },createDefaultDevices:function () {
        // create /dev
        FS.mkdir('/dev');
        // setup /dev/null
        FS.registerDevice(FS.makedev(1, 3), {
          read: function() { return 0; },
          write: function() { return 0; }
        });
        FS.mkdev('/dev/null', FS.makedev(1, 3));
        // setup /dev/tty and /dev/tty1
        // stderr needs to print output using Module['printErr']
        // so we register a second tty just for it.
        TTY.register(FS.makedev(5, 0), TTY.default_tty_ops);
        TTY.register(FS.makedev(6, 0), TTY.default_tty1_ops);
        FS.mkdev('/dev/tty', FS.makedev(5, 0));
        FS.mkdev('/dev/tty1', FS.makedev(6, 0));
        // we're not going to emulate the actual shm device,
        // just create the tmp dirs that reside in it commonly
        FS.mkdir('/dev/shm');
        FS.mkdir('/dev/shm/tmp');
      },createStandardStreams:function () {
        // TODO deprecate the old functionality of a single
        // input / output callback and that utilizes FS.createDevice
        // and instead require a unique set of stream ops
  
        // by default, we symlink the standard streams to the
        // default tty devices. however, if the standard streams
        // have been overwritten we create a unique device for
        // them instead.
        if (Module['stdin']) {
          FS.createDevice('/dev', 'stdin', Module['stdin']);
        } else {
          FS.symlink('/dev/tty', '/dev/stdin');
        }
        if (Module['stdout']) {
          FS.createDevice('/dev', 'stdout', null, Module['stdout']);
        } else {
          FS.symlink('/dev/tty', '/dev/stdout');
        }
        if (Module['stderr']) {
          FS.createDevice('/dev', 'stderr', null, Module['stderr']);
        } else {
          FS.symlink('/dev/tty1', '/dev/stderr');
        }
  
        // open default streams for the stdin, stdout and stderr devices
        var stdin = FS.open('/dev/stdin', 'r');
        tempBigInt=stdin.fd;HEAP8[(_stdin)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((_stdin)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((_stdin)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((_stdin)+(3))|0)]=tempBigInt&0xff;
        assert(stdin.fd === 1, 'invalid handle for stdin (' + stdin.fd + ')');
  
        var stdout = FS.open('/dev/stdout', 'w');
        tempBigInt=stdout.fd;HEAP8[(_stdout)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((_stdout)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((_stdout)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((_stdout)+(3))|0)]=tempBigInt&0xff;
        assert(stdout.fd === 2, 'invalid handle for stdout (' + stdout.fd + ')');
  
        var stderr = FS.open('/dev/stderr', 'w');
        tempBigInt=stderr.fd;HEAP8[(_stderr)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((_stderr)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((_stderr)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((_stderr)+(3))|0)]=tempBigInt&0xff;
        assert(stderr.fd === 3, 'invalid handle for stderr (' + stderr.fd + ')');
      },ensureErrnoError:function () {
        if (FS.ErrnoError) return;
        FS.ErrnoError = function ErrnoError(errno) {
          this.errno = errno;
          for (var key in ERRNO_CODES) {
            if (ERRNO_CODES[key] === errno) {
              this.code = key;
              break;
            }
          }
          this.message = ERRNO_MESSAGES[errno];
          if (this.stack) this.stack = demangleAll(this.stack);
        };
        FS.ErrnoError.prototype = new Error();
        FS.ErrnoError.prototype.constructor = FS.ErrnoError;
        // Some errors may happen quite a bit, to avoid overhead we reuse them (and suffer a lack of stack info)
        [ERRNO_CODES.ENOENT].forEach(function(code) {
          FS.genericErrors[code] = new FS.ErrnoError(code);
          FS.genericErrors[code].stack = '<generic error, no stack>';
        });
      },staticInit:function () {
        FS.ensureErrnoError();
  
        FS.nameTable = new Array(4096);
  
        FS.root = FS.createNode(null, '/', 16384 | 0777, 0);
        FS.mount(MEMFS, {}, '/');
  
        FS.createDefaultDirectories();
        FS.createDefaultDevices();
      },init:function (input, output, error) {
        assert(!FS.init.initialized, 'FS.init was previously called. If you want to initialize later with custom parameters, remove any earlier calls (note that one is automatically added to the generated code)');
        FS.init.initialized = true;
  
        FS.ensureErrnoError();
  
        // Allow Module.stdin etc. to provide defaults, if none explicitly passed to us here
        Module['stdin'] = input || Module['stdin'];
        Module['stdout'] = output || Module['stdout'];
        Module['stderr'] = error || Module['stderr'];
  
        FS.createStandardStreams();
      },quit:function () {
        FS.init.initialized = false;
        for (var i = 0; i < FS.streams.length; i++) {
          var stream = FS.streams[i];
          if (!stream) {
            continue;
          }
          FS.close(stream);
        }
      },getMode:function (canRead, canWrite) {
        var mode = 0;
        if (canRead) mode |= 292 | 73;
        if (canWrite) mode |= 146;
        return mode;
      },joinPath:function (parts, forceRelative) {
        var path = PATH.join.apply(null, parts);
        if (forceRelative && path[0] == '/') path = path.substr(1);
        return path;
      },absolutePath:function (relative, base) {
        return PATH.resolve(base, relative);
      },standardizePath:function (path) {
        return PATH.normalize(path);
      },findObject:function (path, dontResolveLastLink) {
        var ret = FS.analyzePath(path, dontResolveLastLink);
        if (ret.exists) {
          return ret.object;
        } else {
          ___setErrNo(ret.error);
          return null;
        }
      },analyzePath:function (path, dontResolveLastLink) {
        // operate from within the context of the symlink's target
        try {
          var lookup = FS.lookupPath(path, { follow: !dontResolveLastLink });
          path = lookup.path;
        } catch (e) {
        }
        var ret = {
          isRoot: false, exists: false, error: 0, name: null, path: null, object: null,
          parentExists: false, parentPath: null, parentObject: null
        };
        try {
          var lookup = FS.lookupPath(path, { parent: true });
          ret.parentExists = true;
          ret.parentPath = lookup.path;
          ret.parentObject = lookup.node;
          ret.name = PATH.basename(path);
          lookup = FS.lookupPath(path, { follow: !dontResolveLastLink });
          ret.exists = true;
          ret.path = lookup.path;
          ret.object = lookup.node;
          ret.name = lookup.node.name;
          ret.isRoot = lookup.path === '/';
        } catch (e) {
          ret.error = e.errno;
        };
        return ret;
      },createFolder:function (parent, name, canRead, canWrite) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        var mode = FS.getMode(canRead, canWrite);
        return FS.mkdir(path, mode);
      },createPath:function (parent, path, canRead, canWrite) {
        parent = typeof parent === 'string' ? parent : FS.getPath(parent);
        var parts = path.split('/').reverse();
        while (parts.length) {
          var part = parts.pop();
          if (!part) continue;
          var current = PATH.join2(parent, part);
          try {
            FS.mkdir(current);
          } catch (e) {
            // ignore EEXIST
          }
          parent = current;
        }
        return current;
      },createFile:function (parent, name, properties, canRead, canWrite) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        var mode = FS.getMode(canRead, canWrite);
        return FS.create(path, mode);
      },createDataFile:function (parent, name, data, canRead, canWrite, canOwn) {
        var path = name ? PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name) : parent;
        var mode = FS.getMode(canRead, canWrite);
        var node = FS.create(path, mode);
        if (data) {
          if (typeof data === 'string') {
            var arr = new Array(data.length);
            for (var i = 0, len = data.length; i < len; ++i) arr[i] = data.charCodeAt(i);
            data = arr;
          }
          // make sure we can write to the file
          FS.chmod(node, mode | 146);
          var stream = FS.open(node, 'w');
          FS.write(stream, data, 0, data.length, 0, canOwn);
          FS.close(stream);
          FS.chmod(node, mode);
        }
        return node;
      },createDevice:function (parent, name, input, output) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        var mode = FS.getMode(!!input, !!output);
        if (!FS.createDevice.major) FS.createDevice.major = 64;
        var dev = FS.makedev(FS.createDevice.major++, 0);
        // Create a fake device that a set of stream ops to emulate
        // the old behavior.
        FS.registerDevice(dev, {
          open: function(stream) {
            stream.seekable = false;
          },
          close: function(stream) {
            // flush any pending line data
            if (output && output.buffer && output.buffer.length) {
              output(10);
            }
          },
          read: function(stream, buffer, offset, length, pos /* ignored */) {
            var bytesRead = 0;
            for (var i = 0; i < length; i++) {
              var result;
              try {
                result = input();
              } catch (e) {
                throw new FS.ErrnoError(ERRNO_CODES.EIO);
              }
              if (result === undefined && bytesRead === 0) {
                throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
              }
              if (result === null || result === undefined) break;
              bytesRead++;
              buffer[offset+i] = result;
            }
            if (bytesRead) {
              stream.node.timestamp = Date.now();
            }
            return bytesRead;
          },
          write: function(stream, buffer, offset, length, pos) {
            for (var i = 0; i < length; i++) {
              try {
                output(buffer[offset+i]);
              } catch (e) {
                throw new FS.ErrnoError(ERRNO_CODES.EIO);
              }
            }
            if (length) {
              stream.node.timestamp = Date.now();
            }
            return i;
          }
        });
        return FS.mkdev(path, mode, dev);
      },createLink:function (parent, name, target, canRead, canWrite) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        return FS.symlink(target, path);
      },forceLoadFile:function (obj) {
        if (obj.isDevice || obj.isFolder || obj.link || obj.contents) return true;
        var success = true;
        if (typeof XMLHttpRequest !== 'undefined') {
          throw new Error("Lazy loading should have been performed (contents set) in createLazyFile, but it was not. Lazy loading only works in web workers. Use --embed-file or --preload-file in emcc on the main thread.");
        } else if (Module['read']) {
          // Command-line.
          try {
            // WARNING: Can't read binary files in V8's d8 or tracemonkey's js, as
            //          read() will try to parse UTF8.
            obj.contents = intArrayFromString(Module['read'](obj.url), true);
          } catch (e) {
            success = false;
          }
        } else {
          throw new Error('Cannot load without read() or XMLHttpRequest.');
        }
        if (!success) ___setErrNo(ERRNO_CODES.EIO);
        return success;
      },createLazyFile:function (parent, name, url, canRead, canWrite) {
        if (typeof XMLHttpRequest !== 'undefined') {
          if (!ENVIRONMENT_IS_WORKER) throw 'Cannot do synchronous binary XHRs outside webworkers in modern browsers. Use --embed-file or --preload-file in emcc';
          // Lazy chunked Uint8Array (implements get and length from Uint8Array). Actual getting is abstracted away for eventual reuse.
          function LazyUint8Array() {
            this.lengthKnown = false;
            this.chunks = []; // Loaded chunks. Index is the chunk number
          }
          LazyUint8Array.prototype.get = function LazyUint8Array_get(idx) {
            if (idx > this.length-1 || idx < 0) {
              return undefined;
            }
            var chunkOffset = idx % this.chunkSize;
            var chunkNum = Math.floor(idx / this.chunkSize);
            return this.getter(chunkNum)[chunkOffset];
          }
          LazyUint8Array.prototype.setDataGetter = function LazyUint8Array_setDataGetter(getter) {
            this.getter = getter;
          }
          LazyUint8Array.prototype.cacheLength = function LazyUint8Array_cacheLength() {
              // Find length
              var xhr = new XMLHttpRequest();
              xhr.open('HEAD', url, false);
              xhr.send(null);
              if (!(xhr.status >= 200 && xhr.status < 300 || xhr.status === 304)) throw new Error("Couldn't load " + url + ". Status: " + xhr.status);
              var datalength = Number(xhr.getResponseHeader("Content-length"));
              var header;
              var hasByteServing = (header = xhr.getResponseHeader("Accept-Ranges")) && header === "bytes";
              var chunkSize = 1024*1024; // Chunk size in bytes
  
              if (!hasByteServing) chunkSize = datalength;
  
              // Function to get a range from the remote URL.
              var doXHR = (function(from, to) {
                if (from > to) throw new Error("invalid range (" + from + ", " + to + ") or no bytes requested!");
                if (to > datalength-1) throw new Error("only " + datalength + " bytes available! programmer error!");
  
                // TODO: Use mozResponseArrayBuffer, responseStream, etc. if available.
                var xhr = new XMLHttpRequest();
                xhr.open('GET', url, false);
                if (datalength !== chunkSize) xhr.setRequestHeader("Range", "bytes=" + from + "-" + to);
  
                // Some hints to the browser that we want binary data.
                if (typeof Uint8Array != 'undefined') xhr.responseType = 'arraybuffer';
                if (xhr.overrideMimeType) {
                  xhr.overrideMimeType('text/plain; charset=x-user-defined');
                }
  
                xhr.send(null);
                if (!(xhr.status >= 200 && xhr.status < 300 || xhr.status === 304)) throw new Error("Couldn't load " + url + ". Status: " + xhr.status);
                if (xhr.response !== undefined) {
                  return new Uint8Array(xhr.response || []);
                } else {
                  return intArrayFromString(xhr.responseText || '', true);
                }
              });
              var lazyArray = this;
              lazyArray.setDataGetter(function(chunkNum) {
                var start = chunkNum * chunkSize;
                var end = (chunkNum+1) * chunkSize - 1; // including this byte
                end = Math.min(end, datalength-1); // if datalength-1 is selected, this is the last block
                if (typeof(lazyArray.chunks[chunkNum]) === "undefined") {
                  lazyArray.chunks[chunkNum] = doXHR(start, end);
                }
                if (typeof(lazyArray.chunks[chunkNum]) === "undefined") throw new Error("doXHR failed!");
                return lazyArray.chunks[chunkNum];
              });
  
              this._length = datalength;
              this._chunkSize = chunkSize;
              this.lengthKnown = true;
          }
  
          var lazyArray = new LazyUint8Array();
          Object.defineProperty(lazyArray, "length", {
              get: function() {
                  if(!this.lengthKnown) {
                      this.cacheLength();
                  }
                  return this._length;
              }
          });
          Object.defineProperty(lazyArray, "chunkSize", {
              get: function() {
                  if(!this.lengthKnown) {
                      this.cacheLength();
                  }
                  return this._chunkSize;
              }
          });
  
          var properties = { isDevice: false, contents: lazyArray };
        } else {
          var properties = { isDevice: false, url: url };
        }
  
        var node = FS.createFile(parent, name, properties, canRead, canWrite);
        // This is a total hack, but I want to get this lazy file code out of the
        // core of MEMFS. If we want to keep this lazy file concept I feel it should
        // be its own thin LAZYFS proxying calls to MEMFS.
        if (properties.contents) {
          node.contents = properties.contents;
        } else if (properties.url) {
          node.contents = null;
          node.url = properties.url;
        }
        // override each stream op with one that tries to force load the lazy file first
        var stream_ops = {};
        var keys = Object.keys(node.stream_ops);
        keys.forEach(function(key) {
          var fn = node.stream_ops[key];
          stream_ops[key] = function forceLoadLazyFile() {
            if (!FS.forceLoadFile(node)) {
              throw new FS.ErrnoError(ERRNO_CODES.EIO);
            }
            return fn.apply(null, arguments);
          };
        });
        // use a custom read function
        stream_ops.read = function stream_ops_read(stream, buffer, offset, length, position) {
          if (!FS.forceLoadFile(node)) {
            throw new FS.ErrnoError(ERRNO_CODES.EIO);
          }
          var contents = stream.node.contents;
          if (position >= contents.length)
            return 0;
          var size = Math.min(contents.length - position, length);
          assert(size >= 0);
          if (contents.slice) { // normal array
            for (var i = 0; i < size; i++) {
              buffer[offset + i] = contents[position + i];
            }
          } else {
            for (var i = 0; i < size; i++) { // LazyUint8Array from sync binary XHR
              buffer[offset + i] = contents.get(position + i);
            }
          }
          return size;
        };
        node.stream_ops = stream_ops;
        return node;
      },createPreloadedFile:function (parent, name, url, canRead, canWrite, onload, onerror, dontCreateFile, canOwn) {
        Browser.init();
        // TODO we should allow people to just pass in a complete filename instead
        // of parent and name being that we just join them anyways
        var fullname = name ? PATH.resolve(PATH.join2(parent, name)) : parent;
        function processData(byteArray) {
          function finish(byteArray) {
            if (!dontCreateFile) {
              FS.createDataFile(parent, name, byteArray, canRead, canWrite, canOwn);
            }
            if (onload) onload();
            removeRunDependency('cp ' + fullname);
          }
          var handled = false;
          Module['preloadPlugins'].forEach(function(plugin) {
            if (handled) return;
            if (plugin['canHandle'](fullname)) {
              plugin['handle'](byteArray, fullname, finish, function() {
                if (onerror) onerror();
                removeRunDependency('cp ' + fullname);
              });
              handled = true;
            }
          });
          if (!handled) finish(byteArray);
        }
        addRunDependency('cp ' + fullname);
        if (typeof url == 'string') {
          Browser.asyncLoad(url, function(byteArray) {
            processData(byteArray);
          }, onerror);
        } else {
          processData(url);
        }
      },indexedDB:function () {
        return window.indexedDB || window.mozIndexedDB || window.webkitIndexedDB || window.msIndexedDB;
      },DB_NAME:function () {
        return 'EM_FS_' + window.location.pathname;
      },DB_VERSION:20,DB_STORE_NAME:"FILE_DATA",saveFilesToDB:function (paths, onload, onerror) {
        onload = onload || function(){};
        onerror = onerror || function(){};
        var indexedDB = FS.indexedDB();
        try {
          var openRequest = indexedDB.open(FS.DB_NAME(), FS.DB_VERSION);
        } catch (e) {
          return onerror(e);
        }
        openRequest.onupgradeneeded = function openRequest_onupgradeneeded() {
          console.log('creating db');
          var db = openRequest.result;
          db.createObjectStore(FS.DB_STORE_NAME);
        };
        openRequest.onsuccess = function openRequest_onsuccess() {
          var db = openRequest.result;
          var transaction = db.transaction([FS.DB_STORE_NAME], 'readwrite');
          var files = transaction.objectStore(FS.DB_STORE_NAME);
          var ok = 0, fail = 0, total = paths.length;
          function finish() {
            if (fail == 0) onload(); else onerror();
          }
          paths.forEach(function(path) {
            var putRequest = files.put(FS.analyzePath(path).object.contents, path);
            putRequest.onsuccess = function putRequest_onsuccess() { ok++; if (ok + fail == total) finish() };
            putRequest.onerror = function putRequest_onerror() { fail++; if (ok + fail == total) finish() };
          });
          transaction.onerror = onerror;
        };
        openRequest.onerror = onerror;
      },loadFilesFromDB:function (paths, onload, onerror) {
        onload = onload || function(){};
        onerror = onerror || function(){};
        var indexedDB = FS.indexedDB();
        try {
          var openRequest = indexedDB.open(FS.DB_NAME(), FS.DB_VERSION);
        } catch (e) {
          return onerror(e);
        }
        openRequest.onupgradeneeded = onerror; // no database to load from
        openRequest.onsuccess = function openRequest_onsuccess() {
          var db = openRequest.result;
          try {
            var transaction = db.transaction([FS.DB_STORE_NAME], 'readonly');
          } catch(e) {
            onerror(e);
            return;
          }
          var files = transaction.objectStore(FS.DB_STORE_NAME);
          var ok = 0, fail = 0, total = paths.length;
          function finish() {
            if (fail == 0) onload(); else onerror();
          }
          paths.forEach(function(path) {
            var getRequest = files.get(path);
            getRequest.onsuccess = function getRequest_onsuccess() {
              if (FS.analyzePath(path).exists) {
                FS.unlink(path);
              }
              FS.createDataFile(PATH.dirname(path), PATH.basename(path), getRequest.result, true, true, true);
              ok++;
              if (ok + fail == total) finish();
            };
            getRequest.onerror = function getRequest_onerror() { fail++; if (ok + fail == total) finish() };
          });
          transaction.onerror = onerror;
        };
        openRequest.onerror = onerror;
      }};
  
  function _open(path, oflag, varargs) {
      // int open(const char *path, int oflag, ...);
      // http://pubs.opengroup.org/onlinepubs/009695399/functions/open.html
      var mode = ((((HEAPU8[(varargs)])|(HEAPU8[(((varargs)+(1))|0)]<<8)|(HEAPU8[(((varargs)+(2))|0)]<<16)|(HEAPU8[(((varargs)+(3))|0)]<<24))|0));
      path = Pointer_stringify(path);
      try {
        var stream = FS.open(path, oflag, mode);
        return stream.fd;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fopen(filename, mode) {
      // FILE *fopen(const char *restrict filename, const char *restrict mode);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fopen.html
      var flags;
      mode = Pointer_stringify(mode);
      if (mode[0] == 'r') {
        if (mode.indexOf('+') != -1) {
          flags = 2;
        } else {
          flags = 0;
        }
      } else if (mode[0] == 'w') {
        if (mode.indexOf('+') != -1) {
          flags = 2;
        } else {
          flags = 1;
        }
        flags |= 64;
        flags |= 512;
      } else if (mode[0] == 'a') {
        if (mode.indexOf('+') != -1) {
          flags = 2;
        } else {
          flags = 1;
        }
        flags |= 64;
        flags |= 1024;
      } else {
        ___setErrNo(ERRNO_CODES.EINVAL);
        return 0;
      }
      var ret = _open(filename, flags, allocate([0x1FF, 0, 0, 0], 'i32', ALLOC_STACK));  // All creation permissions.
      return (ret == -1) ? 0 : ret;
    }

  function _realpath(file_name, resolved_name) {
      // char *realpath(const char *restrict file_name, char *restrict resolved_name);
      // http://pubs.opengroup.org/onlinepubs/009604499/functions/realpath.html
      var absolute = FS.analyzePath(Pointer_stringify(file_name));
      if (absolute.error) {
        ___setErrNo(absolute.error);
        return 0;
      } else {
        var size = Math.min(4095, absolute.path.length);  // PATH_MAX - 1.
        for (var i = 0; i < size; i++) {
          HEAP8[(((resolved_name)+(i))|0)]=absolute.path.charCodeAt(i);
        }
        HEAP8[(((resolved_name)+(size))|0)]=0;
        return resolved_name;
      }
    }

  
  
  
  
  
  
  var _mkport=undefined;var SOCKFS={mount:function (mount) {
        return FS.createNode(null, '/', 16384 | 0777, 0);
      },createSocket:function (family, type, protocol) {
        var streaming = type == 1;
        if (protocol) {
          assert(streaming == (protocol == 6)); // if SOCK_STREAM, must be tcp
        }
  
        // create our internal socket structure
        var sock = {
          family: family,
          type: type,
          protocol: protocol,
          server: null,
          peers: {},
          pending: [],
          recv_queue: [],
          sock_ops: SOCKFS.websocket_sock_ops
        };
  
        // create the filesystem node to store the socket structure
        var name = SOCKFS.nextname();
        var node = FS.createNode(SOCKFS.root, name, 49152, 0);
        node.sock = sock;
  
        // and the wrapping stream that enables library functions such
        // as read and write to indirectly interact with the socket
        var stream = FS.createStream({
          path: name,
          node: node,
          flags: FS.modeStringToFlags('r+'),
          seekable: false,
          stream_ops: SOCKFS.stream_ops
        });
  
        // map the new stream to the socket structure (sockets have a 1:1
        // relationship with a stream)
        sock.stream = stream;
  
        return sock;
      },getSocket:function (fd) {
        var stream = FS.getStream(fd);
        if (!stream || !FS.isSocket(stream.node.mode)) {
          return null;
        }
        return stream.node.sock;
      },stream_ops:{poll:function (stream) {
          var sock = stream.node.sock;
          return sock.sock_ops.poll(sock);
        },ioctl:function (stream, request, varargs) {
          var sock = stream.node.sock;
          return sock.sock_ops.ioctl(sock, request, varargs);
        },read:function (stream, buffer, offset, length, position /* ignored */) {
          var sock = stream.node.sock;
          var msg = sock.sock_ops.recvmsg(sock, length);
          if (!msg) {
            // socket is closed
            return 0;
          }
          buffer.set(msg.buffer, offset);
          return msg.buffer.length;
        },write:function (stream, buffer, offset, length, position /* ignored */) {
          var sock = stream.node.sock;
          return sock.sock_ops.sendmsg(sock, buffer, offset, length);
        },close:function (stream) {
          var sock = stream.node.sock;
          sock.sock_ops.close(sock);
        }},nextname:function () {
        if (!SOCKFS.nextname.current) {
          SOCKFS.nextname.current = 0;
        }
        return 'socket[' + (SOCKFS.nextname.current++) + ']';
      },websocket_sock_ops:{createPeer:function (sock, addr, port) {
          var ws;
  
          if (typeof addr === 'object') {
            ws = addr;
            addr = null;
            port = null;
          }
  
          if (ws) {
            // for sockets that've already connected (e.g. we're the server)
            // we can inspect the _socket property for the address
            if (ws._socket) {
              addr = ws._socket.remoteAddress;
              port = ws._socket.remotePort;
            }
            // if we're just now initializing a connection to the remote,
            // inspect the url property
            else {
              var result = /ws[s]?:\/\/([^:]+):(\d+)/.exec(ws.url);
              if (!result) {
                throw new Error('WebSocket URL must be in the format ws(s)://address:port');
              }
              addr = result[1];
              port = parseInt(result[2], 10);
            }
          } else {
            // create the actual websocket object and connect
            try {
              var url = 'ws://' + addr + ':' + port;
              // the node ws library API is slightly different than the browser's
              var opts = ENVIRONMENT_IS_NODE ? {headers: {'websocket-protocol': ['binary']}} : ['binary'];
              // If node we use the ws library.
              var WebSocket = ENVIRONMENT_IS_NODE ? require('ws') : window['WebSocket'];
              ws = new WebSocket(url, opts);
              ws.binaryType = 'arraybuffer';
            } catch (e) {
              throw new FS.ErrnoError(ERRNO_CODES.EHOSTUNREACH);
            }
          }
  
  
          var peer = {
            addr: addr,
            port: port,
            socket: ws,
            dgram_send_queue: []
          };
  
          SOCKFS.websocket_sock_ops.addPeer(sock, peer);
          SOCKFS.websocket_sock_ops.handlePeerEvents(sock, peer);
  
          // if this is a bound dgram socket, send the port number first to allow
          // us to override the ephemeral port reported to us by remotePort on the
          // remote end.
          if (sock.type === 2 && typeof sock.sport !== 'undefined') {
            peer.dgram_send_queue.push(new Uint8Array([
                255, 255, 255, 255,
                'p'.charCodeAt(0), 'o'.charCodeAt(0), 'r'.charCodeAt(0), 't'.charCodeAt(0),
                ((sock.sport & 0xff00) >> 8) , (sock.sport & 0xff)
            ]));
          }
  
          return peer;
        },getPeer:function (sock, addr, port) {
          return sock.peers[addr + ':' + port];
        },addPeer:function (sock, peer) {
          sock.peers[peer.addr + ':' + peer.port] = peer;
        },removePeer:function (sock, peer) {
          delete sock.peers[peer.addr + ':' + peer.port];
        },handlePeerEvents:function (sock, peer) {
          var first = true;
  
          var handleOpen = function () {
            try {
              var queued = peer.dgram_send_queue.shift();
              while (queued) {
                peer.socket.send(queued);
                queued = peer.dgram_send_queue.shift();
              }
            } catch (e) {
              // not much we can do here in the way of proper error handling as we've already
              // lied and said this data was sent. shut it down.
              peer.socket.close();
            }
          };
  
          function handleMessage(data) {
            assert(typeof data !== 'string' && data.byteLength !== undefined);  // must receive an ArrayBuffer
            data = new Uint8Array(data);  // make a typed array view on the array buffer
  
  
            // if this is the port message, override the peer's port with it
            var wasfirst = first;
            first = false;
            if (wasfirst &&
                data.length === 10 &&
                data[0] === 255 && data[1] === 255 && data[2] === 255 && data[3] === 255 &&
                data[4] === 'p'.charCodeAt(0) && data[5] === 'o'.charCodeAt(0) && data[6] === 'r'.charCodeAt(0) && data[7] === 't'.charCodeAt(0)) {
              // update the peer's port and it's key in the peer map
              var newport = ((data[8] << 8) | data[9]);
              SOCKFS.websocket_sock_ops.removePeer(sock, peer);
              peer.port = newport;
              SOCKFS.websocket_sock_ops.addPeer(sock, peer);
              return;
            }
  
            sock.recv_queue.push({ addr: peer.addr, port: peer.port, data: data });
          };
  
          if (ENVIRONMENT_IS_NODE) {
            peer.socket.on('open', handleOpen);
            peer.socket.on('message', function(data, flags) {
              if (!flags.binary) {
                return;
              }
              handleMessage((new Uint8Array(data)).buffer);  // copy from node Buffer -> ArrayBuffer
            });
            peer.socket.on('error', function() {
              // don't throw
            });
          } else {
            peer.socket.onopen = handleOpen;
            peer.socket.onmessage = function peer_socket_onmessage(event) {
              handleMessage(event.data);
            };
          }
        },poll:function (sock) {
          if (sock.type === 1 && sock.server) {
            // listen sockets should only say they're available for reading
            // if there are pending clients.
            return sock.pending.length ? (64 | 1) : 0;
          }
  
          var mask = 0;
          var dest = sock.type === 1 ?  // we only care about the socket state for connection-based sockets
            SOCKFS.websocket_sock_ops.getPeer(sock, sock.daddr, sock.dport) :
            null;
  
          if (sock.recv_queue.length ||
              !dest ||  // connection-less sockets are always ready to read
              (dest && dest.socket.readyState === dest.socket.CLOSING) ||
              (dest && dest.socket.readyState === dest.socket.CLOSED)) {  // let recv return 0 once closed
            mask |= (64 | 1);
          }
  
          if (!dest ||  // connection-less sockets are always ready to write
              (dest && dest.socket.readyState === dest.socket.OPEN)) {
            mask |= 4;
          }
  
          if ((dest && dest.socket.readyState === dest.socket.CLOSING) ||
              (dest && dest.socket.readyState === dest.socket.CLOSED)) {
            mask |= 16;
          }
  
          return mask;
        },ioctl:function (sock, request, arg) {
          switch (request) {
            case 21531:
              var bytes = 0;
              if (sock.recv_queue.length) {
                bytes = sock.recv_queue[0].data.length;
              }
              tempBigInt=bytes;HEAP8[(arg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((arg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((arg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((arg)+(3))|0)]=tempBigInt&0xff;
              return 0;
            default:
              return ERRNO_CODES.EINVAL;
          }
        },close:function (sock) {
          // if we've spawned a listen server, close it
          if (sock.server) {
            try {
              sock.server.close();
            } catch (e) {
            }
            sock.server = null;
          }
          // close any peer connections
          var peers = Object.keys(sock.peers);
          for (var i = 0; i < peers.length; i++) {
            var peer = sock.peers[peers[i]];
            try {
              peer.socket.close();
            } catch (e) {
            }
            SOCKFS.websocket_sock_ops.removePeer(sock, peer);
          }
          return 0;
        },bind:function (sock, addr, port) {
          if (typeof sock.saddr !== 'undefined' || typeof sock.sport !== 'undefined') {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);  // already bound
          }
          sock.saddr = addr;
          sock.sport = port || _mkport();
          // in order to emulate dgram sockets, we need to launch a listen server when
          // binding on a connection-less socket
          // note: this is only required on the server side
          if (sock.type === 2) {
            // close the existing server if it exists
            if (sock.server) {
              sock.server.close();
              sock.server = null;
            }
            // swallow error operation not supported error that occurs when binding in the
            // browser where this isn't supported
            try {
              sock.sock_ops.listen(sock, 0);
            } catch (e) {
              if (!(e instanceof FS.ErrnoError)) throw e;
              if (e.errno !== ERRNO_CODES.EOPNOTSUPP) throw e;
            }
          }
        },connect:function (sock, addr, port) {
          if (sock.server) {
            throw new FS.ErrnoError(ERRNO_CODS.EOPNOTSUPP);
          }
  
          // TODO autobind
          // if (!sock.addr && sock.type == 2) {
          // }
  
          // early out if we're already connected / in the middle of connecting
          if (typeof sock.daddr !== 'undefined' && typeof sock.dport !== 'undefined') {
            var dest = SOCKFS.websocket_sock_ops.getPeer(sock, sock.daddr, sock.dport);
            if (dest) {
              if (dest.socket.readyState === dest.socket.CONNECTING) {
                throw new FS.ErrnoError(ERRNO_CODES.EALREADY);
              } else {
                throw new FS.ErrnoError(ERRNO_CODES.EISCONN);
              }
            }
          }
  
          // add the socket to our peer list and set our
          // destination address / port to match
          var peer = SOCKFS.websocket_sock_ops.createPeer(sock, addr, port);
          sock.daddr = peer.addr;
          sock.dport = peer.port;
  
          // always "fail" in non-blocking mode
          throw new FS.ErrnoError(ERRNO_CODES.EINPROGRESS);
        },listen:function (sock, backlog) {
          if (!ENVIRONMENT_IS_NODE) {
            throw new FS.ErrnoError(ERRNO_CODES.EOPNOTSUPP);
          }
          if (sock.server) {
             throw new FS.ErrnoError(ERRNO_CODES.EINVAL);  // already listening
          }
          var WebSocketServer = require('ws').Server;
          var host = sock.saddr;
          sock.server = new WebSocketServer({
            host: host,
            port: sock.sport
            // TODO support backlog
          });
  
          sock.server.on('connection', function(ws) {
            if (sock.type === 1) {
              var newsock = SOCKFS.createSocket(sock.family, sock.type, sock.protocol);
  
              // create a peer on the new socket
              var peer = SOCKFS.websocket_sock_ops.createPeer(newsock, ws);
              newsock.daddr = peer.addr;
              newsock.dport = peer.port;
  
              // push to queue for accept to pick up
              sock.pending.push(newsock);
            } else {
              // create a peer on the listen socket so calling sendto
              // with the listen socket and an address will resolve
              // to the correct client
              SOCKFS.websocket_sock_ops.createPeer(sock, ws);
            }
          });
          sock.server.on('closed', function() {
            sock.server = null;
          });
          sock.server.on('error', function() {
            // don't throw
          });
        },accept:function (listensock) {
          if (!listensock.server) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
          var newsock = listensock.pending.shift();
          newsock.stream.flags = listensock.stream.flags;
          return newsock;
        },getname:function (sock, peer) {
          var addr, port;
          if (peer) {
            if (sock.daddr === undefined || sock.dport === undefined) {
              throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
            }
            addr = sock.daddr;
            port = sock.dport;
          } else {
            // TODO saddr and sport will be set for bind()'d UDP sockets, but what
            // should we be returning for TCP sockets that've been connect()'d?
            addr = sock.saddr || 0;
            port = sock.sport || 0;
          }
          return { addr: addr, port: port };
        },sendmsg:function (sock, buffer, offset, length, addr, port) {
          if (sock.type === 2) {
            // connection-less sockets will honor the message address,
            // and otherwise fall back to the bound destination address
            if (addr === undefined || port === undefined) {
              addr = sock.daddr;
              port = sock.dport;
            }
            // if there was no address to fall back to, error out
            if (addr === undefined || port === undefined) {
              throw new FS.ErrnoError(ERRNO_CODES.EDESTADDRREQ);
            }
          } else {
            // connection-based sockets will only use the bound
            addr = sock.daddr;
            port = sock.dport;
          }
  
          // find the peer for the destination address
          var dest = SOCKFS.websocket_sock_ops.getPeer(sock, addr, port);
  
          // early out if not connected with a connection-based socket
          if (sock.type === 1) {
            if (!dest || dest.socket.readyState === dest.socket.CLOSING || dest.socket.readyState === dest.socket.CLOSED) {
              throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
            } else if (dest.socket.readyState === dest.socket.CONNECTING) {
              throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
            }
          }
  
          // create a copy of the incoming data to send, as the WebSocket API
          // doesn't work entirely with an ArrayBufferView, it'll just send
          // the entire underlying buffer
          var data;
          if (buffer instanceof Array || buffer instanceof ArrayBuffer) {
            data = buffer.slice(offset, offset + length);
          } else {  // ArrayBufferView
            data = buffer.buffer.slice(buffer.byteOffset + offset, buffer.byteOffset + offset + length);
          }
  
          // if we're emulating a connection-less dgram socket and don't have
          // a cached connection, queue the buffer to send upon connect and
          // lie, saying the data was sent now.
          if (sock.type === 2) {
            if (!dest || dest.socket.readyState !== dest.socket.OPEN) {
              // if we're not connected, open a new connection
              if (!dest || dest.socket.readyState === dest.socket.CLOSING || dest.socket.readyState === dest.socket.CLOSED) {
                dest = SOCKFS.websocket_sock_ops.createPeer(sock, addr, port);
              }
              dest.dgram_send_queue.push(data);
              return length;
            }
          }
  
          try {
            // send the actual data
            dest.socket.send(data);
            return length;
          } catch (e) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
        },recvmsg:function (sock, length) {
          // http://pubs.opengroup.org/onlinepubs/7908799/xns/recvmsg.html
          if (sock.type === 1 && sock.server) {
            // tcp servers should not be recv()'ing on the listen socket
            throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
          }
  
          var queued = sock.recv_queue.shift();
          if (!queued) {
            if (sock.type === 1) {
              var dest = SOCKFS.websocket_sock_ops.getPeer(sock, sock.daddr, sock.dport);
  
              if (!dest) {
                // if we have a destination address but are not connected, error out
                throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
              }
              else if (dest.socket.readyState === dest.socket.CLOSING || dest.socket.readyState === dest.socket.CLOSED) {
                // return null if the socket has closed
                return null;
              }
              else {
                // else, our socket is in a valid state but truly has nothing available
                throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
              }
            } else {
              throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
            }
          }
  
          // queued.data will be an ArrayBuffer if it's unadulterated, but if it's
          // requeued TCP data it'll be an ArrayBufferView
          var queuedLength = queued.data.byteLength || queued.data.length;
          var queuedOffset = queued.data.byteOffset || 0;
          var queuedBuffer = queued.data.buffer || queued.data;
          var bytesRead = Math.min(length, queuedLength);
          var res = {
            buffer: new Uint8Array(queuedBuffer, queuedOffset, bytesRead),
            addr: queued.addr,
            port: queued.port
          };
  
  
          // push back any unread data for TCP connections
          if (sock.type === 1 && bytesRead < queuedLength) {
            var bytesRemaining = queuedLength - bytesRead;
            queued.data = new Uint8Array(queuedBuffer, queuedOffset + bytesRead, bytesRemaining);
            sock.recv_queue.unshift(queued);
          }
  
          return res;
        }}};function _send(fd, buf, len, flags) {
      var sock = SOCKFS.getSocket(fd);
      if (!sock) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      // TODO honor flags
      return _write(fd, buf, len);
    }
  
  function _pwrite(fildes, buf, nbyte, offset) {
      // ssize_t pwrite(int fildes, const void *buf, size_t nbyte, off_t offset);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/write.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        var slab = HEAP8;
        return FS.write(stream, slab, buf, nbyte, offset);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _write(fildes, buf, nbyte) {
      // ssize_t write(int fildes, const void *buf, size_t nbyte);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/write.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
  
  
      try {
        var slab = HEAP8;
        return FS.write(stream, slab, buf, nbyte);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fwrite(ptr, size, nitems, stream) {
      // size_t fwrite(const void *restrict ptr, size_t size, size_t nitems, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fwrite.html
      var bytesToWrite = nitems * size;
      if (bytesToWrite == 0) return 0;
      var bytesWritten = _write(stream, ptr, bytesToWrite);
      if (bytesWritten == -1) {
        var streamObj = FS.getStream(stream);
        if (streamObj) streamObj.error = true;
        return 0;
      } else {
        return Math.floor(bytesWritten / size);
      }
    }function _fprintf(stream, format, varargs) {
      // int fprintf(FILE *restrict stream, const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      var result = __formatString(format, varargs);
      var stack = Runtime.stackSave();
      var ret = _fwrite(allocate(result, 'i8', ALLOC_STACK), 1, result.length, stream);
      Runtime.stackRestore(stack);
      return ret;
    }function _printf(format, varargs) {
      // int printf(const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      var stdout = ((((HEAPU8[(_stdout)])|(HEAPU8[(((_stdout)+(1))|0)]<<8)|(HEAPU8[(((_stdout)+(2))|0)]<<16)|(HEAPU8[(((_stdout)+(3))|0)]<<24))|0));
      return _fprintf(stdout, format, varargs);
    }

  
  function __exit(status) {
      // void _exit(int status);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/exit.html
      Module['exit'](status);
    }function _exit(status) {
      __exit(status);
    }

  
  
  function __getFloat(text) {
      return /^[+-]?[0-9]*\.?[0-9]+([eE][+-]?[0-9]+)?/.exec(text);
    }function __scanString(format, get, unget, varargs) {
      if (!__scanString.whiteSpace) {
        __scanString.whiteSpace = {};
        __scanString.whiteSpace[32] = 1;
        __scanString.whiteSpace[9] = 1;
        __scanString.whiteSpace[10] = 1;
        __scanString.whiteSpace[11] = 1;
        __scanString.whiteSpace[12] = 1;
        __scanString.whiteSpace[13] = 1;
      }
      // Supports %x, %4x, %d.%d, %lld, %s, %f, %lf.
      // TODO: Support all format specifiers.
      format = Pointer_stringify(format);
      var soFar = 0;
      if (format.indexOf('%n') >= 0) {
        // need to track soFar
        var _get = get;
        get = function get() {
          soFar++;
          return _get();
        }
        var _unget = unget;
        unget = function unget() {
          soFar--;
          return _unget();
        }
      }
      var formatIndex = 0;
      var argsi = 0;
      var fields = 0;
      var argIndex = 0;
      var next;
  
      mainLoop:
      for (var formatIndex = 0; formatIndex < format.length;) {
        if (format[formatIndex] === '%' && format[formatIndex+1] == 'n') {
          var argPtr = ((((HEAPU8[(((varargs)+(argIndex))|0)])|(HEAPU8[(((varargs)+((argIndex)+(1)))|0)]<<8)|(HEAPU8[(((varargs)+((argIndex)+(2)))|0)]<<16)|(HEAPU8[(((varargs)+((argIndex)+(3)))|0)]<<24))|0));
          argIndex += Runtime.getAlignSize('void*', null, true);
          tempBigInt=soFar;HEAP8[(argPtr)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((argPtr)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((argPtr)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((argPtr)+(3))|0)]=tempBigInt&0xff;
          formatIndex += 2;
          continue;
        }
  
        if (format[formatIndex] === '%') {
          var nextC = format.indexOf('c', formatIndex+1);
          if (nextC > 0) {
            var maxx = 1;
            if (nextC > formatIndex+1) {
              var sub = format.substring(formatIndex+1, nextC);
              maxx = parseInt(sub);
              if (maxx != sub) maxx = 0;
            }
            if (maxx) {
              var argPtr = ((((HEAPU8[(((varargs)+(argIndex))|0)])|(HEAPU8[(((varargs)+((argIndex)+(1)))|0)]<<8)|(HEAPU8[(((varargs)+((argIndex)+(2)))|0)]<<16)|(HEAPU8[(((varargs)+((argIndex)+(3)))|0)]<<24))|0));
              argIndex += Runtime.getAlignSize('void*', null, true);
              fields++;
              for (var i = 0; i < maxx; i++) {
                next = get();
                HEAP8[((argPtr++)|0)]=next;
              }
              formatIndex += nextC - formatIndex + 1;
              continue;
            }
          }
        }
  
        // handle %[...]
        if (format[formatIndex] === '%' && format.indexOf('[', formatIndex+1) > 0) {
          var match = /\%([0-9]*)\[(\^)?(\]?[^\]]*)\]/.exec(format.substring(formatIndex));
          if (match) {
            var maxNumCharacters = parseInt(match[1]) || Infinity;
            var negateScanList = (match[2] === '^');
            var scanList = match[3];
  
            // expand "middle" dashs into character sets
            var middleDashMatch;
            while ((middleDashMatch = /([^\-])\-([^\-])/.exec(scanList))) {
              var rangeStartCharCode = middleDashMatch[1].charCodeAt(0);
              var rangeEndCharCode = middleDashMatch[2].charCodeAt(0);
              for (var expanded = ''; rangeStartCharCode <= rangeEndCharCode; expanded += String.fromCharCode(rangeStartCharCode++));
              scanList = scanList.replace(middleDashMatch[1] + '-' + middleDashMatch[2], expanded);
            }
  
            var argPtr = ((((HEAPU8[(((varargs)+(argIndex))|0)])|(HEAPU8[(((varargs)+((argIndex)+(1)))|0)]<<8)|(HEAPU8[(((varargs)+((argIndex)+(2)))|0)]<<16)|(HEAPU8[(((varargs)+((argIndex)+(3)))|0)]<<24))|0));
            argIndex += Runtime.getAlignSize('void*', null, true);
            fields++;
  
            for (var i = 0; i < maxNumCharacters; i++) {
              next = get();
              if (negateScanList) {
                if (scanList.indexOf(String.fromCharCode(next)) < 0) {
                  HEAP8[((argPtr++)|0)]=next;
                } else {
                  unget();
                  break;
                }
              } else {
                if (scanList.indexOf(String.fromCharCode(next)) >= 0) {
                  HEAP8[((argPtr++)|0)]=next;
                } else {
                  unget();
                  break;
                }
              }
            }
  
            // write out null-terminating character
            HEAP8[((argPtr++)|0)]=0;
            formatIndex += match[0].length;
            
            continue;
          }
        }      
        // remove whitespace
        while (1) {
          next = get();
          if (next == 0) return fields;
          if (!(next in __scanString.whiteSpace)) break;
        }
        unget();
  
        if (format[formatIndex] === '%') {
          formatIndex++;
          var suppressAssignment = false;
          if (format[formatIndex] == '*') {
            suppressAssignment = true;
            formatIndex++;
          }
          var maxSpecifierStart = formatIndex;
          while (format[formatIndex].charCodeAt(0) >= 48 &&
                 format[formatIndex].charCodeAt(0) <= 57) {
            formatIndex++;
          }
          var max_;
          if (formatIndex != maxSpecifierStart) {
            max_ = parseInt(format.slice(maxSpecifierStart, formatIndex), 10);
          }
          var long_ = false;
          var half = false;
          var longLong = false;
          if (format[formatIndex] == 'l') {
            long_ = true;
            formatIndex++;
            if (format[formatIndex] == 'l') {
              longLong = true;
              formatIndex++;
            }
          } else if (format[formatIndex] == 'h') {
            half = true;
            formatIndex++;
          }
          var type = format[formatIndex];
          formatIndex++;
          var curr = 0;
          var buffer = [];
          // Read characters according to the format. floats are trickier, they may be in an unfloat state in the middle, then be a valid float later
          if (type == 'f' || type == 'e' || type == 'g' ||
              type == 'F' || type == 'E' || type == 'G') {
            next = get();
            while (next > 0 && (!(next in __scanString.whiteSpace)))  {
              buffer.push(String.fromCharCode(next));
              next = get();
            }
            var m = __getFloat(buffer.join(''));
            var last = m ? m[0].length : 0;
            for (var i = 0; i < buffer.length - last + 1; i++) {
              unget();
            }
            buffer.length = last;
          } else {
            next = get();
            var first = true;
            
            // Strip the optional 0x prefix for %x.
            if ((type == 'x' || type == 'X') && (next == 48)) {
              var peek = get();
              if (peek == 120 || peek == 88) {
                next = get();
              } else {
                unget();
              }
            }
            
            while ((curr < max_ || isNaN(max_)) && next > 0) {
              if (!(next in __scanString.whiteSpace) && // stop on whitespace
                  (type == 's' ||
                   ((type === 'd' || type == 'u' || type == 'i') && ((next >= 48 && next <= 57) ||
                                                                     (first && next == 45))) ||
                   ((type === 'x' || type === 'X') && (next >= 48 && next <= 57 ||
                                     next >= 97 && next <= 102 ||
                                     next >= 65 && next <= 70))) &&
                  (formatIndex >= format.length || next !== format[formatIndex].charCodeAt(0))) { // Stop when we read something that is coming up
                buffer.push(String.fromCharCode(next));
                next = get();
                curr++;
                first = false;
              } else {
                break;
              }
            }
            unget();
          }
          if (buffer.length === 0) return 0;  // Failure.
          if (suppressAssignment) continue;
  
          var text = buffer.join('');
          var argPtr = ((((HEAPU8[(((varargs)+(argIndex))|0)])|(HEAPU8[(((varargs)+((argIndex)+(1)))|0)]<<8)|(HEAPU8[(((varargs)+((argIndex)+(2)))|0)]<<16)|(HEAPU8[(((varargs)+((argIndex)+(3)))|0)]<<24))|0));
          argIndex += Runtime.getAlignSize('void*', null, true);
          switch (type) {
            case 'd': case 'u': case 'i':
              if (half) {
                tempBigInt=parseInt(text, 10);HEAP8[(argPtr)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((argPtr)+(1))|0)]=tempBigInt&0xff;
              } else if (longLong) {
                (tempI64 = [parseInt(text, 10)>>>0,(tempDouble=parseInt(text, 10),Math_abs(tempDouble) >= 1 ? (tempDouble > 0 ? Math_min(Math_floor((tempDouble)/4294967296), 4294967295)>>>0 : (~~(Math_ceil((tempDouble - +(((~~(tempDouble)))>>>0))/4294967296)))>>>0) : 0)],tempBigInt=tempI64[0],HEAP8[(argPtr)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((argPtr)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((argPtr)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((argPtr)+(3))|0)]=tempBigInt&0xff,tempBigInt=tempI64[1],HEAP8[(((argPtr)+(4))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((argPtr)+(5))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((argPtr)+(6))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((argPtr)+(7))|0)]=tempBigInt&0xff);
              } else {
                tempBigInt=parseInt(text, 10);HEAP8[(argPtr)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((argPtr)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((argPtr)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((argPtr)+(3))|0)]=tempBigInt&0xff;
              }
              break;
            case 'X':
            case 'x':
              tempBigInt=parseInt(text, 16);HEAP8[(argPtr)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((argPtr)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((argPtr)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((argPtr)+(3))|0)]=tempBigInt&0xff;
              break;
            case 'F':
            case 'f':
            case 'E':
            case 'e':
            case 'G':
            case 'g':
            case 'E':
              // fallthrough intended
              if (long_) {
                (HEAPF64[(tempDoublePtr)>>3]=parseFloat(text),tempBigInt=HEAP32[((tempDoublePtr)>>2)],HEAP8[(argPtr)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((argPtr)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((argPtr)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((argPtr)+(3))|0)]=tempBigInt&0xff,tempBigInt=HEAP32[(((tempDoublePtr)+(4))>>2)],HEAP8[(((argPtr)+(4))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((argPtr)+(5))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((argPtr)+(6))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((argPtr)+(7))|0)]=tempBigInt&0xff);
              } else {
                HEAPF32[((tempDoublePtr)>>2)]=parseFloat(text);HEAP8[(argPtr)]=HEAP8[(tempDoublePtr)];HEAP8[(((argPtr)+(1))|0)]=HEAP8[(((tempDoublePtr)+(1))|0)];HEAP8[(((argPtr)+(2))|0)]=HEAP8[(((tempDoublePtr)+(2))|0)];HEAP8[(((argPtr)+(3))|0)]=HEAP8[(((tempDoublePtr)+(3))|0)];
              }
              break;
            case 's':
              var array = intArrayFromString(text);
              for (var j = 0; j < array.length; j++) {
                HEAP8[(((argPtr)+(j))|0)]=array[j];
              }
              break;
          }
          fields++;
        } else if (format[formatIndex].charCodeAt(0) in __scanString.whiteSpace) {
          next = get();
          while (next in __scanString.whiteSpace) {
            if (next <= 0) break mainLoop;  // End of input.
            next = get();
          }
          unget(next);
          formatIndex++;
        } else {
          // Not a specifier.
          next = get();
          if (format[formatIndex].charCodeAt(0) !== next) {
            unget(next);
            break mainLoop;
          }
          formatIndex++;
        }
      }
      return fields;
    }function _sscanf(s, format, varargs) {
      // int sscanf(const char *restrict s, const char *restrict format, ... );
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/scanf.html
      var index = 0;
      function get() { return HEAP8[(((s)+(index++))|0)]; };
      function unget() { index--; };
      return __scanString(format, get, unget, varargs);
    }

  function _strstr(ptr1, ptr2) {
      var check = 0, start;
      do {
        if (!check) {
          start = ptr1;
          check = ptr2;
        }
        var curr1 = HEAP8[((ptr1++)|0)];
        var curr2 = HEAP8[((check++)|0)];
        if (curr2 == 0) return start;
        if (curr2 != curr1) {
          // rewind to one character after start, to find ez in eeez
          ptr1 = start + 1;
          check = 0;
        }
      } while (curr1);
      return 0;
    }

  function _strcat(pdest, psrc) {
      pdest = pdest|0; psrc = psrc|0;
      var i = 0;
      var pdestEnd = 0;
      pdestEnd = (pdest + (_strlen(pdest)|0))|0;
      do {
        HEAP8[((pdestEnd+i)|0)]=HEAP8[((psrc+i)|0)];
        i = (i+1)|0;
      } while (HEAP8[(((psrc)+(i-1))|0)]);
      return pdest|0;
    }

  
  function _memset(ptr, value, num) {
      ptr = ptr|0; value = value|0; num = num|0;
      var stop = 0, value4 = 0, stop4 = 0, unaligned = 0;
      stop = (ptr + num)|0;
      if ((num|0) >= 20) {
        // This is unaligned, but quite large, so work hard to get to aligned settings
        value = value & 0xff;
        unaligned = ptr & 3;
        value4 = value | (value << 8) | (value << 16) | (value << 24);
        stop4 = stop & ~3;
        if (unaligned) {
          unaligned = (ptr + 4 - unaligned)|0;
          while ((ptr|0) < (unaligned|0)) { // no need to check for stop, since we have large num
            HEAP8[(ptr)]=value;
            ptr = (ptr+1)|0;
          }
        }
        while ((ptr|0) < (stop4|0)) {
          tempBigInt=value4;HEAP8[(ptr)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((ptr)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((ptr)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((ptr)+(3))|0)]=tempBigInt&0xff;
          ptr = (ptr+4)|0;
        }
      }
      while ((ptr|0) < (stop|0)) {
        HEAP8[(ptr)]=value;
        ptr = (ptr+1)|0;
      }
      return (ptr-num)|0;
    }var _llvm_memset_p0i8_i32=_memset;


  
  function _close(fildes) {
      // int close(int fildes);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/close.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        FS.close(stream);
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }
  
  function _fsync(fildes) {
      // int fsync(int fildes);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fsync.html
      var stream = FS.getStream(fildes);
      if (stream) {
        // We write directly to the file system, so there's nothing to do here.
        return 0;
      } else {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
    }function _fclose(stream) {
      // int fclose(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fclose.html
      _fsync(stream);
      return _close(stream);
    }

  
  function _strncmp(px, py, n) {
      var i = 0;
      while (i < n) {
        var x = HEAPU8[(((px)+(i))|0)];
        var y = HEAPU8[(((py)+(i))|0)];
        if (x == y && x == 0) return 0;
        if (x == 0) return -1;
        if (y == 0) return 1;
        if (x == y) {
          i ++;
          continue;
        } else {
          return x > y ? 1 : -1;
        }
      }
      return 0;
    }function _strcmp(px, py) {
      return _strncmp(px, py, TOTAL_MEMORY);
    }

  
  function _memcpy(dest, src, num) {
      dest = dest|0; src = src|0; num = num|0;
      var ret = 0;
      ret = dest|0;
      if ((dest&3) == (src&3)) {
        while (dest & 3) {
          if ((num|0) == 0) return ret|0;
          HEAP8[(dest)]=HEAP8[(src)];
          dest = (dest+1)|0;
          src = (src+1)|0;
          num = (num-1)|0;
        }
        while ((num|0) >= 4) {
          tempBigInt=((((HEAPU8[(src)])|(HEAPU8[(((src)+(1))|0)]<<8)|(HEAPU8[(((src)+(2))|0)]<<16)|(HEAPU8[(((src)+(3))|0)]<<24))|0));HEAP8[(dest)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((dest)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((dest)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((dest)+(3))|0)]=tempBigInt&0xff;
          dest = (dest+4)|0;
          src = (src+4)|0;
          num = (num-4)|0;
        }
      }
      while ((num|0) > 0) {
        HEAP8[(dest)]=HEAP8[(src)];
        dest = (dest+1)|0;
        src = (src+1)|0;
        num = (num-1)|0;
      }
      return ret|0;
    }var _llvm_memcpy_p0i8_p0i8_i32=_memcpy;

  
  function _lseek(fildes, offset, whence) {
      // off_t lseek(int fildes, off_t offset, int whence);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/lseek.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        return FS.llseek(stream, offset, whence);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fseek(stream, offset, whence) {
      // int fseek(FILE *stream, long offset, int whence);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fseek.html
      var ret = _lseek(stream, offset, whence);
      if (ret == -1) {
        return -1;
      }
      stream = FS.getStream(stream);
      stream.eof = false;
      return 0;
    }

  function _ftell(stream) {
      // long ftell(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/ftell.html
      stream = FS.getStream(stream);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      if (FS.isChrdev(stream.node.mode)) {
        ___setErrNo(ERRNO_CODES.ESPIPE);
        return -1;
      } else {
        return stream.position;
      }
    }

  
  
  function _recv(fd, buf, len, flags) {
      var sock = SOCKFS.getSocket(fd);
      if (!sock) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      // TODO honor flags
      return _read(fd, buf, len);
    }
  
  function _pread(fildes, buf, nbyte, offset) {
      // ssize_t pread(int fildes, void *buf, size_t nbyte, off_t offset);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/read.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        var slab = HEAP8;
        return FS.read(stream, slab, buf, nbyte, offset);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _read(fildes, buf, nbyte) {
      // ssize_t read(int fildes, void *buf, size_t nbyte);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/read.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
  
  
      try {
        var slab = HEAP8;
        return FS.read(stream, slab, buf, nbyte);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fread(ptr, size, nitems, stream) {
      // size_t fread(void *restrict ptr, size_t size, size_t nitems, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fread.html
      var bytesToRead = nitems * size;
      if (bytesToRead == 0) {
        return 0;
      }
      var bytesRead = 0;
      var streamObj = FS.getStream(stream);
      if (!streamObj) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return 0;
      }
      while (streamObj.ungotten.length && bytesToRead > 0) {
        HEAP8[((ptr++)|0)]=streamObj.ungotten.pop();
        bytesToRead--;
        bytesRead++;
      }
      var err = _read(stream, ptr, bytesToRead);
      if (err == -1) {
        if (streamObj) streamObj.error = true;
        return 0;
      }
      bytesRead += err;
      if (bytesRead < bytesToRead) streamObj.eof = true;
      return Math.floor(bytesRead / size);
    }

  
  
  function _tolower(chr) {
      chr = chr|0;
      if ((chr|0) < 65) return chr|0;
      if ((chr|0) > 90) return chr|0;
      return (chr - 65 + 97)|0;
    }function _strncasecmp(px, py, n) {
      px = px|0; py = py|0; n = n|0;
      var i = 0, x = 0, y = 0;
      while ((i>>>0) < (n>>>0)) {
        x = _tolower(HEAP8[(((px)+(i))|0)])|0;
        y = _tolower(HEAP8[(((py)+(i))|0)])|0;
        if (((x|0) == (y|0)) & ((x|0) == 0)) return 0;
        if ((x|0) == 0) return -1;
        if ((y|0) == 0) return 1;
        if ((x|0) == (y|0)) {
          i = (i + 1)|0;
          continue;
        } else {
          return ((x>>>0) > (y>>>0) ? 1 : -1)|0;
        }
      }
      return 0;
    }function _strcasecmp(px, py) {
      px = px|0; py = py|0;
      return _strncasecmp(px, py, -1)|0;
    }


  function _fgetc(stream) {
      // int fgetc(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fgetc.html
      var streamObj = FS.getStream(stream);
      if (!streamObj) return -1;
      if (streamObj.eof || streamObj.error) return -1;
      var ret = _fread(_fgetc.ret, 1, 1, stream);
      if (ret == 0) {
        return -1;
      } else if (ret == -1) {
        streamObj.error = true;
        return -1;
      } else {
        return HEAPU8[((_fgetc.ret)|0)];
      }
    }

  function _ungetc(c, stream) {
      // int ungetc(int c, FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/ungetc.html
      stream = FS.getStream(stream);
      if (!stream) {
        return -1;
      }
      if (c === -1) {
        // do nothing for EOF character
        return c;
      }
      c = unSign(c & 0xFF);
      stream.ungotten.push(c);
      stream.eof = false;
      return c;
    }

  function _strdup(ptr) {
      var len = _strlen(ptr);
      var newStr = _malloc(len + 1);
      (_memcpy(newStr, ptr, len)|0);
      HEAP8[(((newStr)+(len))|0)]=0;
      return newStr;
    }

  var _llvm_va_start=undefined;

  function _vsnprintf(s, n, format, va_arg) {
      return _snprintf(s, n, format, ((((HEAPU8[(va_arg)])|(HEAPU8[(((va_arg)+(1))|0)]<<8)|(HEAPU8[(((va_arg)+(2))|0)]<<16)|(HEAPU8[(((va_arg)+(3))|0)]<<24))|0)));
    }

  function _llvm_va_end() {}

  function _isspace(chr) {
      return (chr == 32) || (chr >= 9 && chr <= 13);
    }

  function _isalnum(chr) {
      return (chr >= 48 && chr <= 57) ||
             (chr >= 97 && chr <= 122) ||
             (chr >= 65 && chr <= 90);
    }

  function _isalpha(chr) {
      return (chr >= 97 && chr <= 122) ||
             (chr >= 65 && chr <= 90);
    }

  
  function __ZSt18uncaught_exceptionv() { // std::uncaught_exception()
      return !!__ZSt18uncaught_exceptionv.uncaught_exception;
    }
  
  
  
  function ___cxa_is_number_type(type) {
      var isNumber = false;
      try { if (type == __ZTIi) isNumber = true } catch(e){}
      try { if (type == __ZTIj) isNumber = true } catch(e){}
      try { if (type == __ZTIl) isNumber = true } catch(e){}
      try { if (type == __ZTIm) isNumber = true } catch(e){}
      try { if (type == __ZTIx) isNumber = true } catch(e){}
      try { if (type == __ZTIy) isNumber = true } catch(e){}
      try { if (type == __ZTIf) isNumber = true } catch(e){}
      try { if (type == __ZTId) isNumber = true } catch(e){}
      try { if (type == __ZTIe) isNumber = true } catch(e){}
      try { if (type == __ZTIc) isNumber = true } catch(e){}
      try { if (type == __ZTIa) isNumber = true } catch(e){}
      try { if (type == __ZTIh) isNumber = true } catch(e){}
      try { if (type == __ZTIs) isNumber = true } catch(e){}
      try { if (type == __ZTIt) isNumber = true } catch(e){}
      return isNumber;
    }function ___cxa_does_inherit(definiteType, possibilityType, possibility) {
      if (possibility == 0) return false;
      if (possibilityType == 0 || possibilityType == definiteType)
        return true;
      var possibility_type_info;
      if (___cxa_is_number_type(possibilityType)) {
        possibility_type_info = possibilityType;
      } else {
        var possibility_type_infoAddr = ((((HEAPU8[(possibilityType)])|(HEAPU8[(((possibilityType)+(1))|0)]<<8)|(HEAPU8[(((possibilityType)+(2))|0)]<<16)|(HEAPU8[(((possibilityType)+(3))|0)]<<24))|0)) - 8;
        possibility_type_info = ((((HEAPU8[(possibility_type_infoAddr)])|(HEAPU8[(((possibility_type_infoAddr)+(1))|0)]<<8)|(HEAPU8[(((possibility_type_infoAddr)+(2))|0)]<<16)|(HEAPU8[(((possibility_type_infoAddr)+(3))|0)]<<24))|0));
      }
      switch (possibility_type_info) {
      case 0: // possibility is a pointer
        // See if definite type is a pointer
        var definite_type_infoAddr = ((((HEAPU8[(definiteType)])|(HEAPU8[(((definiteType)+(1))|0)]<<8)|(HEAPU8[(((definiteType)+(2))|0)]<<16)|(HEAPU8[(((definiteType)+(3))|0)]<<24))|0)) - 8;
        var definite_type_info = ((((HEAPU8[(definite_type_infoAddr)])|(HEAPU8[(((definite_type_infoAddr)+(1))|0)]<<8)|(HEAPU8[(((definite_type_infoAddr)+(2))|0)]<<16)|(HEAPU8[(((definite_type_infoAddr)+(3))|0)]<<24))|0));
        if (definite_type_info == 0) {
          // Also a pointer; compare base types of pointers
          var defPointerBaseAddr = definiteType+8;
          var defPointerBaseType = ((((HEAPU8[(defPointerBaseAddr)])|(HEAPU8[(((defPointerBaseAddr)+(1))|0)]<<8)|(HEAPU8[(((defPointerBaseAddr)+(2))|0)]<<16)|(HEAPU8[(((defPointerBaseAddr)+(3))|0)]<<24))|0));
          var possPointerBaseAddr = possibilityType+8;
          var possPointerBaseType = ((((HEAPU8[(possPointerBaseAddr)])|(HEAPU8[(((possPointerBaseAddr)+(1))|0)]<<8)|(HEAPU8[(((possPointerBaseAddr)+(2))|0)]<<16)|(HEAPU8[(((possPointerBaseAddr)+(3))|0)]<<24))|0));
          return ___cxa_does_inherit(defPointerBaseType, possPointerBaseType, possibility);
        } else
          return false; // one pointer and one non-pointer
      case 1: // class with no base class
        return false;
      case 2: // class with base class
        var parentTypeAddr = possibilityType + 8;
        var parentType = ((((HEAPU8[(parentTypeAddr)])|(HEAPU8[(((parentTypeAddr)+(1))|0)]<<8)|(HEAPU8[(((parentTypeAddr)+(2))|0)]<<16)|(HEAPU8[(((parentTypeAddr)+(3))|0)]<<24))|0));
        return ___cxa_does_inherit(definiteType, parentType, possibility);
      default:
        return false; // some unencountered type
      }
    }
  
  function ___resumeException(ptr) {
      if (!___cxa_last_thrown_exception) { ___cxa_last_thrown_exception = ptr; }
      throw ptr;
    }
  
  var ___cxa_last_thrown_exception=0;
  
  var ___cxa_exception_header_size=8;function ___cxa_find_matching_catch(thrown, throwntype) {
      if (thrown == -1) thrown = ___cxa_last_thrown_exception;
      header = thrown - ___cxa_exception_header_size;
      if (throwntype == -1) throwntype = ((((HEAPU8[(header)])|(HEAPU8[(((header)+(1))|0)]<<8)|(HEAPU8[(((header)+(2))|0)]<<16)|(HEAPU8[(((header)+(3))|0)]<<24))|0));
      var typeArray = Array.prototype.slice.call(arguments, 2);
  
      // If throwntype is a pointer, this means a pointer has been
      // thrown. When a pointer is thrown, actually what's thrown
      // is a pointer to the pointer. We'll dereference it.
      if (throwntype != 0 && !___cxa_is_number_type(throwntype)) {
        var throwntypeInfoAddr= ((((HEAPU8[(throwntype)])|(HEAPU8[(((throwntype)+(1))|0)]<<8)|(HEAPU8[(((throwntype)+(2))|0)]<<16)|(HEAPU8[(((throwntype)+(3))|0)]<<24))|0)) - 8;
        var throwntypeInfo= ((((HEAPU8[(throwntypeInfoAddr)])|(HEAPU8[(((throwntypeInfoAddr)+(1))|0)]<<8)|(HEAPU8[(((throwntypeInfoAddr)+(2))|0)]<<16)|(HEAPU8[(((throwntypeInfoAddr)+(3))|0)]<<24))|0));
        if (throwntypeInfo == 0)
          thrown = ((((HEAPU8[(thrown)])|(HEAPU8[(((thrown)+(1))|0)]<<8)|(HEAPU8[(((thrown)+(2))|0)]<<16)|(HEAPU8[(((thrown)+(3))|0)]<<24))|0));
      }
      // The different catch blocks are denoted by different types.
      // Due to inheritance, those types may not precisely match the
      // type of the thrown object. Find one which matches, and
      // return the type of the catch block which should be called.
      for (var i = 0; i < typeArray.length; i++) {
        if (___cxa_does_inherit(typeArray[i], throwntype, thrown))
          return tempRet0 = typeArray[i],thrown;
      }
      // Shouldn't happen unless we have bogus data in typeArray
      // or encounter a type for which emscripten doesn't have suitable
      // typeinfo defined. Best-efforts match just in case.
      return tempRet0 = throwntype,thrown;
    }function ___gxx_personality_v0() {
    }

  function _emscripten_asm_const(code) {
      Runtime.getAsmConst(code, 0)();
    }

  
  function _memmove(dest, src, num) {
      dest = dest|0; src = src|0; num = num|0;
      var ret = 0;
      if (((src|0) < (dest|0)) & ((dest|0) < ((src + num)|0))) {
        // Unlikely case: Copy backwards in a safe manner
        ret = dest;
        src = (src + num)|0;
        dest = (dest + num)|0;
        while ((num|0) > 0) {
          dest = (dest - 1)|0;
          src = (src - 1)|0;
          num = (num - 1)|0;
          HEAP8[(dest)]=HEAP8[(src)];
        }
        dest = ret;
      } else {
        _memcpy(dest, src, num) | 0;
      }
      return dest | 0;
    }var _llvm_memmove_p0i8_p0i8_i32=_memmove;

  function _memcmp(p1, p2, num) {
      p1 = p1|0; p2 = p2|0; num = num|0;
      var i = 0, v1 = 0, v2 = 0;
      while ((i|0) < (num|0)) {
        v1 = HEAPU8[(((p1)+(i))|0)];
        v2 = HEAPU8[(((p2)+(i))|0)];
        if ((v1|0) != (v2|0)) return ((v1|0) > (v2|0) ? 1 : -1)|0;
        i = (i+1)|0;
      }
      return 0;
    }

  var _fabs=Math_abs;

  var _sqrt=Math_sqrt;

  
  var ___cxa_caught_exceptions=[];function ___cxa_begin_catch(ptr) {
      __ZSt18uncaught_exceptionv.uncaught_exception--;
      ___cxa_caught_exceptions.push(___cxa_last_thrown_exception);
      return ptr;
    }

  function __ZSt9terminatev() {
      _exit(-1234);
    }

  function _llvm_umul_with_overflow_i32(x, y) {
      x = x>>>0;
      y = y>>>0;
      return tempRet0 = x*y > 4294967295,(x*y)>>>0;
    }

  function ___errno_location() {
      return ___errno_state;
    }

  var _abs=Math_abs;

  function __ZNSt9exceptionD2Ev() {}

  var _llvm_memset_p0i8_i64=_memset;

  function _abort() {
      Module['abort']();
    }

  function _sbrk(bytes) {
      // Implement a Linux-like 'memory area' for our 'process'.
      // Changes the size of the memory area by |bytes|; returns the
      // address of the previous top ('break') of the memory area
      // We control the "dynamic" memory - DYNAMIC_BASE to DYNAMICTOP
      var self = _sbrk;
      if (!self.called) {
        DYNAMICTOP = alignMemoryPage(DYNAMICTOP); // make sure we start out aligned
        self.called = true;
        assert(Runtime.dynamicAlloc);
        self.alloc = Runtime.dynamicAlloc;
        Runtime.dynamicAlloc = function() { abort('cannot dynamically allocate, sbrk now has control') };
      }
      var ret = DYNAMICTOP;
      if (bytes != 0) self.alloc(bytes);
      return ret;  // Previous break location.
    }

  function _sysconf(name) {
      // long sysconf(int name);
      // http://pubs.opengroup.org/onlinepubs/009695399/functions/sysconf.html
      switch(name) {
        case 30: return PAGE_SIZE;
        case 132:
        case 133:
        case 12:
        case 137:
        case 138:
        case 15:
        case 235:
        case 16:
        case 17:
        case 18:
        case 19:
        case 20:
        case 149:
        case 13:
        case 10:
        case 236:
        case 153:
        case 9:
        case 21:
        case 22:
        case 159:
        case 154:
        case 14:
        case 77:
        case 78:
        case 139:
        case 80:
        case 81:
        case 79:
        case 82:
        case 68:
        case 67:
        case 164:
        case 11:
        case 29:
        case 47:
        case 48:
        case 95:
        case 52:
        case 51:
        case 46:
          return 200809;
        case 27:
        case 246:
        case 127:
        case 128:
        case 23:
        case 24:
        case 160:
        case 161:
        case 181:
        case 182:
        case 242:
        case 183:
        case 184:
        case 243:
        case 244:
        case 245:
        case 165:
        case 178:
        case 179:
        case 49:
        case 50:
        case 168:
        case 169:
        case 175:
        case 170:
        case 171:
        case 172:
        case 97:
        case 76:
        case 32:
        case 173:
        case 35:
          return -1;
        case 176:
        case 177:
        case 7:
        case 155:
        case 8:
        case 157:
        case 125:
        case 126:
        case 92:
        case 93:
        case 129:
        case 130:
        case 131:
        case 94:
        case 91:
          return 1;
        case 74:
        case 60:
        case 69:
        case 70:
        case 4:
          return 1024;
        case 31:
        case 42:
        case 72:
          return 32;
        case 87:
        case 26:
        case 33:
          return 2147483647;
        case 34:
        case 1:
          return 47839;
        case 38:
        case 36:
          return 99;
        case 43:
        case 37:
          return 2048;
        case 0: return 2097152;
        case 3: return 65536;
        case 28: return 32768;
        case 44: return 32767;
        case 75: return 16384;
        case 39: return 1000;
        case 89: return 700;
        case 71: return 256;
        case 40: return 255;
        case 2: return 100;
        case 180: return 64;
        case 25: return 20;
        case 5: return 16;
        case 6: return 6;
        case 73: return 4;
        case 84: return 1;
      }
      ___setErrNo(ERRNO_CODES.EINVAL);
      return -1;
    }

  function _time(ptr) {
      var ret = Math.floor(Date.now()/1000);
      if (ptr) {
        tempBigInt=ret;HEAP8[(ptr)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((ptr)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((ptr)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((ptr)+(3))|0)]=tempBigInt&0xff;
      }
      return ret;
    }

  function ___cxa_allocate_exception(size) {
      var ptr = _malloc(size + ___cxa_exception_header_size);
      return ptr + ___cxa_exception_header_size;
    }

  function ___cxa_throw(ptr, type, destructor) {
      if (!___cxa_throw.initialized) {
        try {
          tempBigInt=0;HEAP8[(__ZTVN10__cxxabiv119__pointer_type_infoE)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((__ZTVN10__cxxabiv119__pointer_type_infoE)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((__ZTVN10__cxxabiv119__pointer_type_infoE)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((__ZTVN10__cxxabiv119__pointer_type_infoE)+(3))|0)]=tempBigInt&0xff; // Workaround for libcxxabi integration bug
        } catch(e){}
        try {
          tempBigInt=1;HEAP8[(__ZTVN10__cxxabiv117__class_type_infoE)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((__ZTVN10__cxxabiv117__class_type_infoE)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((__ZTVN10__cxxabiv117__class_type_infoE)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((__ZTVN10__cxxabiv117__class_type_infoE)+(3))|0)]=tempBigInt&0xff; // Workaround for libcxxabi integration bug
        } catch(e){}
        try {
          tempBigInt=2;HEAP8[(__ZTVN10__cxxabiv120__si_class_type_infoE)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((__ZTVN10__cxxabiv120__si_class_type_infoE)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((__ZTVN10__cxxabiv120__si_class_type_infoE)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((__ZTVN10__cxxabiv120__si_class_type_infoE)+(3))|0)]=tempBigInt&0xff; // Workaround for libcxxabi integration bug
        } catch(e){}
        ___cxa_throw.initialized = true;
      }
      var header = ptr - ___cxa_exception_header_size;
      tempBigInt=type;HEAP8[(header)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((header)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((header)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((header)+(3))|0)]=tempBigInt&0xff;
      tempBigInt=destructor;HEAP8[(((header)+(4))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((header)+(5))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((header)+(6))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((header)+(7))|0)]=tempBigInt&0xff;
      ___cxa_last_thrown_exception = ptr;
      if (!("uncaught_exception" in __ZSt18uncaught_exceptionv)) {
        __ZSt18uncaught_exceptionv.uncaught_exception = 1;
      } else {
        __ZSt18uncaught_exceptionv.uncaught_exception++;
      }
      throw ptr;
    }

  function ___cxa_call_unexpected(exception) {
      Module.printErr('Unexpected exception thrown, this is not properly supported - aborting');
      ABORT = true;
      throw exception;
    }

  
  function _copysign(a, b) {
      return __reallyNegative(a) === __reallyNegative(b) ? a : -a;
    }var _copysignl=_copysign;

  
  function _fmod(x, y) {
      return x % y;
    }var _fmodl=_fmod;

  function _llvm_lifetime_start() {}

  function _llvm_lifetime_end() {}






  var Browser={mainLoop:{scheduler:null,shouldPause:false,paused:false,queue:[],pause:function () {
          Browser.mainLoop.shouldPause = true;
        },resume:function () {
          if (Browser.mainLoop.paused) {
            Browser.mainLoop.paused = false;
            Browser.mainLoop.scheduler();
          }
          Browser.mainLoop.shouldPause = false;
        },updateStatus:function () {
          if (Module['setStatus']) {
            var message = Module['statusMessage'] || 'Please wait...';
            var remaining = Browser.mainLoop.remainingBlockers;
            var expected = Browser.mainLoop.expectedBlockers;
            if (remaining) {
              if (remaining < expected) {
                Module['setStatus'](message + ' (' + (expected - remaining) + '/' + expected + ')');
              } else {
                Module['setStatus'](message);
              }
            } else {
              Module['setStatus']('');
            }
          }
        }},isFullScreen:false,pointerLock:false,moduleContextCreatedCallbacks:[],workers:[],init:function () {
        if (!Module["preloadPlugins"]) Module["preloadPlugins"] = []; // needs to exist even in workers
  
        if (Browser.initted || ENVIRONMENT_IS_WORKER) return;
        Browser.initted = true;
  
        try {
          new Blob();
          Browser.hasBlobConstructor = true;
        } catch(e) {
          Browser.hasBlobConstructor = false;
          console.log("warning: no blob constructor, cannot create blobs with mimetypes");
        }
        Browser.BlobBuilder = typeof MozBlobBuilder != "undefined" ? MozBlobBuilder : (typeof WebKitBlobBuilder != "undefined" ? WebKitBlobBuilder : (!Browser.hasBlobConstructor ? console.log("warning: no BlobBuilder") : null));
        Browser.URLObject = typeof window != "undefined" ? (window.URL ? window.URL : window.webkitURL) : undefined;
        if (!Module.noImageDecoding && typeof Browser.URLObject === 'undefined') {
          console.log("warning: Browser does not support creating object URLs. Built-in browser image decoding will not be available.");
          Module.noImageDecoding = true;
        }
  
        // Support for plugins that can process preloaded files. You can add more of these to
        // your app by creating and appending to Module.preloadPlugins.
        //
        // Each plugin is asked if it can handle a file based on the file's name. If it can,
        // it is given the file's raw data. When it is done, it calls a callback with the file's
        // (possibly modified) data. For example, a plugin might decompress a file, or it
        // might create some side data structure for use later (like an Image element, etc.).
  
        var imagePlugin = {};
        imagePlugin['canHandle'] = function imagePlugin_canHandle(name) {
          return !Module.noImageDecoding && /\.(jpg|jpeg|png|bmp)$/i.test(name);
        };
        imagePlugin['handle'] = function imagePlugin_handle(byteArray, name, onload, onerror) {
          var b = null;
          if (Browser.hasBlobConstructor) {
            try {
              b = new Blob([byteArray], { type: Browser.getMimetype(name) });
              if (b.size !== byteArray.length) { // Safari bug #118630
                // Safari's Blob can only take an ArrayBuffer
                b = new Blob([(new Uint8Array(byteArray)).buffer], { type: Browser.getMimetype(name) });
              }
            } catch(e) {
              Runtime.warnOnce('Blob constructor present but fails: ' + e + '; falling back to blob builder');
            }
          }
          if (!b) {
            var bb = new Browser.BlobBuilder();
            bb.append((new Uint8Array(byteArray)).buffer); // we need to pass a buffer, and must copy the array to get the right data range
            b = bb.getBlob();
          }
          var url = Browser.URLObject.createObjectURL(b);
          assert(typeof url == 'string', 'createObjectURL must return a url as a string');
          var img = new Image();
          img.onload = function img_onload() {
            assert(img.complete, 'Image ' + name + ' could not be decoded');
            var canvas = document.createElement('canvas');
            canvas.width = img.width;
            canvas.height = img.height;
            var ctx = canvas.getContext('2d');
            ctx.drawImage(img, 0, 0);
            Module["preloadedImages"][name] = canvas;
            Browser.URLObject.revokeObjectURL(url);
            if (onload) onload(byteArray);
          };
          img.onerror = function img_onerror(event) {
            console.log('Image ' + url + ' could not be decoded');
            if (onerror) onerror();
          };
          img.src = url;
        };
        Module['preloadPlugins'].push(imagePlugin);
  
        var audioPlugin = {};
        audioPlugin['canHandle'] = function audioPlugin_canHandle(name) {
          return !Module.noAudioDecoding && name.substr(-4) in { '.ogg': 1, '.wav': 1, '.mp3': 1 };
        };
        audioPlugin['handle'] = function audioPlugin_handle(byteArray, name, onload, onerror) {
          var done = false;
          function finish(audio) {
            if (done) return;
            done = true;
            Module["preloadedAudios"][name] = audio;
            if (onload) onload(byteArray);
          }
          function fail() {
            if (done) return;
            done = true;
            Module["preloadedAudios"][name] = new Audio(); // empty shim
            if (onerror) onerror();
          }
          if (Browser.hasBlobConstructor) {
            try {
              var b = new Blob([byteArray], { type: Browser.getMimetype(name) });
            } catch(e) {
              return fail();
            }
            var url = Browser.URLObject.createObjectURL(b); // XXX we never revoke this!
            assert(typeof url == 'string', 'createObjectURL must return a url as a string');
            var audio = new Audio();
            audio.addEventListener('canplaythrough', function() { finish(audio) }, false); // use addEventListener due to chromium bug 124926
            audio.onerror = function audio_onerror(event) {
              if (done) return;
              console.log('warning: browser could not fully decode audio ' + name + ', trying slower base64 approach');
              function encode64(data) {
                var BASE = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/';
                var PAD = '=';
                var ret = '';
                var leftchar = 0;
                var leftbits = 0;
                for (var i = 0; i < data.length; i++) {
                  leftchar = (leftchar << 8) | data[i];
                  leftbits += 8;
                  while (leftbits >= 6) {
                    var curr = (leftchar >> (leftbits-6)) & 0x3f;
                    leftbits -= 6;
                    ret += BASE[curr];
                  }
                }
                if (leftbits == 2) {
                  ret += BASE[(leftchar&3) << 4];
                  ret += PAD + PAD;
                } else if (leftbits == 4) {
                  ret += BASE[(leftchar&0xf) << 2];
                  ret += PAD;
                }
                return ret;
              }
              audio.src = 'data:audio/x-' + name.substr(-3) + ';base64,' + encode64(byteArray);
              finish(audio); // we don't wait for confirmation this worked - but it's worth trying
            };
            audio.src = url;
            // workaround for chrome bug 124926 - we do not always get oncanplaythrough or onerror
            Browser.safeSetTimeout(function() {
              finish(audio); // try to use it even though it is not necessarily ready to play
            }, 10000);
          } else {
            return fail();
          }
        };
        Module['preloadPlugins'].push(audioPlugin);
  
        // Canvas event setup
  
        var canvas = Module['canvas'];
        canvas.requestPointerLock = canvas['requestPointerLock'] ||
                                    canvas['mozRequestPointerLock'] ||
                                    canvas['webkitRequestPointerLock'];
        canvas.exitPointerLock = document['exitPointerLock'] ||
                                 document['mozExitPointerLock'] ||
                                 document['webkitExitPointerLock'] ||
                                 function(){}; // no-op if function does not exist
        canvas.exitPointerLock = canvas.exitPointerLock.bind(document);
  
        function pointerLockChange() {
          Browser.pointerLock = document['pointerLockElement'] === canvas ||
                                document['mozPointerLockElement'] === canvas ||
                                document['webkitPointerLockElement'] === canvas;
        }
  
        document.addEventListener('pointerlockchange', pointerLockChange, false);
        document.addEventListener('mozpointerlockchange', pointerLockChange, false);
        document.addEventListener('webkitpointerlockchange', pointerLockChange, false);
  
        if (Module['elementPointerLock']) {
          canvas.addEventListener("click", function(ev) {
            if (!Browser.pointerLock && canvas.requestPointerLock) {
              canvas.requestPointerLock();
              ev.preventDefault();
            }
          }, false);
        }
      },createContext:function (canvas, useWebGL, setInModule, webGLContextAttributes) {
        var ctx;
        try {
          if (useWebGL) {
            var contextAttributes = {
              antialias: false,
              alpha: false
            };
  
            if (webGLContextAttributes) {
              for (var attribute in webGLContextAttributes) {
                contextAttributes[attribute] = webGLContextAttributes[attribute];
              }
            }
  
  
            var errorInfo = '?';
            function onContextCreationError(event) {
              errorInfo = event.statusMessage || errorInfo;
            }
            canvas.addEventListener('webglcontextcreationerror', onContextCreationError, false);
            try {
              ['experimental-webgl', 'webgl'].some(function(webglId) {
                return ctx = canvas.getContext(webglId, contextAttributes);
              });
            } finally {
              canvas.removeEventListener('webglcontextcreationerror', onContextCreationError, false);
            }
          } else {
            ctx = canvas.getContext('2d');
          }
          if (!ctx) throw ':(';
        } catch (e) {
          Module.print('Could not create canvas: ' + [errorInfo, e]);
          return null;
        }
        if (useWebGL) {
          // Set the background of the WebGL canvas to black
          canvas.style.backgroundColor = "black";
  
          // Warn on context loss
          canvas.addEventListener('webglcontextlost', function(event) {
            alert('WebGL context lost. You will need to reload the page.');
          }, false);
        }
        if (setInModule) {
          GLctx = Module.ctx = ctx;
          Module.useWebGL = useWebGL;
          Browser.moduleContextCreatedCallbacks.forEach(function(callback) { callback() });
          Browser.init();
        }
        return ctx;
      },destroyContext:function (canvas, useWebGL, setInModule) {},fullScreenHandlersInstalled:false,lockPointer:undefined,resizeCanvas:undefined,requestFullScreen:function (lockPointer, resizeCanvas) {
        Browser.lockPointer = lockPointer;
        Browser.resizeCanvas = resizeCanvas;
        if (typeof Browser.lockPointer === 'undefined') Browser.lockPointer = true;
        if (typeof Browser.resizeCanvas === 'undefined') Browser.resizeCanvas = false;
  
        var canvas = Module['canvas'];
        function fullScreenChange() {
          Browser.isFullScreen = false;
          if ((document['webkitFullScreenElement'] || document['webkitFullscreenElement'] ||
               document['mozFullScreenElement'] || document['mozFullscreenElement'] ||
               document['fullScreenElement'] || document['fullscreenElement']) === canvas) {
            canvas.cancelFullScreen = document['cancelFullScreen'] ||
                                      document['mozCancelFullScreen'] ||
                                      document['webkitCancelFullScreen'];
            canvas.cancelFullScreen = canvas.cancelFullScreen.bind(document);
            if (Browser.lockPointer) canvas.requestPointerLock();
            Browser.isFullScreen = true;
            if (Browser.resizeCanvas) Browser.setFullScreenCanvasSize();
          } else if (Browser.resizeCanvas){
            Browser.setWindowedCanvasSize();
          }
          if (Module['onFullScreen']) Module['onFullScreen'](Browser.isFullScreen);
        }
  
        if (!Browser.fullScreenHandlersInstalled) {
          Browser.fullScreenHandlersInstalled = true;
          document.addEventListener('fullscreenchange', fullScreenChange, false);
          document.addEventListener('mozfullscreenchange', fullScreenChange, false);
          document.addEventListener('webkitfullscreenchange', fullScreenChange, false);
        }
  
        canvas.requestFullScreen = canvas['requestFullScreen'] ||
                                   canvas['mozRequestFullScreen'] ||
                                   (canvas['webkitRequestFullScreen'] ? function() { canvas['webkitRequestFullScreen'](Element['ALLOW_KEYBOARD_INPUT']) } : null);
        canvas.requestFullScreen();
      },requestAnimationFrame:function requestAnimationFrame(func) {
        if (typeof window === 'undefined') { // Provide fallback to setTimeout if window is undefined (e.g. in Node.js)
          setTimeout(func, 1000/60);
        } else {
          if (!window.requestAnimationFrame) {
            window.requestAnimationFrame = window['requestAnimationFrame'] ||
                                           window['mozRequestAnimationFrame'] ||
                                           window['webkitRequestAnimationFrame'] ||
                                           window['msRequestAnimationFrame'] ||
                                           window['oRequestAnimationFrame'] ||
                                           window['setTimeout'];
          }
          window.requestAnimationFrame(func);
        }
      },safeCallback:function (func) {
        return function() {
          if (!ABORT) return func.apply(null, arguments);
        };
      },safeRequestAnimationFrame:function (func) {
        return Browser.requestAnimationFrame(function() {
          if (!ABORT) func();
        });
      },safeSetTimeout:function (func, timeout) {
        return setTimeout(function() {
          if (!ABORT) func();
        }, timeout);
      },safeSetInterval:function (func, timeout) {
        return setInterval(function() {
          if (!ABORT) func();
        }, timeout);
      },getMimetype:function (name) {
        return {
          'jpg': 'image/jpeg',
          'jpeg': 'image/jpeg',
          'png': 'image/png',
          'bmp': 'image/bmp',
          'ogg': 'audio/ogg',
          'wav': 'audio/wav',
          'mp3': 'audio/mpeg'
        }[name.substr(name.lastIndexOf('.')+1)];
      },getUserMedia:function (func) {
        if(!window.getUserMedia) {
          window.getUserMedia = navigator['getUserMedia'] ||
                                navigator['mozGetUserMedia'];
        }
        window.getUserMedia(func);
      },getMovementX:function (event) {
        return event['movementX'] ||
               event['mozMovementX'] ||
               event['webkitMovementX'] ||
               0;
      },getMovementY:function (event) {
        return event['movementY'] ||
               event['mozMovementY'] ||
               event['webkitMovementY'] ||
               0;
      },mouseX:0,mouseY:0,mouseMovementX:0,mouseMovementY:0,calculateMouseEvent:function (event) { // event should be mousemove, mousedown or mouseup
        if (Browser.pointerLock) {
          // When the pointer is locked, calculate the coordinates
          // based on the movement of the mouse.
          // Workaround for Firefox bug 764498
          if (event.type != 'mousemove' &&
              ('mozMovementX' in event)) {
            Browser.mouseMovementX = Browser.mouseMovementY = 0;
          } else {
            Browser.mouseMovementX = Browser.getMovementX(event);
            Browser.mouseMovementY = Browser.getMovementY(event);
          }
          
          // check if SDL is available
          if (typeof SDL != "undefined") {
          	Browser.mouseX = SDL.mouseX + Browser.mouseMovementX;
          	Browser.mouseY = SDL.mouseY + Browser.mouseMovementY;
          } else {
          	// just add the mouse delta to the current absolut mouse position
          	// FIXME: ideally this should be clamped against the canvas size and zero
          	Browser.mouseX += Browser.mouseMovementX;
          	Browser.mouseY += Browser.mouseMovementY;
          }        
        } else {
          // Otherwise, calculate the movement based on the changes
          // in the coordinates.
          var rect = Module["canvas"].getBoundingClientRect();
          var x, y;
          
          // Neither .scrollX or .pageXOffset are defined in a spec, but
          // we prefer .scrollX because it is currently in a spec draft.
          // (see: http://www.w3.org/TR/2013/WD-cssom-view-20131217/)
          var scrollX = ((typeof window.scrollX !== 'undefined') ? window.scrollX : window.pageXOffset);
          var scrollY = ((typeof window.scrollY !== 'undefined') ? window.scrollY : window.pageYOffset);
          // If this assert lands, it's likely because the browser doesn't support scrollX or pageXOffset
          // and we have no viable fallback.
          assert((typeof scrollX !== 'undefined') && (typeof scrollY !== 'undefined'), 'Unable to retrieve scroll position, mouse positions likely broken.');
          if (event.type == 'touchstart' ||
              event.type == 'touchend' ||
              event.type == 'touchmove') {
            var t = event.touches.item(0);
            if (t) {
              x = t.pageX - (scrollX + rect.left);
              y = t.pageY - (scrollY + rect.top);
            } else {
              return;
            }
          } else {
            x = event.pageX - (scrollX + rect.left);
            y = event.pageY - (scrollY + rect.top);
          }
  
          // the canvas might be CSS-scaled compared to its backbuffer;
          // SDL-using content will want mouse coordinates in terms
          // of backbuffer units.
          var cw = Module["canvas"].width;
          var ch = Module["canvas"].height;
          x = x * (cw / rect.width);
          y = y * (ch / rect.height);
  
          Browser.mouseMovementX = x - Browser.mouseX;
          Browser.mouseMovementY = y - Browser.mouseY;
          Browser.mouseX = x;
          Browser.mouseY = y;
        }
      },xhrLoad:function (url, onload, onerror) {
        var xhr = new XMLHttpRequest();
        xhr.open('GET', url, true);
        xhr.responseType = 'arraybuffer';
        xhr.onload = function xhr_onload() {
          if (xhr.status == 200 || (xhr.status == 0 && xhr.response)) { // file URLs can return 0
            onload(xhr.response);
          } else {
            onerror();
          }
        };
        xhr.onerror = onerror;
        xhr.send(null);
      },asyncLoad:function (url, onload, onerror, noRunDep) {
        Browser.xhrLoad(url, function(arrayBuffer) {
          assert(arrayBuffer, 'Loading data file "' + url + '" failed (no arrayBuffer).');
          onload(new Uint8Array(arrayBuffer));
          if (!noRunDep) removeRunDependency('al ' + url);
        }, function(event) {
          if (onerror) {
            onerror();
          } else {
            throw 'Loading data file "' + url + '" failed.';
          }
        });
        if (!noRunDep) addRunDependency('al ' + url);
      },resizeListeners:[],updateResizeListeners:function () {
        var canvas = Module['canvas'];
        Browser.resizeListeners.forEach(function(listener) {
          listener(canvas.width, canvas.height);
        });
      },setCanvasSize:function (width, height, noUpdates) {
        var canvas = Module['canvas'];
        canvas.width = width;
        canvas.height = height;
        if (!noUpdates) Browser.updateResizeListeners();
      },windowedWidth:0,windowedHeight:0,setFullScreenCanvasSize:function () {
        var canvas = Module['canvas'];
        this.windowedWidth = canvas.width;
        this.windowedHeight = canvas.height;
        canvas.width = screen.width;
        canvas.height = screen.height;
        // check if SDL is available   
        if (typeof SDL != "undefined") {
        	var flags = ((((HEAPU8[((SDL.screen+Runtime.QUANTUM_SIZE*0)|0)])|(HEAPU8[(((SDL.screen+Runtime.QUANTUM_SIZE*0)+(1))|0)]<<8)|(HEAPU8[(((SDL.screen+Runtime.QUANTUM_SIZE*0)+(2))|0)]<<16)|(HEAPU8[(((SDL.screen+Runtime.QUANTUM_SIZE*0)+(3))|0)]<<24))>>>0));
        	flags = flags | 0x00800000; // set SDL_FULLSCREEN flag
        	tempBigInt=flags;HEAP8[((SDL.screen+Runtime.QUANTUM_SIZE*0)|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((SDL.screen+Runtime.QUANTUM_SIZE*0)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((SDL.screen+Runtime.QUANTUM_SIZE*0)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((SDL.screen+Runtime.QUANTUM_SIZE*0)+(3))|0)]=tempBigInt&0xff
        }
        Browser.updateResizeListeners();
      },setWindowedCanvasSize:function () {
        var canvas = Module['canvas'];
        canvas.width = this.windowedWidth;
        canvas.height = this.windowedHeight;
        // check if SDL is available       
        if (typeof SDL != "undefined") {
        	var flags = ((((HEAPU8[((SDL.screen+Runtime.QUANTUM_SIZE*0)|0)])|(HEAPU8[(((SDL.screen+Runtime.QUANTUM_SIZE*0)+(1))|0)]<<8)|(HEAPU8[(((SDL.screen+Runtime.QUANTUM_SIZE*0)+(2))|0)]<<16)|(HEAPU8[(((SDL.screen+Runtime.QUANTUM_SIZE*0)+(3))|0)]<<24))>>>0));
        	flags = flags & ~0x00800000; // clear SDL_FULLSCREEN flag
        	tempBigInt=flags;HEAP8[((SDL.screen+Runtime.QUANTUM_SIZE*0)|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((SDL.screen+Runtime.QUANTUM_SIZE*0)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((SDL.screen+Runtime.QUANTUM_SIZE*0)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((SDL.screen+Runtime.QUANTUM_SIZE*0)+(3))|0)]=tempBigInt&0xff
        }
        Browser.updateResizeListeners();
      }};
FS.staticInit();__ATINIT__.unshift({ func: function() { if (!Module["noFSInit"] && !FS.init.initialized) FS.init() } });__ATMAIN__.push({ func: function() { FS.ignorePermissions = false } });__ATEXIT__.push({ func: function() { FS.quit() } });Module["FS_createFolder"] = FS.createFolder;Module["FS_createPath"] = FS.createPath;Module["FS_createDataFile"] = FS.createDataFile;Module["FS_createPreloadedFile"] = FS.createPreloadedFile;Module["FS_createLazyFile"] = FS.createLazyFile;Module["FS_createLink"] = FS.createLink;Module["FS_createDevice"] = FS.createDevice;
___errno_state = Runtime.staticAlloc(4); tempBigInt=0;HEAP8[(___errno_state)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((___errno_state)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((___errno_state)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(((___errno_state)+(3))|0)]=tempBigInt&0xff;
__ATINIT__.unshift({ func: function() { TTY.init() } });__ATEXIT__.push({ func: function() { TTY.shutdown() } });TTY.utf8 = new Runtime.UTF8Processor();
if (ENVIRONMENT_IS_NODE) { var fs = require("fs"); NODEFS.staticInit(); }
__ATINIT__.push({ func: function() { SOCKFS.root = FS.mount(SOCKFS, {}, null); } });
_fgetc.ret = allocate([0], "i8", ALLOC_STATIC);
Module["requestFullScreen"] = function Module_requestFullScreen(lockPointer, resizeCanvas) { Browser.requestFullScreen(lockPointer, resizeCanvas) };
  Module["requestAnimationFrame"] = function Module_requestAnimationFrame(func) { Browser.requestAnimationFrame(func) };
  Module["setCanvasSize"] = function Module_setCanvasSize(width, height, noUpdates) { Browser.setCanvasSize(width, height, noUpdates) };
  Module["pauseMainLoop"] = function Module_pauseMainLoop() { Browser.mainLoop.pause() };
  Module["resumeMainLoop"] = function Module_resumeMainLoop() { Browser.mainLoop.resume() };
  Module["getUserMedia"] = function Module_getUserMedia() { Browser.getUserMedia() }
STACK_BASE = STACKTOP = Runtime.alignMemory(STATICTOP);

staticSealed = true; // seal the static portion of memory

STACK_MAX = STACK_BASE + 5242880;

DYNAMIC_BASE = DYNAMICTOP = Runtime.alignMemory(STACK_MAX);

assert(DYNAMIC_BASE < TOTAL_MEMORY, "TOTAL_MEMORY not big enough for stack");



var FUNCTION_TABLE = [0,0,__ZN10__cxxabiv120__si_class_type_infoD2Ev,0,__Z11CompileCaseii,0,__ZNK10__cxxabiv120__si_class_type_info16search_above_dstEPNS_19__dynamic_cast_infoEPKvS4_ib,0,__ZN12SymbolEngineC2Ev,0,__ZNSt9bad_allocD0Ev,0,__ZL11read_singleP8_IO_FILEPc,0,__ZN10__cxxabiv117__class_type_infoD0Ev,0,__Z18CompileRepeatPlainii,0,__ZNKSt9bad_alloc4whatEv,0,__ZNK10__cxxabiv120__si_class_type_info16search_below_dstEPNS_19__dynamic_cast_infoEPKvib,0,__ZN8HashableD2Ev,0,__ZN8HashableD0Ev,0,__ZN16SymbolTableEntryC2ERK25SymbolTableEntryDataTable,0,__ZNSt9bad_allocD2Ev,0,__ZNK10__cxxabiv117__class_type_info16search_above_dstEPNS_19__dynamic_cast_infoEPKvS4_ib,0,__ZNK10__cxxabiv117__class_type_info16search_below_dstEPNS_19__dynamic_cast_infoEPKvib,0,__Z18CompileRepeatCountii,0,__ZNK10__cxxabiv116__shim_type_info5noop1Ev,0,__ZN10__cxxabiv117__class_type_infoD2Ev,0,__ZN16SymbolTableEntryD2Ev,0,__ZL11read_latin1P8_IO_FILEPc,0,__ZL15default_errfuncPvPKciS1_,0,__Z11CompileLookii,0,__ZNK10__cxxabiv117__class_type_info9can_catchEPKNS_16__shim_type_infoERPv,0,__ZNK10__cxxabiv117__class_type_info27has_unambiguous_public_baseEPNS_19__dynamic_cast_infoEPvi,0,__Z28CompileRepeatPreWhileOrUntilii,0,__ZN10__cxxabiv120__si_class_type_infoD0Ev,0,__Z21CompileRepeatVariableii,0,__Z16CompileIfOrIfNotii,0,__ZNK10__cxxabiv116__shim_type_info5noop2Ev,0,__ZL10read_utf16P8_IO_FILEPc,0,__ZN16SymbolTableEntryD0Ev,0,__ZNK10__cxxabiv120__si_class_type_info27has_unambiguous_public_baseEPNS_19__dynamic_cast_infoEPvi,0];

// EMSCRIPTEN_START_FUNCS

function __Z8MakePathP9PathEntryPKc($entry1,$name){
 var label=0;
 var tempVarArgs=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $entry_addr;
 var $name_addr;
 $entry_addr=$entry1;
 $name_addr=$name;
 var $0=$entry_addr; //@line 86 "SpinSource/openspin.cpp"
 var $path=(($0+4)|0); //@line 86 "SpinSource/openspin.cpp"
 var $arraydecay=(($path)|0); //@line 86 "SpinSource/openspin.cpp"
 var $1=$name_addr; //@line 86 "SpinSource/openspin.cpp"
 var $call=_sprintf(18894616,9848,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 24)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=$arraydecay,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempBigInt=47,HEAP8[(((tempVarArgs)+(8))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[((((tempVarArgs)+(8))+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[((((tempVarArgs)+(8))+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[((((tempVarArgs)+(8))+(3))|0)]=tempBigInt&0xff,tempBigInt=$1,HEAP8[(((tempVarArgs)+(16))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[((((tempVarArgs)+(16))+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[((((tempVarArgs)+(16))+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[((((tempVarArgs)+(16))+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 86 "SpinSource/openspin.cpp"
 STACKTOP=sp;return 18894616; //@line 87 "SpinSource/openspin.cpp"
}


function __Z7AddPathPKc($path){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $path_addr;
 var $entry1;
 $path_addr=$path;
 var $0=$path_addr; //@line 92 "SpinSource/openspin.cpp"
 var $call=_strlen($0); //@line 92 "SpinSource/openspin.cpp"
 var $add=((($call)+(8))|0); //@line 92 "SpinSource/openspin.cpp"
 var $call2=__Znaj($add); //@line 92 "SpinSource/openspin.cpp"
 var $1=$call2; //@line 92 "SpinSource/openspin.cpp"
 $entry1=$1; //@line 92 "SpinSource/openspin.cpp"
 var $2=$entry1; //@line 93 "SpinSource/openspin.cpp"
 var $tobool=($2|0)!=0; //@line 93 "SpinSource/openspin.cpp"
 if($tobool){label=3;break;}else{label=2;break;} //@line 93 "SpinSource/openspin.cpp"
 case 2: 
 $retval=0; //@line 95 "SpinSource/openspin.cpp"
 label=4;break; //@line 95 "SpinSource/openspin.cpp"
 case 3: 
 var $3=$entry1; //@line 97 "SpinSource/openspin.cpp"
 var $path3=(($3+4)|0); //@line 97 "SpinSource/openspin.cpp"
 var $arraydecay=(($path3)|0); //@line 97 "SpinSource/openspin.cpp"
 var $4=$path_addr; //@line 97 "SpinSource/openspin.cpp"
 var $call4=_strcpy($arraydecay,$4); //@line 97 "SpinSource/openspin.cpp"
 var $5=$entry1; //@line 98 "SpinSource/openspin.cpp"
 var $6=((((HEAPU8[(16440)])|(HEAPU8[(16441)]<<8)|(HEAPU8[(16442)]<<16)|(HEAPU8[(16443)]<<24))|0)); //@line 98 "SpinSource/openspin.cpp"
 tempBigInt=$5;HEAP8[($6)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($6)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($6)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($6)+(3))|0)]=tempBigInt&0xff; //@line 98 "SpinSource/openspin.cpp"
 var $7=$entry1; //@line 99 "SpinSource/openspin.cpp"
 var $next=(($7)|0); //@line 99 "SpinSource/openspin.cpp"
 tempBigInt=$next;HEAP8[(16440)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(16441)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(16442)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(16443)]=tempBigInt&0xff; //@line 99 "SpinSource/openspin.cpp"
 var $8=$entry1; //@line 100 "SpinSource/openspin.cpp"
 var $next5=(($8)|0); //@line 100 "SpinSource/openspin.cpp"
 tempBigInt=0;HEAP8[($next5)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($next5)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($next5)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($next5)+(3))|0)]=tempBigInt&0xff; //@line 100 "SpinSource/openspin.cpp"
 $retval=1; //@line 101 "SpinSource/openspin.cpp"
 label=4;break; //@line 101 "SpinSource/openspin.cpp"
 case 4: 
 var $9=$retval; //@line 102 "SpinSource/openspin.cpp"
 STACKTOP=sp;return $9; //@line 102 "SpinSource/openspin.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z11AddFilePathPKc($name){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $name_addr;
 var $end;
 var $len;
 var $entry1;
 $name_addr=$name;
 var $0=$name_addr; //@line 106 "SpinSource/openspin.cpp"
 var $call=_strrchr($0,47); //@line 106 "SpinSource/openspin.cpp"
 $end=$call; //@line 106 "SpinSource/openspin.cpp"
 var $1=$end; //@line 107 "SpinSource/openspin.cpp"
 var $tobool=($1|0)!=0; //@line 107 "SpinSource/openspin.cpp"
 if($tobool){label=3;break;}else{label=2;break;} //@line 107 "SpinSource/openspin.cpp"
 case 2: 
 $retval=0; //@line 109 "SpinSource/openspin.cpp"
 label=6;break; //@line 109 "SpinSource/openspin.cpp"
 case 3: 
 var $2=$end; //@line 111 "SpinSource/openspin.cpp"
 var $3=$name_addr; //@line 111 "SpinSource/openspin.cpp"
 var $sub_ptr_lhs_cast=$2; //@line 111 "SpinSource/openspin.cpp"
 var $sub_ptr_rhs_cast=$3; //@line 111 "SpinSource/openspin.cpp"
 var $sub_ptr_sub=((($sub_ptr_lhs_cast)-($sub_ptr_rhs_cast))|0); //@line 111 "SpinSource/openspin.cpp"
 $len=$sub_ptr_sub; //@line 111 "SpinSource/openspin.cpp"
 var $4=$len; //@line 112 "SpinSource/openspin.cpp"
 var $add=((($4)+(8))|0); //@line 112 "SpinSource/openspin.cpp"
 var $call2=__Znaj($add); //@line 112 "SpinSource/openspin.cpp"
 var $5=$call2; //@line 112 "SpinSource/openspin.cpp"
 $entry1=$5; //@line 112 "SpinSource/openspin.cpp"
 var $6=$entry1; //@line 113 "SpinSource/openspin.cpp"
 var $tobool3=($6|0)!=0; //@line 113 "SpinSource/openspin.cpp"
 if($tobool3){label=5;break;}else{label=4;break;} //@line 113 "SpinSource/openspin.cpp"
 case 4: 
 $retval=0; //@line 115 "SpinSource/openspin.cpp"
 label=6;break; //@line 115 "SpinSource/openspin.cpp"
 case 5: 
 var $7=$entry1; //@line 117 "SpinSource/openspin.cpp"
 var $path=(($7+4)|0); //@line 117 "SpinSource/openspin.cpp"
 var $arraydecay=(($path)|0); //@line 117 "SpinSource/openspin.cpp"
 var $8=$name_addr; //@line 117 "SpinSource/openspin.cpp"
 var $9=$len; //@line 117 "SpinSource/openspin.cpp"
 var $call6=_strncpy($arraydecay,$8,$9); //@line 117 "SpinSource/openspin.cpp"
 var $10=$len; //@line 118 "SpinSource/openspin.cpp"
 var $11=$entry1; //@line 118 "SpinSource/openspin.cpp"
 var $path7=(($11+4)|0); //@line 118 "SpinSource/openspin.cpp"
 var $arrayidx=(($path7+$10)|0); //@line 118 "SpinSource/openspin.cpp"
 HEAP8[($arrayidx)]=0; //@line 118 "SpinSource/openspin.cpp"
 var $12=$entry1; //@line 119 "SpinSource/openspin.cpp"
 var $13=((((HEAPU8[(16440)])|(HEAPU8[(16441)]<<8)|(HEAPU8[(16442)]<<16)|(HEAPU8[(16443)]<<24))|0)); //@line 119 "SpinSource/openspin.cpp"
 tempBigInt=$12;HEAP8[($13)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($13)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($13)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($13)+(3))|0)]=tempBigInt&0xff; //@line 119 "SpinSource/openspin.cpp"
 var $14=$entry1; //@line 120 "SpinSource/openspin.cpp"
 var $next=(($14)|0); //@line 120 "SpinSource/openspin.cpp"
 tempBigInt=$next;HEAP8[(16440)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(16441)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(16442)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(16443)]=tempBigInt&0xff; //@line 120 "SpinSource/openspin.cpp"
 var $15=$entry1; //@line 121 "SpinSource/openspin.cpp"
 var $next8=(($15)|0); //@line 121 "SpinSource/openspin.cpp"
 tempBigInt=0;HEAP8[($next8)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($next8)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($next8)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($next8)+(3))|0)]=tempBigInt&0xff; //@line 121 "SpinSource/openspin.cpp"
 $retval=1; //@line 123 "SpinSource/openspin.cpp"
 label=6;break; //@line 123 "SpinSource/openspin.cpp"
 case 6: 
 var $16=$retval; //@line 124 "SpinSource/openspin.cpp"
 STACKTOP=sp;return $16; //@line 124 "SpinSource/openspin.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z14OpenFileInPathPKcS0_($name,$mode){
 var label=0;
 var tempVarArgs=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $name_addr;
 var $mode_addr;
 var $file;
 var $entry1;
 $name_addr=$name;
 $mode_addr=$mode;
 var $0=$name_addr; //@line 128 "SpinSource/openspin.cpp"
 var $1=$mode_addr; //@line 128 "SpinSource/openspin.cpp"
 var $call=_fopen($0,$1); //@line 128 "SpinSource/openspin.cpp"
 $file=$call; //@line 128 "SpinSource/openspin.cpp"
 var $2=$file; //@line 129 "SpinSource/openspin.cpp"
 var $tobool=($2|0)!=0; //@line 129 "SpinSource/openspin.cpp"
 if($tobool){label=9;break;}else{label=2;break;} //@line 129 "SpinSource/openspin.cpp"
 case 2: 
 var $3=((((HEAPU8[(19664)])|(HEAPU8[(19665)]<<8)|(HEAPU8[(19666)]<<16)|(HEAPU8[(19667)]<<24))|0)); //@line 131 "SpinSource/openspin.cpp"
 $entry1=$3; //@line 131 "SpinSource/openspin.cpp"
 label=3;break; //@line 131 "SpinSource/openspin.cpp"
 case 3: 
 var $4=$entry1; //@line 131 "SpinSource/openspin.cpp"
 var $cmp=($4|0)!=0; //@line 131 "SpinSource/openspin.cpp"
 if($cmp){label=4;break;}else{label=8;break;} //@line 131 "SpinSource/openspin.cpp"
 case 4: 
 var $5=$entry1; //@line 133 "SpinSource/openspin.cpp"
 var $6=$name_addr; //@line 133 "SpinSource/openspin.cpp"
 var $call2=__Z8MakePathP9PathEntryPKc($5,$6); //@line 133 "SpinSource/openspin.cpp"
 var $7=$mode_addr; //@line 133 "SpinSource/openspin.cpp"
 var $call3=_fopen($call2,$7); //@line 133 "SpinSource/openspin.cpp"
 $file=$call3; //@line 133 "SpinSource/openspin.cpp"
 var $8=$file; //@line 134 "SpinSource/openspin.cpp"
 var $cmp4=($8|0)!=0; //@line 134 "SpinSource/openspin.cpp"
 if($cmp4){label=5;break;}else{label=6;break;} //@line 134 "SpinSource/openspin.cpp"
 case 5: 
 label=8;break; //@line 136 "SpinSource/openspin.cpp"
 case 6: 
 label=7;break; //@line 138 "SpinSource/openspin.cpp"
 case 7: 
 var $9=$entry1; //@line 131 "SpinSource/openspin.cpp"
 var $next=(($9)|0); //@line 131 "SpinSource/openspin.cpp"
 var $10=((((HEAPU8[($next)])|(HEAPU8[((($next)+(1))|0)]<<8)|(HEAPU8[((($next)+(2))|0)]<<16)|(HEAPU8[((($next)+(3))|0)]<<24))|0)); //@line 131 "SpinSource/openspin.cpp"
 $entry1=$10; //@line 131 "SpinSource/openspin.cpp"
 label=3;break; //@line 131 "SpinSource/openspin.cpp"
 case 8: 
 label=12;break; //@line 139 "SpinSource/openspin.cpp"
 case 9: 
 var $11=$name_addr; //@line 145 "SpinSource/openspin.cpp"
 var $call6=_realpath($11,18894616); //@line 145 "SpinSource/openspin.cpp"
 var $cmp7=($call6|0)==0; //@line 145 "SpinSource/openspin.cpp"
 if($cmp7){label=10;break;}else{label=11;break;} //@line 145 "SpinSource/openspin.cpp"
 case 10: 
 var $12=$name_addr; //@line 148 "SpinSource/openspin.cpp"
 var $call9=_strcpy(18894616,$12); //@line 148 "SpinSource/openspin.cpp"
 label=11;break; //@line 149 "SpinSource/openspin.cpp"
 case 11: 
 label=12;break;
 case 12: 
 var $13=((((HEAPU8[(20232)])|(HEAPU8[(20233)]<<8)|(HEAPU8[(20234)]<<16)|(HEAPU8[(20235)]<<24))|0)); //@line 152 "SpinSource/openspin.cpp"
 var $inc=((($13)+(1))|0); //@line 152 "SpinSource/openspin.cpp"
 tempBigInt=$inc;HEAP8[(20232)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20233)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20234)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20235)]=tempBigInt&0xff; //@line 152 "SpinSource/openspin.cpp"
 var $arrayidx=((16797456+($13<<10))|0); //@line 152 "SpinSource/openspin.cpp"
 var $arraydecay=(($arrayidx)|0); //@line 152 "SpinSource/openspin.cpp"
 var $call12=_strcpy($arraydecay,18894616); //@line 152 "SpinSource/openspin.cpp"
 var $14=((((HEAPU8[(20232)])|(HEAPU8[(20233)]<<8)|(HEAPU8[(20234)]<<16)|(HEAPU8[(20235)]<<24))|0)); //@line 153 "SpinSource/openspin.cpp"
 var $cmp13=($14|0)>2048; //@line 153 "SpinSource/openspin.cpp"
 if($cmp13){label=13;break;}else{label=14;break;} //@line 153 "SpinSource/openspin.cpp"
 case 13: 
 var $call15=_printf(9816,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 1)|0,STACKTOP = (((STACKTOP)+7)&-8),(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=0,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 155 "SpinSource/openspin.cpp"
 _exit(2); //@line 156 "SpinSource/openspin.cpp"
 throw "Reached an unreachable!"; //@line 156 "SpinSource/openspin.cpp"
 case 14: 
 var $15=$file; //@line 159 "SpinSource/openspin.cpp"
 STACKTOP=sp;return $15; //@line 159 "SpinSource/openspin.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z9AddDefinePKc($define){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $define_addr;
 var $entry1;
 $define_addr=$define;
 var $0=$define_addr; //@line 164 "SpinSource/openspin.cpp"
 var $call=_strlen($0); //@line 164 "SpinSource/openspin.cpp"
 var $add=((($call)+(8))|0); //@line 164 "SpinSource/openspin.cpp"
 var $call2=__Znaj($add); //@line 164 "SpinSource/openspin.cpp"
 var $1=$call2; //@line 164 "SpinSource/openspin.cpp"
 $entry1=$1; //@line 164 "SpinSource/openspin.cpp"
 var $2=$entry1; //@line 165 "SpinSource/openspin.cpp"
 var $tobool=($2|0)!=0; //@line 165 "SpinSource/openspin.cpp"
 if($tobool){label=3;break;}else{label=2;break;} //@line 165 "SpinSource/openspin.cpp"
 case 2: 
 $retval=0; //@line 167 "SpinSource/openspin.cpp"
 label=4;break; //@line 167 "SpinSource/openspin.cpp"
 case 3: 
 var $3=$entry1; //@line 169 "SpinSource/openspin.cpp"
 var $path=(($3+4)|0); //@line 169 "SpinSource/openspin.cpp"
 var $arraydecay=(($path)|0); //@line 169 "SpinSource/openspin.cpp"
 var $4=$define_addr; //@line 169 "SpinSource/openspin.cpp"
 var $call3=_strcpy($arraydecay,$4); //@line 169 "SpinSource/openspin.cpp"
 var $5=$entry1; //@line 170 "SpinSource/openspin.cpp"
 var $6=((((HEAPU8[(16432)])|(HEAPU8[(16433)]<<8)|(HEAPU8[(16434)]<<16)|(HEAPU8[(16435)]<<24))|0)); //@line 170 "SpinSource/openspin.cpp"
 tempBigInt=$5;HEAP8[($6)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($6)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($6)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($6)+(3))|0)]=tempBigInt&0xff; //@line 170 "SpinSource/openspin.cpp"
 var $7=$entry1; //@line 171 "SpinSource/openspin.cpp"
 var $next=(($7)|0); //@line 171 "SpinSource/openspin.cpp"
 tempBigInt=$next;HEAP8[(16432)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(16433)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(16434)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(16435)]=tempBigInt&0xff; //@line 171 "SpinSource/openspin.cpp"
 var $8=$entry1; //@line 172 "SpinSource/openspin.cpp"
 var $next4=(($8)|0); //@line 172 "SpinSource/openspin.cpp"
 tempBigInt=0;HEAP8[($next4)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($next4)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($next4)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($next4)+(3))|0)]=tempBigInt&0xff; //@line 172 "SpinSource/openspin.cpp"
 $retval=1; //@line 173 "SpinSource/openspin.cpp"
 label=4;break; //@line 173 "SpinSource/openspin.cpp"
 case 4: 
 var $9=$retval; //@line 174 "SpinSource/openspin.cpp"
 STACKTOP=sp;return $9; //@line 174 "SpinSource/openspin.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function _main($argc,$argv){
 var label=0;
 var tempVarArgs=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+280)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $argc_addr;
 var $argv_addr;
 var $infile;
 var $outfile;
 var $p;
 var $bVerbose;
 var $bQuiet;
 var $bDocMode;
 var $bDATonly;
 var $bBinary;
 var $eeprom_size=sp;
 var $bFileTreeOutputOnly;
 var $bFileListOutputOnly;
 var $i;
 var $entry95;
 var $outputFilename=(sp)+(8);
 var $pTemp;
 var $offset;
 var $pExtension;
 var $pBuffer=(sp)+(264);
 var $bufferSize=(sp)+(272);
 var $pFile;
 var $i193;
 var $j;
 var $i217;
 var $listOffset;
 var $pTemp241;
 var $docOffset;
 var $pTemp276;
 $retval=0;
 $argc_addr=$argc;
 $argv_addr=$argv;
 $infile=0; //@line 209 "SpinSource/openspin.cpp"
 $outfile=0; //@line 210 "SpinSource/openspin.cpp"
 $p=0; //@line 211 "SpinSource/openspin.cpp"
 $bVerbose=0; //@line 212 "SpinSource/openspin.cpp"
 $bQuiet=0; //@line 213 "SpinSource/openspin.cpp"
 $bDocMode=0; //@line 214 "SpinSource/openspin.cpp"
 $bDATonly=0; //@line 215 "SpinSource/openspin.cpp"
 $bBinary=1; //@line 216 "SpinSource/openspin.cpp"
 tempBigInt=32768;HEAP8[($eeprom_size)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($eeprom_size)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($eeprom_size)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($eeprom_size)+(3))|0)]=tempBigInt&0xff; //@line 217 "SpinSource/openspin.cpp"
 HEAP8[(16472)]=1; //@line 218 "SpinSource/openspin.cpp"
 $bFileTreeOutputOnly=0; //@line 219 "SpinSource/openspin.cpp"
 $bFileListOutputOnly=0; //@line 220 "SpinSource/openspin.cpp"
 $i=1; //@line 223 "SpinSource/openspin.cpp"
 label=2;break; //@line 223 "SpinSource/openspin.cpp"
 case 2: 
 var $0=$i; //@line 223 "SpinSource/openspin.cpp"
 var $1=$argc_addr; //@line 223 "SpinSource/openspin.cpp"
 var $cmp=($0|0)<($1|0); //@line 223 "SpinSource/openspin.cpp"
 if($cmp){label=3;break;}else{label=56;break;} //@line 223 "SpinSource/openspin.cpp"
 case 3: 
 var $2=$i; //@line 226 "SpinSource/openspin.cpp"
 var $3=$argv_addr; //@line 226 "SpinSource/openspin.cpp"
 var $arrayidx=(($3+($2<<2))|0); //@line 226 "SpinSource/openspin.cpp"
 var $4=((((HEAPU8[($arrayidx)])|(HEAPU8[((($arrayidx)+(1))|0)]<<8)|(HEAPU8[((($arrayidx)+(2))|0)]<<16)|(HEAPU8[((($arrayidx)+(3))|0)]<<24))|0)); //@line 226 "SpinSource/openspin.cpp"
 var $arrayidx1=(($4)|0); //@line 226 "SpinSource/openspin.cpp"
 var $5=HEAP8[($arrayidx1)]; //@line 226 "SpinSource/openspin.cpp"
 var $conv=(($5<<24)>>24); //@line 226 "SpinSource/openspin.cpp"
 var $cmp2=($conv|0)==45; //@line 226 "SpinSource/openspin.cpp"
 if($cmp2){label=4;break;}else{label=51;break;} //@line 226 "SpinSource/openspin.cpp"
 case 4: 
 var $6=$i; //@line 228 "SpinSource/openspin.cpp"
 var $7=$argv_addr; //@line 228 "SpinSource/openspin.cpp"
 var $arrayidx3=(($7+($6<<2))|0); //@line 228 "SpinSource/openspin.cpp"
 var $8=((((HEAPU8[($arrayidx3)])|(HEAPU8[((($arrayidx3)+(1))|0)]<<8)|(HEAPU8[((($arrayidx3)+(2))|0)]<<16)|(HEAPU8[((($arrayidx3)+(3))|0)]<<24))|0)); //@line 228 "SpinSource/openspin.cpp"
 var $arrayidx4=(($8+1)|0); //@line 228 "SpinSource/openspin.cpp"
 var $9=HEAP8[($arrayidx4)]; //@line 228 "SpinSource/openspin.cpp"
 var $conv5=(($9<<24)>>24); //@line 228 "SpinSource/openspin.cpp"
 switch(($conv5|0)){case 77:{ label=12;break;}case 111:{ label=21;break;}case 112:{ label=28;break;}case 97:{ label=29;break;}case 68:{ label=30;break;}case 116:{ label=40;break;}case 102:{ label=41;break;}case 98:{ label=42;break;}case 99:{ label=43;break;}case 100:{ label=44;break;}case 101:{ label=45;break;}case 113:{ label=46;break;}case 118:{ label=47;break;}case 104:{ label=48;break;}case 73:case 76:{ label=5;break;}default:{label=49;break;}}break;
 case 5: 
 var $10=$i; //@line 232 "SpinSource/openspin.cpp"
 var $11=$argv_addr; //@line 232 "SpinSource/openspin.cpp"
 var $arrayidx6=(($11+($10<<2))|0); //@line 232 "SpinSource/openspin.cpp"
 var $12=((((HEAPU8[($arrayidx6)])|(HEAPU8[((($arrayidx6)+(1))|0)]<<8)|(HEAPU8[((($arrayidx6)+(2))|0)]<<16)|(HEAPU8[((($arrayidx6)+(3))|0)]<<24))|0)); //@line 232 "SpinSource/openspin.cpp"
 var $arrayidx7=(($12+2)|0); //@line 232 "SpinSource/openspin.cpp"
 var $13=HEAP8[($arrayidx7)]; //@line 232 "SpinSource/openspin.cpp"
 var $tobool=(($13<<24)>>24)!=0; //@line 232 "SpinSource/openspin.cpp"
 if($tobool){label=6;break;}else{label=7;break;} //@line 232 "SpinSource/openspin.cpp"
 case 6: 
 var $14=$i; //@line 234 "SpinSource/openspin.cpp"
 var $15=$argv_addr; //@line 234 "SpinSource/openspin.cpp"
 var $arrayidx9=(($15+($14<<2))|0); //@line 234 "SpinSource/openspin.cpp"
 var $16=((((HEAPU8[($arrayidx9)])|(HEAPU8[((($arrayidx9)+(1))|0)]<<8)|(HEAPU8[((($arrayidx9)+(2))|0)]<<16)|(HEAPU8[((($arrayidx9)+(3))|0)]<<24))|0)); //@line 234 "SpinSource/openspin.cpp"
 var $arrayidx10=(($16+2)|0); //@line 234 "SpinSource/openspin.cpp"
 $p=$arrayidx10; //@line 234 "SpinSource/openspin.cpp"
 label=11;break; //@line 235 "SpinSource/openspin.cpp"
 case 7: 
 var $17=$i; //@line 236 "SpinSource/openspin.cpp"
 var $inc=((($17)+(1))|0); //@line 236 "SpinSource/openspin.cpp"
 $i=$inc; //@line 236 "SpinSource/openspin.cpp"
 var $18=$argc_addr; //@line 236 "SpinSource/openspin.cpp"
 var $cmp11=($inc|0)<($18|0); //@line 236 "SpinSource/openspin.cpp"
 if($cmp11){label=8;break;}else{label=9;break;} //@line 236 "SpinSource/openspin.cpp"
 case 8: 
 var $19=$i; //@line 238 "SpinSource/openspin.cpp"
 var $20=$argv_addr; //@line 238 "SpinSource/openspin.cpp"
 var $arrayidx13=(($20+($19<<2))|0); //@line 238 "SpinSource/openspin.cpp"
 var $21=((((HEAPU8[($arrayidx13)])|(HEAPU8[((($arrayidx13)+(1))|0)]<<8)|(HEAPU8[((($arrayidx13)+(2))|0)]<<16)|(HEAPU8[((($arrayidx13)+(3))|0)]<<24))|0)); //@line 238 "SpinSource/openspin.cpp"
 $p=$21; //@line 238 "SpinSource/openspin.cpp"
 label=10;break; //@line 239 "SpinSource/openspin.cpp"
 case 9: 
 __ZL5Usagev(); //@line 242 "SpinSource/openspin.cpp"
 $retval=1; //@line 243 "SpinSource/openspin.cpp"
 label=145;break; //@line 243 "SpinSource/openspin.cpp"
 case 10: 
 label=11;break;
 case 11: 
 var $22=$p; //@line 245 "SpinSource/openspin.cpp"
 var $call=__Z7AddPathPKc($22); //@line 245 "SpinSource/openspin.cpp"
 label=50;break; //@line 246 "SpinSource/openspin.cpp"
 case 12: 
 var $23=$i; //@line 249 "SpinSource/openspin.cpp"
 var $24=$argv_addr; //@line 249 "SpinSource/openspin.cpp"
 var $arrayidx17=(($24+($23<<2))|0); //@line 249 "SpinSource/openspin.cpp"
 var $25=((((HEAPU8[($arrayidx17)])|(HEAPU8[((($arrayidx17)+(1))|0)]<<8)|(HEAPU8[((($arrayidx17)+(2))|0)]<<16)|(HEAPU8[((($arrayidx17)+(3))|0)]<<24))|0)); //@line 249 "SpinSource/openspin.cpp"
 var $arrayidx18=(($25+2)|0); //@line 249 "SpinSource/openspin.cpp"
 var $26=HEAP8[($arrayidx18)]; //@line 249 "SpinSource/openspin.cpp"
 var $tobool19=(($26<<24)>>24)!=0; //@line 249 "SpinSource/openspin.cpp"
 if($tobool19){label=13;break;}else{label=14;break;} //@line 249 "SpinSource/openspin.cpp"
 case 13: 
 var $27=$i; //@line 251 "SpinSource/openspin.cpp"
 var $28=$argv_addr; //@line 251 "SpinSource/openspin.cpp"
 var $arrayidx21=(($28+($27<<2))|0); //@line 251 "SpinSource/openspin.cpp"
 var $29=((((HEAPU8[($arrayidx21)])|(HEAPU8[((($arrayidx21)+(1))|0)]<<8)|(HEAPU8[((($arrayidx21)+(2))|0)]<<16)|(HEAPU8[((($arrayidx21)+(3))|0)]<<24))|0)); //@line 251 "SpinSource/openspin.cpp"
 var $arrayidx22=(($29+2)|0); //@line 251 "SpinSource/openspin.cpp"
 $p=$arrayidx22; //@line 251 "SpinSource/openspin.cpp"
 label=18;break; //@line 252 "SpinSource/openspin.cpp"
 case 14: 
 var $30=$i; //@line 253 "SpinSource/openspin.cpp"
 var $inc24=((($30)+(1))|0); //@line 253 "SpinSource/openspin.cpp"
 $i=$inc24; //@line 253 "SpinSource/openspin.cpp"
 var $31=$argc_addr; //@line 253 "SpinSource/openspin.cpp"
 var $cmp25=($inc24|0)<($31|0); //@line 253 "SpinSource/openspin.cpp"
 if($cmp25){label=15;break;}else{label=16;break;} //@line 253 "SpinSource/openspin.cpp"
 case 15: 
 var $32=$i; //@line 255 "SpinSource/openspin.cpp"
 var $33=$argv_addr; //@line 255 "SpinSource/openspin.cpp"
 var $arrayidx27=(($33+($32<<2))|0); //@line 255 "SpinSource/openspin.cpp"
 var $34=((((HEAPU8[($arrayidx27)])|(HEAPU8[((($arrayidx27)+(1))|0)]<<8)|(HEAPU8[((($arrayidx27)+(2))|0)]<<16)|(HEAPU8[((($arrayidx27)+(3))|0)]<<24))|0)); //@line 255 "SpinSource/openspin.cpp"
 $p=$34; //@line 255 "SpinSource/openspin.cpp"
 label=17;break; //@line 256 "SpinSource/openspin.cpp"
 case 16: 
 __ZL5Usagev(); //@line 259 "SpinSource/openspin.cpp"
 $retval=1; //@line 260 "SpinSource/openspin.cpp"
 label=145;break; //@line 260 "SpinSource/openspin.cpp"
 case 17: 
 label=18;break;
 case 18: 
 var $35=$p; //@line 262 "SpinSource/openspin.cpp"
 var $call31=_sscanf($35,7120,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 8)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=$eeprom_size,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 262 "SpinSource/openspin.cpp"
 var $36=((((HEAPU8[($eeprom_size)])|(HEAPU8[((($eeprom_size)+(1))|0)]<<8)|(HEAPU8[((($eeprom_size)+(2))|0)]<<16)|(HEAPU8[((($eeprom_size)+(3))|0)]<<24))|0)); //@line 263 "SpinSource/openspin.cpp"
 var $cmp32=($36>>>0)>16777216; //@line 263 "SpinSource/openspin.cpp"
 if($cmp32){label=19;break;}else{label=20;break;} //@line 263 "SpinSource/openspin.cpp"
 case 19: 
 __ZL5Usagev(); //@line 265 "SpinSource/openspin.cpp"
 $retval=1; //@line 266 "SpinSource/openspin.cpp"
 label=145;break; //@line 266 "SpinSource/openspin.cpp"
 case 20: 
 label=50;break; //@line 268 "SpinSource/openspin.cpp"
 case 21: 
 var $37=$i; //@line 271 "SpinSource/openspin.cpp"
 var $38=$argv_addr; //@line 271 "SpinSource/openspin.cpp"
 var $arrayidx36=(($38+($37<<2))|0); //@line 271 "SpinSource/openspin.cpp"
 var $39=((((HEAPU8[($arrayidx36)])|(HEAPU8[((($arrayidx36)+(1))|0)]<<8)|(HEAPU8[((($arrayidx36)+(2))|0)]<<16)|(HEAPU8[((($arrayidx36)+(3))|0)]<<24))|0)); //@line 271 "SpinSource/openspin.cpp"
 var $arrayidx37=(($39+2)|0); //@line 271 "SpinSource/openspin.cpp"
 var $40=HEAP8[($arrayidx37)]; //@line 271 "SpinSource/openspin.cpp"
 var $tobool38=(($40<<24)>>24)!=0; //@line 271 "SpinSource/openspin.cpp"
 if($tobool38){label=22;break;}else{label=23;break;} //@line 271 "SpinSource/openspin.cpp"
 case 22: 
 var $41=$i; //@line 273 "SpinSource/openspin.cpp"
 var $42=$argv_addr; //@line 273 "SpinSource/openspin.cpp"
 var $arrayidx40=(($42+($41<<2))|0); //@line 273 "SpinSource/openspin.cpp"
 var $43=((((HEAPU8[($arrayidx40)])|(HEAPU8[((($arrayidx40)+(1))|0)]<<8)|(HEAPU8[((($arrayidx40)+(2))|0)]<<16)|(HEAPU8[((($arrayidx40)+(3))|0)]<<24))|0)); //@line 273 "SpinSource/openspin.cpp"
 var $arrayidx41=(($43+2)|0); //@line 273 "SpinSource/openspin.cpp"
 $outfile=$arrayidx41; //@line 273 "SpinSource/openspin.cpp"
 label=27;break; //@line 274 "SpinSource/openspin.cpp"
 case 23: 
 var $44=$i; //@line 275 "SpinSource/openspin.cpp"
 var $inc43=((($44)+(1))|0); //@line 275 "SpinSource/openspin.cpp"
 $i=$inc43; //@line 275 "SpinSource/openspin.cpp"
 var $45=$argc_addr; //@line 275 "SpinSource/openspin.cpp"
 var $cmp44=($inc43|0)<($45|0); //@line 275 "SpinSource/openspin.cpp"
 if($cmp44){label=24;break;}else{label=25;break;} //@line 275 "SpinSource/openspin.cpp"
 case 24: 
 var $46=$i; //@line 277 "SpinSource/openspin.cpp"
 var $47=$argv_addr; //@line 277 "SpinSource/openspin.cpp"
 var $arrayidx46=(($47+($46<<2))|0); //@line 277 "SpinSource/openspin.cpp"
 var $48=((((HEAPU8[($arrayidx46)])|(HEAPU8[((($arrayidx46)+(1))|0)]<<8)|(HEAPU8[((($arrayidx46)+(2))|0)]<<16)|(HEAPU8[((($arrayidx46)+(3))|0)]<<24))|0)); //@line 277 "SpinSource/openspin.cpp"
 $outfile=$48; //@line 277 "SpinSource/openspin.cpp"
 label=26;break; //@line 278 "SpinSource/openspin.cpp"
 case 25: 
 __ZL5Usagev(); //@line 281 "SpinSource/openspin.cpp"
 $retval=1; //@line 282 "SpinSource/openspin.cpp"
 label=145;break; //@line 282 "SpinSource/openspin.cpp"
 case 26: 
 label=27;break;
 case 27: 
 label=50;break; //@line 284 "SpinSource/openspin.cpp"
 case 28: 
 HEAP8[(16472)]=0; //@line 287 "SpinSource/openspin.cpp"
 label=50;break; //@line 288 "SpinSource/openspin.cpp"
 case 29: 
 HEAP8[(16480)]=1; //@line 291 "SpinSource/openspin.cpp"
 label=50;break; //@line 292 "SpinSource/openspin.cpp"
 case 30: 
 var $49=HEAP8[(16472)]; //@line 295 "SpinSource/openspin.cpp"
 var $tobool53=(($49)&1); //@line 295 "SpinSource/openspin.cpp"
 if($tobool53){label=31;break;}else{label=38;break;} //@line 295 "SpinSource/openspin.cpp"
 case 31: 
 var $50=$i; //@line 297 "SpinSource/openspin.cpp"
 var $51=$argv_addr; //@line 297 "SpinSource/openspin.cpp"
 var $arrayidx55=(($51+($50<<2))|0); //@line 297 "SpinSource/openspin.cpp"
 var $52=((((HEAPU8[($arrayidx55)])|(HEAPU8[((($arrayidx55)+(1))|0)]<<8)|(HEAPU8[((($arrayidx55)+(2))|0)]<<16)|(HEAPU8[((($arrayidx55)+(3))|0)]<<24))|0)); //@line 297 "SpinSource/openspin.cpp"
 var $arrayidx56=(($52+2)|0); //@line 297 "SpinSource/openspin.cpp"
 var $53=HEAP8[($arrayidx56)]; //@line 297 "SpinSource/openspin.cpp"
 var $tobool57=(($53<<24)>>24)!=0; //@line 297 "SpinSource/openspin.cpp"
 if($tobool57){label=32;break;}else{label=33;break;} //@line 297 "SpinSource/openspin.cpp"
 case 32: 
 var $54=$i; //@line 299 "SpinSource/openspin.cpp"
 var $55=$argv_addr; //@line 299 "SpinSource/openspin.cpp"
 var $arrayidx59=(($55+($54<<2))|0); //@line 299 "SpinSource/openspin.cpp"
 var $56=((((HEAPU8[($arrayidx59)])|(HEAPU8[((($arrayidx59)+(1))|0)]<<8)|(HEAPU8[((($arrayidx59)+(2))|0)]<<16)|(HEAPU8[((($arrayidx59)+(3))|0)]<<24))|0)); //@line 299 "SpinSource/openspin.cpp"
 var $arrayidx60=(($56+2)|0); //@line 299 "SpinSource/openspin.cpp"
 $p=$arrayidx60; //@line 299 "SpinSource/openspin.cpp"
 label=37;break; //@line 300 "SpinSource/openspin.cpp"
 case 33: 
 var $57=$i; //@line 301 "SpinSource/openspin.cpp"
 var $inc62=((($57)+(1))|0); //@line 301 "SpinSource/openspin.cpp"
 $i=$inc62; //@line 301 "SpinSource/openspin.cpp"
 var $58=$argc_addr; //@line 301 "SpinSource/openspin.cpp"
 var $cmp63=($inc62|0)<($58|0); //@line 301 "SpinSource/openspin.cpp"
 if($cmp63){label=34;break;}else{label=35;break;} //@line 301 "SpinSource/openspin.cpp"
 case 34: 
 var $59=$i; //@line 303 "SpinSource/openspin.cpp"
 var $60=$argv_addr; //@line 303 "SpinSource/openspin.cpp"
 var $arrayidx65=(($60+($59<<2))|0); //@line 303 "SpinSource/openspin.cpp"
 var $61=((((HEAPU8[($arrayidx65)])|(HEAPU8[((($arrayidx65)+(1))|0)]<<8)|(HEAPU8[((($arrayidx65)+(2))|0)]<<16)|(HEAPU8[((($arrayidx65)+(3))|0)]<<24))|0)); //@line 303 "SpinSource/openspin.cpp"
 $p=$61; //@line 303 "SpinSource/openspin.cpp"
 label=36;break; //@line 304 "SpinSource/openspin.cpp"
 case 35: 
 __ZL5Usagev(); //@line 307 "SpinSource/openspin.cpp"
 $retval=1; //@line 308 "SpinSource/openspin.cpp"
 label=145;break; //@line 308 "SpinSource/openspin.cpp"
 case 36: 
 label=37;break;
 case 37: 
 var $62=$p; //@line 310 "SpinSource/openspin.cpp"
 var $call69=__Z9AddDefinePKc($62); //@line 310 "SpinSource/openspin.cpp"
 label=39;break; //@line 311 "SpinSource/openspin.cpp"
 case 38: 
 __ZL5Usagev(); //@line 314 "SpinSource/openspin.cpp"
 $retval=1; //@line 315 "SpinSource/openspin.cpp"
 label=145;break; //@line 315 "SpinSource/openspin.cpp"
 case 39: 
 label=50;break; //@line 317 "SpinSource/openspin.cpp"
 case 40: 
 $bFileTreeOutputOnly=1; //@line 320 "SpinSource/openspin.cpp"
 label=50;break; //@line 321 "SpinSource/openspin.cpp"
 case 41: 
 $bFileListOutputOnly=1; //@line 324 "SpinSource/openspin.cpp"
 label=50;break; //@line 325 "SpinSource/openspin.cpp"
 case 42: 
 $bBinary=1; //@line 328 "SpinSource/openspin.cpp"
 label=50;break; //@line 329 "SpinSource/openspin.cpp"
 case 43: 
 $bDATonly=1; //@line 332 "SpinSource/openspin.cpp"
 label=50;break; //@line 333 "SpinSource/openspin.cpp"
 case 44: 
 $bDocMode=1; //@line 336 "SpinSource/openspin.cpp"
 label=50;break; //@line 337 "SpinSource/openspin.cpp"
 case 45: 
 $bBinary=0; //@line 340 "SpinSource/openspin.cpp"
 label=50;break; //@line 341 "SpinSource/openspin.cpp"
 case 46: 
 $bQuiet=1; //@line 344 "SpinSource/openspin.cpp"
 label=50;break; //@line 345 "SpinSource/openspin.cpp"
 case 47: 
 $bVerbose=1; //@line 348 "SpinSource/openspin.cpp"
 label=50;break; //@line 349 "SpinSource/openspin.cpp"
 case 48: 
 label=49;break; //@line 349 "SpinSource/openspin.cpp"
 case 49: 
 __ZL5Usagev(); //@line 353 "SpinSource/openspin.cpp"
 $retval=1; //@line 354 "SpinSource/openspin.cpp"
 label=145;break; //@line 354 "SpinSource/openspin.cpp"
 case 50: 
 label=54;break; //@line 357 "SpinSource/openspin.cpp"
 case 51: 
 var $63=$infile; //@line 360 "SpinSource/openspin.cpp"
 var $tobool82=($63|0)!=0; //@line 360 "SpinSource/openspin.cpp"
 if($tobool82){label=52;break;}else{label=53;break;} //@line 360 "SpinSource/openspin.cpp"
 case 52: 
 __ZL5Usagev(); //@line 362 "SpinSource/openspin.cpp"
 $retval=1; //@line 363 "SpinSource/openspin.cpp"
 label=145;break; //@line 363 "SpinSource/openspin.cpp"
 case 53: 
 var $64=$i; //@line 365 "SpinSource/openspin.cpp"
 var $65=$argv_addr; //@line 365 "SpinSource/openspin.cpp"
 var $arrayidx85=(($65+($64<<2))|0); //@line 365 "SpinSource/openspin.cpp"
 var $66=((((HEAPU8[($arrayidx85)])|(HEAPU8[((($arrayidx85)+(1))|0)]<<8)|(HEAPU8[((($arrayidx85)+(2))|0)]<<16)|(HEAPU8[((($arrayidx85)+(3))|0)]<<24))|0)); //@line 365 "SpinSource/openspin.cpp"
 $infile=$66; //@line 365 "SpinSource/openspin.cpp"
 label=54;break;
 case 54: 
 label=55;break; //@line 367 "SpinSource/openspin.cpp"
 case 55: 
 var $67=$i; //@line 223 "SpinSource/openspin.cpp"
 var $inc87=((($67)+(1))|0); //@line 223 "SpinSource/openspin.cpp"
 $i=$inc87; //@line 223 "SpinSource/openspin.cpp"
 label=2;break; //@line 223 "SpinSource/openspin.cpp"
 case 56: 
 var $68=$bFileTreeOutputOnly; //@line 369 "SpinSource/openspin.cpp"
 var $tobool88=(($68)&1); //@line 369 "SpinSource/openspin.cpp"
 if($tobool88){label=58;break;}else{label=57;break;} //@line 369 "SpinSource/openspin.cpp"
 case 57: 
 var $69=$bFileListOutputOnly; //@line 369 "SpinSource/openspin.cpp"
 var $tobool89=(($69)&1); //@line 369 "SpinSource/openspin.cpp"
 if($tobool89){label=58;break;}else{label=59;break;} //@line 369 "SpinSource/openspin.cpp"
 case 58: 
 $bQuiet=1; //@line 371 "SpinSource/openspin.cpp"
 label=59;break; //@line 372 "SpinSource/openspin.cpp"
 case 59: 
 var $70=HEAP8[(16472)]; //@line 374 "SpinSource/openspin.cpp"
 var $tobool92=(($70)&1); //@line 374 "SpinSource/openspin.cpp"
 if($tobool92){label=60;break;}else{label=65;break;} //@line 374 "SpinSource/openspin.cpp"
 case 60: 
 var $71=HEAP8[(16480)]; //@line 376 "SpinSource/openspin.cpp"
 var $tobool94=(($71)&1); //@line 376 "SpinSource/openspin.cpp"
 __Z7pp_initP10preprocessb(19568,$tobool94); //@line 376 "SpinSource/openspin.cpp"
 var $72=((((HEAPU8[(20224)])|(HEAPU8[(20225)]<<8)|(HEAPU8[(20226)]<<16)|(HEAPU8[(20227)]<<24))|0)); //@line 381 "SpinSource/openspin.cpp"
 $entry95=$72; //@line 381 "SpinSource/openspin.cpp"
 label=61;break; //@line 381 "SpinSource/openspin.cpp"
 case 61: 
 var $73=$entry95; //@line 381 "SpinSource/openspin.cpp"
 var $cmp97=($73|0)!=0; //@line 381 "SpinSource/openspin.cpp"
 if($cmp97){label=62;break;}else{label=64;break;} //@line 381 "SpinSource/openspin.cpp"
 case 62: 
 var $74=$entry95; //@line 383 "SpinSource/openspin.cpp"
 var $path=(($74+4)|0); //@line 383 "SpinSource/openspin.cpp"
 var $arraydecay=(($path)|0); //@line 383 "SpinSource/openspin.cpp"
 var $75=HEAP8[(16480)]; //@line 383 "SpinSource/openspin.cpp"
 var $tobool99=(($75)&1); //@line 383 "SpinSource/openspin.cpp"
 var $cond=($tobool99?19728:3760); //@line 383 "SpinSource/openspin.cpp"
 __Z9pp_defineP10preprocessPKcS2_(19568,$arraydecay,$cond); //@line 383 "SpinSource/openspin.cpp"
 label=63;break; //@line 384 "SpinSource/openspin.cpp"
 case 63: 
 var $76=$entry95; //@line 381 "SpinSource/openspin.cpp"
 var $next=(($76)|0); //@line 381 "SpinSource/openspin.cpp"
 var $77=((((HEAPU8[($next)])|(HEAPU8[((($next)+(1))|0)]<<8)|(HEAPU8[((($next)+(2))|0)]<<16)|(HEAPU8[((($next)+(3))|0)]<<24))|0)); //@line 381 "SpinSource/openspin.cpp"
 $entry95=$77; //@line 381 "SpinSource/openspin.cpp"
 label=61;break; //@line 381 "SpinSource/openspin.cpp"
 case 64: 
 __Z9pp_defineP10preprocessPKcS2_(19568,3264,3760); //@line 387 "SpinSource/openspin.cpp"
 __Z9pp_defineP10preprocessPKcS2_(19568,2768,2192); //@line 388 "SpinSource/openspin.cpp"
 __Z14pp_setcommentsP10preprocessPKcS2_S2_(19568,1600,1072,9808); //@line 391 "SpinSource/openspin.cpp"
 label=65;break; //@line 393 "SpinSource/openspin.cpp"
 case 65: 
 var $78=$infile; //@line 396 "SpinSource/openspin.cpp"
 var $tobool103=($78|0)!=0; //@line 396 "SpinSource/openspin.cpp"
 if($tobool103){label=67;break;}else{label=66;break;} //@line 396 "SpinSource/openspin.cpp"
 case 66: 
 __ZL5Usagev(); //@line 398 "SpinSource/openspin.cpp"
 $retval=1; //@line 399 "SpinSource/openspin.cpp"
 label=145;break; //@line 399 "SpinSource/openspin.cpp"
 case 67: 
 var $79=$infile; //@line 403 "SpinSource/openspin.cpp"
 var $call106=__Z11AddFilePathPKc($79); //@line 403 "SpinSource/openspin.cpp"
 var $80=$outfile; //@line 406 "SpinSource/openspin.cpp"
 var $tobool107=($80|0)!=0; //@line 406 "SpinSource/openspin.cpp"
 if($tobool107){label=78;break;}else{label=68;break;} //@line 406 "SpinSource/openspin.cpp"
 case 68: 
 var $arrayidx109=(($outputFilename)|0); //@line 409 "SpinSource/openspin.cpp"
 var $81=$infile; //@line 409 "SpinSource/openspin.cpp"
 var $call110=_strcpy($arrayidx109,$81); //@line 409 "SpinSource/openspin.cpp"
 var $arrayidx111=(($outputFilename)|0); //@line 410 "SpinSource/openspin.cpp"
 var $call112=_strstr($arrayidx111,9208); //@line 410 "SpinSource/openspin.cpp"
 $pTemp=$call112; //@line 410 "SpinSource/openspin.cpp"
 var $82=$pTemp; //@line 411 "SpinSource/openspin.cpp"
 var $cmp113=($82|0)==0; //@line 411 "SpinSource/openspin.cpp"
 if($cmp113){label=69;break;}else{label=70;break;} //@line 411 "SpinSource/openspin.cpp"
 case 69: 
 var $83=$infile; //@line 413 "SpinSource/openspin.cpp"
 var $call115=_printf(8688,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 8)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=$83,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 413 "SpinSource/openspin.cpp"
 __ZL5Usagev(); //@line 414 "SpinSource/openspin.cpp"
 $retval=1; //@line 415 "SpinSource/openspin.cpp"
 label=145;break; //@line 415 "SpinSource/openspin.cpp"
 case 70: 
 var $84=$pTemp; //@line 419 "SpinSource/openspin.cpp"
 var $arrayidx117=(($outputFilename)|0); //@line 419 "SpinSource/openspin.cpp"
 var $sub_ptr_lhs_cast=$84; //@line 419 "SpinSource/openspin.cpp"
 var $sub_ptr_rhs_cast=$arrayidx117; //@line 419 "SpinSource/openspin.cpp"
 var $sub_ptr_sub=((($sub_ptr_lhs_cast)-($sub_ptr_rhs_cast))|0); //@line 419 "SpinSource/openspin.cpp"
 $offset=$sub_ptr_sub; //@line 419 "SpinSource/openspin.cpp"
 var $85=$offset; //@line 420 "SpinSource/openspin.cpp"
 var $add=((($85)+(1))|0); //@line 420 "SpinSource/openspin.cpp"
 var $arrayidx118=(($outputFilename+$add)|0); //@line 420 "SpinSource/openspin.cpp"
 HEAP8[($arrayidx118)]=0; //@line 420 "SpinSource/openspin.cpp"
 var $86=$bDATonly; //@line 421 "SpinSource/openspin.cpp"
 var $tobool119=(($86)&1); //@line 421 "SpinSource/openspin.cpp"
 if($tobool119){label=71;break;}else{label=72;break;} //@line 421 "SpinSource/openspin.cpp"
 case 71: 
 var $arrayidx121=(($outputFilename)|0); //@line 423 "SpinSource/openspin.cpp"
 var $call122=_strcat($arrayidx121,8488); //@line 423 "SpinSource/openspin.cpp"
 label=76;break; //@line 424 "SpinSource/openspin.cpp"
 case 72: 
 var $87=$bBinary; //@line 425 "SpinSource/openspin.cpp"
 var $tobool124=(($87)&1); //@line 425 "SpinSource/openspin.cpp"
 if($tobool124){label=73;break;}else{label=74;break;} //@line 425 "SpinSource/openspin.cpp"
 case 73: 
 var $arrayidx126=(($outputFilename)|0); //@line 427 "SpinSource/openspin.cpp"
 var $call127=_strcat($arrayidx126,8208); //@line 427 "SpinSource/openspin.cpp"
 label=75;break; //@line 428 "SpinSource/openspin.cpp"
 case 74: 
 var $arrayidx129=(($outputFilename)|0); //@line 431 "SpinSource/openspin.cpp"
 var $call130=_strcat($arrayidx129,8016); //@line 431 "SpinSource/openspin.cpp"
 label=75;break;
 case 75: 
 label=76;break;
 case 76: 
 label=77;break;
 case 77: 
 label=79;break; //@line 434 "SpinSource/openspin.cpp"
 case 78: 
 var $arraydecay135=(($outputFilename)|0); //@line 437 "SpinSource/openspin.cpp"
 var $88=$outfile; //@line 437 "SpinSource/openspin.cpp"
 var $call136=_strcpy($arraydecay135,$88); //@line 437 "SpinSource/openspin.cpp"
 label=79;break;
 case 79: 
 var $89=$bQuiet; //@line 440 "SpinSource/openspin.cpp"
 var $tobool138=(($89)&1); //@line 440 "SpinSource/openspin.cpp"
 if($tobool138){label=81;break;}else{label=80;break;} //@line 440 "SpinSource/openspin.cpp"
 case 80: 
 __ZL6Bannerv(); //@line 442 "SpinSource/openspin.cpp"
 var $90=$infile; //@line 443 "SpinSource/openspin.cpp"
 var $call140=_printf(7800,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 8)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=$90,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 443 "SpinSource/openspin.cpp"
 label=81;break; //@line 444 "SpinSource/openspin.cpp"
 case 81: 
 var $91=$bFileTreeOutputOnly; //@line 446 "SpinSource/openspin.cpp"
 var $tobool142=(($91)&1); //@line 446 "SpinSource/openspin.cpp"
 if($tobool142){label=82;break;}else{label=83;break;} //@line 446 "SpinSource/openspin.cpp"
 case 82: 
 var $92=$infile; //@line 448 "SpinSource/openspin.cpp"
 var $call144=_printf(7608,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 8)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=$92,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 448 "SpinSource/openspin.cpp"
 label=83;break; //@line 449 "SpinSource/openspin.cpp"
 case 83: 
 var $call146=__Z10InitStructv(); //@line 451 "SpinSource/openspin.cpp"
 tempBigInt=$call146;HEAP8[(16448)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(16449)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(16450)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(16451)]=tempBigInt&0xff; //@line 451 "SpinSource/openspin.cpp"
 var $call147=__Znaj(5000000); //@line 453 "SpinSource/openspin.cpp"
 var $93=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 453 "SpinSource/openspin.cpp"
 var $list=(($93+24)|0); //@line 453 "SpinSource/openspin.cpp"
 tempBigInt=$call147;HEAP8[($list)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($list)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($list)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($list)+(3))|0)]=tempBigInt&0xff; //@line 453 "SpinSource/openspin.cpp"
 var $94=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 454 "SpinSource/openspin.cpp"
 var $list_limit=(($94+28)|0); //@line 454 "SpinSource/openspin.cpp"
 tempBigInt=5000000;HEAP8[($list_limit)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($list_limit)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($list_limit)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($list_limit)+(3))|0)]=tempBigInt&0xff; //@line 454 "SpinSource/openspin.cpp"
 var $95=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 455 "SpinSource/openspin.cpp"
 var $list148=(($95+24)|0); //@line 455 "SpinSource/openspin.cpp"
 var $96=((((HEAPU8[($list148)])|(HEAPU8[((($list148)+(1))|0)]<<8)|(HEAPU8[((($list148)+(2))|0)]<<16)|(HEAPU8[((($list148)+(3))|0)]<<24))|0)); //@line 455 "SpinSource/openspin.cpp"
 _memset($96, 0, 5000000)|0; //@line 455 "SpinSource/openspin.cpp"
 var $call149=__Znaj(5000000); //@line 456 "SpinSource/openspin.cpp"
 var $97=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 456 "SpinSource/openspin.cpp"
 var $doc=(($97+36)|0); //@line 456 "SpinSource/openspin.cpp"
 tempBigInt=$call149;HEAP8[($doc)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($doc)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($doc)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($doc)+(3))|0)]=tempBigInt&0xff; //@line 456 "SpinSource/openspin.cpp"
 var $98=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 457 "SpinSource/openspin.cpp"
 var $doc_limit=(($98+40)|0); //@line 457 "SpinSource/openspin.cpp"
 tempBigInt=5000000;HEAP8[($doc_limit)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($doc_limit)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($doc_limit)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($doc_limit)+(3))|0)]=tempBigInt&0xff; //@line 457 "SpinSource/openspin.cpp"
 var $99=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 458 "SpinSource/openspin.cpp"
 var $doc150=(($99+36)|0); //@line 458 "SpinSource/openspin.cpp"
 var $100=((((HEAPU8[($doc150)])|(HEAPU8[((($doc150)+(1))|0)]<<8)|(HEAPU8[((($doc150)+(2))|0)]<<16)|(HEAPU8[((($doc150)+(3))|0)]<<24))|0)); //@line 458 "SpinSource/openspin.cpp"
 _memset($100, 0, 5000000)|0; //@line 458 "SpinSource/openspin.cpp"
 var $101=$bDATonly; //@line 460 "SpinSource/openspin.cpp"
 var $tobool151=(($101)&1); //@line 460 "SpinSource/openspin.cpp"
 var $102=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 460 "SpinSource/openspin.cpp"
 var $bDATonly152=(($102+16971072)|0); //@line 460 "SpinSource/openspin.cpp"
 var $frombool=($tobool151&1); //@line 460 "SpinSource/openspin.cpp"
 HEAP8[($bDATonly152)]=$frombool; //@line 460 "SpinSource/openspin.cpp"
 var $103=$bBinary; //@line 462 "SpinSource/openspin.cpp"
 var $tobool153=(($103)&1); //@line 462 "SpinSource/openspin.cpp"
 var $104=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 462 "SpinSource/openspin.cpp"
 var $bBinary154=(($104+16971073)|0); //@line 462 "SpinSource/openspin.cpp"
 var $frombool155=($tobool153&1); //@line 462 "SpinSource/openspin.cpp"
 HEAP8[($bBinary154)]=$frombool155; //@line 462 "SpinSource/openspin.cpp"
 var $105=((((HEAPU8[($eeprom_size)])|(HEAPU8[((($eeprom_size)+(1))|0)]<<8)|(HEAPU8[((($eeprom_size)+(2))|0)]<<16)|(HEAPU8[((($eeprom_size)+(3))|0)]<<24))|0)); //@line 464 "SpinSource/openspin.cpp"
 var $106=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 464 "SpinSource/openspin.cpp"
 var $eeprom_size156=(($106+16971076)|0); //@line 464 "SpinSource/openspin.cpp"
 tempBigInt=$105;HEAP8[($eeprom_size156)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($eeprom_size156)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($eeprom_size156)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($eeprom_size156)+(3))|0)]=tempBigInt&0xff; //@line 464 "SpinSource/openspin.cpp"
 var $107=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 467 "SpinSource/openspin.cpp"
 var $obj_title=(($107+16851640)|0); //@line 467 "SpinSource/openspin.cpp"
 var $arraydecay157=(($obj_title)|0); //@line 467 "SpinSource/openspin.cpp"
 var $108=$infile; //@line 467 "SpinSource/openspin.cpp"
 var $call158=_strcpy($arraydecay157,$108); //@line 467 "SpinSource/openspin.cpp"
 var $109=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 468 "SpinSource/openspin.cpp"
 var $obj_title159=(($109+16851640)|0); //@line 468 "SpinSource/openspin.cpp"
 var $arrayidx160=(($obj_title159)|0); //@line 468 "SpinSource/openspin.cpp"
 var $call161=_strstr($arrayidx160,9208); //@line 468 "SpinSource/openspin.cpp"
 $pExtension=$call161; //@line 468 "SpinSource/openspin.cpp"
 var $110=$pExtension; //@line 469 "SpinSource/openspin.cpp"
 var $cmp162=($110|0)!=0; //@line 469 "SpinSource/openspin.cpp"
 if($cmp162){label=84;break;}else{label=85;break;} //@line 469 "SpinSource/openspin.cpp"
 case 84: 
 var $111=$pExtension; //@line 471 "SpinSource/openspin.cpp"
 HEAP8[($111)]=0; //@line 471 "SpinSource/openspin.cpp"
 label=85;break; //@line 472 "SpinSource/openspin.cpp"
 case 85: 
 var $112=$infile; //@line 474 "SpinSource/openspin.cpp"
 var $113=$bQuiet; //@line 474 "SpinSource/openspin.cpp"
 var $tobool165=(($113)&1); //@line 474 "SpinSource/openspin.cpp"
 var $114=$bFileTreeOutputOnly; //@line 474 "SpinSource/openspin.cpp"
 var $tobool166=(($114)&1); //@line 474 "SpinSource/openspin.cpp"
 var $call167=__Z18CompileRecursivelyPcbb($112,$tobool165,$tobool166); //@line 474 "SpinSource/openspin.cpp"
 if($call167){label=87;break;}else{label=86;break;} //@line 474 "SpinSource/openspin.cpp"
 case 86: 
 $retval=1; //@line 476 "SpinSource/openspin.cpp"
 label=145;break; //@line 476 "SpinSource/openspin.cpp"
 case 87: 
 var $115=$bQuiet; //@line 479 "SpinSource/openspin.cpp"
 var $tobool170=(($115)&1); //@line 479 "SpinSource/openspin.cpp"
 if($tobool170){label=89;break;}else{label=88;break;} //@line 479 "SpinSource/openspin.cpp"
 case 88: 
 var $call172=_printf(7416,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 1)|0,STACKTOP = (((STACKTOP)+7)&-8),(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=0,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 481 "SpinSource/openspin.cpp"
 label=89;break; //@line 482 "SpinSource/openspin.cpp"
 case 89: 
 var $116=$bFileTreeOutputOnly; //@line 484 "SpinSource/openspin.cpp"
 var $tobool174=(($116)&1); //@line 484 "SpinSource/openspin.cpp"
 if($tobool174){label=98;break;}else{label=90;break;} //@line 484 "SpinSource/openspin.cpp"
 case 90: 
 var $117=$bFileListOutputOnly; //@line 484 "SpinSource/openspin.cpp"
 var $tobool175=(($117)&1); //@line 484 "SpinSource/openspin.cpp"
 if($tobool175){label=98;break;}else{label=91;break;} //@line 484 "SpinSource/openspin.cpp"
 case 91: 
 tempBigInt=0;HEAP8[($pBuffer)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($pBuffer)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($pBuffer)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($pBuffer)+(3))|0)]=tempBigInt&0xff; //@line 486 "SpinSource/openspin.cpp"
 tempBigInt=0;HEAP8[($bufferSize)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bufferSize)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bufferSize)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bufferSize)+(3))|0)]=tempBigInt&0xff; //@line 487 "SpinSource/openspin.cpp"
 var $118=$bDATonly; //@line 488 "SpinSource/openspin.cpp"
 var $tobool177=(($118)&1); //@line 488 "SpinSource/openspin.cpp"
 var $119=$bBinary; //@line 488 "SpinSource/openspin.cpp"
 var $tobool178=(($119)&1); //@line 488 "SpinSource/openspin.cpp"
 var $120=((((HEAPU8[($eeprom_size)])|(HEAPU8[((($eeprom_size)+(1))|0)]<<8)|(HEAPU8[((($eeprom_size)+(2))|0)]<<16)|(HEAPU8[((($eeprom_size)+(3))|0)]<<24))|0)); //@line 488 "SpinSource/openspin.cpp"
 __Z10ComposeRAMPPhRibbj($pBuffer,$bufferSize,$tobool177,$tobool178,$120); //@line 488 "SpinSource/openspin.cpp"
 var $arraydecay179=(($outputFilename)|0); //@line 489 "SpinSource/openspin.cpp"
 var $call180=_fopen($arraydecay179,7256); //@line 489 "SpinSource/openspin.cpp"
 $pFile=$call180; //@line 489 "SpinSource/openspin.cpp"
 var $121=$pFile; //@line 490 "SpinSource/openspin.cpp"
 var $tobool181=($121|0)!=0; //@line 490 "SpinSource/openspin.cpp"
 if($tobool181){label=92;break;}else{label=93;break;} //@line 490 "SpinSource/openspin.cpp"
 case 92: 
 var $122=((((HEAPU8[($pBuffer)])|(HEAPU8[((($pBuffer)+(1))|0)]<<8)|(HEAPU8[((($pBuffer)+(2))|0)]<<16)|(HEAPU8[((($pBuffer)+(3))|0)]<<24))|0)); //@line 492 "SpinSource/openspin.cpp"
 var $123=((((HEAPU8[($bufferSize)])|(HEAPU8[((($bufferSize)+(1))|0)]<<8)|(HEAPU8[((($bufferSize)+(2))|0)]<<16)|(HEAPU8[((($bufferSize)+(3))|0)]<<24))|0)); //@line 492 "SpinSource/openspin.cpp"
 var $124=$pFile; //@line 492 "SpinSource/openspin.cpp"
 var $call183=_fwrite($122,$123,1,$124); //@line 492 "SpinSource/openspin.cpp"
 var $125=$pFile; //@line 493 "SpinSource/openspin.cpp"
 var $call184=_fclose($125); //@line 493 "SpinSource/openspin.cpp"
 label=93;break; //@line 494 "SpinSource/openspin.cpp"
 case 93: 
 var $126=$bQuiet; //@line 496 "SpinSource/openspin.cpp"
 var $tobool186=(($126)&1); //@line 496 "SpinSource/openspin.cpp"
 if($tobool186){label=95;break;}else{label=94;break;} //@line 496 "SpinSource/openspin.cpp"
 case 94: 
 var $127=((((HEAPU8[($bufferSize)])|(HEAPU8[((($bufferSize)+(1))|0)]<<8)|(HEAPU8[((($bufferSize)+(2))|0)]<<16)|(HEAPU8[((($bufferSize)+(3))|0)]<<24))|0)); //@line 498 "SpinSource/openspin.cpp"
 var $call188=_printf(7088,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 8)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=$127,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 498 "SpinSource/openspin.cpp"
 label=95;break; //@line 499 "SpinSource/openspin.cpp"
 case 95: 
 var $128=((((HEAPU8[($pBuffer)])|(HEAPU8[((($pBuffer)+(1))|0)]<<8)|(HEAPU8[((($pBuffer)+(2))|0)]<<16)|(HEAPU8[((($pBuffer)+(3))|0)]<<24))|0)); //@line 501 "SpinSource/openspin.cpp"
 var $isnull=($128|0)==0; //@line 501 "SpinSource/openspin.cpp"
 if($isnull){label=97;break;}else{label=96;break;} //@line 501 "SpinSource/openspin.cpp"
 case 96: 
 __ZdaPv($128); //@line 501 "SpinSource/openspin.cpp"
 label=97;break; //@line 501 "SpinSource/openspin.cpp"
 case 97: 
 label=98;break; //@line 502 "SpinSource/openspin.cpp"
 case 98: 
 var $129=$bFileListOutputOnly; //@line 504 "SpinSource/openspin.cpp"
 var $tobool191=(($129)&1); //@line 504 "SpinSource/openspin.cpp"
 if($tobool191){label=99;break;}else{label=116;break;} //@line 504 "SpinSource/openspin.cpp"
 case 99: 
 $i193=0; //@line 506 "SpinSource/openspin.cpp"
 label=100;break; //@line 506 "SpinSource/openspin.cpp"
 case 100: 
 var $130=$i193; //@line 506 "SpinSource/openspin.cpp"
 var $131=((((HEAPU8[(20232)])|(HEAPU8[(20233)]<<8)|(HEAPU8[(20234)]<<16)|(HEAPU8[(20235)]<<24))|0)); //@line 506 "SpinSource/openspin.cpp"
 var $cmp195=($130|0)<($131|0); //@line 506 "SpinSource/openspin.cpp"
 if($cmp195){label=101;break;}else{label=109;break;} //@line 506 "SpinSource/openspin.cpp"
 case 101: 
 var $132=$i193; //@line 508 "SpinSource/openspin.cpp"
 var $add197=((($132)+(1))|0); //@line 508 "SpinSource/openspin.cpp"
 $j=$add197; //@line 508 "SpinSource/openspin.cpp"
 label=102;break; //@line 508 "SpinSource/openspin.cpp"
 case 102: 
 var $133=$j; //@line 508 "SpinSource/openspin.cpp"
 var $134=((((HEAPU8[(20232)])|(HEAPU8[(20233)]<<8)|(HEAPU8[(20234)]<<16)|(HEAPU8[(20235)]<<24))|0)); //@line 508 "SpinSource/openspin.cpp"
 var $cmp199=($133|0)<($134|0); //@line 508 "SpinSource/openspin.cpp"
 if($cmp199){label=103;break;}else{label=107;break;} //@line 508 "SpinSource/openspin.cpp"
 case 103: 
 var $135=$i193; //@line 510 "SpinSource/openspin.cpp"
 var $arrayidx201=((16797456+($135<<10))|0); //@line 510 "SpinSource/openspin.cpp"
 var $arraydecay202=(($arrayidx201)|0); //@line 510 "SpinSource/openspin.cpp"
 var $136=$j; //@line 510 "SpinSource/openspin.cpp"
 var $arrayidx203=((16797456+($136<<10))|0); //@line 510 "SpinSource/openspin.cpp"
 var $arraydecay204=(($arrayidx203)|0); //@line 510 "SpinSource/openspin.cpp"
 var $call205=_strcmp($arraydecay202,$arraydecay204); //@line 510 "SpinSource/openspin.cpp"
 var $cmp206=($call205|0)==0; //@line 510 "SpinSource/openspin.cpp"
 if($cmp206){label=104;break;}else{label=105;break;} //@line 510 "SpinSource/openspin.cpp"
 case 104: 
 var $137=$j; //@line 512 "SpinSource/openspin.cpp"
 var $arrayidx208=((16797456+($137<<10))|0); //@line 512 "SpinSource/openspin.cpp"
 var $arrayidx209=(($arrayidx208)|0); //@line 512 "SpinSource/openspin.cpp"
 HEAP8[($arrayidx209)]=0; //@line 512 "SpinSource/openspin.cpp"
 label=105;break; //@line 513 "SpinSource/openspin.cpp"
 case 105: 
 label=106;break; //@line 514 "SpinSource/openspin.cpp"
 case 106: 
 var $138=$j; //@line 508 "SpinSource/openspin.cpp"
 var $inc212=((($138)+(1))|0); //@line 508 "SpinSource/openspin.cpp"
 $j=$inc212; //@line 508 "SpinSource/openspin.cpp"
 label=102;break; //@line 508 "SpinSource/openspin.cpp"
 case 107: 
 label=108;break; //@line 515 "SpinSource/openspin.cpp"
 case 108: 
 var $139=$i193; //@line 506 "SpinSource/openspin.cpp"
 var $inc215=((($139)+(1))|0); //@line 506 "SpinSource/openspin.cpp"
 $i193=$inc215; //@line 506 "SpinSource/openspin.cpp"
 label=100;break; //@line 506 "SpinSource/openspin.cpp"
 case 109: 
 $i217=0; //@line 517 "SpinSource/openspin.cpp"
 label=110;break; //@line 517 "SpinSource/openspin.cpp"
 case 110: 
 var $140=$i217; //@line 517 "SpinSource/openspin.cpp"
 var $141=((((HEAPU8[(20232)])|(HEAPU8[(20233)]<<8)|(HEAPU8[(20234)]<<16)|(HEAPU8[(20235)]<<24))|0)); //@line 517 "SpinSource/openspin.cpp"
 var $cmp219=($140|0)<($141|0); //@line 517 "SpinSource/openspin.cpp"
 if($cmp219){label=111;break;}else{label=115;break;} //@line 517 "SpinSource/openspin.cpp"
 case 111: 
 var $142=$i217; //@line 519 "SpinSource/openspin.cpp"
 var $arrayidx221=((16797456+($142<<10))|0); //@line 519 "SpinSource/openspin.cpp"
 var $arrayidx222=(($arrayidx221)|0); //@line 519 "SpinSource/openspin.cpp"
 var $143=HEAP8[($arrayidx222)]; //@line 519 "SpinSource/openspin.cpp"
 var $conv223=(($143<<24)>>24); //@line 519 "SpinSource/openspin.cpp"
 var $cmp224=($conv223|0)!=0; //@line 519 "SpinSource/openspin.cpp"
 if($cmp224){label=112;break;}else{label=113;break;} //@line 519 "SpinSource/openspin.cpp"
 case 112: 
 var $144=$i217; //@line 521 "SpinSource/openspin.cpp"
 var $arrayidx226=((16797456+($144<<10))|0); //@line 521 "SpinSource/openspin.cpp"
 var $arraydecay227=(($arrayidx226)|0); //@line 521 "SpinSource/openspin.cpp"
 var $call228=_printf(7608,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 8)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=$arraydecay227,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 521 "SpinSource/openspin.cpp"
 label=113;break; //@line 522 "SpinSource/openspin.cpp"
 case 113: 
 label=114;break; //@line 523 "SpinSource/openspin.cpp"
 case 114: 
 var $145=$i217; //@line 517 "SpinSource/openspin.cpp"
 var $inc231=((($145)+(1))|0); //@line 517 "SpinSource/openspin.cpp"
 $i217=$inc231; //@line 517 "SpinSource/openspin.cpp"
 label=110;break; //@line 517 "SpinSource/openspin.cpp"
 case 115: 
 label=116;break; //@line 524 "SpinSource/openspin.cpp"
 case 116: 
 var $146=$bVerbose; //@line 526 "SpinSource/openspin.cpp"
 var $tobool234=(($146)&1); //@line 526 "SpinSource/openspin.cpp"
 if($tobool234){label=117;break;}else{label=128;break;} //@line 526 "SpinSource/openspin.cpp"
 case 117: 
 var $147=$bQuiet; //@line 526 "SpinSource/openspin.cpp"
 var $tobool236=(($147)&1); //@line 526 "SpinSource/openspin.cpp"
 if($tobool236){label=128;break;}else{label=118;break;} //@line 526 "SpinSource/openspin.cpp"
 case 118: 
 var $148=$bDATonly; //@line 526 "SpinSource/openspin.cpp"
 var $tobool238=(($148)&1); //@line 526 "SpinSource/openspin.cpp"
 if($tobool238){label=128;break;}else{label=119;break;} //@line 526 "SpinSource/openspin.cpp"
 case 119: 
 $listOffset=0; //@line 529 "SpinSource/openspin.cpp"
 label=120;break; //@line 530 "SpinSource/openspin.cpp"
 case 120: 
 var $149=$listOffset; //@line 530 "SpinSource/openspin.cpp"
 var $150=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 530 "SpinSource/openspin.cpp"
 var $list_length=(($150+32)|0); //@line 530 "SpinSource/openspin.cpp"
 var $151=((((HEAPU8[($list_length)])|(HEAPU8[((($list_length)+(1))|0)]<<8)|(HEAPU8[((($list_length)+(2))|0)]<<16)|(HEAPU8[((($list_length)+(3))|0)]<<24))|0)); //@line 530 "SpinSource/openspin.cpp"
 var $cmp240=($149|0)<($151|0); //@line 530 "SpinSource/openspin.cpp"
 if($cmp240){label=121;break;}else{label=127;break;} //@line 530 "SpinSource/openspin.cpp"
 case 121: 
 var $152=$listOffset; //@line 532 "SpinSource/openspin.cpp"
 var $153=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 532 "SpinSource/openspin.cpp"
 var $list242=(($153+24)|0); //@line 532 "SpinSource/openspin.cpp"
 var $154=((((HEAPU8[($list242)])|(HEAPU8[((($list242)+(1))|0)]<<8)|(HEAPU8[((($list242)+(2))|0)]<<16)|(HEAPU8[((($list242)+(3))|0)]<<24))|0)); //@line 532 "SpinSource/openspin.cpp"
 var $arrayidx243=(($154+$152)|0); //@line 532 "SpinSource/openspin.cpp"
 var $call244=_strstr($arrayidx243,6944); //@line 532 "SpinSource/openspin.cpp"
 $pTemp241=$call244; //@line 532 "SpinSource/openspin.cpp"
 var $155=$pTemp241; //@line 533 "SpinSource/openspin.cpp"
 var $tobool245=($155|0)!=0; //@line 533 "SpinSource/openspin.cpp"
 if($tobool245){label=122;break;}else{label=123;break;} //@line 533 "SpinSource/openspin.cpp"
 case 122: 
 var $156=$pTemp241; //@line 535 "SpinSource/openspin.cpp"
 HEAP8[($156)]=0; //@line 535 "SpinSource/openspin.cpp"
 label=123;break; //@line 536 "SpinSource/openspin.cpp"
 case 123: 
 var $157=$listOffset; //@line 537 "SpinSource/openspin.cpp"
 var $158=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 537 "SpinSource/openspin.cpp"
 var $list248=(($158+24)|0); //@line 537 "SpinSource/openspin.cpp"
 var $159=((((HEAPU8[($list248)])|(HEAPU8[((($list248)+(1))|0)]<<8)|(HEAPU8[((($list248)+(2))|0)]<<16)|(HEAPU8[((($list248)+(3))|0)]<<24))|0)); //@line 537 "SpinSource/openspin.cpp"
 var $arrayidx249=(($159+$157)|0); //@line 537 "SpinSource/openspin.cpp"
 var $call250=_printf(7608,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 8)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=$arrayidx249,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 537 "SpinSource/openspin.cpp"
 var $160=$pTemp241; //@line 538 "SpinSource/openspin.cpp"
 var $tobool251=($160|0)!=0; //@line 538 "SpinSource/openspin.cpp"
 if($tobool251){label=124;break;}else{label=125;break;} //@line 538 "SpinSource/openspin.cpp"
 case 124: 
 var $161=$pTemp241; //@line 540 "SpinSource/openspin.cpp"
 HEAP8[($161)]=13; //@line 540 "SpinSource/openspin.cpp"
 var $162=$pTemp241; //@line 541 "SpinSource/openspin.cpp"
 var $163=$listOffset; //@line 541 "SpinSource/openspin.cpp"
 var $164=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 541 "SpinSource/openspin.cpp"
 var $list253=(($164+24)|0); //@line 541 "SpinSource/openspin.cpp"
 var $165=((((HEAPU8[($list253)])|(HEAPU8[((($list253)+(1))|0)]<<8)|(HEAPU8[((($list253)+(2))|0)]<<16)|(HEAPU8[((($list253)+(3))|0)]<<24))|0)); //@line 541 "SpinSource/openspin.cpp"
 var $arrayidx254=(($165+$163)|0); //@line 541 "SpinSource/openspin.cpp"
 var $sub_ptr_lhs_cast255=$162; //@line 541 "SpinSource/openspin.cpp"
 var $sub_ptr_rhs_cast256=$arrayidx254; //@line 541 "SpinSource/openspin.cpp"
 var $sub_ptr_sub257=((($sub_ptr_lhs_cast255)-($sub_ptr_rhs_cast256))|0); //@line 541 "SpinSource/openspin.cpp"
 var $add258=((($sub_ptr_sub257)+(1))|0); //@line 541 "SpinSource/openspin.cpp"
 var $166=$listOffset; //@line 541 "SpinSource/openspin.cpp"
 var $add259=((($166)+($add258))|0); //@line 541 "SpinSource/openspin.cpp"
 $listOffset=$add259; //@line 541 "SpinSource/openspin.cpp"
 label=126;break; //@line 542 "SpinSource/openspin.cpp"
 case 125: 
 var $167=$listOffset; //@line 545 "SpinSource/openspin.cpp"
 var $168=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 545 "SpinSource/openspin.cpp"
 var $list261=(($168+24)|0); //@line 545 "SpinSource/openspin.cpp"
 var $169=((((HEAPU8[($list261)])|(HEAPU8[((($list261)+(1))|0)]<<8)|(HEAPU8[((($list261)+(2))|0)]<<16)|(HEAPU8[((($list261)+(3))|0)]<<24))|0)); //@line 545 "SpinSource/openspin.cpp"
 var $arrayidx262=(($169+$167)|0); //@line 545 "SpinSource/openspin.cpp"
 var $call263=_strlen($arrayidx262); //@line 545 "SpinSource/openspin.cpp"
 var $170=$listOffset; //@line 545 "SpinSource/openspin.cpp"
 var $add264=((($170)+($call263))|0); //@line 545 "SpinSource/openspin.cpp"
 $listOffset=$add264; //@line 545 "SpinSource/openspin.cpp"
 label=126;break;
 case 126: 
 label=120;break; //@line 547 "SpinSource/openspin.cpp"
 case 127: 
 label=128;break; //@line 548 "SpinSource/openspin.cpp"
 case 128: 
 var $171=$bDocMode; //@line 550 "SpinSource/openspin.cpp"
 var $tobool267=(($171)&1); //@line 550 "SpinSource/openspin.cpp"
 if($tobool267){label=129;break;}else{label=140;break;} //@line 550 "SpinSource/openspin.cpp"
 case 129: 
 var $172=$bQuiet; //@line 550 "SpinSource/openspin.cpp"
 var $tobool269=(($172)&1); //@line 550 "SpinSource/openspin.cpp"
 if($tobool269){label=140;break;}else{label=130;break;} //@line 550 "SpinSource/openspin.cpp"
 case 130: 
 var $173=$bDATonly; //@line 550 "SpinSource/openspin.cpp"
 var $tobool271=(($173)&1); //@line 550 "SpinSource/openspin.cpp"
 if($tobool271){label=140;break;}else{label=131;break;} //@line 550 "SpinSource/openspin.cpp"
 case 131: 
 $docOffset=0; //@line 553 "SpinSource/openspin.cpp"
 label=132;break; //@line 554 "SpinSource/openspin.cpp"
 case 132: 
 var $174=$docOffset; //@line 554 "SpinSource/openspin.cpp"
 var $175=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 554 "SpinSource/openspin.cpp"
 var $doc_length=(($175+44)|0); //@line 554 "SpinSource/openspin.cpp"
 var $176=((((HEAPU8[($doc_length)])|(HEAPU8[((($doc_length)+(1))|0)]<<8)|(HEAPU8[((($doc_length)+(2))|0)]<<16)|(HEAPU8[((($doc_length)+(3))|0)]<<24))|0)); //@line 554 "SpinSource/openspin.cpp"
 var $cmp274=($174|0)<($176|0); //@line 554 "SpinSource/openspin.cpp"
 if($cmp274){label=133;break;}else{label=139;break;} //@line 554 "SpinSource/openspin.cpp"
 case 133: 
 var $177=$docOffset; //@line 556 "SpinSource/openspin.cpp"
 var $178=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 556 "SpinSource/openspin.cpp"
 var $doc277=(($178+36)|0); //@line 556 "SpinSource/openspin.cpp"
 var $179=((((HEAPU8[($doc277)])|(HEAPU8[((($doc277)+(1))|0)]<<8)|(HEAPU8[((($doc277)+(2))|0)]<<16)|(HEAPU8[((($doc277)+(3))|0)]<<24))|0)); //@line 556 "SpinSource/openspin.cpp"
 var $arrayidx278=(($179+$177)|0); //@line 556 "SpinSource/openspin.cpp"
 var $call279=_strstr($arrayidx278,6944); //@line 556 "SpinSource/openspin.cpp"
 $pTemp276=$call279; //@line 556 "SpinSource/openspin.cpp"
 var $180=$pTemp276; //@line 557 "SpinSource/openspin.cpp"
 var $tobool280=($180|0)!=0; //@line 557 "SpinSource/openspin.cpp"
 if($tobool280){label=134;break;}else{label=135;break;} //@line 557 "SpinSource/openspin.cpp"
 case 134: 
 var $181=$pTemp276; //@line 559 "SpinSource/openspin.cpp"
 HEAP8[($181)]=0; //@line 559 "SpinSource/openspin.cpp"
 label=135;break; //@line 560 "SpinSource/openspin.cpp"
 case 135: 
 var $182=$docOffset; //@line 561 "SpinSource/openspin.cpp"
 var $183=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 561 "SpinSource/openspin.cpp"
 var $doc283=(($183+36)|0); //@line 561 "SpinSource/openspin.cpp"
 var $184=((((HEAPU8[($doc283)])|(HEAPU8[((($doc283)+(1))|0)]<<8)|(HEAPU8[((($doc283)+(2))|0)]<<16)|(HEAPU8[((($doc283)+(3))|0)]<<24))|0)); //@line 561 "SpinSource/openspin.cpp"
 var $arrayidx284=(($184+$182)|0); //@line 561 "SpinSource/openspin.cpp"
 var $call285=_printf(7608,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 8)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=$arrayidx284,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 561 "SpinSource/openspin.cpp"
 var $185=$pTemp276; //@line 562 "SpinSource/openspin.cpp"
 var $tobool286=($185|0)!=0; //@line 562 "SpinSource/openspin.cpp"
 if($tobool286){label=136;break;}else{label=137;break;} //@line 562 "SpinSource/openspin.cpp"
 case 136: 
 var $186=$pTemp276; //@line 564 "SpinSource/openspin.cpp"
 HEAP8[($186)]=13; //@line 564 "SpinSource/openspin.cpp"
 var $187=$pTemp276; //@line 565 "SpinSource/openspin.cpp"
 var $188=$docOffset; //@line 565 "SpinSource/openspin.cpp"
 var $189=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 565 "SpinSource/openspin.cpp"
 var $doc288=(($189+36)|0); //@line 565 "SpinSource/openspin.cpp"
 var $190=((((HEAPU8[($doc288)])|(HEAPU8[((($doc288)+(1))|0)]<<8)|(HEAPU8[((($doc288)+(2))|0)]<<16)|(HEAPU8[((($doc288)+(3))|0)]<<24))|0)); //@line 565 "SpinSource/openspin.cpp"
 var $arrayidx289=(($190+$188)|0); //@line 565 "SpinSource/openspin.cpp"
 var $sub_ptr_lhs_cast290=$187; //@line 565 "SpinSource/openspin.cpp"
 var $sub_ptr_rhs_cast291=$arrayidx289; //@line 565 "SpinSource/openspin.cpp"
 var $sub_ptr_sub292=((($sub_ptr_lhs_cast290)-($sub_ptr_rhs_cast291))|0); //@line 565 "SpinSource/openspin.cpp"
 var $add293=((($sub_ptr_sub292)+(1))|0); //@line 565 "SpinSource/openspin.cpp"
 var $191=$docOffset; //@line 565 "SpinSource/openspin.cpp"
 var $add294=((($191)+($add293))|0); //@line 565 "SpinSource/openspin.cpp"
 $docOffset=$add294; //@line 565 "SpinSource/openspin.cpp"
 label=138;break; //@line 566 "SpinSource/openspin.cpp"
 case 137: 
 var $192=$docOffset; //@line 569 "SpinSource/openspin.cpp"
 var $193=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 569 "SpinSource/openspin.cpp"
 var $doc296=(($193+36)|0); //@line 569 "SpinSource/openspin.cpp"
 var $194=((((HEAPU8[($doc296)])|(HEAPU8[((($doc296)+(1))|0)]<<8)|(HEAPU8[((($doc296)+(2))|0)]<<16)|(HEAPU8[((($doc296)+(3))|0)]<<24))|0)); //@line 569 "SpinSource/openspin.cpp"
 var $arrayidx297=(($194+$192)|0); //@line 569 "SpinSource/openspin.cpp"
 var $call298=_strlen($arrayidx297); //@line 569 "SpinSource/openspin.cpp"
 var $195=$docOffset; //@line 569 "SpinSource/openspin.cpp"
 var $add299=((($195)+($call298))|0); //@line 569 "SpinSource/openspin.cpp"
 $docOffset=$add299; //@line 569 "SpinSource/openspin.cpp"
 label=138;break;
 case 138: 
 label=132;break; //@line 571 "SpinSource/openspin.cpp"
 case 139: 
 label=140;break; //@line 572 "SpinSource/openspin.cpp"
 case 140: 
 var $196=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 575 "SpinSource/openspin.cpp"
 var $list303=(($196+24)|0); //@line 575 "SpinSource/openspin.cpp"
 var $197=((((HEAPU8[($list303)])|(HEAPU8[((($list303)+(1))|0)]<<8)|(HEAPU8[((($list303)+(2))|0)]<<16)|(HEAPU8[((($list303)+(3))|0)]<<24))|0)); //@line 575 "SpinSource/openspin.cpp"
 var $isnull304=($197|0)==0; //@line 575 "SpinSource/openspin.cpp"
 if($isnull304){label=142;break;}else{label=141;break;} //@line 575 "SpinSource/openspin.cpp"
 case 141: 
 __ZdaPv($197); //@line 575 "SpinSource/openspin.cpp"
 label=142;break; //@line 575 "SpinSource/openspin.cpp"
 case 142: 
 var $198=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 576 "SpinSource/openspin.cpp"
 var $doc307=(($198+36)|0); //@line 576 "SpinSource/openspin.cpp"
 var $199=((((HEAPU8[($doc307)])|(HEAPU8[((($doc307)+(1))|0)]<<8)|(HEAPU8[((($doc307)+(2))|0)]<<16)|(HEAPU8[((($doc307)+(3))|0)]<<24))|0)); //@line 576 "SpinSource/openspin.cpp"
 var $isnull308=($199|0)==0; //@line 576 "SpinSource/openspin.cpp"
 if($isnull308){label=144;break;}else{label=143;break;} //@line 576 "SpinSource/openspin.cpp"
 case 143: 
 __ZdaPv($199); //@line 576 "SpinSource/openspin.cpp"
 label=144;break; //@line 576 "SpinSource/openspin.cpp"
 case 144: 
 $retval=0; //@line 578 "SpinSource/openspin.cpp"
 label=145;break; //@line 578 "SpinSource/openspin.cpp"
 case 145: 
 var $200=$retval; //@line 579 "SpinSource/openspin.cpp"
 STACKTOP=sp;return $200; //@line 579 "SpinSource/openspin.cpp"
  default: assert(0, "bad label: " + label);
 }

}
Module["_main"] = _main;

function __ZL5Usagev(){
 var label=0;
 var tempVarArgs=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 __ZL6Bannerv(); //@line 185 "SpinSource/openspin.cpp"
 var $0=((((HEAPU8[(_stderr)])|(HEAPU8[(((_stderr)+(1))|0)]<<8)|(HEAPU8[(((_stderr)+(2))|0)]<<16)|(HEAPU8[(((_stderr)+(3))|0)]<<24))|0)); //@line 186 "SpinSource/openspin.cpp"
 var $call=_fprintf($0,3896,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 1)|0,STACKTOP = (((STACKTOP)+7)&-8),(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=0,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 186 "SpinSource/openspin.cpp"
 STACKTOP=sp;return; //@line 205 "SpinSource/openspin.cpp"
}


function __ZL6Bannerv(){
 var label=0;
 var tempVarArgs=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $0=((((HEAPU8[(_stdout)])|(HEAPU8[(((_stdout)+(1))|0)]<<8)|(HEAPU8[(((_stdout)+(2))|0)]<<16)|(HEAPU8[(((_stdout)+(3))|0)]<<24))|0)); //@line 178 "SpinSource/openspin.cpp"
 var $call=_fprintf($0,5032,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 1)|0,STACKTOP = (((STACKTOP)+7)&-8),(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=0,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 178 "SpinSource/openspin.cpp"
 var $1=((((HEAPU8[(_stdout)])|(HEAPU8[(((_stdout)+(1))|0)]<<8)|(HEAPU8[(((_stdout)+(2))|0)]<<16)|(HEAPU8[(((_stdout)+(3))|0)]<<24))|0)); //@line 179 "SpinSource/openspin.cpp"
 var $call1=_fprintf($1,4968,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 8)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=4912,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 179 "SpinSource/openspin.cpp"
 STACKTOP=sp;return; //@line 180 "SpinSource/openspin.cpp"
}


function __Z18CompileRecursivelyPcbb($pFilename,$bQuiet,$bFileTreeOutputOnly){
 var label=0;
 var tempVarArgs=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+8480)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $pFilename_addr;
 var $bQuiet_addr;
 var $bFileTreeOutputOnly_addr;
 var $spaces=sp;
 var $definestate;
 var $pErrorString;
 var $filenames=(sp)+(32);
 var $numObjects;
 var $i;
 var $i38;
 var $p;
 var $i59;
 var $nObjIdx;
 var $p89;
 var $i90;
 var $filename=(sp)+(8224);
 var $i130;
 $pFilename_addr=$pFilename;
 var $frombool=($bQuiet&1);
 $bQuiet_addr=$frombool;
 var $frombool1=($bFileTreeOutputOnly&1);
 $bFileTreeOutputOnly_addr=$frombool1;
 var $0=((((HEAPU8[(16456)])|(HEAPU8[(16457)]<<8)|(HEAPU8[(16458)]<<16)|(HEAPU8[(16459)]<<24))|0)); //@line 1054 "SpinSource/openspin.cpp"
 var $cmp=($0|0)>0; //@line 1054 "SpinSource/openspin.cpp"
 if($cmp){label=2;break;}else{label=5;break;} //@line 1054 "SpinSource/openspin.cpp"
 case 2: 
 var $1=$bQuiet_addr; //@line 1054 "SpinSource/openspin.cpp"
 var $tobool=(($1)&1); //@line 1054 "SpinSource/openspin.cpp"
 if($tobool){label=3;break;}else{label=4;break;} //@line 1054 "SpinSource/openspin.cpp"
 case 3: 
 var $2=$bFileTreeOutputOnly_addr; //@line 1054 "SpinSource/openspin.cpp"
 var $tobool2=(($2)&1); //@line 1054 "SpinSource/openspin.cpp"
 if($tobool2){label=4;break;}else{label=5;break;} //@line 1054 "SpinSource/openspin.cpp"
 case 4: 
 var $3=$spaces; //@line 1056 "SpinSource/openspin.cpp"
 assert(32 % 1 === 0);(_memcpy($3, 9856, 32)|0); //@line 1056 "SpinSource/openspin.cpp"
 var $4=((((HEAPU8[(16456)])|(HEAPU8[(16457)]<<8)|(HEAPU8[(16458)]<<16)|(HEAPU8[(16459)]<<24))|0)); //@line 1057 "SpinSource/openspin.cpp"
 var $shl=$4<<1; //@line 1057 "SpinSource/openspin.cpp"
 var $sub=(((32)-($shl))|0); //@line 1057 "SpinSource/openspin.cpp"
 var $arrayidx=(($spaces+$sub)|0); //@line 1057 "SpinSource/openspin.cpp"
 var $5=$pFilename_addr; //@line 1057 "SpinSource/openspin.cpp"
 var $call=_printf(5808,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 16)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=$arrayidx,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempBigInt=$5,HEAP8[(((tempVarArgs)+(8))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[((((tempVarArgs)+(8))+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[((((tempVarArgs)+(8))+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[((((tempVarArgs)+(8))+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 1057 "SpinSource/openspin.cpp"
 label=5;break; //@line 1058 "SpinSource/openspin.cpp"
 case 5: 
 var $6=((((HEAPU8[(16456)])|(HEAPU8[(16457)]<<8)|(HEAPU8[(16458)]<<16)|(HEAPU8[(16459)]<<24))|0)); //@line 1059 "SpinSource/openspin.cpp"
 var $inc=((($6)+(1))|0); //@line 1059 "SpinSource/openspin.cpp"
 tempBigInt=$inc;HEAP8[(16456)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(16457)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(16458)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(16459)]=tempBigInt&0xff; //@line 1059 "SpinSource/openspin.cpp"
 var $7=((((HEAPU8[(16456)])|(HEAPU8[(16457)]<<8)|(HEAPU8[(16458)]<<16)|(HEAPU8[(16459)]<<24))|0)); //@line 1060 "SpinSource/openspin.cpp"
 var $cmp3=($7|0)>16; //@line 1060 "SpinSource/openspin.cpp"
 if($cmp3){label=6;break;}else{label=7;break;} //@line 1060 "SpinSource/openspin.cpp"
 case 6: 
 var $8=$pFilename_addr; //@line 1062 "SpinSource/openspin.cpp"
 var $call5=_printf(5672,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 16)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=$8,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempBigInt=16,HEAP8[(((tempVarArgs)+(8))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[((((tempVarArgs)+(8))+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[((((tempVarArgs)+(8))+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[((((tempVarArgs)+(8))+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 1062 "SpinSource/openspin.cpp"
 $retval=0; //@line 1063 "SpinSource/openspin.cpp"
 label=55;break; //@line 1063 "SpinSource/openspin.cpp"
 case 7: 
 $definestate=0; //@line 1066 "SpinSource/openspin.cpp"
 var $9=HEAP8[(16472)]; //@line 1067 "SpinSource/openspin.cpp"
 var $tobool7=(($9)&1); //@line 1067 "SpinSource/openspin.cpp"
 if($tobool7){label=8;break;}else{label=9;break;} //@line 1067 "SpinSource/openspin.cpp"
 case 8: 
 var $call9=__Z19pp_get_define_stateP10preprocess(19568); //@line 1069 "SpinSource/openspin.cpp"
 $definestate=$call9; //@line 1069 "SpinSource/openspin.cpp"
 label=9;break; //@line 1070 "SpinSource/openspin.cpp"
 case 9: 
 var $10=$pFilename_addr; //@line 1071 "SpinSource/openspin.cpp"
 __Z15GetPASCIISourcePc($10); //@line 1071 "SpinSource/openspin.cpp"
 var $11=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 1073 "SpinSource/openspin.cpp"
 var $source=(($11+12)|0); //@line 1073 "SpinSource/openspin.cpp"
 var $12=((((HEAPU8[($source)])|(HEAPU8[((($source)+(1))|0)]<<8)|(HEAPU8[((($source)+(2))|0)]<<16)|(HEAPU8[((($source)+(3))|0)]<<24))|0)); //@line 1073 "SpinSource/openspin.cpp"
 var $cmp11=($12|0)==0; //@line 1073 "SpinSource/openspin.cpp"
 if($cmp11){label=10;break;}else{label=11;break;} //@line 1073 "SpinSource/openspin.cpp"
 case 10: 
 var $13=$pFilename_addr; //@line 1075 "SpinSource/openspin.cpp"
 var $call13=_printf(5584,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 8)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=$13,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 1075 "SpinSource/openspin.cpp"
 $retval=0; //@line 1076 "SpinSource/openspin.cpp"
 label=55;break; //@line 1076 "SpinSource/openspin.cpp"
 case 11: 
 var $call15=__Z8Compile1v(); //@line 1080 "SpinSource/openspin.cpp"
 $pErrorString=$call15; //@line 1080 "SpinSource/openspin.cpp"
 var $14=$pErrorString; //@line 1081 "SpinSource/openspin.cpp"
 var $cmp16=($14|0)!=0; //@line 1081 "SpinSource/openspin.cpp"
 if($cmp16){label=12;break;}else{label=13;break;} //@line 1081 "SpinSource/openspin.cpp"
 case 12: 
 var $15=$pFilename_addr; //@line 1083 "SpinSource/openspin.cpp"
 var $16=$pErrorString; //@line 1083 "SpinSource/openspin.cpp"
 __Z10PrintErrorPKcS0_($15,$16); //@line 1083 "SpinSource/openspin.cpp"
 $retval=0; //@line 1084 "SpinSource/openspin.cpp"
 label=55;break; //@line 1084 "SpinSource/openspin.cpp"
 case 13: 
 var $17=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 1087 "SpinSource/openspin.cpp"
 var $obj_files=(($17+16777268)|0); //@line 1087 "SpinSource/openspin.cpp"
 var $18=((((HEAPU8[($obj_files)])|(HEAPU8[((($obj_files)+(1))|0)]<<8)|(HEAPU8[((($obj_files)+(2))|0)]<<16)|(HEAPU8[((($obj_files)+(3))|0)]<<24))|0)); //@line 1087 "SpinSource/openspin.cpp"
 var $cmp19=($18|0)>0; //@line 1087 "SpinSource/openspin.cpp"
 if($cmp19){label=14;break;}else{label=37;break;} //@line 1087 "SpinSource/openspin.cpp"
 case 14: 
 var $19=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 1094 "SpinSource/openspin.cpp"
 var $obj_files21=(($19+16777268)|0); //@line 1094 "SpinSource/openspin.cpp"
 var $20=((((HEAPU8[($obj_files21)])|(HEAPU8[((($obj_files21)+(1))|0)]<<8)|(HEAPU8[((($obj_files21)+(2))|0)]<<16)|(HEAPU8[((($obj_files21)+(3))|0)]<<24))|0)); //@line 1094 "SpinSource/openspin.cpp"
 $numObjects=$20; //@line 1094 "SpinSource/openspin.cpp"
 $i=0; //@line 1095 "SpinSource/openspin.cpp"
 label=15;break; //@line 1095 "SpinSource/openspin.cpp"
 case 15: 
 var $21=$i; //@line 1095 "SpinSource/openspin.cpp"
 var $22=$numObjects; //@line 1095 "SpinSource/openspin.cpp"
 var $cmp22=($21|0)<($22|0); //@line 1095 "SpinSource/openspin.cpp"
 if($cmp22){label=16;break;}else{label=20;break;} //@line 1095 "SpinSource/openspin.cpp"
 case 16: 
 var $23=$i; //@line 1098 "SpinSource/openspin.cpp"
 var $shl23=$23<<8; //@line 1098 "SpinSource/openspin.cpp"
 var $arrayidx24=(($filenames+$shl23)|0); //@line 1098 "SpinSource/openspin.cpp"
 var $24=$i; //@line 1098 "SpinSource/openspin.cpp"
 var $shl25=$24<<8; //@line 1098 "SpinSource/openspin.cpp"
 var $25=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 1098 "SpinSource/openspin.cpp"
 var $obj_filenames=(($25+16777272)|0); //@line 1098 "SpinSource/openspin.cpp"
 var $arrayidx26=(($obj_filenames+$shl25)|0); //@line 1098 "SpinSource/openspin.cpp"
 var $call27=_strcpy($arrayidx24,$arrayidx26); //@line 1098 "SpinSource/openspin.cpp"
 var $26=$i; //@line 1099 "SpinSource/openspin.cpp"
 var $shl28=$26<<8; //@line 1099 "SpinSource/openspin.cpp"
 var $arrayidx29=(($filenames+$shl28)|0); //@line 1099 "SpinSource/openspin.cpp"
 var $call30=_strstr($arrayidx29,9208); //@line 1099 "SpinSource/openspin.cpp"
 var $cmp31=($call30|0)==0; //@line 1099 "SpinSource/openspin.cpp"
 if($cmp31){label=17;break;}else{label=18;break;} //@line 1099 "SpinSource/openspin.cpp"
 case 17: 
 var $27=$i; //@line 1101 "SpinSource/openspin.cpp"
 var $shl33=$27<<8; //@line 1101 "SpinSource/openspin.cpp"
 var $arrayidx34=(($filenames+$shl33)|0); //@line 1101 "SpinSource/openspin.cpp"
 var $call35=_strcat($arrayidx34,9208); //@line 1101 "SpinSource/openspin.cpp"
 label=18;break; //@line 1102 "SpinSource/openspin.cpp"
 case 18: 
 label=19;break; //@line 1106 "SpinSource/openspin.cpp"
 case 19: 
 var $28=$i; //@line 1095 "SpinSource/openspin.cpp"
 var $inc37=((($28)+(1))|0); //@line 1095 "SpinSource/openspin.cpp"
 $i=$inc37; //@line 1095 "SpinSource/openspin.cpp"
 label=15;break; //@line 1095 "SpinSource/openspin.cpp"
 case 20: 
 $i38=0; //@line 1108 "SpinSource/openspin.cpp"
 label=21;break; //@line 1108 "SpinSource/openspin.cpp"
 case 21: 
 var $29=$i38; //@line 1108 "SpinSource/openspin.cpp"
 var $30=$numObjects; //@line 1108 "SpinSource/openspin.cpp"
 var $cmp40=($29|0)<($30|0); //@line 1108 "SpinSource/openspin.cpp"
 if($cmp40){label=22;break;}else{label=26;break;} //@line 1108 "SpinSource/openspin.cpp"
 case 22: 
 var $31=$i38; //@line 1110 "SpinSource/openspin.cpp"
 var $shl42=$31<<8; //@line 1110 "SpinSource/openspin.cpp"
 var $arrayidx43=(($filenames+$shl42)|0); //@line 1110 "SpinSource/openspin.cpp"
 var $32=$bQuiet_addr; //@line 1110 "SpinSource/openspin.cpp"
 var $tobool44=(($32)&1); //@line 1110 "SpinSource/openspin.cpp"
 var $33=$bFileTreeOutputOnly_addr; //@line 1110 "SpinSource/openspin.cpp"
 var $tobool45=(($33)&1); //@line 1110 "SpinSource/openspin.cpp"
 var $call46=__Z16CompileSubObjectPcbb($arrayidx43,$tobool44,$tobool45); //@line 1110 "SpinSource/openspin.cpp"
 if($call46){label=24;break;}else{label=23;break;} //@line 1110 "SpinSource/openspin.cpp"
 case 23: 
 $retval=0; //@line 1112 "SpinSource/openspin.cpp"
 label=55;break; //@line 1112 "SpinSource/openspin.cpp"
 case 24: 
 label=25;break; //@line 1114 "SpinSource/openspin.cpp"
 case 25: 
 var $34=$i38; //@line 1108 "SpinSource/openspin.cpp"
 var $inc50=((($34)+(1))|0); //@line 1108 "SpinSource/openspin.cpp"
 $i38=$inc50; //@line 1108 "SpinSource/openspin.cpp"
 label=21;break; //@line 1108 "SpinSource/openspin.cpp"
 case 26: 
 var $35=HEAP8[(16472)]; //@line 1117 "SpinSource/openspin.cpp"
 var $tobool52=(($35)&1); //@line 1117 "SpinSource/openspin.cpp"
 if($tobool52){label=27;break;}else{label=28;break;} //@line 1117 "SpinSource/openspin.cpp"
 case 27: 
 var $36=$definestate; //@line 1120 "SpinSource/openspin.cpp"
 __Z23pp_restore_define_stateP10preprocessPv(19568,$36); //@line 1120 "SpinSource/openspin.cpp"
 label=28;break; //@line 1121 "SpinSource/openspin.cpp"
 case 28: 
 var $37=$pFilename_addr; //@line 1123 "SpinSource/openspin.cpp"
 __Z15GetPASCIISourcePc($37); //@line 1123 "SpinSource/openspin.cpp"
 var $call55=__Z8Compile1v(); //@line 1124 "SpinSource/openspin.cpp"
 $pErrorString=$call55; //@line 1124 "SpinSource/openspin.cpp"
 var $38=$pErrorString; //@line 1125 "SpinSource/openspin.cpp"
 var $cmp56=($38|0)!=0; //@line 1125 "SpinSource/openspin.cpp"
 if($cmp56){label=29;break;}else{label=30;break;} //@line 1125 "SpinSource/openspin.cpp"
 case 29: 
 var $39=$pFilename_addr; //@line 1127 "SpinSource/openspin.cpp"
 var $40=$pErrorString; //@line 1127 "SpinSource/openspin.cpp"
 __Z10PrintErrorPKcS0_($39,$40); //@line 1127 "SpinSource/openspin.cpp"
 $retval=0; //@line 1128 "SpinSource/openspin.cpp"
 label=55;break; //@line 1128 "SpinSource/openspin.cpp"
 case 30: 
 $p=0; //@line 1132 "SpinSource/openspin.cpp"
 $i59=0; //@line 1133 "SpinSource/openspin.cpp"
 label=31;break; //@line 1133 "SpinSource/openspin.cpp"
 case 31: 
 var $41=$i59; //@line 1133 "SpinSource/openspin.cpp"
 var $42=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 1133 "SpinSource/openspin.cpp"
 var $obj_files61=(($42+16777268)|0); //@line 1133 "SpinSource/openspin.cpp"
 var $43=((((HEAPU8[($obj_files61)])|(HEAPU8[((($obj_files61)+(1))|0)]<<8)|(HEAPU8[((($obj_files61)+(2))|0)]<<16)|(HEAPU8[((($obj_files61)+(3))|0)]<<24))|0)); //@line 1133 "SpinSource/openspin.cpp"
 var $cmp62=($41|0)<($43|0); //@line 1133 "SpinSource/openspin.cpp"
 if($cmp62){label=32;break;}else{label=36;break;} //@line 1133 "SpinSource/openspin.cpp"
 case 32: 
 var $44=$i59; //@line 1135 "SpinSource/openspin.cpp"
 var $shl64=$44<<8; //@line 1135 "SpinSource/openspin.cpp"
 var $arrayidx65=(($filenames+$shl64)|0); //@line 1135 "SpinSource/openspin.cpp"
 var $call66=__Z19IndexOfObjectInHeapPc($arrayidx65); //@line 1135 "SpinSource/openspin.cpp"
 $nObjIdx=$call66; //@line 1135 "SpinSource/openspin.cpp"
 var $45=$p; //@line 1136 "SpinSource/openspin.cpp"
 var $46=$nObjIdx; //@line 1136 "SpinSource/openspin.cpp"
 var $arrayidx67=((16488+((($46)*(12))&-1))|0); //@line 1136 "SpinSource/openspin.cpp"
 var $ObjSize=(($arrayidx67+8)|0); //@line 1136 "SpinSource/openspin.cpp"
 var $47=((((HEAPU8[($ObjSize)])|(HEAPU8[((($ObjSize)+(1))|0)]<<8)|(HEAPU8[((($ObjSize)+(2))|0)]<<16)|(HEAPU8[((($ObjSize)+(3))|0)]<<24))|0)); //@line 1136 "SpinSource/openspin.cpp"
 var $add=((($45)+($47))|0); //@line 1136 "SpinSource/openspin.cpp"
 var $cmp68=($add|0)>65536; //@line 1136 "SpinSource/openspin.cpp"
 if($cmp68){label=33;break;}else{label=34;break;} //@line 1136 "SpinSource/openspin.cpp"
 case 33: 
 var $48=$pFilename_addr; //@line 1138 "SpinSource/openspin.cpp"
 var $call70=_printf(5464,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 8)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=$48,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 1138 "SpinSource/openspin.cpp"
 $retval=0; //@line 1139 "SpinSource/openspin.cpp"
 label=55;break; //@line 1139 "SpinSource/openspin.cpp"
 case 34: 
 var $49=$p; //@line 1141 "SpinSource/openspin.cpp"
 var $50=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 1141 "SpinSource/openspin.cpp"
 var $obj_data=(($50+16785976)|0); //@line 1141 "SpinSource/openspin.cpp"
 var $arrayidx72=(($obj_data+$49)|0); //@line 1141 "SpinSource/openspin.cpp"
 var $51=$nObjIdx; //@line 1141 "SpinSource/openspin.cpp"
 var $arrayidx73=((16488+((($51)*(12))&-1))|0); //@line 1141 "SpinSource/openspin.cpp"
 var $Obj=(($arrayidx73+4)|0); //@line 1141 "SpinSource/openspin.cpp"
 var $52=((((HEAPU8[($Obj)])|(HEAPU8[((($Obj)+(1))|0)]<<8)|(HEAPU8[((($Obj)+(2))|0)]<<16)|(HEAPU8[((($Obj)+(3))|0)]<<24))|0)); //@line 1141 "SpinSource/openspin.cpp"
 var $53=$nObjIdx; //@line 1141 "SpinSource/openspin.cpp"
 var $arrayidx74=((16488+((($53)*(12))&-1))|0); //@line 1141 "SpinSource/openspin.cpp"
 var $ObjSize75=(($arrayidx74+8)|0); //@line 1141 "SpinSource/openspin.cpp"
 var $54=((((HEAPU8[($ObjSize75)])|(HEAPU8[((($ObjSize75)+(1))|0)]<<8)|(HEAPU8[((($ObjSize75)+(2))|0)]<<16)|(HEAPU8[((($ObjSize75)+(3))|0)]<<24))|0)); //@line 1141 "SpinSource/openspin.cpp"
 assert($54 % 1 === 0);(_memcpy($arrayidx72, $52, $54)|0); //@line 1141 "SpinSource/openspin.cpp"
 var $55=$p; //@line 1142 "SpinSource/openspin.cpp"
 var $56=$i59; //@line 1142 "SpinSource/openspin.cpp"
 var $57=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 1142 "SpinSource/openspin.cpp"
 var $obj_offsets=(($57+16785720)|0); //@line 1142 "SpinSource/openspin.cpp"
 var $arrayidx76=(($obj_offsets+($56<<2))|0); //@line 1142 "SpinSource/openspin.cpp"
 tempBigInt=$55;HEAP8[($arrayidx76)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx76)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx76)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx76)+(3))|0)]=tempBigInt&0xff; //@line 1142 "SpinSource/openspin.cpp"
 var $58=$nObjIdx; //@line 1143 "SpinSource/openspin.cpp"
 var $arrayidx77=((16488+((($58)*(12))&-1))|0); //@line 1143 "SpinSource/openspin.cpp"
 var $ObjSize78=(($arrayidx77+8)|0); //@line 1143 "SpinSource/openspin.cpp"
 var $59=((((HEAPU8[($ObjSize78)])|(HEAPU8[((($ObjSize78)+(1))|0)]<<8)|(HEAPU8[((($ObjSize78)+(2))|0)]<<16)|(HEAPU8[((($ObjSize78)+(3))|0)]<<24))|0)); //@line 1143 "SpinSource/openspin.cpp"
 var $60=$i59; //@line 1143 "SpinSource/openspin.cpp"
 var $61=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 1143 "SpinSource/openspin.cpp"
 var $obj_lengths=(($61+16785848)|0); //@line 1143 "SpinSource/openspin.cpp"
 var $arrayidx79=(($obj_lengths+($60<<2))|0); //@line 1143 "SpinSource/openspin.cpp"
 tempBigInt=$59;HEAP8[($arrayidx79)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx79)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx79)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx79)+(3))|0)]=tempBigInt&0xff; //@line 1143 "SpinSource/openspin.cpp"
 var $62=$nObjIdx; //@line 1144 "SpinSource/openspin.cpp"
 var $arrayidx80=((16488+((($62)*(12))&-1))|0); //@line 1144 "SpinSource/openspin.cpp"
 var $ObjSize81=(($arrayidx80+8)|0); //@line 1144 "SpinSource/openspin.cpp"
 var $63=((((HEAPU8[($ObjSize81)])|(HEAPU8[((($ObjSize81)+(1))|0)]<<8)|(HEAPU8[((($ObjSize81)+(2))|0)]<<16)|(HEAPU8[((($ObjSize81)+(3))|0)]<<24))|0)); //@line 1144 "SpinSource/openspin.cpp"
 var $64=$p; //@line 1144 "SpinSource/openspin.cpp"
 var $add82=((($64)+($63))|0); //@line 1144 "SpinSource/openspin.cpp"
 $p=$add82; //@line 1144 "SpinSource/openspin.cpp"
 label=35;break; //@line 1145 "SpinSource/openspin.cpp"
 case 35: 
 var $65=$i59; //@line 1133 "SpinSource/openspin.cpp"
 var $inc84=((($65)+(1))|0); //@line 1133 "SpinSource/openspin.cpp"
 $i59=$inc84; //@line 1133 "SpinSource/openspin.cpp"
 label=31;break; //@line 1133 "SpinSource/openspin.cpp"
 case 36: 
 label=37;break; //@line 1146 "SpinSource/openspin.cpp"
 case 37: 
 var $66=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 1149 "SpinSource/openspin.cpp"
 var $dat_files=(($66+16851896)|0); //@line 1149 "SpinSource/openspin.cpp"
 var $67=((((HEAPU8[($dat_files)])|(HEAPU8[((($dat_files)+(1))|0)]<<8)|(HEAPU8[((($dat_files)+(2))|0)]<<16)|(HEAPU8[((($dat_files)+(3))|0)]<<24))|0)); //@line 1149 "SpinSource/openspin.cpp"
 var $cmp87=($67|0)>0; //@line 1149 "SpinSource/openspin.cpp"
 if($cmp87){label=38;break;}else{label=47;break;} //@line 1149 "SpinSource/openspin.cpp"
 case 38: 
 $p89=0; //@line 1151 "SpinSource/openspin.cpp"
 $i90=0; //@line 1152 "SpinSource/openspin.cpp"
 label=39;break; //@line 1152 "SpinSource/openspin.cpp"
 case 39: 
 var $68=$i90; //@line 1152 "SpinSource/openspin.cpp"
 var $69=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 1152 "SpinSource/openspin.cpp"
 var $dat_files92=(($69+16851896)|0); //@line 1152 "SpinSource/openspin.cpp"
 var $70=((((HEAPU8[($dat_files92)])|(HEAPU8[((($dat_files92)+(1))|0)]<<8)|(HEAPU8[((($dat_files92)+(2))|0)]<<16)|(HEAPU8[((($dat_files92)+(3))|0)]<<24))|0)); //@line 1152 "SpinSource/openspin.cpp"
 var $cmp93=($68|0)<($70|0); //@line 1152 "SpinSource/openspin.cpp"
 if($cmp93){label=40;break;}else{label=46;break;} //@line 1152 "SpinSource/openspin.cpp"
 case 40: 
 var $arrayidx95=(($filename)|0); //@line 1158 "SpinSource/openspin.cpp"
 var $71=$i90; //@line 1158 "SpinSource/openspin.cpp"
 var $shl96=$71<<8; //@line 1158 "SpinSource/openspin.cpp"
 var $72=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 1158 "SpinSource/openspin.cpp"
 var $dat_filenames=(($72+16851900)|0); //@line 1158 "SpinSource/openspin.cpp"
 var $arrayidx97=(($dat_filenames+$shl96)|0); //@line 1158 "SpinSource/openspin.cpp"
 var $call98=_strcpy($arrayidx95,$arrayidx97); //@line 1158 "SpinSource/openspin.cpp"
 var $73=$p89; //@line 1161 "SpinSource/openspin.cpp"
 var $74=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 1161 "SpinSource/openspin.cpp"
 var $dat_data=(($74+16860604)|0); //@line 1161 "SpinSource/openspin.cpp"
 var $arrayidx99=(($dat_data+$73)|0); //@line 1161 "SpinSource/openspin.cpp"
 var $arrayidx100=(($filename)|0); //@line 1161 "SpinSource/openspin.cpp"
 var $75=$p89; //@line 1161 "SpinSource/openspin.cpp"
 var $sub101=(((65536)-($75))|0); //@line 1161 "SpinSource/openspin.cpp"
 var $call102=__Z7GetDataPhPci($arrayidx99,$arrayidx100,$sub101); //@line 1161 "SpinSource/openspin.cpp"
 var $76=$i90; //@line 1161 "SpinSource/openspin.cpp"
 var $77=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 1161 "SpinSource/openspin.cpp"
 var $dat_lengths=(($77+16860476)|0); //@line 1161 "SpinSource/openspin.cpp"
 var $arrayidx103=(($dat_lengths+($76<<2))|0); //@line 1161 "SpinSource/openspin.cpp"
 tempBigInt=$call102;HEAP8[($arrayidx103)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx103)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx103)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx103)+(3))|0)]=tempBigInt&0xff; //@line 1161 "SpinSource/openspin.cpp"
 var $78=$i90; //@line 1162 "SpinSource/openspin.cpp"
 var $79=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 1162 "SpinSource/openspin.cpp"
 var $dat_lengths104=(($79+16860476)|0); //@line 1162 "SpinSource/openspin.cpp"
 var $arrayidx105=(($dat_lengths104+($78<<2))|0); //@line 1162 "SpinSource/openspin.cpp"
 var $80=((((HEAPU8[($arrayidx105)])|(HEAPU8[((($arrayidx105)+(1))|0)]<<8)|(HEAPU8[((($arrayidx105)+(2))|0)]<<16)|(HEAPU8[((($arrayidx105)+(3))|0)]<<24))|0)); //@line 1162 "SpinSource/openspin.cpp"
 var $cmp106=($80|0)==-1; //@line 1162 "SpinSource/openspin.cpp"
 if($cmp106){label=41;break;}else{label=42;break;} //@line 1162 "SpinSource/openspin.cpp"
 case 41: 
 var $81=$i90; //@line 1164 "SpinSource/openspin.cpp"
 var $82=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 1164 "SpinSource/openspin.cpp"
 var $dat_lengths108=(($82+16860476)|0); //@line 1164 "SpinSource/openspin.cpp"
 var $arrayidx109=(($dat_lengths108+($81<<2))|0); //@line 1164 "SpinSource/openspin.cpp"
 tempBigInt=0;HEAP8[($arrayidx109)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx109)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx109)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx109)+(3))|0)]=tempBigInt&0xff; //@line 1164 "SpinSource/openspin.cpp"
 $retval=0; //@line 1165 "SpinSource/openspin.cpp"
 label=55;break; //@line 1165 "SpinSource/openspin.cpp"
 case 42: 
 var $83=$p89; //@line 1167 "SpinSource/openspin.cpp"
 var $84=$i90; //@line 1167 "SpinSource/openspin.cpp"
 var $85=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 1167 "SpinSource/openspin.cpp"
 var $dat_lengths111=(($85+16860476)|0); //@line 1167 "SpinSource/openspin.cpp"
 var $arrayidx112=(($dat_lengths111+($84<<2))|0); //@line 1167 "SpinSource/openspin.cpp"
 var $86=((((HEAPU8[($arrayidx112)])|(HEAPU8[((($arrayidx112)+(1))|0)]<<8)|(HEAPU8[((($arrayidx112)+(2))|0)]<<16)|(HEAPU8[((($arrayidx112)+(3))|0)]<<24))|0)); //@line 1167 "SpinSource/openspin.cpp"
 var $add113=((($83)+($86))|0); //@line 1167 "SpinSource/openspin.cpp"
 var $cmp114=($add113|0)>65536; //@line 1167 "SpinSource/openspin.cpp"
 if($cmp114){label=43;break;}else{label=44;break;} //@line 1167 "SpinSource/openspin.cpp"
 case 43: 
 var $87=$pFilename_addr; //@line 1169 "SpinSource/openspin.cpp"
 var $call116=_printf(5464,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 8)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=$87,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 1169 "SpinSource/openspin.cpp"
 $retval=0; //@line 1170 "SpinSource/openspin.cpp"
 label=55;break; //@line 1170 "SpinSource/openspin.cpp"
 case 44: 
 var $88=$p89; //@line 1172 "SpinSource/openspin.cpp"
 var $89=$i90; //@line 1172 "SpinSource/openspin.cpp"
 var $90=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 1172 "SpinSource/openspin.cpp"
 var $dat_offsets=(($90+16860348)|0); //@line 1172 "SpinSource/openspin.cpp"
 var $arrayidx118=(($dat_offsets+($89<<2))|0); //@line 1172 "SpinSource/openspin.cpp"
 tempBigInt=$88;HEAP8[($arrayidx118)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx118)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx118)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx118)+(3))|0)]=tempBigInt&0xff; //@line 1172 "SpinSource/openspin.cpp"
 var $91=$i90; //@line 1173 "SpinSource/openspin.cpp"
 var $92=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 1173 "SpinSource/openspin.cpp"
 var $dat_lengths119=(($92+16860476)|0); //@line 1173 "SpinSource/openspin.cpp"
 var $arrayidx120=(($dat_lengths119+($91<<2))|0); //@line 1173 "SpinSource/openspin.cpp"
 var $93=((((HEAPU8[($arrayidx120)])|(HEAPU8[((($arrayidx120)+(1))|0)]<<8)|(HEAPU8[((($arrayidx120)+(2))|0)]<<16)|(HEAPU8[((($arrayidx120)+(3))|0)]<<24))|0)); //@line 1173 "SpinSource/openspin.cpp"
 var $94=$p89; //@line 1173 "SpinSource/openspin.cpp"
 var $add121=((($94)+($93))|0); //@line 1173 "SpinSource/openspin.cpp"
 $p89=$add121; //@line 1173 "SpinSource/openspin.cpp"
 label=45;break; //@line 1174 "SpinSource/openspin.cpp"
 case 45: 
 var $95=$i90; //@line 1152 "SpinSource/openspin.cpp"
 var $inc123=((($95)+(1))|0); //@line 1152 "SpinSource/openspin.cpp"
 $i90=$inc123; //@line 1152 "SpinSource/openspin.cpp"
 label=39;break; //@line 1152 "SpinSource/openspin.cpp"
 case 46: 
 label=47;break; //@line 1175 "SpinSource/openspin.cpp"
 case 47: 
 var $call126=__Z8Compile2v(); //@line 1178 "SpinSource/openspin.cpp"
 $pErrorString=$call126; //@line 1178 "SpinSource/openspin.cpp"
 var $96=$pErrorString; //@line 1179 "SpinSource/openspin.cpp"
 var $cmp127=($96|0)!=0; //@line 1179 "SpinSource/openspin.cpp"
 if($cmp127){label=48;break;}else{label=49;break;} //@line 1179 "SpinSource/openspin.cpp"
 case 48: 
 var $97=$pFilename_addr; //@line 1181 "SpinSource/openspin.cpp"
 var $98=$pErrorString; //@line 1181 "SpinSource/openspin.cpp"
 __Z10PrintErrorPKcS0_($97,$98); //@line 1181 "SpinSource/openspin.cpp"
 $retval=0; //@line 1182 "SpinSource/openspin.cpp"
 label=55;break; //@line 1182 "SpinSource/openspin.cpp"
 case 49: 
 var $99=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 1186 "SpinSource/openspin.cpp"
 var $psize=(($99+16971084)|0); //@line 1186 "SpinSource/openspin.cpp"
 var $100=((((HEAPU8[($psize)])|(HEAPU8[((($psize)+(1))|0)]<<8)|(HEAPU8[((($psize)+(2))|0)]<<16)|(HEAPU8[((($psize)+(3))|0)]<<24))|0)); //@line 1186 "SpinSource/openspin.cpp"
 var $add131=((($100)+(16))|0); //@line 1186 "SpinSource/openspin.cpp"
 var $101=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 1186 "SpinSource/openspin.cpp"
 var $vsize=(($101+16971080)|0); //@line 1186 "SpinSource/openspin.cpp"
 var $102=((((HEAPU8[($vsize)])|(HEAPU8[((($vsize)+(1))|0)]<<8)|(HEAPU8[((($vsize)+(2))|0)]<<16)|(HEAPU8[((($vsize)+(3))|0)]<<24))|0)); //@line 1186 "SpinSource/openspin.cpp"
 var $add132=((($add131)+($102))|0); //@line 1186 "SpinSource/openspin.cpp"
 var $103=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 1186 "SpinSource/openspin.cpp"
 var $stack_requirement=(($103+16971056)|0); //@line 1186 "SpinSource/openspin.cpp"
 var $104=((((HEAPU8[($stack_requirement)])|(HEAPU8[((($stack_requirement)+(1))|0)]<<8)|(HEAPU8[((($stack_requirement)+(2))|0)]<<16)|(HEAPU8[((($stack_requirement)+(3))|0)]<<24))|0)); //@line 1186 "SpinSource/openspin.cpp"
 var $shl133=$104<<2; //@line 1186 "SpinSource/openspin.cpp"
 var $add134=((($add132)+($shl133))|0); //@line 1186 "SpinSource/openspin.cpp"
 $i130=$add134; //@line 1186 "SpinSource/openspin.cpp"
 var $105=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 1187 "SpinSource/openspin.cpp"
 var $compile_mode=(($105+8)|0); //@line 1187 "SpinSource/openspin.cpp"
 var $106=HEAP8[($compile_mode)]; //@line 1187 "SpinSource/openspin.cpp"
 var $tobool135=(($106)&1); //@line 1187 "SpinSource/openspin.cpp"
 if($tobool135){label=52;break;}else{label=50;break;} //@line 1187 "SpinSource/openspin.cpp"
 case 50: 
 var $107=$i130; //@line 1187 "SpinSource/openspin.cpp"
 var $108=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 1187 "SpinSource/openspin.cpp"
 var $eeprom_size=(($108+16971076)|0); //@line 1187 "SpinSource/openspin.cpp"
 var $109=((((HEAPU8[($eeprom_size)])|(HEAPU8[((($eeprom_size)+(1))|0)]<<8)|(HEAPU8[((($eeprom_size)+(2))|0)]<<16)|(HEAPU8[((($eeprom_size)+(3))|0)]<<24))|0)); //@line 1187 "SpinSource/openspin.cpp"
 var $cmp137=($107>>>0)>($109>>>0); //@line 1187 "SpinSource/openspin.cpp"
 if($cmp137){label=51;break;}else{label=52;break;} //@line 1187 "SpinSource/openspin.cpp"
 case 51: 
 var $110=$pFilename_addr; //@line 1189 "SpinSource/openspin.cpp"
 var $111=$i130; //@line 1189 "SpinSource/openspin.cpp"
 var $112=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 1189 "SpinSource/openspin.cpp"
 var $eeprom_size139=(($112+16971076)|0); //@line 1189 "SpinSource/openspin.cpp"
 var $113=((((HEAPU8[($eeprom_size139)])|(HEAPU8[((($eeprom_size139)+(1))|0)]<<8)|(HEAPU8[((($eeprom_size139)+(2))|0)]<<16)|(HEAPU8[((($eeprom_size139)+(3))|0)]<<24))|0)); //@line 1189 "SpinSource/openspin.cpp"
 var $sub140=((($111)-($113))|0); //@line 1189 "SpinSource/openspin.cpp"
 var $shr=$sub140>>>2; //@line 1189 "SpinSource/openspin.cpp"
 var $call141=_printf(5280,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 16)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=$110,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempBigInt=$shr,HEAP8[(((tempVarArgs)+(8))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[((((tempVarArgs)+(8))+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[((((tempVarArgs)+(8))+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[((((tempVarArgs)+(8))+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 1189 "SpinSource/openspin.cpp"
 $retval=0; //@line 1190 "SpinSource/openspin.cpp"
 label=55;break; //@line 1190 "SpinSource/openspin.cpp"
 case 52: 
 var $114=$pFilename_addr; //@line 1193 "SpinSource/openspin.cpp"
 var $call143=__Z15AddObjectToHeapPc($114); //@line 1193 "SpinSource/openspin.cpp"
 if($call143){label=54;break;}else{label=53;break;} //@line 1193 "SpinSource/openspin.cpp"
 case 53: 
 var $115=$pFilename_addr; //@line 1195 "SpinSource/openspin.cpp"
 var $call145=_printf(5184,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 8)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=$115,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 1195 "SpinSource/openspin.cpp"
 $retval=0; //@line 1196 "SpinSource/openspin.cpp"
 label=55;break; //@line 1196 "SpinSource/openspin.cpp"
 case 54: 
 var $116=((((HEAPU8[(16456)])|(HEAPU8[(16457)]<<8)|(HEAPU8[(16458)]<<16)|(HEAPU8[(16459)]<<24))|0)); //@line 1198 "SpinSource/openspin.cpp"
 var $dec=((($116)-(1))|0); //@line 1198 "SpinSource/openspin.cpp"
 tempBigInt=$dec;HEAP8[(16456)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(16457)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(16458)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(16459)]=tempBigInt&0xff; //@line 1198 "SpinSource/openspin.cpp"
 $retval=1; //@line 1200 "SpinSource/openspin.cpp"
 label=55;break; //@line 1200 "SpinSource/openspin.cpp"
 case 55: 
 var $117=$retval; //@line 1201 "SpinSource/openspin.cpp"
 STACKTOP=sp;return $117; //@line 1201 "SpinSource/openspin.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z10ComposeRAMPPhRibbj($ppBuffer,$bufferSize,$bDATonly,$bBinary,$eeprom_size){
 var label=0;
 var tempVarArgs=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $ppBuffer_addr;
 var $bufferSize_addr;
 var $bDATonly_addr;
 var $bBinary_addr;
 var $eeprom_size_addr;
 var $varsize;
 var $codsize;
 var $pubaddr;
 var $publocs;
 var $pbase;
 var $vbase;
 var $dbase;
 var $pcurr;
 var $dcurr;
 var $sum;
 var $i;
 var $objsize;
 var $size;
 $ppBuffer_addr=$ppBuffer;
 $bufferSize_addr=$bufferSize;
 var $frombool=($bDATonly&1);
 $bDATonly_addr=$frombool;
 var $frombool1=($bBinary&1);
 $bBinary_addr=$frombool1;
 $eeprom_size_addr=$eeprom_size;
 var $0=$bDATonly_addr; //@line 583 "SpinSource/openspin.cpp"
 var $tobool=(($0)&1); //@line 583 "SpinSource/openspin.cpp"
 if($tobool){label=12;break;}else{label=2;break;} //@line 583 "SpinSource/openspin.cpp"
 case 2: 
 var $1=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 585 "SpinSource/openspin.cpp"
 var $vsize=(($1+16971080)|0); //@line 585 "SpinSource/openspin.cpp"
 var $2=((((HEAPU8[($vsize)])|(HEAPU8[((($vsize)+(1))|0)]<<8)|(HEAPU8[((($vsize)+(2))|0)]<<16)|(HEAPU8[((($vsize)+(3))|0)]<<24))|0)); //@line 585 "SpinSource/openspin.cpp"
 $varsize=$2; //@line 585 "SpinSource/openspin.cpp"
 var $3=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 586 "SpinSource/openspin.cpp"
 var $psize=(($3+16971084)|0); //@line 586 "SpinSource/openspin.cpp"
 var $4=((((HEAPU8[($psize)])|(HEAPU8[((($psize)+(1))|0)]<<8)|(HEAPU8[((($psize)+(2))|0)]<<16)|(HEAPU8[((($psize)+(3))|0)]<<24))|0)); //@line 586 "SpinSource/openspin.cpp"
 $codsize=$4; //@line 586 "SpinSource/openspin.cpp"
 var $5=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 587 "SpinSource/openspin.cpp"
 var $obj=(($5+48)|0); //@line 587 "SpinSource/openspin.cpp"
 var $arrayidx=(($obj+8)|0); //@line 587 "SpinSource/openspin.cpp"
 var $6=$arrayidx; //@line 587 "SpinSource/openspin.cpp"
 var $7=(((((HEAPU8[($6)])|(HEAPU8[((($6)+(1))|0)]<<8))<<16)>>16)); //@line 587 "SpinSource/openspin.cpp"
 var $conv=($7&65535); //@line 587 "SpinSource/openspin.cpp"
 $pubaddr=$conv; //@line 587 "SpinSource/openspin.cpp"
 var $8=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 588 "SpinSource/openspin.cpp"
 var $obj2=(($8+48)|0); //@line 588 "SpinSource/openspin.cpp"
 var $arrayidx3=(($obj2+10)|0); //@line 588 "SpinSource/openspin.cpp"
 var $9=$arrayidx3; //@line 588 "SpinSource/openspin.cpp"
 var $10=(((((HEAPU8[($9)])|(HEAPU8[((($9)+(1))|0)]<<8))<<16)>>16)); //@line 588 "SpinSource/openspin.cpp"
 var $conv4=($10&65535); //@line 588 "SpinSource/openspin.cpp"
 $publocs=$conv4; //@line 588 "SpinSource/openspin.cpp"
 $pbase=16; //@line 589 "SpinSource/openspin.cpp"
 var $11=$pbase; //@line 590 "SpinSource/openspin.cpp"
 var $12=$codsize; //@line 590 "SpinSource/openspin.cpp"
 var $add=((($11)+($12))|0); //@line 590 "SpinSource/openspin.cpp"
 $vbase=$add; //@line 590 "SpinSource/openspin.cpp"
 var $13=$vbase; //@line 591 "SpinSource/openspin.cpp"
 var $14=$varsize; //@line 591 "SpinSource/openspin.cpp"
 var $add5=((($13)+($14))|0); //@line 591 "SpinSource/openspin.cpp"
 var $add6=((($add5)+(8))|0); //@line 591 "SpinSource/openspin.cpp"
 $dbase=$add6; //@line 591 "SpinSource/openspin.cpp"
 var $15=$pbase; //@line 592 "SpinSource/openspin.cpp"
 var $16=$pubaddr; //@line 592 "SpinSource/openspin.cpp"
 var $add7=((($15)+($16))|0); //@line 592 "SpinSource/openspin.cpp"
 $pcurr=$add7; //@line 592 "SpinSource/openspin.cpp"
 var $17=$dbase; //@line 593 "SpinSource/openspin.cpp"
 var $add8=((($17)+(4))|0); //@line 593 "SpinSource/openspin.cpp"
 var $18=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 593 "SpinSource/openspin.cpp"
 var $first_pub_parameters=(($18+16971052)|0); //@line 593 "SpinSource/openspin.cpp"
 var $19=HEAP8[($first_pub_parameters)]; //@line 593 "SpinSource/openspin.cpp"
 var $conv9=($19&255); //@line 593 "SpinSource/openspin.cpp"
 var $shl=$conv9<<2; //@line 593 "SpinSource/openspin.cpp"
 var $add10=((($add8)+($shl))|0); //@line 593 "SpinSource/openspin.cpp"
 var $20=$publocs; //@line 593 "SpinSource/openspin.cpp"
 var $add11=((($add10)+($20))|0); //@line 593 "SpinSource/openspin.cpp"
 $dcurr=$add11; //@line 593 "SpinSource/openspin.cpp"
 var $21=$bBinary_addr; //@line 595 "SpinSource/openspin.cpp"
 var $tobool12=(($21)&1); //@line 595 "SpinSource/openspin.cpp"
 if($tobool12){label=3;break;}else{label=4;break;} //@line 595 "SpinSource/openspin.cpp"
 case 3: 
 var $22=$vbase; //@line 598 "SpinSource/openspin.cpp"
 var $call=__Znaj($22); //@line 598 "SpinSource/openspin.cpp"
 var $23=$ppBuffer_addr; //@line 598 "SpinSource/openspin.cpp"
 tempBigInt=$call;HEAP8[($23)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($23)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($23)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($23)+(3))|0)]=tempBigInt&0xff; //@line 598 "SpinSource/openspin.cpp"
 var $24=$ppBuffer_addr; //@line 599 "SpinSource/openspin.cpp"
 var $25=((((HEAPU8[($24)])|(HEAPU8[((($24)+(1))|0)]<<8)|(HEAPU8[((($24)+(2))|0)]<<16)|(HEAPU8[((($24)+(3))|0)]<<24))|0)); //@line 599 "SpinSource/openspin.cpp"
 var $26=$vbase; //@line 599 "SpinSource/openspin.cpp"
 _memset($25, 0, $26)|0; //@line 599 "SpinSource/openspin.cpp"
 var $27=$vbase; //@line 600 "SpinSource/openspin.cpp"
 var $28=$bufferSize_addr; //@line 600 "SpinSource/openspin.cpp"
 tempBigInt=$27;HEAP8[($28)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($28)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($28)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($28)+(3))|0)]=tempBigInt&0xff; //@line 600 "SpinSource/openspin.cpp"
 label=7;break; //@line 601 "SpinSource/openspin.cpp"
 case 4: 
 var $29=$vbase; //@line 604 "SpinSource/openspin.cpp"
 var $add14=((($29)+(8))|0); //@line 604 "SpinSource/openspin.cpp"
 var $30=$eeprom_size_addr; //@line 604 "SpinSource/openspin.cpp"
 var $cmp=($add14>>>0)>($30>>>0); //@line 604 "SpinSource/openspin.cpp"
 if($cmp){label=5;break;}else{label=6;break;} //@line 604 "SpinSource/openspin.cpp"
 case 5: 
 var $31=$vbase; //@line 606 "SpinSource/openspin.cpp"
 var $add16=((($31)+(8))|0); //@line 606 "SpinSource/openspin.cpp"
 var $32=$eeprom_size_addr; //@line 606 "SpinSource/openspin.cpp"
 var $sub=((($add16)-($32))|0); //@line 606 "SpinSource/openspin.cpp"
 var $shr=$sub>>>2; //@line 606 "SpinSource/openspin.cpp"
 var $call17=_printf(6680,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 8)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=$shr,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 606 "SpinSource/openspin.cpp"
 var $33=$vbase; //@line 607 "SpinSource/openspin.cpp"
 var $add18=((($33)+(8))|0); //@line 607 "SpinSource/openspin.cpp"
 $eeprom_size_addr=$add18; //@line 607 "SpinSource/openspin.cpp"
 label=6;break; //@line 608 "SpinSource/openspin.cpp"
 case 6: 
 var $34=$eeprom_size_addr; //@line 610 "SpinSource/openspin.cpp"
 var $call19=__Znaj($34); //@line 610 "SpinSource/openspin.cpp"
 var $35=$ppBuffer_addr; //@line 610 "SpinSource/openspin.cpp"
 tempBigInt=$call19;HEAP8[($35)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($35)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($35)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($35)+(3))|0)]=tempBigInt&0xff; //@line 610 "SpinSource/openspin.cpp"
 var $36=$ppBuffer_addr; //@line 611 "SpinSource/openspin.cpp"
 var $37=((((HEAPU8[($36)])|(HEAPU8[((($36)+(1))|0)]<<8)|(HEAPU8[((($36)+(2))|0)]<<16)|(HEAPU8[((($36)+(3))|0)]<<24))|0)); //@line 611 "SpinSource/openspin.cpp"
 var $38=$eeprom_size_addr; //@line 611 "SpinSource/openspin.cpp"
 _memset($37, 0, $38)|0; //@line 611 "SpinSource/openspin.cpp"
 var $39=$eeprom_size_addr; //@line 612 "SpinSource/openspin.cpp"
 var $40=$bufferSize_addr; //@line 612 "SpinSource/openspin.cpp"
 tempBigInt=$39;HEAP8[($40)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($40)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($40)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($40)+(3))|0)]=tempBigInt&0xff; //@line 612 "SpinSource/openspin.cpp"
 var $41=$dbase; //@line 613 "SpinSource/openspin.cpp"
 var $sub20=((($41)-(8))|0); //@line 613 "SpinSource/openspin.cpp"
 var $42=$ppBuffer_addr; //@line 613 "SpinSource/openspin.cpp"
 var $43=((((HEAPU8[($42)])|(HEAPU8[((($42)+(1))|0)]<<8)|(HEAPU8[((($42)+(2))|0)]<<16)|(HEAPU8[((($42)+(3))|0)]<<24))|0)); //@line 613 "SpinSource/openspin.cpp"
 var $arrayidx21=(($43+$sub20)|0); //@line 613 "SpinSource/openspin.cpp"
 HEAP8[($arrayidx21)]=-1; //@line 613 "SpinSource/openspin.cpp"
 var $44=$dbase; //@line 614 "SpinSource/openspin.cpp"
 var $sub22=((($44)-(7))|0); //@line 614 "SpinSource/openspin.cpp"
 var $45=$ppBuffer_addr; //@line 614 "SpinSource/openspin.cpp"
 var $46=((((HEAPU8[($45)])|(HEAPU8[((($45)+(1))|0)]<<8)|(HEAPU8[((($45)+(2))|0)]<<16)|(HEAPU8[((($45)+(3))|0)]<<24))|0)); //@line 614 "SpinSource/openspin.cpp"
 var $arrayidx23=(($46+$sub22)|0); //@line 614 "SpinSource/openspin.cpp"
 HEAP8[($arrayidx23)]=-1; //@line 614 "SpinSource/openspin.cpp"
 var $47=$dbase; //@line 615 "SpinSource/openspin.cpp"
 var $sub24=((($47)-(6))|0); //@line 615 "SpinSource/openspin.cpp"
 var $48=$ppBuffer_addr; //@line 615 "SpinSource/openspin.cpp"
 var $49=((((HEAPU8[($48)])|(HEAPU8[((($48)+(1))|0)]<<8)|(HEAPU8[((($48)+(2))|0)]<<16)|(HEAPU8[((($48)+(3))|0)]<<24))|0)); //@line 615 "SpinSource/openspin.cpp"
 var $arrayidx25=(($49+$sub24)|0); //@line 615 "SpinSource/openspin.cpp"
 HEAP8[($arrayidx25)]=-7; //@line 615 "SpinSource/openspin.cpp"
 var $50=$dbase; //@line 616 "SpinSource/openspin.cpp"
 var $sub26=((($50)-(5))|0); //@line 616 "SpinSource/openspin.cpp"
 var $51=$ppBuffer_addr; //@line 616 "SpinSource/openspin.cpp"
 var $52=((((HEAPU8[($51)])|(HEAPU8[((($51)+(1))|0)]<<8)|(HEAPU8[((($51)+(2))|0)]<<16)|(HEAPU8[((($51)+(3))|0)]<<24))|0)); //@line 616 "SpinSource/openspin.cpp"
 var $arrayidx27=(($52+$sub26)|0); //@line 616 "SpinSource/openspin.cpp"
 HEAP8[($arrayidx27)]=-1; //@line 616 "SpinSource/openspin.cpp"
 var $53=$dbase; //@line 617 "SpinSource/openspin.cpp"
 var $sub28=((($53)-(4))|0); //@line 617 "SpinSource/openspin.cpp"
 var $54=$ppBuffer_addr; //@line 617 "SpinSource/openspin.cpp"
 var $55=((((HEAPU8[($54)])|(HEAPU8[((($54)+(1))|0)]<<8)|(HEAPU8[((($54)+(2))|0)]<<16)|(HEAPU8[((($54)+(3))|0)]<<24))|0)); //@line 617 "SpinSource/openspin.cpp"
 var $arrayidx29=(($55+$sub28)|0); //@line 617 "SpinSource/openspin.cpp"
 HEAP8[($arrayidx29)]=-1; //@line 617 "SpinSource/openspin.cpp"
 var $56=$dbase; //@line 618 "SpinSource/openspin.cpp"
 var $sub30=((($56)-(3))|0); //@line 618 "SpinSource/openspin.cpp"
 var $57=$ppBuffer_addr; //@line 618 "SpinSource/openspin.cpp"
 var $58=((((HEAPU8[($57)])|(HEAPU8[((($57)+(1))|0)]<<8)|(HEAPU8[((($57)+(2))|0)]<<16)|(HEAPU8[((($57)+(3))|0)]<<24))|0)); //@line 618 "SpinSource/openspin.cpp"
 var $arrayidx31=(($58+$sub30)|0); //@line 618 "SpinSource/openspin.cpp"
 HEAP8[($arrayidx31)]=-1; //@line 618 "SpinSource/openspin.cpp"
 var $59=$dbase; //@line 619 "SpinSource/openspin.cpp"
 var $sub32=((($59)-(2))|0); //@line 619 "SpinSource/openspin.cpp"
 var $60=$ppBuffer_addr; //@line 619 "SpinSource/openspin.cpp"
 var $61=((((HEAPU8[($60)])|(HEAPU8[((($60)+(1))|0)]<<8)|(HEAPU8[((($60)+(2))|0)]<<16)|(HEAPU8[((($60)+(3))|0)]<<24))|0)); //@line 619 "SpinSource/openspin.cpp"
 var $arrayidx33=(($61+$sub32)|0); //@line 619 "SpinSource/openspin.cpp"
 HEAP8[($arrayidx33)]=-7; //@line 619 "SpinSource/openspin.cpp"
 var $62=$dbase; //@line 620 "SpinSource/openspin.cpp"
 var $sub34=((($62)-(1))|0); //@line 620 "SpinSource/openspin.cpp"
 var $63=$ppBuffer_addr; //@line 620 "SpinSource/openspin.cpp"
 var $64=((((HEAPU8[($63)])|(HEAPU8[((($63)+(1))|0)]<<8)|(HEAPU8[((($63)+(2))|0)]<<16)|(HEAPU8[((($63)+(3))|0)]<<24))|0)); //@line 620 "SpinSource/openspin.cpp"
 var $arrayidx35=(($64+$sub34)|0); //@line 620 "SpinSource/openspin.cpp"
 HEAP8[($arrayidx35)]=-1; //@line 620 "SpinSource/openspin.cpp"
 label=7;break;
 case 7: 
 var $65=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 624 "SpinSource/openspin.cpp"
 var $clkfreq=(($65+16971064)|0); //@line 624 "SpinSource/openspin.cpp"
 var $66=((((HEAPU8[($clkfreq)])|(HEAPU8[((($clkfreq)+(1))|0)]<<8)|(HEAPU8[((($clkfreq)+(2))|0)]<<16)|(HEAPU8[((($clkfreq)+(3))|0)]<<24))|0)); //@line 624 "SpinSource/openspin.cpp"
 var $67=$ppBuffer_addr; //@line 624 "SpinSource/openspin.cpp"
 var $68=((((HEAPU8[($67)])|(HEAPU8[((($67)+(1))|0)]<<8)|(HEAPU8[((($67)+(2))|0)]<<16)|(HEAPU8[((($67)+(3))|0)]<<24))|0)); //@line 624 "SpinSource/openspin.cpp"
 var $arrayidx37=(($68)|0); //@line 624 "SpinSource/openspin.cpp"
 var $69=$arrayidx37; //@line 624 "SpinSource/openspin.cpp"
 tempBigInt=$66;HEAP8[($69)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($69)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($69)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($69)+(3))|0)]=tempBigInt&0xff; //@line 624 "SpinSource/openspin.cpp"
 var $70=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 625 "SpinSource/openspin.cpp"
 var $clkmode=(($70+16971060)|0); //@line 625 "SpinSource/openspin.cpp"
 var $71=HEAP8[($clkmode)]; //@line 625 "SpinSource/openspin.cpp"
 var $72=$ppBuffer_addr; //@line 625 "SpinSource/openspin.cpp"
 var $73=((((HEAPU8[($72)])|(HEAPU8[((($72)+(1))|0)]<<8)|(HEAPU8[((($72)+(2))|0)]<<16)|(HEAPU8[((($72)+(3))|0)]<<24))|0)); //@line 625 "SpinSource/openspin.cpp"
 var $arrayidx38=(($73+4)|0); //@line 625 "SpinSource/openspin.cpp"
 HEAP8[($arrayidx38)]=$71; //@line 625 "SpinSource/openspin.cpp"
 var $74=$pbase; //@line 628 "SpinSource/openspin.cpp"
 var $conv39=(($74)&65535); //@line 628 "SpinSource/openspin.cpp"
 var $75=$ppBuffer_addr; //@line 628 "SpinSource/openspin.cpp"
 var $76=((((HEAPU8[($75)])|(HEAPU8[((($75)+(1))|0)]<<8)|(HEAPU8[((($75)+(2))|0)]<<16)|(HEAPU8[((($75)+(3))|0)]<<24))|0)); //@line 628 "SpinSource/openspin.cpp"
 var $arrayidx40=(($76+4)|0); //@line 628 "SpinSource/openspin.cpp"
 var $77=$arrayidx40; //@line 628 "SpinSource/openspin.cpp"
 var $arrayidx41=(($77+2)|0); //@line 628 "SpinSource/openspin.cpp"
 tempBigInt=$conv39;HEAP8[($arrayidx41)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx41)+(1))|0)]=tempBigInt&0xff; //@line 628 "SpinSource/openspin.cpp"
 var $78=$vbase; //@line 629 "SpinSource/openspin.cpp"
 var $conv42=(($78)&65535); //@line 629 "SpinSource/openspin.cpp"
 var $79=$ppBuffer_addr; //@line 629 "SpinSource/openspin.cpp"
 var $80=((((HEAPU8[($79)])|(HEAPU8[((($79)+(1))|0)]<<8)|(HEAPU8[((($79)+(2))|0)]<<16)|(HEAPU8[((($79)+(3))|0)]<<24))|0)); //@line 629 "SpinSource/openspin.cpp"
 var $arrayidx43=(($80+4)|0); //@line 629 "SpinSource/openspin.cpp"
 var $81=$arrayidx43; //@line 629 "SpinSource/openspin.cpp"
 var $arrayidx44=(($81+4)|0); //@line 629 "SpinSource/openspin.cpp"
 tempBigInt=$conv42;HEAP8[($arrayidx44)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx44)+(1))|0)]=tempBigInt&0xff; //@line 629 "SpinSource/openspin.cpp"
 var $82=$dbase; //@line 630 "SpinSource/openspin.cpp"
 var $conv45=(($82)&65535); //@line 630 "SpinSource/openspin.cpp"
 var $83=$ppBuffer_addr; //@line 630 "SpinSource/openspin.cpp"
 var $84=((((HEAPU8[($83)])|(HEAPU8[((($83)+(1))|0)]<<8)|(HEAPU8[((($83)+(2))|0)]<<16)|(HEAPU8[((($83)+(3))|0)]<<24))|0)); //@line 630 "SpinSource/openspin.cpp"
 var $arrayidx46=(($84+4)|0); //@line 630 "SpinSource/openspin.cpp"
 var $85=$arrayidx46; //@line 630 "SpinSource/openspin.cpp"
 var $arrayidx47=(($85+6)|0); //@line 630 "SpinSource/openspin.cpp"
 tempBigInt=$conv45;HEAP8[($arrayidx47)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx47)+(1))|0)]=tempBigInt&0xff; //@line 630 "SpinSource/openspin.cpp"
 var $86=$pcurr; //@line 631 "SpinSource/openspin.cpp"
 var $conv48=(($86)&65535); //@line 631 "SpinSource/openspin.cpp"
 var $87=$ppBuffer_addr; //@line 631 "SpinSource/openspin.cpp"
 var $88=((((HEAPU8[($87)])|(HEAPU8[((($87)+(1))|0)]<<8)|(HEAPU8[((($87)+(2))|0)]<<16)|(HEAPU8[((($87)+(3))|0)]<<24))|0)); //@line 631 "SpinSource/openspin.cpp"
 var $arrayidx49=(($88+4)|0); //@line 631 "SpinSource/openspin.cpp"
 var $89=$arrayidx49; //@line 631 "SpinSource/openspin.cpp"
 var $arrayidx50=(($89+8)|0); //@line 631 "SpinSource/openspin.cpp"
 tempBigInt=$conv48;HEAP8[($arrayidx50)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx50)+(1))|0)]=tempBigInt&0xff; //@line 631 "SpinSource/openspin.cpp"
 var $90=$dcurr; //@line 632 "SpinSource/openspin.cpp"
 var $conv51=(($90)&65535); //@line 632 "SpinSource/openspin.cpp"
 var $91=$ppBuffer_addr; //@line 632 "SpinSource/openspin.cpp"
 var $92=((((HEAPU8[($91)])|(HEAPU8[((($91)+(1))|0)]<<8)|(HEAPU8[((($91)+(2))|0)]<<16)|(HEAPU8[((($91)+(3))|0)]<<24))|0)); //@line 632 "SpinSource/openspin.cpp"
 var $arrayidx52=(($92+4)|0); //@line 632 "SpinSource/openspin.cpp"
 var $93=$arrayidx52; //@line 632 "SpinSource/openspin.cpp"
 var $arrayidx53=(($93+10)|0); //@line 632 "SpinSource/openspin.cpp"
 tempBigInt=$conv51;HEAP8[($arrayidx53)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx53)+(1))|0)]=tempBigInt&0xff; //@line 632 "SpinSource/openspin.cpp"
 var $94=$pbase; //@line 635 "SpinSource/openspin.cpp"
 var $95=$ppBuffer_addr; //@line 635 "SpinSource/openspin.cpp"
 var $96=((((HEAPU8[($95)])|(HEAPU8[((($95)+(1))|0)]<<8)|(HEAPU8[((($95)+(2))|0)]<<16)|(HEAPU8[((($95)+(3))|0)]<<24))|0)); //@line 635 "SpinSource/openspin.cpp"
 var $arrayidx54=(($96+$94)|0); //@line 635 "SpinSource/openspin.cpp"
 var $97=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 635 "SpinSource/openspin.cpp"
 var $obj55=(($97+48)|0); //@line 635 "SpinSource/openspin.cpp"
 var $arrayidx56=(($obj55+4)|0); //@line 635 "SpinSource/openspin.cpp"
 var $98=$codsize; //@line 635 "SpinSource/openspin.cpp"
 assert($98 % 1 === 0);(_memcpy($arrayidx54, $arrayidx56, $98)|0); //@line 635 "SpinSource/openspin.cpp"
 $sum=0; //@line 638 "SpinSource/openspin.cpp"
 $i=0; //@line 639 "SpinSource/openspin.cpp"
 label=8;break; //@line 639 "SpinSource/openspin.cpp"
 case 8: 
 var $99=$i; //@line 639 "SpinSource/openspin.cpp"
 var $100=$vbase; //@line 639 "SpinSource/openspin.cpp"
 var $cmp57=($99>>>0)<($100>>>0); //@line 639 "SpinSource/openspin.cpp"
 if($cmp57){label=9;break;}else{label=11;break;} //@line 639 "SpinSource/openspin.cpp"
 case 9: 
 var $101=$sum; //@line 641 "SpinSource/openspin.cpp"
 var $conv58=($101&255); //@line 641 "SpinSource/openspin.cpp"
 var $102=$i; //@line 641 "SpinSource/openspin.cpp"
 var $103=$ppBuffer_addr; //@line 641 "SpinSource/openspin.cpp"
 var $104=((((HEAPU8[($103)])|(HEAPU8[((($103)+(1))|0)]<<8)|(HEAPU8[((($103)+(2))|0)]<<16)|(HEAPU8[((($103)+(3))|0)]<<24))|0)); //@line 641 "SpinSource/openspin.cpp"
 var $arrayidx59=(($104+$102)|0); //@line 641 "SpinSource/openspin.cpp"
 var $105=HEAP8[($arrayidx59)]; //@line 641 "SpinSource/openspin.cpp"
 var $conv60=($105&255); //@line 641 "SpinSource/openspin.cpp"
 var $add61=((($conv58)+($conv60))|0); //@line 641 "SpinSource/openspin.cpp"
 var $conv62=(($add61)&255); //@line 641 "SpinSource/openspin.cpp"
 $sum=$conv62; //@line 641 "SpinSource/openspin.cpp"
 label=10;break; //@line 642 "SpinSource/openspin.cpp"
 case 10: 
 var $106=$i; //@line 639 "SpinSource/openspin.cpp"
 var $inc=((($106)+(1))|0); //@line 639 "SpinSource/openspin.cpp"
 $i=$inc; //@line 639 "SpinSource/openspin.cpp"
 label=8;break; //@line 639 "SpinSource/openspin.cpp"
 case 11: 
 var $107=$sum; //@line 643 "SpinSource/openspin.cpp"
 var $conv63=($107&255); //@line 643 "SpinSource/openspin.cpp"
 var $add64=((($conv63)+(2028))|0); //@line 643 "SpinSource/openspin.cpp"
 var $sub65=(((-$add64))|0); //@line 643 "SpinSource/openspin.cpp"
 var $conv66=(($sub65)&255); //@line 643 "SpinSource/openspin.cpp"
 var $108=$ppBuffer_addr; //@line 643 "SpinSource/openspin.cpp"
 var $109=((((HEAPU8[($108)])|(HEAPU8[((($108)+(1))|0)]<<8)|(HEAPU8[((($108)+(2))|0)]<<16)|(HEAPU8[((($108)+(3))|0)]<<24))|0)); //@line 643 "SpinSource/openspin.cpp"
 var $arrayidx67=(($109+5)|0); //@line 643 "SpinSource/openspin.cpp"
 HEAP8[($arrayidx67)]=$conv66; //@line 643 "SpinSource/openspin.cpp"
 label=15;break; //@line 644 "SpinSource/openspin.cpp"
 case 12: 
 var $110=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 647 "SpinSource/openspin.cpp"
 var $obj69=(($110+48)|0); //@line 647 "SpinSource/openspin.cpp"
 var $arrayidx70=(($obj69+4)|0); //@line 647 "SpinSource/openspin.cpp"
 var $111=$arrayidx70; //@line 647 "SpinSource/openspin.cpp"
 var $112=(((((HEAPU8[($111)])|(HEAPU8[((($111)+(1))|0)]<<8))<<16)>>16)); //@line 647 "SpinSource/openspin.cpp"
 var $conv71=($112&65535); //@line 647 "SpinSource/openspin.cpp"
 $objsize=$conv71; //@line 647 "SpinSource/openspin.cpp"
 var $113=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 648 "SpinSource/openspin.cpp"
 var $psize72=(($113+16971084)|0); //@line 648 "SpinSource/openspin.cpp"
 var $114=((((HEAPU8[($psize72)])|(HEAPU8[((($psize72)+(1))|0)]<<8)|(HEAPU8[((($psize72)+(2))|0)]<<16)|(HEAPU8[((($psize72)+(3))|0)]<<24))|0)); //@line 648 "SpinSource/openspin.cpp"
 var $cmp73=($114>>>0)>65535; //@line 648 "SpinSource/openspin.cpp"
 if($cmp73){label=13;break;}else{label=14;break;} //@line 648 "SpinSource/openspin.cpp"
 case 13: 
 var $115=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 650 "SpinSource/openspin.cpp"
 var $psize75=(($115+16971084)|0); //@line 650 "SpinSource/openspin.cpp"
 var $116=((((HEAPU8[($psize75)])|(HEAPU8[((($psize75)+(1))|0)]<<8)|(HEAPU8[((($psize75)+(2))|0)]<<16)|(HEAPU8[((($psize75)+(3))|0)]<<24))|0)); //@line 650 "SpinSource/openspin.cpp"
 $objsize=$116; //@line 650 "SpinSource/openspin.cpp"
 label=14;break; //@line 651 "SpinSource/openspin.cpp"
 case 14: 
 var $117=$objsize; //@line 652 "SpinSource/openspin.cpp"
 var $sub77=((($117)-(4))|0); //@line 652 "SpinSource/openspin.cpp"
 var $118=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 652 "SpinSource/openspin.cpp"
 var $obj78=(($118+48)|0); //@line 652 "SpinSource/openspin.cpp"
 var $arrayidx79=(($obj78+7)|0); //@line 652 "SpinSource/openspin.cpp"
 var $119=HEAP8[($arrayidx79)]; //@line 652 "SpinSource/openspin.cpp"
 var $conv80=($119&255); //@line 652 "SpinSource/openspin.cpp"
 var $mul=($conv80<<2); //@line 652 "SpinSource/openspin.cpp"
 var $sub81=((($sub77)-($mul))|0); //@line 652 "SpinSource/openspin.cpp"
 $size=$sub81; //@line 652 "SpinSource/openspin.cpp"
 var $120=$size; //@line 653 "SpinSource/openspin.cpp"
 var $call82=__Znaj($120); //@line 653 "SpinSource/openspin.cpp"
 var $121=$ppBuffer_addr; //@line 653 "SpinSource/openspin.cpp"
 tempBigInt=$call82;HEAP8[($121)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($121)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($121)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($121)+(3))|0)]=tempBigInt&0xff; //@line 653 "SpinSource/openspin.cpp"
 var $122=$size; //@line 654 "SpinSource/openspin.cpp"
 var $123=$bufferSize_addr; //@line 654 "SpinSource/openspin.cpp"
 tempBigInt=$122;HEAP8[($123)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($123)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($123)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($123)+(3))|0)]=tempBigInt&0xff; //@line 654 "SpinSource/openspin.cpp"
 var $124=$ppBuffer_addr; //@line 655 "SpinSource/openspin.cpp"
 var $125=((((HEAPU8[($124)])|(HEAPU8[((($124)+(1))|0)]<<8)|(HEAPU8[((($124)+(2))|0)]<<16)|(HEAPU8[((($124)+(3))|0)]<<24))|0)); //@line 655 "SpinSource/openspin.cpp"
 var $arrayidx83=(($125)|0); //@line 655 "SpinSource/openspin.cpp"
 var $126=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 655 "SpinSource/openspin.cpp"
 var $obj84=(($126+48)|0); //@line 655 "SpinSource/openspin.cpp"
 var $arrayidx85=(($obj84+7)|0); //@line 655 "SpinSource/openspin.cpp"
 var $127=HEAP8[($arrayidx85)]; //@line 655 "SpinSource/openspin.cpp"
 var $conv86=($127&255); //@line 655 "SpinSource/openspin.cpp"
 var $mul87=($conv86<<2); //@line 655 "SpinSource/openspin.cpp"
 var $add88=((($mul87)+(8))|0); //@line 655 "SpinSource/openspin.cpp"
 var $128=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 655 "SpinSource/openspin.cpp"
 var $obj89=(($128+48)|0); //@line 655 "SpinSource/openspin.cpp"
 var $arrayidx90=(($obj89+$add88)|0); //@line 655 "SpinSource/openspin.cpp"
 var $129=$size; //@line 655 "SpinSource/openspin.cpp"
 assert($129 % 1 === 0);(_memcpy($arrayidx83, $arrayidx90, $129)|0); //@line 655 "SpinSource/openspin.cpp"
 label=15;break;
 case 15: 
 STACKTOP=sp;return; //@line 657 "SpinSource/openspin.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z8LoadFilePcPi($pFilename,$pnLength){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $pFilename_addr;
 var $pnLength_addr;
 var $pBuffer;
 var $pFile;
 $pFilename_addr=$pFilename;
 $pnLength_addr=$pnLength;
 $pBuffer=0; //@line 662 "SpinSource/openspin.cpp"
 var $0=$pFilename_addr; //@line 664 "SpinSource/openspin.cpp"
 var $call=__Z14OpenFileInPathPKcS0_($0,6528); //@line 664 "SpinSource/openspin.cpp"
 $pFile=$call; //@line 664 "SpinSource/openspin.cpp"
 var $1=$pFile; //@line 665 "SpinSource/openspin.cpp"
 var $cmp=($1|0)!=0; //@line 665 "SpinSource/openspin.cpp"
 if($cmp){label=2;break;}else{label=8;break;} //@line 665 "SpinSource/openspin.cpp"
 case 2: 
 var $2=HEAP8[(16472)]; //@line 667 "SpinSource/openspin.cpp"
 var $tobool=(($2)&1); //@line 667 "SpinSource/openspin.cpp"
 if($tobool){label=3;break;}else{label=4;break;} //@line 667 "SpinSource/openspin.cpp"
 case 3: 
 var $3=$pFile; //@line 669 "SpinSource/openspin.cpp"
 var $4=$pFilename_addr; //@line 669 "SpinSource/openspin.cpp"
 __Z19pp_push_file_structP10preprocessP8_IO_FILEPKc(19568,$3,$4); //@line 669 "SpinSource/openspin.cpp"
 __Z6pp_runP10preprocess(19568); //@line 670 "SpinSource/openspin.cpp"
 var $call2=__Z9pp_finishP10preprocess(19568); //@line 671 "SpinSource/openspin.cpp"
 $pBuffer=$call2; //@line 671 "SpinSource/openspin.cpp"
 var $5=$pBuffer; //@line 672 "SpinSource/openspin.cpp"
 var $call3=_strlen($5); //@line 672 "SpinSource/openspin.cpp"
 var $6=$pnLength_addr; //@line 672 "SpinSource/openspin.cpp"
 tempBigInt=$call3;HEAP8[($6)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($6)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($6)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($6)+(3))|0)]=tempBigInt&0xff; //@line 672 "SpinSource/openspin.cpp"
 label=7;break; //@line 673 "SpinSource/openspin.cpp"
 case 4: 
 var $7=$pFile; //@line 677 "SpinSource/openspin.cpp"
 var $call4=_fseek($7,0,2); //@line 677 "SpinSource/openspin.cpp"
 var $8=$pFile; //@line 678 "SpinSource/openspin.cpp"
 var $call5=_ftell($8); //@line 678 "SpinSource/openspin.cpp"
 var $9=$pnLength_addr; //@line 678 "SpinSource/openspin.cpp"
 tempBigInt=$call5;HEAP8[($9)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($9)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($9)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($9)+(3))|0)]=tempBigInt&0xff; //@line 678 "SpinSource/openspin.cpp"
 var $10=$pnLength_addr; //@line 680 "SpinSource/openspin.cpp"
 var $11=((((HEAPU8[($10)])|(HEAPU8[((($10)+(1))|0)]<<8)|(HEAPU8[((($10)+(2))|0)]<<16)|(HEAPU8[((($10)+(3))|0)]<<24))|0)); //@line 680 "SpinSource/openspin.cpp"
 var $cmp6=($11|0)>0; //@line 680 "SpinSource/openspin.cpp"
 if($cmp6){label=5;break;}else{label=6;break;} //@line 680 "SpinSource/openspin.cpp"
 case 5: 
 var $12=$pnLength_addr; //@line 682 "SpinSource/openspin.cpp"
 var $13=((((HEAPU8[($12)])|(HEAPU8[((($12)+(1))|0)]<<8)|(HEAPU8[((($12)+(2))|0)]<<16)|(HEAPU8[((($12)+(3))|0)]<<24))|0)); //@line 682 "SpinSource/openspin.cpp"
 var $add=((($13)+(1))|0); //@line 682 "SpinSource/openspin.cpp"
 var $14=($add|0)<0; //@line 682 "SpinSource/openspin.cpp"
 var $15=($14?-1:$add); //@line 682 "SpinSource/openspin.cpp"
 var $call8=__Znaj($15); //@line 682 "SpinSource/openspin.cpp"
 $pBuffer=$call8; //@line 682 "SpinSource/openspin.cpp"
 var $16=$pnLength_addr; //@line 683 "SpinSource/openspin.cpp"
 var $17=((((HEAPU8[($16)])|(HEAPU8[((($16)+(1))|0)]<<8)|(HEAPU8[((($16)+(2))|0)]<<16)|(HEAPU8[((($16)+(3))|0)]<<24))|0)); //@line 683 "SpinSource/openspin.cpp"
 var $18=$pBuffer; //@line 683 "SpinSource/openspin.cpp"
 var $arrayidx=(($18+$17)|0); //@line 683 "SpinSource/openspin.cpp"
 HEAP8[($arrayidx)]=0; //@line 683 "SpinSource/openspin.cpp"
 var $19=$pFile; //@line 686 "SpinSource/openspin.cpp"
 var $call9=_fseek($19,0,0); //@line 686 "SpinSource/openspin.cpp"
 var $20=$pBuffer; //@line 687 "SpinSource/openspin.cpp"
 var $21=$pnLength_addr; //@line 687 "SpinSource/openspin.cpp"
 var $22=((((HEAPU8[($21)])|(HEAPU8[((($21)+(1))|0)]<<8)|(HEAPU8[((($21)+(2))|0)]<<16)|(HEAPU8[((($21)+(3))|0)]<<24))|0)); //@line 687 "SpinSource/openspin.cpp"
 var $23=$pFile; //@line 687 "SpinSource/openspin.cpp"
 var $call10=_fread($20,1,$22,$23); //@line 687 "SpinSource/openspin.cpp"
 label=6;break; //@line 688 "SpinSource/openspin.cpp"
 case 6: 
 label=7;break;
 case 7: 
 var $24=$pFile; //@line 690 "SpinSource/openspin.cpp"
 var $call12=_fclose($24); //@line 690 "SpinSource/openspin.cpp"
 label=8;break; //@line 691 "SpinSource/openspin.cpp"
 case 8: 
 var $25=$pBuffer; //@line 693 "SpinSource/openspin.cpp"
 STACKTOP=sp;return $25; //@line 693 "SpinSource/openspin.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z15AddObjectToHeapPc($name){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $name_addr;
 var $nNameBufferLength;
 $name_addr=$name;
 var $0=((((HEAPU8[(16464)])|(HEAPU8[(16465)]<<8)|(HEAPU8[(16466)]<<16)|(HEAPU8[(16467)]<<24))|0)); //@line 698 "SpinSource/openspin.cpp"
 var $cmp=($0|0)<256; //@line 698 "SpinSource/openspin.cpp"
 if($cmp){label=2;break;}else{label=3;break;} //@line 698 "SpinSource/openspin.cpp"
 case 2: 
 var $1=$name_addr; //@line 700 "SpinSource/openspin.cpp"
 var $call=_strlen($1); //@line 700 "SpinSource/openspin.cpp"
 var $add=((($call)+(1))|0); //@line 700 "SpinSource/openspin.cpp"
 $nNameBufferLength=$add; //@line 700 "SpinSource/openspin.cpp"
 var $2=$nNameBufferLength; //@line 701 "SpinSource/openspin.cpp"
 var $3=($2|0)<0; //@line 701 "SpinSource/openspin.cpp"
 var $4=($3?-1:$2); //@line 701 "SpinSource/openspin.cpp"
 var $call1=__Znaj($4); //@line 701 "SpinSource/openspin.cpp"
 var $5=((((HEAPU8[(16464)])|(HEAPU8[(16465)]<<8)|(HEAPU8[(16466)]<<16)|(HEAPU8[(16467)]<<24))|0)); //@line 701 "SpinSource/openspin.cpp"
 var $arrayidx=((16488+((($5)*(12))&-1))|0); //@line 701 "SpinSource/openspin.cpp"
 var $ObjFilename=(($arrayidx)|0); //@line 701 "SpinSource/openspin.cpp"
 tempBigInt=$call1;HEAP8[($ObjFilename)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($ObjFilename)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($ObjFilename)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($ObjFilename)+(3))|0)]=tempBigInt&0xff; //@line 701 "SpinSource/openspin.cpp"
 var $6=((((HEAPU8[(16464)])|(HEAPU8[(16465)]<<8)|(HEAPU8[(16466)]<<16)|(HEAPU8[(16467)]<<24))|0)); //@line 702 "SpinSource/openspin.cpp"
 var $arrayidx2=((16488+((($6)*(12))&-1))|0); //@line 702 "SpinSource/openspin.cpp"
 var $ObjFilename3=(($arrayidx2)|0); //@line 702 "SpinSource/openspin.cpp"
 var $7=((((HEAPU8[($ObjFilename3)])|(HEAPU8[((($ObjFilename3)+(1))|0)]<<8)|(HEAPU8[((($ObjFilename3)+(2))|0)]<<16)|(HEAPU8[((($ObjFilename3)+(3))|0)]<<24))|0)); //@line 702 "SpinSource/openspin.cpp"
 var $8=$name_addr; //@line 702 "SpinSource/openspin.cpp"
 var $call4=_strcpy($7,$8); //@line 702 "SpinSource/openspin.cpp"
 var $9=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 703 "SpinSource/openspin.cpp"
 var $obj_ptr=(($9+16777264)|0); //@line 703 "SpinSource/openspin.cpp"
 var $10=((((HEAPU8[($obj_ptr)])|(HEAPU8[((($obj_ptr)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr)+(3))|0)]<<24))|0)); //@line 703 "SpinSource/openspin.cpp"
 var $11=((((HEAPU8[(16464)])|(HEAPU8[(16465)]<<8)|(HEAPU8[(16466)]<<16)|(HEAPU8[(16467)]<<24))|0)); //@line 703 "SpinSource/openspin.cpp"
 var $arrayidx5=((16488+((($11)*(12))&-1))|0); //@line 703 "SpinSource/openspin.cpp"
 var $ObjSize=(($arrayidx5+8)|0); //@line 703 "SpinSource/openspin.cpp"
 tempBigInt=$10;HEAP8[($ObjSize)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($ObjSize)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($ObjSize)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($ObjSize)+(3))|0)]=tempBigInt&0xff; //@line 703 "SpinSource/openspin.cpp"
 var $12=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 704 "SpinSource/openspin.cpp"
 var $obj_ptr6=(($12+16777264)|0); //@line 704 "SpinSource/openspin.cpp"
 var $13=((((HEAPU8[($obj_ptr6)])|(HEAPU8[((($obj_ptr6)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr6)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr6)+(3))|0)]<<24))|0)); //@line 704 "SpinSource/openspin.cpp"
 var $14=($13|0)<0; //@line 704 "SpinSource/openspin.cpp"
 var $15=($14?-1:$13); //@line 704 "SpinSource/openspin.cpp"
 var $call7=__Znaj($15); //@line 704 "SpinSource/openspin.cpp"
 var $16=((((HEAPU8[(16464)])|(HEAPU8[(16465)]<<8)|(HEAPU8[(16466)]<<16)|(HEAPU8[(16467)]<<24))|0)); //@line 704 "SpinSource/openspin.cpp"
 var $arrayidx8=((16488+((($16)*(12))&-1))|0); //@line 704 "SpinSource/openspin.cpp"
 var $Obj=(($arrayidx8+4)|0); //@line 704 "SpinSource/openspin.cpp"
 tempBigInt=$call7;HEAP8[($Obj)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($Obj)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($Obj)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($Obj)+(3))|0)]=tempBigInt&0xff; //@line 704 "SpinSource/openspin.cpp"
 var $17=((((HEAPU8[(16464)])|(HEAPU8[(16465)]<<8)|(HEAPU8[(16466)]<<16)|(HEAPU8[(16467)]<<24))|0)); //@line 705 "SpinSource/openspin.cpp"
 var $arrayidx9=((16488+((($17)*(12))&-1))|0); //@line 705 "SpinSource/openspin.cpp"
 var $Obj10=(($arrayidx9+4)|0); //@line 705 "SpinSource/openspin.cpp"
 var $18=((((HEAPU8[($Obj10)])|(HEAPU8[((($Obj10)+(1))|0)]<<8)|(HEAPU8[((($Obj10)+(2))|0)]<<16)|(HEAPU8[((($Obj10)+(3))|0)]<<24))|0)); //@line 705 "SpinSource/openspin.cpp"
 var $19=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 705 "SpinSource/openspin.cpp"
 var $obj=(($19+48)|0); //@line 705 "SpinSource/openspin.cpp"
 var $arrayidx11=(($obj)|0); //@line 705 "SpinSource/openspin.cpp"
 var $20=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 705 "SpinSource/openspin.cpp"
 var $obj_ptr12=(($20+16777264)|0); //@line 705 "SpinSource/openspin.cpp"
 var $21=((((HEAPU8[($obj_ptr12)])|(HEAPU8[((($obj_ptr12)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr12)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr12)+(3))|0)]<<24))|0)); //@line 705 "SpinSource/openspin.cpp"
 assert($21 % 1 === 0);(_memcpy($18, $arrayidx11, $21)|0); //@line 705 "SpinSource/openspin.cpp"
 var $22=((((HEAPU8[(16464)])|(HEAPU8[(16465)]<<8)|(HEAPU8[(16466)]<<16)|(HEAPU8[(16467)]<<24))|0)); //@line 706 "SpinSource/openspin.cpp"
 var $inc=((($22)+(1))|0); //@line 706 "SpinSource/openspin.cpp"
 tempBigInt=$inc;HEAP8[(16464)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(16465)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(16466)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(16467)]=tempBigInt&0xff; //@line 706 "SpinSource/openspin.cpp"
 $retval=1; //@line 707 "SpinSource/openspin.cpp"
 label=4;break; //@line 707 "SpinSource/openspin.cpp"
 case 3: 
 $retval=0; //@line 709 "SpinSource/openspin.cpp"
 label=4;break; //@line 709 "SpinSource/openspin.cpp"
 case 4: 
 var $23=$retval; //@line 710 "SpinSource/openspin.cpp"
 STACKTOP=sp;return $23; //@line 710 "SpinSource/openspin.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z19IndexOfObjectInHeapPc($name){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $name_addr;
 var $i;
 $name_addr=$name;
 var $0=((((HEAPU8[(16464)])|(HEAPU8[(16465)]<<8)|(HEAPU8[(16466)]<<16)|(HEAPU8[(16467)]<<24))|0)); //@line 715 "SpinSource/openspin.cpp"
 var $sub=((($0)-(1))|0); //@line 715 "SpinSource/openspin.cpp"
 $i=$sub; //@line 715 "SpinSource/openspin.cpp"
 label=2;break; //@line 715 "SpinSource/openspin.cpp"
 case 2: 
 var $1=$i; //@line 715 "SpinSource/openspin.cpp"
 var $cmp=($1|0)>=0; //@line 715 "SpinSource/openspin.cpp"
 if($cmp){label=3;break;}else{label=7;break;} //@line 715 "SpinSource/openspin.cpp"
 case 3: 
 var $2=$i; //@line 717 "SpinSource/openspin.cpp"
 var $arrayidx=((16488+((($2)*(12))&-1))|0); //@line 717 "SpinSource/openspin.cpp"
 var $ObjFilename=(($arrayidx)|0); //@line 717 "SpinSource/openspin.cpp"
 var $3=((((HEAPU8[($ObjFilename)])|(HEAPU8[((($ObjFilename)+(1))|0)]<<8)|(HEAPU8[((($ObjFilename)+(2))|0)]<<16)|(HEAPU8[((($ObjFilename)+(3))|0)]<<24))|0)); //@line 717 "SpinSource/openspin.cpp"
 var $4=$name_addr; //@line 717 "SpinSource/openspin.cpp"
 var $call=_strcasecmp($3,$4); //@line 717 "SpinSource/openspin.cpp"
 var $cmp1=($call|0)==0; //@line 717 "SpinSource/openspin.cpp"
 if($cmp1){label=4;break;}else{label=5;break;} //@line 717 "SpinSource/openspin.cpp"
 case 4: 
 var $5=$i; //@line 719 "SpinSource/openspin.cpp"
 $retval=$5; //@line 719 "SpinSource/openspin.cpp"
 label=8;break; //@line 719 "SpinSource/openspin.cpp"
 case 5: 
 label=6;break; //@line 721 "SpinSource/openspin.cpp"
 case 6: 
 var $6=$i; //@line 715 "SpinSource/openspin.cpp"
 var $dec=((($6)-(1))|0); //@line 715 "SpinSource/openspin.cpp"
 $i=$dec; //@line 715 "SpinSource/openspin.cpp"
 label=2;break; //@line 715 "SpinSource/openspin.cpp"
 case 7: 
 $retval=-1; //@line 722 "SpinSource/openspin.cpp"
 label=8;break; //@line 722 "SpinSource/openspin.cpp"
 case 8: 
 var $7=$retval; //@line 723 "SpinSource/openspin.cpp"
 STACKTOP=sp;return $7; //@line 723 "SpinSource/openspin.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z16CompileSubObjectPcbb($pFileName,$bQuiet,$bFileTreeOutputOnly){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $pFileName_addr;
 var $bQuiet_addr;
 var $bFileTreeOutputOnly_addr;
 $pFileName_addr=$pFileName;
 var $frombool=($bQuiet&1);
 $bQuiet_addr=$frombool;
 var $frombool1=($bFileTreeOutputOnly&1);
 $bFileTreeOutputOnly_addr=$frombool1;
 var $0=$pFileName_addr; //@line 740 "SpinSource/openspin.cpp"
 var $1=$bQuiet_addr; //@line 740 "SpinSource/openspin.cpp"
 var $tobool=(($1)&1); //@line 740 "SpinSource/openspin.cpp"
 var $2=$bFileTreeOutputOnly_addr; //@line 740 "SpinSource/openspin.cpp"
 var $tobool2=(($2)&1); //@line 740 "SpinSource/openspin.cpp"
 var $call=__Z18CompileRecursivelyPcbb($0,$tobool,$tobool2); //@line 740 "SpinSource/openspin.cpp"
 STACKTOP=sp;return $call; //@line 740 "SpinSource/openspin.cpp"
}


function __Z7GetDataPhPci($pDest,$pFileName,$nMaxSize){
 var label=0;
 var tempVarArgs=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $pDest_addr;
 var $pFileName_addr;
 var $nMaxSize_addr;
 var $nBytesRead;
 var $pFile;
 $pDest_addr=$pDest;
 $pFileName_addr=$pFileName;
 $nMaxSize_addr=$nMaxSize;
 $nBytesRead=0; //@line 745 "SpinSource/openspin.cpp"
 var $0=$pFileName_addr; //@line 746 "SpinSource/openspin.cpp"
 var $call=__Z14OpenFileInPathPKcS0_($0,6528); //@line 746 "SpinSource/openspin.cpp"
 $pFile=$call; //@line 746 "SpinSource/openspin.cpp"
 var $1=$pFile; //@line 748 "SpinSource/openspin.cpp"
 var $tobool=($1|0)!=0; //@line 748 "SpinSource/openspin.cpp"
 if($tobool){label=2;break;}else{label=5;break;} //@line 748 "SpinSource/openspin.cpp"
 case 2: 
 var $2=$pDest_addr; //@line 750 "SpinSource/openspin.cpp"
 var $tobool1=($2|0)!=0; //@line 750 "SpinSource/openspin.cpp"
 if($tobool1){label=3;break;}else{label=4;break;} //@line 750 "SpinSource/openspin.cpp"
 case 3: 
 var $3=$pDest_addr; //@line 752 "SpinSource/openspin.cpp"
 var $4=$nMaxSize_addr; //@line 752 "SpinSource/openspin.cpp"
 var $5=$pFile; //@line 752 "SpinSource/openspin.cpp"
 var $call3=_fread($3,1,$4,$5); //@line 752 "SpinSource/openspin.cpp"
 $nBytesRead=$call3; //@line 752 "SpinSource/openspin.cpp"
 label=4;break; //@line 753 "SpinSource/openspin.cpp"
 case 4: 
 var $6=$pFile; //@line 754 "SpinSource/openspin.cpp"
 var $call4=_fclose($6); //@line 754 "SpinSource/openspin.cpp"
 label=6;break; //@line 755 "SpinSource/openspin.cpp"
 case 5: 
 var $7=$pFileName_addr; //@line 758 "SpinSource/openspin.cpp"
 var $call5=_printf(6312,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 8)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=$7,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 758 "SpinSource/openspin.cpp"
 $retval=-1; //@line 759 "SpinSource/openspin.cpp"
 label=7;break; //@line 759 "SpinSource/openspin.cpp"
 case 6: 
 var $8=$nBytesRead; //@line 762 "SpinSource/openspin.cpp"
 $retval=$8; //@line 762 "SpinSource/openspin.cpp"
 label=7;break; //@line 762 "SpinSource/openspin.cpp"
 case 7: 
 var $9=$retval; //@line 763 "SpinSource/openspin.cpp"
 STACKTOP=sp;return $9; //@line 763 "SpinSource/openspin.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z10DecodeUtf8PKcRi($pBuffer,$nCharSize){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $pBuffer_addr;
 var $nCharSize_addr;
 var $nChar;
 $pBuffer_addr=$pBuffer;
 $nCharSize_addr=$nCharSize;
 var $0=$pBuffer_addr; //@line 767 "SpinSource/openspin.cpp"
 var $1=HEAP8[($0)]; //@line 767 "SpinSource/openspin.cpp"
 var $conv=($1&255); //@line 767 "SpinSource/openspin.cpp"
 $nChar=$conv; //@line 767 "SpinSource/openspin.cpp"
 var $2=$nChar; //@line 768 "SpinSource/openspin.cpp"
 var $cmp=($2>>>0)<128; //@line 768 "SpinSource/openspin.cpp"
 if($cmp){label=2;break;}else{label=3;break;} //@line 768 "SpinSource/openspin.cpp"
 case 2: 
 var $3=$nCharSize_addr; //@line 770 "SpinSource/openspin.cpp"
 tempBigInt=1;HEAP8[($3)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($3)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($3)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($3)+(3))|0)]=tempBigInt&0xff; //@line 770 "SpinSource/openspin.cpp"
 label=23;break; //@line 771 "SpinSource/openspin.cpp"
 case 3: 
 var $4=$nChar; //@line 772 "SpinSource/openspin.cpp"
 var $cmp1=($4>>>0)>=192; //@line 772 "SpinSource/openspin.cpp"
 if($cmp1){label=4;break;}else{label=6;break;} //@line 772 "SpinSource/openspin.cpp"
 case 4: 
 var $5=$nChar; //@line 772 "SpinSource/openspin.cpp"
 var $cmp2=($5>>>0)<=223; //@line 772 "SpinSource/openspin.cpp"
 if($cmp2){label=5;break;}else{label=6;break;} //@line 772 "SpinSource/openspin.cpp"
 case 5: 
 var $6=$nCharSize_addr; //@line 775 "SpinSource/openspin.cpp"
 tempBigInt=2;HEAP8[($6)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($6)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($6)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($6)+(3))|0)]=tempBigInt&0xff; //@line 775 "SpinSource/openspin.cpp"
 var $7=$nChar; //@line 776 "SpinSource/openspin.cpp"
 var $and=$7&31; //@line 776 "SpinSource/openspin.cpp"
 var $shl=$and<<6; //@line 776 "SpinSource/openspin.cpp"
 var $8=$pBuffer_addr; //@line 776 "SpinSource/openspin.cpp"
 var $arrayidx=(($8+1)|0); //@line 776 "SpinSource/openspin.cpp"
 var $9=HEAP8[($arrayidx)]; //@line 776 "SpinSource/openspin.cpp"
 var $conv4=(($9<<24)>>24); //@line 776 "SpinSource/openspin.cpp"
 var $and5=$conv4&63; //@line 776 "SpinSource/openspin.cpp"
 var $or=$shl|$and5; //@line 776 "SpinSource/openspin.cpp"
 $nChar=$or; //@line 776 "SpinSource/openspin.cpp"
 label=22;break; //@line 777 "SpinSource/openspin.cpp"
 case 6: 
 var $10=$nChar; //@line 778 "SpinSource/openspin.cpp"
 var $cmp7=($10>>>0)>=224; //@line 778 "SpinSource/openspin.cpp"
 if($cmp7){label=7;break;}else{label=9;break;} //@line 778 "SpinSource/openspin.cpp"
 case 7: 
 var $11=$nChar; //@line 778 "SpinSource/openspin.cpp"
 var $cmp9=($11>>>0)<=239; //@line 778 "SpinSource/openspin.cpp"
 if($cmp9){label=8;break;}else{label=9;break;} //@line 778 "SpinSource/openspin.cpp"
 case 8: 
 var $12=$nCharSize_addr; //@line 781 "SpinSource/openspin.cpp"
 tempBigInt=3;HEAP8[($12)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($12)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($12)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($12)+(3))|0)]=tempBigInt&0xff; //@line 781 "SpinSource/openspin.cpp"
 var $13=$nChar; //@line 782 "SpinSource/openspin.cpp"
 var $and11=$13&15; //@line 782 "SpinSource/openspin.cpp"
 var $shl12=$and11<<12; //@line 782 "SpinSource/openspin.cpp"
 var $14=$pBuffer_addr; //@line 782 "SpinSource/openspin.cpp"
 var $arrayidx13=(($14+1)|0); //@line 782 "SpinSource/openspin.cpp"
 var $15=HEAP8[($arrayidx13)]; //@line 782 "SpinSource/openspin.cpp"
 var $conv14=(($15<<24)>>24); //@line 782 "SpinSource/openspin.cpp"
 var $and15=$conv14&63; //@line 782 "SpinSource/openspin.cpp"
 var $shl16=$and15<<6; //@line 782 "SpinSource/openspin.cpp"
 var $or17=$shl12|$shl16; //@line 782 "SpinSource/openspin.cpp"
 var $16=$pBuffer_addr; //@line 782 "SpinSource/openspin.cpp"
 var $arrayidx18=(($16+2)|0); //@line 782 "SpinSource/openspin.cpp"
 var $17=HEAP8[($arrayidx18)]; //@line 782 "SpinSource/openspin.cpp"
 var $conv19=(($17<<24)>>24); //@line 782 "SpinSource/openspin.cpp"
 var $and20=$conv19&63; //@line 782 "SpinSource/openspin.cpp"
 var $or21=$or17|$and20; //@line 782 "SpinSource/openspin.cpp"
 $nChar=$or21; //@line 782 "SpinSource/openspin.cpp"
 label=21;break; //@line 783 "SpinSource/openspin.cpp"
 case 9: 
 var $18=$nChar; //@line 784 "SpinSource/openspin.cpp"
 var $cmp23=($18>>>0)>=240; //@line 784 "SpinSource/openspin.cpp"
 if($cmp23){label=10;break;}else{label=12;break;} //@line 784 "SpinSource/openspin.cpp"
 case 10: 
 var $19=$nChar; //@line 784 "SpinSource/openspin.cpp"
 var $cmp25=($19>>>0)<=247; //@line 784 "SpinSource/openspin.cpp"
 if($cmp25){label=11;break;}else{label=12;break;} //@line 784 "SpinSource/openspin.cpp"
 case 11: 
 var $20=$nCharSize_addr; //@line 787 "SpinSource/openspin.cpp"
 tempBigInt=4;HEAP8[($20)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($20)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($20)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($20)+(3))|0)]=tempBigInt&0xff; //@line 787 "SpinSource/openspin.cpp"
 var $21=$nChar; //@line 788 "SpinSource/openspin.cpp"
 var $and27=$21&7; //@line 788 "SpinSource/openspin.cpp"
 var $shl28=$and27<<18; //@line 788 "SpinSource/openspin.cpp"
 var $22=$pBuffer_addr; //@line 788 "SpinSource/openspin.cpp"
 var $arrayidx29=(($22+1)|0); //@line 788 "SpinSource/openspin.cpp"
 var $23=HEAP8[($arrayidx29)]; //@line 788 "SpinSource/openspin.cpp"
 var $conv30=(($23<<24)>>24); //@line 788 "SpinSource/openspin.cpp"
 var $and31=$conv30&63; //@line 788 "SpinSource/openspin.cpp"
 var $shl32=$and31<<12; //@line 788 "SpinSource/openspin.cpp"
 var $or33=$shl28|$shl32; //@line 788 "SpinSource/openspin.cpp"
 var $24=$pBuffer_addr; //@line 788 "SpinSource/openspin.cpp"
 var $arrayidx34=(($24+2)|0); //@line 788 "SpinSource/openspin.cpp"
 var $25=HEAP8[($arrayidx34)]; //@line 788 "SpinSource/openspin.cpp"
 var $conv35=(($25<<24)>>24); //@line 788 "SpinSource/openspin.cpp"
 var $and36=$conv35&63; //@line 788 "SpinSource/openspin.cpp"
 var $shl37=$and36<<6; //@line 788 "SpinSource/openspin.cpp"
 var $or38=$or33|$shl37; //@line 788 "SpinSource/openspin.cpp"
 var $26=$pBuffer_addr; //@line 788 "SpinSource/openspin.cpp"
 var $arrayidx39=(($26+3)|0); //@line 788 "SpinSource/openspin.cpp"
 var $27=HEAP8[($arrayidx39)]; //@line 788 "SpinSource/openspin.cpp"
 var $conv40=(($27<<24)>>24); //@line 788 "SpinSource/openspin.cpp"
 var $and41=$conv40&63; //@line 788 "SpinSource/openspin.cpp"
 var $or42=$or38|$and41; //@line 788 "SpinSource/openspin.cpp"
 $nChar=$or42; //@line 788 "SpinSource/openspin.cpp"
 label=20;break; //@line 789 "SpinSource/openspin.cpp"
 case 12: 
 var $28=$nChar; //@line 790 "SpinSource/openspin.cpp"
 var $cmp44=($28>>>0)>=248; //@line 790 "SpinSource/openspin.cpp"
 if($cmp44){label=13;break;}else{label=15;break;} //@line 790 "SpinSource/openspin.cpp"
 case 13: 
 var $29=$nChar; //@line 790 "SpinSource/openspin.cpp"
 var $cmp46=($29>>>0)<=251; //@line 790 "SpinSource/openspin.cpp"
 if($cmp46){label=14;break;}else{label=15;break;} //@line 790 "SpinSource/openspin.cpp"
 case 14: 
 var $30=$nCharSize_addr; //@line 793 "SpinSource/openspin.cpp"
 tempBigInt=5;HEAP8[($30)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($30)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($30)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($30)+(3))|0)]=tempBigInt&0xff; //@line 793 "SpinSource/openspin.cpp"
 var $31=$nChar; //@line 794 "SpinSource/openspin.cpp"
 var $and48=$31&3; //@line 794 "SpinSource/openspin.cpp"
 var $shl49=$and48<<24; //@line 794 "SpinSource/openspin.cpp"
 var $32=$pBuffer_addr; //@line 794 "SpinSource/openspin.cpp"
 var $arrayidx50=(($32+1)|0); //@line 794 "SpinSource/openspin.cpp"
 var $33=HEAP8[($arrayidx50)]; //@line 794 "SpinSource/openspin.cpp"
 var $conv51=(($33<<24)>>24); //@line 794 "SpinSource/openspin.cpp"
 var $and52=$conv51&63; //@line 794 "SpinSource/openspin.cpp"
 var $shl53=$and52<<18; //@line 794 "SpinSource/openspin.cpp"
 var $or54=$shl49|$shl53; //@line 794 "SpinSource/openspin.cpp"
 var $34=$pBuffer_addr; //@line 794 "SpinSource/openspin.cpp"
 var $arrayidx55=(($34+2)|0); //@line 794 "SpinSource/openspin.cpp"
 var $35=HEAP8[($arrayidx55)]; //@line 794 "SpinSource/openspin.cpp"
 var $conv56=(($35<<24)>>24); //@line 794 "SpinSource/openspin.cpp"
 var $and57=$conv56&63; //@line 794 "SpinSource/openspin.cpp"
 var $shl58=$and57<<12; //@line 794 "SpinSource/openspin.cpp"
 var $or59=$or54|$shl58; //@line 794 "SpinSource/openspin.cpp"
 var $36=$pBuffer_addr; //@line 794 "SpinSource/openspin.cpp"
 var $arrayidx60=(($36+3)|0); //@line 794 "SpinSource/openspin.cpp"
 var $37=HEAP8[($arrayidx60)]; //@line 794 "SpinSource/openspin.cpp"
 var $conv61=(($37<<24)>>24); //@line 794 "SpinSource/openspin.cpp"
 var $and62=$conv61&63; //@line 794 "SpinSource/openspin.cpp"
 var $shl63=$and62<<6; //@line 794 "SpinSource/openspin.cpp"
 var $or64=$or59|$shl63; //@line 794 "SpinSource/openspin.cpp"
 var $38=$pBuffer_addr; //@line 794 "SpinSource/openspin.cpp"
 var $arrayidx65=(($38+4)|0); //@line 794 "SpinSource/openspin.cpp"
 var $39=HEAP8[($arrayidx65)]; //@line 794 "SpinSource/openspin.cpp"
 var $conv66=(($39<<24)>>24); //@line 794 "SpinSource/openspin.cpp"
 var $and67=$conv66&63; //@line 794 "SpinSource/openspin.cpp"
 var $or68=$or64|$and67; //@line 794 "SpinSource/openspin.cpp"
 $nChar=$or68; //@line 794 "SpinSource/openspin.cpp"
 label=19;break; //@line 795 "SpinSource/openspin.cpp"
 case 15: 
 var $40=$nChar; //@line 796 "SpinSource/openspin.cpp"
 var $cmp70=($40>>>0)>=252; //@line 796 "SpinSource/openspin.cpp"
 if($cmp70){label=16;break;}else{label=18;break;} //@line 796 "SpinSource/openspin.cpp"
 case 16: 
 var $41=$nChar; //@line 796 "SpinSource/openspin.cpp"
 var $cmp72=($41>>>0)<=253; //@line 796 "SpinSource/openspin.cpp"
 if($cmp72){label=17;break;}else{label=18;break;} //@line 796 "SpinSource/openspin.cpp"
 case 17: 
 var $42=$nCharSize_addr; //@line 799 "SpinSource/openspin.cpp"
 tempBigInt=6;HEAP8[($42)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($42)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($42)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($42)+(3))|0)]=tempBigInt&0xff; //@line 799 "SpinSource/openspin.cpp"
 var $43=$nChar; //@line 800 "SpinSource/openspin.cpp"
 var $and74=$43&1; //@line 800 "SpinSource/openspin.cpp"
 var $shl75=$and74<<30; //@line 800 "SpinSource/openspin.cpp"
 var $44=$pBuffer_addr; //@line 800 "SpinSource/openspin.cpp"
 var $arrayidx76=(($44+1)|0); //@line 800 "SpinSource/openspin.cpp"
 var $45=HEAP8[($arrayidx76)]; //@line 800 "SpinSource/openspin.cpp"
 var $conv77=(($45<<24)>>24); //@line 800 "SpinSource/openspin.cpp"
 var $and78=$conv77&63; //@line 800 "SpinSource/openspin.cpp"
 var $shl79=$and78<<24; //@line 800 "SpinSource/openspin.cpp"
 var $or80=$shl75|$shl79; //@line 800 "SpinSource/openspin.cpp"
 var $46=$pBuffer_addr; //@line 800 "SpinSource/openspin.cpp"
 var $arrayidx81=(($46+2)|0); //@line 800 "SpinSource/openspin.cpp"
 var $47=HEAP8[($arrayidx81)]; //@line 800 "SpinSource/openspin.cpp"
 var $conv82=(($47<<24)>>24); //@line 800 "SpinSource/openspin.cpp"
 var $and83=$conv82&63; //@line 800 "SpinSource/openspin.cpp"
 var $shl84=$and83<<18; //@line 800 "SpinSource/openspin.cpp"
 var $or85=$or80|$shl84; //@line 800 "SpinSource/openspin.cpp"
 var $48=$pBuffer_addr; //@line 800 "SpinSource/openspin.cpp"
 var $arrayidx86=(($48+3)|0); //@line 800 "SpinSource/openspin.cpp"
 var $49=HEAP8[($arrayidx86)]; //@line 800 "SpinSource/openspin.cpp"
 var $conv87=(($49<<24)>>24); //@line 800 "SpinSource/openspin.cpp"
 var $and88=$conv87&63; //@line 800 "SpinSource/openspin.cpp"
 var $shl89=$and88<<12; //@line 800 "SpinSource/openspin.cpp"
 var $or90=$or85|$shl89; //@line 800 "SpinSource/openspin.cpp"
 var $50=$pBuffer_addr; //@line 800 "SpinSource/openspin.cpp"
 var $arrayidx91=(($50+4)|0); //@line 800 "SpinSource/openspin.cpp"
 var $51=HEAP8[($arrayidx91)]; //@line 800 "SpinSource/openspin.cpp"
 var $conv92=(($51<<24)>>24); //@line 800 "SpinSource/openspin.cpp"
 var $and93=$conv92&63; //@line 800 "SpinSource/openspin.cpp"
 var $shl94=$and93<<6; //@line 800 "SpinSource/openspin.cpp"
 var $or95=$or90|$shl94; //@line 800 "SpinSource/openspin.cpp"
 var $52=$pBuffer_addr; //@line 800 "SpinSource/openspin.cpp"
 var $arrayidx96=(($52+5)|0); //@line 800 "SpinSource/openspin.cpp"
 var $53=HEAP8[($arrayidx96)]; //@line 800 "SpinSource/openspin.cpp"
 var $conv97=(($53<<24)>>24); //@line 800 "SpinSource/openspin.cpp"
 var $and98=$conv97&63; //@line 800 "SpinSource/openspin.cpp"
 var $or99=$or95|$and98; //@line 800 "SpinSource/openspin.cpp"
 $nChar=$or99; //@line 800 "SpinSource/openspin.cpp"
 label=18;break; //@line 801 "SpinSource/openspin.cpp"
 case 18: 
 label=19;break;
 case 19: 
 label=20;break;
 case 20: 
 label=21;break;
 case 21: 
 label=22;break;
 case 22: 
 label=23;break;
 case 23: 
 var $54=$nChar; //@line 803 "SpinSource/openspin.cpp"
 STACKTOP=sp;return $54; //@line 803 "SpinSource/openspin.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z15UnicodeToPASCIIPciS_($pBuffer,$nBufferLength,$pPASCIIBuffer){
 var label=0;
 var tempVarArgs=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+2056)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $pBuffer_addr;
 var $nBufferLength_addr;
 var $pPASCIIBuffer_addr;
 var $aCharTxMap=sp;
 var $bUnicode;
 var $bUtf8;
 var $nSourceOffset;
 var $nDestOffset;
 var $nPrevChar;
 var $nCharSize=(sp)+(2048);
 var $nChar;
 var $nSourceOffset71;
 var $nDestOffset72;
 var $nChar76;
 $pBuffer_addr=$pBuffer;
 $nBufferLength_addr=$nBufferLength;
 $pPASCIIBuffer_addr=$pPASCIIBuffer;
 var $0=$aCharTxMap; //@line 858 "SpinSource/openspin.cpp"
 assert(2048 % 1 === 0);(_memcpy($0, 9888, 2048)|0); //@line 858 "SpinSource/openspin.cpp"
 $bUnicode=0; //@line 927 "SpinSource/openspin.cpp"
 $bUtf8=0; //@line 928 "SpinSource/openspin.cpp"
 var $1=HEAP8[(16472)]; //@line 929 "SpinSource/openspin.cpp"
 var $tobool=(($1)&1); //@line 929 "SpinSource/openspin.cpp"
 if($tobool){label=2;break;}else{label=3;break;} //@line 929 "SpinSource/openspin.cpp"
 case 2: 
 $bUnicode=1; //@line 932 "SpinSource/openspin.cpp"
 $bUtf8=1; //@line 933 "SpinSource/openspin.cpp"
 label=19;break; //@line 934 "SpinSource/openspin.cpp"
 case 3: 
 var $2=$pBuffer_addr; //@line 935 "SpinSource/openspin.cpp"
 var $arrayidx=(($2)|0); //@line 935 "SpinSource/openspin.cpp"
 var $3=$arrayidx; //@line 935 "SpinSource/openspin.cpp"
 var $4=(((((HEAPU8[($3)])|(HEAPU8[((($3)+(1))|0)]<<8))<<16)>>16)); //@line 935 "SpinSource/openspin.cpp"
 var $conv=(($4<<16)>>16); //@line 935 "SpinSource/openspin.cpp"
 var $cmp=($conv|0)==-257; //@line 935 "SpinSource/openspin.cpp"
 if($cmp){label=4;break;}else{label=5;break;} //@line 935 "SpinSource/openspin.cpp"
 case 4: 
 $bUnicode=1; //@line 937 "SpinSource/openspin.cpp"
 label=18;break; //@line 938 "SpinSource/openspin.cpp"
 case 5: 
 var $5=$pBuffer_addr; //@line 939 "SpinSource/openspin.cpp"
 var $arrayidx3=(($5)|0); //@line 939 "SpinSource/openspin.cpp"
 var $6=$arrayidx3; //@line 939 "SpinSource/openspin.cpp"
 var $7=(((((HEAPU8[($6)])|(HEAPU8[((($6)+(1))|0)]<<8))<<16)>>16)); //@line 939 "SpinSource/openspin.cpp"
 var $conv4=(($7<<16)>>16); //@line 939 "SpinSource/openspin.cpp"
 var $cmp5=($conv4|0)==-2; //@line 939 "SpinSource/openspin.cpp"
 if($cmp5){label=6;break;}else{label=7;break;} //@line 939 "SpinSource/openspin.cpp"
 case 6: 
 var $call=_printf(6096,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 1)|0,STACKTOP = (((STACKTOP)+7)&-8),(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=0,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 942 "SpinSource/openspin.cpp"
 _exit(-1); //@line 943 "SpinSource/openspin.cpp"
 throw "Reached an unreachable!"; //@line 943 "SpinSource/openspin.cpp"
 case 7: 
 var $8=$nBufferLength_addr; //@line 945 "SpinSource/openspin.cpp"
 var $cmp8=($8|0)>2; //@line 945 "SpinSource/openspin.cpp"
 if($cmp8){label=8;break;}else{label=10;break;} //@line 945 "SpinSource/openspin.cpp"
 case 8: 
 var $9=$pBuffer_addr; //@line 945 "SpinSource/openspin.cpp"
 var $arrayidx9=(($9+1)|0); //@line 945 "SpinSource/openspin.cpp"
 var $10=HEAP8[($arrayidx9)]; //@line 945 "SpinSource/openspin.cpp"
 var $conv10=(($10<<24)>>24); //@line 945 "SpinSource/openspin.cpp"
 var $cmp11=($conv10|0)==0; //@line 945 "SpinSource/openspin.cpp"
 if($cmp11){label=9;break;}else{label=10;break;} //@line 945 "SpinSource/openspin.cpp"
 case 9: 
 $bUnicode=1; //@line 947 "SpinSource/openspin.cpp"
 label=16;break; //@line 948 "SpinSource/openspin.cpp"
 case 10: 
 var $11=$nBufferLength_addr; //@line 949 "SpinSource/openspin.cpp"
 var $cmp14=($11|0)>2; //@line 949 "SpinSource/openspin.cpp"
 if($cmp14){label=11;break;}else{label=15;break;} //@line 949 "SpinSource/openspin.cpp"
 case 11: 
 var $12=$pBuffer_addr; //@line 949 "SpinSource/openspin.cpp"
 var $arrayidx16=(($12)|0); //@line 949 "SpinSource/openspin.cpp"
 var $13=HEAP8[($arrayidx16)]; //@line 949 "SpinSource/openspin.cpp"
 var $conv17=($13&255); //@line 949 "SpinSource/openspin.cpp"
 var $cmp18=($conv17|0)==239; //@line 949 "SpinSource/openspin.cpp"
 if($cmp18){label=12;break;}else{label=15;break;} //@line 949 "SpinSource/openspin.cpp"
 case 12: 
 var $14=$pBuffer_addr; //@line 949 "SpinSource/openspin.cpp"
 var $arrayidx20=(($14+1)|0); //@line 949 "SpinSource/openspin.cpp"
 var $15=HEAP8[($arrayidx20)]; //@line 949 "SpinSource/openspin.cpp"
 var $conv21=($15&255); //@line 949 "SpinSource/openspin.cpp"
 var $cmp22=($conv21|0)==187; //@line 949 "SpinSource/openspin.cpp"
 if($cmp22){label=13;break;}else{label=15;break;} //@line 949 "SpinSource/openspin.cpp"
 case 13: 
 var $16=$pBuffer_addr; //@line 949 "SpinSource/openspin.cpp"
 var $arrayidx24=(($16+2)|0); //@line 949 "SpinSource/openspin.cpp"
 var $17=HEAP8[($arrayidx24)]; //@line 949 "SpinSource/openspin.cpp"
 var $conv25=($17&255); //@line 949 "SpinSource/openspin.cpp"
 var $cmp26=($conv25|0)==191; //@line 949 "SpinSource/openspin.cpp"
 if($cmp26){label=14;break;}else{label=15;break;} //@line 949 "SpinSource/openspin.cpp"
 case 14: 
 $bUnicode=1; //@line 951 "SpinSource/openspin.cpp"
 $bUtf8=1; //@line 952 "SpinSource/openspin.cpp"
 label=15;break; //@line 953 "SpinSource/openspin.cpp"
 case 15: 
 label=16;break;
 case 16: 
 label=17;break;
 case 17: 
 label=18;break;
 case 18: 
 label=19;break;
 case 19: 
 var $18=$bUnicode; //@line 958 "SpinSource/openspin.cpp"
 var $tobool32=(($18)&1); //@line 958 "SpinSource/openspin.cpp"
 if($tobool32){label=20;break;}else{label=36;break;} //@line 958 "SpinSource/openspin.cpp"
 case 20: 
 $nSourceOffset=0; //@line 961 "SpinSource/openspin.cpp"
 $nDestOffset=0; //@line 962 "SpinSource/openspin.cpp"
 $nPrevChar=0; //@line 963 "SpinSource/openspin.cpp"
 label=21;break; //@line 964 "SpinSource/openspin.cpp"
 case 21: 
 var $19=$nSourceOffset; //@line 964 "SpinSource/openspin.cpp"
 var $20=$nBufferLength_addr; //@line 964 "SpinSource/openspin.cpp"
 var $cmp34=($19|0)<($20|0); //@line 964 "SpinSource/openspin.cpp"
 if($cmp34){label=22;break;}else{label=35;break;} //@line 964 "SpinSource/openspin.cpp"
 case 22: 
 tempBigInt=2;HEAP8[($nCharSize)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($nCharSize)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($nCharSize)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($nCharSize)+(3))|0)]=tempBigInt&0xff; //@line 966 "SpinSource/openspin.cpp"
 var $21=$bUtf8; //@line 967 "SpinSource/openspin.cpp"
 var $tobool35=(($21)&1); //@line 967 "SpinSource/openspin.cpp"
 var $conv36=($tobool35&1); //@line 967 "SpinSource/openspin.cpp"
 var $cmp37=($conv36|0)==1; //@line 967 "SpinSource/openspin.cpp"
 if($cmp37){label=23;break;}else{label=24;break;} //@line 967 "SpinSource/openspin.cpp"
 case 23: 
 var $22=$nSourceOffset; //@line 967 "SpinSource/openspin.cpp"
 var $23=$pBuffer_addr; //@line 967 "SpinSource/openspin.cpp"
 var $arrayidx38=(($23+$22)|0); //@line 967 "SpinSource/openspin.cpp"
 var $call39=__Z10DecodeUtf8PKcRi($arrayidx38,$nCharSize); //@line 967 "SpinSource/openspin.cpp"
 var $conv40=(($call39)&65535); //@line 967 "SpinSource/openspin.cpp"
 var $cond=$conv40;label=25;break; //@line 967 "SpinSource/openspin.cpp"
 case 24: 
 var $24=$nSourceOffset; //@line 967 "SpinSource/openspin.cpp"
 var $25=$pBuffer_addr; //@line 967 "SpinSource/openspin.cpp"
 var $arrayidx41=(($25+$24)|0); //@line 967 "SpinSource/openspin.cpp"
 var $26=$arrayidx41; //@line 967 "SpinSource/openspin.cpp"
 var $27=(((((HEAPU8[($26)])|(HEAPU8[((($26)+(1))|0)]<<8))<<16)>>16)); //@line 967 "SpinSource/openspin.cpp"
 var $cond=$27;label=25;break; //@line 967 "SpinSource/openspin.cpp"
 case 25: 
 var $cond; //@line 967 "SpinSource/openspin.cpp"
 $nChar=$cond; //@line 967 "SpinSource/openspin.cpp"
 var $28=$nChar; //@line 968 "SpinSource/openspin.cpp"
 var $conv42=($28&65535); //@line 968 "SpinSource/openspin.cpp"
 var $cmp43=($conv42|0)!=10; //@line 968 "SpinSource/openspin.cpp"
 if($cmp43){label=26;break;}else{label=28;break;} //@line 968 "SpinSource/openspin.cpp"
 case 26: 
 var $29=$nChar; //@line 968 "SpinSource/openspin.cpp"
 var $conv45=($29&65535); //@line 968 "SpinSource/openspin.cpp"
 var $cmp46=($conv45|0)!=65279; //@line 968 "SpinSource/openspin.cpp"
 if($cmp46){label=27;break;}else{label=28;break;} //@line 968 "SpinSource/openspin.cpp"
 case 27: 
 var $30=$nChar; //@line 970 "SpinSource/openspin.cpp"
 var $conv48=($30&65535); //@line 970 "SpinSource/openspin.cpp"
 var $31=$nChar; //@line 970 "SpinSource/openspin.cpp"
 var $conv49=($31&65535); //@line 970 "SpinSource/openspin.cpp"
 var $shr=$conv49>>5; //@line 970 "SpinSource/openspin.cpp"
 var $32=$nChar; //@line 970 "SpinSource/openspin.cpp"
 var $conv50=($32&65535); //@line 970 "SpinSource/openspin.cpp"
 var $shr51=$conv50>>4; //@line 970 "SpinSource/openspin.cpp"
 var $neg=$shr51^-1; //@line 970 "SpinSource/openspin.cpp"
 var $and=$shr&$neg; //@line 970 "SpinSource/openspin.cpp"
 var $and52=$and&256; //@line 970 "SpinSource/openspin.cpp"
 var $or=$conv48|$and52; //@line 970 "SpinSource/openspin.cpp"
 var $and53=$or&2047; //@line 970 "SpinSource/openspin.cpp"
 var $arrayidx54=(($aCharTxMap+$and53)|0); //@line 970 "SpinSource/openspin.cpp"
 var $33=HEAP8[($arrayidx54)]; //@line 970 "SpinSource/openspin.cpp"
 var $34=$nDestOffset; //@line 970 "SpinSource/openspin.cpp"
 var $35=$pPASCIIBuffer_addr; //@line 970 "SpinSource/openspin.cpp"
 var $arrayidx55=(($35+$34)|0); //@line 970 "SpinSource/openspin.cpp"
 HEAP8[($arrayidx55)]=$33; //@line 970 "SpinSource/openspin.cpp"
 var $36=$nDestOffset; //@line 971 "SpinSource/openspin.cpp"
 var $inc=((($36)+(1))|0); //@line 971 "SpinSource/openspin.cpp"
 $nDestOffset=$inc; //@line 971 "SpinSource/openspin.cpp"
 label=34;break; //@line 972 "SpinSource/openspin.cpp"
 case 28: 
 var $37=$nChar; //@line 973 "SpinSource/openspin.cpp"
 var $conv57=($37&65535); //@line 973 "SpinSource/openspin.cpp"
 var $cmp58=($conv57|0)==10; //@line 973 "SpinSource/openspin.cpp"
 if($cmp58){label=29;break;}else{label=33;break;} //@line 973 "SpinSource/openspin.cpp"
 case 29: 
 var $38=$nSourceOffset; //@line 975 "SpinSource/openspin.cpp"
 var $cmp60=($38|0)==0; //@line 975 "SpinSource/openspin.cpp"
 if($cmp60){label=31;break;}else{label=30;break;} //@line 975 "SpinSource/openspin.cpp"
 case 30: 
 var $39=$nPrevChar; //@line 975 "SpinSource/openspin.cpp"
 var $conv61=($39&65535); //@line 975 "SpinSource/openspin.cpp"
 var $cmp62=($conv61|0)!=13; //@line 975 "SpinSource/openspin.cpp"
 if($cmp62){label=31;break;}else{label=32;break;} //@line 975 "SpinSource/openspin.cpp"
 case 31: 
 var $40=$nDestOffset; //@line 977 "SpinSource/openspin.cpp"
 var $41=$pPASCIIBuffer_addr; //@line 977 "SpinSource/openspin.cpp"
 var $arrayidx64=(($41+$40)|0); //@line 977 "SpinSource/openspin.cpp"
 HEAP8[($arrayidx64)]=13; //@line 977 "SpinSource/openspin.cpp"
 var $42=$nDestOffset; //@line 978 "SpinSource/openspin.cpp"
 var $inc65=((($42)+(1))|0); //@line 978 "SpinSource/openspin.cpp"
 $nDestOffset=$inc65; //@line 978 "SpinSource/openspin.cpp"
 label=32;break; //@line 979 "SpinSource/openspin.cpp"
 case 32: 
 label=33;break; //@line 980 "SpinSource/openspin.cpp"
 case 33: 
 label=34;break;
 case 34: 
 var $43=((((HEAPU8[($nCharSize)])|(HEAPU8[((($nCharSize)+(1))|0)]<<8)|(HEAPU8[((($nCharSize)+(2))|0)]<<16)|(HEAPU8[((($nCharSize)+(3))|0)]<<24))|0)); //@line 981 "SpinSource/openspin.cpp"
 var $44=$nSourceOffset; //@line 981 "SpinSource/openspin.cpp"
 var $add=((($44)+($43))|0); //@line 981 "SpinSource/openspin.cpp"
 $nSourceOffset=$add; //@line 981 "SpinSource/openspin.cpp"
 var $45=$nChar; //@line 982 "SpinSource/openspin.cpp"
 $nPrevChar=$45; //@line 982 "SpinSource/openspin.cpp"
 label=21;break; //@line 983 "SpinSource/openspin.cpp"
 case 35: 
 var $46=$nDestOffset; //@line 984 "SpinSource/openspin.cpp"
 var $47=$pPASCIIBuffer_addr; //@line 984 "SpinSource/openspin.cpp"
 var $arrayidx69=(($47+$46)|0); //@line 984 "SpinSource/openspin.cpp"
 HEAP8[($arrayidx69)]=0; //@line 984 "SpinSource/openspin.cpp"
 label=46;break; //@line 985 "SpinSource/openspin.cpp"
 case 36: 
 $nSourceOffset71=0; //@line 989 "SpinSource/openspin.cpp"
 $nDestOffset72=0; //@line 990 "SpinSource/openspin.cpp"
 label=37;break; //@line 991 "SpinSource/openspin.cpp"
 case 37: 
 var $48=$nSourceOffset71; //@line 991 "SpinSource/openspin.cpp"
 var $49=$nBufferLength_addr; //@line 991 "SpinSource/openspin.cpp"
 var $cmp74=($48|0)<($49|0); //@line 991 "SpinSource/openspin.cpp"
 if($cmp74){label=38;break;}else{label=45;break;} //@line 991 "SpinSource/openspin.cpp"
 case 38: 
 var $50=$nSourceOffset71; //@line 993 "SpinSource/openspin.cpp"
 var $51=$pBuffer_addr; //@line 993 "SpinSource/openspin.cpp"
 var $arrayidx77=(($51+$50)|0); //@line 993 "SpinSource/openspin.cpp"
 var $52=HEAP8[($arrayidx77)]; //@line 993 "SpinSource/openspin.cpp"
 $nChar76=$52; //@line 993 "SpinSource/openspin.cpp"
 var $53=$nChar76; //@line 994 "SpinSource/openspin.cpp"
 var $conv78=(($53<<24)>>24); //@line 994 "SpinSource/openspin.cpp"
 var $cmp79=($conv78|0)!=10; //@line 994 "SpinSource/openspin.cpp"
 if($cmp79){label=39;break;}else{label=40;break;} //@line 994 "SpinSource/openspin.cpp"
 case 39: 
 var $54=$nChar76; //@line 996 "SpinSource/openspin.cpp"
 var $55=$nDestOffset72; //@line 996 "SpinSource/openspin.cpp"
 var $56=$pPASCIIBuffer_addr; //@line 996 "SpinSource/openspin.cpp"
 var $arrayidx81=(($56+$55)|0); //@line 996 "SpinSource/openspin.cpp"
 HEAP8[($arrayidx81)]=$54; //@line 996 "SpinSource/openspin.cpp"
 var $57=$nDestOffset72; //@line 997 "SpinSource/openspin.cpp"
 var $inc82=((($57)+(1))|0); //@line 997 "SpinSource/openspin.cpp"
 $nDestOffset72=$inc82; //@line 997 "SpinSource/openspin.cpp"
 label=44;break; //@line 998 "SpinSource/openspin.cpp"
 case 40: 
 var $58=$nSourceOffset71; //@line 1001 "SpinSource/openspin.cpp"
 var $cmp84=($58|0)==0; //@line 1001 "SpinSource/openspin.cpp"
 if($cmp84){label=42;break;}else{label=41;break;} //@line 1001 "SpinSource/openspin.cpp"
 case 41: 
 var $59=$nSourceOffset71; //@line 1001 "SpinSource/openspin.cpp"
 var $sub=((($59)-(1))|0); //@line 1001 "SpinSource/openspin.cpp"
 var $60=$pBuffer_addr; //@line 1001 "SpinSource/openspin.cpp"
 var $arrayidx86=(($60+$sub)|0); //@line 1001 "SpinSource/openspin.cpp"
 var $61=HEAP8[($arrayidx86)]; //@line 1001 "SpinSource/openspin.cpp"
 var $conv87=(($61<<24)>>24); //@line 1001 "SpinSource/openspin.cpp"
 var $cmp88=($conv87|0)!=13; //@line 1001 "SpinSource/openspin.cpp"
 if($cmp88){label=42;break;}else{label=43;break;} //@line 1001 "SpinSource/openspin.cpp"
 case 42: 
 var $62=$nDestOffset72; //@line 1003 "SpinSource/openspin.cpp"
 var $63=$pPASCIIBuffer_addr; //@line 1003 "SpinSource/openspin.cpp"
 var $arrayidx90=(($63+$62)|0); //@line 1003 "SpinSource/openspin.cpp"
 HEAP8[($arrayidx90)]=13; //@line 1003 "SpinSource/openspin.cpp"
 var $64=$nDestOffset72; //@line 1004 "SpinSource/openspin.cpp"
 var $inc91=((($64)+(1))|0); //@line 1004 "SpinSource/openspin.cpp"
 $nDestOffset72=$inc91; //@line 1004 "SpinSource/openspin.cpp"
 label=43;break; //@line 1005 "SpinSource/openspin.cpp"
 case 43: 
 label=44;break;
 case 44: 
 var $65=$nSourceOffset71; //@line 1007 "SpinSource/openspin.cpp"
 var $inc94=((($65)+(1))|0); //@line 1007 "SpinSource/openspin.cpp"
 $nSourceOffset71=$inc94; //@line 1007 "SpinSource/openspin.cpp"
 label=37;break; //@line 1008 "SpinSource/openspin.cpp"
 case 45: 
 var $66=$nDestOffset72; //@line 1009 "SpinSource/openspin.cpp"
 var $67=$pPASCIIBuffer_addr; //@line 1009 "SpinSource/openspin.cpp"
 var $arrayidx96=(($67+$66)|0); //@line 1009 "SpinSource/openspin.cpp"
 HEAP8[($arrayidx96)]=0; //@line 1009 "SpinSource/openspin.cpp"
 label=46;break;
 case 46: 
 STACKTOP=sp;return; //@line 1011 "SpinSource/openspin.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z15GetPASCIISourcePc($pFilename){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+8)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $pFilename_addr;
 var $nLength=sp;
 var $pBuffer;
 var $pPASCIIBuffer;
 $pFilename_addr=$pFilename;
 tempBigInt=0;HEAP8[($nLength)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($nLength)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($nLength)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($nLength)+(3))|0)]=tempBigInt&0xff; //@line 1017 "SpinSource/openspin.cpp"
 var $0=$pFilename_addr; //@line 1018 "SpinSource/openspin.cpp"
 var $call=__Z8LoadFilePcPi($0,$nLength); //@line 1018 "SpinSource/openspin.cpp"
 $pBuffer=$call; //@line 1018 "SpinSource/openspin.cpp"
 var $1=$pBuffer; //@line 1019 "SpinSource/openspin.cpp"
 var $tobool=($1|0)!=0; //@line 1019 "SpinSource/openspin.cpp"
 if($tobool){label=2;break;}else{label=5;break;} //@line 1019 "SpinSource/openspin.cpp"
 case 2: 
 var $2=((((HEAPU8[($nLength)])|(HEAPU8[((($nLength)+(1))|0)]<<8)|(HEAPU8[((($nLength)+(2))|0)]<<16)|(HEAPU8[((($nLength)+(3))|0)]<<24))|0)); //@line 1021 "SpinSource/openspin.cpp"
 var $add=((($2)+(1))|0); //@line 1021 "SpinSource/openspin.cpp"
 var $3=($add|0)<0; //@line 1021 "SpinSource/openspin.cpp"
 var $4=($3?-1:$add); //@line 1021 "SpinSource/openspin.cpp"
 var $call1=__Znaj($4); //@line 1021 "SpinSource/openspin.cpp"
 $pPASCIIBuffer=$call1; //@line 1021 "SpinSource/openspin.cpp"
 var $5=$pBuffer; //@line 1022 "SpinSource/openspin.cpp"
 var $6=((((HEAPU8[($nLength)])|(HEAPU8[((($nLength)+(1))|0)]<<8)|(HEAPU8[((($nLength)+(2))|0)]<<16)|(HEAPU8[((($nLength)+(3))|0)]<<24))|0)); //@line 1022 "SpinSource/openspin.cpp"
 var $7=$pPASCIIBuffer; //@line 1022 "SpinSource/openspin.cpp"
 __Z15UnicodeToPASCIIPciS_($5,$6,$7); //@line 1022 "SpinSource/openspin.cpp"
 var $8=$pPASCIIBuffer; //@line 1023 "SpinSource/openspin.cpp"
 var $9=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 1023 "SpinSource/openspin.cpp"
 var $source=(($9+12)|0); //@line 1023 "SpinSource/openspin.cpp"
 tempBigInt=$8;HEAP8[($source)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source)+(3))|0)]=tempBigInt&0xff; //@line 1023 "SpinSource/openspin.cpp"
 var $10=$pBuffer; //@line 1025 "SpinSource/openspin.cpp"
 var $isnull=($10|0)==0; //@line 1025 "SpinSource/openspin.cpp"
 if($isnull){label=4;break;}else{label=3;break;} //@line 1025 "SpinSource/openspin.cpp"
 case 3: 
 __ZdaPv($10); //@line 1025 "SpinSource/openspin.cpp"
 label=4;break; //@line 1025 "SpinSource/openspin.cpp"
 case 4: 
 label=6;break; //@line 1026 "SpinSource/openspin.cpp"
 case 5: 
 var $11=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 1029 "SpinSource/openspin.cpp"
 var $source2=(($11+12)|0); //@line 1029 "SpinSource/openspin.cpp"
 tempBigInt=0;HEAP8[($source2)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source2)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source2)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source2)+(3))|0)]=tempBigInt&0xff; //@line 1029 "SpinSource/openspin.cpp"
 label=6;break;
 case 6: 
 STACKTOP=sp;return; //@line 1031 "SpinSource/openspin.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z10PrintErrorPKcS0_($pFilename,$pErrorString){
 var label=0;
 var tempVarArgs=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+1072)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $pFilename_addr;
 var $pErrorString_addr;
 var $lineNumber=sp;
 var $column=(sp)+(8);
 var $offsetToStartOfLine=(sp)+(16);
 var $offsetToEndOfLine=(sp)+(24);
 var $offendingItemStart=(sp)+(32);
 var $offendingItemEnd=(sp)+(40);
 var $errorLine=(sp)+(48);
 var $errorItem=(sp)+(560);
 $pFilename_addr=$pFilename;
 $pErrorString_addr=$pErrorString;
 tempBigInt=1;HEAP8[($lineNumber)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($lineNumber)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($lineNumber)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($lineNumber)+(3))|0)]=tempBigInt&0xff; //@line 1035 "SpinSource/openspin.cpp"
 tempBigInt=1;HEAP8[($column)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($column)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($column)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($column)+(3))|0)]=tempBigInt&0xff; //@line 1036 "SpinSource/openspin.cpp"
 tempBigInt=-1;HEAP8[($offsetToStartOfLine)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($offsetToStartOfLine)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($offsetToStartOfLine)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($offsetToStartOfLine)+(3))|0)]=tempBigInt&0xff; //@line 1037 "SpinSource/openspin.cpp"
 tempBigInt=-1;HEAP8[($offsetToEndOfLine)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($offsetToEndOfLine)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($offsetToEndOfLine)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($offsetToEndOfLine)+(3))|0)]=tempBigInt&0xff; //@line 1038 "SpinSource/openspin.cpp"
 tempBigInt=0;HEAP8[($offendingItemStart)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($offendingItemStart)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($offendingItemStart)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($offendingItemStart)+(3))|0)]=tempBigInt&0xff; //@line 1039 "SpinSource/openspin.cpp"
 tempBigInt=0;HEAP8[($offendingItemEnd)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($offendingItemEnd)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($offendingItemEnd)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($offendingItemEnd)+(3))|0)]=tempBigInt&0xff; //@line 1040 "SpinSource/openspin.cpp"
 var $call=__Z12GetErrorInfoRiS_S_S_S_S_($lineNumber,$column,$offsetToStartOfLine,$offsetToEndOfLine,$offendingItemStart,$offendingItemEnd); //@line 1041 "SpinSource/openspin.cpp"
 var $0=$pFilename_addr; //@line 1042 "SpinSource/openspin.cpp"
 var $1=((((HEAPU8[($lineNumber)])|(HEAPU8[((($lineNumber)+(1))|0)]<<8)|(HEAPU8[((($lineNumber)+(2))|0)]<<16)|(HEAPU8[((($lineNumber)+(3))|0)]<<24))|0)); //@line 1042 "SpinSource/openspin.cpp"
 var $2=((((HEAPU8[($column)])|(HEAPU8[((($column)+(1))|0)]<<8)|(HEAPU8[((($column)+(2))|0)]<<16)|(HEAPU8[((($column)+(3))|0)]<<24))|0)); //@line 1042 "SpinSource/openspin.cpp"
 var $3=$pErrorString_addr; //@line 1042 "SpinSource/openspin.cpp"
 var $call1=_printf(5944,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 32)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=$0,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempBigInt=$1,HEAP8[(((tempVarArgs)+(8))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[((((tempVarArgs)+(8))+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[((((tempVarArgs)+(8))+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[((((tempVarArgs)+(8))+(3))|0)]=tempBigInt&0xff,tempBigInt=$2,HEAP8[(((tempVarArgs)+(16))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[((((tempVarArgs)+(16))+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[((((tempVarArgs)+(16))+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[((((tempVarArgs)+(16))+(3))|0)]=tempBigInt&0xff,tempBigInt=$3,HEAP8[(((tempVarArgs)+(24))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[((((tempVarArgs)+(24))+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[((((tempVarArgs)+(24))+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[((((tempVarArgs)+(24))+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 1042 "SpinSource/openspin.cpp"
 var $arraydecay=(($errorLine)|0); //@line 1044 "SpinSource/openspin.cpp"
 var $4=((((HEAPU8[($offsetToStartOfLine)])|(HEAPU8[((($offsetToStartOfLine)+(1))|0)]<<8)|(HEAPU8[((($offsetToStartOfLine)+(2))|0)]<<16)|(HEAPU8[((($offsetToStartOfLine)+(3))|0)]<<24))|0)); //@line 1044 "SpinSource/openspin.cpp"
 var $5=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 1044 "SpinSource/openspin.cpp"
 var $source=(($5+12)|0); //@line 1044 "SpinSource/openspin.cpp"
 var $6=((((HEAPU8[($source)])|(HEAPU8[((($source)+(1))|0)]<<8)|(HEAPU8[((($source)+(2))|0)]<<16)|(HEAPU8[((($source)+(3))|0)]<<24))|0)); //@line 1044 "SpinSource/openspin.cpp"
 var $arrayidx=(($6+$4)|0); //@line 1044 "SpinSource/openspin.cpp"
 var $7=((((HEAPU8[($offsetToEndOfLine)])|(HEAPU8[((($offsetToEndOfLine)+(1))|0)]<<8)|(HEAPU8[((($offsetToEndOfLine)+(2))|0)]<<16)|(HEAPU8[((($offsetToEndOfLine)+(3))|0)]<<24))|0)); //@line 1044 "SpinSource/openspin.cpp"
 var $8=((((HEAPU8[($offsetToStartOfLine)])|(HEAPU8[((($offsetToStartOfLine)+(1))|0)]<<8)|(HEAPU8[((($offsetToStartOfLine)+(2))|0)]<<16)|(HEAPU8[((($offsetToStartOfLine)+(3))|0)]<<24))|0)); //@line 1044 "SpinSource/openspin.cpp"
 var $sub=((($7)-($8))|0); //@line 1044 "SpinSource/openspin.cpp"
 var $call2=_strncpy($arraydecay,$arrayidx,$sub); //@line 1044 "SpinSource/openspin.cpp"
 var $9=((((HEAPU8[($offsetToEndOfLine)])|(HEAPU8[((($offsetToEndOfLine)+(1))|0)]<<8)|(HEAPU8[((($offsetToEndOfLine)+(2))|0)]<<16)|(HEAPU8[((($offsetToEndOfLine)+(3))|0)]<<24))|0)); //@line 1045 "SpinSource/openspin.cpp"
 var $10=((((HEAPU8[($offsetToStartOfLine)])|(HEAPU8[((($offsetToStartOfLine)+(1))|0)]<<8)|(HEAPU8[((($offsetToStartOfLine)+(2))|0)]<<16)|(HEAPU8[((($offsetToStartOfLine)+(3))|0)]<<24))|0)); //@line 1045 "SpinSource/openspin.cpp"
 var $sub3=((($9)-($10))|0); //@line 1045 "SpinSource/openspin.cpp"
 var $arrayidx4=(($errorLine+$sub3)|0); //@line 1045 "SpinSource/openspin.cpp"
 HEAP8[($arrayidx4)]=0; //@line 1045 "SpinSource/openspin.cpp"
 var $arraydecay5=(($errorItem)|0); //@line 1047 "SpinSource/openspin.cpp"
 var $11=((((HEAPU8[($offendingItemStart)])|(HEAPU8[((($offendingItemStart)+(1))|0)]<<8)|(HEAPU8[((($offendingItemStart)+(2))|0)]<<16)|(HEAPU8[((($offendingItemStart)+(3))|0)]<<24))|0)); //@line 1047 "SpinSource/openspin.cpp"
 var $12=((((HEAPU8[(16448)])|(HEAPU8[(16449)]<<8)|(HEAPU8[(16450)]<<16)|(HEAPU8[(16451)]<<24))|0)); //@line 1047 "SpinSource/openspin.cpp"
 var $source6=(($12+12)|0); //@line 1047 "SpinSource/openspin.cpp"
 var $13=((((HEAPU8[($source6)])|(HEAPU8[((($source6)+(1))|0)]<<8)|(HEAPU8[((($source6)+(2))|0)]<<16)|(HEAPU8[((($source6)+(3))|0)]<<24))|0)); //@line 1047 "SpinSource/openspin.cpp"
 var $arrayidx7=(($13+$11)|0); //@line 1047 "SpinSource/openspin.cpp"
 var $14=((((HEAPU8[($offendingItemEnd)])|(HEAPU8[((($offendingItemEnd)+(1))|0)]<<8)|(HEAPU8[((($offendingItemEnd)+(2))|0)]<<16)|(HEAPU8[((($offendingItemEnd)+(3))|0)]<<24))|0)); //@line 1047 "SpinSource/openspin.cpp"
 var $15=((((HEAPU8[($offendingItemStart)])|(HEAPU8[((($offendingItemStart)+(1))|0)]<<8)|(HEAPU8[((($offendingItemStart)+(2))|0)]<<16)|(HEAPU8[((($offendingItemStart)+(3))|0)]<<24))|0)); //@line 1047 "SpinSource/openspin.cpp"
 var $sub8=((($14)-($15))|0); //@line 1047 "SpinSource/openspin.cpp"
 var $call9=_strncpy($arraydecay5,$arrayidx7,$sub8); //@line 1047 "SpinSource/openspin.cpp"
 var $16=((((HEAPU8[($offendingItemEnd)])|(HEAPU8[((($offendingItemEnd)+(1))|0)]<<8)|(HEAPU8[((($offendingItemEnd)+(2))|0)]<<16)|(HEAPU8[((($offendingItemEnd)+(3))|0)]<<24))|0)); //@line 1048 "SpinSource/openspin.cpp"
 var $17=((((HEAPU8[($offendingItemStart)])|(HEAPU8[((($offendingItemStart)+(1))|0)]<<8)|(HEAPU8[((($offendingItemStart)+(2))|0)]<<16)|(HEAPU8[((($offendingItemStart)+(3))|0)]<<24))|0)); //@line 1048 "SpinSource/openspin.cpp"
 var $sub10=((($16)-($17))|0); //@line 1048 "SpinSource/openspin.cpp"
 var $arrayidx11=(($errorItem+$sub10)|0); //@line 1048 "SpinSource/openspin.cpp"
 HEAP8[($arrayidx11)]=0; //@line 1048 "SpinSource/openspin.cpp"
 var $arraydecay12=(($errorLine)|0); //@line 1049 "SpinSource/openspin.cpp"
 var $arraydecay13=(($errorItem)|0); //@line 1049 "SpinSource/openspin.cpp"
 var $call14=_printf(5864,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 16)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=$arraydecay12,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempBigInt=$arraydecay13,HEAP8[(((tempVarArgs)+(8))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[((((tempVarArgs)+(8))+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[((((tempVarArgs)+(8))+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[((((tempVarArgs)+(8))+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 1049 "SpinSource/openspin.cpp"
 STACKTOP=sp;return; //@line 1050 "SpinSource/openspin.cpp"
}


function __Z12flexbuf_initP7flexbufj($fb,$growsize){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $fb_addr;
 var $growsize_addr;
 $fb_addr=$fb;
 $growsize_addr=$growsize;
 var $0=$fb_addr; //@line 18 "SpinSource/flexbuf.c"
 var $data=(($0)|0); //@line 18 "SpinSource/flexbuf.c"
 tempBigInt=0;HEAP8[($data)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($data)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($data)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($data)+(3))|0)]=tempBigInt&0xff; //@line 18 "SpinSource/flexbuf.c"
 var $1=$fb_addr; //@line 19 "SpinSource/flexbuf.c"
 var $len=(($1+4)|0); //@line 19 "SpinSource/flexbuf.c"
 tempBigInt=0;HEAP8[($len)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($len)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($len)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($len)+(3))|0)]=tempBigInt&0xff; //@line 19 "SpinSource/flexbuf.c"
 var $2=$fb_addr; //@line 20 "SpinSource/flexbuf.c"
 var $space=(($2+8)|0); //@line 20 "SpinSource/flexbuf.c"
 tempBigInt=0;HEAP8[($space)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($space)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($space)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($space)+(3))|0)]=tempBigInt&0xff; //@line 20 "SpinSource/flexbuf.c"
 var $3=$growsize_addr; //@line 21 "SpinSource/flexbuf.c"
 var $tobool=($3|0)!=0; //@line 21 "SpinSource/flexbuf.c"
 if($tobool){label=2;break;}else{label=3;break;} //@line 21 "SpinSource/flexbuf.c"
 case 2: 
 var $4=$growsize_addr; //@line 21 "SpinSource/flexbuf.c"
 var $cond=$4;label=4;break; //@line 21 "SpinSource/flexbuf.c"
 case 3: 
 var $cond=1024;label=4;break; //@line 21 "SpinSource/flexbuf.c"
 case 4: 
 var $cond; //@line 21 "SpinSource/flexbuf.c"
 var $5=$fb_addr; //@line 21 "SpinSource/flexbuf.c"
 var $growsize1=(($5+12)|0); //@line 21 "SpinSource/flexbuf.c"
 tempBigInt=$cond;HEAP8[($growsize1)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($growsize1)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($growsize1)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($growsize1)+(3))|0)]=tempBigInt&0xff; //@line 21 "SpinSource/flexbuf.c"
 STACKTOP=sp;return; //@line 22 "SpinSource/flexbuf.c"
  default: assert(0, "bad label: " + label);
 }

}


function __Z14flexbuf_curlenP7flexbuf($fb){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $fb_addr;
 $fb_addr=$fb;
 var $0=$fb_addr; //@line 26 "SpinSource/flexbuf.c"
 var $len=(($0+4)|0); //@line 26 "SpinSource/flexbuf.c"
 var $1=((((HEAPU8[($len)])|(HEAPU8[((($len)+(1))|0)]<<8)|(HEAPU8[((($len)+(2))|0)]<<16)|(HEAPU8[((($len)+(3))|0)]<<24))|0)); //@line 26 "SpinSource/flexbuf.c"
 STACKTOP=sp;return $1; //@line 26 "SpinSource/flexbuf.c"
}


function __Z15flexbuf_addcharP7flexbufi($fb,$c){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $fb_addr;
 var $c_addr;
 var $newlen;
 var $newdata;
 $fb_addr=$fb;
 $c_addr=$c;
 var $0=$fb_addr; //@line 32 "SpinSource/flexbuf.c"
 var $len=(($0+4)|0); //@line 32 "SpinSource/flexbuf.c"
 var $1=((((HEAPU8[($len)])|(HEAPU8[((($len)+(1))|0)]<<8)|(HEAPU8[((($len)+(2))|0)]<<16)|(HEAPU8[((($len)+(3))|0)]<<24))|0)); //@line 32 "SpinSource/flexbuf.c"
 var $add=((($1)+(1))|0); //@line 32 "SpinSource/flexbuf.c"
 $newlen=$add; //@line 32 "SpinSource/flexbuf.c"
 var $2=$newlen; //@line 34 "SpinSource/flexbuf.c"
 var $3=$fb_addr; //@line 34 "SpinSource/flexbuf.c"
 var $space=(($3+8)|0); //@line 34 "SpinSource/flexbuf.c"
 var $4=((((HEAPU8[($space)])|(HEAPU8[((($space)+(1))|0)]<<8)|(HEAPU8[((($space)+(2))|0)]<<16)|(HEAPU8[((($space)+(3))|0)]<<24))|0)); //@line 34 "SpinSource/flexbuf.c"
 var $cmp=($2>>>0)>($4>>>0); //@line 34 "SpinSource/flexbuf.c"
 if($cmp){label=2;break;}else{label=5;break;} //@line 34 "SpinSource/flexbuf.c"
 case 2: 
 var $5=$fb_addr; //@line 36 "SpinSource/flexbuf.c"
 var $data=(($5)|0); //@line 36 "SpinSource/flexbuf.c"
 var $6=((((HEAPU8[($data)])|(HEAPU8[((($data)+(1))|0)]<<8)|(HEAPU8[((($data)+(2))|0)]<<16)|(HEAPU8[((($data)+(3))|0)]<<24))|0)); //@line 36 "SpinSource/flexbuf.c"
 var $7=$fb_addr; //@line 36 "SpinSource/flexbuf.c"
 var $space1=(($7+8)|0); //@line 36 "SpinSource/flexbuf.c"
 var $8=((((HEAPU8[($space1)])|(HEAPU8[((($space1)+(1))|0)]<<8)|(HEAPU8[((($space1)+(2))|0)]<<16)|(HEAPU8[((($space1)+(3))|0)]<<24))|0)); //@line 36 "SpinSource/flexbuf.c"
 var $9=$fb_addr; //@line 36 "SpinSource/flexbuf.c"
 var $growsize=(($9+12)|0); //@line 36 "SpinSource/flexbuf.c"
 var $10=((((HEAPU8[($growsize)])|(HEAPU8[((($growsize)+(1))|0)]<<8)|(HEAPU8[((($growsize)+(2))|0)]<<16)|(HEAPU8[((($growsize)+(3))|0)]<<24))|0)); //@line 36 "SpinSource/flexbuf.c"
 var $add2=((($8)+($10))|0); //@line 36 "SpinSource/flexbuf.c"
 var $call=_realloc($6,$add2); //@line 36 "SpinSource/flexbuf.c"
 $newdata=$call; //@line 36 "SpinSource/flexbuf.c"
 var $11=$newdata; //@line 37 "SpinSource/flexbuf.c"
 var $tobool=($11|0)!=0; //@line 37 "SpinSource/flexbuf.c"
 if($tobool){label=4;break;}else{label=3;break;} //@line 37 "SpinSource/flexbuf.c"
 case 3: 
 var $12=$newdata; //@line 37 "SpinSource/flexbuf.c"
 $retval=$12; //@line 37 "SpinSource/flexbuf.c"
 label=6;break; //@line 37 "SpinSource/flexbuf.c"
 case 4: 
 var $13=$fb_addr; //@line 38 "SpinSource/flexbuf.c"
 var $growsize4=(($13+12)|0); //@line 38 "SpinSource/flexbuf.c"
 var $14=((((HEAPU8[($growsize4)])|(HEAPU8[((($growsize4)+(1))|0)]<<8)|(HEAPU8[((($growsize4)+(2))|0)]<<16)|(HEAPU8[((($growsize4)+(3))|0)]<<24))|0)); //@line 38 "SpinSource/flexbuf.c"
 var $15=$fb_addr; //@line 38 "SpinSource/flexbuf.c"
 var $space5=(($15+8)|0); //@line 38 "SpinSource/flexbuf.c"
 var $16=((((HEAPU8[($space5)])|(HEAPU8[((($space5)+(1))|0)]<<8)|(HEAPU8[((($space5)+(2))|0)]<<16)|(HEAPU8[((($space5)+(3))|0)]<<24))|0)); //@line 38 "SpinSource/flexbuf.c"
 var $add6=((($16)+($14))|0); //@line 38 "SpinSource/flexbuf.c"
 tempBigInt=$add6;HEAP8[($space5)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($space5)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($space5)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($space5)+(3))|0)]=tempBigInt&0xff; //@line 38 "SpinSource/flexbuf.c"
 var $17=$newdata; //@line 39 "SpinSource/flexbuf.c"
 var $18=$fb_addr; //@line 39 "SpinSource/flexbuf.c"
 var $data7=(($18)|0); //@line 39 "SpinSource/flexbuf.c"
 tempBigInt=$17;HEAP8[($data7)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($data7)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($data7)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($data7)+(3))|0)]=tempBigInt&0xff; //@line 39 "SpinSource/flexbuf.c"
 label=5;break; //@line 40 "SpinSource/flexbuf.c"
 case 5: 
 var $19=$c_addr; //@line 41 "SpinSource/flexbuf.c"
 var $conv=(($19)&255); //@line 41 "SpinSource/flexbuf.c"
 var $20=$fb_addr; //@line 41 "SpinSource/flexbuf.c"
 var $len9=(($20+4)|0); //@line 41 "SpinSource/flexbuf.c"
 var $21=((((HEAPU8[($len9)])|(HEAPU8[((($len9)+(1))|0)]<<8)|(HEAPU8[((($len9)+(2))|0)]<<16)|(HEAPU8[((($len9)+(3))|0)]<<24))|0)); //@line 41 "SpinSource/flexbuf.c"
 var $22=$fb_addr; //@line 41 "SpinSource/flexbuf.c"
 var $data10=(($22)|0); //@line 41 "SpinSource/flexbuf.c"
 var $23=((((HEAPU8[($data10)])|(HEAPU8[((($data10)+(1))|0)]<<8)|(HEAPU8[((($data10)+(2))|0)]<<16)|(HEAPU8[((($data10)+(3))|0)]<<24))|0)); //@line 41 "SpinSource/flexbuf.c"
 var $arrayidx=(($23+$21)|0); //@line 41 "SpinSource/flexbuf.c"
 HEAP8[($arrayidx)]=$conv; //@line 41 "SpinSource/flexbuf.c"
 var $24=$newlen; //@line 42 "SpinSource/flexbuf.c"
 var $25=$fb_addr; //@line 42 "SpinSource/flexbuf.c"
 var $len11=(($25+4)|0); //@line 42 "SpinSource/flexbuf.c"
 tempBigInt=$24;HEAP8[($len11)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($len11)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($len11)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($len11)+(3))|0)]=tempBigInt&0xff; //@line 42 "SpinSource/flexbuf.c"
 var $26=$fb_addr; //@line 43 "SpinSource/flexbuf.c"
 var $data12=(($26)|0); //@line 43 "SpinSource/flexbuf.c"
 var $27=((((HEAPU8[($data12)])|(HEAPU8[((($data12)+(1))|0)]<<8)|(HEAPU8[((($data12)+(2))|0)]<<16)|(HEAPU8[((($data12)+(3))|0)]<<24))|0)); //@line 43 "SpinSource/flexbuf.c"
 $retval=$27; //@line 43 "SpinSource/flexbuf.c"
 label=6;break; //@line 43 "SpinSource/flexbuf.c"
 case 6: 
 var $28=$retval; //@line 44 "SpinSource/flexbuf.c"
 STACKTOP=sp;return $28; //@line 44 "SpinSource/flexbuf.c"
  default: assert(0, "bad label: " + label);
 }

}


function __Z14flexbuf_addmemP7flexbufPKcj($fb,$buf,$N){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $fb_addr;
 var $buf_addr;
 var $N_addr;
 var $newlen;
 var $newdata;
 var $newspace;
 $fb_addr=$fb;
 $buf_addr=$buf;
 $N_addr=$N;
 var $0=$fb_addr; //@line 49 "SpinSource/flexbuf.c"
 var $len=(($0+4)|0); //@line 49 "SpinSource/flexbuf.c"
 var $1=((((HEAPU8[($len)])|(HEAPU8[((($len)+(1))|0)]<<8)|(HEAPU8[((($len)+(2))|0)]<<16)|(HEAPU8[((($len)+(3))|0)]<<24))|0)); //@line 49 "SpinSource/flexbuf.c"
 var $2=$N_addr; //@line 49 "SpinSource/flexbuf.c"
 var $add=((($1)+($2))|0); //@line 49 "SpinSource/flexbuf.c"
 $newlen=$add; //@line 49 "SpinSource/flexbuf.c"
 var $3=$newlen; //@line 51 "SpinSource/flexbuf.c"
 var $4=$fb_addr; //@line 51 "SpinSource/flexbuf.c"
 var $space=(($4+8)|0); //@line 51 "SpinSource/flexbuf.c"
 var $5=((((HEAPU8[($space)])|(HEAPU8[((($space)+(1))|0)]<<8)|(HEAPU8[((($space)+(2))|0)]<<16)|(HEAPU8[((($space)+(3))|0)]<<24))|0)); //@line 51 "SpinSource/flexbuf.c"
 var $cmp=($3>>>0)>($5>>>0); //@line 51 "SpinSource/flexbuf.c"
 if($cmp){label=2;break;}else{label=7;break;} //@line 51 "SpinSource/flexbuf.c"
 case 2: 
 var $6=$fb_addr; //@line 54 "SpinSource/flexbuf.c"
 var $space1=(($6+8)|0); //@line 54 "SpinSource/flexbuf.c"
 var $7=((((HEAPU8[($space1)])|(HEAPU8[((($space1)+(1))|0)]<<8)|(HEAPU8[((($space1)+(2))|0)]<<16)|(HEAPU8[((($space1)+(3))|0)]<<24))|0)); //@line 54 "SpinSource/flexbuf.c"
 var $8=$fb_addr; //@line 54 "SpinSource/flexbuf.c"
 var $growsize=(($8+12)|0); //@line 54 "SpinSource/flexbuf.c"
 var $9=((((HEAPU8[($growsize)])|(HEAPU8[((($growsize)+(1))|0)]<<8)|(HEAPU8[((($growsize)+(2))|0)]<<16)|(HEAPU8[((($growsize)+(3))|0)]<<24))|0)); //@line 54 "SpinSource/flexbuf.c"
 var $add2=((($7)+($9))|0); //@line 54 "SpinSource/flexbuf.c"
 $newspace=$add2; //@line 54 "SpinSource/flexbuf.c"
 var $10=$newspace; //@line 55 "SpinSource/flexbuf.c"
 var $11=$newlen; //@line 55 "SpinSource/flexbuf.c"
 var $cmp3=($10>>>0)<($11>>>0); //@line 55 "SpinSource/flexbuf.c"
 if($cmp3){label=3;break;}else{label=4;break;} //@line 55 "SpinSource/flexbuf.c"
 case 3: 
 var $12=$newlen; //@line 56 "SpinSource/flexbuf.c"
 var $13=$fb_addr; //@line 56 "SpinSource/flexbuf.c"
 var $growsize5=(($13+12)|0); //@line 56 "SpinSource/flexbuf.c"
 var $14=((((HEAPU8[($growsize5)])|(HEAPU8[((($growsize5)+(1))|0)]<<8)|(HEAPU8[((($growsize5)+(2))|0)]<<16)|(HEAPU8[((($growsize5)+(3))|0)]<<24))|0)); //@line 56 "SpinSource/flexbuf.c"
 var $add6=((($12)+($14))|0); //@line 56 "SpinSource/flexbuf.c"
 $newspace=$add6; //@line 56 "SpinSource/flexbuf.c"
 label=4;break; //@line 57 "SpinSource/flexbuf.c"
 case 4: 
 var $15=$fb_addr; //@line undefined "SpinSource/flexbuf.c"
 var $data=(($15)|0); //@line undefined "SpinSource/flexbuf.c"
 var $16=((((HEAPU8[($data)])|(HEAPU8[((($data)+(1))|0)]<<8)|(HEAPU8[((($data)+(2))|0)]<<16)|(HEAPU8[((($data)+(3))|0)]<<24))|0)); //@line undefined "SpinSource/flexbuf.c"
 var $17=$newspace; //@line undefined "SpinSource/flexbuf.c"
 var $call=_realloc($16,$17); //@line undefined "SpinSource/flexbuf.c"
 $newdata=$call; //@line undefined "SpinSource/flexbuf.c"
 var $18=$newdata; //@line 59 "SpinSource/flexbuf.c"
 var $tobool=($18|0)!=0; //@line 59 "SpinSource/flexbuf.c"
 if($tobool){label=6;break;}else{label=5;break;} //@line 59 "SpinSource/flexbuf.c"
 case 5: 
 var $19=$newdata; //@line 59 "SpinSource/flexbuf.c"
 $retval=$19; //@line 59 "SpinSource/flexbuf.c"
 label=8;break; //@line 59 "SpinSource/flexbuf.c"
 case 6: 
 var $20=$newspace; //@line 60 "SpinSource/flexbuf.c"
 var $21=$fb_addr; //@line 60 "SpinSource/flexbuf.c"
 var $space9=(($21+8)|0); //@line 60 "SpinSource/flexbuf.c"
 tempBigInt=$20;HEAP8[($space9)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($space9)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($space9)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($space9)+(3))|0)]=tempBigInt&0xff; //@line 60 "SpinSource/flexbuf.c"
 var $22=$newdata; //@line 61 "SpinSource/flexbuf.c"
 var $23=$fb_addr; //@line 61 "SpinSource/flexbuf.c"
 var $data10=(($23)|0); //@line 61 "SpinSource/flexbuf.c"
 tempBigInt=$22;HEAP8[($data10)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($data10)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($data10)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($data10)+(3))|0)]=tempBigInt&0xff; //@line 61 "SpinSource/flexbuf.c"
 label=7;break; //@line 62 "SpinSource/flexbuf.c"
 case 7: 
 var $24=$fb_addr; //@line 63 "SpinSource/flexbuf.c"
 var $data12=(($24)|0); //@line 63 "SpinSource/flexbuf.c"
 var $25=((((HEAPU8[($data12)])|(HEAPU8[((($data12)+(1))|0)]<<8)|(HEAPU8[((($data12)+(2))|0)]<<16)|(HEAPU8[((($data12)+(3))|0)]<<24))|0)); //@line 63 "SpinSource/flexbuf.c"
 var $26=$fb_addr; //@line 63 "SpinSource/flexbuf.c"
 var $len13=(($26+4)|0); //@line 63 "SpinSource/flexbuf.c"
 var $27=((((HEAPU8[($len13)])|(HEAPU8[((($len13)+(1))|0)]<<8)|(HEAPU8[((($len13)+(2))|0)]<<16)|(HEAPU8[((($len13)+(3))|0)]<<24))|0)); //@line 63 "SpinSource/flexbuf.c"
 var $add_ptr=(($25+$27)|0); //@line 63 "SpinSource/flexbuf.c"
 var $28=$buf_addr; //@line 63 "SpinSource/flexbuf.c"
 var $29=$N_addr; //@line 63 "SpinSource/flexbuf.c"
 assert($29 % 1 === 0);(_memcpy($add_ptr, $28, $29)|0); //@line 63 "SpinSource/flexbuf.c"
 var $30=$newlen; //@line 64 "SpinSource/flexbuf.c"
 var $31=$fb_addr; //@line 64 "SpinSource/flexbuf.c"
 var $len14=(($31+4)|0); //@line 64 "SpinSource/flexbuf.c"
 tempBigInt=$30;HEAP8[($len14)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($len14)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($len14)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($len14)+(3))|0)]=tempBigInt&0xff; //@line 64 "SpinSource/flexbuf.c"
 var $32=$fb_addr; //@line 65 "SpinSource/flexbuf.c"
 var $data15=(($32)|0); //@line 65 "SpinSource/flexbuf.c"
 var $33=((((HEAPU8[($data15)])|(HEAPU8[((($data15)+(1))|0)]<<8)|(HEAPU8[((($data15)+(2))|0)]<<16)|(HEAPU8[((($data15)+(3))|0)]<<24))|0)); //@line 65 "SpinSource/flexbuf.c"
 $retval=$33; //@line 65 "SpinSource/flexbuf.c"
 label=8;break; //@line 65 "SpinSource/flexbuf.c"
 case 8: 
 var $34=$retval; //@line 66 "SpinSource/flexbuf.c"
 STACKTOP=sp;return $34; //@line 66 "SpinSource/flexbuf.c"
  default: assert(0, "bad label: " + label);
 }

}


function __Z14flexbuf_addstrP7flexbufPKc($fb,$str){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $fb_addr;
 var $str_addr;
 $fb_addr=$fb;
 $str_addr=$str;
 var $0=$fb_addr; //@line 71 "SpinSource/flexbuf.c"
 var $1=$str_addr; //@line 71 "SpinSource/flexbuf.c"
 var $2=$str_addr; //@line 71 "SpinSource/flexbuf.c"
 var $call=_strlen($2); //@line 71 "SpinSource/flexbuf.c"
 var $call1=__Z14flexbuf_addmemP7flexbufPKcj($0,$1,$call); //@line 71 "SpinSource/flexbuf.c"
 STACKTOP=sp;return $call1; //@line 71 "SpinSource/flexbuf.c"
}


function __Z11flexbuf_getP7flexbuf($fb){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $fb_addr;
 var $r;
 $fb_addr=$fb;
 var $0=$fb_addr; //@line 86 "SpinSource/flexbuf.c"
 var $data=(($0)|0); //@line 86 "SpinSource/flexbuf.c"
 var $1=((((HEAPU8[($data)])|(HEAPU8[((($data)+(1))|0)]<<8)|(HEAPU8[((($data)+(2))|0)]<<16)|(HEAPU8[((($data)+(3))|0)]<<24))|0)); //@line 86 "SpinSource/flexbuf.c"
 $r=$1; //@line 86 "SpinSource/flexbuf.c"
 var $2=$fb_addr; //@line 87 "SpinSource/flexbuf.c"
 var $3=$fb_addr; //@line 87 "SpinSource/flexbuf.c"
 var $growsize=(($3+12)|0); //@line 87 "SpinSource/flexbuf.c"
 var $4=((((HEAPU8[($growsize)])|(HEAPU8[((($growsize)+(1))|0)]<<8)|(HEAPU8[((($growsize)+(2))|0)]<<16)|(HEAPU8[((($growsize)+(3))|0)]<<24))|0)); //@line 87 "SpinSource/flexbuf.c"
 __Z12flexbuf_initP7flexbufj($2,$4); //@line 87 "SpinSource/flexbuf.c"
 var $5=$r; //@line 88 "SpinSource/flexbuf.c"
 STACKTOP=sp;return $5; //@line 88 "SpinSource/flexbuf.c"
}


function __Z13flexbuf_clearP7flexbuf($fb){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $fb_addr;
 $fb_addr=$fb;
 var $0=$fb_addr; //@line 94 "SpinSource/flexbuf.c"
 var $len=(($0+4)|0); //@line 94 "SpinSource/flexbuf.c"
 tempBigInt=0;HEAP8[($len)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($len)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($len)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($len)+(3))|0)]=tempBigInt&0xff; //@line 94 "SpinSource/flexbuf.c"
 STACKTOP=sp;return; //@line 95 "SpinSource/flexbuf.c"
}


function __Z11pp_nextlineP10preprocess($pp){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+8)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $pp_addr;
 var $r;
 var $count;
 var $f;
 var $buf=sp;
 var $A;
 var $c0;
 var $c1;
 var $c2;
 $pp_addr=$pp;
 $count=0; //@line 157 "SpinSource/preprocess.c"
 var $0=$pp_addr; //@line 162 "SpinSource/preprocess.c"
 var $fil=(($0)|0); //@line 162 "SpinSource/preprocess.c"
 var $1=((((HEAPU8[($fil)])|(HEAPU8[((($fil)+(1))|0)]<<8)|(HEAPU8[((($fil)+(2))|0)]<<16)|(HEAPU8[((($fil)+(3))|0)]<<24))|0)); //@line 162 "SpinSource/preprocess.c"
 $A=$1; //@line 162 "SpinSource/preprocess.c"
 var $2=$A; //@line 163 "SpinSource/preprocess.c"
 var $tobool=($2|0)!=0; //@line 163 "SpinSource/preprocess.c"
 if($tobool){label=3;break;}else{label=2;break;} //@line 163 "SpinSource/preprocess.c"
 case 2: 
 $retval=0; //@line 164 "SpinSource/preprocess.c"
 label=29;break; //@line 164 "SpinSource/preprocess.c"
 case 3: 
 var $3=$A; //@line 165 "SpinSource/preprocess.c"
 var $f1=(($3+4)|0); //@line 165 "SpinSource/preprocess.c"
 var $4=((((HEAPU8[($f1)])|(HEAPU8[((($f1)+(1))|0)]<<8)|(HEAPU8[((($f1)+(2))|0)]<<16)|(HEAPU8[((($f1)+(3))|0)]<<24))|0)); //@line 165 "SpinSource/preprocess.c"
 $f=$4; //@line 165 "SpinSource/preprocess.c"
 var $5=$A; //@line 166 "SpinSource/preprocess.c"
 var $lineno=(($5+12)|0); //@line 166 "SpinSource/preprocess.c"
 var $6=((((HEAPU8[($lineno)])|(HEAPU8[((($lineno)+(1))|0)]<<8)|(HEAPU8[((($lineno)+(2))|0)]<<16)|(HEAPU8[((($lineno)+(3))|0)]<<24))|0)); //@line 166 "SpinSource/preprocess.c"
 var $inc=((($6)+(1))|0); //@line 166 "SpinSource/preprocess.c"
 tempBigInt=$inc;HEAP8[($lineno)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($lineno)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($lineno)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($lineno)+(3))|0)]=tempBigInt&0xff; //@line 166 "SpinSource/preprocess.c"
 var $7=$pp_addr; //@line 168 "SpinSource/preprocess.c"
 var $line=(($7+4)|0); //@line 168 "SpinSource/preprocess.c"
 __Z13flexbuf_clearP7flexbuf($line); //@line 168 "SpinSource/preprocess.c"
 var $8=$A; //@line 169 "SpinSource/preprocess.c"
 var $readfunc=(($8+16)|0); //@line 169 "SpinSource/preprocess.c"
 var $9=((((HEAPU8[($readfunc)])|(HEAPU8[((($readfunc)+(1))|0)]<<8)|(HEAPU8[((($readfunc)+(2))|0)]<<16)|(HEAPU8[((($readfunc)+(3))|0)]<<24))|0)); //@line 169 "SpinSource/preprocess.c"
 var $cmp=($9|0)==0; //@line 169 "SpinSource/preprocess.c"
 if($cmp){label=4;break;}else{label=21;break;} //@line 169 "SpinSource/preprocess.c"
 case 4: 
 var $10=$f; //@line 171 "SpinSource/preprocess.c"
 var $call=_fgetc($10); //@line 171 "SpinSource/preprocess.c"
 $c0=$call; //@line 171 "SpinSource/preprocess.c"
 var $11=$c0; //@line 172 "SpinSource/preprocess.c"
 var $cmp3=($11|0)<0; //@line 172 "SpinSource/preprocess.c"
 if($cmp3){label=5;break;}else{label=6;break;} //@line 172 "SpinSource/preprocess.c"
 case 5: 
 $retval=0; //@line 172 "SpinSource/preprocess.c"
 label=29;break; //@line 172 "SpinSource/preprocess.c"
 case 6: 
 var $12=$f; //@line 173 "SpinSource/preprocess.c"
 var $call6=_fgetc($12); //@line 173 "SpinSource/preprocess.c"
 $c1=$call6; //@line 173 "SpinSource/preprocess.c"
 var $13=$f; //@line 174 "SpinSource/preprocess.c"
 var $call7=_fgetc($13); //@line 174 "SpinSource/preprocess.c"
 $c2=$call7; //@line 174 "SpinSource/preprocess.c"
 var $14=$c0; //@line 175 "SpinSource/preprocess.c"
 var $cmp8=($14|0)==255; //@line 175 "SpinSource/preprocess.c"
 if($cmp8){label=7;break;}else{label=8;break;} //@line 175 "SpinSource/preprocess.c"
 case 7: 
 var $15=$c1; //@line 175 "SpinSource/preprocess.c"
 var $cmp9=($15|0)==254; //@line 175 "SpinSource/preprocess.c"
 if($cmp9){label=9;break;}else{label=8;break;} //@line 175 "SpinSource/preprocess.c"
 case 8: 
 var $16=$c1; //@line 175 "SpinSource/preprocess.c"
 var $cmp10=($16|0)==0; //@line 175 "SpinSource/preprocess.c"
 if($cmp10){label=9;break;}else{label=10;break;} //@line 175 "SpinSource/preprocess.c"
 case 9: 
 var $17=$A; //@line 176 "SpinSource/preprocess.c"
 var $readfunc12=(($17+16)|0); //@line 176 "SpinSource/preprocess.c"
 tempBigInt=62;HEAP8[($readfunc12)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($readfunc12)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($readfunc12)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($readfunc12)+(3))|0)]=tempBigInt&0xff; //@line 176 "SpinSource/preprocess.c"
 var $18=$c2; //@line 177 "SpinSource/preprocess.c"
 var $19=$f; //@line 177 "SpinSource/preprocess.c"
 var $call13=_ungetc($18,$19); //@line 177 "SpinSource/preprocess.c"
 label=16;break; //@line 178 "SpinSource/preprocess.c"
 case 10: 
 var $20=$c0; //@line 178 "SpinSource/preprocess.c"
 var $cmp14=($20|0)==239; //@line 178 "SpinSource/preprocess.c"
 if($cmp14){label=11;break;}else{label=14;break;} //@line 178 "SpinSource/preprocess.c"
 case 11: 
 var $21=$c1; //@line 178 "SpinSource/preprocess.c"
 var $cmp16=($21|0)==187; //@line 178 "SpinSource/preprocess.c"
 if($cmp16){label=12;break;}else{label=14;break;} //@line 178 "SpinSource/preprocess.c"
 case 12: 
 var $22=$c2; //@line 178 "SpinSource/preprocess.c"
 var $cmp18=($22|0)==191; //@line 178 "SpinSource/preprocess.c"
 if($cmp18){label=13;break;}else{label=14;break;} //@line 178 "SpinSource/preprocess.c"
 case 13: 
 var $23=$A; //@line 179 "SpinSource/preprocess.c"
 var $readfunc20=(($23+16)|0); //@line 179 "SpinSource/preprocess.c"
 tempBigInt=12;HEAP8[($readfunc20)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($readfunc20)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($readfunc20)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($readfunc20)+(3))|0)]=tempBigInt&0xff; //@line 179 "SpinSource/preprocess.c"
 label=15;break; //@line 180 "SpinSource/preprocess.c"
 case 14: 
 var $24=$A; //@line 181 "SpinSource/preprocess.c"
 var $readfunc22=(($24+16)|0); //@line 181 "SpinSource/preprocess.c"
 tempBigInt=42;HEAP8[($readfunc22)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($readfunc22)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($readfunc22)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($readfunc22)+(3))|0)]=tempBigInt&0xff; //@line 181 "SpinSource/preprocess.c"
 var $25=$c2; //@line 182 "SpinSource/preprocess.c"
 var $26=$f; //@line 182 "SpinSource/preprocess.c"
 var $call23=_ungetc($25,$26); //@line 182 "SpinSource/preprocess.c"
 var $27=$c1; //@line 183 "SpinSource/preprocess.c"
 var $28=$f; //@line 183 "SpinSource/preprocess.c"
 var $call24=_ungetc($27,$28); //@line 183 "SpinSource/preprocess.c"
 label=15;break;
 case 15: 
 label=16;break;
 case 16: 
 var $29=$pp_addr; //@line 186 "SpinSource/preprocess.c"
 var $line27=(($29+4)|0); //@line 186 "SpinSource/preprocess.c"
 var $call28=__Z15flexbuf_addcharP7flexbufi($line27,239); //@line 186 "SpinSource/preprocess.c"
 var $30=$pp_addr; //@line 187 "SpinSource/preprocess.c"
 var $line29=(($30+4)|0); //@line 187 "SpinSource/preprocess.c"
 var $call30=__Z15flexbuf_addcharP7flexbufi($line29,187); //@line 187 "SpinSource/preprocess.c"
 var $31=$pp_addr; //@line 188 "SpinSource/preprocess.c"
 var $line31=(($31+4)|0); //@line 188 "SpinSource/preprocess.c"
 var $call32=__Z15flexbuf_addcharP7flexbufi($line31,191); //@line 188 "SpinSource/preprocess.c"
 var $32=$A; //@line 189 "SpinSource/preprocess.c"
 var $readfunc33=(($32+16)|0); //@line 189 "SpinSource/preprocess.c"
 var $33=((((HEAPU8[($readfunc33)])|(HEAPU8[((($readfunc33)+(1))|0)]<<8)|(HEAPU8[((($readfunc33)+(2))|0)]<<16)|(HEAPU8[((($readfunc33)+(3))|0)]<<24))|0)); //@line 189 "SpinSource/preprocess.c"
 var $cmp34=($33|0)==((42)|0); //@line 189 "SpinSource/preprocess.c"
 if($cmp34){label=17;break;}else{label=18;break;} //@line 189 "SpinSource/preprocess.c"
 case 17: 
 var $34=$pp_addr; //@line 190 "SpinSource/preprocess.c"
 var $line36=(($34+4)|0); //@line 190 "SpinSource/preprocess.c"
 var $35=$c0; //@line 190 "SpinSource/preprocess.c"
 var $call37=__Z15flexbuf_addcharP7flexbufi($line36,$35); //@line 190 "SpinSource/preprocess.c"
 label=18;break; //@line 191 "SpinSource/preprocess.c"
 case 18: 
 var $36=$c0; //@line 192 "SpinSource/preprocess.c"
 var $cmp39=($36|0)==10; //@line 192 "SpinSource/preprocess.c"
 if($cmp39){label=19;break;}else{label=20;break;} //@line 192 "SpinSource/preprocess.c"
 case 19: 
 var $37=$pp_addr; //@line 193 "SpinSource/preprocess.c"
 var $line41=(($37+4)|0); //@line 193 "SpinSource/preprocess.c"
 var $call42=__Z15flexbuf_addcharP7flexbufi($line41,0); //@line 193 "SpinSource/preprocess.c"
 $retval=1; //@line 194 "SpinSource/preprocess.c"
 label=29;break; //@line 194 "SpinSource/preprocess.c"
 case 20: 
 label=21;break; //@line 196 "SpinSource/preprocess.c"
 case 21: 
 label=22;break; //@line 197 "SpinSource/preprocess.c"
 case 22: 
 var $38=$A; //@line 198 "SpinSource/preprocess.c"
 var $readfunc45=(($38+16)|0); //@line 198 "SpinSource/preprocess.c"
 var $39=((((HEAPU8[($readfunc45)])|(HEAPU8[((($readfunc45)+(1))|0)]<<8)|(HEAPU8[((($readfunc45)+(2))|0)]<<16)|(HEAPU8[((($readfunc45)+(3))|0)]<<24))|0)); //@line 198 "SpinSource/preprocess.c"
 var $40=$f; //@line 198 "SpinSource/preprocess.c"
 var $arraydecay=(($buf)|0); //@line 198 "SpinSource/preprocess.c"
 var $call46=FUNCTION_TABLE[$39]($40,$arraydecay); //@line 198 "SpinSource/preprocess.c"
 $r=$call46; //@line 198 "SpinSource/preprocess.c"
 var $41=$r; //@line 199 "SpinSource/preprocess.c"
 var $cmp47=($41|0)<=0; //@line 199 "SpinSource/preprocess.c"
 if($cmp47){label=23;break;}else{label=24;break;} //@line 199 "SpinSource/preprocess.c"
 case 23: 
 label=28;break; //@line 199 "SpinSource/preprocess.c"
 case 24: 
 var $42=$r; //@line 200 "SpinSource/preprocess.c"
 var $43=$count; //@line 200 "SpinSource/preprocess.c"
 var $add=((($43)+($42))|0); //@line 200 "SpinSource/preprocess.c"
 $count=$add; //@line 200 "SpinSource/preprocess.c"
 var $44=$pp_addr; //@line 201 "SpinSource/preprocess.c"
 var $line50=(($44+4)|0); //@line 201 "SpinSource/preprocess.c"
 var $arraydecay51=(($buf)|0); //@line 201 "SpinSource/preprocess.c"
 var $45=$r; //@line 201 "SpinSource/preprocess.c"
 var $call52=__Z14flexbuf_addmemP7flexbufPKcj($line50,$arraydecay51,$45); //@line 201 "SpinSource/preprocess.c"
 var $46=$r; //@line 202 "SpinSource/preprocess.c"
 var $cmp53=($46|0)==1; //@line 202 "SpinSource/preprocess.c"
 if($cmp53){label=25;break;}else{label=27;break;} //@line 202 "SpinSource/preprocess.c"
 case 25: 
 var $arrayidx=(($buf)|0); //@line 202 "SpinSource/preprocess.c"
 var $47=HEAP8[($arrayidx)]; //@line 202 "SpinSource/preprocess.c"
 var $conv=(($47<<24)>>24); //@line 202 "SpinSource/preprocess.c"
 var $cmp55=($conv|0)==10; //@line 202 "SpinSource/preprocess.c"
 if($cmp55){label=26;break;}else{label=27;break;} //@line 202 "SpinSource/preprocess.c"
 case 26: 
 label=28;break; //@line 202 "SpinSource/preprocess.c"
 case 27: 
 label=22;break; //@line 203 "SpinSource/preprocess.c"
 case 28: 
 var $48=$pp_addr; //@line 204 "SpinSource/preprocess.c"
 var $line58=(($48+4)|0); //@line 204 "SpinSource/preprocess.c"
 var $call59=__Z15flexbuf_addcharP7flexbufi($line58,0); //@line 204 "SpinSource/preprocess.c"
 var $49=$count; //@line 205 "SpinSource/preprocess.c"
 $retval=$49; //@line 205 "SpinSource/preprocess.c"
 label=29;break; //@line 205 "SpinSource/preprocess.c"
 case 29: 
 var $50=$retval; //@line 206 "SpinSource/preprocess.c"
 STACKTOP=sp;return $50; //@line 206 "SpinSource/preprocess.c"
  default: assert(0, "bad label: " + label);
 }

}


function __Z7pp_initP10preprocessb($pp,$alternate){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $pp_addr;
 var $alternate_addr;
 $pp_addr=$pp;
 var $frombool=($alternate&1);
 $alternate_addr=$frombool;
 var $0=$pp_addr; //@line 266 "SpinSource/preprocess.c"
 var $1=$0; //@line 266 "SpinSource/preprocess.c"
 _memset($1, 0, 92)|0; //@line 266 "SpinSource/preprocess.c"
 var $2=$pp_addr; //@line 267 "SpinSource/preprocess.c"
 var $line=(($2+4)|0); //@line 267 "SpinSource/preprocess.c"
 __Z12flexbuf_initP7flexbufj($line,128); //@line 267 "SpinSource/preprocess.c"
 var $3=$pp_addr; //@line 268 "SpinSource/preprocess.c"
 var $whole=(($3+20)|0); //@line 268 "SpinSource/preprocess.c"
 __Z12flexbuf_initP7flexbufj($whole,102400); //@line 268 "SpinSource/preprocess.c"
 var $4=$pp_addr; //@line 270 "SpinSource/preprocess.c"
 var $errfunc=(($4+60)|0); //@line 270 "SpinSource/preprocess.c"
 tempBigInt=44;HEAP8[($errfunc)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($errfunc)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($errfunc)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($errfunc)+(3))|0)]=tempBigInt&0xff; //@line 270 "SpinSource/preprocess.c"
 var $5=$pp_addr; //@line 271 "SpinSource/preprocess.c"
 var $warnfunc=(($5+64)|0); //@line 271 "SpinSource/preprocess.c"
 tempBigInt=44;HEAP8[($warnfunc)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($warnfunc)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($warnfunc)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($warnfunc)+(3))|0)]=tempBigInt&0xff; //@line 271 "SpinSource/preprocess.c"
 var $6=$pp_addr; //@line 272 "SpinSource/preprocess.c"
 var $errarg=(($6+68)|0); //@line 272 "SpinSource/preprocess.c"
 tempBigInt=3864;HEAP8[($errarg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($errarg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($errarg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($errarg)+(3))|0)]=tempBigInt&0xff; //@line 272 "SpinSource/preprocess.c"
 var $7=$pp_addr; //@line 273 "SpinSource/preprocess.c"
 var $warnarg=(($7+72)|0); //@line 273 "SpinSource/preprocess.c"
 tempBigInt=8240;HEAP8[($warnarg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($warnarg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($warnarg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($warnarg)+(3))|0)]=tempBigInt&0xff; //@line 273 "SpinSource/preprocess.c"
 var $8=$alternate_addr; //@line 274 "SpinSource/preprocess.c"
 var $tobool=(($8)&1); //@line 274 "SpinSource/preprocess.c"
 var $9=$pp_addr; //@line 274 "SpinSource/preprocess.c"
 var $alternate1=(($9+88)|0); //@line 274 "SpinSource/preprocess.c"
 var $frombool2=($tobool&1); //@line 274 "SpinSource/preprocess.c"
 HEAP8[($alternate1)]=$frombool2; //@line 274 "SpinSource/preprocess.c"
 STACKTOP=sp;return; //@line 275 "SpinSource/preprocess.c"
}


function __Z19pp_push_file_structP10preprocessP8_IO_FILEPKc($pp,$f,$filename){
 var label=0;
 var tempVarArgs=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $pp_addr;
 var $f_addr;
 var $filename_addr;
 var $A;
 $pp_addr=$pp;
 $f_addr=$f;
 $filename_addr=$filename;
 var $call=_calloc(1,24); //@line 289 "SpinSource/preprocess.c"
 var $0=$call; //@line 289 "SpinSource/preprocess.c"
 $A=$0; //@line 289 "SpinSource/preprocess.c"
 var $1=$A; //@line 290 "SpinSource/preprocess.c"
 var $tobool=($1|0)!=0; //@line 290 "SpinSource/preprocess.c"
 if($tobool){label=3;break;}else{label=2;break;} //@line 290 "SpinSource/preprocess.c"
 case 2: 
 var $2=$pp_addr; //@line 291 "SpinSource/preprocess.c"
 __ZL7doerrorP10preprocessPKcz($2,6296,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 1)|0,STACKTOP = (((STACKTOP)+7)&-8),(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=0,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 291 "SpinSource/preprocess.c"
 label=4;break; //@line 292 "SpinSource/preprocess.c"
 case 3: 
 var $3=$A; //@line 294 "SpinSource/preprocess.c"
 var $lineno=(($3+12)|0); //@line 294 "SpinSource/preprocess.c"
 tempBigInt=0;HEAP8[($lineno)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($lineno)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($lineno)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($lineno)+(3))|0)]=tempBigInt&0xff; //@line 294 "SpinSource/preprocess.c"
 var $4=$f_addr; //@line 295 "SpinSource/preprocess.c"
 var $5=$A; //@line 295 "SpinSource/preprocess.c"
 var $f1=(($5+4)|0); //@line 295 "SpinSource/preprocess.c"
 tempBigInt=$4;HEAP8[($f1)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($f1)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($f1)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($f1)+(3))|0)]=tempBigInt&0xff; //@line 295 "SpinSource/preprocess.c"
 var $6=$pp_addr; //@line 296 "SpinSource/preprocess.c"
 var $fil=(($6)|0); //@line 296 "SpinSource/preprocess.c"
 var $7=((((HEAPU8[($fil)])|(HEAPU8[((($fil)+(1))|0)]<<8)|(HEAPU8[((($fil)+(2))|0)]<<16)|(HEAPU8[((($fil)+(3))|0)]<<24))|0)); //@line 296 "SpinSource/preprocess.c"
 var $8=$A; //@line 296 "SpinSource/preprocess.c"
 var $next=(($8)|0); //@line 296 "SpinSource/preprocess.c"
 tempBigInt=$7;HEAP8[($next)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($next)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($next)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($next)+(3))|0)]=tempBigInt&0xff; //@line 296 "SpinSource/preprocess.c"
 var $9=$filename_addr; //@line 297 "SpinSource/preprocess.c"
 var $10=$A; //@line 297 "SpinSource/preprocess.c"
 var $name=(($10+8)|0); //@line 297 "SpinSource/preprocess.c"
 tempBigInt=$9;HEAP8[($name)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($name)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($name)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($name)+(3))|0)]=tempBigInt&0xff; //@line 297 "SpinSource/preprocess.c"
 var $11=$A; //@line 298 "SpinSource/preprocess.c"
 var $12=$pp_addr; //@line 298 "SpinSource/preprocess.c"
 var $fil2=(($12)|0); //@line 298 "SpinSource/preprocess.c"
 tempBigInt=$11;HEAP8[($fil2)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fil2)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fil2)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fil2)+(3))|0)]=tempBigInt&0xff; //@line 298 "SpinSource/preprocess.c"
 label=4;break; //@line 299 "SpinSource/preprocess.c"
 case 4: 
 STACKTOP=sp;return; //@line 299 "SpinSource/preprocess.c"
  default: assert(0, "bad label: " + label);
 }

}


function __Z12pp_push_fileP10preprocessPKc($pp,$name){
 var label=0;
 var tempVarArgs=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $pp_addr;
 var $name_addr;
 var $f;
 var $entry1;
 $pp_addr=$pp;
 $name_addr=$name;
 var $0=$name_addr; //@line 306 "SpinSource/preprocess.c"
 var $call=_fopen($0,5024); //@line 306 "SpinSource/preprocess.c"
 $f=$call; //@line 306 "SpinSource/preprocess.c"
 var $1=$f; //@line 307 "SpinSource/preprocess.c"
 var $tobool=($1|0)!=0; //@line 307 "SpinSource/preprocess.c"
 if($tobool){label=9;break;}else{label=2;break;} //@line 307 "SpinSource/preprocess.c"
 case 2: 
 var $2=((((HEAPU8[(19664)])|(HEAPU8[(19665)]<<8)|(HEAPU8[(19666)]<<16)|(HEAPU8[(19667)]<<24))|0)); //@line 309 "SpinSource/preprocess.c"
 $entry1=$2; //@line 309 "SpinSource/preprocess.c"
 label=3;break; //@line 309 "SpinSource/preprocess.c"
 case 3: 
 var $3=$entry1; //@line 309 "SpinSource/preprocess.c"
 var $cmp=($3|0)!=0; //@line 309 "SpinSource/preprocess.c"
 if($cmp){label=4;break;}else{label=8;break;} //@line 309 "SpinSource/preprocess.c"
 case 4: 
 var $4=$entry1; //@line 311 "SpinSource/preprocess.c"
 var $5=$name_addr; //@line 311 "SpinSource/preprocess.c"
 var $call2=__Z8MakePathP9PathEntryPKc($4,$5); //@line 311 "SpinSource/preprocess.c"
 var $call3=_fopen($call2,5024); //@line 311 "SpinSource/preprocess.c"
 $f=$call3; //@line 311 "SpinSource/preprocess.c"
 var $6=$f; //@line 312 "SpinSource/preprocess.c"
 var $cmp4=($6|0)!=0; //@line 312 "SpinSource/preprocess.c"
 if($cmp4){label=5;break;}else{label=6;break;} //@line 312 "SpinSource/preprocess.c"
 case 5: 
 label=8;break; //@line 314 "SpinSource/preprocess.c"
 case 6: 
 label=7;break; //@line 316 "SpinSource/preprocess.c"
 case 7: 
 var $7=$entry1; //@line 309 "SpinSource/preprocess.c"
 var $next=(($7)|0); //@line 309 "SpinSource/preprocess.c"
 var $8=((((HEAPU8[($next)])|(HEAPU8[((($next)+(1))|0)]<<8)|(HEAPU8[((($next)+(2))|0)]<<16)|(HEAPU8[((($next)+(3))|0)]<<24))|0)); //@line 309 "SpinSource/preprocess.c"
 $entry1=$8; //@line 309 "SpinSource/preprocess.c"
 label=3;break; //@line 309 "SpinSource/preprocess.c"
 case 8: 
 label=9;break; //@line 317 "SpinSource/preprocess.c"
 case 9: 
 var $9=$f; //@line 318 "SpinSource/preprocess.c"
 var $tobool7=($9|0)!=0; //@line 318 "SpinSource/preprocess.c"
 if($tobool7){label=11;break;}else{label=10;break;} //@line 318 "SpinSource/preprocess.c"
 case 10: 
 var $10=$pp_addr; //@line 319 "SpinSource/preprocess.c"
 var $11=$name_addr; //@line 319 "SpinSource/preprocess.c"
 __ZL7doerrorP10preprocessPKcz($10,3496,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 8)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=$11,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 319 "SpinSource/preprocess.c"
 label=12;break; //@line 320 "SpinSource/preprocess.c"
 case 11: 
 var $12=$pp_addr; //@line 322 "SpinSource/preprocess.c"
 var $13=$f; //@line 322 "SpinSource/preprocess.c"
 var $14=$name_addr; //@line 322 "SpinSource/preprocess.c"
 __Z19pp_push_file_structP10preprocessP8_IO_FILEPKc($12,$13,$14); //@line 322 "SpinSource/preprocess.c"
 var $15=$pp_addr; //@line 323 "SpinSource/preprocess.c"
 var $fil=(($15)|0); //@line 323 "SpinSource/preprocess.c"
 var $16=((((HEAPU8[($fil)])|(HEAPU8[((($fil)+(1))|0)]<<8)|(HEAPU8[((($fil)+(2))|0)]<<16)|(HEAPU8[((($fil)+(3))|0)]<<24))|0)); //@line 323 "SpinSource/preprocess.c"
 var $flags=(($16+20)|0); //@line 323 "SpinSource/preprocess.c"
 var $17=((((HEAPU8[($flags)])|(HEAPU8[((($flags)+(1))|0)]<<8)|(HEAPU8[((($flags)+(2))|0)]<<16)|(HEAPU8[((($flags)+(3))|0)]<<24))|0)); //@line 323 "SpinSource/preprocess.c"
 var $or=$17|1; //@line 323 "SpinSource/preprocess.c"
 tempBigInt=$or;HEAP8[($flags)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($flags)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($flags)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($flags)+(3))|0)]=tempBigInt&0xff; //@line 323 "SpinSource/preprocess.c"
 label=12;break; //@line 324 "SpinSource/preprocess.c"
 case 12: 
 STACKTOP=sp;return; //@line 324 "SpinSource/preprocess.c"
  default: assert(0, "bad label: " + label);
 }

}


function __Z11pp_pop_fileP10preprocess($pp){
 var label=0;
 var tempVarArgs=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $pp_addr;
 var $A;
 var $I;
 var $PI;
 $pp_addr=$pp;
 $PI=0; //@line 335 "SpinSource/preprocess.c"
 var $0=$pp_addr; //@line 336 "SpinSource/preprocess.c"
 var $ifs=(($0+40)|0); //@line 336 "SpinSource/preprocess.c"
 var $1=((((HEAPU8[($ifs)])|(HEAPU8[((($ifs)+(1))|0)]<<8)|(HEAPU8[((($ifs)+(2))|0)]<<16)|(HEAPU8[((($ifs)+(3))|0)]<<24))|0)); //@line 336 "SpinSource/preprocess.c"
 $I=$1; //@line 336 "SpinSource/preprocess.c"
 label=2;break; //@line 337 "SpinSource/preprocess.c"
 case 2: 
 var $2=$I; //@line 337 "SpinSource/preprocess.c"
 var $tobool=($2|0)!=0; //@line 337 "SpinSource/preprocess.c"
 if($tobool){label=3;break;}else{label=10;break;} //@line 337 "SpinSource/preprocess.c"
 case 3: 
 var $3=$pp_addr; //@line 338 "SpinSource/preprocess.c"
 var $fil=(($3)|0); //@line 338 "SpinSource/preprocess.c"
 var $4=((((HEAPU8[($fil)])|(HEAPU8[((($fil)+(1))|0)]<<8)|(HEAPU8[((($fil)+(2))|0)]<<16)|(HEAPU8[((($fil)+(3))|0)]<<24))|0)); //@line 338 "SpinSource/preprocess.c"
 var $name=(($4+8)|0); //@line 338 "SpinSource/preprocess.c"
 var $5=((((HEAPU8[($name)])|(HEAPU8[((($name)+(1))|0)]<<8)|(HEAPU8[((($name)+(2))|0)]<<16)|(HEAPU8[((($name)+(3))|0)]<<24))|0)); //@line 338 "SpinSource/preprocess.c"
 var $6=$I; //@line 338 "SpinSource/preprocess.c"
 var $name1=(($6+8)|0); //@line 338 "SpinSource/preprocess.c"
 var $7=((((HEAPU8[($name1)])|(HEAPU8[((($name1)+(1))|0)]<<8)|(HEAPU8[((($name1)+(2))|0)]<<16)|(HEAPU8[((($name1)+(3))|0)]<<24))|0)); //@line 338 "SpinSource/preprocess.c"
 var $call=_strcmp($5,$7); //@line 338 "SpinSource/preprocess.c"
 var $cmp=($call|0)==0; //@line 338 "SpinSource/preprocess.c"
 if($cmp){label=4;break;}else{label=8;break;} //@line 338 "SpinSource/preprocess.c"
 case 4: 
 var $8=$pp_addr; //@line 339 "SpinSource/preprocess.c"
 var $9=$I; //@line 339 "SpinSource/preprocess.c"
 var $linenum=(($9+12)|0); //@line 339 "SpinSource/preprocess.c"
 var $10=((((HEAPU8[($linenum)])|(HEAPU8[((($linenum)+(1))|0)]<<8)|(HEAPU8[((($linenum)+(2))|0)]<<16)|(HEAPU8[((($linenum)+(3))|0)]<<24))|0)); //@line 339 "SpinSource/preprocess.c"
 __ZL7doerrorP10preprocessPKcz($8,3016,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 8)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=$10,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 339 "SpinSource/preprocess.c"
 var $11=$PI; //@line 340 "SpinSource/preprocess.c"
 var $cmp2=($11|0)==0; //@line 340 "SpinSource/preprocess.c"
 if($cmp2){label=5;break;}else{label=6;break;} //@line 340 "SpinSource/preprocess.c"
 case 5: 
 var $12=$I; //@line 341 "SpinSource/preprocess.c"
 var $next=(($12)|0); //@line 341 "SpinSource/preprocess.c"
 var $13=((((HEAPU8[($next)])|(HEAPU8[((($next)+(1))|0)]<<8)|(HEAPU8[((($next)+(2))|0)]<<16)|(HEAPU8[((($next)+(3))|0)]<<24))|0)); //@line 341 "SpinSource/preprocess.c"
 var $14=$pp_addr; //@line 341 "SpinSource/preprocess.c"
 var $ifs4=(($14+40)|0); //@line 341 "SpinSource/preprocess.c"
 tempBigInt=$13;HEAP8[($ifs4)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($ifs4)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($ifs4)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($ifs4)+(3))|0)]=tempBigInt&0xff; //@line 341 "SpinSource/preprocess.c"
 var $15=$I; //@line 342 "SpinSource/preprocess.c"
 var $16=$15; //@line 342 "SpinSource/preprocess.c"
 _free($16); //@line 342 "SpinSource/preprocess.c"
 var $17=$pp_addr; //@line 343 "SpinSource/preprocess.c"
 var $ifs5=(($17+40)|0); //@line 343 "SpinSource/preprocess.c"
 var $18=((((HEAPU8[($ifs5)])|(HEAPU8[((($ifs5)+(1))|0)]<<8)|(HEAPU8[((($ifs5)+(2))|0)]<<16)|(HEAPU8[((($ifs5)+(3))|0)]<<24))|0)); //@line 343 "SpinSource/preprocess.c"
 $I=$18; //@line 343 "SpinSource/preprocess.c"
 label=7;break; //@line 344 "SpinSource/preprocess.c"
 case 6: 
 var $19=$I; //@line 346 "SpinSource/preprocess.c"
 var $next6=(($19)|0); //@line 346 "SpinSource/preprocess.c"
 var $20=((((HEAPU8[($next6)])|(HEAPU8[((($next6)+(1))|0)]<<8)|(HEAPU8[((($next6)+(2))|0)]<<16)|(HEAPU8[((($next6)+(3))|0)]<<24))|0)); //@line 346 "SpinSource/preprocess.c"
 var $21=$PI; //@line 346 "SpinSource/preprocess.c"
 var $next7=(($21)|0); //@line 346 "SpinSource/preprocess.c"
 tempBigInt=$20;HEAP8[($next7)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($next7)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($next7)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($next7)+(3))|0)]=tempBigInt&0xff; //@line 346 "SpinSource/preprocess.c"
 var $22=$I; //@line 347 "SpinSource/preprocess.c"
 var $23=$22; //@line 347 "SpinSource/preprocess.c"
 _free($23); //@line 347 "SpinSource/preprocess.c"
 var $24=$PI; //@line 348 "SpinSource/preprocess.c"
 var $next8=(($24)|0); //@line 348 "SpinSource/preprocess.c"
 var $25=((((HEAPU8[($next8)])|(HEAPU8[((($next8)+(1))|0)]<<8)|(HEAPU8[((($next8)+(2))|0)]<<16)|(HEAPU8[((($next8)+(3))|0)]<<24))|0)); //@line 348 "SpinSource/preprocess.c"
 $I=$25; //@line 348 "SpinSource/preprocess.c"
 label=7;break;
 case 7: 
 label=9;break; //@line 350 "SpinSource/preprocess.c"
 case 8: 
 var $26=$I; //@line 352 "SpinSource/preprocess.c"
 $PI=$26; //@line 352 "SpinSource/preprocess.c"
 var $27=$I; //@line 353 "SpinSource/preprocess.c"
 var $next10=(($27)|0); //@line 353 "SpinSource/preprocess.c"
 var $28=((((HEAPU8[($next10)])|(HEAPU8[((($next10)+(1))|0)]<<8)|(HEAPU8[((($next10)+(2))|0)]<<16)|(HEAPU8[((($next10)+(3))|0)]<<24))|0)); //@line 353 "SpinSource/preprocess.c"
 $I=$28; //@line 353 "SpinSource/preprocess.c"
 label=9;break;
 case 9: 
 label=2;break; //@line 355 "SpinSource/preprocess.c"
 case 10: 
 var $29=$pp_addr; //@line 356 "SpinSource/preprocess.c"
 var $fil12=(($29)|0); //@line 356 "SpinSource/preprocess.c"
 var $30=((((HEAPU8[($fil12)])|(HEAPU8[((($fil12)+(1))|0)]<<8)|(HEAPU8[((($fil12)+(2))|0)]<<16)|(HEAPU8[((($fil12)+(3))|0)]<<24))|0)); //@line 356 "SpinSource/preprocess.c"
 $A=$30; //@line 356 "SpinSource/preprocess.c"
 var $31=$A; //@line 357 "SpinSource/preprocess.c"
 var $tobool13=($31|0)!=0; //@line 357 "SpinSource/preprocess.c"
 if($tobool13){label=11;break;}else{label=14;break;} //@line 357 "SpinSource/preprocess.c"
 case 11: 
 var $32=$A; //@line 358 "SpinSource/preprocess.c"
 var $next15=(($32)|0); //@line 358 "SpinSource/preprocess.c"
 var $33=((((HEAPU8[($next15)])|(HEAPU8[((($next15)+(1))|0)]<<8)|(HEAPU8[((($next15)+(2))|0)]<<16)|(HEAPU8[((($next15)+(3))|0)]<<24))|0)); //@line 358 "SpinSource/preprocess.c"
 var $34=$pp_addr; //@line 358 "SpinSource/preprocess.c"
 var $fil16=(($34)|0); //@line 358 "SpinSource/preprocess.c"
 tempBigInt=$33;HEAP8[($fil16)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fil16)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fil16)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fil16)+(3))|0)]=tempBigInt&0xff; //@line 358 "SpinSource/preprocess.c"
 var $35=$A; //@line 359 "SpinSource/preprocess.c"
 var $flags=(($35+20)|0); //@line 359 "SpinSource/preprocess.c"
 var $36=((((HEAPU8[($flags)])|(HEAPU8[((($flags)+(1))|0)]<<8)|(HEAPU8[((($flags)+(2))|0)]<<16)|(HEAPU8[((($flags)+(3))|0)]<<24))|0)); //@line 359 "SpinSource/preprocess.c"
 var $and=$36&1; //@line 359 "SpinSource/preprocess.c"
 var $tobool17=($and|0)!=0; //@line 359 "SpinSource/preprocess.c"
 if($tobool17){label=12;break;}else{label=13;break;} //@line 359 "SpinSource/preprocess.c"
 case 12: 
 var $37=$A; //@line 360 "SpinSource/preprocess.c"
 var $f=(($37+4)|0); //@line 360 "SpinSource/preprocess.c"
 var $38=((((HEAPU8[($f)])|(HEAPU8[((($f)+(1))|0)]<<8)|(HEAPU8[((($f)+(2))|0)]<<16)|(HEAPU8[((($f)+(3))|0)]<<24))|0)); //@line 360 "SpinSource/preprocess.c"
 var $call19=_fclose($38); //@line 360 "SpinSource/preprocess.c"
 label=13;break; //@line 360 "SpinSource/preprocess.c"
 case 13: 
 var $39=$A; //@line 361 "SpinSource/preprocess.c"
 var $40=$39; //@line 361 "SpinSource/preprocess.c"
 _free($40); //@line 361 "SpinSource/preprocess.c"
 label=14;break; //@line 362 "SpinSource/preprocess.c"
 case 14: 
 STACKTOP=sp;return; //@line 363 "SpinSource/preprocess.c"
  default: assert(0, "bad label: " + label);
 }

}


function __Z9pp_defineP10preprocessPKcS2_($pp,$name,$str){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $pp_addr;
 var $name_addr;
 var $str_addr;
 $pp_addr=$pp;
 $name_addr=$name;
 $str_addr=$str;
 var $0=$pp_addr; //@line 390 "SpinSource/preprocess.c"
 var $1=$name_addr; //@line 390 "SpinSource/preprocess.c"
 var $2=$str_addr; //@line 390 "SpinSource/preprocess.c"
 __ZL18pp_define_internalP10preprocessPKcS2_i($0,$1,$2,0); //@line 390 "SpinSource/preprocess.c"
 STACKTOP=sp;return; //@line 391 "SpinSource/preprocess.c"
}


function __Z9pp_getdefP10preprocessPKc($pp,$name){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $pp_addr;
 var $name_addr;
 var $X;
 var $def;
 $pp_addr=$pp;
 $name_addr=$name;
 $def=0; //@line 402 "SpinSource/preprocess.c"
 var $0=$pp_addr; //@line 403 "SpinSource/preprocess.c"
 var $defs=(($0+36)|0); //@line 403 "SpinSource/preprocess.c"
 var $1=((((HEAPU8[($defs)])|(HEAPU8[((($defs)+(1))|0)]<<8)|(HEAPU8[((($defs)+(2))|0)]<<16)|(HEAPU8[((($defs)+(3))|0)]<<24))|0)); //@line 403 "SpinSource/preprocess.c"
 $X=$1; //@line 403 "SpinSource/preprocess.c"
 label=2;break; //@line 404 "SpinSource/preprocess.c"
 case 2: 
 var $2=$X; //@line 404 "SpinSource/preprocess.c"
 var $tobool=($2|0)!=0; //@line 404 "SpinSource/preprocess.c"
 if($tobool){label=3;break;}else{label=6;break;} //@line 404 "SpinSource/preprocess.c"
 case 3: 
 var $3=$X; //@line 405 "SpinSource/preprocess.c"
 var $name1=(($3+4)|0); //@line 405 "SpinSource/preprocess.c"
 var $4=((((HEAPU8[($name1)])|(HEAPU8[((($name1)+(1))|0)]<<8)|(HEAPU8[((($name1)+(2))|0)]<<16)|(HEAPU8[((($name1)+(3))|0)]<<24))|0)); //@line 405 "SpinSource/preprocess.c"
 var $5=$name_addr; //@line 405 "SpinSource/preprocess.c"
 var $call=_strcmp($4,$5); //@line 405 "SpinSource/preprocess.c"
 var $tobool2=($call|0)!=0; //@line 405 "SpinSource/preprocess.c"
 if($tobool2){label=5;break;}else{label=4;break;} //@line 405 "SpinSource/preprocess.c"
 case 4: 
 var $6=$X; //@line 406 "SpinSource/preprocess.c"
 var $def3=(($6+8)|0); //@line 406 "SpinSource/preprocess.c"
 var $7=((((HEAPU8[($def3)])|(HEAPU8[((($def3)+(1))|0)]<<8)|(HEAPU8[((($def3)+(2))|0)]<<16)|(HEAPU8[((($def3)+(3))|0)]<<24))|0)); //@line 406 "SpinSource/preprocess.c"
 $def=$7; //@line 406 "SpinSource/preprocess.c"
 label=6;break; //@line 407 "SpinSource/preprocess.c"
 case 5: 
 var $8=$X; //@line 409 "SpinSource/preprocess.c"
 var $next=(($8)|0); //@line 409 "SpinSource/preprocess.c"
 var $9=((((HEAPU8[($next)])|(HEAPU8[((($next)+(1))|0)]<<8)|(HEAPU8[((($next)+(2))|0)]<<16)|(HEAPU8[((($next)+(3))|0)]<<24))|0)); //@line 409 "SpinSource/preprocess.c"
 $X=$9; //@line 409 "SpinSource/preprocess.c"
 label=2;break; //@line 410 "SpinSource/preprocess.c"
 case 6: 
 var $10=$def; //@line 411 "SpinSource/preprocess.c"
 STACKTOP=sp;return $10; //@line 411 "SpinSource/preprocess.c"
  default: assert(0, "bad label: " + label);
 }

}


function __Z6pp_runP10preprocess($pp){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $pp_addr;
 var $linelen;
 var $line;
 $pp_addr=$pp;
 label=2;break; //@line 857 "SpinSource/preprocess.c"
 case 2: 
 var $0=$pp_addr; //@line 857 "SpinSource/preprocess.c"
 var $fil=(($0)|0); //@line 857 "SpinSource/preprocess.c"
 var $1=((((HEAPU8[($fil)])|(HEAPU8[((($fil)+(1))|0)]<<8)|(HEAPU8[((($fil)+(2))|0)]<<16)|(HEAPU8[((($fil)+(3))|0)]<<24))|0)); //@line 857 "SpinSource/preprocess.c"
 var $tobool=($1|0)!=0; //@line 857 "SpinSource/preprocess.c"
 if($tobool){label=3;break;}else{label=11;break;} //@line 857 "SpinSource/preprocess.c"
 case 3: 
 label=4;break; //@line 858 "SpinSource/preprocess.c"
 case 4: 
 var $2=$pp_addr; //@line 859 "SpinSource/preprocess.c"
 var $call=__Z11pp_nextlineP10preprocess($2); //@line 859 "SpinSource/preprocess.c"
 $linelen=$call; //@line 859 "SpinSource/preprocess.c"
 var $3=$linelen; //@line 860 "SpinSource/preprocess.c"
 var $cmp=($3|0)<=0; //@line 860 "SpinSource/preprocess.c"
 if($cmp){label=5;break;}else{label=6;break;} //@line 860 "SpinSource/preprocess.c"
 case 5: 
 label=10;break; //@line 860 "SpinSource/preprocess.c"
 case 6: 
 var $4=$pp_addr; //@line 862 "SpinSource/preprocess.c"
 var $call1=__ZL7do_lineP10preprocess($4); //@line 862 "SpinSource/preprocess.c"
 $linelen=$call1; //@line 862 "SpinSource/preprocess.c"
 var $5=$linelen; //@line 864 "SpinSource/preprocess.c"
 var $cmp2=($5|0)==0; //@line 864 "SpinSource/preprocess.c"
 if($cmp2){label=7;break;}else{label=8;break;} //@line 864 "SpinSource/preprocess.c"
 case 7: 
 var $6=$pp_addr; //@line 866 "SpinSource/preprocess.c"
 var $whole=(($6+20)|0); //@line 866 "SpinSource/preprocess.c"
 var $call4=__Z15flexbuf_addcharP7flexbufi($whole,10); //@line 866 "SpinSource/preprocess.c"
 label=9;break; //@line 867 "SpinSource/preprocess.c"
 case 8: 
 var $7=$pp_addr; //@line 868 "SpinSource/preprocess.c"
 var $line5=(($7+4)|0); //@line 868 "SpinSource/preprocess.c"
 var $call6=__Z11flexbuf_getP7flexbuf($line5); //@line 868 "SpinSource/preprocess.c"
 $line=$call6; //@line 868 "SpinSource/preprocess.c"
 var $8=$pp_addr; //@line 869 "SpinSource/preprocess.c"
 var $whole7=(($8+20)|0); //@line 869 "SpinSource/preprocess.c"
 var $9=$line; //@line 869 "SpinSource/preprocess.c"
 var $call8=__Z14flexbuf_addstrP7flexbufPKc($whole7,$9); //@line 869 "SpinSource/preprocess.c"
 label=9;break;
 case 9: 
 label=4;break; //@line 871 "SpinSource/preprocess.c"
 case 10: 
 var $10=$pp_addr; //@line 872 "SpinSource/preprocess.c"
 __Z11pp_pop_fileP10preprocess($10); //@line 872 "SpinSource/preprocess.c"
 label=2;break; //@line 873 "SpinSource/preprocess.c"
 case 11: 
 STACKTOP=sp;return; //@line 874 "SpinSource/preprocess.c"
  default: assert(0, "bad label: " + label);
 }

}


function __Z9pp_finishP10preprocess($pp){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $pp_addr;
 $pp_addr=$pp;
 var $0=$pp_addr; //@line 879 "SpinSource/preprocess.c"
 var $whole=(($0+20)|0); //@line 879 "SpinSource/preprocess.c"
 var $call=__Z15flexbuf_addcharP7flexbufi($whole,0); //@line 879 "SpinSource/preprocess.c"
 var $1=$pp_addr; //@line 880 "SpinSource/preprocess.c"
 var $whole1=(($1+20)|0); //@line 880 "SpinSource/preprocess.c"
 var $call2=__Z11flexbuf_getP7flexbuf($whole1); //@line 880 "SpinSource/preprocess.c"
 STACKTOP=sp;return $call2; //@line 880 "SpinSource/preprocess.c"
}


function __Z14pp_setcommentsP10preprocessPKcS2_S2_($pp,$line,$start,$end){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $pp_addr;
 var $line_addr;
 var $start_addr;
 var $end_addr;
 $pp_addr=$pp;
 $line_addr=$line;
 $start_addr=$start;
 $end_addr=$end;
 var $0=$line_addr; //@line 889 "SpinSource/preprocess.c"
 var $1=$pp_addr; //@line 889 "SpinSource/preprocess.c"
 var $linecomment=(($1+44)|0); //@line 889 "SpinSource/preprocess.c"
 tempBigInt=$0;HEAP8[($linecomment)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($linecomment)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($linecomment)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($linecomment)+(3))|0)]=tempBigInt&0xff; //@line 889 "SpinSource/preprocess.c"
 var $2=$start_addr; //@line 890 "SpinSource/preprocess.c"
 var $3=$pp_addr; //@line 890 "SpinSource/preprocess.c"
 var $startcomment=(($3+48)|0); //@line 890 "SpinSource/preprocess.c"
 tempBigInt=$2;HEAP8[($startcomment)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($startcomment)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($startcomment)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($startcomment)+(3))|0)]=tempBigInt&0xff; //@line 890 "SpinSource/preprocess.c"
 var $4=$end_addr; //@line 891 "SpinSource/preprocess.c"
 var $5=$pp_addr; //@line 891 "SpinSource/preprocess.c"
 var $endcomment=(($5+52)|0); //@line 891 "SpinSource/preprocess.c"
 tempBigInt=$4;HEAP8[($endcomment)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($endcomment)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($endcomment)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($endcomment)+(3))|0)]=tempBigInt&0xff; //@line 891 "SpinSource/preprocess.c"
 STACKTOP=sp;return; //@line 892 "SpinSource/preprocess.c"
}


function __Z19pp_get_define_stateP10preprocess($pp){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $pp_addr;
 $pp_addr=$pp;
 var $0=$pp_addr; //@line 902 "SpinSource/preprocess.c"
 var $defs=(($0+36)|0); //@line 902 "SpinSource/preprocess.c"
 var $1=((((HEAPU8[($defs)])|(HEAPU8[((($defs)+(1))|0)]<<8)|(HEAPU8[((($defs)+(2))|0)]<<16)|(HEAPU8[((($defs)+(3))|0)]<<24))|0)); //@line 902 "SpinSource/preprocess.c"
 var $2=$1; //@line 902 "SpinSource/preprocess.c"
 STACKTOP=sp;return $2; //@line 902 "SpinSource/preprocess.c"
}


function __Z23pp_restore_define_stateP10preprocessPv($pp,$vp){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $pp_addr;
 var $vp_addr;
 var $where;
 var $x;
 var $old;
 $pp_addr=$pp;
 $vp_addr=$vp;
 var $0=$vp_addr; //@line 908 "SpinSource/preprocess.c"
 var $1=$0; //@line 908 "SpinSource/preprocess.c"
 $where=$1; //@line 908 "SpinSource/preprocess.c"
 var $2=$pp_addr; //@line 911 "SpinSource/preprocess.c"
 var $defs=(($2+36)|0); //@line 911 "SpinSource/preprocess.c"
 var $3=((((HEAPU8[($defs)])|(HEAPU8[((($defs)+(1))|0)]<<8)|(HEAPU8[((($defs)+(2))|0)]<<16)|(HEAPU8[((($defs)+(3))|0)]<<24))|0)); //@line 911 "SpinSource/preprocess.c"
 $x=$3; //@line 911 "SpinSource/preprocess.c"
 label=2;break; //@line 912 "SpinSource/preprocess.c"
 case 2: 
 var $4=$x; //@line 912 "SpinSource/preprocess.c"
 var $tobool=($4|0)!=0; //@line 912 "SpinSource/preprocess.c"
 if($tobool){label=3;break;}else{var $7=0;label=4;break;} //@line 912 "SpinSource/preprocess.c"
 case 3: 
 var $5=$x; //@line 912 "SpinSource/preprocess.c"
 var $6=$where; //@line 912 "SpinSource/preprocess.c"
 var $cmp=($5|0)!=($6|0); //@line 912 "SpinSource/preprocess.c"
 var $7=$cmp;label=4;break;
 case 4: 
 var $7;
 if($7){label=5;break;}else{label=10;break;}
 case 5: 
 var $8=$x; //@line 913 "SpinSource/preprocess.c"
 $old=$8; //@line 913 "SpinSource/preprocess.c"
 var $9=$old; //@line 914 "SpinSource/preprocess.c"
 var $next=(($9)|0); //@line 914 "SpinSource/preprocess.c"
 var $10=((((HEAPU8[($next)])|(HEAPU8[((($next)+(1))|0)]<<8)|(HEAPU8[((($next)+(2))|0)]<<16)|(HEAPU8[((($next)+(3))|0)]<<24))|0)); //@line 914 "SpinSource/preprocess.c"
 $x=$10; //@line 914 "SpinSource/preprocess.c"
 var $11=$old; //@line 915 "SpinSource/preprocess.c"
 var $flags=(($11+12)|0); //@line 915 "SpinSource/preprocess.c"
 var $12=((((HEAPU8[($flags)])|(HEAPU8[((($flags)+(1))|0)]<<8)|(HEAPU8[((($flags)+(2))|0)]<<16)|(HEAPU8[((($flags)+(3))|0)]<<24))|0)); //@line 915 "SpinSource/preprocess.c"
 var $and=$12&1; //@line 915 "SpinSource/preprocess.c"
 var $tobool1=($and|0)!=0; //@line 915 "SpinSource/preprocess.c"
 if($tobool1){label=6;break;}else{label=9;break;} //@line 915 "SpinSource/preprocess.c"
 case 6: 
 var $13=$old; //@line 917 "SpinSource/preprocess.c"
 var $name=(($13+4)|0); //@line 917 "SpinSource/preprocess.c"
 var $14=((((HEAPU8[($name)])|(HEAPU8[((($name)+(1))|0)]<<8)|(HEAPU8[((($name)+(2))|0)]<<16)|(HEAPU8[((($name)+(3))|0)]<<24))|0)); //@line 917 "SpinSource/preprocess.c"
 _free($14); //@line 917 "SpinSource/preprocess.c"
 var $15=$old; //@line 918 "SpinSource/preprocess.c"
 var $def=(($15+8)|0); //@line 918 "SpinSource/preprocess.c"
 var $16=((((HEAPU8[($def)])|(HEAPU8[((($def)+(1))|0)]<<8)|(HEAPU8[((($def)+(2))|0)]<<16)|(HEAPU8[((($def)+(3))|0)]<<24))|0)); //@line 918 "SpinSource/preprocess.c"
 var $tobool2=($16|0)!=0; //@line 918 "SpinSource/preprocess.c"
 if($tobool2){label=7;break;}else{label=8;break;} //@line 918 "SpinSource/preprocess.c"
 case 7: 
 var $17=$old; //@line 918 "SpinSource/preprocess.c"
 var $def4=(($17+8)|0); //@line 918 "SpinSource/preprocess.c"
 var $18=((((HEAPU8[($def4)])|(HEAPU8[((($def4)+(1))|0)]<<8)|(HEAPU8[((($def4)+(2))|0)]<<16)|(HEAPU8[((($def4)+(3))|0)]<<24))|0)); //@line 918 "SpinSource/preprocess.c"
 _free($18); //@line 918 "SpinSource/preprocess.c"
 label=8;break; //@line 918 "SpinSource/preprocess.c"
 case 8: 
 label=9;break; //@line 919 "SpinSource/preprocess.c"
 case 9: 
 var $19=$old; //@line 920 "SpinSource/preprocess.c"
 var $20=$19; //@line 920 "SpinSource/preprocess.c"
 _free($20); //@line 920 "SpinSource/preprocess.c"
 label=2;break; //@line 921 "SpinSource/preprocess.c"
 case 10: 
 var $21=$x; //@line 922 "SpinSource/preprocess.c"
 var $22=$pp_addr; //@line 922 "SpinSource/preprocess.c"
 var $defs6=(($22+36)|0); //@line 922 "SpinSource/preprocess.c"
 tempBigInt=$21;HEAP8[($defs6)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($defs6)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($defs6)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($defs6)+(3))|0)]=tempBigInt&0xff; //@line 922 "SpinSource/preprocess.c"
 STACKTOP=sp;return; //@line 923 "SpinSource/preprocess.c"
  default: assert(0, "bad label: " + label);
 }

}


function __ZL10read_utf16P8_IO_FILEPc($f,$buf){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $f_addr;
 var $buf_addr;
 var $c;
 var $d;
 var $r;
 $f_addr=$f;
 $buf_addr=$buf;
 var $0=$f_addr; //@line 115 "SpinSource/preprocess.c"
 var $call=_fgetc($0); //@line 115 "SpinSource/preprocess.c"
 $c=$call; //@line 115 "SpinSource/preprocess.c"
 var $1=$c; //@line 116 "SpinSource/preprocess.c"
 var $cmp=($1|0)<0; //@line 116 "SpinSource/preprocess.c"
 if($cmp){label=2;break;}else{label=3;break;} //@line 116 "SpinSource/preprocess.c"
 case 2: 
 $retval=-1; //@line 117 "SpinSource/preprocess.c"
 label=15;break; //@line 117 "SpinSource/preprocess.c"
 case 3: 
 var $2=$f_addr; //@line 118 "SpinSource/preprocess.c"
 var $call1=_fgetc($2); //@line 118 "SpinSource/preprocess.c"
 $d=$call1; //@line 118 "SpinSource/preprocess.c"
 var $3=$d; //@line 119 "SpinSource/preprocess.c"
 var $cmp2=($3|0)<0; //@line 119 "SpinSource/preprocess.c"
 if($cmp2){label=4;break;}else{label=5;break;} //@line 119 "SpinSource/preprocess.c"
 case 4: 
 $retval=-1; //@line 120 "SpinSource/preprocess.c"
 label=15;break; //@line 120 "SpinSource/preprocess.c"
 case 5: 
 var $4=$c; //@line 122 "SpinSource/preprocess.c"
 var $5=$d; //@line 122 "SpinSource/preprocess.c"
 var $shl=$5<<8; //@line 122 "SpinSource/preprocess.c"
 var $add=((($4)+($shl))|0); //@line 122 "SpinSource/preprocess.c"
 $c=$add; //@line 122 "SpinSource/preprocess.c"
 var $6=$c; //@line 127 "SpinSource/preprocess.c"
 var $cmp5=($6|0)<128; //@line 127 "SpinSource/preprocess.c"
 if($cmp5){label=6;break;}else{label=7;break;} //@line 127 "SpinSource/preprocess.c"
 case 6: 
 var $7=$c; //@line 128 "SpinSource/preprocess.c"
 var $conv=(($7)&255); //@line 128 "SpinSource/preprocess.c"
 var $8=$buf_addr; //@line 128 "SpinSource/preprocess.c"
 var $arrayidx=(($8)|0); //@line 128 "SpinSource/preprocess.c"
 HEAP8[($arrayidx)]=$conv; //@line 128 "SpinSource/preprocess.c"
 $r=1; //@line 129 "SpinSource/preprocess.c"
 label=14;break; //@line 130 "SpinSource/preprocess.c"
 case 7: 
 var $9=$c; //@line 130 "SpinSource/preprocess.c"
 var $cmp7=($9|0)<2048; //@line 130 "SpinSource/preprocess.c"
 if($cmp7){label=8;break;}else{label=9;break;} //@line 130 "SpinSource/preprocess.c"
 case 8: 
 var $10=$c; //@line 131 "SpinSource/preprocess.c"
 var $shr=$10>>6; //@line 131 "SpinSource/preprocess.c"
 var $and=$shr&31; //@line 131 "SpinSource/preprocess.c"
 var $add9=((($and)+(192))|0); //@line 131 "SpinSource/preprocess.c"
 var $conv10=(($add9)&255); //@line 131 "SpinSource/preprocess.c"
 var $11=$buf_addr; //@line 131 "SpinSource/preprocess.c"
 var $arrayidx11=(($11)|0); //@line 131 "SpinSource/preprocess.c"
 HEAP8[($arrayidx11)]=$conv10; //@line 131 "SpinSource/preprocess.c"
 var $12=$c; //@line 132 "SpinSource/preprocess.c"
 var $and12=$12&63; //@line 132 "SpinSource/preprocess.c"
 var $add13=((($and12)+(128))|0); //@line 132 "SpinSource/preprocess.c"
 var $conv14=(($add13)&255); //@line 132 "SpinSource/preprocess.c"
 var $13=$buf_addr; //@line 132 "SpinSource/preprocess.c"
 var $arrayidx15=(($13+1)|0); //@line 132 "SpinSource/preprocess.c"
 HEAP8[($arrayidx15)]=$conv14; //@line 132 "SpinSource/preprocess.c"
 $r=2; //@line 133 "SpinSource/preprocess.c"
 label=13;break; //@line 134 "SpinSource/preprocess.c"
 case 9: 
 var $14=$c; //@line 134 "SpinSource/preprocess.c"
 var $cmp17=($14|0)<65536; //@line 134 "SpinSource/preprocess.c"
 if($cmp17){label=10;break;}else{label=11;break;} //@line 134 "SpinSource/preprocess.c"
 case 10: 
 var $15=$c; //@line 135 "SpinSource/preprocess.c"
 var $shr19=$15>>12; //@line 135 "SpinSource/preprocess.c"
 var $and20=$shr19&15; //@line 135 "SpinSource/preprocess.c"
 var $add21=((($and20)+(224))|0); //@line 135 "SpinSource/preprocess.c"
 var $conv22=(($add21)&255); //@line 135 "SpinSource/preprocess.c"
 var $16=$buf_addr; //@line 135 "SpinSource/preprocess.c"
 var $arrayidx23=(($16)|0); //@line 135 "SpinSource/preprocess.c"
 HEAP8[($arrayidx23)]=$conv22; //@line 135 "SpinSource/preprocess.c"
 var $17=$c; //@line 136 "SpinSource/preprocess.c"
 var $shr24=$17>>6; //@line 136 "SpinSource/preprocess.c"
 var $and25=$shr24&63; //@line 136 "SpinSource/preprocess.c"
 var $add26=((($and25)+(128))|0); //@line 136 "SpinSource/preprocess.c"
 var $conv27=(($add26)&255); //@line 136 "SpinSource/preprocess.c"
 var $18=$buf_addr; //@line 136 "SpinSource/preprocess.c"
 var $arrayidx28=(($18+1)|0); //@line 136 "SpinSource/preprocess.c"
 HEAP8[($arrayidx28)]=$conv27; //@line 136 "SpinSource/preprocess.c"
 var $19=$c; //@line 137 "SpinSource/preprocess.c"
 var $and29=$19&63; //@line 137 "SpinSource/preprocess.c"
 var $add30=((($and29)+(128))|0); //@line 137 "SpinSource/preprocess.c"
 var $conv31=(($add30)&255); //@line 137 "SpinSource/preprocess.c"
 var $20=$buf_addr; //@line 137 "SpinSource/preprocess.c"
 var $arrayidx32=(($20+2)|0); //@line 137 "SpinSource/preprocess.c"
 HEAP8[($arrayidx32)]=$conv31; //@line 137 "SpinSource/preprocess.c"
 $r=3; //@line 138 "SpinSource/preprocess.c"
 label=12;break; //@line 139 "SpinSource/preprocess.c"
 case 11: 
 var $21=$c; //@line 140 "SpinSource/preprocess.c"
 var $shr34=$21>>18; //@line 140 "SpinSource/preprocess.c"
 var $and35=$shr34&7; //@line 140 "SpinSource/preprocess.c"
 var $add36=((($and35)+(240))|0); //@line 140 "SpinSource/preprocess.c"
 var $conv37=(($add36)&255); //@line 140 "SpinSource/preprocess.c"
 var $22=$buf_addr; //@line 140 "SpinSource/preprocess.c"
 var $arrayidx38=(($22)|0); //@line 140 "SpinSource/preprocess.c"
 HEAP8[($arrayidx38)]=$conv37; //@line 140 "SpinSource/preprocess.c"
 var $23=$c; //@line 141 "SpinSource/preprocess.c"
 var $shr39=$23>>12; //@line 141 "SpinSource/preprocess.c"
 var $and40=$shr39&63; //@line 141 "SpinSource/preprocess.c"
 var $add41=((($and40)+(128))|0); //@line 141 "SpinSource/preprocess.c"
 var $conv42=(($add41)&255); //@line 141 "SpinSource/preprocess.c"
 var $24=$buf_addr; //@line 141 "SpinSource/preprocess.c"
 var $arrayidx43=(($24+1)|0); //@line 141 "SpinSource/preprocess.c"
 HEAP8[($arrayidx43)]=$conv42; //@line 141 "SpinSource/preprocess.c"
 var $25=$c; //@line 142 "SpinSource/preprocess.c"
 var $shr44=$25>>6; //@line 142 "SpinSource/preprocess.c"
 var $and45=$shr44&63; //@line 142 "SpinSource/preprocess.c"
 var $add46=((($and45)+(128))|0); //@line 142 "SpinSource/preprocess.c"
 var $conv47=(($add46)&255); //@line 142 "SpinSource/preprocess.c"
 var $26=$buf_addr; //@line 142 "SpinSource/preprocess.c"
 var $arrayidx48=(($26+2)|0); //@line 142 "SpinSource/preprocess.c"
 HEAP8[($arrayidx48)]=$conv47; //@line 142 "SpinSource/preprocess.c"
 var $27=$c; //@line 143 "SpinSource/preprocess.c"
 var $and49=$27&63; //@line 143 "SpinSource/preprocess.c"
 var $add50=((($and49)+(128))|0); //@line 143 "SpinSource/preprocess.c"
 var $conv51=(($add50)&255); //@line 143 "SpinSource/preprocess.c"
 var $28=$buf_addr; //@line 143 "SpinSource/preprocess.c"
 var $arrayidx52=(($28+3)|0); //@line 143 "SpinSource/preprocess.c"
 HEAP8[($arrayidx52)]=$conv51; //@line 143 "SpinSource/preprocess.c"
 $r=4; //@line 144 "SpinSource/preprocess.c"
 label=12;break;
 case 12: 
 label=13;break;
 case 13: 
 label=14;break;
 case 14: 
 var $29=$r; //@line 146 "SpinSource/preprocess.c"
 $retval=$29; //@line 146 "SpinSource/preprocess.c"
 label=15;break; //@line 146 "SpinSource/preprocess.c"
 case 15: 
 var $30=$retval; //@line 147 "SpinSource/preprocess.c"
 STACKTOP=sp;return $30; //@line 147 "SpinSource/preprocess.c"
  default: assert(0, "bad label: " + label);
 }

}


function __ZL11read_singleP8_IO_FILEPc($f,$buf){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $f_addr;
 var $buf_addr;
 var $c;
 $f_addr=$f;
 $buf_addr=$buf;
 var $0=$f_addr; //@line 98 "SpinSource/preprocess.c"
 var $call=_fgetc($0); //@line 98 "SpinSource/preprocess.c"
 $c=$call; //@line 98 "SpinSource/preprocess.c"
 var $1=$c; //@line 99 "SpinSource/preprocess.c"
 var $cmp=($1|0)==-1; //@line 99 "SpinSource/preprocess.c"
 if($cmp){label=2;break;}else{label=3;break;} //@line 99 "SpinSource/preprocess.c"
 case 2: 
 $retval=-1; //@line 100 "SpinSource/preprocess.c"
 label=4;break; //@line 100 "SpinSource/preprocess.c"
 case 3: 
 var $2=$c; //@line 101 "SpinSource/preprocess.c"
 var $conv=(($2)&255); //@line 101 "SpinSource/preprocess.c"
 var $3=$buf_addr; //@line 101 "SpinSource/preprocess.c"
 var $arrayidx=(($3)|0); //@line 101 "SpinSource/preprocess.c"
 HEAP8[($arrayidx)]=$conv; //@line 101 "SpinSource/preprocess.c"
 $retval=1; //@line 102 "SpinSource/preprocess.c"
 label=4;break; //@line 102 "SpinSource/preprocess.c"
 case 4: 
 var $4=$retval; //@line 103 "SpinSource/preprocess.c"
 STACKTOP=sp;return $4; //@line 103 "SpinSource/preprocess.c"
  default: assert(0, "bad label: " + label);
 }

}


function __ZL11read_latin1P8_IO_FILEPc($f,$buf){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $f_addr;
 var $buf_addr;
 var $c;
 $f_addr=$f;
 $buf_addr=$buf;
 var $0=$f_addr; //@line 78 "SpinSource/preprocess.c"
 var $call=_fgetc($0); //@line 78 "SpinSource/preprocess.c"
 $c=$call; //@line 78 "SpinSource/preprocess.c"
 var $1=$c; //@line 79 "SpinSource/preprocess.c"
 var $cmp=($1|0)==-1; //@line 79 "SpinSource/preprocess.c"
 if($cmp){label=2;break;}else{label=3;break;} //@line 79 "SpinSource/preprocess.c"
 case 2: 
 $retval=-1; //@line 80 "SpinSource/preprocess.c"
 label=6;break; //@line 80 "SpinSource/preprocess.c"
 case 3: 
 var $2=$c; //@line 81 "SpinSource/preprocess.c"
 var $cmp1=($2|0)<=127; //@line 81 "SpinSource/preprocess.c"
 if($cmp1){label=4;break;}else{label=5;break;} //@line 81 "SpinSource/preprocess.c"
 case 4: 
 var $3=$c; //@line 82 "SpinSource/preprocess.c"
 var $conv=(($3)&255); //@line 82 "SpinSource/preprocess.c"
 var $4=$buf_addr; //@line 82 "SpinSource/preprocess.c"
 var $arrayidx=(($4)|0); //@line 82 "SpinSource/preprocess.c"
 HEAP8[($arrayidx)]=$conv; //@line 82 "SpinSource/preprocess.c"
 $retval=1; //@line 83 "SpinSource/preprocess.c"
 label=6;break; //@line 83 "SpinSource/preprocess.c"
 case 5: 
 var $5=$c; //@line 85 "SpinSource/preprocess.c"
 var $shr=$5>>6; //@line 85 "SpinSource/preprocess.c"
 var $and=$shr&31; //@line 85 "SpinSource/preprocess.c"
 var $add=((($and)+(192))|0); //@line 85 "SpinSource/preprocess.c"
 var $conv4=(($add)&255); //@line 85 "SpinSource/preprocess.c"
 var $6=$buf_addr; //@line 85 "SpinSource/preprocess.c"
 var $arrayidx5=(($6)|0); //@line 85 "SpinSource/preprocess.c"
 HEAP8[($arrayidx5)]=$conv4; //@line 85 "SpinSource/preprocess.c"
 var $7=$c; //@line 86 "SpinSource/preprocess.c"
 var $and6=$7&63; //@line 86 "SpinSource/preprocess.c"
 var $add7=((($and6)+(128))|0); //@line 86 "SpinSource/preprocess.c"
 var $conv8=(($add7)&255); //@line 86 "SpinSource/preprocess.c"
 var $8=$buf_addr; //@line 86 "SpinSource/preprocess.c"
 var $arrayidx9=(($8+1)|0); //@line 86 "SpinSource/preprocess.c"
 HEAP8[($arrayidx9)]=$conv8; //@line 86 "SpinSource/preprocess.c"
 $retval=2; //@line 87 "SpinSource/preprocess.c"
 label=6;break; //@line 87 "SpinSource/preprocess.c"
 case 6: 
 var $9=$retval; //@line 88 "SpinSource/preprocess.c"
 STACKTOP=sp;return $9; //@line 88 "SpinSource/preprocess.c"
  default: assert(0, "bad label: " + label);
 }

}


function __ZL15default_errfuncPvPKciS1_($dummy,$filename,$line,$msg){
 var label=0;
 var tempVarArgs=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $dummy_addr;
 var $filename_addr;
 var $line_addr;
 var $msg_addr;
 var $level;
 $dummy_addr=$dummy;
 $filename_addr=$filename;
 $line_addr=$line;
 $msg_addr=$msg;
 var $0=$dummy_addr; //@line 213 "SpinSource/preprocess.c"
 $level=$0; //@line 213 "SpinSource/preprocess.c"
 var $1=((((HEAPU8[(_stderr)])|(HEAPU8[(((_stderr)+(1))|0)]<<8)|(HEAPU8[(((_stderr)+(2))|0)]<<16)|(HEAPU8[(((_stderr)+(3))|0)]<<24))|0)); //@line 215 "SpinSource/preprocess.c"
 var $2=$filename_addr; //@line 215 "SpinSource/preprocess.c"
 var $3=$line_addr; //@line 215 "SpinSource/preprocess.c"
 var $4=$level; //@line 215 "SpinSource/preprocess.c"
 var $call=_fprintf($1,5976,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 24)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=$2,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempBigInt=$3,HEAP8[(((tempVarArgs)+(8))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[((((tempVarArgs)+(8))+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[((((tempVarArgs)+(8))+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[((((tempVarArgs)+(8))+(3))|0)]=tempBigInt&0xff,tempBigInt=$4,HEAP8[(((tempVarArgs)+(16))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[((((tempVarArgs)+(16))+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[((((tempVarArgs)+(16))+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[((((tempVarArgs)+(16))+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 215 "SpinSource/preprocess.c"
 var $5=((((HEAPU8[(_stderr)])|(HEAPU8[(((_stderr)+(1))|0)]<<8)|(HEAPU8[(((_stderr)+(2))|0)]<<16)|(HEAPU8[(((_stderr)+(3))|0)]<<24))|0)); //@line 216 "SpinSource/preprocess.c"
 var $6=$msg_addr; //@line 216 "SpinSource/preprocess.c"
 var $call1=_fprintf($5,5896,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 8)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=$6,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 216 "SpinSource/preprocess.c"
 var $7=((((HEAPU8[(_stderr)])|(HEAPU8[(((_stderr)+(1))|0)]<<8)|(HEAPU8[(((_stderr)+(2))|0)]<<16)|(HEAPU8[(((_stderr)+(3))|0)]<<24))|0)); //@line 217 "SpinSource/preprocess.c"
 var $call2=_fprintf($7,5816,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 1)|0,STACKTOP = (((STACKTOP)+7)&-8),(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=0,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 217 "SpinSource/preprocess.c"
 STACKTOP=sp;return; //@line 218 "SpinSource/preprocess.c"
}


function __ZL7doerrorP10preprocessPKcz($pp,$msg,varrp){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+1040)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $pp_addr;
 var $msg_addr;
 var $args=sp;
 var $tmpmsg=(sp)+(16);
 var $fil;
 $pp_addr=$pp;
 $msg_addr=$msg;
 var $arraydecay=(($args)|0); //@line 227 "SpinSource/preprocess.c"
 var $arraydecay1=$arraydecay; //@line 227 "SpinSource/preprocess.c"
 tempBigInt=varrp;HEAP8[($arraydecay1)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arraydecay1)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arraydecay1)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arraydecay1)+(3))|0)]=tempBigInt&0xff;tempBigInt=0;HEAP8[((($arraydecay1)+(4))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arraydecay1)+(5))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arraydecay1)+(6))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arraydecay1)+(7))|0)]=tempBigInt&0xff; //@line 227 "SpinSource/preprocess.c"
 var $arraydecay2=(($tmpmsg)|0); //@line 228 "SpinSource/preprocess.c"
 var $0=$msg_addr; //@line 228 "SpinSource/preprocess.c"
 var $arraydecay3=(($args)|0); //@line 228 "SpinSource/preprocess.c"
 var $call=_vsnprintf($arraydecay2,1024,$0,$arraydecay3); //@line 228 "SpinSource/preprocess.c"
 var $arraydecay4=(($args)|0); //@line 229 "SpinSource/preprocess.c"
 var $arraydecay45=$arraydecay4; //@line 229 "SpinSource/preprocess.c"
 //@line 229 "SpinSource/preprocess.c"
 var $1=$pp_addr; //@line 231 "SpinSource/preprocess.c"
 var $numerrors=(($1+80)|0); //@line 231 "SpinSource/preprocess.c"
 var $2=((((HEAPU8[($numerrors)])|(HEAPU8[((($numerrors)+(1))|0)]<<8)|(HEAPU8[((($numerrors)+(2))|0)]<<16)|(HEAPU8[((($numerrors)+(3))|0)]<<24))|0)); //@line 231 "SpinSource/preprocess.c"
 var $inc=((($2)+(1))|0); //@line 231 "SpinSource/preprocess.c"
 tempBigInt=$inc;HEAP8[($numerrors)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($numerrors)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($numerrors)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($numerrors)+(3))|0)]=tempBigInt&0xff; //@line 231 "SpinSource/preprocess.c"
 var $3=$pp_addr; //@line 232 "SpinSource/preprocess.c"
 var $fil6=(($3)|0); //@line 232 "SpinSource/preprocess.c"
 var $4=((((HEAPU8[($fil6)])|(HEAPU8[((($fil6)+(1))|0)]<<8)|(HEAPU8[((($fil6)+(2))|0)]<<16)|(HEAPU8[((($fil6)+(3))|0)]<<24))|0)); //@line 232 "SpinSource/preprocess.c"
 $fil=$4; //@line 232 "SpinSource/preprocess.c"
 var $5=$fil; //@line 233 "SpinSource/preprocess.c"
 var $tobool=($5|0)!=0; //@line 233 "SpinSource/preprocess.c"
 if($tobool){label=2;break;}else{label=3;break;} //@line 233 "SpinSource/preprocess.c"
 case 2: 
 var $6=$pp_addr; //@line 234 "SpinSource/preprocess.c"
 var $errfunc=(($6+60)|0); //@line 234 "SpinSource/preprocess.c"
 var $7=((((HEAPU8[($errfunc)])|(HEAPU8[((($errfunc)+(1))|0)]<<8)|(HEAPU8[((($errfunc)+(2))|0)]<<16)|(HEAPU8[((($errfunc)+(3))|0)]<<24))|0)); //@line 234 "SpinSource/preprocess.c"
 var $8=$pp_addr; //@line 234 "SpinSource/preprocess.c"
 var $errarg=(($8+68)|0); //@line 234 "SpinSource/preprocess.c"
 var $9=((((HEAPU8[($errarg)])|(HEAPU8[((($errarg)+(1))|0)]<<8)|(HEAPU8[((($errarg)+(2))|0)]<<16)|(HEAPU8[((($errarg)+(3))|0)]<<24))|0)); //@line 234 "SpinSource/preprocess.c"
 var $10=$pp_addr; //@line 234 "SpinSource/preprocess.c"
 var $fil7=(($10)|0); //@line 234 "SpinSource/preprocess.c"
 var $11=((((HEAPU8[($fil7)])|(HEAPU8[((($fil7)+(1))|0)]<<8)|(HEAPU8[((($fil7)+(2))|0)]<<16)|(HEAPU8[((($fil7)+(3))|0)]<<24))|0)); //@line 234 "SpinSource/preprocess.c"
 var $name=(($11+8)|0); //@line 234 "SpinSource/preprocess.c"
 var $12=((((HEAPU8[($name)])|(HEAPU8[((($name)+(1))|0)]<<8)|(HEAPU8[((($name)+(2))|0)]<<16)|(HEAPU8[((($name)+(3))|0)]<<24))|0)); //@line 234 "SpinSource/preprocess.c"
 var $13=$pp_addr; //@line 234 "SpinSource/preprocess.c"
 var $fil8=(($13)|0); //@line 234 "SpinSource/preprocess.c"
 var $14=((((HEAPU8[($fil8)])|(HEAPU8[((($fil8)+(1))|0)]<<8)|(HEAPU8[((($fil8)+(2))|0)]<<16)|(HEAPU8[((($fil8)+(3))|0)]<<24))|0)); //@line 234 "SpinSource/preprocess.c"
 var $lineno=(($14+12)|0); //@line 234 "SpinSource/preprocess.c"
 var $15=((((HEAPU8[($lineno)])|(HEAPU8[((($lineno)+(1))|0)]<<8)|(HEAPU8[((($lineno)+(2))|0)]<<16)|(HEAPU8[((($lineno)+(3))|0)]<<24))|0)); //@line 234 "SpinSource/preprocess.c"
 var $arraydecay9=(($tmpmsg)|0); //@line 234 "SpinSource/preprocess.c"
 FUNCTION_TABLE[$7]($9,$12,$15,$arraydecay9); //@line 234 "SpinSource/preprocess.c"
 label=4;break; //@line 235 "SpinSource/preprocess.c"
 case 3: 
 var $16=$pp_addr; //@line 236 "SpinSource/preprocess.c"
 var $errfunc10=(($16+60)|0); //@line 236 "SpinSource/preprocess.c"
 var $17=((((HEAPU8[($errfunc10)])|(HEAPU8[((($errfunc10)+(1))|0)]<<8)|(HEAPU8[((($errfunc10)+(2))|0)]<<16)|(HEAPU8[((($errfunc10)+(3))|0)]<<24))|0)); //@line 236 "SpinSource/preprocess.c"
 var $18=$pp_addr; //@line 236 "SpinSource/preprocess.c"
 var $errarg11=(($18+68)|0); //@line 236 "SpinSource/preprocess.c"
 var $19=((((HEAPU8[($errarg11)])|(HEAPU8[((($errarg11)+(1))|0)]<<8)|(HEAPU8[((($errarg11)+(2))|0)]<<16)|(HEAPU8[((($errarg11)+(3))|0)]<<24))|0)); //@line 236 "SpinSource/preprocess.c"
 var $arraydecay12=(($tmpmsg)|0); //@line 236 "SpinSource/preprocess.c"
 FUNCTION_TABLE[$17]($19,19736,0,$arraydecay12); //@line 236 "SpinSource/preprocess.c"
 label=4;break;
 case 4: 
 STACKTOP=sp;return; //@line 238 "SpinSource/preprocess.c"
  default: assert(0, "bad label: " + label);
 }

}


function __ZL18pp_define_internalP10preprocessPKcS2_i($pp,$name,$def,$flags){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $pp_addr;
 var $name_addr;
 var $def_addr;
 var $flags_addr;
 var $the;
 $pp_addr=$pp;
 $name_addr=$name;
 $def_addr=$def;
 $flags_addr=$flags;
 var $call=_calloc(16,1); //@line 375 "SpinSource/preprocess.c"
 var $0=$call; //@line 375 "SpinSource/preprocess.c"
 $the=$0; //@line 375 "SpinSource/preprocess.c"
 var $1=$name_addr; //@line 376 "SpinSource/preprocess.c"
 var $2=$the; //@line 376 "SpinSource/preprocess.c"
 var $name1=(($2+4)|0); //@line 376 "SpinSource/preprocess.c"
 tempBigInt=$1;HEAP8[($name1)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($name1)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($name1)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($name1)+(3))|0)]=tempBigInt&0xff; //@line 376 "SpinSource/preprocess.c"
 var $3=$def_addr; //@line 377 "SpinSource/preprocess.c"
 var $4=$the; //@line 377 "SpinSource/preprocess.c"
 var $def2=(($4+8)|0); //@line 377 "SpinSource/preprocess.c"
 tempBigInt=$3;HEAP8[($def2)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($def2)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($def2)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($def2)+(3))|0)]=tempBigInt&0xff; //@line 377 "SpinSource/preprocess.c"
 var $5=$flags_addr; //@line 378 "SpinSource/preprocess.c"
 var $6=$the; //@line 378 "SpinSource/preprocess.c"
 var $flags3=(($6+12)|0); //@line 378 "SpinSource/preprocess.c"
 tempBigInt=$5;HEAP8[($flags3)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($flags3)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($flags3)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($flags3)+(3))|0)]=tempBigInt&0xff; //@line 378 "SpinSource/preprocess.c"
 var $7=$pp_addr; //@line 379 "SpinSource/preprocess.c"
 var $defs=(($7+36)|0); //@line 379 "SpinSource/preprocess.c"
 var $8=((((HEAPU8[($defs)])|(HEAPU8[((($defs)+(1))|0)]<<8)|(HEAPU8[((($defs)+(2))|0)]<<16)|(HEAPU8[((($defs)+(3))|0)]<<24))|0)); //@line 379 "SpinSource/preprocess.c"
 var $9=$the; //@line 379 "SpinSource/preprocess.c"
 var $next=(($9)|0); //@line 379 "SpinSource/preprocess.c"
 tempBigInt=$8;HEAP8[($next)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($next)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($next)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($next)+(3))|0)]=tempBigInt&0xff; //@line 379 "SpinSource/preprocess.c"
 var $10=$the; //@line 380 "SpinSource/preprocess.c"
 var $11=$pp_addr; //@line 380 "SpinSource/preprocess.c"
 var $defs4=(($11+36)|0); //@line 380 "SpinSource/preprocess.c"
 tempBigInt=$10;HEAP8[($defs4)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($defs4)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($defs4)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($defs4)+(3))|0)]=tempBigInt&0xff; //@line 380 "SpinSource/preprocess.c"
 STACKTOP=sp;return; //@line 381 "SpinSource/preprocess.c"
}


function __ZL7do_lineP10preprocess($pp){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+16)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $pp_addr;
 var $data;
 var $func;
 var $r;
 var $dataOffset;
 var $P=sp;
 $pp_addr=$pp;
 var $0=$pp_addr; //@line 795 "SpinSource/preprocess.c"
 var $line=(($0+4)|0); //@line 795 "SpinSource/preprocess.c"
 var $call=__Z11flexbuf_getP7flexbuf($line); //@line 795 "SpinSource/preprocess.c"
 $data=$call; //@line 795 "SpinSource/preprocess.c"
 $dataOffset=0; //@line 800 "SpinSource/preprocess.c"
 var $1=$data; //@line 801 "SpinSource/preprocess.c"
 var $arrayidx=(($1)|0); //@line 801 "SpinSource/preprocess.c"
 var $2=HEAP8[($arrayidx)]; //@line 801 "SpinSource/preprocess.c"
 var $conv=(($2<<24)>>24); //@line 801 "SpinSource/preprocess.c"
 var $cmp=($conv|0)==-17; //@line 801 "SpinSource/preprocess.c"
 if($cmp){label=2;break;}else{label=5;break;} //@line 801 "SpinSource/preprocess.c"
 case 2: 
 var $3=$data; //@line 801 "SpinSource/preprocess.c"
 var $arrayidx1=(($3+1)|0); //@line 801 "SpinSource/preprocess.c"
 var $4=HEAP8[($arrayidx1)]; //@line 801 "SpinSource/preprocess.c"
 var $conv2=(($4<<24)>>24); //@line 801 "SpinSource/preprocess.c"
 var $cmp3=($conv2|0)==-69; //@line 801 "SpinSource/preprocess.c"
 if($cmp3){label=3;break;}else{label=5;break;} //@line 801 "SpinSource/preprocess.c"
 case 3: 
 var $5=$data; //@line 801 "SpinSource/preprocess.c"
 var $arrayidx5=(($5+2)|0); //@line 801 "SpinSource/preprocess.c"
 var $6=HEAP8[($arrayidx5)]; //@line 801 "SpinSource/preprocess.c"
 var $conv6=(($6<<24)>>24); //@line 801 "SpinSource/preprocess.c"
 var $cmp7=($conv6|0)==-65; //@line 801 "SpinSource/preprocess.c"
 if($cmp7){label=4;break;}else{label=5;break;} //@line 801 "SpinSource/preprocess.c"
 case 4: 
 $dataOffset=3; //@line 803 "SpinSource/preprocess.c"
 label=5;break; //@line 804 "SpinSource/preprocess.c"
 case 5: 
 var $7=$dataOffset; //@line 806 "SpinSource/preprocess.c"
 var $8=$data; //@line 806 "SpinSource/preprocess.c"
 var $arrayidx8=(($8+$7)|0); //@line 806 "SpinSource/preprocess.c"
 var $9=HEAP8[($arrayidx8)]; //@line 806 "SpinSource/preprocess.c"
 var $conv9=(($9<<24)>>24); //@line 806 "SpinSource/preprocess.c"
 var $cmp10=($conv9|0)!=35; //@line 806 "SpinSource/preprocess.c"
 if($cmp10){label=7;break;}else{label=6;break;} //@line 806 "SpinSource/preprocess.c"
 case 6: 
 var $10=$pp_addr; //@line 806 "SpinSource/preprocess.c"
 var $incomment=(($10+56)|0); //@line 806 "SpinSource/preprocess.c"
 var $11=((((HEAPU8[($incomment)])|(HEAPU8[((($incomment)+(1))|0)]<<8)|(HEAPU8[((($incomment)+(2))|0)]<<16)|(HEAPU8[((($incomment)+(3))|0)]<<24))|0)); //@line 806 "SpinSource/preprocess.c"
 var $tobool=($11|0)!=0; //@line 806 "SpinSource/preprocess.c"
 if($tobool){label=7;break;}else{label=8;break;} //@line 806 "SpinSource/preprocess.c"
 case 7: 
 var $12=$pp_addr; //@line 807 "SpinSource/preprocess.c"
 var $13=$pp_addr; //@line 807 "SpinSource/preprocess.c"
 var $line12=(($13+4)|0); //@line 807 "SpinSource/preprocess.c"
 var $14=$data; //@line 807 "SpinSource/preprocess.c"
 var $call13=__ZL13expand_macrosP10preprocessP7flexbufPc($12,$line12,$14); //@line 807 "SpinSource/preprocess.c"
 $r=$call13; //@line 807 "SpinSource/preprocess.c"
 label=42;break; //@line 808 "SpinSource/preprocess.c"
 case 8: 
 var $15=$data; //@line 810 "SpinSource/preprocess.c"
 var $add_ptr=(($15+1)|0); //@line 810 "SpinSource/preprocess.c"
 var $16=$dataOffset; //@line 810 "SpinSource/preprocess.c"
 var $add_ptr14=(($add_ptr+$16)|0); //@line 810 "SpinSource/preprocess.c"
 __ZL10parse_initP11parse_statePc($P,$add_ptr14); //@line 810 "SpinSource/preprocess.c"
 __ZL16parse_skipspacesP11parse_state($P); //@line 811 "SpinSource/preprocess.c"
 var $call15=__ZL13parse_getwordP11parse_state($P); //@line 812 "SpinSource/preprocess.c"
 $func=$call15; //@line 812 "SpinSource/preprocess.c"
 $r=0; //@line 813 "SpinSource/preprocess.c"
 var $17=$func; //@line 814 "SpinSource/preprocess.c"
 var $call16=_strcmp($17,2472); //@line 814 "SpinSource/preprocess.c"
 var $tobool17=($call16|0)!=0; //@line 814 "SpinSource/preprocess.c"
 if($tobool17){label=10;break;}else{label=9;break;} //@line 814 "SpinSource/preprocess.c"
 case 9: 
 var $18=$pp_addr; //@line 815 "SpinSource/preprocess.c"
 __ZL12handle_ifdefP10preprocessP11parse_statei($18,$P,0); //@line 815 "SpinSource/preprocess.c"
 label=41;break; //@line 816 "SpinSource/preprocess.c"
 case 10: 
 var $19=$func; //@line 816 "SpinSource/preprocess.c"
 var $call20=_strcmp($19,1848); //@line 816 "SpinSource/preprocess.c"
 var $tobool21=($call20|0)!=0; //@line 816 "SpinSource/preprocess.c"
 if($tobool21){label=12;break;}else{label=11;break;} //@line 816 "SpinSource/preprocess.c"
 case 11: 
 var $20=$pp_addr; //@line 817 "SpinSource/preprocess.c"
 __ZL12handle_ifdefP10preprocessP11parse_statei($20,$P,1); //@line 817 "SpinSource/preprocess.c"
 label=40;break; //@line 818 "SpinSource/preprocess.c"
 case 12: 
 var $21=$func; //@line 818 "SpinSource/preprocess.c"
 var $call24=_strcmp($21,1288); //@line 818 "SpinSource/preprocess.c"
 var $tobool25=($call24|0)!=0; //@line 818 "SpinSource/preprocess.c"
 if($tobool25){label=14;break;}else{label=13;break;} //@line 818 "SpinSource/preprocess.c"
 case 13: 
 var $22=$pp_addr; //@line 819 "SpinSource/preprocess.c"
 __ZL11handle_elseP10preprocessP11parse_state($22,$P); //@line 819 "SpinSource/preprocess.c"
 label=39;break; //@line 820 "SpinSource/preprocess.c"
 case 14: 
 var $23=$func; //@line 820 "SpinSource/preprocess.c"
 var $call28=_strcmp($23,808); //@line 820 "SpinSource/preprocess.c"
 var $tobool29=($call28|0)!=0; //@line 820 "SpinSource/preprocess.c"
 if($tobool29){label=16;break;}else{label=15;break;} //@line 820 "SpinSource/preprocess.c"
 case 15: 
 var $24=$pp_addr; //@line 821 "SpinSource/preprocess.c"
 __ZL16handle_elseifdefP10preprocessP11parse_statei($24,$P,0); //@line 821 "SpinSource/preprocess.c"
 label=38;break; //@line 822 "SpinSource/preprocess.c"
 case 16: 
 var $25=$func; //@line 822 "SpinSource/preprocess.c"
 var $call32=_strcmp($25,9472); //@line 822 "SpinSource/preprocess.c"
 var $tobool33=($call32|0)!=0; //@line 822 "SpinSource/preprocess.c"
 if($tobool33){label=18;break;}else{label=17;break;} //@line 822 "SpinSource/preprocess.c"
 case 17: 
 var $26=$pp_addr; //@line 823 "SpinSource/preprocess.c"
 __ZL16handle_elseifdefP10preprocessP11parse_statei($26,$P,1); //@line 823 "SpinSource/preprocess.c"
 label=37;break; //@line 824 "SpinSource/preprocess.c"
 case 18: 
 var $27=$func; //@line 824 "SpinSource/preprocess.c"
 var $call36=_strcmp($27,8896); //@line 824 "SpinSource/preprocess.c"
 var $tobool37=($call36|0)!=0; //@line 824 "SpinSource/preprocess.c"
 if($tobool37){label=20;break;}else{label=19;break;} //@line 824 "SpinSource/preprocess.c"
 case 19: 
 var $28=$pp_addr; //@line 825 "SpinSource/preprocess.c"
 __ZL12handle_endifP10preprocessP11parse_state($28,$P); //@line 825 "SpinSource/preprocess.c"
 label=36;break; //@line 826 "SpinSource/preprocess.c"
 case 20: 
 var $29=$func; //@line 826 "SpinSource/preprocess.c"
 var $call40=_strcmp($29,3864); //@line 826 "SpinSource/preprocess.c"
 var $tobool41=($call40|0)!=0; //@line 826 "SpinSource/preprocess.c"
 if($tobool41){label=22;break;}else{label=21;break;} //@line 826 "SpinSource/preprocess.c"
 case 21: 
 var $30=$pp_addr; //@line 827 "SpinSource/preprocess.c"
 __ZL12handle_errorP10preprocessP11parse_state($30,$P); //@line 827 "SpinSource/preprocess.c"
 label=35;break; //@line 828 "SpinSource/preprocess.c"
 case 22: 
 var $31=$func; //@line 828 "SpinSource/preprocess.c"
 var $call44=_strcmp($31,8240); //@line 828 "SpinSource/preprocess.c"
 var $tobool45=($call44|0)!=0; //@line 828 "SpinSource/preprocess.c"
 if($tobool45){label=24;break;}else{label=23;break;} //@line 828 "SpinSource/preprocess.c"
 case 23: 
 var $32=$pp_addr; //@line 829 "SpinSource/preprocess.c"
 __ZL11handle_warnP10preprocessP11parse_state($32,$P); //@line 829 "SpinSource/preprocess.c"
 label=34;break; //@line 830 "SpinSource/preprocess.c"
 case 24: 
 var $33=$func; //@line 830 "SpinSource/preprocess.c"
 var $call48=_strcmp($33,8552); //@line 830 "SpinSource/preprocess.c"
 var $tobool49=($call48|0)!=0; //@line 830 "SpinSource/preprocess.c"
 if($tobool49){label=26;break;}else{label=25;break;} //@line 830 "SpinSource/preprocess.c"
 case 25: 
 var $34=$pp_addr; //@line 831 "SpinSource/preprocess.c"
 __ZL13handle_defineP10preprocessP11parse_statei($34,$P,1); //@line 831 "SpinSource/preprocess.c"
 label=33;break; //@line 832 "SpinSource/preprocess.c"
 case 26: 
 var $35=$func; //@line 832 "SpinSource/preprocess.c"
 var $call52=_strcmp($35,8296); //@line 832 "SpinSource/preprocess.c"
 var $tobool53=($call52|0)!=0; //@line 832 "SpinSource/preprocess.c"
 if($tobool53){label=28;break;}else{label=27;break;} //@line 832 "SpinSource/preprocess.c"
 case 27: 
 var $36=$pp_addr; //@line 833 "SpinSource/preprocess.c"
 __ZL13handle_defineP10preprocessP11parse_statei($36,$P,0); //@line 833 "SpinSource/preprocess.c"
 label=32;break; //@line 834 "SpinSource/preprocess.c"
 case 28: 
 var $37=$func; //@line 834 "SpinSource/preprocess.c"
 var $call56=_strcmp($37,8096); //@line 834 "SpinSource/preprocess.c"
 var $tobool57=($call56|0)!=0; //@line 834 "SpinSource/preprocess.c"
 if($tobool57){label=30;break;}else{label=29;break;} //@line 834 "SpinSource/preprocess.c"
 case 29: 
 var $38=$pp_addr; //@line 835 "SpinSource/preprocess.c"
 __ZL14handle_includeP10preprocessP11parse_state($38,$P); //@line 835 "SpinSource/preprocess.c"
 label=31;break; //@line 836 "SpinSource/preprocess.c"
 case 30: 
 var $c=(($P+8)|0); //@line 841 "SpinSource/preprocess.c"
 var $39=((((HEAPU8[($c)])|(HEAPU8[((($c)+(1))|0)]<<8)|(HEAPU8[((($c)+(2))|0)]<<16)|(HEAPU8[((($c)+(3))|0)]<<24))|0)); //@line 841 "SpinSource/preprocess.c"
 var $conv60=(($39)&255); //@line 841 "SpinSource/preprocess.c"
 var $save=(($P+4)|0); //@line 841 "SpinSource/preprocess.c"
 var $40=((((HEAPU8[($save)])|(HEAPU8[((($save)+(1))|0)]<<8)|(HEAPU8[((($save)+(2))|0)]<<16)|(HEAPU8[((($save)+(3))|0)]<<24))|0)); //@line 841 "SpinSource/preprocess.c"
 HEAP8[($40)]=$conv60; //@line 841 "SpinSource/preprocess.c"
 var $41=$pp_addr; //@line 842 "SpinSource/preprocess.c"
 var $42=$pp_addr; //@line 842 "SpinSource/preprocess.c"
 var $line61=(($42+4)|0); //@line 842 "SpinSource/preprocess.c"
 var $43=$data; //@line 842 "SpinSource/preprocess.c"
 var $call62=__ZL13expand_macrosP10preprocessP7flexbufPc($41,$line61,$43); //@line 842 "SpinSource/preprocess.c"
 $r=$call62; //@line 842 "SpinSource/preprocess.c"
 label=31;break;
 case 31: 
 label=32;break;
 case 32: 
 label=33;break;
 case 33: 
 label=34;break;
 case 34: 
 label=35;break;
 case 35: 
 label=36;break;
 case 36: 
 label=37;break;
 case 37: 
 label=38;break;
 case 38: 
 label=39;break;
 case 39: 
 label=40;break;
 case 40: 
 label=41;break;
 case 41: 
 label=42;break;
 case 42: 
 var $44=$data; //@line 845 "SpinSource/preprocess.c"
 _free($44); //@line 845 "SpinSource/preprocess.c"
 var $45=$r; //@line 846 "SpinSource/preprocess.c"
 STACKTOP=sp;return $45; //@line 846 "SpinSource/preprocess.c"
  default: assert(0, "bad label: " + label);
 }

}


function __ZL14handle_includeP10preprocessP11parse_state($pp,$P){
 var label=0;
 var tempVarArgs=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $pp_addr;
 var $P_addr;
 var $name;
 $pp_addr=$pp;
 $P_addr=$P;
 var $0=$pp_addr; //@line 778 "SpinSource/preprocess.c"
 var $ifs=(($0+40)|0); //@line 778 "SpinSource/preprocess.c"
 var $1=((((HEAPU8[($ifs)])|(HEAPU8[((($ifs)+(1))|0)]<<8)|(HEAPU8[((($ifs)+(2))|0)]<<16)|(HEAPU8[((($ifs)+(3))|0)]<<24))|0)); //@line 778 "SpinSource/preprocess.c"
 var $tobool=($1|0)!=0; //@line 778 "SpinSource/preprocess.c"
 if($tobool){label=2;break;}else{label=4;break;} //@line 778 "SpinSource/preprocess.c"
 case 2: 
 var $2=$pp_addr; //@line 778 "SpinSource/preprocess.c"
 var $ifs1=(($2+40)|0); //@line 778 "SpinSource/preprocess.c"
 var $3=((((HEAPU8[($ifs1)])|(HEAPU8[((($ifs1)+(1))|0)]<<8)|(HEAPU8[((($ifs1)+(2))|0)]<<16)|(HEAPU8[((($ifs1)+(3))|0)]<<24))|0)); //@line 778 "SpinSource/preprocess.c"
 var $skip=(($3+4)|0); //@line 778 "SpinSource/preprocess.c"
 var $4=((((HEAPU8[($skip)])|(HEAPU8[((($skip)+(1))|0)]<<8)|(HEAPU8[((($skip)+(2))|0)]<<16)|(HEAPU8[((($skip)+(3))|0)]<<24))|0)); //@line 778 "SpinSource/preprocess.c"
 var $tobool2=($4|0)!=0; //@line 778 "SpinSource/preprocess.c"
 if($tobool2){label=3;break;}else{label=4;break;} //@line 778 "SpinSource/preprocess.c"
 case 3: 
 label=7;break; //@line 779 "SpinSource/preprocess.c"
 case 4: 
 var $5=$P_addr; //@line 781 "SpinSource/preprocess.c"
 var $call=__ZL21parse_getquotedstringP11parse_state($5); //@line 781 "SpinSource/preprocess.c"
 $name=$call; //@line 781 "SpinSource/preprocess.c"
 var $6=$name; //@line 782 "SpinSource/preprocess.c"
 var $tobool3=($6|0)!=0; //@line 782 "SpinSource/preprocess.c"
 if($tobool3){label=6;break;}else{label=5;break;} //@line 782 "SpinSource/preprocess.c"
 case 5: 
 var $7=$pp_addr; //@line 783 "SpinSource/preprocess.c"
 __ZL7doerrorP10preprocessPKcz($7,7872,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 1)|0,STACKTOP = (((STACKTOP)+7)&-8),(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=0,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 783 "SpinSource/preprocess.c"
 label=7;break; //@line 784 "SpinSource/preprocess.c"
 case 6: 
 var $8=$pp_addr; //@line 786 "SpinSource/preprocess.c"
 var $9=$name; //@line 786 "SpinSource/preprocess.c"
 var $call6=_strdup($9); //@line 786 "SpinSource/preprocess.c"
 __Z12pp_push_fileP10preprocessPKc($8,$call6); //@line 786 "SpinSource/preprocess.c"
 label=7;break; //@line 787 "SpinSource/preprocess.c"
 case 7: 
 STACKTOP=sp;return; //@line 787 "SpinSource/preprocess.c"
  default: assert(0, "bad label: " + label);
 }

}


function __ZL21parse_getquotedstringP11parse_state($P){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $P_addr;
 var $ptr;
 var $start;
 $P_addr=$P;
 var $0=$P_addr; //@line 536 "SpinSource/preprocess.c"
 __ZL16parse_skipspacesP11parse_state($0); //@line 536 "SpinSource/preprocess.c"
 var $1=$P_addr; //@line 537 "SpinSource/preprocess.c"
 var $str=(($1)|0); //@line 537 "SpinSource/preprocess.c"
 var $2=((((HEAPU8[($str)])|(HEAPU8[((($str)+(1))|0)]<<8)|(HEAPU8[((($str)+(2))|0)]<<16)|(HEAPU8[((($str)+(3))|0)]<<24))|0)); //@line 537 "SpinSource/preprocess.c"
 $ptr=$2; //@line 537 "SpinSource/preprocess.c"
 var $3=$ptr; //@line 538 "SpinSource/preprocess.c"
 var $4=HEAP8[($3)]; //@line 538 "SpinSource/preprocess.c"
 var $conv=(($4<<24)>>24); //@line 538 "SpinSource/preprocess.c"
 var $cmp=($conv|0)!=34; //@line 538 "SpinSource/preprocess.c"
 if($cmp){label=2;break;}else{label=3;break;} //@line 538 "SpinSource/preprocess.c"
 case 2: 
 $retval=0; //@line 539 "SpinSource/preprocess.c"
 label=11;break; //@line 539 "SpinSource/preprocess.c"
 case 3: 
 var $5=$ptr; //@line 540 "SpinSource/preprocess.c"
 var $incdec_ptr=(($5+1)|0); //@line 540 "SpinSource/preprocess.c"
 $ptr=$incdec_ptr; //@line 540 "SpinSource/preprocess.c"
 var $6=$ptr; //@line 541 "SpinSource/preprocess.c"
 $start=$6; //@line 541 "SpinSource/preprocess.c"
 label=4;break; //@line 542 "SpinSource/preprocess.c"
 case 4: 
 var $7=$ptr; //@line 542 "SpinSource/preprocess.c"
 var $8=HEAP8[($7)]; //@line 542 "SpinSource/preprocess.c"
 var $tobool=(($8<<24)>>24)!=0; //@line 542 "SpinSource/preprocess.c"
 if($tobool){label=5;break;}else{var $11=0;label=6;break;} //@line 542 "SpinSource/preprocess.c"
 case 5: 
 var $9=$ptr; //@line 542 "SpinSource/preprocess.c"
 var $10=HEAP8[($9)]; //@line 542 "SpinSource/preprocess.c"
 var $conv1=(($10<<24)>>24); //@line 542 "SpinSource/preprocess.c"
 var $cmp2=($conv1|0)!=34; //@line 542 "SpinSource/preprocess.c"
 var $11=$cmp2;label=6;break;
 case 6: 
 var $11;
 if($11){label=7;break;}else{label=8;break;}
 case 7: 
 var $12=$ptr; //@line 543 "SpinSource/preprocess.c"
 var $incdec_ptr3=(($12+1)|0); //@line 543 "SpinSource/preprocess.c"
 $ptr=$incdec_ptr3; //@line 543 "SpinSource/preprocess.c"
 label=4;break; //@line 544 "SpinSource/preprocess.c"
 case 8: 
 var $13=$ptr; //@line 545 "SpinSource/preprocess.c"
 var $14=HEAP8[($13)]; //@line 545 "SpinSource/preprocess.c"
 var $tobool4=(($14<<24)>>24)!=0; //@line 545 "SpinSource/preprocess.c"
 if($tobool4){label=10;break;}else{label=9;break;} //@line 545 "SpinSource/preprocess.c"
 case 9: 
 $retval=0; //@line 546 "SpinSource/preprocess.c"
 label=11;break; //@line 546 "SpinSource/preprocess.c"
 case 10: 
 var $15=$ptr; //@line 547 "SpinSource/preprocess.c"
 var $16=$P_addr; //@line 547 "SpinSource/preprocess.c"
 var $save=(($16+4)|0); //@line 547 "SpinSource/preprocess.c"
 tempBigInt=$15;HEAP8[($save)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($save)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($save)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($save)+(3))|0)]=tempBigInt&0xff; //@line 547 "SpinSource/preprocess.c"
 var $17=$ptr; //@line 548 "SpinSource/preprocess.c"
 var $18=HEAP8[($17)]; //@line 548 "SpinSource/preprocess.c"
 var $conv7=(($18<<24)>>24); //@line 548 "SpinSource/preprocess.c"
 var $19=$P_addr; //@line 548 "SpinSource/preprocess.c"
 var $c=(($19+8)|0); //@line 548 "SpinSource/preprocess.c"
 tempBigInt=$conv7;HEAP8[($c)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($c)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($c)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($c)+(3))|0)]=tempBigInt&0xff; //@line 548 "SpinSource/preprocess.c"
 var $20=$ptr; //@line 549 "SpinSource/preprocess.c"
 HEAP8[($20)]=0; //@line 549 "SpinSource/preprocess.c"
 var $21=$start; //@line 550 "SpinSource/preprocess.c"
 $retval=$21; //@line 550 "SpinSource/preprocess.c"
 label=11;break; //@line 550 "SpinSource/preprocess.c"
 case 11: 
 var $22=$retval; //@line 551 "SpinSource/preprocess.c"
 STACKTOP=sp;return $22; //@line 551 "SpinSource/preprocess.c"
  default: assert(0, "bad label: " + label);
 }

}


function __ZL13handle_defineP10preprocessP11parse_statei($pp,$P,$isDef){
 var label=0;
 var tempVarArgs=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+16)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $pp_addr;
 var $P_addr;
 var $isDef_addr;
 var $def;
 var $name;
 var $oldvalue;
 var $newdef=sp;
 $pp_addr=$pp;
 $P_addr=$P;
 $isDef_addr=$isDef;
 var $0=$pp_addr; //@line 748 "SpinSource/preprocess.c"
 var $ifs=(($0+40)|0); //@line 748 "SpinSource/preprocess.c"
 var $1=((((HEAPU8[($ifs)])|(HEAPU8[((($ifs)+(1))|0)]<<8)|(HEAPU8[((($ifs)+(2))|0)]<<16)|(HEAPU8[((($ifs)+(3))|0)]<<24))|0)); //@line 748 "SpinSource/preprocess.c"
 var $tobool=($1|0)!=0; //@line 748 "SpinSource/preprocess.c"
 if($tobool){label=2;break;}else{label=4;break;} //@line 748 "SpinSource/preprocess.c"
 case 2: 
 var $2=$pp_addr; //@line 748 "SpinSource/preprocess.c"
 var $ifs1=(($2+40)|0); //@line 748 "SpinSource/preprocess.c"
 var $3=((((HEAPU8[($ifs1)])|(HEAPU8[((($ifs1)+(1))|0)]<<8)|(HEAPU8[((($ifs1)+(2))|0)]<<16)|(HEAPU8[((($ifs1)+(3))|0)]<<24))|0)); //@line 748 "SpinSource/preprocess.c"
 var $skip=(($3+4)|0); //@line 748 "SpinSource/preprocess.c"
 var $4=((((HEAPU8[($skip)])|(HEAPU8[((($skip)+(1))|0)]<<8)|(HEAPU8[((($skip)+(2))|0)]<<16)|(HEAPU8[((($skip)+(3))|0)]<<24))|0)); //@line 748 "SpinSource/preprocess.c"
 var $tobool2=($4|0)!=0; //@line 748 "SpinSource/preprocess.c"
 if($tobool2){label=3;break;}else{label=4;break;} //@line 748 "SpinSource/preprocess.c"
 case 3: 
 label=13;break; //@line 749 "SpinSource/preprocess.c"
 case 4: 
 var $5=$P_addr; //@line 751 "SpinSource/preprocess.c"
 var $call=__ZL24parse_getwordafterspacesP11parse_state($5); //@line 751 "SpinSource/preprocess.c"
 $name=$call; //@line 751 "SpinSource/preprocess.c"
 var $6=$name; //@line 752 "SpinSource/preprocess.c"
 var $arrayidx=(($6)|0); //@line 752 "SpinSource/preprocess.c"
 var $7=HEAP8[($arrayidx)]; //@line 752 "SpinSource/preprocess.c"
 var $conv=(($7<<24)>>24); //@line 752 "SpinSource/preprocess.c"
 var $call3=__ZL13classify_chari($conv); //@line 752 "SpinSource/preprocess.c"
 var $cmp=($call3|0)!=2; //@line 752 "SpinSource/preprocess.c"
 if($cmp){label=5;break;}else{label=6;break;} //@line 752 "SpinSource/preprocess.c"
 case 5: 
 var $8=$pp_addr; //@line 753 "SpinSource/preprocess.c"
 var $9=$name; //@line 753 "SpinSource/preprocess.c"
 __ZL7doerrorP10preprocessPKcz($8,7664,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 8)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=$9,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 753 "SpinSource/preprocess.c"
 label=13;break; //@line 754 "SpinSource/preprocess.c"
 case 6: 
 var $10=$pp_addr; //@line 756 "SpinSource/preprocess.c"
 var $11=$name; //@line 756 "SpinSource/preprocess.c"
 var $call6=__Z9pp_getdefP10preprocessPKc($10,$11); //@line 756 "SpinSource/preprocess.c"
 $oldvalue=$call6; //@line 756 "SpinSource/preprocess.c"
 var $12=$oldvalue; //@line 757 "SpinSource/preprocess.c"
 var $tobool7=($12|0)!=0; //@line 757 "SpinSource/preprocess.c"
 if($tobool7){label=7;break;}else{label=9;break;} //@line 757 "SpinSource/preprocess.c"
 case 7: 
 var $13=$isDef_addr; //@line 757 "SpinSource/preprocess.c"
 var $tobool9=($13|0)!=0; //@line 757 "SpinSource/preprocess.c"
 if($tobool9){label=8;break;}else{label=9;break;} //@line 757 "SpinSource/preprocess.c"
 case 8: 
 var $14=$pp_addr; //@line 758 "SpinSource/preprocess.c"
 var $15=$name; //@line 758 "SpinSource/preprocess.c"
 __ZL9dowarningP10preprocessPKcz($14,7496,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 8)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=$15,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 758 "SpinSource/preprocess.c"
 label=9;break; //@line 759 "SpinSource/preprocess.c"
 case 9: 
 var $16=$name; //@line 760 "SpinSource/preprocess.c"
 var $call12=_strdup($16); //@line 760 "SpinSource/preprocess.c"
 $name=$call12; //@line 760 "SpinSource/preprocess.c"
 var $17=$isDef_addr; //@line 762 "SpinSource/preprocess.c"
 var $tobool13=($17|0)!=0; //@line 762 "SpinSource/preprocess.c"
 if($tobool13){label=10;break;}else{label=11;break;} //@line 762 "SpinSource/preprocess.c"
 case 10: 
 var $18=$P_addr; //@line 763 "SpinSource/preprocess.c"
 __ZL16parse_skipspacesP11parse_state($18); //@line 763 "SpinSource/preprocess.c"
 var $19=$P_addr; //@line 764 "SpinSource/preprocess.c"
 var $call15=__ZL16parse_restoflineP11parse_state($19); //@line 764 "SpinSource/preprocess.c"
 $def=$call15; //@line 764 "SpinSource/preprocess.c"
 __Z12flexbuf_initP7flexbufj($newdef,80); //@line 765 "SpinSource/preprocess.c"
 var $20=$pp_addr; //@line 766 "SpinSource/preprocess.c"
 var $21=$def; //@line 766 "SpinSource/preprocess.c"
 var $call16=__ZL13expand_macrosP10preprocessP7flexbufPc($20,$newdef,$21); //@line 766 "SpinSource/preprocess.c"
 var $call17=__Z11flexbuf_getP7flexbuf($newdef); //@line 767 "SpinSource/preprocess.c"
 $def=$call17; //@line 767 "SpinSource/preprocess.c"
 label=12;break; //@line 768 "SpinSource/preprocess.c"
 case 11: 
 $def=0; //@line 769 "SpinSource/preprocess.c"
 label=12;break;
 case 12: 
 var $22=$pp_addr; //@line 771 "SpinSource/preprocess.c"
 var $23=$name; //@line 771 "SpinSource/preprocess.c"
 var $24=$def; //@line 771 "SpinSource/preprocess.c"
 __ZL18pp_define_internalP10preprocessPKcS2_i($22,$23,$24,1); //@line 771 "SpinSource/preprocess.c"
 label=13;break; //@line 772 "SpinSource/preprocess.c"
 case 13: 
 STACKTOP=sp;return; //@line 772 "SpinSource/preprocess.c"
  default: assert(0, "bad label: " + label);
 }

}


function __ZL16parse_restoflineP11parse_state($P){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $P_addr;
 var $ptr;
 var $ret;
 $P_addr=$P;
 var $0=$P_addr; //@line 491 "SpinSource/preprocess.c"
 var $save=(($0+4)|0); //@line 491 "SpinSource/preprocess.c"
 var $1=((((HEAPU8[($save)])|(HEAPU8[((($save)+(1))|0)]<<8)|(HEAPU8[((($save)+(2))|0)]<<16)|(HEAPU8[((($save)+(3))|0)]<<24))|0)); //@line 491 "SpinSource/preprocess.c"
 var $tobool=($1|0)!=0; //@line 491 "SpinSource/preprocess.c"
 if($tobool){label=2;break;}else{label=3;break;} //@line 491 "SpinSource/preprocess.c"
 case 2: 
 var $2=$P_addr; //@line 492 "SpinSource/preprocess.c"
 var $c=(($2+8)|0); //@line 492 "SpinSource/preprocess.c"
 var $3=((((HEAPU8[($c)])|(HEAPU8[((($c)+(1))|0)]<<8)|(HEAPU8[((($c)+(2))|0)]<<16)|(HEAPU8[((($c)+(3))|0)]<<24))|0)); //@line 492 "SpinSource/preprocess.c"
 var $conv=(($3)&255); //@line 492 "SpinSource/preprocess.c"
 var $4=$P_addr; //@line 492 "SpinSource/preprocess.c"
 var $save1=(($4+4)|0); //@line 492 "SpinSource/preprocess.c"
 var $5=((((HEAPU8[($save1)])|(HEAPU8[((($save1)+(1))|0)]<<8)|(HEAPU8[((($save1)+(2))|0)]<<16)|(HEAPU8[((($save1)+(3))|0)]<<24))|0)); //@line 492 "SpinSource/preprocess.c"
 HEAP8[($5)]=$conv; //@line 492 "SpinSource/preprocess.c"
 var $6=$P_addr; //@line 493 "SpinSource/preprocess.c"
 var $save2=(($6+4)|0); //@line 493 "SpinSource/preprocess.c"
 var $7=((((HEAPU8[($save2)])|(HEAPU8[((($save2)+(1))|0)]<<8)|(HEAPU8[((($save2)+(2))|0)]<<16)|(HEAPU8[((($save2)+(3))|0)]<<24))|0)); //@line 493 "SpinSource/preprocess.c"
 $ptr=$7; //@line 493 "SpinSource/preprocess.c"
 label=4;break; //@line 494 "SpinSource/preprocess.c"
 case 3: 
 var $8=$P_addr; //@line 495 "SpinSource/preprocess.c"
 var $str=(($8)|0); //@line 495 "SpinSource/preprocess.c"
 var $9=((((HEAPU8[($str)])|(HEAPU8[((($str)+(1))|0)]<<8)|(HEAPU8[((($str)+(2))|0)]<<16)|(HEAPU8[((($str)+(3))|0)]<<24))|0)); //@line 495 "SpinSource/preprocess.c"
 $ptr=$9; //@line 495 "SpinSource/preprocess.c"
 label=4;break;
 case 4: 
 var $10=$ptr; //@line 497 "SpinSource/preprocess.c"
 $ret=$10; //@line 497 "SpinSource/preprocess.c"
 label=5;break; //@line 498 "SpinSource/preprocess.c"
 case 5: 
 var $11=$ptr; //@line 498 "SpinSource/preprocess.c"
 var $12=HEAP8[($11)]; //@line 498 "SpinSource/preprocess.c"
 var $tobool3=(($12<<24)>>24)!=0; //@line 498 "SpinSource/preprocess.c"
 if($tobool3){label=6;break;}else{var $15=0;label=7;break;} //@line 498 "SpinSource/preprocess.c"
 case 6: 
 var $13=$ptr; //@line 498 "SpinSource/preprocess.c"
 var $14=HEAP8[($13)]; //@line 498 "SpinSource/preprocess.c"
 var $conv4=(($14<<24)>>24); //@line 498 "SpinSource/preprocess.c"
 var $cmp=($conv4|0)!=10; //@line 498 "SpinSource/preprocess.c"
 var $15=$cmp;label=7;break;
 case 7: 
 var $15;
 if($15){label=8;break;}else{label=9;break;}
 case 8: 
 var $16=$ptr; //@line 499 "SpinSource/preprocess.c"
 var $incdec_ptr=(($16+1)|0); //@line 499 "SpinSource/preprocess.c"
 $ptr=$incdec_ptr; //@line 499 "SpinSource/preprocess.c"
 label=5;break; //@line 499 "SpinSource/preprocess.c"
 case 9: 
 var $17=$ptr; //@line 500 "SpinSource/preprocess.c"
 var $18=HEAP8[($17)]; //@line 500 "SpinSource/preprocess.c"
 var $tobool5=(($18<<24)>>24)!=0; //@line 500 "SpinSource/preprocess.c"
 if($tobool5){label=10;break;}else{label=11;break;} //@line 500 "SpinSource/preprocess.c"
 case 10: 
 var $19=$ptr; //@line 501 "SpinSource/preprocess.c"
 var $20=HEAP8[($19)]; //@line 501 "SpinSource/preprocess.c"
 var $conv7=(($20<<24)>>24); //@line 501 "SpinSource/preprocess.c"
 var $21=$P_addr; //@line 501 "SpinSource/preprocess.c"
 var $c8=(($21+8)|0); //@line 501 "SpinSource/preprocess.c"
 tempBigInt=$conv7;HEAP8[($c8)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($c8)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($c8)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($c8)+(3))|0)]=tempBigInt&0xff; //@line 501 "SpinSource/preprocess.c"
 var $22=$ptr; //@line 502 "SpinSource/preprocess.c"
 HEAP8[($22)]=0; //@line 502 "SpinSource/preprocess.c"
 var $23=$ptr; //@line 503 "SpinSource/preprocess.c"
 var $24=$P_addr; //@line 503 "SpinSource/preprocess.c"
 var $save9=(($24+4)|0); //@line 503 "SpinSource/preprocess.c"
 tempBigInt=$23;HEAP8[($save9)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($save9)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($save9)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($save9)+(3))|0)]=tempBigInt&0xff; //@line 503 "SpinSource/preprocess.c"
 label=12;break; //@line 504 "SpinSource/preprocess.c"
 case 11: 
 var $25=$P_addr; //@line 505 "SpinSource/preprocess.c"
 var $save11=(($25+4)|0); //@line 505 "SpinSource/preprocess.c"
 tempBigInt=0;HEAP8[($save11)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($save11)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($save11)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($save11)+(3))|0)]=tempBigInt&0xff; //@line 505 "SpinSource/preprocess.c"
 label=12;break;
 case 12: 
 var $26=$ret; //@line 507 "SpinSource/preprocess.c"
 var $27=$P_addr; //@line 507 "SpinSource/preprocess.c"
 var $str13=(($27)|0); //@line 507 "SpinSource/preprocess.c"
 tempBigInt=$26;HEAP8[($str13)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($str13)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($str13)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($str13)+(3))|0)]=tempBigInt&0xff; //@line 507 "SpinSource/preprocess.c"
 var $28=$P_addr; //@line 508 "SpinSource/preprocess.c"
 var $str14=(($28)|0); //@line 508 "SpinSource/preprocess.c"
 var $29=((((HEAPU8[($str14)])|(HEAPU8[((($str14)+(1))|0)]<<8)|(HEAPU8[((($str14)+(2))|0)]<<16)|(HEAPU8[((($str14)+(3))|0)]<<24))|0)); //@line 508 "SpinSource/preprocess.c"
 STACKTOP=sp;return $29; //@line 508 "SpinSource/preprocess.c"
  default: assert(0, "bad label: " + label);
 }

}


function __ZL9dowarningP10preprocessPKcz($pp,$msg,varrp){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+1040)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $pp_addr;
 var $msg_addr;
 var $args=sp;
 var $tmpmsg=(sp)+(16);
 var $fil;
 $pp_addr=$pp;
 $msg_addr=$msg;
 var $0=$pp_addr; //@line 247 "SpinSource/preprocess.c"
 var $numwarnings=(($0+76)|0); //@line 247 "SpinSource/preprocess.c"
 var $1=((((HEAPU8[($numwarnings)])|(HEAPU8[((($numwarnings)+(1))|0)]<<8)|(HEAPU8[((($numwarnings)+(2))|0)]<<16)|(HEAPU8[((($numwarnings)+(3))|0)]<<24))|0)); //@line 247 "SpinSource/preprocess.c"
 var $inc=((($1)+(1))|0); //@line 247 "SpinSource/preprocess.c"
 tempBigInt=$inc;HEAP8[($numwarnings)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($numwarnings)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($numwarnings)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($numwarnings)+(3))|0)]=tempBigInt&0xff; //@line 247 "SpinSource/preprocess.c"
 var $arraydecay=(($args)|0); //@line 248 "SpinSource/preprocess.c"
 var $arraydecay1=$arraydecay; //@line 248 "SpinSource/preprocess.c"
 tempBigInt=varrp;HEAP8[($arraydecay1)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arraydecay1)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arraydecay1)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arraydecay1)+(3))|0)]=tempBigInt&0xff;tempBigInt=0;HEAP8[((($arraydecay1)+(4))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arraydecay1)+(5))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arraydecay1)+(6))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arraydecay1)+(7))|0)]=tempBigInt&0xff; //@line 248 "SpinSource/preprocess.c"
 var $arraydecay2=(($tmpmsg)|0); //@line 249 "SpinSource/preprocess.c"
 var $2=$msg_addr; //@line 249 "SpinSource/preprocess.c"
 var $arraydecay3=(($args)|0); //@line 249 "SpinSource/preprocess.c"
 var $call=_vsnprintf($arraydecay2,1024,$2,$arraydecay3); //@line 249 "SpinSource/preprocess.c"
 var $arraydecay4=(($args)|0); //@line 250 "SpinSource/preprocess.c"
 var $arraydecay45=$arraydecay4; //@line 250 "SpinSource/preprocess.c"
 //@line 250 "SpinSource/preprocess.c"
 var $3=$pp_addr; //@line 252 "SpinSource/preprocess.c"
 var $fil6=(($3)|0); //@line 252 "SpinSource/preprocess.c"
 var $4=((((HEAPU8[($fil6)])|(HEAPU8[((($fil6)+(1))|0)]<<8)|(HEAPU8[((($fil6)+(2))|0)]<<16)|(HEAPU8[((($fil6)+(3))|0)]<<24))|0)); //@line 252 "SpinSource/preprocess.c"
 $fil=$4; //@line 252 "SpinSource/preprocess.c"
 var $5=$fil; //@line 253 "SpinSource/preprocess.c"
 var $tobool=($5|0)!=0; //@line 253 "SpinSource/preprocess.c"
 if($tobool){label=2;break;}else{label=3;break;} //@line 253 "SpinSource/preprocess.c"
 case 2: 
 var $6=$pp_addr; //@line 254 "SpinSource/preprocess.c"
 var $warnfunc=(($6+64)|0); //@line 254 "SpinSource/preprocess.c"
 var $7=((((HEAPU8[($warnfunc)])|(HEAPU8[((($warnfunc)+(1))|0)]<<8)|(HEAPU8[((($warnfunc)+(2))|0)]<<16)|(HEAPU8[((($warnfunc)+(3))|0)]<<24))|0)); //@line 254 "SpinSource/preprocess.c"
 var $8=$pp_addr; //@line 254 "SpinSource/preprocess.c"
 var $warnarg=(($8+72)|0); //@line 254 "SpinSource/preprocess.c"
 var $9=((((HEAPU8[($warnarg)])|(HEAPU8[((($warnarg)+(1))|0)]<<8)|(HEAPU8[((($warnarg)+(2))|0)]<<16)|(HEAPU8[((($warnarg)+(3))|0)]<<24))|0)); //@line 254 "SpinSource/preprocess.c"
 var $10=$pp_addr; //@line 254 "SpinSource/preprocess.c"
 var $fil7=(($10)|0); //@line 254 "SpinSource/preprocess.c"
 var $11=((((HEAPU8[($fil7)])|(HEAPU8[((($fil7)+(1))|0)]<<8)|(HEAPU8[((($fil7)+(2))|0)]<<16)|(HEAPU8[((($fil7)+(3))|0)]<<24))|0)); //@line 254 "SpinSource/preprocess.c"
 var $name=(($11+8)|0); //@line 254 "SpinSource/preprocess.c"
 var $12=((((HEAPU8[($name)])|(HEAPU8[((($name)+(1))|0)]<<8)|(HEAPU8[((($name)+(2))|0)]<<16)|(HEAPU8[((($name)+(3))|0)]<<24))|0)); //@line 254 "SpinSource/preprocess.c"
 var $13=$pp_addr; //@line 254 "SpinSource/preprocess.c"
 var $fil8=(($13)|0); //@line 254 "SpinSource/preprocess.c"
 var $14=((((HEAPU8[($fil8)])|(HEAPU8[((($fil8)+(1))|0)]<<8)|(HEAPU8[((($fil8)+(2))|0)]<<16)|(HEAPU8[((($fil8)+(3))|0)]<<24))|0)); //@line 254 "SpinSource/preprocess.c"
 var $lineno=(($14+12)|0); //@line 254 "SpinSource/preprocess.c"
 var $15=((((HEAPU8[($lineno)])|(HEAPU8[((($lineno)+(1))|0)]<<8)|(HEAPU8[((($lineno)+(2))|0)]<<16)|(HEAPU8[((($lineno)+(3))|0)]<<24))|0)); //@line 254 "SpinSource/preprocess.c"
 var $arraydecay9=(($tmpmsg)|0); //@line 254 "SpinSource/preprocess.c"
 FUNCTION_TABLE[$7]($9,$12,$15,$arraydecay9); //@line 254 "SpinSource/preprocess.c"
 label=4;break; //@line 255 "SpinSource/preprocess.c"
 case 3: 
 var $16=$pp_addr; //@line 256 "SpinSource/preprocess.c"
 var $warnfunc10=(($16+64)|0); //@line 256 "SpinSource/preprocess.c"
 var $17=((((HEAPU8[($warnfunc10)])|(HEAPU8[((($warnfunc10)+(1))|0)]<<8)|(HEAPU8[((($warnfunc10)+(2))|0)]<<16)|(HEAPU8[((($warnfunc10)+(3))|0)]<<24))|0)); //@line 256 "SpinSource/preprocess.c"
 var $18=$pp_addr; //@line 256 "SpinSource/preprocess.c"
 var $warnarg11=(($18+72)|0); //@line 256 "SpinSource/preprocess.c"
 var $19=((((HEAPU8[($warnarg11)])|(HEAPU8[((($warnarg11)+(1))|0)]<<8)|(HEAPU8[((($warnarg11)+(2))|0)]<<16)|(HEAPU8[((($warnarg11)+(3))|0)]<<24))|0)); //@line 256 "SpinSource/preprocess.c"
 var $arraydecay12=(($tmpmsg)|0); //@line 256 "SpinSource/preprocess.c"
 FUNCTION_TABLE[$17]($19,19736,0,$arraydecay12); //@line 256 "SpinSource/preprocess.c"
 label=4;break;
 case 4: 
 STACKTOP=sp;return; //@line 258 "SpinSource/preprocess.c"
  default: assert(0, "bad label: " + label);
 }

}


function __ZL13classify_chari($c){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $c_addr;
 $c_addr=$c;
 var $0=$c_addr; //@line 435 "SpinSource/preprocess.c"
 var $call=_isspace($0); //@line 435 "SpinSource/preprocess.c"
 var $tobool=($call|0)!=0; //@line 435 "SpinSource/preprocess.c"
 if($tobool){label=2;break;}else{label=3;break;} //@line 435 "SpinSource/preprocess.c"
 case 2: 
 $retval=1; //@line 436 "SpinSource/preprocess.c"
 label=7;break; //@line 436 "SpinSource/preprocess.c"
 case 3: 
 var $1=$c_addr; //@line 437 "SpinSource/preprocess.c"
 var $call1=_isalnum($1); //@line 437 "SpinSource/preprocess.c"
 var $tobool2=($call1|0)!=0; //@line 437 "SpinSource/preprocess.c"
 if($tobool2){label=5;break;}else{label=4;break;} //@line 437 "SpinSource/preprocess.c"
 case 4: 
 var $2=$c_addr; //@line 437 "SpinSource/preprocess.c"
 var $cmp=($2|0)==95; //@line 437 "SpinSource/preprocess.c"
 if($cmp){label=5;break;}else{label=6;break;} //@line 437 "SpinSource/preprocess.c"
 case 5: 
 $retval=2; //@line 438 "SpinSource/preprocess.c"
 label=7;break; //@line 438 "SpinSource/preprocess.c"
 case 6: 
 $retval=3; //@line 439 "SpinSource/preprocess.c"
 label=7;break; //@line 439 "SpinSource/preprocess.c"
 case 7: 
 var $3=$retval; //@line 440 "SpinSource/preprocess.c"
 STACKTOP=sp;return $3; //@line 440 "SpinSource/preprocess.c"
  default: assert(0, "bad label: " + label);
 }

}


function __ZL24parse_getwordafterspacesP11parse_state($P){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $P_addr;
 $P_addr=$P;
 var $0=$P_addr; //@line 529 "SpinSource/preprocess.c"
 __ZL16parse_skipspacesP11parse_state($0); //@line 529 "SpinSource/preprocess.c"
 var $1=$P_addr; //@line 530 "SpinSource/preprocess.c"
 var $call=__ZL13parse_getwordP11parse_state($1); //@line 530 "SpinSource/preprocess.c"
 STACKTOP=sp;return $call; //@line 530 "SpinSource/preprocess.c"
}


function __ZL11handle_warnP10preprocessP11parse_state($pp,$P){
 var label=0;
 var tempVarArgs=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $pp_addr;
 var $P_addr;
 var $msg;
 $pp_addr=$pp;
 $P_addr=$P;
 var $0=$pp_addr; //@line 733 "SpinSource/preprocess.c"
 var $ifs=(($0+40)|0); //@line 733 "SpinSource/preprocess.c"
 var $1=((((HEAPU8[($ifs)])|(HEAPU8[((($ifs)+(1))|0)]<<8)|(HEAPU8[((($ifs)+(2))|0)]<<16)|(HEAPU8[((($ifs)+(3))|0)]<<24))|0)); //@line 733 "SpinSource/preprocess.c"
 var $tobool=($1|0)!=0; //@line 733 "SpinSource/preprocess.c"
 if($tobool){label=2;break;}else{label=4;break;} //@line 733 "SpinSource/preprocess.c"
 case 2: 
 var $2=$pp_addr; //@line 733 "SpinSource/preprocess.c"
 var $ifs1=(($2+40)|0); //@line 733 "SpinSource/preprocess.c"
 var $3=((((HEAPU8[($ifs1)])|(HEAPU8[((($ifs1)+(1))|0)]<<8)|(HEAPU8[((($ifs1)+(2))|0)]<<16)|(HEAPU8[((($ifs1)+(3))|0)]<<24))|0)); //@line 733 "SpinSource/preprocess.c"
 var $skip=(($3+4)|0); //@line 733 "SpinSource/preprocess.c"
 var $4=((((HEAPU8[($skip)])|(HEAPU8[((($skip)+(1))|0)]<<8)|(HEAPU8[((($skip)+(2))|0)]<<16)|(HEAPU8[((($skip)+(3))|0)]<<24))|0)); //@line 733 "SpinSource/preprocess.c"
 var $tobool2=($4|0)!=0; //@line 733 "SpinSource/preprocess.c"
 if($tobool2){label=3;break;}else{label=4;break;} //@line 733 "SpinSource/preprocess.c"
 case 3: 
 label=5;break; //@line 734 "SpinSource/preprocess.c"
 case 4: 
 var $5=$P_addr; //@line 736 "SpinSource/preprocess.c"
 var $call=__ZL16parse_restoflineP11parse_state($5); //@line 736 "SpinSource/preprocess.c"
 $msg=$call; //@line 736 "SpinSource/preprocess.c"
 var $6=$pp_addr; //@line 737 "SpinSource/preprocess.c"
 var $7=$msg; //@line 737 "SpinSource/preprocess.c"
 __ZL9dowarningP10preprocessPKcz($6,7160,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 8)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=$7,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 737 "SpinSource/preprocess.c"
 label=5;break; //@line 738 "SpinSource/preprocess.c"
 case 5: 
 STACKTOP=sp;return; //@line 738 "SpinSource/preprocess.c"
  default: assert(0, "bad label: " + label);
 }

}


function __ZL12handle_errorP10preprocessP11parse_state($pp,$P){
 var label=0;
 var tempVarArgs=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $pp_addr;
 var $P_addr;
 var $msg;
 $pp_addr=$pp;
 $P_addr=$P;
 var $0=$pp_addr; //@line 719 "SpinSource/preprocess.c"
 var $ifs=(($0+40)|0); //@line 719 "SpinSource/preprocess.c"
 var $1=((((HEAPU8[($ifs)])|(HEAPU8[((($ifs)+(1))|0)]<<8)|(HEAPU8[((($ifs)+(2))|0)]<<16)|(HEAPU8[((($ifs)+(3))|0)]<<24))|0)); //@line 719 "SpinSource/preprocess.c"
 var $tobool=($1|0)!=0; //@line 719 "SpinSource/preprocess.c"
 if($tobool){label=2;break;}else{label=4;break;} //@line 719 "SpinSource/preprocess.c"
 case 2: 
 var $2=$pp_addr; //@line 719 "SpinSource/preprocess.c"
 var $ifs1=(($2+40)|0); //@line 719 "SpinSource/preprocess.c"
 var $3=((((HEAPU8[($ifs1)])|(HEAPU8[((($ifs1)+(1))|0)]<<8)|(HEAPU8[((($ifs1)+(2))|0)]<<16)|(HEAPU8[((($ifs1)+(3))|0)]<<24))|0)); //@line 719 "SpinSource/preprocess.c"
 var $skip=(($3+4)|0); //@line 719 "SpinSource/preprocess.c"
 var $4=((((HEAPU8[($skip)])|(HEAPU8[((($skip)+(1))|0)]<<8)|(HEAPU8[((($skip)+(2))|0)]<<16)|(HEAPU8[((($skip)+(3))|0)]<<24))|0)); //@line 719 "SpinSource/preprocess.c"
 var $tobool2=($4|0)!=0; //@line 719 "SpinSource/preprocess.c"
 if($tobool2){label=3;break;}else{label=4;break;} //@line 719 "SpinSource/preprocess.c"
 case 3: 
 label=6;break; //@line 720 "SpinSource/preprocess.c"
 case 4: 
 var $5=$P_addr; //@line 722 "SpinSource/preprocess.c"
 var $call=__ZL16parse_restoflineP11parse_state($5); //@line 722 "SpinSource/preprocess.c"
 $msg=$call; //@line 722 "SpinSource/preprocess.c"
 var $6=$pp_addr; //@line 723 "SpinSource/preprocess.c"
 var $7=$msg; //@line 723 "SpinSource/preprocess.c"
 __ZL7doerrorP10preprocessPKcz($6,6984,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 8)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=$7,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 723 "SpinSource/preprocess.c"
 var $8=$pp_addr; //@line 724 "SpinSource/preprocess.c"
 var $alternate=(($8+88)|0); //@line 724 "SpinSource/preprocess.c"
 var $9=HEAP8[($alternate)]; //@line 724 "SpinSource/preprocess.c"
 var $tobool3=(($9)&1); //@line 724 "SpinSource/preprocess.c"
 if($tobool3){label=5;break;}else{label=6;break;} //@line 724 "SpinSource/preprocess.c"
 case 5: 
 _exit(1); //@line 725 "SpinSource/preprocess.c"
 throw "Reached an unreachable!"; //@line 725 "SpinSource/preprocess.c"
 case 6: 
 STACKTOP=sp;return; //@line 727 "SpinSource/preprocess.c"
  default: assert(0, "bad label: " + label);
 }

}


function __ZL12handle_endifP10preprocessP11parse_state($pp,$P){
 var label=0;
 var tempVarArgs=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $pp_addr;
 var $P_addr;
 var $I;
 $pp_addr=$pp;
 $P_addr=$P;
 var $0=$pp_addr; //@line 705 "SpinSource/preprocess.c"
 var $ifs=(($0+40)|0); //@line 705 "SpinSource/preprocess.c"
 var $1=((((HEAPU8[($ifs)])|(HEAPU8[((($ifs)+(1))|0)]<<8)|(HEAPU8[((($ifs)+(2))|0)]<<16)|(HEAPU8[((($ifs)+(3))|0)]<<24))|0)); //@line 705 "SpinSource/preprocess.c"
 $I=$1; //@line 705 "SpinSource/preprocess.c"
 var $2=$I; //@line 707 "SpinSource/preprocess.c"
 var $tobool=($2|0)!=0; //@line 707 "SpinSource/preprocess.c"
 if($tobool){label=3;break;}else{label=2;break;} //@line 707 "SpinSource/preprocess.c"
 case 2: 
 var $3=$pp_addr; //@line 708 "SpinSource/preprocess.c"
 __ZL7doerrorP10preprocessPKcz($3,6768,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 1)|0,STACKTOP = (((STACKTOP)+7)&-8),(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=0,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 708 "SpinSource/preprocess.c"
 label=4;break; //@line 709 "SpinSource/preprocess.c"
 case 3: 
 var $4=$I; //@line 711 "SpinSource/preprocess.c"
 var $next=(($4)|0); //@line 711 "SpinSource/preprocess.c"
 var $5=((((HEAPU8[($next)])|(HEAPU8[((($next)+(1))|0)]<<8)|(HEAPU8[((($next)+(2))|0)]<<16)|(HEAPU8[((($next)+(3))|0)]<<24))|0)); //@line 711 "SpinSource/preprocess.c"
 var $6=$pp_addr; //@line 711 "SpinSource/preprocess.c"
 var $ifs1=(($6+40)|0); //@line 711 "SpinSource/preprocess.c"
 tempBigInt=$5;HEAP8[($ifs1)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($ifs1)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($ifs1)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($ifs1)+(3))|0)]=tempBigInt&0xff; //@line 711 "SpinSource/preprocess.c"
 var $7=$I; //@line 712 "SpinSource/preprocess.c"
 var $8=$7; //@line 712 "SpinSource/preprocess.c"
 _free($8); //@line 712 "SpinSource/preprocess.c"
 label=4;break; //@line 713 "SpinSource/preprocess.c"
 case 4: 
 STACKTOP=sp;return; //@line 713 "SpinSource/preprocess.c"
  default: assert(0, "bad label: " + label);
 }

}


function __ZL16handle_elseifdefP10preprocessP11parse_statei($pp,$P,$invert){
 var label=0;
 var tempVarArgs=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $pp_addr;
 var $P_addr;
 var $invert_addr;
 var $I;
 var $word;
 var $def;
 $pp_addr=$pp;
 $P_addr=$P;
 $invert_addr=$invert;
 var $0=$pp_addr; //@line 674 "SpinSource/preprocess.c"
 var $ifs=(($0+40)|0); //@line 674 "SpinSource/preprocess.c"
 var $1=((((HEAPU8[($ifs)])|(HEAPU8[((($ifs)+(1))|0)]<<8)|(HEAPU8[((($ifs)+(2))|0)]<<16)|(HEAPU8[((($ifs)+(3))|0)]<<24))|0)); //@line 674 "SpinSource/preprocess.c"
 $I=$1; //@line 674 "SpinSource/preprocess.c"
 var $2=$I; //@line 678 "SpinSource/preprocess.c"
 var $tobool=($2|0)!=0; //@line 678 "SpinSource/preprocess.c"
 if($tobool){label=3;break;}else{label=2;break;} //@line 678 "SpinSource/preprocess.c"
 case 2: 
 var $3=$pp_addr; //@line 679 "SpinSource/preprocess.c"
 __ZL7doerrorP10preprocessPKcz($3,6560,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 1)|0,STACKTOP = (((STACKTOP)+7)&-8),(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=0,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 679 "SpinSource/preprocess.c"
 label=8;break; //@line 680 "SpinSource/preprocess.c"
 case 3: 
 var $4=$I; //@line 683 "SpinSource/preprocess.c"
 var $skiprest=(($4+16)|0); //@line 683 "SpinSource/preprocess.c"
 var $5=((((HEAPU8[($skiprest)])|(HEAPU8[((($skiprest)+(1))|0)]<<8)|(HEAPU8[((($skiprest)+(2))|0)]<<16)|(HEAPU8[((($skiprest)+(3))|0)]<<24))|0)); //@line 683 "SpinSource/preprocess.c"
 var $tobool1=($5|0)!=0; //@line 683 "SpinSource/preprocess.c"
 if($tobool1){label=4;break;}else{label=5;break;} //@line 683 "SpinSource/preprocess.c"
 case 4: 
 var $6=$I; //@line 685 "SpinSource/preprocess.c"
 var $skip=(($6+4)|0); //@line 685 "SpinSource/preprocess.c"
 tempBigInt=1;HEAP8[($skip)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($skip)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($skip)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($skip)+(3))|0)]=tempBigInt&0xff; //@line 685 "SpinSource/preprocess.c"
 label=8;break; //@line 686 "SpinSource/preprocess.c"
 case 5: 
 var $7=$P_addr; //@line 688 "SpinSource/preprocess.c"
 var $call=__ZL24parse_getwordafterspacesP11parse_state($7); //@line 688 "SpinSource/preprocess.c"
 $word=$call; //@line 688 "SpinSource/preprocess.c"
 var $8=$pp_addr; //@line 689 "SpinSource/preprocess.c"
 var $9=$word; //@line 689 "SpinSource/preprocess.c"
 var $call4=__Z9pp_getdefP10preprocessPKc($8,$9); //@line 689 "SpinSource/preprocess.c"
 $def=$call4; //@line 689 "SpinSource/preprocess.c"
 var $10=$invert_addr; //@line 690 "SpinSource/preprocess.c"
 var $11=$def; //@line 690 "SpinSource/preprocess.c"
 var $cmp=($11|0)!=0; //@line 690 "SpinSource/preprocess.c"
 var $conv=($cmp&1); //@line 690 "SpinSource/preprocess.c"
 var $xor=$10^$conv; //@line 690 "SpinSource/preprocess.c"
 var $tobool5=($xor|0)!=0; //@line 690 "SpinSource/preprocess.c"
 if($tobool5){label=6;break;}else{label=7;break;} //@line 690 "SpinSource/preprocess.c"
 case 6: 
 var $12=$I; //@line 691 "SpinSource/preprocess.c"
 var $skip7=(($12+4)|0); //@line 691 "SpinSource/preprocess.c"
 tempBigInt=0;HEAP8[($skip7)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($skip7)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($skip7)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($skip7)+(3))|0)]=tempBigInt&0xff; //@line 691 "SpinSource/preprocess.c"
 var $13=$I; //@line 692 "SpinSource/preprocess.c"
 var $skiprest8=(($13+16)|0); //@line 692 "SpinSource/preprocess.c"
 tempBigInt=1;HEAP8[($skiprest8)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($skiprest8)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($skiprest8)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($skiprest8)+(3))|0)]=tempBigInt&0xff; //@line 692 "SpinSource/preprocess.c"
 label=8;break; //@line 693 "SpinSource/preprocess.c"
 case 7: 
 var $14=$I; //@line 694 "SpinSource/preprocess.c"
 var $skip9=(($14+4)|0); //@line 694 "SpinSource/preprocess.c"
 tempBigInt=1;HEAP8[($skip9)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($skip9)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($skip9)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($skip9)+(3))|0)]=tempBigInt&0xff; //@line 694 "SpinSource/preprocess.c"
 label=8;break;
 case 8: 
 STACKTOP=sp;return; //@line 696 "SpinSource/preprocess.c"
  default: assert(0, "bad label: " + label);
 }

}


function __ZL11handle_elseP10preprocessP11parse_state($pp,$P){
 var label=0;
 var tempVarArgs=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $pp_addr;
 var $P_addr;
 var $I;
 $pp_addr=$pp;
 $P_addr=$P;
 var $0=$pp_addr; //@line 652 "SpinSource/preprocess.c"
 var $ifs=(($0+40)|0); //@line 652 "SpinSource/preprocess.c"
 var $1=((((HEAPU8[($ifs)])|(HEAPU8[((($ifs)+(1))|0)]<<8)|(HEAPU8[((($ifs)+(2))|0)]<<16)|(HEAPU8[((($ifs)+(3))|0)]<<24))|0)); //@line 652 "SpinSource/preprocess.c"
 $I=$1; //@line 652 "SpinSource/preprocess.c"
 var $2=$I; //@line 654 "SpinSource/preprocess.c"
 var $tobool=($2|0)!=0; //@line 654 "SpinSource/preprocess.c"
 if($tobool){label=3;break;}else{label=2;break;} //@line 654 "SpinSource/preprocess.c"
 case 2: 
 var $3=$pp_addr; //@line 655 "SpinSource/preprocess.c"
 __ZL7doerrorP10preprocessPKcz($3,6560,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 1)|0,STACKTOP = (((STACKTOP)+7)&-8),(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=0,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 655 "SpinSource/preprocess.c"
 label=8;break; //@line 656 "SpinSource/preprocess.c"
 case 3: 
 var $4=$I; //@line 658 "SpinSource/preprocess.c"
 var $sawelse=(($4+20)|0); //@line 658 "SpinSource/preprocess.c"
 var $5=((((HEAPU8[($sawelse)])|(HEAPU8[((($sawelse)+(1))|0)]<<8)|(HEAPU8[((($sawelse)+(2))|0)]<<16)|(HEAPU8[((($sawelse)+(3))|0)]<<24))|0)); //@line 658 "SpinSource/preprocess.c"
 var $tobool1=($5|0)!=0; //@line 658 "SpinSource/preprocess.c"
 if($tobool1){label=4;break;}else{label=5;break;} //@line 658 "SpinSource/preprocess.c"
 case 4: 
 var $6=$pp_addr; //@line 659 "SpinSource/preprocess.c"
 __ZL7doerrorP10preprocessPKcz($6,6368,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 1)|0,STACKTOP = (((STACKTOP)+7)&-8),(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=0,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 659 "SpinSource/preprocess.c"
 label=8;break; //@line 660 "SpinSource/preprocess.c"
 case 5: 
 var $7=$I; //@line 662 "SpinSource/preprocess.c"
 var $sawelse4=(($7+20)|0); //@line 662 "SpinSource/preprocess.c"
 tempBigInt=1;HEAP8[($sawelse4)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($sawelse4)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($sawelse4)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($sawelse4)+(3))|0)]=tempBigInt&0xff; //@line 662 "SpinSource/preprocess.c"
 var $8=$I; //@line 663 "SpinSource/preprocess.c"
 var $skiprest=(($8+16)|0); //@line 663 "SpinSource/preprocess.c"
 var $9=((((HEAPU8[($skiprest)])|(HEAPU8[((($skiprest)+(1))|0)]<<8)|(HEAPU8[((($skiprest)+(2))|0)]<<16)|(HEAPU8[((($skiprest)+(3))|0)]<<24))|0)); //@line 663 "SpinSource/preprocess.c"
 var $tobool5=($9|0)!=0; //@line 663 "SpinSource/preprocess.c"
 if($tobool5){label=6;break;}else{label=7;break;} //@line 663 "SpinSource/preprocess.c"
 case 6: 
 var $10=$I; //@line 665 "SpinSource/preprocess.c"
 var $skip=(($10+4)|0); //@line 665 "SpinSource/preprocess.c"
 tempBigInt=1;HEAP8[($skip)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($skip)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($skip)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($skip)+(3))|0)]=tempBigInt&0xff; //@line 665 "SpinSource/preprocess.c"
 label=8;break; //@line 666 "SpinSource/preprocess.c"
 case 7: 
 var $11=$I; //@line 667 "SpinSource/preprocess.c"
 var $skip7=(($11+4)|0); //@line 667 "SpinSource/preprocess.c"
 tempBigInt=0;HEAP8[($skip7)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($skip7)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($skip7)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($skip7)+(3))|0)]=tempBigInt&0xff; //@line 667 "SpinSource/preprocess.c"
 label=8;break;
 case 8: 
 STACKTOP=sp;return; //@line 669 "SpinSource/preprocess.c"
  default: assert(0, "bad label: " + label);
 }

}


function __ZL12handle_ifdefP10preprocessP11parse_statei($pp,$P,$invert){
 var label=0;
 var tempVarArgs=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $pp_addr;
 var $P_addr;
 var $invert_addr;
 var $word;
 var $def;
 var $I;
 $pp_addr=$pp;
 $P_addr=$P;
 $invert_addr=$invert;
 var $call=_calloc(1,24); //@line 612 "SpinSource/preprocess.c"
 var $0=$call; //@line 612 "SpinSource/preprocess.c"
 $I=$0; //@line 612 "SpinSource/preprocess.c"
 var $1=$I; //@line 613 "SpinSource/preprocess.c"
 var $tobool=($1|0)!=0; //@line 613 "SpinSource/preprocess.c"
 if($tobool){label=3;break;}else{label=2;break;} //@line 613 "SpinSource/preprocess.c"
 case 2: 
 var $2=$pp_addr; //@line 614 "SpinSource/preprocess.c"
 __ZL7doerrorP10preprocessPKcz($2,6184,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 1)|0,STACKTOP = (((STACKTOP)+7)&-8),(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=0,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 614 "SpinSource/preprocess.c"
 label=12;break; //@line 615 "SpinSource/preprocess.c"
 case 3: 
 var $3=$pp_addr; //@line 617 "SpinSource/preprocess.c"
 var $ifs=(($3+40)|0); //@line 617 "SpinSource/preprocess.c"
 var $4=((((HEAPU8[($ifs)])|(HEAPU8[((($ifs)+(1))|0)]<<8)|(HEAPU8[((($ifs)+(2))|0)]<<16)|(HEAPU8[((($ifs)+(3))|0)]<<24))|0)); //@line 617 "SpinSource/preprocess.c"
 var $5=$I; //@line 617 "SpinSource/preprocess.c"
 var $next=(($5)|0); //@line 617 "SpinSource/preprocess.c"
 tempBigInt=$4;HEAP8[($next)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($next)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($next)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($next)+(3))|0)]=tempBigInt&0xff; //@line 617 "SpinSource/preprocess.c"
 var $6=$pp_addr; //@line 618 "SpinSource/preprocess.c"
 var $fil=(($6)|0); //@line 618 "SpinSource/preprocess.c"
 var $7=((((HEAPU8[($fil)])|(HEAPU8[((($fil)+(1))|0)]<<8)|(HEAPU8[((($fil)+(2))|0)]<<16)|(HEAPU8[((($fil)+(3))|0)]<<24))|0)); //@line 618 "SpinSource/preprocess.c"
 var $tobool1=($7|0)!=0; //@line 618 "SpinSource/preprocess.c"
 if($tobool1){label=4;break;}else{label=5;break;} //@line 618 "SpinSource/preprocess.c"
 case 4: 
 var $8=$pp_addr; //@line 619 "SpinSource/preprocess.c"
 var $fil3=(($8)|0); //@line 619 "SpinSource/preprocess.c"
 var $9=((((HEAPU8[($fil3)])|(HEAPU8[((($fil3)+(1))|0)]<<8)|(HEAPU8[((($fil3)+(2))|0)]<<16)|(HEAPU8[((($fil3)+(3))|0)]<<24))|0)); //@line 619 "SpinSource/preprocess.c"
 var $name=(($9+8)|0); //@line 619 "SpinSource/preprocess.c"
 var $10=((((HEAPU8[($name)])|(HEAPU8[((($name)+(1))|0)]<<8)|(HEAPU8[((($name)+(2))|0)]<<16)|(HEAPU8[((($name)+(3))|0)]<<24))|0)); //@line 619 "SpinSource/preprocess.c"
 var $call4=_strdup($10); //@line 619 "SpinSource/preprocess.c"
 var $11=$I; //@line 619 "SpinSource/preprocess.c"
 var $name5=(($11+8)|0); //@line 619 "SpinSource/preprocess.c"
 tempBigInt=$call4;HEAP8[($name5)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($name5)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($name5)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($name5)+(3))|0)]=tempBigInt&0xff; //@line 619 "SpinSource/preprocess.c"
 var $12=$pp_addr; //@line 620 "SpinSource/preprocess.c"
 var $fil6=(($12)|0); //@line 620 "SpinSource/preprocess.c"
 var $13=((((HEAPU8[($fil6)])|(HEAPU8[((($fil6)+(1))|0)]<<8)|(HEAPU8[((($fil6)+(2))|0)]<<16)|(HEAPU8[((($fil6)+(3))|0)]<<24))|0)); //@line 620 "SpinSource/preprocess.c"
 var $lineno=(($13+12)|0); //@line 620 "SpinSource/preprocess.c"
 var $14=((((HEAPU8[($lineno)])|(HEAPU8[((($lineno)+(1))|0)]<<8)|(HEAPU8[((($lineno)+(2))|0)]<<16)|(HEAPU8[((($lineno)+(3))|0)]<<24))|0)); //@line 620 "SpinSource/preprocess.c"
 var $15=$I; //@line 620 "SpinSource/preprocess.c"
 var $linenum=(($15+12)|0); //@line 620 "SpinSource/preprocess.c"
 tempBigInt=$14;HEAP8[($linenum)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($linenum)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($linenum)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($linenum)+(3))|0)]=tempBigInt&0xff; //@line 620 "SpinSource/preprocess.c"
 label=5;break; //@line 621 "SpinSource/preprocess.c"
 case 5: 
 var $16=$pp_addr; //@line 623 "SpinSource/preprocess.c"
 var $ifs8=(($16+40)|0); //@line 623 "SpinSource/preprocess.c"
 var $17=((((HEAPU8[($ifs8)])|(HEAPU8[((($ifs8)+(1))|0)]<<8)|(HEAPU8[((($ifs8)+(2))|0)]<<16)|(HEAPU8[((($ifs8)+(3))|0)]<<24))|0)); //@line 623 "SpinSource/preprocess.c"
 var $tobool9=($17|0)!=0; //@line 623 "SpinSource/preprocess.c"
 if($tobool9){label=6;break;}else{label=8;break;} //@line 623 "SpinSource/preprocess.c"
 case 6: 
 var $18=$pp_addr; //@line 623 "SpinSource/preprocess.c"
 var $ifs10=(($18+40)|0); //@line 623 "SpinSource/preprocess.c"
 var $19=((((HEAPU8[($ifs10)])|(HEAPU8[((($ifs10)+(1))|0)]<<8)|(HEAPU8[((($ifs10)+(2))|0)]<<16)|(HEAPU8[((($ifs10)+(3))|0)]<<24))|0)); //@line 623 "SpinSource/preprocess.c"
 var $skip=(($19+4)|0); //@line 623 "SpinSource/preprocess.c"
 var $20=((((HEAPU8[($skip)])|(HEAPU8[((($skip)+(1))|0)]<<8)|(HEAPU8[((($skip)+(2))|0)]<<16)|(HEAPU8[((($skip)+(3))|0)]<<24))|0)); //@line 623 "SpinSource/preprocess.c"
 var $tobool11=($20|0)!=0; //@line 623 "SpinSource/preprocess.c"
 if($tobool11){label=7;break;}else{label=8;break;} //@line 623 "SpinSource/preprocess.c"
 case 7: 
 var $21=$I; //@line 624 "SpinSource/preprocess.c"
 var $skip13=(($21+4)|0); //@line 624 "SpinSource/preprocess.c"
 tempBigInt=1;HEAP8[($skip13)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($skip13)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($skip13)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($skip13)+(3))|0)]=tempBigInt&0xff; //@line 624 "SpinSource/preprocess.c"
 var $22=$I; //@line 625 "SpinSource/preprocess.c"
 var $skiprest=(($22+16)|0); //@line 625 "SpinSource/preprocess.c"
 tempBigInt=1;HEAP8[($skiprest)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($skiprest)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($skiprest)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($skiprest)+(3))|0)]=tempBigInt&0xff; //@line 625 "SpinSource/preprocess.c"
 var $23=$I; //@line 626 "SpinSource/preprocess.c"
 var $24=$pp_addr; //@line 626 "SpinSource/preprocess.c"
 var $ifs14=(($24+40)|0); //@line 626 "SpinSource/preprocess.c"
 tempBigInt=$23;HEAP8[($ifs14)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($ifs14)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($ifs14)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($ifs14)+(3))|0)]=tempBigInt&0xff; //@line 626 "SpinSource/preprocess.c"
 label=12;break; //@line 627 "SpinSource/preprocess.c"
 case 8: 
 var $25=$I; //@line 630 "SpinSource/preprocess.c"
 var $skip15=(($25+4)|0); //@line 630 "SpinSource/preprocess.c"
 tempBigInt=0;HEAP8[($skip15)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($skip15)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($skip15)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($skip15)+(3))|0)]=tempBigInt&0xff; //@line 630 "SpinSource/preprocess.c"
 var $26=$I; //@line 631 "SpinSource/preprocess.c"
 var $skiprest16=(($26+16)|0); //@line 631 "SpinSource/preprocess.c"
 tempBigInt=0;HEAP8[($skiprest16)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($skiprest16)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($skiprest16)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($skiprest16)+(3))|0)]=tempBigInt&0xff; //@line 631 "SpinSource/preprocess.c"
 var $27=$I; //@line 632 "SpinSource/preprocess.c"
 var $28=$pp_addr; //@line 632 "SpinSource/preprocess.c"
 var $ifs17=(($28+40)|0); //@line 632 "SpinSource/preprocess.c"
 tempBigInt=$27;HEAP8[($ifs17)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($ifs17)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($ifs17)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($ifs17)+(3))|0)]=tempBigInt&0xff; //@line 632 "SpinSource/preprocess.c"
 label=9;break;
 case 9: 
 var $29=$P_addr; //@line 635 "SpinSource/preprocess.c"
 var $call19=__ZL24parse_getwordafterspacesP11parse_state($29); //@line 635 "SpinSource/preprocess.c"
 $word=$call19; //@line 635 "SpinSource/preprocess.c"
 var $30=$pp_addr; //@line 636 "SpinSource/preprocess.c"
 var $31=$word; //@line 636 "SpinSource/preprocess.c"
 var $call20=__Z9pp_getdefP10preprocessPKc($30,$31); //@line 636 "SpinSource/preprocess.c"
 $def=$call20; //@line 636 "SpinSource/preprocess.c"
 var $32=$invert_addr; //@line 637 "SpinSource/preprocess.c"
 var $33=$def; //@line 637 "SpinSource/preprocess.c"
 var $cmp=($33|0)!=0; //@line 637 "SpinSource/preprocess.c"
 var $conv=($cmp&1); //@line 637 "SpinSource/preprocess.c"
 var $xor=$32^$conv; //@line 637 "SpinSource/preprocess.c"
 var $tobool21=($xor|0)!=0; //@line 637 "SpinSource/preprocess.c"
 if($tobool21){label=10;break;}else{label=11;break;} //@line 637 "SpinSource/preprocess.c"
 case 10: 
 var $34=$I; //@line 638 "SpinSource/preprocess.c"
 var $skip23=(($34+4)|0); //@line 638 "SpinSource/preprocess.c"
 tempBigInt=0;HEAP8[($skip23)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($skip23)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($skip23)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($skip23)+(3))|0)]=tempBigInt&0xff; //@line 638 "SpinSource/preprocess.c"
 var $35=$I; //@line 639 "SpinSource/preprocess.c"
 var $skiprest24=(($35+16)|0); //@line 639 "SpinSource/preprocess.c"
 tempBigInt=1;HEAP8[($skiprest24)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($skiprest24)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($skiprest24)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($skiprest24)+(3))|0)]=tempBigInt&0xff; //@line 639 "SpinSource/preprocess.c"
 label=12;break; //@line 640 "SpinSource/preprocess.c"
 case 11: 
 var $36=$I; //@line 641 "SpinSource/preprocess.c"
 var $skip26=(($36+4)|0); //@line 641 "SpinSource/preprocess.c"
 tempBigInt=1;HEAP8[($skip26)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($skip26)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($skip26)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($skip26)+(3))|0)]=tempBigInt&0xff; //@line 641 "SpinSource/preprocess.c"
 label=12;break;
 case 12: 
 STACKTOP=sp;return; //@line 643 "SpinSource/preprocess.c"
  default: assert(0, "bad label: " + label);
 }

}


function __ZL13parse_getwordP11parse_state($P){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $P_addr;
 var $word;
 var $ptr;
 var $state;
 $P_addr=$P;
 var $0=$P_addr; //@line 452 "SpinSource/preprocess.c"
 var $save=(($0+4)|0); //@line 452 "SpinSource/preprocess.c"
 var $1=((((HEAPU8[($save)])|(HEAPU8[((($save)+(1))|0)]<<8)|(HEAPU8[((($save)+(2))|0)]<<16)|(HEAPU8[((($save)+(3))|0)]<<24))|0)); //@line 452 "SpinSource/preprocess.c"
 var $tobool=($1|0)!=0; //@line 452 "SpinSource/preprocess.c"
 if($tobool){label=2;break;}else{label=3;break;} //@line 452 "SpinSource/preprocess.c"
 case 2: 
 var $2=$P_addr; //@line 453 "SpinSource/preprocess.c"
 var $c=(($2+8)|0); //@line 453 "SpinSource/preprocess.c"
 var $3=((((HEAPU8[($c)])|(HEAPU8[((($c)+(1))|0)]<<8)|(HEAPU8[((($c)+(2))|0)]<<16)|(HEAPU8[((($c)+(3))|0)]<<24))|0)); //@line 453 "SpinSource/preprocess.c"
 var $conv=(($3)&255); //@line 453 "SpinSource/preprocess.c"
 var $4=$P_addr; //@line 453 "SpinSource/preprocess.c"
 var $save1=(($4+4)|0); //@line 453 "SpinSource/preprocess.c"
 var $5=((((HEAPU8[($save1)])|(HEAPU8[((($save1)+(1))|0)]<<8)|(HEAPU8[((($save1)+(2))|0)]<<16)|(HEAPU8[((($save1)+(3))|0)]<<24))|0)); //@line 453 "SpinSource/preprocess.c"
 HEAP8[($5)]=$conv; //@line 453 "SpinSource/preprocess.c"
 var $6=$P_addr; //@line 454 "SpinSource/preprocess.c"
 var $save2=(($6+4)|0); //@line 454 "SpinSource/preprocess.c"
 var $7=((((HEAPU8[($save2)])|(HEAPU8[((($save2)+(1))|0)]<<8)|(HEAPU8[((($save2)+(2))|0)]<<16)|(HEAPU8[((($save2)+(3))|0)]<<24))|0)); //@line 454 "SpinSource/preprocess.c"
 $ptr=$7; //@line 454 "SpinSource/preprocess.c"
 label=4;break; //@line 455 "SpinSource/preprocess.c"
 case 3: 
 var $8=$P_addr; //@line 456 "SpinSource/preprocess.c"
 var $str=(($8)|0); //@line 456 "SpinSource/preprocess.c"
 var $9=((((HEAPU8[($str)])|(HEAPU8[((($str)+(1))|0)]<<8)|(HEAPU8[((($str)+(2))|0)]<<16)|(HEAPU8[((($str)+(3))|0)]<<24))|0)); //@line 456 "SpinSource/preprocess.c"
 $ptr=$9; //@line 456 "SpinSource/preprocess.c"
 label=4;break;
 case 4: 
 var $10=$ptr; //@line 458 "SpinSource/preprocess.c"
 $word=$10; //@line 458 "SpinSource/preprocess.c"
 var $11=$ptr; //@line 459 "SpinSource/preprocess.c"
 var $12=HEAP8[($11)]; //@line 459 "SpinSource/preprocess.c"
 var $tobool3=(($12<<24)>>24)!=0; //@line 459 "SpinSource/preprocess.c"
 if($tobool3){label=6;break;}else{label=5;break;} //@line 459 "SpinSource/preprocess.c"
 case 5: 
 var $13=$ptr; //@line 459 "SpinSource/preprocess.c"
 $retval=$13; //@line 459 "SpinSource/preprocess.c"
 label=23;break; //@line 459 "SpinSource/preprocess.c"
 case 6: 
 var $14=$ptr; //@line 460 "SpinSource/preprocess.c"
 var $15=HEAP8[($14)]; //@line 460 "SpinSource/preprocess.c"
 var $conv6=(($15<<24)>>24); //@line 460 "SpinSource/preprocess.c"
 var $cmp=($conv6|0)==34; //@line 460 "SpinSource/preprocess.c"
 if($cmp){label=7;break;}else{label=15;break;} //@line 460 "SpinSource/preprocess.c"
 case 7: 
 var $16=$ptr; //@line 461 "SpinSource/preprocess.c"
 var $incdec_ptr=(($16+1)|0); //@line 461 "SpinSource/preprocess.c"
 $ptr=$incdec_ptr; //@line 461 "SpinSource/preprocess.c"
 label=8;break; //@line 462 "SpinSource/preprocess.c"
 case 8: 
 var $17=$ptr; //@line 462 "SpinSource/preprocess.c"
 var $18=HEAP8[($17)]; //@line 462 "SpinSource/preprocess.c"
 var $tobool8=(($18<<24)>>24)!=0; //@line 462 "SpinSource/preprocess.c"
 if($tobool8){label=9;break;}else{var $21=0;label=10;break;} //@line 462 "SpinSource/preprocess.c"
 case 9: 
 var $19=$ptr; //@line 462 "SpinSource/preprocess.c"
 var $20=HEAP8[($19)]; //@line 462 "SpinSource/preprocess.c"
 var $conv9=(($20<<24)>>24); //@line 462 "SpinSource/preprocess.c"
 var $cmp10=($conv9|0)!=34; //@line 462 "SpinSource/preprocess.c"
 var $21=$cmp10;label=10;break;
 case 10: 
 var $21;
 if($21){label=11;break;}else{label=12;break;}
 case 11: 
 var $22=$ptr; //@line 463 "SpinSource/preprocess.c"
 var $incdec_ptr11=(($22+1)|0); //@line 463 "SpinSource/preprocess.c"
 $ptr=$incdec_ptr11; //@line 463 "SpinSource/preprocess.c"
 label=8;break; //@line 464 "SpinSource/preprocess.c"
 case 12: 
 var $23=$ptr; //@line 465 "SpinSource/preprocess.c"
 var $24=HEAP8[($23)]; //@line 465 "SpinSource/preprocess.c"
 var $conv12=(($24<<24)>>24); //@line 465 "SpinSource/preprocess.c"
 var $cmp13=($conv12|0)==34; //@line 465 "SpinSource/preprocess.c"
 if($cmp13){label=13;break;}else{label=14;break;} //@line 465 "SpinSource/preprocess.c"
 case 13: 
 var $25=$ptr; //@line 466 "SpinSource/preprocess.c"
 var $incdec_ptr15=(($25+1)|0); //@line 466 "SpinSource/preprocess.c"
 $ptr=$incdec_ptr15; //@line 466 "SpinSource/preprocess.c"
 label=14;break; //@line 467 "SpinSource/preprocess.c"
 case 14: 
 var $26=$ptr; //@line 468 "SpinSource/preprocess.c"
 var $27=$P_addr; //@line 468 "SpinSource/preprocess.c"
 var $save17=(($27+4)|0); //@line 468 "SpinSource/preprocess.c"
 tempBigInt=$26;HEAP8[($save17)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($save17)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($save17)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($save17)+(3))|0)]=tempBigInt&0xff; //@line 468 "SpinSource/preprocess.c"
 var $28=$ptr; //@line 469 "SpinSource/preprocess.c"
 var $29=HEAP8[($28)]; //@line 469 "SpinSource/preprocess.c"
 var $conv18=(($29<<24)>>24); //@line 469 "SpinSource/preprocess.c"
 var $30=$P_addr; //@line 469 "SpinSource/preprocess.c"
 var $c19=(($30+8)|0); //@line 469 "SpinSource/preprocess.c"
 tempBigInt=$conv18;HEAP8[($c19)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($c19)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($c19)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($c19)+(3))|0)]=tempBigInt&0xff; //@line 469 "SpinSource/preprocess.c"
 var $31=$ptr; //@line 470 "SpinSource/preprocess.c"
 HEAP8[($31)]=0; //@line 470 "SpinSource/preprocess.c"
 var $32=$word; //@line 471 "SpinSource/preprocess.c"
 $retval=$32; //@line 471 "SpinSource/preprocess.c"
 label=23;break; //@line 471 "SpinSource/preprocess.c"
 case 15: 
 var $33=$ptr; //@line 473 "SpinSource/preprocess.c"
 var $34=HEAP8[($33)]; //@line 473 "SpinSource/preprocess.c"
 var $conv21=($34&255); //@line 473 "SpinSource/preprocess.c"
 var $call=__ZL13classify_chari($conv21); //@line 473 "SpinSource/preprocess.c"
 $state=$call; //@line 473 "SpinSource/preprocess.c"
 var $35=$ptr; //@line 474 "SpinSource/preprocess.c"
 var $incdec_ptr22=(($35+1)|0); //@line 474 "SpinSource/preprocess.c"
 $ptr=$incdec_ptr22; //@line 474 "SpinSource/preprocess.c"
 var $36=$state; //@line 475 "SpinSource/preprocess.c"
 var $cmp23=($36|0)!=3; //@line 475 "SpinSource/preprocess.c"
 if($cmp23){label=16;break;}else{label=22;break;} //@line 475 "SpinSource/preprocess.c"
 case 16: 
 label=17;break; //@line 476 "SpinSource/preprocess.c"
 case 17: 
 var $37=$ptr; //@line 476 "SpinSource/preprocess.c"
 var $38=HEAP8[($37)]; //@line 476 "SpinSource/preprocess.c"
 var $tobool26=(($38<<24)>>24)!=0; //@line 476 "SpinSource/preprocess.c"
 if($tobool26){label=18;break;}else{var $42=0;label=19;break;} //@line 476 "SpinSource/preprocess.c"
 case 18: 
 var $39=$ptr; //@line 476 "SpinSource/preprocess.c"
 var $40=HEAP8[($39)]; //@line 476 "SpinSource/preprocess.c"
 var $conv28=($40&255); //@line 476 "SpinSource/preprocess.c"
 var $call29=__ZL13classify_chari($conv28); //@line 476 "SpinSource/preprocess.c"
 var $41=$state; //@line 476 "SpinSource/preprocess.c"
 var $cmp30=($call29|0)==($41|0); //@line 476 "SpinSource/preprocess.c"
 var $42=$cmp30;label=19;break;
 case 19: 
 var $42;
 if($42){label=20;break;}else{label=21;break;}
 case 20: 
 var $43=$ptr; //@line 477 "SpinSource/preprocess.c"
 var $incdec_ptr33=(($43+1)|0); //@line 477 "SpinSource/preprocess.c"
 $ptr=$incdec_ptr33; //@line 477 "SpinSource/preprocess.c"
 label=17;break; //@line 477 "SpinSource/preprocess.c"
 case 21: 
 label=22;break; //@line 478 "SpinSource/preprocess.c"
 case 22: 
 var $44=$ptr; //@line 480 "SpinSource/preprocess.c"
 var $45=$P_addr; //@line 480 "SpinSource/preprocess.c"
 var $save36=(($45+4)|0); //@line 480 "SpinSource/preprocess.c"
 tempBigInt=$44;HEAP8[($save36)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($save36)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($save36)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($save36)+(3))|0)]=tempBigInt&0xff; //@line 480 "SpinSource/preprocess.c"
 var $46=$ptr; //@line 481 "SpinSource/preprocess.c"
 var $47=HEAP8[($46)]; //@line 481 "SpinSource/preprocess.c"
 var $conv37=(($47<<24)>>24); //@line 481 "SpinSource/preprocess.c"
 var $48=$P_addr; //@line 481 "SpinSource/preprocess.c"
 var $c38=(($48+8)|0); //@line 481 "SpinSource/preprocess.c"
 tempBigInt=$conv37;HEAP8[($c38)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($c38)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($c38)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($c38)+(3))|0)]=tempBigInt&0xff; //@line 481 "SpinSource/preprocess.c"
 var $49=$ptr; //@line 482 "SpinSource/preprocess.c"
 HEAP8[($49)]=0; //@line 482 "SpinSource/preprocess.c"
 var $50=$word; //@line 483 "SpinSource/preprocess.c"
 $retval=$50; //@line 483 "SpinSource/preprocess.c"
 label=23;break; //@line 483 "SpinSource/preprocess.c"
 case 23: 
 var $51=$retval; //@line 484 "SpinSource/preprocess.c"
 STACKTOP=sp;return $51; //@line 484 "SpinSource/preprocess.c"
  default: assert(0, "bad label: " + label);
 }

}


function __ZL16parse_skipspacesP11parse_state($P){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $P_addr;
 var $ptr;
 $P_addr=$P;
 var $0=$P_addr; //@line 515 "SpinSource/preprocess.c"
 var $save=(($0+4)|0); //@line 515 "SpinSource/preprocess.c"
 var $1=((((HEAPU8[($save)])|(HEAPU8[((($save)+(1))|0)]<<8)|(HEAPU8[((($save)+(2))|0)]<<16)|(HEAPU8[((($save)+(3))|0)]<<24))|0)); //@line 515 "SpinSource/preprocess.c"
 var $tobool=($1|0)!=0; //@line 515 "SpinSource/preprocess.c"
 if($tobool){label=2;break;}else{label=3;break;} //@line 515 "SpinSource/preprocess.c"
 case 2: 
 var $2=$P_addr; //@line 516 "SpinSource/preprocess.c"
 var $c=(($2+8)|0); //@line 516 "SpinSource/preprocess.c"
 var $3=((((HEAPU8[($c)])|(HEAPU8[((($c)+(1))|0)]<<8)|(HEAPU8[((($c)+(2))|0)]<<16)|(HEAPU8[((($c)+(3))|0)]<<24))|0)); //@line 516 "SpinSource/preprocess.c"
 var $conv=(($3)&255); //@line 516 "SpinSource/preprocess.c"
 var $4=$P_addr; //@line 516 "SpinSource/preprocess.c"
 var $save1=(($4+4)|0); //@line 516 "SpinSource/preprocess.c"
 var $5=((((HEAPU8[($save1)])|(HEAPU8[((($save1)+(1))|0)]<<8)|(HEAPU8[((($save1)+(2))|0)]<<16)|(HEAPU8[((($save1)+(3))|0)]<<24))|0)); //@line 516 "SpinSource/preprocess.c"
 HEAP8[($5)]=$conv; //@line 516 "SpinSource/preprocess.c"
 var $6=$P_addr; //@line 517 "SpinSource/preprocess.c"
 var $save2=(($6+4)|0); //@line 517 "SpinSource/preprocess.c"
 var $7=((((HEAPU8[($save2)])|(HEAPU8[((($save2)+(1))|0)]<<8)|(HEAPU8[((($save2)+(2))|0)]<<16)|(HEAPU8[((($save2)+(3))|0)]<<24))|0)); //@line 517 "SpinSource/preprocess.c"
 $ptr=$7; //@line 517 "SpinSource/preprocess.c"
 label=4;break; //@line 518 "SpinSource/preprocess.c"
 case 3: 
 var $8=$P_addr; //@line 519 "SpinSource/preprocess.c"
 var $str=(($8)|0); //@line 519 "SpinSource/preprocess.c"
 var $9=((((HEAPU8[($str)])|(HEAPU8[((($str)+(1))|0)]<<8)|(HEAPU8[((($str)+(2))|0)]<<16)|(HEAPU8[((($str)+(3))|0)]<<24))|0)); //@line 519 "SpinSource/preprocess.c"
 $ptr=$9; //@line 519 "SpinSource/preprocess.c"
 label=4;break;
 case 4: 
 label=5;break; //@line 521 "SpinSource/preprocess.c"
 case 5: 
 var $10=$ptr; //@line 521 "SpinSource/preprocess.c"
 var $11=HEAP8[($10)]; //@line 521 "SpinSource/preprocess.c"
 var $tobool3=(($11<<24)>>24)!=0; //@line 521 "SpinSource/preprocess.c"
 if($tobool3){label=6;break;}else{var $14=0;label=7;break;} //@line 521 "SpinSource/preprocess.c"
 case 6: 
 var $12=$ptr; //@line 521 "SpinSource/preprocess.c"
 var $13=HEAP8[($12)]; //@line 521 "SpinSource/preprocess.c"
 var $conv4=(($13<<24)>>24); //@line 521 "SpinSource/preprocess.c"
 var $call=_isspace($conv4); //@line 521 "SpinSource/preprocess.c"
 var $tobool5=($call|0)!=0; //@line 521 "SpinSource/preprocess.c"
 var $14=$tobool5;label=7;break;
 case 7: 
 var $14;
 if($14){label=8;break;}else{label=9;break;}
 case 8: 
 var $15=$ptr; //@line 522 "SpinSource/preprocess.c"
 var $incdec_ptr=(($15+1)|0); //@line 522 "SpinSource/preprocess.c"
 $ptr=$incdec_ptr; //@line 522 "SpinSource/preprocess.c"
 label=5;break; //@line 522 "SpinSource/preprocess.c"
 case 9: 
 var $16=$ptr; //@line 523 "SpinSource/preprocess.c"
 var $17=$P_addr; //@line 523 "SpinSource/preprocess.c"
 var $str6=(($17)|0); //@line 523 "SpinSource/preprocess.c"
 tempBigInt=$16;HEAP8[($str6)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($str6)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($str6)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($str6)+(3))|0)]=tempBigInt&0xff; //@line 523 "SpinSource/preprocess.c"
 var $18=$P_addr; //@line 524 "SpinSource/preprocess.c"
 var $save7=(($18+4)|0); //@line 524 "SpinSource/preprocess.c"
 tempBigInt=0;HEAP8[($save7)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($save7)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($save7)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($save7)+(3))|0)]=tempBigInt&0xff; //@line 524 "SpinSource/preprocess.c"
 STACKTOP=sp;return; //@line 525 "SpinSource/preprocess.c"
  default: assert(0, "bad label: " + label);
 }

}


function __ZL10parse_initP11parse_statePc($P,$s){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $P_addr;
 var $s_addr;
 $P_addr=$P;
 $s_addr=$s;
 var $0=$s_addr; //@line 423 "SpinSource/preprocess.c"
 var $1=$P_addr; //@line 423 "SpinSource/preprocess.c"
 var $str=(($1)|0); //@line 423 "SpinSource/preprocess.c"
 tempBigInt=$0;HEAP8[($str)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($str)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($str)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($str)+(3))|0)]=tempBigInt&0xff; //@line 423 "SpinSource/preprocess.c"
 var $2=$P_addr; //@line 424 "SpinSource/preprocess.c"
 var $save=(($2+4)|0); //@line 424 "SpinSource/preprocess.c"
 tempBigInt=0;HEAP8[($save)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($save)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($save)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($save)+(3))|0)]=tempBigInt&0xff; //@line 424 "SpinSource/preprocess.c"
 var $3=$P_addr; //@line 425 "SpinSource/preprocess.c"
 var $c=(($3+8)|0); //@line 425 "SpinSource/preprocess.c"
 tempBigInt=0;HEAP8[($c)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($c)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($c)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($c)+(3))|0)]=tempBigInt&0xff; //@line 425 "SpinSource/preprocess.c"
 STACKTOP=sp;return; //@line 426 "SpinSource/preprocess.c"
}


function __ZL13expand_macrosP10preprocessP7flexbufPc($pp,$dst,$src){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+16)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $pp_addr;
 var $dst_addr;
 var $src_addr;
 var $P=sp;
 var $word;
 var $def;
 var $len;
 $pp_addr=$pp;
 $dst_addr=$dst;
 $src_addr=$src;
 var $0=$pp_addr; //@line 567 "SpinSource/preprocess.c"
 var $ifs=(($0+40)|0); //@line 567 "SpinSource/preprocess.c"
 var $1=((((HEAPU8[($ifs)])|(HEAPU8[((($ifs)+(1))|0)]<<8)|(HEAPU8[((($ifs)+(2))|0)]<<16)|(HEAPU8[((($ifs)+(3))|0)]<<24))|0)); //@line 567 "SpinSource/preprocess.c"
 var $tobool=($1|0)!=0; //@line 567 "SpinSource/preprocess.c"
 if($tobool){label=2;break;}else{label=4;break;} //@line 567 "SpinSource/preprocess.c"
 case 2: 
 var $2=$pp_addr; //@line 567 "SpinSource/preprocess.c"
 var $ifs1=(($2+40)|0); //@line 567 "SpinSource/preprocess.c"
 var $3=((((HEAPU8[($ifs1)])|(HEAPU8[((($ifs1)+(1))|0)]<<8)|(HEAPU8[((($ifs1)+(2))|0)]<<16)|(HEAPU8[((($ifs1)+(3))|0)]<<24))|0)); //@line 567 "SpinSource/preprocess.c"
 var $skip=(($3+4)|0); //@line 567 "SpinSource/preprocess.c"
 var $4=((((HEAPU8[($skip)])|(HEAPU8[((($skip)+(1))|0)]<<8)|(HEAPU8[((($skip)+(2))|0)]<<16)|(HEAPU8[((($skip)+(3))|0)]<<24))|0)); //@line 567 "SpinSource/preprocess.c"
 var $tobool2=($4|0)!=0; //@line 567 "SpinSource/preprocess.c"
 if($tobool2){label=3;break;}else{label=4;break;} //@line 567 "SpinSource/preprocess.c"
 case 3: 
 $retval=0; //@line 568 "SpinSource/preprocess.c"
 label=29;break; //@line 568 "SpinSource/preprocess.c"
 case 4: 
 var $5=$src_addr; //@line 570 "SpinSource/preprocess.c"
 __ZL10parse_initP11parse_statePc($P,$5); //@line 570 "SpinSource/preprocess.c"
 label=5;break; //@line 571 "SpinSource/preprocess.c"
 case 5: 
 var $call=__ZL13parse_getwordP11parse_state($P); //@line 572 "SpinSource/preprocess.c"
 $word=$call; //@line 572 "SpinSource/preprocess.c"
 var $6=$word; //@line 573 "SpinSource/preprocess.c"
 var $7=HEAP8[($6)]; //@line 573 "SpinSource/preprocess.c"
 var $tobool3=(($7<<24)>>24)!=0; //@line 573 "SpinSource/preprocess.c"
 if($tobool3){label=7;break;}else{label=6;break;} //@line 573 "SpinSource/preprocess.c"
 case 6: 
 label=28;break; //@line 574 "SpinSource/preprocess.c"
 case 7: 
 var $8=$pp_addr; //@line 575 "SpinSource/preprocess.c"
 var $incomment=(($8+56)|0); //@line 575 "SpinSource/preprocess.c"
 var $9=((((HEAPU8[($incomment)])|(HEAPU8[((($incomment)+(1))|0)]<<8)|(HEAPU8[((($incomment)+(2))|0)]<<16)|(HEAPU8[((($incomment)+(3))|0)]<<24))|0)); //@line 575 "SpinSource/preprocess.c"
 var $tobool6=($9|0)!=0; //@line 575 "SpinSource/preprocess.c"
 if($tobool6){label=8;break;}else{label=14;break;} //@line 575 "SpinSource/preprocess.c"
 case 8: 
 var $10=$word; //@line 576 "SpinSource/preprocess.c"
 var $11=$pp_addr; //@line 576 "SpinSource/preprocess.c"
 var $endcomment=(($11+52)|0); //@line 576 "SpinSource/preprocess.c"
 var $12=((((HEAPU8[($endcomment)])|(HEAPU8[((($endcomment)+(1))|0)]<<8)|(HEAPU8[((($endcomment)+(2))|0)]<<16)|(HEAPU8[((($endcomment)+(3))|0)]<<24))|0)); //@line 576 "SpinSource/preprocess.c"
 var $call8=_strstr($10,$12); //@line 576 "SpinSource/preprocess.c"
 var $tobool9=($call8|0)!=0; //@line 576 "SpinSource/preprocess.c"
 if($tobool9){label=9;break;}else{label=10;break;} //@line 576 "SpinSource/preprocess.c"
 case 9: 
 var $13=$pp_addr; //@line 577 "SpinSource/preprocess.c"
 var $incomment11=(($13+56)|0); //@line 577 "SpinSource/preprocess.c"
 var $14=((((HEAPU8[($incomment11)])|(HEAPU8[((($incomment11)+(1))|0)]<<8)|(HEAPU8[((($incomment11)+(2))|0)]<<16)|(HEAPU8[((($incomment11)+(3))|0)]<<24))|0)); //@line 577 "SpinSource/preprocess.c"
 var $dec=((($14)-(1))|0); //@line 577 "SpinSource/preprocess.c"
 tempBigInt=$dec;HEAP8[($incomment11)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($incomment11)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($incomment11)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($incomment11)+(3))|0)]=tempBigInt&0xff; //@line 577 "SpinSource/preprocess.c"
 label=13;break; //@line 578 "SpinSource/preprocess.c"
 case 10: 
 var $15=$word; //@line 579 "SpinSource/preprocess.c"
 var $16=$pp_addr; //@line 579 "SpinSource/preprocess.c"
 var $startcomment=(($16+48)|0); //@line 579 "SpinSource/preprocess.c"
 var $17=((((HEAPU8[($startcomment)])|(HEAPU8[((($startcomment)+(1))|0)]<<8)|(HEAPU8[((($startcomment)+(2))|0)]<<16)|(HEAPU8[((($startcomment)+(3))|0)]<<24))|0)); //@line 579 "SpinSource/preprocess.c"
 var $call12=_strstr($15,$17); //@line 579 "SpinSource/preprocess.c"
 var $tobool13=($call12|0)!=0; //@line 579 "SpinSource/preprocess.c"
 if($tobool13){label=11;break;}else{label=12;break;} //@line 579 "SpinSource/preprocess.c"
 case 11: 
 var $18=$pp_addr; //@line 580 "SpinSource/preprocess.c"
 var $incomment15=(($18+56)|0); //@line 580 "SpinSource/preprocess.c"
 var $19=((((HEAPU8[($incomment15)])|(HEAPU8[((($incomment15)+(1))|0)]<<8)|(HEAPU8[((($incomment15)+(2))|0)]<<16)|(HEAPU8[((($incomment15)+(3))|0)]<<24))|0)); //@line 580 "SpinSource/preprocess.c"
 var $inc=((($19)+(1))|0); //@line 580 "SpinSource/preprocess.c"
 tempBigInt=$inc;HEAP8[($incomment15)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($incomment15)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($incomment15)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($incomment15)+(3))|0)]=tempBigInt&0xff; //@line 580 "SpinSource/preprocess.c"
 label=12;break; //@line 581 "SpinSource/preprocess.c"
 case 12: 
 label=13;break;
 case 13: 
 var $20=$word; //@line 583 "SpinSource/preprocess.c"
 $def=$20; //@line 583 "SpinSource/preprocess.c"
 label=27;break; //@line 584 "SpinSource/preprocess.c"
 case 14: 
 var $21=$word; //@line 584 "SpinSource/preprocess.c"
 var $22=HEAP8[($21)]; //@line 584 "SpinSource/preprocess.c"
 var $conv=($22&255); //@line 584 "SpinSource/preprocess.c"
 var $call19=_isalpha($conv); //@line 584 "SpinSource/preprocess.c"
 var $tobool20=($call19|0)!=0; //@line 584 "SpinSource/preprocess.c"
 if($tobool20){label=15;break;}else{label=22;break;} //@line 584 "SpinSource/preprocess.c"
 case 15: 
 var $23=$pp_addr; //@line 585 "SpinSource/preprocess.c"
 var $24=$word; //@line 585 "SpinSource/preprocess.c"
 var $call22=__Z9pp_getdefP10preprocessPKc($23,$24); //@line 585 "SpinSource/preprocess.c"
 $def=$call22; //@line 585 "SpinSource/preprocess.c"
 var $25=$def; //@line 586 "SpinSource/preprocess.c"
 var $tobool23=($25|0)!=0; //@line 586 "SpinSource/preprocess.c"
 if($tobool23){label=17;break;}else{label=16;break;} //@line 586 "SpinSource/preprocess.c"
 case 16: 
 var $26=$word; //@line 587 "SpinSource/preprocess.c"
 $def=$26; //@line 587 "SpinSource/preprocess.c"
 label=21;break; //@line 588 "SpinSource/preprocess.c"
 case 17: 
 var $27=$pp_addr; //@line 589 "SpinSource/preprocess.c"
 var $alternate=(($27+88)|0); //@line 589 "SpinSource/preprocess.c"
 var $28=HEAP8[($alternate)]; //@line 589 "SpinSource/preprocess.c"
 var $tobool26=(($28)&1); //@line 589 "SpinSource/preprocess.c"
 if($tobool26){label=18;break;}else{label=20;break;} //@line 589 "SpinSource/preprocess.c"
 case 18: 
 var $29=$def; //@line 589 "SpinSource/preprocess.c"
 var $call28=_strlen($29); //@line 589 "SpinSource/preprocess.c"
 var $cmp=($call28|0)==0; //@line 589 "SpinSource/preprocess.c"
 if($cmp){label=19;break;}else{label=20;break;} //@line 589 "SpinSource/preprocess.c"
 case 19: 
 var $30=$word; //@line 590 "SpinSource/preprocess.c"
 $def=$30; //@line 590 "SpinSource/preprocess.c"
 label=20;break; //@line 591 "SpinSource/preprocess.c"
 case 20: 
 label=21;break;
 case 21: 
 label=26;break; //@line 592 "SpinSource/preprocess.c"
 case 22: 
 var $31=$pp_addr; //@line 593 "SpinSource/preprocess.c"
 var $startcomment33=(($31+48)|0); //@line 593 "SpinSource/preprocess.c"
 var $32=((((HEAPU8[($startcomment33)])|(HEAPU8[((($startcomment33)+(1))|0)]<<8)|(HEAPU8[((($startcomment33)+(2))|0)]<<16)|(HEAPU8[((($startcomment33)+(3))|0)]<<24))|0)); //@line 593 "SpinSource/preprocess.c"
 var $tobool34=($32|0)!=0; //@line 593 "SpinSource/preprocess.c"
 if($tobool34){label=23;break;}else{label=25;break;} //@line 593 "SpinSource/preprocess.c"
 case 23: 
 var $33=$word; //@line 593 "SpinSource/preprocess.c"
 var $34=$pp_addr; //@line 593 "SpinSource/preprocess.c"
 var $startcomment36=(($34+48)|0); //@line 593 "SpinSource/preprocess.c"
 var $35=((((HEAPU8[($startcomment36)])|(HEAPU8[((($startcomment36)+(1))|0)]<<8)|(HEAPU8[((($startcomment36)+(2))|0)]<<16)|(HEAPU8[((($startcomment36)+(3))|0)]<<24))|0)); //@line 593 "SpinSource/preprocess.c"
 var $call37=_strstr($33,$35); //@line 593 "SpinSource/preprocess.c"
 var $tobool38=($call37|0)!=0; //@line 593 "SpinSource/preprocess.c"
 if($tobool38){label=24;break;}else{label=25;break;} //@line 593 "SpinSource/preprocess.c"
 case 24: 
 var $36=$pp_addr; //@line 594 "SpinSource/preprocess.c"
 var $incomment40=(($36+56)|0); //@line 594 "SpinSource/preprocess.c"
 var $37=((((HEAPU8[($incomment40)])|(HEAPU8[((($incomment40)+(1))|0)]<<8)|(HEAPU8[((($incomment40)+(2))|0)]<<16)|(HEAPU8[((($incomment40)+(3))|0)]<<24))|0)); //@line 594 "SpinSource/preprocess.c"
 var $inc41=((($37)+(1))|0); //@line 594 "SpinSource/preprocess.c"
 tempBigInt=$inc41;HEAP8[($incomment40)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($incomment40)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($incomment40)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($incomment40)+(3))|0)]=tempBigInt&0xff; //@line 594 "SpinSource/preprocess.c"
 label=25;break; //@line 595 "SpinSource/preprocess.c"
 case 25: 
 var $38=$word; //@line 596 "SpinSource/preprocess.c"
 $def=$38; //@line 596 "SpinSource/preprocess.c"
 label=26;break;
 case 26: 
 label=27;break;
 case 27: 
 var $39=$dst_addr; //@line 598 "SpinSource/preprocess.c"
 var $40=$def; //@line 598 "SpinSource/preprocess.c"
 var $call45=__Z14flexbuf_addstrP7flexbufPKc($39,$40); //@line 598 "SpinSource/preprocess.c"
 label=5;break; //@line 599 "SpinSource/preprocess.c"
 case 28: 
 var $41=$dst_addr; //@line 600 "SpinSource/preprocess.c"
 var $call46=__Z14flexbuf_curlenP7flexbuf($41); //@line 600 "SpinSource/preprocess.c"
 $len=$call46; //@line 600 "SpinSource/preprocess.c"
 var $42=$dst_addr; //@line 601 "SpinSource/preprocess.c"
 var $call47=__Z15flexbuf_addcharP7flexbufi($42,0); //@line 601 "SpinSource/preprocess.c"
 var $43=$len; //@line 602 "SpinSource/preprocess.c"
 $retval=$43; //@line 602 "SpinSource/preprocess.c"
 label=29;break; //@line 602 "SpinSource/preprocess.c"
 case 29: 
 var $44=$retval; //@line 603 "SpinSource/preprocess.c"
 STACKTOP=sp;return $44; //@line 603 "SpinSource/preprocess.c"
  default: assert(0, "bad label: " + label);
 }

}


function __Z10InitStructv(){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $exn_slot;
 var $ehselector_slot;
 var $call=__Znwj(17049804); //@line 66 "PropellerCompiler.cpp"
 var $0=$call; //@line 66 "PropellerCompiler.cpp"
 tempBigInt=$0;HEAP8[(19720)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19721)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19722)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19723)]=tempBigInt&0xff; //@line 66 "PropellerCompiler.cpp"
 var $1=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 68 "PropellerCompiler.cpp"
 var $2=$1; //@line 68 "PropellerCompiler.cpp"
 _memset($2, 0, 17049804)|0; //@line 68 "PropellerCompiler.cpp"
 var $call1=__Znwj(12); //@line 70 "PropellerCompiler.cpp"
 var $3=$call1; //@line 70 "PropellerCompiler.cpp"
 (function() { try { __THREW__ = 0; return __ZN12SymbolEngineC2Ev($3) } catch(e) { if (typeof e != "number") throw e; if (ABORT) throw e; __THREW__ = 1; return null } })();if (!__THREW__) { label=2;break; } else { label=4;break; } //@line 70 "PropellerCompiler.cpp"
 case 2: 
 tempBigInt=$3;HEAP8[(19704)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19705)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19706)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19707)]=tempBigInt&0xff; //@line 74 "PropellerCompiler.cpp"
 var $call2=__Znwj(324); //@line 71 "PropellerCompiler.cpp"
 var $4=$call2; //@line 71 "PropellerCompiler.cpp"
 var $5=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 71 "PropellerCompiler.cpp"
 var $6=((((HEAPU8[(19704)])|(HEAPU8[(19705)]<<8)|(HEAPU8[(19706)]<<16)|(HEAPU8[(19707)]<<24))|0)); //@line 71 "PropellerCompiler.cpp"
 (function() { try { __THREW__ = 0; return __ZN11ElementizerC2EP20CompilerDataInternalP12SymbolEngine($4,$5,$6) } catch(e) { if (typeof e != "number") throw e; if (ABORT) throw e; __THREW__ = 1; return null } })();if (!__THREW__) { label=3;break; } else { label=5;break; } //@line 71 "PropellerCompiler.cpp"
 case 3: 
 tempBigInt=$4;HEAP8[(19712)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19713)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19714)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19715)]=tempBigInt&0xff; //@line 74 "PropellerCompiler.cpp"
 var $7=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 73 "PropellerCompiler.cpp"
 var $8=$7; //@line 73 "PropellerCompiler.cpp"
 STACKTOP=sp;return $8; //@line 73 "PropellerCompiler.cpp"
 case 4: 
 var $9$0 = ___cxa_find_matching_catch(-1, -1); var $9$1 = tempRet0;
 var $10=$9$0;
 $exn_slot=$10; //@line 74 "PropellerCompiler.cpp"
 var $11=$9$1;
 $ehselector_slot=$11; //@line 74 "PropellerCompiler.cpp"
 __ZdlPv($call1); //@line 74 "PropellerCompiler.cpp"
 label=6;break; //@line 74 "PropellerCompiler.cpp"
 case 5: 
 var $12$0 = ___cxa_find_matching_catch(-1, -1); var $12$1 = tempRet0;
 var $13=$12$0;
 $exn_slot=$13; //@line 74 "PropellerCompiler.cpp"
 var $14=$12$1;
 $ehselector_slot=$14; //@line 74 "PropellerCompiler.cpp"
 __ZdlPv($call2); //@line 74 "PropellerCompiler.cpp"
 label=6;break; //@line 74 "PropellerCompiler.cpp"
 case 6: 
 var $exn=$exn_slot; //@line 74 "PropellerCompiler.cpp"
 var $sel=$ehselector_slot; //@line 74 "PropellerCompiler.cpp"
 var $lpad_val$0=$exn;
 var $lpad_val$1=0;
 var $lpad_val5$0=$lpad_val$0;
 var $lpad_val5$1=$sel;
 ___resumeException($lpad_val5$0) //@line 74 "PropellerCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z8Compile1v(){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $0=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 105 "PropellerCompiler.cpp"
 __ZN11Elementizer5ResetEv($0); //@line 105 "PropellerCompiler.cpp"
 var $1=((((HEAPU8[(19704)])|(HEAPU8[(19705)]<<8)|(HEAPU8[(19706)]<<16)|(HEAPU8[(19707)]<<24))|0)); //@line 106 "PropellerCompiler.cpp"
 __ZN12SymbolEngine5ResetEb($1,0); //@line 106 "PropellerCompiler.cpp"
 var $2=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 107 "PropellerCompiler.cpp"
 var $pubcon_list_size=(($2+16979308)|0); //@line 107 "PropellerCompiler.cpp"
 tempBigInt=0;HEAP8[($pubcon_list_size)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($pubcon_list_size)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($pubcon_list_size)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($pubcon_list_size)+(3))|0)]=tempBigInt&0xff; //@line 107 "PropellerCompiler.cpp"
 var $3=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 108 "PropellerCompiler.cpp"
 var $4=$3; //@line 108 "PropellerCompiler.cpp"
 var $list_length=(($4+32)|0); //@line 108 "PropellerCompiler.cpp"
 tempBigInt=0;HEAP8[($list_length)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($list_length)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($list_length)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($list_length)+(3))|0)]=tempBigInt&0xff; //@line 108 "PropellerCompiler.cpp"
 var $5=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 109 "PropellerCompiler.cpp"
 var $6=$5; //@line 109 "PropellerCompiler.cpp"
 var $doc_length=(($6+44)|0); //@line 109 "PropellerCompiler.cpp"
 tempBigInt=0;HEAP8[($doc_length)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($doc_length)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($doc_length)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($doc_length)+(3))|0)]=tempBigInt&0xff; //@line 109 "PropellerCompiler.cpp"
 var $7=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 110 "PropellerCompiler.cpp"
 var $doc_mode=(($7+16979571)|0); //@line 110 "PropellerCompiler.cpp"
 HEAP8[($doc_mode)]=0; //@line 110 "PropellerCompiler.cpp"
 var $8=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 111 "PropellerCompiler.cpp"
 var $9=$8; //@line 111 "PropellerCompiler.cpp"
 var $info_count=(($9+16943044)|0); //@line 111 "PropellerCompiler.cpp"
 tempBigInt=0;HEAP8[($info_count)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($info_count)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($info_count)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($info_count)+(3))|0)]=tempBigInt&0xff; //@line 111 "PropellerCompiler.cpp"
 var $10=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 114 "PropellerCompiler.cpp"
 var $11=$10; //@line 114 "PropellerCompiler.cpp"
 var $compile_mode=(($11+8)|0); //@line 114 "PropellerCompiler.cpp"
 var $12=HEAP8[($compile_mode)]; //@line 114 "PropellerCompiler.cpp"
 var $tobool=(($12)&1); //@line 114 "PropellerCompiler.cpp"
 var $conv=($tobool&1); //@line 114 "PropellerCompiler.cpp"
 var $cmp=($conv|0)==0; //@line 114 "PropellerCompiler.cpp"
 if($cmp){label=2;break;}else{label=3;break;} //@line 114 "PropellerCompiler.cpp"
 case 2: 
 var $13=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 116 "PropellerCompiler.cpp"
 var $14=$13; //@line 116 "PropellerCompiler.cpp"
 var $obj_ptr=(($14+16777264)|0); //@line 116 "PropellerCompiler.cpp"
 tempBigInt=4;HEAP8[($obj_ptr)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_ptr)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_ptr)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_ptr)+(3))|0)]=tempBigInt&0xff; //@line 116 "PropellerCompiler.cpp"
 label=4;break; //@line 117 "PropellerCompiler.cpp"
 case 3: 
 var $15=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 120 "PropellerCompiler.cpp"
 var $16=$15; //@line 120 "PropellerCompiler.cpp"
 var $obj_ptr1=(($16+16777264)|0); //@line 120 "PropellerCompiler.cpp"
 tempBigInt=0;HEAP8[($obj_ptr1)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_ptr1)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_ptr1)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_ptr1)+(3))|0)]=tempBigInt&0xff; //@line 120 "PropellerCompiler.cpp"
 label=4;break;
 case 4: 
 var $17=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 123 "PropellerCompiler.cpp"
 var $18=$17; //@line 123 "PropellerCompiler.cpp"
 var $list=(($18+24)|0); //@line 123 "PropellerCompiler.cpp"
 var $19=((((HEAPU8[($list)])|(HEAPU8[((($list)+(1))|0)]<<8)|(HEAPU8[((($list)+(2))|0)]<<16)|(HEAPU8[((($list)+(3))|0)]<<24))|0)); //@line 123 "PropellerCompiler.cpp"
 var $20=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 123 "PropellerCompiler.cpp"
 var $21=$20; //@line 123 "PropellerCompiler.cpp"
 var $list_limit=(($21+28)|0); //@line 123 "PropellerCompiler.cpp"
 var $22=((((HEAPU8[($list_limit)])|(HEAPU8[((($list_limit)+(1))|0)]<<8)|(HEAPU8[((($list_limit)+(2))|0)]<<16)|(HEAPU8[((($list_limit)+(3))|0)]<<24))|0)); //@line 123 "PropellerCompiler.cpp"
 __Z8SetPrintPci($19,$22); //@line 123 "PropellerCompiler.cpp"
 var $call=__Z16CompileDevBlocksv(); //@line 125 "PropellerCompiler.cpp"
 if($call){label=6;break;}else{label=5;break;} //@line 125 "PropellerCompiler.cpp"
 case 5: 
 var $23=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 127 "PropellerCompiler.cpp"
 var $24=$23; //@line 127 "PropellerCompiler.cpp"
 var $error_msg=(($24+4)|0); //@line 127 "PropellerCompiler.cpp"
 var $25=((((HEAPU8[($error_msg)])|(HEAPU8[((($error_msg)+(1))|0)]<<8)|(HEAPU8[((($error_msg)+(2))|0)]<<16)|(HEAPU8[((($error_msg)+(3))|0)]<<24))|0)); //@line 127 "PropellerCompiler.cpp"
 $retval=$25; //@line 127 "PropellerCompiler.cpp"
 label=15;break; //@line 127 "PropellerCompiler.cpp"
 case 6: 
 var $call4=__Z16CompileConBlocksi(0); //@line 129 "PropellerCompiler.cpp"
 if($call4){label=8;break;}else{label=7;break;} //@line 129 "PropellerCompiler.cpp"
 case 7: 
 var $26=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 131 "PropellerCompiler.cpp"
 var $27=$26; //@line 131 "PropellerCompiler.cpp"
 var $error_msg6=(($27+4)|0); //@line 131 "PropellerCompiler.cpp"
 var $28=((((HEAPU8[($error_msg6)])|(HEAPU8[((($error_msg6)+(1))|0)]<<8)|(HEAPU8[((($error_msg6)+(2))|0)]<<16)|(HEAPU8[((($error_msg6)+(3))|0)]<<24))|0)); //@line 131 "PropellerCompiler.cpp"
 $retval=$28; //@line 131 "PropellerCompiler.cpp"
 label=15;break; //@line 131 "PropellerCompiler.cpp"
 case 8: 
 var $call8=__Z18CompileSubBlocksIdv(); //@line 133 "PropellerCompiler.cpp"
 if($call8){label=10;break;}else{label=9;break;} //@line 133 "PropellerCompiler.cpp"
 case 9: 
 var $29=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 135 "PropellerCompiler.cpp"
 var $30=$29; //@line 135 "PropellerCompiler.cpp"
 var $error_msg10=(($30+4)|0); //@line 135 "PropellerCompiler.cpp"
 var $31=((((HEAPU8[($error_msg10)])|(HEAPU8[((($error_msg10)+(1))|0)]<<8)|(HEAPU8[((($error_msg10)+(2))|0)]<<16)|(HEAPU8[((($error_msg10)+(3))|0)]<<24))|0)); //@line 135 "PropellerCompiler.cpp"
 $retval=$31; //@line 135 "PropellerCompiler.cpp"
 label=15;break; //@line 135 "PropellerCompiler.cpp"
 case 10: 
 var $call12=__Z18CompileObjBlocksIdv(); //@line 137 "PropellerCompiler.cpp"
 if($call12){label=12;break;}else{label=11;break;} //@line 137 "PropellerCompiler.cpp"
 case 11: 
 var $32=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 139 "PropellerCompiler.cpp"
 var $33=$32; //@line 139 "PropellerCompiler.cpp"
 var $error_msg14=(($33+4)|0); //@line 139 "PropellerCompiler.cpp"
 var $34=((((HEAPU8[($error_msg14)])|(HEAPU8[((($error_msg14)+(1))|0)]<<8)|(HEAPU8[((($error_msg14)+(2))|0)]<<16)|(HEAPU8[((($error_msg14)+(3))|0)]<<24))|0)); //@line 139 "PropellerCompiler.cpp"
 $retval=$34; //@line 139 "PropellerCompiler.cpp"
 label=15;break; //@line 139 "PropellerCompiler.cpp"
 case 12: 
 var $call16=__Z25CompileDatBlocksFileNamesv(); //@line 141 "PropellerCompiler.cpp"
 if($call16){label=14;break;}else{label=13;break;} //@line 141 "PropellerCompiler.cpp"
 case 13: 
 var $35=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 143 "PropellerCompiler.cpp"
 var $36=$35; //@line 143 "PropellerCompiler.cpp"
 var $error_msg18=(($36+4)|0); //@line 143 "PropellerCompiler.cpp"
 var $37=((((HEAPU8[($error_msg18)])|(HEAPU8[((($error_msg18)+(1))|0)]<<8)|(HEAPU8[((($error_msg18)+(2))|0)]<<16)|(HEAPU8[((($error_msg18)+(3))|0)]<<24))|0)); //@line 143 "PropellerCompiler.cpp"
 $retval=$37; //@line 143 "PropellerCompiler.cpp"
 label=15;break; //@line 143 "PropellerCompiler.cpp"
 case 14: 
 var $38=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 146 "PropellerCompiler.cpp"
 var $39=$38; //@line 146 "PropellerCompiler.cpp"
 var $source_start=(($39+16)|0); //@line 146 "PropellerCompiler.cpp"
 tempBigInt=0;HEAP8[($source_start)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_start)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_start)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_start)+(3))|0)]=tempBigInt&0xff; //@line 146 "PropellerCompiler.cpp"
 var $40=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 147 "PropellerCompiler.cpp"
 var $41=$40; //@line 147 "PropellerCompiler.cpp"
 var $source_finish=(($41+20)|0); //@line 147 "PropellerCompiler.cpp"
 tempBigInt=0;HEAP8[($source_finish)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_finish)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_finish)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_finish)+(3))|0)]=tempBigInt&0xff; //@line 147 "PropellerCompiler.cpp"
 $retval=0; //@line 148 "PropellerCompiler.cpp"
 label=15;break; //@line 148 "PropellerCompiler.cpp"
 case 15: 
 var $42=$retval; //@line 149 "PropellerCompiler.cpp"
 STACKTOP=sp;return $42; //@line 149 "PropellerCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z16CompileDevBlocksv(){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+16)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $index=sp;
 var $bEof=(sp)+(8);
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 257 "PropellerCompiler.cpp"
 var $1=$0; //@line 257 "PropellerCompiler.cpp"
 var $pre_files=(($1+16926140)|0); //@line 257 "PropellerCompiler.cpp"
 tempBigInt=0;HEAP8[($pre_files)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($pre_files)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($pre_files)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($pre_files)+(3))|0)]=tempBigInt&0xff; //@line 257 "PropellerCompiler.cpp"
 var $2=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 258 "PropellerCompiler.cpp"
 var $3=$2; //@line 258 "PropellerCompiler.cpp"
 var $arc_files=(($3+16934592)|0); //@line 258 "PropellerCompiler.cpp"
 tempBigInt=0;HEAP8[($arc_files)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arc_files)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arc_files)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arc_files)+(3))|0)]=tempBigInt&0xff; //@line 258 "PropellerCompiler.cpp"
 tempBigInt=0;HEAP8[($index)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($index)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($index)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($index)+(3))|0)]=tempBigInt&0xff; //@line 259 "PropellerCompiler.cpp"
 HEAP8[($bEof)]=0; //@line 261 "PropellerCompiler.cpp"
 var $4=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 262 "PropellerCompiler.cpp"
 __ZN11Elementizer5ResetEv($4); //@line 262 "PropellerCompiler.cpp"
 label=2;break; //@line 264 "PropellerCompiler.cpp"
 case 2: 
 var $5=HEAP8[($bEof)]; //@line 264 "PropellerCompiler.cpp"
 var $tobool=(($5)&1); //@line 264 "PropellerCompiler.cpp"
 var $lnot=$tobool^1; //@line 264 "PropellerCompiler.cpp"
 if($lnot){label=3;break;}else{label=30;break;} //@line 264 "PropellerCompiler.cpp"
 case 3: 
 var $6=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 266 "PropellerCompiler.cpp"
 var $call=__ZN11Elementizer12GetNextBlockEiRb($6,6,$bEof); //@line 266 "PropellerCompiler.cpp"
 if($call){label=4;break;}else{label=28;break;} //@line 266 "PropellerCompiler.cpp"
 case 4: 
 label=5;break; //@line 268 "PropellerCompiler.cpp"
 case 5: 
 var $7=HEAP8[($bEof)]; //@line 268 "PropellerCompiler.cpp"
 var $tobool2=(($7)&1); //@line 268 "PropellerCompiler.cpp"
 var $lnot3=$tobool2^1; //@line 268 "PropellerCompiler.cpp"
 if($lnot3){label=6;break;}else{label=27;break;} //@line 268 "PropellerCompiler.cpp"
 case 6: 
 var $8=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 270 "PropellerCompiler.cpp"
 var $call5=__ZN11Elementizer7GetNextERb($8,$bEof); //@line 270 "PropellerCompiler.cpp"
 if($call5){label=8;break;}else{label=7;break;} //@line 270 "PropellerCompiler.cpp"
 case 7: 
 $retval=0; //@line 272 "PropellerCompiler.cpp"
 label=31;break; //@line 272 "PropellerCompiler.cpp"
 case 8: 
 var $9=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 274 "PropellerCompiler.cpp"
 var $call7=__ZN11Elementizer7GetTypeEv($9); //@line 274 "PropellerCompiler.cpp"
 var $cmp=($call7|0)==84; //@line 274 "PropellerCompiler.cpp"
 if($cmp){label=9;break;}else{label=10;break;} //@line 274 "PropellerCompiler.cpp"
 case 9: 
 label=5;break; //@line 276 "PropellerCompiler.cpp"
 case 10: 
 var $10=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 278 "PropellerCompiler.cpp"
 var $call10=__ZN11Elementizer7GetTypeEv($10); //@line 278 "PropellerCompiler.cpp"
 var $cmp11=($call10|0)==30; //@line 278 "PropellerCompiler.cpp"
 if($cmp11){label=11;break;}else{label=16;break;} //@line 278 "PropellerCompiler.cpp"
 case 11: 
 var $11=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 280 "PropellerCompiler.cpp"
 var $12=$11; //@line 280 "PropellerCompiler.cpp"
 var $pre_files13=(($12+16926140)|0); //@line 280 "PropellerCompiler.cpp"
 var $13=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 280 "PropellerCompiler.cpp"
 var $14=$13; //@line 280 "PropellerCompiler.cpp"
 var $pre_filenames=(($14+16926144)|0); //@line 280 "PropellerCompiler.cpp"
 var $arraydecay=(($pre_filenames)|0); //@line 280 "PropellerCompiler.cpp"
 var $15=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 280 "PropellerCompiler.cpp"
 var $16=$15; //@line 280 "PropellerCompiler.cpp"
 var $pre_name_start=(($16+16934336)|0); //@line 280 "PropellerCompiler.cpp"
 var $arraydecay14=(($pre_name_start)|0); //@line 280 "PropellerCompiler.cpp"
 var $17=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 280 "PropellerCompiler.cpp"
 var $18=$17; //@line 280 "PropellerCompiler.cpp"
 var $pre_name_finish=(($18+16934464)|0); //@line 280 "PropellerCompiler.cpp"
 var $arraydecay15=(($pre_name_finish)|0); //@line 280 "PropellerCompiler.cpp"
 var $call16=__Z11AddFileNameRiS_PcPiS1_i($pre_files13,$index,$arraydecay,$arraydecay14,$arraydecay15,75); //@line 280 "PropellerCompiler.cpp"
 if($call16){label=13;break;}else{label=12;break;} //@line 280 "PropellerCompiler.cpp"
 case 12: 
 $retval=0; //@line 287 "PropellerCompiler.cpp"
 label=31;break; //@line 287 "PropellerCompiler.cpp"
 case 13: 
 var $19=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 289 "PropellerCompiler.cpp"
 var $call19=__ZN11Elementizer10GetElementEi($19,84); //@line 289 "PropellerCompiler.cpp"
 if($call19){label=15;break;}else{label=14;break;} //@line 289 "PropellerCompiler.cpp"
 case 14: 
 $retval=0; //@line 291 "PropellerCompiler.cpp"
 label=31;break; //@line 291 "PropellerCompiler.cpp"
 case 15: 
 label=5;break; //@line 293 "PropellerCompiler.cpp"
 case 16: 
 var $20=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 295 "PropellerCompiler.cpp"
 var $call22=__ZN11Elementizer7GetTypeEv($20); //@line 295 "PropellerCompiler.cpp"
 var $cmp23=($call22|0)==31; //@line 295 "PropellerCompiler.cpp"
 if($cmp23){label=17;break;}else{label=22;break;} //@line 295 "PropellerCompiler.cpp"
 case 17: 
 var $21=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 297 "PropellerCompiler.cpp"
 var $22=$21; //@line 297 "PropellerCompiler.cpp"
 var $arc_files25=(($22+16934592)|0); //@line 297 "PropellerCompiler.cpp"
 var $23=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 297 "PropellerCompiler.cpp"
 var $24=$23; //@line 297 "PropellerCompiler.cpp"
 var $arc_filenames=(($24+16934596)|0); //@line 297 "PropellerCompiler.cpp"
 var $arraydecay26=(($arc_filenames)|0); //@line 297 "PropellerCompiler.cpp"
 var $25=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 297 "PropellerCompiler.cpp"
 var $26=$25; //@line 297 "PropellerCompiler.cpp"
 var $arc_name_start=(($26+16942788)|0); //@line 297 "PropellerCompiler.cpp"
 var $arraydecay27=(($arc_name_start)|0); //@line 297 "PropellerCompiler.cpp"
 var $27=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 297 "PropellerCompiler.cpp"
 var $28=$27; //@line 297 "PropellerCompiler.cpp"
 var $arc_name_finish=(($28+16942916)|0); //@line 297 "PropellerCompiler.cpp"
 var $arraydecay28=(($arc_name_finish)|0); //@line 297 "PropellerCompiler.cpp"
 var $call29=__Z11AddFileNameRiS_PcPiS1_i($arc_files25,$index,$arraydecay26,$arraydecay27,$arraydecay28,76); //@line 297 "PropellerCompiler.cpp"
 if($call29){label=19;break;}else{label=18;break;} //@line 297 "PropellerCompiler.cpp"
 case 18: 
 $retval=0; //@line 304 "PropellerCompiler.cpp"
 label=31;break; //@line 304 "PropellerCompiler.cpp"
 case 19: 
 var $29=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 306 "PropellerCompiler.cpp"
 var $call32=__ZN11Elementizer10GetElementEi($29,84); //@line 306 "PropellerCompiler.cpp"
 if($call32){label=21;break;}else{label=20;break;} //@line 306 "PropellerCompiler.cpp"
 case 20: 
 $retval=0; //@line 308 "PropellerCompiler.cpp"
 label=31;break; //@line 308 "PropellerCompiler.cpp"
 case 21: 
 label=5;break; //@line 310 "PropellerCompiler.cpp"
 case 22: 
 var $30=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 312 "PropellerCompiler.cpp"
 var $call36=__ZN11Elementizer7GetTypeEv($30); //@line 312 "PropellerCompiler.cpp"
 var $cmp37=($call36|0)!=28; //@line 312 "PropellerCompiler.cpp"
 if($cmp37){label=23;break;}else{label=24;break;} //@line 312 "PropellerCompiler.cpp"
 case 23: 
 var $31=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 315 "PropellerCompiler.cpp"
 var $32=$31; //@line 315 "PropellerCompiler.cpp"
 var $error=(($32)|0); //@line 315 "PropellerCompiler.cpp"
 HEAP8[($error)]=1; //@line 315 "PropellerCompiler.cpp"
 var $33=((((HEAPU8[(200)])|(HEAPU8[(201)]<<8)|(HEAPU8[(202)]<<16)|(HEAPU8[(203)]<<24))|0)); //@line 316 "PropellerCompiler.cpp"
 var $34=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 316 "PropellerCompiler.cpp"
 var $35=$34; //@line 316 "PropellerCompiler.cpp"
 var $error_msg=(($35+4)|0); //@line 316 "PropellerCompiler.cpp"
 tempBigInt=$33;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 316 "PropellerCompiler.cpp"
 $retval=0; //@line 317 "PropellerCompiler.cpp"
 label=31;break; //@line 317 "PropellerCompiler.cpp"
 case 24: 
 label=25;break;
 case 25: 
 label=26;break;
 case 26: 
 var $36=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 323 "PropellerCompiler.cpp"
 __ZN11Elementizer6BackupEv($36); //@line 323 "PropellerCompiler.cpp"
 label=27;break; //@line 324 "PropellerCompiler.cpp"
 case 27: 
 label=29;break; //@line 326 "PropellerCompiler.cpp"
 case 28: 
 $retval=0; //@line 329 "PropellerCompiler.cpp"
 label=31;break; //@line 329 "PropellerCompiler.cpp"
 case 29: 
 label=2;break; //@line 331 "PropellerCompiler.cpp"
 case 30: 
 $retval=1; //@line 333 "PropellerCompiler.cpp"
 label=31;break; //@line 333 "PropellerCompiler.cpp"
 case 31: 
 var $37=$retval; //@line 334 "PropellerCompiler.cpp"
 STACKTOP=sp;return $37; //@line 334 "PropellerCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z16CompileConBlocksi($pass){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+16)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $pass_addr;
 var $bEof=sp;
 var $bFindNextConBlock;
 var $bComma=(sp)+(8);
 $pass_addr=$pass;
 HEAP8[($bEof)]=0; //@line 338 "PropellerCompiler.cpp"
 var $0=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 339 "PropellerCompiler.cpp"
 __ZN11Elementizer5ResetEv($0); //@line 339 "PropellerCompiler.cpp"
 label=2;break; //@line 341 "PropellerCompiler.cpp"
 case 2: 
 var $1=HEAP8[($bEof)]; //@line 341 "PropellerCompiler.cpp"
 var $tobool=(($1)&1); //@line 341 "PropellerCompiler.cpp"
 var $lnot=$tobool^1; //@line 341 "PropellerCompiler.cpp"
 if($lnot){label=3;break;}else{label=50;break;} //@line 341 "PropellerCompiler.cpp"
 case 3: 
 var $2=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 343 "PropellerCompiler.cpp"
 var $enum_valid=(($2+16979864)|0); //@line 343 "PropellerCompiler.cpp"
 tempBigInt=1;HEAP8[($enum_valid)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($enum_valid)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($enum_valid)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($enum_valid)+(3))|0)]=tempBigInt&0xff; //@line 343 "PropellerCompiler.cpp"
 var $3=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 344 "PropellerCompiler.cpp"
 var $enum_value=(($3+16979868)|0); //@line 344 "PropellerCompiler.cpp"
 tempBigInt=0;HEAP8[($enum_value)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($enum_value)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($enum_value)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($enum_value)+(3))|0)]=tempBigInt&0xff; //@line 344 "PropellerCompiler.cpp"
 $bFindNextConBlock=0; //@line 346 "PropellerCompiler.cpp"
 label=4;break; //@line 347 "PropellerCompiler.cpp"
 case 4: 
 var $4=HEAP8[($bEof)]; //@line 347 "PropellerCompiler.cpp"
 var $tobool2=(($4)&1); //@line 347 "PropellerCompiler.cpp"
 if($tobool2){var $6=0;label=6;break;}else{label=5;break;} //@line 347 "PropellerCompiler.cpp"
 case 5: 
 var $5=$bFindNextConBlock; //@line 347 "PropellerCompiler.cpp"
 var $tobool3=(($5)&1); //@line 347 "PropellerCompiler.cpp"
 var $lnot4=$tobool3^1; //@line 347 "PropellerCompiler.cpp"
 var $6=$lnot4;label=6;break;
 case 6: 
 var $6;
 if($6){label=7;break;}else{label=45;break;}
 case 7: 
 var $7=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 349 "PropellerCompiler.cpp"
 var $call=__ZN11Elementizer7GetNextERb($7,$bEof); //@line 349 "PropellerCompiler.cpp"
 if($call){label=9;break;}else{label=8;break;} //@line 349 "PropellerCompiler.cpp"
 case 8: 
 $retval=0; //@line 351 "PropellerCompiler.cpp"
 label=51;break; //@line 351 "PropellerCompiler.cpp"
 case 9: 
 var $8=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 353 "PropellerCompiler.cpp"
 var $call6=__ZN11Elementizer7GetTypeEv($8); //@line 353 "PropellerCompiler.cpp"
 var $cmp=($call6|0)==84; //@line 353 "PropellerCompiler.cpp"
 if($cmp){label=10;break;}else{label=11;break;} //@line 353 "PropellerCompiler.cpp"
 case 10: 
 label=4;break; //@line 355 "PropellerCompiler.cpp"
 case 11: 
 label=12;break; //@line 358 "PropellerCompiler.cpp"
 case 12: 
 var $9=HEAP8[($bEof)]; //@line 358 "PropellerCompiler.cpp"
 var $tobool10=(($9)&1); //@line 358 "PropellerCompiler.cpp"
 var $lnot11=$tobool10^1; //@line 358 "PropellerCompiler.cpp"
 if($lnot11){label=13;break;}else{label=44;break;} //@line 358 "PropellerCompiler.cpp"
 case 13: 
 var $10=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 360 "PropellerCompiler.cpp"
 var $assign_flag=(($10+16979872)|0); //@line 360 "PropellerCompiler.cpp"
 tempBigInt=1;HEAP8[($assign_flag)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($assign_flag)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($assign_flag)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($assign_flag)+(3))|0)]=tempBigInt&0xff; //@line 360 "PropellerCompiler.cpp"
 var $11=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 362 "PropellerCompiler.cpp"
 var $call13=__ZN11Elementizer7GetTypeEv($11); //@line 362 "PropellerCompiler.cpp"
 var $cmp14=($call13|0)==67; //@line 362 "PropellerCompiler.cpp"
 if($cmp14){label=15;break;}else{label=14;break;} //@line 362 "PropellerCompiler.cpp"
 case 14: 
 var $12=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 363 "PropellerCompiler.cpp"
 var $call15=__ZN11Elementizer7GetTypeEv($12); //@line 363 "PropellerCompiler.cpp"
 var $cmp16=($call15|0)==68; //@line 363 "PropellerCompiler.cpp"
 if($cmp16){label=15;break;}else{label=21;break;} //@line 363 "PropellerCompiler.cpp"
 case 15: 
 var $13=$pass_addr; //@line 366 "PropellerCompiler.cpp"
 var $cmp18=($13|0)==0; //@line 366 "PropellerCompiler.cpp"
 if($cmp18){label=16;break;}else{label=17;break;} //@line 366 "PropellerCompiler.cpp"
 case 16: 
 var $14=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 368 "PropellerCompiler.cpp"
 var $15=$14; //@line 368 "PropellerCompiler.cpp"
 var $error=(($15)|0); //@line 368 "PropellerCompiler.cpp"
 HEAP8[($error)]=1; //@line 368 "PropellerCompiler.cpp"
 var $16=((((HEAPU8[(124)])|(HEAPU8[(125)]<<8)|(HEAPU8[(126)]<<16)|(HEAPU8[(127)]<<24))|0)); //@line 369 "PropellerCompiler.cpp"
 var $17=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 369 "PropellerCompiler.cpp"
 var $18=$17; //@line 369 "PropellerCompiler.cpp"
 var $error_msg=(($18+4)|0); //@line 369 "PropellerCompiler.cpp"
 tempBigInt=$16;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 369 "PropellerCompiler.cpp"
 $retval=0; //@line 370 "PropellerCompiler.cpp"
 label=51;break; //@line 370 "PropellerCompiler.cpp"
 case 17: 
 var $19=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 374 "PropellerCompiler.cpp"
 var $assign_flag20=(($19+16979872)|0); //@line 374 "PropellerCompiler.cpp"
 tempBigInt=0;HEAP8[($assign_flag20)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($assign_flag20)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($assign_flag20)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($assign_flag20)+(3))|0)]=tempBigInt&0xff; //@line 374 "PropellerCompiler.cpp"
 var $20=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 375 "PropellerCompiler.cpp"
 var $call21=__ZN11Elementizer7GetTypeEv($20); //@line 375 "PropellerCompiler.cpp"
 var $21=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 375 "PropellerCompiler.cpp"
 var $assign_type=(($21+16979876)|0); //@line 375 "PropellerCompiler.cpp"
 tempBigInt=$call21;HEAP8[($assign_type)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($assign_type)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($assign_type)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($assign_type)+(3))|0)]=tempBigInt&0xff; //@line 375 "PropellerCompiler.cpp"
 var $22=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 376 "PropellerCompiler.cpp"
 var $call22=__ZN11Elementizer8GetValueEv($22); //@line 376 "PropellerCompiler.cpp"
 var $23=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 376 "PropellerCompiler.cpp"
 var $assign_value=(($23+16979880)|0); //@line 376 "PropellerCompiler.cpp"
 tempBigInt=$call22;HEAP8[($assign_value)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($assign_value)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($assign_value)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($assign_value)+(3))|0)]=tempBigInt&0xff; //@line 376 "PropellerCompiler.cpp"
 label=18;break;
 case 18: 
 var $24=$pass_addr; //@line 379 "PropellerCompiler.cpp"
 var $call24=__Z15HandleConSymboli($24); //@line 379 "PropellerCompiler.cpp"
 if($call24){label=20;break;}else{label=19;break;} //@line 379 "PropellerCompiler.cpp"
 case 19: 
 $retval=0; //@line 381 "PropellerCompiler.cpp"
 label=51;break; //@line 381 "PropellerCompiler.cpp"
 case 20: 
 label=37;break; //@line 383 "PropellerCompiler.cpp"
 case 21: 
 var $25=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 384 "PropellerCompiler.cpp"
 var $call28=__ZN11Elementizer7GetTypeEv($25); //@line 384 "PropellerCompiler.cpp"
 var $cmp29=($call28|0)==0; //@line 384 "PropellerCompiler.cpp"
 if($cmp29){label=22;break;}else{label=25;break;} //@line 384 "PropellerCompiler.cpp"
 case 22: 
 var $26=$pass_addr; //@line 386 "PropellerCompiler.cpp"
 var $call31=__Z15HandleConSymboli($26); //@line 386 "PropellerCompiler.cpp"
 if($call31){label=24;break;}else{label=23;break;} //@line 386 "PropellerCompiler.cpp"
 case 23: 
 $retval=0; //@line 388 "PropellerCompiler.cpp"
 label=51;break; //@line 388 "PropellerCompiler.cpp"
 case 24: 
 label=36;break; //@line 390 "PropellerCompiler.cpp"
 case 25: 
 var $27=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 391 "PropellerCompiler.cpp"
 var $call35=__ZN11Elementizer7GetTypeEv($27); //@line 391 "PropellerCompiler.cpp"
 var $cmp36=($call35|0)==7; //@line 391 "PropellerCompiler.cpp"
 if($cmp36){label=26;break;}else{label=32;break;} //@line 391 "PropellerCompiler.cpp"
 case 26: 
 var $28=$pass_addr; //@line 394 "PropellerCompiler.cpp"
 var $cmp38=($28|0)==1; //@line 394 "PropellerCompiler.cpp"
 var $cond=($cmp38?1:0); //@line 394 "PropellerCompiler.cpp"
 var $call39=__Z11GetTryValuebbb($cond,1,0); //@line 394 "PropellerCompiler.cpp"
 if($call39){label=28;break;}else{label=27;break;} //@line 394 "PropellerCompiler.cpp"
 case 27: 
 $retval=0; //@line 396 "PropellerCompiler.cpp"
 label=51;break; //@line 396 "PropellerCompiler.cpp"
 case 28: 
 var $29=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 398 "PropellerCompiler.cpp"
 var $bUndefined=(($29+16979897)|0); //@line 398 "PropellerCompiler.cpp"
 var $30=HEAP8[($bUndefined)]; //@line 398 "PropellerCompiler.cpp"
 var $tobool42=(($30)&1); //@line 398 "PropellerCompiler.cpp"
 var $conv=($tobool42&1); //@line 398 "PropellerCompiler.cpp"
 var $cmp43=($conv|0)==0; //@line 398 "PropellerCompiler.cpp"
 if($cmp43){label=29;break;}else{label=30;break;} //@line 398 "PropellerCompiler.cpp"
 case 29: 
 var $31=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 400 "PropellerCompiler.cpp"
 var $enum_valid45=(($31+16979864)|0); //@line 400 "PropellerCompiler.cpp"
 tempBigInt=1;HEAP8[($enum_valid45)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($enum_valid45)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($enum_valid45)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($enum_valid45)+(3))|0)]=tempBigInt&0xff; //@line 400 "PropellerCompiler.cpp"
 var $call46=__Z9GetResultv(); //@line 401 "PropellerCompiler.cpp"
 var $32=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 401 "PropellerCompiler.cpp"
 var $enum_value47=(($32+16979868)|0); //@line 401 "PropellerCompiler.cpp"
 tempBigInt=$call46;HEAP8[($enum_value47)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($enum_value47)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($enum_value47)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($enum_value47)+(3))|0)]=tempBigInt&0xff; //@line 401 "PropellerCompiler.cpp"
 label=31;break; //@line 402 "PropellerCompiler.cpp"
 case 30: 
 var $33=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 405 "PropellerCompiler.cpp"
 var $enum_valid49=(($33+16979864)|0); //@line 405 "PropellerCompiler.cpp"
 tempBigInt=0;HEAP8[($enum_valid49)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($enum_valid49)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($enum_valid49)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($enum_valid49)+(3))|0)]=tempBigInt&0xff; //@line 405 "PropellerCompiler.cpp"
 label=31;break;
 case 31: 
 label=35;break; //@line 407 "PropellerCompiler.cpp"
 case 32: 
 var $34=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 408 "PropellerCompiler.cpp"
 var $call52=__ZN11Elementizer7GetTypeEv($34); //@line 408 "PropellerCompiler.cpp"
 var $cmp53=($call52|0)==28; //@line 408 "PropellerCompiler.cpp"
 if($cmp53){label=33;break;}else{label=34;break;} //@line 408 "PropellerCompiler.cpp"
 case 33: 
 var $35=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 411 "PropellerCompiler.cpp"
 __ZN11Elementizer6BackupEv($35); //@line 411 "PropellerCompiler.cpp"
 $bFindNextConBlock=1; //@line 412 "PropellerCompiler.cpp"
 label=44;break; //@line 413 "PropellerCompiler.cpp"
 case 34: 
 var $36=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 418 "PropellerCompiler.cpp"
 var $37=$36; //@line 418 "PropellerCompiler.cpp"
 var $error56=(($37)|0); //@line 418 "PropellerCompiler.cpp"
 HEAP8[($error56)]=1; //@line 418 "PropellerCompiler.cpp"
 var $38=((((HEAPU8[(124)])|(HEAPU8[(125)]<<8)|(HEAPU8[(126)]<<16)|(HEAPU8[(127)]<<24))|0)); //@line 419 "PropellerCompiler.cpp"
 var $39=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 419 "PropellerCompiler.cpp"
 var $40=$39; //@line 419 "PropellerCompiler.cpp"
 var $error_msg57=(($40+4)|0); //@line 419 "PropellerCompiler.cpp"
 tempBigInt=$38;HEAP8[($error_msg57)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg57)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg57)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg57)+(3))|0)]=tempBigInt&0xff; //@line 419 "PropellerCompiler.cpp"
 $retval=0; //@line 420 "PropellerCompiler.cpp"
 label=51;break; //@line 420 "PropellerCompiler.cpp"
 case 35: 
 label=36;break;
 case 36: 
 label=37;break;
 case 37: 
 HEAP8[($bComma)]=0; //@line 423 "PropellerCompiler.cpp"
 var $call61=__Z13GetCommaOrEndRb($bComma); //@line 424 "PropellerCompiler.cpp"
 if($call61){label=39;break;}else{label=38;break;} //@line 424 "PropellerCompiler.cpp"
 case 38: 
 $retval=0; //@line 426 "PropellerCompiler.cpp"
 label=51;break; //@line 426 "PropellerCompiler.cpp"
 case 39: 
 var $41=HEAP8[($bComma)]; //@line 428 "PropellerCompiler.cpp"
 var $tobool64=(($41)&1); //@line 428 "PropellerCompiler.cpp"
 var $conv65=($tobool64&1); //@line 428 "PropellerCompiler.cpp"
 var $cmp66=($conv65|0)==0; //@line 428 "PropellerCompiler.cpp"
 if($cmp66){label=40;break;}else{label=41;break;} //@line 428 "PropellerCompiler.cpp"
 case 40: 
 label=44;break; //@line 430 "PropellerCompiler.cpp"
 case 41: 
 var $42=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 432 "PropellerCompiler.cpp"
 var $call69=__ZN11Elementizer7GetNextERb($42,$bEof); //@line 432 "PropellerCompiler.cpp"
 if($call69){label=43;break;}else{label=42;break;} //@line 432 "PropellerCompiler.cpp"
 case 42: 
 $retval=0; //@line 434 "PropellerCompiler.cpp"
 label=51;break; //@line 434 "PropellerCompiler.cpp"
 case 43: 
 label=12;break; //@line 436 "PropellerCompiler.cpp"
 case 44: 
 label=4;break; //@line 437 "PropellerCompiler.cpp"
 case 45: 
 var $43=HEAP8[($bEof)]; //@line 439 "PropellerCompiler.cpp"
 var $tobool73=(($43)&1); //@line 439 "PropellerCompiler.cpp"
 if($tobool73){label=49;break;}else{label=46;break;} //@line 439 "PropellerCompiler.cpp"
 case 46: 
 var $44=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 441 "PropellerCompiler.cpp"
 var $call75=__ZN11Elementizer12GetNextBlockEiRb($44,0,$bEof); //@line 441 "PropellerCompiler.cpp"
 if($call75){label=48;break;}else{label=47;break;} //@line 441 "PropellerCompiler.cpp"
 case 47: 
 $retval=0; //@line 443 "PropellerCompiler.cpp"
 label=51;break; //@line 443 "PropellerCompiler.cpp"
 case 48: 
 label=49;break; //@line 445 "PropellerCompiler.cpp"
 case 49: 
 label=2;break; //@line 446 "PropellerCompiler.cpp"
 case 50: 
 $retval=1; //@line 447 "PropellerCompiler.cpp"
 label=51;break; //@line 447 "PropellerCompiler.cpp"
 case 51: 
 var $45=$retval; //@line 448 "PropellerCompiler.cpp"
 STACKTOP=sp;return $45; //@line 448 "PropellerCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z18CompileSubBlocksIdv(){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+8)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $bFirst=sp;
 HEAP8[($bFirst)]=0; //@line 671 "PropellerCompiler.cpp"
 var $call=__Z26CompileSubBlocksId_CompileiRb(4,$bFirst); //@line 672 "PropellerCompiler.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 672 "PropellerCompiler.cpp"
 case 2: 
 $retval=0; //@line 674 "PropellerCompiler.cpp"
 label=9;break; //@line 674 "PropellerCompiler.cpp"
 case 3: 
 var $0=HEAP8[($bFirst)]; //@line 676 "PropellerCompiler.cpp"
 var $tobool=(($0)&1); //@line 676 "PropellerCompiler.cpp"
 var $conv=($tobool&1); //@line 676 "PropellerCompiler.cpp"
 var $cmp=($conv|0)==0; //@line 676 "PropellerCompiler.cpp"
 if($cmp){label=4;break;}else{label=6;break;} //@line 676 "PropellerCompiler.cpp"
 case 4: 
 var $1=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 676 "PropellerCompiler.cpp"
 var $2=$1; //@line 676 "PropellerCompiler.cpp"
 var $compile_mode=(($2+8)|0); //@line 676 "PropellerCompiler.cpp"
 var $3=HEAP8[($compile_mode)]; //@line 676 "PropellerCompiler.cpp"
 var $tobool1=(($3)&1); //@line 676 "PropellerCompiler.cpp"
 var $conv2=($tobool1&1); //@line 676 "PropellerCompiler.cpp"
 var $cmp3=($conv2|0)==0; //@line 676 "PropellerCompiler.cpp"
 if($cmp3){label=5;break;}else{label=6;break;} //@line 676 "PropellerCompiler.cpp"
 case 5: 
 var $4=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 678 "PropellerCompiler.cpp"
 var $5=$4; //@line 678 "PropellerCompiler.cpp"
 var $error=(($5)|0); //@line 678 "PropellerCompiler.cpp"
 HEAP8[($error)]=1; //@line 678 "PropellerCompiler.cpp"
 var $6=((((HEAPU8[(348)])|(HEAPU8[(349)]<<8)|(HEAPU8[(350)]<<16)|(HEAPU8[(351)]<<24))|0)); //@line 679 "PropellerCompiler.cpp"
 var $7=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 679 "PropellerCompiler.cpp"
 var $8=$7; //@line 679 "PropellerCompiler.cpp"
 var $error_msg=(($8+4)|0); //@line 679 "PropellerCompiler.cpp"
 tempBigInt=$6;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 679 "PropellerCompiler.cpp"
 $retval=0; //@line 680 "PropellerCompiler.cpp"
 label=9;break; //@line 680 "PropellerCompiler.cpp"
 case 6: 
 var $call6=__Z26CompileSubBlocksId_CompileiRb(5,$bFirst); //@line 682 "PropellerCompiler.cpp"
 if($call6){label=8;break;}else{label=7;break;} //@line 682 "PropellerCompiler.cpp"
 case 7: 
 $retval=0; //@line 684 "PropellerCompiler.cpp"
 label=9;break; //@line 684 "PropellerCompiler.cpp"
 case 8: 
 $retval=1; //@line 687 "PropellerCompiler.cpp"
 label=9;break; //@line 687 "PropellerCompiler.cpp"
 case 9: 
 var $9=$retval; //@line 688 "PropellerCompiler.cpp"
 STACKTOP=sp;return $9; //@line 688 "PropellerCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z18CompileObjBlocksIdv(){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+16)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $bEof=sp;
 var $instanceCount;
 var $objFileIndex=(sp)+(8);
 var $value;
 var $i;
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 692 "PropellerCompiler.cpp"
 var $1=$0; //@line 692 "PropellerCompiler.cpp"
 var $obj_ptr=(($1+16777264)|0); //@line 692 "PropellerCompiler.cpp"
 var $2=((((HEAPU8[($obj_ptr)])|(HEAPU8[((($obj_ptr)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr)+(3))|0)]<<24))|0)); //@line 692 "PropellerCompiler.cpp"
 var $3=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 692 "PropellerCompiler.cpp"
 var $obj_start=(($3+16971104)|0); //@line 692 "PropellerCompiler.cpp"
 tempBigInt=$2;HEAP8[($obj_start)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_start)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_start)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_start)+(3))|0)]=tempBigInt&0xff; //@line 692 "PropellerCompiler.cpp"
 var $4=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 693 "PropellerCompiler.cpp"
 var $obj_count=(($4+16971108)|0); //@line 693 "PropellerCompiler.cpp"
 tempBigInt=0;HEAP8[($obj_count)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_count)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_count)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_count)+(3))|0)]=tempBigInt&0xff; //@line 693 "PropellerCompiler.cpp"
 var $5=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 694 "PropellerCompiler.cpp"
 var $6=$5; //@line 694 "PropellerCompiler.cpp"
 var $obj_files=(($6+16777268)|0); //@line 694 "PropellerCompiler.cpp"
 tempBigInt=0;HEAP8[($obj_files)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_files)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_files)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_files)+(3))|0)]=tempBigInt&0xff; //@line 694 "PropellerCompiler.cpp"
 HEAP8[($bEof)]=0; //@line 696 "PropellerCompiler.cpp"
 var $7=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 697 "PropellerCompiler.cpp"
 __ZN11Elementizer5ResetEv($7); //@line 697 "PropellerCompiler.cpp"
 label=2;break; //@line 699 "PropellerCompiler.cpp"
 case 2: 
 var $8=HEAP8[($bEof)]; //@line 699 "PropellerCompiler.cpp"
 var $tobool=(($8)&1); //@line 699 "PropellerCompiler.cpp"
 var $lnot=$tobool^1; //@line 699 "PropellerCompiler.cpp"
 if($lnot){label=3;break;}else{label=43;break;} //@line 699 "PropellerCompiler.cpp"
 case 3: 
 var $9=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 701 "PropellerCompiler.cpp"
 var $call=__ZN11Elementizer12GetNextBlockEiRb($9,3,$bEof); //@line 701 "PropellerCompiler.cpp"
 if($call){label=4;break;}else{label=42;break;} //@line 701 "PropellerCompiler.cpp"
 case 4: 
 label=5;break; //@line 703 "PropellerCompiler.cpp"
 case 5: 
 var $10=HEAP8[($bEof)]; //@line 703 "PropellerCompiler.cpp"
 var $tobool2=(($10)&1); //@line 703 "PropellerCompiler.cpp"
 var $lnot3=$tobool2^1; //@line 703 "PropellerCompiler.cpp"
 if($lnot3){label=6;break;}else{label=41;break;} //@line 703 "PropellerCompiler.cpp"
 case 6: 
 var $11=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 705 "PropellerCompiler.cpp"
 var $call5=__ZN11Elementizer7GetNextERb($11,$bEof); //@line 705 "PropellerCompiler.cpp"
 if($call5){label=8;break;}else{label=7;break;} //@line 705 "PropellerCompiler.cpp"
 case 7: 
 $retval=0; //@line 707 "PropellerCompiler.cpp"
 label=44;break; //@line 707 "PropellerCompiler.cpp"
 case 8: 
 var $12=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 709 "PropellerCompiler.cpp"
 var $call7=__ZN11Elementizer7GetTypeEv($12); //@line 709 "PropellerCompiler.cpp"
 var $cmp=($call7|0)==84; //@line 709 "PropellerCompiler.cpp"
 if($cmp){label=9;break;}else{label=10;break;} //@line 709 "PropellerCompiler.cpp"
 case 9: 
 label=5;break; //@line 711 "PropellerCompiler.cpp"
 case 10: 
 var $13=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 713 "PropellerCompiler.cpp"
 var $call9=__ZN11Elementizer7GetTypeEv($13); //@line 713 "PropellerCompiler.cpp"
 var $cmp10=($call9|0)==0; //@line 713 "PropellerCompiler.cpp"
 if($cmp10){label=11;break;}else{label=36;break;} //@line 713 "PropellerCompiler.cpp"
 case 11: 
 var $14=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 716 "PropellerCompiler.cpp"
 __ZN11Elementizer12BackupSymbolEv($14); //@line 716 "PropellerCompiler.cpp"
 $instanceCount=1; //@line 718 "PropellerCompiler.cpp"
 var $15=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 721 "PropellerCompiler.cpp"
 var $call12=__ZN11Elementizer12CheckElementEi($15,3); //@line 721 "PropellerCompiler.cpp"
 if($call12){label=12;break;}else{label=20;break;} //@line 721 "PropellerCompiler.cpp"
 case 12: 
 var $call14=__Z11GetTryValuebbb(1,1,0); //@line 724 "PropellerCompiler.cpp"
 if($call14){label=14;break;}else{label=13;break;} //@line 724 "PropellerCompiler.cpp"
 case 13: 
 $retval=0; //@line 726 "PropellerCompiler.cpp"
 label=44;break; //@line 726 "PropellerCompiler.cpp"
 case 14: 
 var $call17=__Z9GetResultv(); //@line 728 "PropellerCompiler.cpp"
 $instanceCount=$call17; //@line 728 "PropellerCompiler.cpp"
 var $16=$instanceCount; //@line 729 "PropellerCompiler.cpp"
 var $cmp18=($16|0)<1; //@line 729 "PropellerCompiler.cpp"
 if($cmp18){label=16;break;}else{label=15;break;} //@line 729 "PropellerCompiler.cpp"
 case 15: 
 var $17=$instanceCount; //@line 729 "PropellerCompiler.cpp"
 var $cmp19=($17|0)>255; //@line 729 "PropellerCompiler.cpp"
 if($cmp19){label=16;break;}else{label=17;break;} //@line 729 "PropellerCompiler.cpp"
 case 16: 
 var $18=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 731 "PropellerCompiler.cpp"
 var $19=$18; //@line 731 "PropellerCompiler.cpp"
 var $error=(($19)|0); //@line 731 "PropellerCompiler.cpp"
 HEAP8[($error)]=1; //@line 731 "PropellerCompiler.cpp"
 var $20=((((HEAPU8[(352)])|(HEAPU8[(353)]<<8)|(HEAPU8[(354)]<<16)|(HEAPU8[(355)]<<24))|0)); //@line 732 "PropellerCompiler.cpp"
 var $21=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 732 "PropellerCompiler.cpp"
 var $22=$21; //@line 732 "PropellerCompiler.cpp"
 var $error_msg=(($22+4)|0); //@line 732 "PropellerCompiler.cpp"
 tempBigInt=$20;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 732 "PropellerCompiler.cpp"
 $retval=0; //@line 733 "PropellerCompiler.cpp"
 label=44;break; //@line 733 "PropellerCompiler.cpp"
 case 17: 
 var $23=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 736 "PropellerCompiler.cpp"
 var $call22=__ZN11Elementizer10GetElementEi($23,4); //@line 736 "PropellerCompiler.cpp"
 if($call22){label=19;break;}else{label=18;break;} //@line 736 "PropellerCompiler.cpp"
 case 18: 
 $retval=0; //@line 738 "PropellerCompiler.cpp"
 label=44;break; //@line 738 "PropellerCompiler.cpp"
 case 19: 
 label=20;break; //@line 740 "PropellerCompiler.cpp"
 case 20: 
 var $24=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 743 "PropellerCompiler.cpp"
 var $call26=__ZN11Elementizer10GetElementEi($24,8); //@line 743 "PropellerCompiler.cpp"
 if($call26){label=22;break;}else{label=21;break;} //@line 743 "PropellerCompiler.cpp"
 case 21: 
 $retval=0; //@line 745 "PropellerCompiler.cpp"
 label=44;break; //@line 745 "PropellerCompiler.cpp"
 case 22: 
 tempBigInt=0;HEAP8[($objFileIndex)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($objFileIndex)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($objFileIndex)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($objFileIndex)+(3))|0)]=tempBigInt&0xff; //@line 748 "PropellerCompiler.cpp"
 var $25=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 750 "PropellerCompiler.cpp"
 var $26=$25; //@line 750 "PropellerCompiler.cpp"
 var $obj_files29=(($26+16777268)|0); //@line 750 "PropellerCompiler.cpp"
 var $27=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 750 "PropellerCompiler.cpp"
 var $28=$27; //@line 750 "PropellerCompiler.cpp"
 var $obj_filenames=(($28+16777272)|0); //@line 750 "PropellerCompiler.cpp"
 var $arraydecay=(($obj_filenames)|0); //@line 750 "PropellerCompiler.cpp"
 var $29=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 750 "PropellerCompiler.cpp"
 var $30=$29; //@line 750 "PropellerCompiler.cpp"
 var $obj_name_start=(($30+16785464)|0); //@line 750 "PropellerCompiler.cpp"
 var $arraydecay30=(($obj_name_start)|0); //@line 750 "PropellerCompiler.cpp"
 var $31=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 750 "PropellerCompiler.cpp"
 var $32=$31; //@line 750 "PropellerCompiler.cpp"
 var $obj_name_finish=(($32+16785592)|0); //@line 750 "PropellerCompiler.cpp"
 var $arraydecay31=(($obj_name_finish)|0); //@line 750 "PropellerCompiler.cpp"
 var $call32=__Z11AddFileNameRiS_PcPiS1_i($obj_files29,$objFileIndex,$arraydecay,$arraydecay30,$arraydecay31,73); //@line 750 "PropellerCompiler.cpp"
 if($call32){label=24;break;}else{label=23;break;} //@line 750 "PropellerCompiler.cpp"
 case 23: 
 $retval=0; //@line 757 "PropellerCompiler.cpp"
 label=44;break; //@line 757 "PropellerCompiler.cpp"
 case 24: 
 var $33=((((HEAPU8[($objFileIndex)])|(HEAPU8[((($objFileIndex)+(1))|0)]<<8)|(HEAPU8[((($objFileIndex)+(2))|0)]<<16)|(HEAPU8[((($objFileIndex)+(3))|0)]<<24))|0)); //@line 761 "PropellerCompiler.cpp"
 var $34=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 761 "PropellerCompiler.cpp"
 var $35=$34; //@line 761 "PropellerCompiler.cpp"
 var $obj_files35=(($35+16777268)|0); //@line 761 "PropellerCompiler.cpp"
 var $36=((((HEAPU8[($obj_files35)])|(HEAPU8[((($obj_files35)+(1))|0)]<<8)|(HEAPU8[((($obj_files35)+(2))|0)]<<16)|(HEAPU8[((($obj_files35)+(3))|0)]<<24))|0)); //@line 761 "PropellerCompiler.cpp"
 var $sub=((($36)-(1))|0); //@line 761 "PropellerCompiler.cpp"
 var $cmp36=($33|0)==($sub|0); //@line 761 "PropellerCompiler.cpp"
 if($cmp36){label=25;break;}else{label=26;break;} //@line 761 "PropellerCompiler.cpp"
 case 25: 
 var $37=((((HEAPU8[($objFileIndex)])|(HEAPU8[((($objFileIndex)+(1))|0)]<<8)|(HEAPU8[((($objFileIndex)+(2))|0)]<<16)|(HEAPU8[((($objFileIndex)+(3))|0)]<<24))|0)); //@line 764 "PropellerCompiler.cpp"
 var $38=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 764 "PropellerCompiler.cpp"
 var $39=$38; //@line 764 "PropellerCompiler.cpp"
 var $obj_instances=(($39+16851512)|0); //@line 764 "PropellerCompiler.cpp"
 var $arrayidx=(($obj_instances+($37<<2))|0); //@line 764 "PropellerCompiler.cpp"
 tempBigInt=0;HEAP8[($arrayidx)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx)+(3))|0)]=tempBigInt&0xff; //@line 764 "PropellerCompiler.cpp"
 label=26;break; //@line 765 "PropellerCompiler.cpp"
 case 26: 
 var $40=((((HEAPU8[($objFileIndex)])|(HEAPU8[((($objFileIndex)+(1))|0)]<<8)|(HEAPU8[((($objFileIndex)+(2))|0)]<<16)|(HEAPU8[((($objFileIndex)+(3))|0)]<<24))|0)); //@line 768 "PropellerCompiler.cpp"
 $value=$40; //@line 768 "PropellerCompiler.cpp"
 var $41=$value; //@line 769 "PropellerCompiler.cpp"
 var $shl=$41<<8; //@line 769 "PropellerCompiler.cpp"
 $value=$shl; //@line 769 "PropellerCompiler.cpp"
 var $42=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 770 "PropellerCompiler.cpp"
 var $43=$42; //@line 770 "PropellerCompiler.cpp"
 var $obj_ptr39=(($43+16777264)|0); //@line 770 "PropellerCompiler.cpp"
 var $44=((((HEAPU8[($obj_ptr39)])|(HEAPU8[((($obj_ptr39)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr39)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr39)+(3))|0)]<<24))|0)); //@line 770 "PropellerCompiler.cpp"
 var $shr=$44>>2; //@line 770 "PropellerCompiler.cpp"
 var $and=$shr&255; //@line 770 "PropellerCompiler.cpp"
 var $45=$value; //@line 770 "PropellerCompiler.cpp"
 var $or=$45|$and; //@line 770 "PropellerCompiler.cpp"
 $value=$or; //@line 770 "PropellerCompiler.cpp"
 var $46=((((HEAPU8[(19704)])|(HEAPU8[(19705)]<<8)|(HEAPU8[(19706)]<<16)|(HEAPU8[(19707)]<<24))|0)); //@line 771 "PropellerCompiler.cpp"
 var $47=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 771 "PropellerCompiler.cpp"
 var $symbolBackup=(($47+16979312)|0); //@line 771 "PropellerCompiler.cpp"
 var $arraydecay40=(($symbolBackup)|0); //@line 771 "PropellerCompiler.cpp"
 var $48=$value; //@line 771 "PropellerCompiler.cpp"
 __ZN12SymbolEngine9AddSymbolEPKc10symbolTypeiib($46,$arraydecay40,79,$48,0,0); //@line 771 "PropellerCompiler.cpp"
 $i=0; //@line 776 "PropellerCompiler.cpp"
 label=27;break; //@line 776 "PropellerCompiler.cpp"
 case 27: 
 var $49=$i; //@line 776 "PropellerCompiler.cpp"
 var $50=$instanceCount; //@line 776 "PropellerCompiler.cpp"
 var $cmp41=($49|0)<($50|0); //@line 776 "PropellerCompiler.cpp"
 if($cmp41){label=28;break;}else{label=33;break;} //@line 776 "PropellerCompiler.cpp"
 case 28: 
 var $51=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 778 "PropellerCompiler.cpp"
 var $52=$51; //@line 778 "PropellerCompiler.cpp"
 var $obj_ptr42=(($52+16777264)|0); //@line 778 "PropellerCompiler.cpp"
 var $53=((((HEAPU8[($obj_ptr42)])|(HEAPU8[((($obj_ptr42)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr42)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr42)+(3))|0)]<<24))|0)); //@line 778 "PropellerCompiler.cpp"
 var $cmp43=($53|0)<1024; //@line 778 "PropellerCompiler.cpp"
 if($cmp43){label=29;break;}else{label=30;break;} //@line 778 "PropellerCompiler.cpp"
 case 29: 
 var $54=((((HEAPU8[($objFileIndex)])|(HEAPU8[((($objFileIndex)+(1))|0)]<<8)|(HEAPU8[((($objFileIndex)+(2))|0)]<<16)|(HEAPU8[((($objFileIndex)+(3))|0)]<<24))|0)); //@line 781 "PropellerCompiler.cpp"
 var $call45=__Z12EnterObjLongi($54); //@line 781 "PropellerCompiler.cpp"
 var $55=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 782 "PropellerCompiler.cpp"
 var $obj_count46=(($55+16971108)|0); //@line 782 "PropellerCompiler.cpp"
 var $56=((((HEAPU8[($obj_count46)])|(HEAPU8[((($obj_count46)+(1))|0)]<<8)|(HEAPU8[((($obj_count46)+(2))|0)]<<16)|(HEAPU8[((($obj_count46)+(3))|0)]<<24))|0)); //@line 782 "PropellerCompiler.cpp"
 var $inc=((($56)+(1))|0); //@line 782 "PropellerCompiler.cpp"
 tempBigInt=$inc;HEAP8[($obj_count46)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_count46)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_count46)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_count46)+(3))|0)]=tempBigInt&0xff; //@line 782 "PropellerCompiler.cpp"
 label=31;break; //@line 783 "PropellerCompiler.cpp"
 case 30: 
 var $57=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 786 "PropellerCompiler.cpp"
 var $58=$57; //@line 786 "PropellerCompiler.cpp"
 var $error48=(($58)|0); //@line 786 "PropellerCompiler.cpp"
 HEAP8[($error48)]=1; //@line 786 "PropellerCompiler.cpp"
 var $59=((((HEAPU8[(336)])|(HEAPU8[(337)]<<8)|(HEAPU8[(338)]<<16)|(HEAPU8[(339)]<<24))|0)); //@line 787 "PropellerCompiler.cpp"
 var $60=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 787 "PropellerCompiler.cpp"
 var $61=$60; //@line 787 "PropellerCompiler.cpp"
 var $error_msg49=(($61+4)|0); //@line 787 "PropellerCompiler.cpp"
 tempBigInt=$59;HEAP8[($error_msg49)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg49)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg49)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg49)+(3))|0)]=tempBigInt&0xff; //@line 787 "PropellerCompiler.cpp"
 $retval=0; //@line 788 "PropellerCompiler.cpp"
 label=44;break; //@line 788 "PropellerCompiler.cpp"
 case 31: 
 label=32;break; //@line 790 "PropellerCompiler.cpp"
 case 32: 
 var $62=$i; //@line 776 "PropellerCompiler.cpp"
 var $inc51=((($62)+(1))|0); //@line 776 "PropellerCompiler.cpp"
 $i=$inc51; //@line 776 "PropellerCompiler.cpp"
 label=27;break; //@line 776 "PropellerCompiler.cpp"
 case 33: 
 var $63=$instanceCount; //@line 793 "PropellerCompiler.cpp"
 var $64=((((HEAPU8[($objFileIndex)])|(HEAPU8[((($objFileIndex)+(1))|0)]<<8)|(HEAPU8[((($objFileIndex)+(2))|0)]<<16)|(HEAPU8[((($objFileIndex)+(3))|0)]<<24))|0)); //@line 793 "PropellerCompiler.cpp"
 var $65=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 793 "PropellerCompiler.cpp"
 var $66=$65; //@line 793 "PropellerCompiler.cpp"
 var $obj_instances52=(($66+16851512)|0); //@line 793 "PropellerCompiler.cpp"
 var $arrayidx53=(($obj_instances52+($64<<2))|0); //@line 793 "PropellerCompiler.cpp"
 var $67=((((HEAPU8[($arrayidx53)])|(HEAPU8[((($arrayidx53)+(1))|0)]<<8)|(HEAPU8[((($arrayidx53)+(2))|0)]<<16)|(HEAPU8[((($arrayidx53)+(3))|0)]<<24))|0)); //@line 793 "PropellerCompiler.cpp"
 var $add=((($67)+($63))|0); //@line 793 "PropellerCompiler.cpp"
 tempBigInt=$add;HEAP8[($arrayidx53)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx53)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx53)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx53)+(3))|0)]=tempBigInt&0xff; //@line 793 "PropellerCompiler.cpp"
 var $68=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 795 "PropellerCompiler.cpp"
 var $call54=__ZN11Elementizer10GetElementEi($68,84); //@line 795 "PropellerCompiler.cpp"
 if($call54){label=35;break;}else{label=34;break;} //@line 795 "PropellerCompiler.cpp"
 case 34: 
 $retval=0; //@line 797 "PropellerCompiler.cpp"
 label=44;break; //@line 797 "PropellerCompiler.cpp"
 case 35: 
 label=39;break; //@line 799 "PropellerCompiler.cpp"
 case 36: 
 var $69=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 800 "PropellerCompiler.cpp"
 var $call58=__ZN11Elementizer7GetTypeEv($69); //@line 800 "PropellerCompiler.cpp"
 var $cmp59=($call58|0)==28; //@line 800 "PropellerCompiler.cpp"
 if($cmp59){label=37;break;}else{label=38;break;} //@line 800 "PropellerCompiler.cpp"
 case 37: 
 var $70=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 802 "PropellerCompiler.cpp"
 __ZN11Elementizer6BackupEv($70); //@line 802 "PropellerCompiler.cpp"
 label=41;break; //@line 803 "PropellerCompiler.cpp"
 case 38: 
 var $71=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 807 "PropellerCompiler.cpp"
 var $72=$71; //@line 807 "PropellerCompiler.cpp"
 var $error62=(($72)|0); //@line 807 "PropellerCompiler.cpp"
 HEAP8[($error62)]=1; //@line 807 "PropellerCompiler.cpp"
 var $73=((((HEAPU8[(116)])|(HEAPU8[(117)]<<8)|(HEAPU8[(118)]<<16)|(HEAPU8[(119)]<<24))|0)); //@line 808 "PropellerCompiler.cpp"
 var $74=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 808 "PropellerCompiler.cpp"
 var $75=$74; //@line 808 "PropellerCompiler.cpp"
 var $error_msg63=(($75+4)|0); //@line 808 "PropellerCompiler.cpp"
 tempBigInt=$73;HEAP8[($error_msg63)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg63)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg63)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg63)+(3))|0)]=tempBigInt&0xff; //@line 808 "PropellerCompiler.cpp"
 $retval=0; //@line 809 "PropellerCompiler.cpp"
 label=44;break; //@line 809 "PropellerCompiler.cpp"
 case 39: 
 label=40;break;
 case 40: 
 label=5;break; //@line 811 "PropellerCompiler.cpp"
 case 41: 
 label=42;break; //@line 812 "PropellerCompiler.cpp"
 case 42: 
 label=2;break; //@line 813 "PropellerCompiler.cpp"
 case 43: 
 $retval=1; //@line 814 "PropellerCompiler.cpp"
 label=44;break; //@line 814 "PropellerCompiler.cpp"
 case 44: 
 var $76=$retval; //@line 815 "PropellerCompiler.cpp"
 STACKTOP=sp;return $76; //@line 815 "PropellerCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z25CompileDatBlocksFileNamesv(){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+16)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $index=sp;
 var $bEof=(sp)+(8);
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 819 "PropellerCompiler.cpp"
 var $1=$0; //@line 819 "PropellerCompiler.cpp"
 var $dat_files=(($1+16851896)|0); //@line 819 "PropellerCompiler.cpp"
 tempBigInt=0;HEAP8[($dat_files)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($dat_files)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($dat_files)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($dat_files)+(3))|0)]=tempBigInt&0xff; //@line 819 "PropellerCompiler.cpp"
 tempBigInt=0;HEAP8[($index)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($index)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($index)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($index)+(3))|0)]=tempBigInt&0xff; //@line 820 "PropellerCompiler.cpp"
 HEAP8[($bEof)]=0; //@line 822 "PropellerCompiler.cpp"
 var $2=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 823 "PropellerCompiler.cpp"
 __ZN11Elementizer5ResetEv($2); //@line 823 "PropellerCompiler.cpp"
 label=2;break; //@line 825 "PropellerCompiler.cpp"
 case 2: 
 var $3=HEAP8[($bEof)]; //@line 825 "PropellerCompiler.cpp"
 var $tobool=(($3)&1); //@line 825 "PropellerCompiler.cpp"
 var $lnot=$tobool^1; //@line 825 "PropellerCompiler.cpp"
 if($lnot){label=3;break;}else{label=23;break;} //@line 825 "PropellerCompiler.cpp"
 case 3: 
 var $4=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 827 "PropellerCompiler.cpp"
 var $call=__ZN11Elementizer12GetNextBlockEiRb($4,2,$bEof); //@line 827 "PropellerCompiler.cpp"
 if($call){label=4;break;}else{label=21;break;} //@line 827 "PropellerCompiler.cpp"
 case 4: 
 label=5;break; //@line 829 "PropellerCompiler.cpp"
 case 5: 
 var $5=HEAP8[($bEof)]; //@line 829 "PropellerCompiler.cpp"
 var $tobool2=(($5)&1); //@line 829 "PropellerCompiler.cpp"
 var $lnot3=$tobool2^1; //@line 829 "PropellerCompiler.cpp"
 if($lnot3){label=6;break;}else{label=20;break;} //@line 829 "PropellerCompiler.cpp"
 case 6: 
 var $6=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 831 "PropellerCompiler.cpp"
 var $call5=__ZN11Elementizer7GetNextERb($6,$bEof); //@line 831 "PropellerCompiler.cpp"
 if($call5){label=8;break;}else{label=7;break;} //@line 831 "PropellerCompiler.cpp"
 case 7: 
 $retval=0; //@line 833 "PropellerCompiler.cpp"
 label=24;break; //@line 833 "PropellerCompiler.cpp"
 case 8: 
 var $7=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 835 "PropellerCompiler.cpp"
 var $call7=__ZN11Elementizer7GetTypeEv($7); //@line 835 "PropellerCompiler.cpp"
 var $cmp=($call7|0)==84; //@line 835 "PropellerCompiler.cpp"
 if($cmp){label=9;break;}else{label=10;break;} //@line 835 "PropellerCompiler.cpp"
 case 9: 
 label=5;break; //@line 837 "PropellerCompiler.cpp"
 case 10: 
 var $8=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 839 "PropellerCompiler.cpp"
 var $call10=__ZN11Elementizer7GetTypeEv($8); //@line 839 "PropellerCompiler.cpp"
 var $cmp11=($call10|0)==32; //@line 839 "PropellerCompiler.cpp"
 if($cmp11){label=11;break;}else{label=16;break;} //@line 839 "PropellerCompiler.cpp"
 case 11: 
 var $9=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 841 "PropellerCompiler.cpp"
 var $10=$9; //@line 841 "PropellerCompiler.cpp"
 var $dat_files13=(($10+16851896)|0); //@line 841 "PropellerCompiler.cpp"
 var $11=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 841 "PropellerCompiler.cpp"
 var $12=$11; //@line 841 "PropellerCompiler.cpp"
 var $dat_filenames=(($12+16851900)|0); //@line 841 "PropellerCompiler.cpp"
 var $arraydecay=(($dat_filenames)|0); //@line 841 "PropellerCompiler.cpp"
 var $13=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 841 "PropellerCompiler.cpp"
 var $14=$13; //@line 841 "PropellerCompiler.cpp"
 var $dat_name_start=(($14+16860092)|0); //@line 841 "PropellerCompiler.cpp"
 var $arraydecay14=(($dat_name_start)|0); //@line 841 "PropellerCompiler.cpp"
 var $15=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 841 "PropellerCompiler.cpp"
 var $16=$15; //@line 841 "PropellerCompiler.cpp"
 var $dat_name_finish=(($16+16860220)|0); //@line 841 "PropellerCompiler.cpp"
 var $arraydecay15=(($dat_name_finish)|0); //@line 841 "PropellerCompiler.cpp"
 var $call16=__Z11AddFileNameRiS_PcPiS1_i($dat_files13,$index,$arraydecay,$arraydecay14,$arraydecay15,74); //@line 841 "PropellerCompiler.cpp"
 if($call16){label=13;break;}else{label=12;break;} //@line 841 "PropellerCompiler.cpp"
 case 12: 
 $retval=0; //@line 848 "PropellerCompiler.cpp"
 label=24;break; //@line 848 "PropellerCompiler.cpp"
 case 13: 
 var $17=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 850 "PropellerCompiler.cpp"
 var $call19=__ZN11Elementizer10GetElementEi($17,84); //@line 850 "PropellerCompiler.cpp"
 if($call19){label=15;break;}else{label=14;break;} //@line 850 "PropellerCompiler.cpp"
 case 14: 
 $retval=0; //@line 852 "PropellerCompiler.cpp"
 label=24;break; //@line 852 "PropellerCompiler.cpp"
 case 15: 
 label=5;break; //@line 854 "PropellerCompiler.cpp"
 case 16: 
 var $18=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 856 "PropellerCompiler.cpp"
 var $call22=__ZN11Elementizer7GetTypeEv($18); //@line 856 "PropellerCompiler.cpp"
 var $cmp23=($call22|0)!=28; //@line 856 "PropellerCompiler.cpp"
 if($cmp23){label=17;break;}else{label=18;break;} //@line 856 "PropellerCompiler.cpp"
 case 17: 
 label=5;break; //@line 858 "PropellerCompiler.cpp"
 case 18: 
 label=19;break;
 case 19: 
 var $19=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 864 "PropellerCompiler.cpp"
 __ZN11Elementizer6BackupEv($19); //@line 864 "PropellerCompiler.cpp"
 label=20;break; //@line 865 "PropellerCompiler.cpp"
 case 20: 
 label=22;break; //@line 867 "PropellerCompiler.cpp"
 case 21: 
 $retval=0; //@line 870 "PropellerCompiler.cpp"
 label=24;break; //@line 870 "PropellerCompiler.cpp"
 case 22: 
 label=2;break; //@line 872 "PropellerCompiler.cpp"
 case 23: 
 $retval=1; //@line 874 "PropellerCompiler.cpp"
 label=24;break; //@line 874 "PropellerCompiler.cpp"
 case 24: 
 var $20=$retval; //@line 875 "PropellerCompiler.cpp"
 STACKTOP=sp;return $20; //@line 875 "PropellerCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z8Compile2v(){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $call=__Z17CompileObjSymbolsv(); //@line 153 "PropellerCompiler.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 153 "PropellerCompiler.cpp"
 case 2: 
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 155 "PropellerCompiler.cpp"
 var $1=$0; //@line 155 "PropellerCompiler.cpp"
 var $error_msg=(($1+4)|0); //@line 155 "PropellerCompiler.cpp"
 var $2=((((HEAPU8[($error_msg)])|(HEAPU8[((($error_msg)+(1))|0)]<<8)|(HEAPU8[((($error_msg)+(2))|0)]<<16)|(HEAPU8[((($error_msg)+(3))|0)]<<24))|0)); //@line 155 "PropellerCompiler.cpp"
 $retval=$2; //@line 155 "PropellerCompiler.cpp"
 label=36;break; //@line 155 "PropellerCompiler.cpp"
 case 3: 
 var $call1=__Z16CompileConBlocksi(1); //@line 157 "PropellerCompiler.cpp"
 if($call1){label=5;break;}else{label=4;break;} //@line 157 "PropellerCompiler.cpp"
 case 4: 
 var $3=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 159 "PropellerCompiler.cpp"
 var $4=$3; //@line 159 "PropellerCompiler.cpp"
 var $error_msg3=(($4+4)|0); //@line 159 "PropellerCompiler.cpp"
 var $5=((((HEAPU8[($error_msg3)])|(HEAPU8[((($error_msg3)+(1))|0)]<<8)|(HEAPU8[((($error_msg3)+(2))|0)]<<16)|(HEAPU8[((($error_msg3)+(3))|0)]<<24))|0)); //@line 159 "PropellerCompiler.cpp"
 $retval=$5; //@line 159 "PropellerCompiler.cpp"
 label=36;break; //@line 159 "PropellerCompiler.cpp"
 case 5: 
 var $call5=__Z16CompileVarBlocksv(); //@line 161 "PropellerCompiler.cpp"
 if($call5){label=7;break;}else{label=6;break;} //@line 161 "PropellerCompiler.cpp"
 case 6: 
 var $6=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 163 "PropellerCompiler.cpp"
 var $7=$6; //@line 163 "PropellerCompiler.cpp"
 var $error_msg7=(($7+4)|0); //@line 163 "PropellerCompiler.cpp"
 var $8=((((HEAPU8[($error_msg7)])|(HEAPU8[((($error_msg7)+(1))|0)]<<8)|(HEAPU8[((($error_msg7)+(2))|0)]<<16)|(HEAPU8[((($error_msg7)+(3))|0)]<<24))|0)); //@line 163 "PropellerCompiler.cpp"
 $retval=$8; //@line 163 "PropellerCompiler.cpp"
 label=36;break; //@line 163 "PropellerCompiler.cpp"
 case 7: 
 var $call9=__Z16CompileDatBlocksv(); //@line 165 "PropellerCompiler.cpp"
 if($call9){label=9;break;}else{label=8;break;} //@line 165 "PropellerCompiler.cpp"
 case 8: 
 var $9=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 167 "PropellerCompiler.cpp"
 var $10=$9; //@line 167 "PropellerCompiler.cpp"
 var $error_msg11=(($10+4)|0); //@line 167 "PropellerCompiler.cpp"
 var $11=((((HEAPU8[($error_msg11)])|(HEAPU8[((($error_msg11)+(1))|0)]<<8)|(HEAPU8[((($error_msg11)+(2))|0)]<<16)|(HEAPU8[((($error_msg11)+(3))|0)]<<24))|0)); //@line 167 "PropellerCompiler.cpp"
 $retval=$11; //@line 167 "PropellerCompiler.cpp"
 label=36;break; //@line 167 "PropellerCompiler.cpp"
 case 9: 
 var $12=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 170 "PropellerCompiler.cpp"
 var $13=$12; //@line 170 "PropellerCompiler.cpp"
 var $bDATonly=(($13+16971072)|0); //@line 170 "PropellerCompiler.cpp"
 var $14=HEAP8[($bDATonly)]; //@line 170 "PropellerCompiler.cpp"
 var $tobool=(($14)&1); //@line 170 "PropellerCompiler.cpp"
 if($tobool){label=13;break;}else{label=10;break;} //@line 170 "PropellerCompiler.cpp"
 case 10: 
 var $call14=__Z16CompileSubBlocksv(); //@line 172 "PropellerCompiler.cpp"
 if($call14){label=12;break;}else{label=11;break;} //@line 172 "PropellerCompiler.cpp"
 case 11: 
 var $15=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 174 "PropellerCompiler.cpp"
 var $16=$15; //@line 174 "PropellerCompiler.cpp"
 var $error_msg16=(($16+4)|0); //@line 174 "PropellerCompiler.cpp"
 var $17=((((HEAPU8[($error_msg16)])|(HEAPU8[((($error_msg16)+(1))|0)]<<8)|(HEAPU8[((($error_msg16)+(2))|0)]<<16)|(HEAPU8[((($error_msg16)+(3))|0)]<<24))|0)); //@line 174 "PropellerCompiler.cpp"
 $retval=$17; //@line 174 "PropellerCompiler.cpp"
 label=36;break; //@line 174 "PropellerCompiler.cpp"
 case 12: 
 label=13;break; //@line 176 "PropellerCompiler.cpp"
 case 13: 
 var $call19=__Z16CompileObjBlocksv(); //@line 178 "PropellerCompiler.cpp"
 if($call19){label=15;break;}else{label=14;break;} //@line 178 "PropellerCompiler.cpp"
 case 14: 
 var $18=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 180 "PropellerCompiler.cpp"
 var $19=$18; //@line 180 "PropellerCompiler.cpp"
 var $error_msg21=(($19+4)|0); //@line 180 "PropellerCompiler.cpp"
 var $20=((((HEAPU8[($error_msg21)])|(HEAPU8[((($error_msg21)+(1))|0)]<<8)|(HEAPU8[((($error_msg21)+(2))|0)]<<16)|(HEAPU8[((($error_msg21)+(3))|0)]<<24))|0)); //@line 180 "PropellerCompiler.cpp"
 $retval=$20; //@line 180 "PropellerCompiler.cpp"
 label=36;break; //@line 180 "PropellerCompiler.cpp"
 case 15: 
 var $21=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 183 "PropellerCompiler.cpp"
 var $22=$21; //@line 183 "PropellerCompiler.cpp"
 var $bDATonly23=(($22+16971072)|0); //@line 183 "PropellerCompiler.cpp"
 var $23=HEAP8[($bDATonly23)]; //@line 183 "PropellerCompiler.cpp"
 var $tobool24=(($23)&1); //@line 183 "PropellerCompiler.cpp"
 if($tobool24){label=19;break;}else{label=16;break;} //@line 183 "PropellerCompiler.cpp"
 case 16: 
 var $call26=__Z16DistillObjBlocksv(); //@line 185 "PropellerCompiler.cpp"
 if($call26){label=18;break;}else{label=17;break;} //@line 185 "PropellerCompiler.cpp"
 case 17: 
 var $24=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 187 "PropellerCompiler.cpp"
 var $25=$24; //@line 187 "PropellerCompiler.cpp"
 var $error_msg28=(($25+4)|0); //@line 187 "PropellerCompiler.cpp"
 var $26=((((HEAPU8[($error_msg28)])|(HEAPU8[((($error_msg28)+(1))|0)]<<8)|(HEAPU8[((($error_msg28)+(2))|0)]<<16)|(HEAPU8[((($error_msg28)+(3))|0)]<<24))|0)); //@line 187 "PropellerCompiler.cpp"
 $retval=$26; //@line 187 "PropellerCompiler.cpp"
 label=36;break; //@line 187 "PropellerCompiler.cpp"
 case 18: 
 label=19;break; //@line 189 "PropellerCompiler.cpp"
 case 19: 
 var $call31=__Z12CompileFinalv(); //@line 191 "PropellerCompiler.cpp"
 if($call31){label=21;break;}else{label=20;break;} //@line 191 "PropellerCompiler.cpp"
 case 20: 
 var $27=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 193 "PropellerCompiler.cpp"
 var $28=$27; //@line 193 "PropellerCompiler.cpp"
 var $error_msg33=(($28+4)|0); //@line 193 "PropellerCompiler.cpp"
 var $29=((((HEAPU8[($error_msg33)])|(HEAPU8[((($error_msg33)+(1))|0)]<<8)|(HEAPU8[((($error_msg33)+(2))|0)]<<16)|(HEAPU8[((($error_msg33)+(3))|0)]<<24))|0)); //@line 193 "PropellerCompiler.cpp"
 $retval=$29; //@line 193 "PropellerCompiler.cpp"
 label=36;break; //@line 193 "PropellerCompiler.cpp"
 case 21: 
 var $30=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 196 "PropellerCompiler.cpp"
 var $31=$30; //@line 196 "PropellerCompiler.cpp"
 var $bDATonly35=(($31+16971072)|0); //@line 196 "PropellerCompiler.cpp"
 var $32=HEAP8[($bDATonly35)]; //@line 196 "PropellerCompiler.cpp"
 var $tobool36=(($32)&1); //@line 196 "PropellerCompiler.cpp"
 if($tobool36){label=35;break;}else{label=22;break;} //@line 196 "PropellerCompiler.cpp"
 case 22: 
 var $call38=__Z15PointToFirstConv(); //@line 198 "PropellerCompiler.cpp"
 if($call38){label=24;break;}else{label=23;break;} //@line 198 "PropellerCompiler.cpp"
 case 23: 
 var $33=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 200 "PropellerCompiler.cpp"
 var $34=$33; //@line 200 "PropellerCompiler.cpp"
 var $error_msg40=(($34+4)|0); //@line 200 "PropellerCompiler.cpp"
 var $35=((((HEAPU8[($error_msg40)])|(HEAPU8[((($error_msg40)+(1))|0)]<<8)|(HEAPU8[((($error_msg40)+(2))|0)]<<16)|(HEAPU8[((($error_msg40)+(3))|0)]<<24))|0)); //@line 200 "PropellerCompiler.cpp"
 $retval=$35; //@line 200 "PropellerCompiler.cpp"
 label=36;break; //@line 200 "PropellerCompiler.cpp"
 case 24: 
 var $call42=__Z14DetermineStackv(); //@line 202 "PropellerCompiler.cpp"
 if($call42){label=26;break;}else{label=25;break;} //@line 202 "PropellerCompiler.cpp"
 case 25: 
 var $36=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 204 "PropellerCompiler.cpp"
 var $37=$36; //@line 204 "PropellerCompiler.cpp"
 var $error_msg44=(($37+4)|0); //@line 204 "PropellerCompiler.cpp"
 var $38=((((HEAPU8[($error_msg44)])|(HEAPU8[((($error_msg44)+(1))|0)]<<8)|(HEAPU8[((($error_msg44)+(2))|0)]<<16)|(HEAPU8[((($error_msg44)+(3))|0)]<<24))|0)); //@line 204 "PropellerCompiler.cpp"
 $retval=$38; //@line 204 "PropellerCompiler.cpp"
 label=36;break; //@line 204 "PropellerCompiler.cpp"
 case 26: 
 var $call46=__Z14DetermineClockv(); //@line 206 "PropellerCompiler.cpp"
 if($call46){label=28;break;}else{label=27;break;} //@line 206 "PropellerCompiler.cpp"
 case 27: 
 var $39=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 208 "PropellerCompiler.cpp"
 var $40=$39; //@line 208 "PropellerCompiler.cpp"
 var $error_msg48=(($40+4)|0); //@line 208 "PropellerCompiler.cpp"
 var $41=((((HEAPU8[($error_msg48)])|(HEAPU8[((($error_msg48)+(1))|0)]<<8)|(HEAPU8[((($error_msg48)+(2))|0)]<<16)|(HEAPU8[((($error_msg48)+(3))|0)]<<24))|0)); //@line 208 "PropellerCompiler.cpp"
 $retval=$41; //@line 208 "PropellerCompiler.cpp"
 label=36;break; //@line 208 "PropellerCompiler.cpp"
 case 28: 
 var $call50=__Z14DetermineDebugv(); //@line 210 "PropellerCompiler.cpp"
 if($call50){label=30;break;}else{label=29;break;} //@line 210 "PropellerCompiler.cpp"
 case 29: 
 var $42=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 212 "PropellerCompiler.cpp"
 var $43=$42; //@line 212 "PropellerCompiler.cpp"
 var $error_msg52=(($43+4)|0); //@line 212 "PropellerCompiler.cpp"
 var $44=((((HEAPU8[($error_msg52)])|(HEAPU8[((($error_msg52)+(1))|0)]<<8)|(HEAPU8[((($error_msg52)+(2))|0)]<<16)|(HEAPU8[((($error_msg52)+(3))|0)]<<24))|0)); //@line 212 "PropellerCompiler.cpp"
 $retval=$44; //@line 212 "PropellerCompiler.cpp"
 label=36;break; //@line 212 "PropellerCompiler.cpp"
 case 30: 
 var $call54=__Z8PrintObjv(); //@line 215 "PropellerCompiler.cpp"
 if($call54){label=32;break;}else{label=31;break;} //@line 215 "PropellerCompiler.cpp"
 case 31: 
 var $45=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 217 "PropellerCompiler.cpp"
 var $46=$45; //@line 217 "PropellerCompiler.cpp"
 var $error_msg56=(($46+4)|0); //@line 217 "PropellerCompiler.cpp"
 var $47=((((HEAPU8[($error_msg56)])|(HEAPU8[((($error_msg56)+(1))|0)]<<8)|(HEAPU8[((($error_msg56)+(2))|0)]<<16)|(HEAPU8[((($error_msg56)+(3))|0)]<<24))|0)); //@line 217 "PropellerCompiler.cpp"
 $retval=$47; //@line 217 "PropellerCompiler.cpp"
 label=36;break; //@line 217 "PropellerCompiler.cpp"
 case 32: 
 var $48=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 220 "PropellerCompiler.cpp"
 var $print_length=(($48+16979576)|0); //@line 220 "PropellerCompiler.cpp"
 var $49=((((HEAPU8[($print_length)])|(HEAPU8[((($print_length)+(1))|0)]<<8)|(HEAPU8[((($print_length)+(2))|0)]<<16)|(HEAPU8[((($print_length)+(3))|0)]<<24))|0)); //@line 220 "PropellerCompiler.cpp"
 var $50=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 220 "PropellerCompiler.cpp"
 var $51=$50; //@line 220 "PropellerCompiler.cpp"
 var $list_length=(($51+32)|0); //@line 220 "PropellerCompiler.cpp"
 tempBigInt=$49;HEAP8[($list_length)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($list_length)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($list_length)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($list_length)+(3))|0)]=tempBigInt&0xff; //@line 220 "PropellerCompiler.cpp"
 var $52=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 222 "PropellerCompiler.cpp"
 var $53=$52; //@line 222 "PropellerCompiler.cpp"
 var $doc=(($53+36)|0); //@line 222 "PropellerCompiler.cpp"
 var $54=((((HEAPU8[($doc)])|(HEAPU8[((($doc)+(1))|0)]<<8)|(HEAPU8[((($doc)+(2))|0)]<<16)|(HEAPU8[((($doc)+(3))|0)]<<24))|0)); //@line 222 "PropellerCompiler.cpp"
 var $55=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 222 "PropellerCompiler.cpp"
 var $56=$55; //@line 222 "PropellerCompiler.cpp"
 var $doc_limit=(($56+40)|0); //@line 222 "PropellerCompiler.cpp"
 var $57=((((HEAPU8[($doc_limit)])|(HEAPU8[((($doc_limit)+(1))|0)]<<8)|(HEAPU8[((($doc_limit)+(2))|0)]<<16)|(HEAPU8[((($doc_limit)+(3))|0)]<<24))|0)); //@line 222 "PropellerCompiler.cpp"
 __Z8SetPrintPci($54,$57); //@line 222 "PropellerCompiler.cpp"
 var $call58=__Z10CompileDocv(); //@line 224 "PropellerCompiler.cpp"
 if($call58){label=34;break;}else{label=33;break;} //@line 224 "PropellerCompiler.cpp"
 case 33: 
 var $58=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 226 "PropellerCompiler.cpp"
 var $59=$58; //@line 226 "PropellerCompiler.cpp"
 var $error_msg60=(($59+4)|0); //@line 226 "PropellerCompiler.cpp"
 var $60=((((HEAPU8[($error_msg60)])|(HEAPU8[((($error_msg60)+(1))|0)]<<8)|(HEAPU8[((($error_msg60)+(2))|0)]<<16)|(HEAPU8[((($error_msg60)+(3))|0)]<<24))|0)); //@line 226 "PropellerCompiler.cpp"
 $retval=$60; //@line 226 "PropellerCompiler.cpp"
 label=36;break; //@line 226 "PropellerCompiler.cpp"
 case 34: 
 var $61=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 229 "PropellerCompiler.cpp"
 var $print_length62=(($61+16979576)|0); //@line 229 "PropellerCompiler.cpp"
 var $62=((((HEAPU8[($print_length62)])|(HEAPU8[((($print_length62)+(1))|0)]<<8)|(HEAPU8[((($print_length62)+(2))|0)]<<16)|(HEAPU8[((($print_length62)+(3))|0)]<<24))|0)); //@line 229 "PropellerCompiler.cpp"
 var $63=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 229 "PropellerCompiler.cpp"
 var $64=$63; //@line 229 "PropellerCompiler.cpp"
 var $doc_length=(($64+44)|0); //@line 229 "PropellerCompiler.cpp"
 tempBigInt=$62;HEAP8[($doc_length)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($doc_length)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($doc_length)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($doc_length)+(3))|0)]=tempBigInt&0xff; //@line 229 "PropellerCompiler.cpp"
 label=35;break; //@line 230 "PropellerCompiler.cpp"
 case 35: 
 var $65=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 232 "PropellerCompiler.cpp"
 var $66=$65; //@line 232 "PropellerCompiler.cpp"
 var $source_start=(($66+16)|0); //@line 232 "PropellerCompiler.cpp"
 tempBigInt=0;HEAP8[($source_start)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_start)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_start)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_start)+(3))|0)]=tempBigInt&0xff; //@line 232 "PropellerCompiler.cpp"
 var $67=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 233 "PropellerCompiler.cpp"
 var $68=$67; //@line 233 "PropellerCompiler.cpp"
 var $source_finish=(($68+20)|0); //@line 233 "PropellerCompiler.cpp"
 tempBigInt=0;HEAP8[($source_finish)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_finish)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_finish)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_finish)+(3))|0)]=tempBigInt&0xff; //@line 233 "PropellerCompiler.cpp"
 $retval=0; //@line 234 "PropellerCompiler.cpp"
 label=36;break; //@line 234 "PropellerCompiler.cpp"
 case 36: 
 var $69=$retval; //@line 235 "PropellerCompiler.cpp"
 STACKTOP=sp;return $69; //@line 235 "PropellerCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z17CompileObjSymbolsv(){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $nFile;
 var $pData;
 var $uChecksum;
 var $i;
 var $pDataEnd;
 var $vsize;
 var $psize;
 var $nPub;
 var $i34;
 var $value;
 var $value63;
 $nFile=0; //@line 891 "PropellerCompiler.cpp"
 label=2;break; //@line 891 "PropellerCompiler.cpp"
 case 2: 
 var $0=$nFile; //@line 891 "PropellerCompiler.cpp"
 var $1=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 891 "PropellerCompiler.cpp"
 var $2=$1; //@line 891 "PropellerCompiler.cpp"
 var $obj_files=(($2+16777268)|0); //@line 891 "PropellerCompiler.cpp"
 var $3=((((HEAPU8[($obj_files)])|(HEAPU8[((($obj_files)+(1))|0)]<<8)|(HEAPU8[((($obj_files)+(2))|0)]<<16)|(HEAPU8[((($obj_files)+(3))|0)]<<24))|0)); //@line 891 "PropellerCompiler.cpp"
 var $cmp=($0|0)<($3|0); //@line 891 "PropellerCompiler.cpp"
 if($cmp){label=3;break;}else{label=33;break;} //@line 891 "PropellerCompiler.cpp"
 case 3: 
 var $4=$nFile; //@line 893 "PropellerCompiler.cpp"
 var $5=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 893 "PropellerCompiler.cpp"
 var $6=$5; //@line 893 "PropellerCompiler.cpp"
 var $obj_offsets=(($6+16785720)|0); //@line 893 "PropellerCompiler.cpp"
 var $arrayidx=(($obj_offsets+($4<<2))|0); //@line 893 "PropellerCompiler.cpp"
 var $7=((((HEAPU8[($arrayidx)])|(HEAPU8[((($arrayidx)+(1))|0)]<<8)|(HEAPU8[((($arrayidx)+(2))|0)]<<16)|(HEAPU8[((($arrayidx)+(3))|0)]<<24))|0)); //@line 893 "PropellerCompiler.cpp"
 var $8=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 893 "PropellerCompiler.cpp"
 var $9=$8; //@line 893 "PropellerCompiler.cpp"
 var $obj_data=(($9+16785976)|0); //@line 893 "PropellerCompiler.cpp"
 var $arrayidx1=(($obj_data+$7)|0); //@line 893 "PropellerCompiler.cpp"
 $pData=$arrayidx1; //@line 893 "PropellerCompiler.cpp"
 $uChecksum=0; //@line 896 "PropellerCompiler.cpp"
 $i=0; //@line 897 "PropellerCompiler.cpp"
 label=4;break; //@line 897 "PropellerCompiler.cpp"
 case 4: 
 var $10=$i; //@line 897 "PropellerCompiler.cpp"
 var $11=$nFile; //@line 897 "PropellerCompiler.cpp"
 var $12=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 897 "PropellerCompiler.cpp"
 var $13=$12; //@line 897 "PropellerCompiler.cpp"
 var $obj_lengths=(($13+16785848)|0); //@line 897 "PropellerCompiler.cpp"
 var $arrayidx3=(($obj_lengths+($11<<2))|0); //@line 897 "PropellerCompiler.cpp"
 var $14=((((HEAPU8[($arrayidx3)])|(HEAPU8[((($arrayidx3)+(1))|0)]<<8)|(HEAPU8[((($arrayidx3)+(2))|0)]<<16)|(HEAPU8[((($arrayidx3)+(3))|0)]<<24))|0)); //@line 897 "PropellerCompiler.cpp"
 var $cmp4=($10|0)<($14|0); //@line 897 "PropellerCompiler.cpp"
 if($cmp4){label=5;break;}else{label=7;break;} //@line 897 "PropellerCompiler.cpp"
 case 5: 
 var $15=$i; //@line 899 "PropellerCompiler.cpp"
 var $16=$pData; //@line 899 "PropellerCompiler.cpp"
 var $arrayidx6=(($16+$15)|0); //@line 899 "PropellerCompiler.cpp"
 var $17=HEAP8[($arrayidx6)]; //@line 899 "PropellerCompiler.cpp"
 var $conv=($17&255); //@line 899 "PropellerCompiler.cpp"
 var $18=$uChecksum; //@line 899 "PropellerCompiler.cpp"
 var $conv7=($18&255); //@line 899 "PropellerCompiler.cpp"
 var $add=((($conv7)+($conv))|0); //@line 899 "PropellerCompiler.cpp"
 var $conv8=(($add)&255); //@line 899 "PropellerCompiler.cpp"
 $uChecksum=$conv8; //@line 899 "PropellerCompiler.cpp"
 label=6;break; //@line 900 "PropellerCompiler.cpp"
 case 6: 
 var $19=$i; //@line 897 "PropellerCompiler.cpp"
 var $inc=((($19)+(1))|0); //@line 897 "PropellerCompiler.cpp"
 $i=$inc; //@line 897 "PropellerCompiler.cpp"
 label=4;break; //@line 897 "PropellerCompiler.cpp"
 case 7: 
 var $20=$pData; //@line 902 "PropellerCompiler.cpp"
 var $21=$nFile; //@line 902 "PropellerCompiler.cpp"
 var $22=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 902 "PropellerCompiler.cpp"
 var $23=$22; //@line 902 "PropellerCompiler.cpp"
 var $obj_lengths9=(($23+16785848)|0); //@line 902 "PropellerCompiler.cpp"
 var $arrayidx10=(($obj_lengths9+($21<<2))|0); //@line 902 "PropellerCompiler.cpp"
 var $24=((((HEAPU8[($arrayidx10)])|(HEAPU8[((($arrayidx10)+(1))|0)]<<8)|(HEAPU8[((($arrayidx10)+(2))|0)]<<16)|(HEAPU8[((($arrayidx10)+(3))|0)]<<24))|0)); //@line 902 "PropellerCompiler.cpp"
 var $add_ptr=(($20+$24)|0); //@line 902 "PropellerCompiler.cpp"
 $pDataEnd=$add_ptr; //@line 902 "PropellerCompiler.cpp"
 var $25=$pData; //@line 906 "PropellerCompiler.cpp"
 var $26=$25; //@line 906 "PropellerCompiler.cpp"
 var $27=(((((HEAPU8[($26)])|(HEAPU8[((($26)+(1))|0)]<<8))<<16)>>16)); //@line 906 "PropellerCompiler.cpp"
 $vsize=$27; //@line 906 "PropellerCompiler.cpp"
 var $28=$pData; //@line 907 "PropellerCompiler.cpp"
 var $add_ptr11=(($28+2)|0); //@line 907 "PropellerCompiler.cpp"
 $pData=$add_ptr11; //@line 907 "PropellerCompiler.cpp"
 var $29=$pData; //@line 908 "PropellerCompiler.cpp"
 var $30=$29; //@line 908 "PropellerCompiler.cpp"
 var $31=(((((HEAPU8[($30)])|(HEAPU8[((($30)+(1))|0)]<<8))<<16)>>16)); //@line 908 "PropellerCompiler.cpp"
 $psize=$31; //@line 908 "PropellerCompiler.cpp"
 var $32=$pData; //@line 911 "PropellerCompiler.cpp"
 var $add_ptr12=(($32+2)|0); //@line 911 "PropellerCompiler.cpp"
 $pData=$add_ptr12; //@line 911 "PropellerCompiler.cpp"
 var $33=$vsize; //@line 914 "PropellerCompiler.cpp"
 var $conv13=(($33<<16)>>16); //@line 914 "PropellerCompiler.cpp"
 var $and=$conv13&3; //@line 914 "PropellerCompiler.cpp"
 var $tobool=($and|0)!=0; //@line 914 "PropellerCompiler.cpp"
 if($tobool){label=8;break;}else{label=9;break;} //@line 914 "PropellerCompiler.cpp"
 case 8: 
 _emscripten_asm_const(5736); //@line 916 "PropellerCompiler.cpp"
 label=9;break; //@line 920 "PropellerCompiler.cpp"
 case 9: 
 var $34=$psize; //@line 923 "PropellerCompiler.cpp"
 var $conv14=(($34<<16)>>16); //@line 923 "PropellerCompiler.cpp"
 var $and15=$conv14&3; //@line 923 "PropellerCompiler.cpp"
 var $tobool16=($and15|0)!=0; //@line 923 "PropellerCompiler.cpp"
 if($tobool16){label=10;break;}else{label=11;break;} //@line 923 "PropellerCompiler.cpp"
 case 10: 
 _emscripten_asm_const(3800); //@line 925 "PropellerCompiler.cpp"
 label=11;break; //@line 929 "PropellerCompiler.cpp"
 case 11: 
 var $35=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 933 "PropellerCompiler.cpp"
 var $36=$35; //@line 933 "PropellerCompiler.cpp"
 var $bDATonly=(($36+16971072)|0); //@line 933 "PropellerCompiler.cpp"
 var $37=HEAP8[($bDATonly)]; //@line 933 "PropellerCompiler.cpp"
 var $tobool19=(($37)&1); //@line 933 "PropellerCompiler.cpp"
 if($tobool19){label=13;break;}else{label=12;break;} //@line 933 "PropellerCompiler.cpp"
 case 12: 
 var $38=$uChecksum; //@line 933 "PropellerCompiler.cpp"
 var $conv20=($38&255); //@line 933 "PropellerCompiler.cpp"
 var $cmp21=($conv20|0)!=48; //@line 933 "PropellerCompiler.cpp"
 if($cmp21){label=15;break;}else{label=13;break;} //@line 933 "PropellerCompiler.cpp"
 case 13: 
 var $39=$vsize; //@line 933 "PropellerCompiler.cpp"
 var $conv22=(($39<<16)>>16); //@line 933 "PropellerCompiler.cpp"
 var $and23=$conv22&3; //@line 933 "PropellerCompiler.cpp"
 var $tobool24=($and23|0)!=0; //@line 933 "PropellerCompiler.cpp"
 if($tobool24){label=15;break;}else{label=14;break;} //@line 933 "PropellerCompiler.cpp"
 case 14: 
 var $40=$psize; //@line 933 "PropellerCompiler.cpp"
 var $conv26=(($40<<16)>>16); //@line 933 "PropellerCompiler.cpp"
 var $and27=$conv26&3; //@line 933 "PropellerCompiler.cpp"
 var $tobool28=($and27|0)!=0; //@line 933 "PropellerCompiler.cpp"
 if($tobool28){label=15;break;}else{label=16;break;} //@line 933 "PropellerCompiler.cpp"
 case 15: 
 _emscripten_asm_const(3320); //@line 935 "PropellerCompiler.cpp"
 var $41=$nFile; //@line 940 "PropellerCompiler.cpp"
 __Z23CompileObjSymbol_BadObji($41); //@line 940 "PropellerCompiler.cpp"
 $retval=0; //@line 941 "PropellerCompiler.cpp"
 label=34;break; //@line 941 "PropellerCompiler.cpp"
 case 16: 
 var $42=$psize; //@line 945 "PropellerCompiler.cpp"
 var $conv31=(($42<<16)>>16); //@line 945 "PropellerCompiler.cpp"
 var $43=$pData; //@line 945 "PropellerCompiler.cpp"
 var $add_ptr32=(($43+$conv31)|0); //@line 945 "PropellerCompiler.cpp"
 $pData=$add_ptr32; //@line 945 "PropellerCompiler.cpp"
 var $44=$pData; //@line 946 "PropellerCompiler.cpp"
 var $incdec_ptr=(($44+1)|0); //@line 946 "PropellerCompiler.cpp"
 $pData=$incdec_ptr; //@line 946 "PropellerCompiler.cpp"
 $nPub=1; //@line 949 "PropellerCompiler.cpp"
 label=17;break; //@line 950 "PropellerCompiler.cpp"
 case 17: 
 var $45=$pData; //@line 950 "PropellerCompiler.cpp"
 var $46=$pDataEnd; //@line 950 "PropellerCompiler.cpp"
 var $cmp33=($45>>>0)<($46>>>0); //@line 950 "PropellerCompiler.cpp"
 if($cmp33){label=18;break;}else{label=31;break;} //@line 950 "PropellerCompiler.cpp"
 case 18: 
 $i34=0; //@line 952 "PropellerCompiler.cpp"
 label=19;break; //@line 952 "PropellerCompiler.cpp"
 case 19: 
 var $47=$i34; //@line 952 "PropellerCompiler.cpp"
 var $cmp36=($47|0)<257; //@line 952 "PropellerCompiler.cpp"
 if($cmp36){label=20;break;}else{label=28;break;} //@line 952 "PropellerCompiler.cpp"
 case 20: 
 var $48=$pData; //@line 954 "PropellerCompiler.cpp"
 var $49=HEAP8[($48)]; //@line 954 "PropellerCompiler.cpp"
 var $call=__Z13CheckWordCharc($49); //@line 954 "PropellerCompiler.cpp"
 if($call){label=22;break;}else{label=21;break;} //@line 954 "PropellerCompiler.cpp"
 case 21: 
 _emscripten_asm_const(2848); //@line 957 "PropellerCompiler.cpp"
 var $50=$nFile; //@line 961 "PropellerCompiler.cpp"
 __Z23CompileObjSymbol_BadObji($50); //@line 961 "PropellerCompiler.cpp"
 $retval=0; //@line 962 "PropellerCompiler.cpp"
 label=34;break; //@line 962 "PropellerCompiler.cpp"
 case 22: 
 var $51=$pData; //@line 964 "PropellerCompiler.cpp"
 var $52=HEAP8[($51)]; //@line 964 "PropellerCompiler.cpp"
 var $53=$i34; //@line 964 "PropellerCompiler.cpp"
 var $54=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 964 "PropellerCompiler.cpp"
 var $symbolBackup=(($54+16979312)|0); //@line 964 "PropellerCompiler.cpp"
 var $arrayidx40=(($symbolBackup+$53)|0); //@line 964 "PropellerCompiler.cpp"
 HEAP8[($arrayidx40)]=$52; //@line 964 "PropellerCompiler.cpp"
 var $55=$pData; //@line 965 "PropellerCompiler.cpp"
 var $incdec_ptr41=(($55+1)|0); //@line 965 "PropellerCompiler.cpp"
 $pData=$incdec_ptr41; //@line 965 "PropellerCompiler.cpp"
 var $56=$pData; //@line 966 "PropellerCompiler.cpp"
 var $arrayidx42=(($56)|0); //@line 966 "PropellerCompiler.cpp"
 var $57=HEAP8[($arrayidx42)]; //@line 966 "PropellerCompiler.cpp"
 var $conv43=($57&255); //@line 966 "PropellerCompiler.cpp"
 var $cmp44=($conv43|0)<18; //@line 966 "PropellerCompiler.cpp"
 if($cmp44){label=23;break;}else{label=26;break;} //@line 966 "PropellerCompiler.cpp"
 case 23: 
 var $58=$nFile; //@line 968 "PropellerCompiler.cpp"
 var $add46=((($58)+(1))|0); //@line 968 "PropellerCompiler.cpp"
 var $conv47=(($add46)&255); //@line 968 "PropellerCompiler.cpp"
 var $59=$i34; //@line 968 "PropellerCompiler.cpp"
 var $add48=((($59)+(1))|0); //@line 968 "PropellerCompiler.cpp"
 var $60=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 968 "PropellerCompiler.cpp"
 var $symbolBackup49=(($60+16979312)|0); //@line 968 "PropellerCompiler.cpp"
 var $arrayidx50=(($symbolBackup49+$add48)|0); //@line 968 "PropellerCompiler.cpp"
 HEAP8[($arrayidx50)]=$conv47; //@line 968 "PropellerCompiler.cpp"
 var $61=$i34; //@line 969 "PropellerCompiler.cpp"
 var $add51=((($61)+(2))|0); //@line 969 "PropellerCompiler.cpp"
 var $62=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 969 "PropellerCompiler.cpp"
 var $symbolBackup52=(($62+16979312)|0); //@line 969 "PropellerCompiler.cpp"
 var $arrayidx53=(($symbolBackup52+$add51)|0); //@line 969 "PropellerCompiler.cpp"
 HEAP8[($arrayidx53)]=0; //@line 969 "PropellerCompiler.cpp"
 var $63=$pData; //@line 970 "PropellerCompiler.cpp"
 var $arrayidx54=(($63)|0); //@line 970 "PropellerCompiler.cpp"
 var $64=HEAP8[($arrayidx54)]; //@line 970 "PropellerCompiler.cpp"
 var $conv55=($64&255); //@line 970 "PropellerCompiler.cpp"
 var $cmp56=($conv55|0)<16; //@line 970 "PropellerCompiler.cpp"
 if($cmp56){label=24;break;}else{label=25;break;} //@line 970 "PropellerCompiler.cpp"
 case 24: 
 var $65=$nPub; //@line 972 "PropellerCompiler.cpp"
 var $66=$pData; //@line 972 "PropellerCompiler.cpp"
 var $arrayidx58=(($66)|0); //@line 972 "PropellerCompiler.cpp"
 var $67=HEAP8[($arrayidx58)]; //@line 972 "PropellerCompiler.cpp"
 var $conv59=($67&255); //@line 972 "PropellerCompiler.cpp"
 var $shl=$conv59<<8; //@line 972 "PropellerCompiler.cpp"
 var $or=$65|$shl; //@line 972 "PropellerCompiler.cpp"
 $value=$or; //@line 972 "PropellerCompiler.cpp"
 var $68=((((HEAPU8[(19704)])|(HEAPU8[(19705)]<<8)|(HEAPU8[(19706)]<<16)|(HEAPU8[(19707)]<<24))|0)); //@line 973 "PropellerCompiler.cpp"
 var $69=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 973 "PropellerCompiler.cpp"
 var $symbolBackup60=(($69+16979312)|0); //@line 973 "PropellerCompiler.cpp"
 var $arraydecay=(($symbolBackup60)|0); //@line 973 "PropellerCompiler.cpp"
 var $70=$value; //@line 973 "PropellerCompiler.cpp"
 __ZN12SymbolEngine9AddSymbolEPKc10symbolTypeiib($68,$arraydecay,80,$70,0,0); //@line 973 "PropellerCompiler.cpp"
 var $71=$pData; //@line 977 "PropellerCompiler.cpp"
 var $incdec_ptr61=(($71+1)|0); //@line 977 "PropellerCompiler.cpp"
 $pData=$incdec_ptr61; //@line 977 "PropellerCompiler.cpp"
 var $72=$nPub; //@line 978 "PropellerCompiler.cpp"
 var $inc62=((($72)+(1))|0); //@line 978 "PropellerCompiler.cpp"
 $nPub=$inc62; //@line 978 "PropellerCompiler.cpp"
 label=28;break; //@line 979 "PropellerCompiler.cpp"
 case 25: 
 var $73=$pData; //@line 983 "PropellerCompiler.cpp"
 var $arrayidx64=(($73+1)|0); //@line 983 "PropellerCompiler.cpp"
 var $74=$arrayidx64; //@line 983 "PropellerCompiler.cpp"
 var $75=((((HEAPU8[($74)])|(HEAPU8[((($74)+(1))|0)]<<8)|(HEAPU8[((($74)+(2))|0)]<<16)|(HEAPU8[((($74)+(3))|0)]<<24))|0)); //@line 983 "PropellerCompiler.cpp"
 $value63=$75; //@line 983 "PropellerCompiler.cpp"
 var $76=((((HEAPU8[(19704)])|(HEAPU8[(19705)]<<8)|(HEAPU8[(19706)]<<16)|(HEAPU8[(19707)]<<24))|0)); //@line 984 "PropellerCompiler.cpp"
 var $77=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 984 "PropellerCompiler.cpp"
 var $symbolBackup65=(($77+16979312)|0); //@line 984 "PropellerCompiler.cpp"
 var $arraydecay66=(($symbolBackup65)|0); //@line 984 "PropellerCompiler.cpp"
 var $78=$pData; //@line 984 "PropellerCompiler.cpp"
 var $arrayidx67=(($78)|0); //@line 984 "PropellerCompiler.cpp"
 var $79=HEAP8[($arrayidx67)]; //@line 984 "PropellerCompiler.cpp"
 var $conv68=($79&255); //@line 984 "PropellerCompiler.cpp"
 var $cmp69=($conv68|0)==16; //@line 984 "PropellerCompiler.cpp"
 var $cond=($cmp69?81:82); //@line 984 "PropellerCompiler.cpp"
 var $80=$value63; //@line 984 "PropellerCompiler.cpp"
 __ZN12SymbolEngine9AddSymbolEPKc10symbolTypeiib($76,$arraydecay66,$cond,$80,0,0); //@line 984 "PropellerCompiler.cpp"
 var $81=$pData; //@line 989 "PropellerCompiler.cpp"
 var $add_ptr70=(($81+5)|0); //@line 989 "PropellerCompiler.cpp"
 $pData=$add_ptr70; //@line 989 "PropellerCompiler.cpp"
 label=28;break; //@line 990 "PropellerCompiler.cpp"
 case 26: 
 label=27;break; //@line 993 "PropellerCompiler.cpp"
 case 27: 
 var $82=$i34; //@line 952 "PropellerCompiler.cpp"
 var $inc73=((($82)+(1))|0); //@line 952 "PropellerCompiler.cpp"
 $i34=$inc73; //@line 952 "PropellerCompiler.cpp"
 label=19;break; //@line 952 "PropellerCompiler.cpp"
 case 28: 
 var $83=$pData; //@line 994 "PropellerCompiler.cpp"
 var $84=$pDataEnd; //@line 994 "PropellerCompiler.cpp"
 var $cmp75=($83>>>0)>($84>>>0); //@line 994 "PropellerCompiler.cpp"
 if($cmp75){label=29;break;}else{label=30;break;} //@line 994 "PropellerCompiler.cpp"
 case 29: 
 _emscripten_asm_const(2224); //@line 996 "PropellerCompiler.cpp"
 var $85=$nFile; //@line 1000 "PropellerCompiler.cpp"
 __Z23CompileObjSymbol_BadObji($85); //@line 1000 "PropellerCompiler.cpp"
 $retval=0; //@line 1001 "PropellerCompiler.cpp"
 label=34;break; //@line 1001 "PropellerCompiler.cpp"
 case 30: 
 label=17;break; //@line 1003 "PropellerCompiler.cpp"
 case 31: 
 label=32;break; //@line 1004 "PropellerCompiler.cpp"
 case 32: 
 var $86=$nFile; //@line 891 "PropellerCompiler.cpp"
 var $inc79=((($86)+(1))|0); //@line 891 "PropellerCompiler.cpp"
 $nFile=$inc79; //@line 891 "PropellerCompiler.cpp"
 label=2;break; //@line 891 "PropellerCompiler.cpp"
 case 33: 
 $retval=1; //@line 1005 "PropellerCompiler.cpp"
 label=34;break; //@line 1005 "PropellerCompiler.cpp"
 case 34: 
 var $87=$retval; //@line 1006 "PropellerCompiler.cpp"
 STACKTOP=sp;return $87; //@line 1006 "PropellerCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z16CompileVarBlocksv(){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+16)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $bEof=sp;
 var $nSize;
 var $nCount;
 var $nValue;
 var $bComma=(sp)+(8);
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1010 "PropellerCompiler.cpp"
 var $var_byte=(($0+16971088)|0); //@line 1010 "PropellerCompiler.cpp"
 tempBigInt=0;HEAP8[($var_byte)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($var_byte)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($var_byte)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($var_byte)+(3))|0)]=tempBigInt&0xff; //@line 1010 "PropellerCompiler.cpp"
 var $1=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1011 "PropellerCompiler.cpp"
 var $var_word=(($1+16971092)|0); //@line 1011 "PropellerCompiler.cpp"
 tempBigInt=0;HEAP8[($var_word)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($var_word)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($var_word)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($var_word)+(3))|0)]=tempBigInt&0xff; //@line 1011 "PropellerCompiler.cpp"
 var $2=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1012 "PropellerCompiler.cpp"
 var $var_long=(($2+16971096)|0); //@line 1012 "PropellerCompiler.cpp"
 tempBigInt=0;HEAP8[($var_long)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($var_long)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($var_long)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($var_long)+(3))|0)]=tempBigInt&0xff; //@line 1012 "PropellerCompiler.cpp"
 HEAP8[($bEof)]=0; //@line 1014 "PropellerCompiler.cpp"
 var $3=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1015 "PropellerCompiler.cpp"
 __ZN11Elementizer5ResetEv($3); //@line 1015 "PropellerCompiler.cpp"
 label=2;break; //@line 1017 "PropellerCompiler.cpp"
 case 2: 
 var $4=HEAP8[($bEof)]; //@line 1017 "PropellerCompiler.cpp"
 var $tobool=(($4)&1); //@line 1017 "PropellerCompiler.cpp"
 var $lnot=$tobool^1; //@line 1017 "PropellerCompiler.cpp"
 if($lnot){label=3;break;}else{label=47;break;} //@line 1017 "PropellerCompiler.cpp"
 case 3: 
 var $5=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1019 "PropellerCompiler.cpp"
 var $call=__ZN11Elementizer12GetNextBlockEiRb($5,1,$bEof); //@line 1019 "PropellerCompiler.cpp"
 if($call){label=4;break;}else{label=45;break;} //@line 1019 "PropellerCompiler.cpp"
 case 4: 
 label=5;break; //@line 1021 "PropellerCompiler.cpp"
 case 5: 
 var $6=HEAP8[($bEof)]; //@line 1021 "PropellerCompiler.cpp"
 var $tobool2=(($6)&1); //@line 1021 "PropellerCompiler.cpp"
 var $lnot3=$tobool2^1; //@line 1021 "PropellerCompiler.cpp"
 if($lnot3){label=6;break;}else{label=44;break;} //@line 1021 "PropellerCompiler.cpp"
 case 6: 
 var $7=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1023 "PropellerCompiler.cpp"
 var $call5=__ZN11Elementizer7GetNextERb($7,$bEof); //@line 1023 "PropellerCompiler.cpp"
 if($call5){label=8;break;}else{label=7;break;} //@line 1023 "PropellerCompiler.cpp"
 case 7: 
 $retval=0; //@line 1025 "PropellerCompiler.cpp"
 label=48;break; //@line 1025 "PropellerCompiler.cpp"
 case 8: 
 var $8=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1027 "PropellerCompiler.cpp"
 var $call7=__ZN11Elementizer7GetTypeEv($8); //@line 1027 "PropellerCompiler.cpp"
 var $cmp=($call7|0)==84; //@line 1027 "PropellerCompiler.cpp"
 if($cmp){label=9;break;}else{label=10;break;} //@line 1027 "PropellerCompiler.cpp"
 case 9: 
 label=5;break; //@line 1029 "PropellerCompiler.cpp"
 case 10: 
 var $9=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1031 "PropellerCompiler.cpp"
 var $call10=__ZN11Elementizer7GetTypeEv($9); //@line 1031 "PropellerCompiler.cpp"
 var $cmp11=($call10|0)==29; //@line 1031 "PropellerCompiler.cpp"
 if($cmp11){label=11;break;}else{label=40;break;} //@line 1031 "PropellerCompiler.cpp"
 case 11: 
 var $10=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1033 "PropellerCompiler.cpp"
 var $call13=__ZN11Elementizer8GetValueEv($10); //@line 1033 "PropellerCompiler.cpp"
 $nSize=$call13; //@line 1033 "PropellerCompiler.cpp"
 label=12;break; //@line 1035 "PropellerCompiler.cpp"
 case 12: 
 var $11=HEAP8[($bEof)]; //@line 1035 "PropellerCompiler.cpp"
 var $tobool15=(($11)&1); //@line 1035 "PropellerCompiler.cpp"
 var $lnot16=$tobool15^1; //@line 1035 "PropellerCompiler.cpp"
 if($lnot16){label=13;break;}else{label=39;break;} //@line 1035 "PropellerCompiler.cpp"
 case 13: 
 var $12=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1037 "PropellerCompiler.cpp"
 var $call18=__ZN11Elementizer7GetNextERb($12,$bEof); //@line 1037 "PropellerCompiler.cpp"
 if($call18){label=15;break;}else{label=14;break;} //@line 1037 "PropellerCompiler.cpp"
 case 14: 
 $retval=0; //@line 1039 "PropellerCompiler.cpp"
 label=48;break; //@line 1039 "PropellerCompiler.cpp"
 case 15: 
 var $13=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1041 "PropellerCompiler.cpp"
 var $call21=__ZN11Elementizer7GetTypeEv($13); //@line 1041 "PropellerCompiler.cpp"
 var $cmp22=($call21|0)!=0; //@line 1041 "PropellerCompiler.cpp"
 if($cmp22){label=16;break;}else{label=17;break;} //@line 1041 "PropellerCompiler.cpp"
 case 16: 
 var $14=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1043 "PropellerCompiler.cpp"
 var $15=$14; //@line 1043 "PropellerCompiler.cpp"
 var $error=(($15)|0); //@line 1043 "PropellerCompiler.cpp"
 HEAP8[($error)]=1; //@line 1043 "PropellerCompiler.cpp"
 var $16=((((HEAPU8[(144)])|(HEAPU8[(145)]<<8)|(HEAPU8[(146)]<<16)|(HEAPU8[(147)]<<24))|0)); //@line 1044 "PropellerCompiler.cpp"
 var $17=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1044 "PropellerCompiler.cpp"
 var $18=$17; //@line 1044 "PropellerCompiler.cpp"
 var $error_msg=(($18+4)|0); //@line 1044 "PropellerCompiler.cpp"
 tempBigInt=$16;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 1044 "PropellerCompiler.cpp"
 $retval=0; //@line 1045 "PropellerCompiler.cpp"
 label=48;break; //@line 1045 "PropellerCompiler.cpp"
 case 17: 
 var $19=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1049 "PropellerCompiler.cpp"
 __ZN11Elementizer12BackupSymbolEv($19); //@line 1049 "PropellerCompiler.cpp"
 $nCount=1; //@line 1051 "PropellerCompiler.cpp"
 var $20=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1054 "PropellerCompiler.cpp"
 var $call25=__ZN11Elementizer12CheckElementEi($20,3); //@line 1054 "PropellerCompiler.cpp"
 if($call25){label=18;break;}else{label=25;break;} //@line 1054 "PropellerCompiler.cpp"
 case 18: 
 var $call27=__Z11GetTryValuebbb(1,1,0); //@line 1057 "PropellerCompiler.cpp"
 if($call27){label=20;break;}else{label=19;break;} //@line 1057 "PropellerCompiler.cpp"
 case 19: 
 $retval=0; //@line 1059 "PropellerCompiler.cpp"
 label=48;break; //@line 1059 "PropellerCompiler.cpp"
 case 20: 
 var $call30=__Z9GetResultv(); //@line 1061 "PropellerCompiler.cpp"
 $nCount=$call30; //@line 1061 "PropellerCompiler.cpp"
 var $21=$nCount; //@line 1062 "PropellerCompiler.cpp"
 var $cmp31=($21|0)>32768; //@line 1062 "PropellerCompiler.cpp"
 if($cmp31){label=21;break;}else{label=22;break;} //@line 1062 "PropellerCompiler.cpp"
 case 21: 
 var $22=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1064 "PropellerCompiler.cpp"
 var $23=$22; //@line 1064 "PropellerCompiler.cpp"
 var $error33=(($23)|0); //@line 1064 "PropellerCompiler.cpp"
 HEAP8[($error33)]=1; //@line 1064 "PropellerCompiler.cpp"
 var $24=((((HEAPU8[(460)])|(HEAPU8[(461)]<<8)|(HEAPU8[(462)]<<16)|(HEAPU8[(463)]<<24))|0)); //@line 1065 "PropellerCompiler.cpp"
 var $25=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1065 "PropellerCompiler.cpp"
 var $26=$25; //@line 1065 "PropellerCompiler.cpp"
 var $error_msg34=(($26+4)|0); //@line 1065 "PropellerCompiler.cpp"
 tempBigInt=$24;HEAP8[($error_msg34)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg34)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg34)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg34)+(3))|0)]=tempBigInt&0xff; //@line 1065 "PropellerCompiler.cpp"
 $retval=0; //@line 1066 "PropellerCompiler.cpp"
 label=48;break; //@line 1066 "PropellerCompiler.cpp"
 case 22: 
 var $27=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1069 "PropellerCompiler.cpp"
 var $call36=__ZN11Elementizer10GetElementEi($27,4); //@line 1069 "PropellerCompiler.cpp"
 if($call36){label=24;break;}else{label=23;break;} //@line 1069 "PropellerCompiler.cpp"
 case 23: 
 $retval=0; //@line 1071 "PropellerCompiler.cpp"
 label=48;break; //@line 1071 "PropellerCompiler.cpp"
 case 24: 
 label=25;break; //@line 1073 "PropellerCompiler.cpp"
 case 25: 
 $nValue=0; //@line 1075 "PropellerCompiler.cpp"
 var $28=$nSize; //@line 1076 "PropellerCompiler.cpp"
 if(($28|0)==0){ label=26;break;}else if(($28|0)==1){ label=27;break;}else if(($28|0)==2){ label=28;break;}else{label=29;break;}
 case 26: 
 var $29=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1079 "PropellerCompiler.cpp"
 var $var_byte40=(($29+16971088)|0); //@line 1079 "PropellerCompiler.cpp"
 var $30=((((HEAPU8[($var_byte40)])|(HEAPU8[((($var_byte40)+(1))|0)]<<8)|(HEAPU8[((($var_byte40)+(2))|0)]<<16)|(HEAPU8[((($var_byte40)+(3))|0)]<<24))|0)); //@line 1079 "PropellerCompiler.cpp"
 $nValue=$30; //@line 1079 "PropellerCompiler.cpp"
 var $31=$nCount; //@line 1080 "PropellerCompiler.cpp"
 var $32=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1080 "PropellerCompiler.cpp"
 var $var_byte41=(($32+16971088)|0); //@line 1080 "PropellerCompiler.cpp"
 var $33=((((HEAPU8[($var_byte41)])|(HEAPU8[((($var_byte41)+(1))|0)]<<8)|(HEAPU8[((($var_byte41)+(2))|0)]<<16)|(HEAPU8[((($var_byte41)+(3))|0)]<<24))|0)); //@line 1080 "PropellerCompiler.cpp"
 var $add=((($33)+($31))|0); //@line 1080 "PropellerCompiler.cpp"
 tempBigInt=$add;HEAP8[($var_byte41)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($var_byte41)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($var_byte41)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($var_byte41)+(3))|0)]=tempBigInt&0xff; //@line 1080 "PropellerCompiler.cpp"
 label=29;break; //@line 1081 "PropellerCompiler.cpp"
 case 27: 
 var $34=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1083 "PropellerCompiler.cpp"
 var $var_word43=(($34+16971092)|0); //@line 1083 "PropellerCompiler.cpp"
 var $35=((((HEAPU8[($var_word43)])|(HEAPU8[((($var_word43)+(1))|0)]<<8)|(HEAPU8[((($var_word43)+(2))|0)]<<16)|(HEAPU8[((($var_word43)+(3))|0)]<<24))|0)); //@line 1083 "PropellerCompiler.cpp"
 $nValue=$35; //@line 1083 "PropellerCompiler.cpp"
 var $36=$nCount; //@line 1084 "PropellerCompiler.cpp"
 var $shl=$36<<1; //@line 1084 "PropellerCompiler.cpp"
 var $37=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1084 "PropellerCompiler.cpp"
 var $var_word44=(($37+16971092)|0); //@line 1084 "PropellerCompiler.cpp"
 var $38=((((HEAPU8[($var_word44)])|(HEAPU8[((($var_word44)+(1))|0)]<<8)|(HEAPU8[((($var_word44)+(2))|0)]<<16)|(HEAPU8[((($var_word44)+(3))|0)]<<24))|0)); //@line 1084 "PropellerCompiler.cpp"
 var $add45=((($38)+($shl))|0); //@line 1084 "PropellerCompiler.cpp"
 tempBigInt=$add45;HEAP8[($var_word44)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($var_word44)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($var_word44)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($var_word44)+(3))|0)]=tempBigInt&0xff; //@line 1084 "PropellerCompiler.cpp"
 label=29;break; //@line 1085 "PropellerCompiler.cpp"
 case 28: 
 var $39=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1087 "PropellerCompiler.cpp"
 var $var_long47=(($39+16971096)|0); //@line 1087 "PropellerCompiler.cpp"
 var $40=((((HEAPU8[($var_long47)])|(HEAPU8[((($var_long47)+(1))|0)]<<8)|(HEAPU8[((($var_long47)+(2))|0)]<<16)|(HEAPU8[((($var_long47)+(3))|0)]<<24))|0)); //@line 1087 "PropellerCompiler.cpp"
 $nValue=$40; //@line 1087 "PropellerCompiler.cpp"
 var $41=$nCount; //@line 1088 "PropellerCompiler.cpp"
 var $shl48=$41<<2; //@line 1088 "PropellerCompiler.cpp"
 var $42=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1088 "PropellerCompiler.cpp"
 var $var_long49=(($42+16971096)|0); //@line 1088 "PropellerCompiler.cpp"
 var $43=((((HEAPU8[($var_long49)])|(HEAPU8[((($var_long49)+(1))|0)]<<8)|(HEAPU8[((($var_long49)+(2))|0)]<<16)|(HEAPU8[((($var_long49)+(3))|0)]<<24))|0)); //@line 1088 "PropellerCompiler.cpp"
 var $add50=((($43)+($shl48))|0); //@line 1088 "PropellerCompiler.cpp"
 tempBigInt=$add50;HEAP8[($var_long49)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($var_long49)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($var_long49)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($var_long49)+(3))|0)]=tempBigInt&0xff; //@line 1088 "PropellerCompiler.cpp"
 label=29;break; //@line 1089 "PropellerCompiler.cpp"
 case 29: 
 var $44=$nValue; //@line 1091 "PropellerCompiler.cpp"
 var $45=$nCount; //@line 1091 "PropellerCompiler.cpp"
 var $46=$nSize; //@line 1091 "PropellerCompiler.cpp"
 var $shl51=$45<<$46; //@line 1091 "PropellerCompiler.cpp"
 var $add52=((($44)+($shl51))|0); //@line 1091 "PropellerCompiler.cpp"
 var $cmp53=($add52|0)>32768; //@line 1091 "PropellerCompiler.cpp"
 if($cmp53){label=30;break;}else{label=31;break;} //@line 1091 "PropellerCompiler.cpp"
 case 30: 
 var $47=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1093 "PropellerCompiler.cpp"
 var $48=$47; //@line 1093 "PropellerCompiler.cpp"
 var $error55=(($48)|0); //@line 1093 "PropellerCompiler.cpp"
 HEAP8[($error55)]=1; //@line 1093 "PropellerCompiler.cpp"
 var $49=((((HEAPU8[(460)])|(HEAPU8[(461)]<<8)|(HEAPU8[(462)]<<16)|(HEAPU8[(463)]<<24))|0)); //@line 1094 "PropellerCompiler.cpp"
 var $50=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1094 "PropellerCompiler.cpp"
 var $51=$50; //@line 1094 "PropellerCompiler.cpp"
 var $error_msg56=(($51+4)|0); //@line 1094 "PropellerCompiler.cpp"
 tempBigInt=$49;HEAP8[($error_msg56)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg56)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg56)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg56)+(3))|0)]=tempBigInt&0xff; //@line 1094 "PropellerCompiler.cpp"
 $retval=0; //@line 1095 "PropellerCompiler.cpp"
 label=48;break; //@line 1095 "PropellerCompiler.cpp"
 case 31: 
 var $52=((((HEAPU8[(19704)])|(HEAPU8[(19705)]<<8)|(HEAPU8[(19706)]<<16)|(HEAPU8[(19707)]<<24))|0)); //@line 1099 "PropellerCompiler.cpp"
 var $53=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1099 "PropellerCompiler.cpp"
 var $symbolBackup=(($53+16979312)|0); //@line 1099 "PropellerCompiler.cpp"
 var $arraydecay=(($symbolBackup)|0); //@line 1099 "PropellerCompiler.cpp"
 var $54=$nSize; //@line 1099 "PropellerCompiler.cpp"
 var $cmp58=($54|0)==0; //@line 1099 "PropellerCompiler.cpp"
 if($cmp58){label=32;break;}else{label=33;break;} //@line 1099 "PropellerCompiler.cpp"
 case 32: 
 var $cond60=69;label=34;break; //@line 1099 "PropellerCompiler.cpp"
 case 33: 
 var $55=$nSize; //@line 1099 "PropellerCompiler.cpp"
 var $cmp59=($55|0)==1; //@line 1099 "PropellerCompiler.cpp"
 var $cond=($cmp59?70:71); //@line 1099 "PropellerCompiler.cpp"
 var $cond60=$cond;label=34;break; //@line 1099 "PropellerCompiler.cpp"
 case 34: 
 var $cond60; //@line 1099 "PropellerCompiler.cpp"
 var $56=$nValue; //@line 1099 "PropellerCompiler.cpp"
 __ZN12SymbolEngine9AddSymbolEPKc10symbolTypeiib($52,$arraydecay,$cond60,$56,0,0); //@line 1099 "PropellerCompiler.cpp"
 HEAP8[($bComma)]=0; //@line 1104 "PropellerCompiler.cpp"
 var $call61=__Z13GetCommaOrEndRb($bComma); //@line 1105 "PropellerCompiler.cpp"
 if($call61){label=36;break;}else{label=35;break;} //@line 1105 "PropellerCompiler.cpp"
 case 35: 
 $retval=0; //@line 1108 "PropellerCompiler.cpp"
 label=48;break; //@line 1108 "PropellerCompiler.cpp"
 case 36: 
 var $57=HEAP8[($bComma)]; //@line 1110 "PropellerCompiler.cpp"
 var $tobool64=(($57)&1); //@line 1110 "PropellerCompiler.cpp"
 if($tobool64){label=38;break;}else{label=37;break;} //@line 1110 "PropellerCompiler.cpp"
 case 37: 
 label=39;break; //@line 1112 "PropellerCompiler.cpp"
 case 38: 
 label=12;break; //@line 1114 "PropellerCompiler.cpp"
 case 39: 
 label=5;break; //@line 1115 "PropellerCompiler.cpp"
 case 40: 
 var $58=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1117 "PropellerCompiler.cpp"
 var $call67=__ZN11Elementizer7GetTypeEv($58); //@line 1117 "PropellerCompiler.cpp"
 var $cmp68=($call67|0)!=28; //@line 1117 "PropellerCompiler.cpp"
 if($cmp68){label=41;break;}else{label=42;break;} //@line 1117 "PropellerCompiler.cpp"
 case 41: 
 var $59=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1119 "PropellerCompiler.cpp"
 var $60=$59; //@line 1119 "PropellerCompiler.cpp"
 var $error70=(($60)|0); //@line 1119 "PropellerCompiler.cpp"
 HEAP8[($error70)]=1; //@line 1119 "PropellerCompiler.cpp"
 var $61=((((HEAPU8[(148)])|(HEAPU8[(149)]<<8)|(HEAPU8[(150)]<<16)|(HEAPU8[(151)]<<24))|0)); //@line 1120 "PropellerCompiler.cpp"
 var $62=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1120 "PropellerCompiler.cpp"
 var $63=$62; //@line 1120 "PropellerCompiler.cpp"
 var $error_msg71=(($63+4)|0); //@line 1120 "PropellerCompiler.cpp"
 tempBigInt=$61;HEAP8[($error_msg71)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg71)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg71)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg71)+(3))|0)]=tempBigInt&0xff; //@line 1120 "PropellerCompiler.cpp"
 $retval=0; //@line 1121 "PropellerCompiler.cpp"
 label=48;break; //@line 1121 "PropellerCompiler.cpp"
 case 42: 
 label=43;break;
 case 43: 
 var $64=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1127 "PropellerCompiler.cpp"
 __ZN11Elementizer6BackupEv($64); //@line 1127 "PropellerCompiler.cpp"
 label=44;break; //@line 1128 "PropellerCompiler.cpp"
 case 44: 
 label=46;break; //@line 1130 "PropellerCompiler.cpp"
 case 45: 
 $retval=0; //@line 1133 "PropellerCompiler.cpp"
 label=48;break; //@line 1133 "PropellerCompiler.cpp"
 case 46: 
 label=2;break; //@line 1135 "PropellerCompiler.cpp"
 case 47: 
 $retval=1; //@line 1137 "PropellerCompiler.cpp"
 label=48;break; //@line 1137 "PropellerCompiler.cpp"
 case 48: 
 var $65=$retval; //@line 1138 "PropellerCompiler.cpp"
 STACKTOP=sp;return $65; //@line 1138 "PropellerCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z16CompileSubBlocksv(){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+8)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $subCount=sp;
 tempBigInt=0;HEAP8[($subCount)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($subCount)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($subCount)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($subCount)+(3))|0)]=tempBigInt&0xff; //@line 1349 "PropellerCompiler.cpp"
 var $call=__Z24CompileSubBlocks_CompileiRi(4,$subCount); //@line 1350 "PropellerCompiler.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 1350 "PropellerCompiler.cpp"
 case 2: 
 $retval=0; //@line 1352 "PropellerCompiler.cpp"
 label=6;break; //@line 1352 "PropellerCompiler.cpp"
 case 3: 
 var $call1=__Z24CompileSubBlocks_CompileiRi(5,$subCount); //@line 1354 "PropellerCompiler.cpp"
 if($call1){label=5;break;}else{label=4;break;} //@line 1354 "PropellerCompiler.cpp"
 case 4: 
 $retval=0; //@line 1356 "PropellerCompiler.cpp"
 label=6;break; //@line 1356 "PropellerCompiler.cpp"
 case 5: 
 $retval=1; //@line 1359 "PropellerCompiler.cpp"
 label=6;break; //@line 1359 "PropellerCompiler.cpp"
 case 6: 
 var $0=$retval; //@line 1360 "PropellerCompiler.cpp"
 STACKTOP=sp;return $0; //@line 1360 "PropellerCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z16CompileObjBlocksv(){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+256)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $objptr=sp;
 var $objvar=(sp)+(128);
 var $i;
 var $pObj;
 var $psize;
 var $j;
 var $pIndex;
 var $i51;
 var $index;
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1365 "PropellerCompiler.cpp"
 var $var_byte=(($0+16971088)|0); //@line 1365 "PropellerCompiler.cpp"
 var $1=((((HEAPU8[($var_byte)])|(HEAPU8[((($var_byte)+(1))|0)]<<8)|(HEAPU8[((($var_byte)+(2))|0)]<<16)|(HEAPU8[((($var_byte)+(3))|0)]<<24))|0)); //@line 1365 "PropellerCompiler.cpp"
 var $2=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1365 "PropellerCompiler.cpp"
 var $var_word=(($2+16971092)|0); //@line 1365 "PropellerCompiler.cpp"
 var $3=((((HEAPU8[($var_word)])|(HEAPU8[((($var_word)+(1))|0)]<<8)|(HEAPU8[((($var_word)+(2))|0)]<<16)|(HEAPU8[((($var_word)+(3))|0)]<<24))|0)); //@line 1365 "PropellerCompiler.cpp"
 var $add=((($1)+($3))|0); //@line 1365 "PropellerCompiler.cpp"
 var $4=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1365 "PropellerCompiler.cpp"
 var $var_long=(($4+16971096)|0); //@line 1365 "PropellerCompiler.cpp"
 var $5=((((HEAPU8[($var_long)])|(HEAPU8[((($var_long)+(1))|0)]<<8)|(HEAPU8[((($var_long)+(2))|0)]<<16)|(HEAPU8[((($var_long)+(3))|0)]<<24))|0)); //@line 1365 "PropellerCompiler.cpp"
 var $add1=((($add)+($5))|0); //@line 1365 "PropellerCompiler.cpp"
 var $6=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1365 "PropellerCompiler.cpp"
 var $var_ptr=(($6+16971100)|0); //@line 1365 "PropellerCompiler.cpp"
 tempBigInt=$add1;HEAP8[($var_ptr)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($var_ptr)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($var_ptr)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($var_ptr)+(3))|0)]=tempBigInt&0xff; //@line 1365 "PropellerCompiler.cpp"
 var $7=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1366 "PropellerCompiler.cpp"
 var $var_ptr2=(($7+16971100)|0); //@line 1366 "PropellerCompiler.cpp"
 var $8=((((HEAPU8[($var_ptr2)])|(HEAPU8[((($var_ptr2)+(1))|0)]<<8)|(HEAPU8[((($var_ptr2)+(2))|0)]<<16)|(HEAPU8[((($var_ptr2)+(3))|0)]<<24))|0)); //@line 1366 "PropellerCompiler.cpp"
 var $and=$8&3; //@line 1366 "PropellerCompiler.cpp"
 var $cmp=($and|0)!=0; //@line 1366 "PropellerCompiler.cpp"
 if($cmp){label=2;break;}else{label=3;break;} //@line 1366 "PropellerCompiler.cpp"
 case 2: 
 var $9=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1368 "PropellerCompiler.cpp"
 var $var_ptr3=(($9+16971100)|0); //@line 1368 "PropellerCompiler.cpp"
 var $10=((((HEAPU8[($var_ptr3)])|(HEAPU8[((($var_ptr3)+(1))|0)]<<8)|(HEAPU8[((($var_ptr3)+(2))|0)]<<16)|(HEAPU8[((($var_ptr3)+(3))|0)]<<24))|0)); //@line 1368 "PropellerCompiler.cpp"
 var $or=$10|3; //@line 1368 "PropellerCompiler.cpp"
 var $add4=((($or)+(1))|0); //@line 1368 "PropellerCompiler.cpp"
 var $11=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1368 "PropellerCompiler.cpp"
 var $var_ptr5=(($11+16971100)|0); //@line 1368 "PropellerCompiler.cpp"
 tempBigInt=$add4;HEAP8[($var_ptr5)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($var_ptr5)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($var_ptr5)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($var_ptr5)+(3))|0)]=tempBigInt&0xff; //@line 1368 "PropellerCompiler.cpp"
 label=3;break; //@line 1369 "PropellerCompiler.cpp"
 case 3: 
 var $12=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1370 "PropellerCompiler.cpp"
 var $var_ptr6=(($12+16971100)|0); //@line 1370 "PropellerCompiler.cpp"
 var $13=((((HEAPU8[($var_ptr6)])|(HEAPU8[((($var_ptr6)+(1))|0)]<<8)|(HEAPU8[((($var_ptr6)+(2))|0)]<<16)|(HEAPU8[((($var_ptr6)+(3))|0)]<<24))|0)); //@line 1370 "PropellerCompiler.cpp"
 var $cmp7=($13|0)>32768; //@line 1370 "PropellerCompiler.cpp"
 if($cmp7){label=4;break;}else{label=5;break;} //@line 1370 "PropellerCompiler.cpp"
 case 4: 
 var $14=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1372 "PropellerCompiler.cpp"
 var $15=$14; //@line 1372 "PropellerCompiler.cpp"
 var $error=(($15)|0); //@line 1372 "PropellerCompiler.cpp"
 HEAP8[($error)]=1; //@line 1372 "PropellerCompiler.cpp"
 var $16=((((HEAPU8[(460)])|(HEAPU8[(461)]<<8)|(HEAPU8[(462)]<<16)|(HEAPU8[(463)]<<24))|0)); //@line 1373 "PropellerCompiler.cpp"
 var $17=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1373 "PropellerCompiler.cpp"
 var $18=$17; //@line 1373 "PropellerCompiler.cpp"
 var $error_msg=(($18+4)|0); //@line 1373 "PropellerCompiler.cpp"
 tempBigInt=$16;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 1373 "PropellerCompiler.cpp"
 $retval=0; //@line 1374 "PropellerCompiler.cpp"
 label=31;break; //@line 1374 "PropellerCompiler.cpp"
 case 5: 
 var $19=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1378 "PropellerCompiler.cpp"
 var $20=$19; //@line 1378 "PropellerCompiler.cpp"
 var $bDATonly=(($20+16971072)|0); //@line 1378 "PropellerCompiler.cpp"
 var $21=HEAP8[($bDATonly)]; //@line 1378 "PropellerCompiler.cpp"
 var $tobool=(($21)&1); //@line 1378 "PropellerCompiler.cpp"
 if($tobool){label=12;break;}else{label=6;break;} //@line 1378 "PropellerCompiler.cpp"
 case 6: 
 label=7;break; //@line 1380 "PropellerCompiler.cpp"
 case 7: 
 var $22=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1380 "PropellerCompiler.cpp"
 var $23=$22; //@line 1380 "PropellerCompiler.cpp"
 var $obj_ptr=(($23+16777264)|0); //@line 1380 "PropellerCompiler.cpp"
 var $24=((((HEAPU8[($obj_ptr)])|(HEAPU8[((($obj_ptr)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr)+(3))|0)]<<24))|0)); //@line 1380 "PropellerCompiler.cpp"
 var $and11=$24&3; //@line 1380 "PropellerCompiler.cpp"
 var $cmp12=($and11|0)!=0; //@line 1380 "PropellerCompiler.cpp"
 if($cmp12){label=8;break;}else{label=11;break;} //@line 1380 "PropellerCompiler.cpp"
 case 8: 
 var $call=__Z8EnterObjh(0); //@line 1382 "PropellerCompiler.cpp"
 if($call){label=10;break;}else{label=9;break;} //@line 1382 "PropellerCompiler.cpp"
 case 9: 
 $retval=0; //@line 1384 "PropellerCompiler.cpp"
 label=31;break; //@line 1384 "PropellerCompiler.cpp"
 case 10: 
 label=7;break; //@line 1386 "PropellerCompiler.cpp"
 case 11: 
 label=12;break; //@line 1387 "PropellerCompiler.cpp"
 case 12: 
 var $25=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1389 "PropellerCompiler.cpp"
 var $26=$25; //@line 1389 "PropellerCompiler.cpp"
 var $compile_mode=(($26+8)|0); //@line 1389 "PropellerCompiler.cpp"
 var $27=HEAP8[($compile_mode)]; //@line 1389 "PropellerCompiler.cpp"
 var $tobool16=(($27)&1); //@line 1389 "PropellerCompiler.cpp"
 var $conv=($tobool16&1); //@line 1389 "PropellerCompiler.cpp"
 var $cmp17=($conv|0)==0; //@line 1389 "PropellerCompiler.cpp"
 if($cmp17){label=13;break;}else{label=14;break;} //@line 1389 "PropellerCompiler.cpp"
 case 13: 
 var $28=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1392 "PropellerCompiler.cpp"
 var $29=$28; //@line 1392 "PropellerCompiler.cpp"
 var $obj_ptr19=(($29+16777264)|0); //@line 1392 "PropellerCompiler.cpp"
 var $30=((((HEAPU8[($obj_ptr19)])|(HEAPU8[((($obj_ptr19)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr19)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr19)+(3))|0)]<<24))|0)); //@line 1392 "PropellerCompiler.cpp"
 var $conv20=(($30)&65535); //@line 1392 "PropellerCompiler.cpp"
 var $31=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1392 "PropellerCompiler.cpp"
 var $32=$31; //@line 1392 "PropellerCompiler.cpp"
 var $obj=(($32+48)|0); //@line 1392 "PropellerCompiler.cpp"
 var $arrayidx=(($obj)|0); //@line 1392 "PropellerCompiler.cpp"
 var $33=$arrayidx; //@line 1392 "PropellerCompiler.cpp"
 tempBigInt=$conv20;HEAP8[($33)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($33)+(1))|0)]=tempBigInt&0xff; //@line 1392 "PropellerCompiler.cpp"
 var $34=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1394 "PropellerCompiler.cpp"
 var $obj_start=(($34+16971104)|0); //@line 1394 "PropellerCompiler.cpp"
 var $35=((((HEAPU8[($obj_start)])|(HEAPU8[((($obj_start)+(1))|0)]<<8)|(HEAPU8[((($obj_start)+(2))|0)]<<16)|(HEAPU8[((($obj_start)+(3))|0)]<<24))|0)); //@line 1394 "PropellerCompiler.cpp"
 var $shr=$35>>2; //@line 1394 "PropellerCompiler.cpp"
 var $conv21=(($shr)&255); //@line 1394 "PropellerCompiler.cpp"
 var $36=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1394 "PropellerCompiler.cpp"
 var $37=$36; //@line 1394 "PropellerCompiler.cpp"
 var $obj22=(($37+48)|0); //@line 1394 "PropellerCompiler.cpp"
 var $arrayidx23=(($obj22+2)|0); //@line 1394 "PropellerCompiler.cpp"
 HEAP8[($arrayidx23)]=$conv21; //@line 1394 "PropellerCompiler.cpp"
 var $38=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1396 "PropellerCompiler.cpp"
 var $obj_count=(($38+16971108)|0); //@line 1396 "PropellerCompiler.cpp"
 var $39=((((HEAPU8[($obj_count)])|(HEAPU8[((($obj_count)+(1))|0)]<<8)|(HEAPU8[((($obj_count)+(2))|0)]<<16)|(HEAPU8[((($obj_count)+(3))|0)]<<24))|0)); //@line 1396 "PropellerCompiler.cpp"
 var $conv24=(($39)&255); //@line 1396 "PropellerCompiler.cpp"
 var $40=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1396 "PropellerCompiler.cpp"
 var $41=$40; //@line 1396 "PropellerCompiler.cpp"
 var $obj25=(($41+48)|0); //@line 1396 "PropellerCompiler.cpp"
 var $arrayidx26=(($obj25+3)|0); //@line 1396 "PropellerCompiler.cpp"
 HEAP8[($arrayidx26)]=$conv24; //@line 1396 "PropellerCompiler.cpp"
 label=14;break; //@line 1397 "PropellerCompiler.cpp"
 case 14: 
 $i=0; //@line 1403 "PropellerCompiler.cpp"
 label=15;break; //@line 1403 "PropellerCompiler.cpp"
 case 15: 
 var $42=$i; //@line 1403 "PropellerCompiler.cpp"
 var $43=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1403 "PropellerCompiler.cpp"
 var $44=$43; //@line 1403 "PropellerCompiler.cpp"
 var $obj_files=(($44+16777268)|0); //@line 1403 "PropellerCompiler.cpp"
 var $45=((((HEAPU8[($obj_files)])|(HEAPU8[((($obj_files)+(1))|0)]<<8)|(HEAPU8[((($obj_files)+(2))|0)]<<16)|(HEAPU8[((($obj_files)+(3))|0)]<<24))|0)); //@line 1403 "PropellerCompiler.cpp"
 var $cmp28=($42|0)<($45|0); //@line 1403 "PropellerCompiler.cpp"
 if($cmp28){label=16;break;}else{label=24;break;} //@line 1403 "PropellerCompiler.cpp"
 case 16: 
 var $46=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1405 "PropellerCompiler.cpp"
 var $47=$46; //@line 1405 "PropellerCompiler.cpp"
 var $obj_ptr29=(($47+16777264)|0); //@line 1405 "PropellerCompiler.cpp"
 var $48=((((HEAPU8[($obj_ptr29)])|(HEAPU8[((($obj_ptr29)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr29)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr29)+(3))|0)]<<24))|0)); //@line 1405 "PropellerCompiler.cpp"
 var $49=$i; //@line 1405 "PropellerCompiler.cpp"
 var $arrayidx30=(($objptr+($49<<2))|0); //@line 1405 "PropellerCompiler.cpp"
 tempBigInt=$48;HEAP8[($arrayidx30)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx30)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx30)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx30)+(3))|0)]=tempBigInt&0xff; //@line 1405 "PropellerCompiler.cpp"
 var $50=$i; //@line 1407 "PropellerCompiler.cpp"
 var $51=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1407 "PropellerCompiler.cpp"
 var $52=$51; //@line 1407 "PropellerCompiler.cpp"
 var $obj_offsets=(($52+16785720)|0); //@line 1407 "PropellerCompiler.cpp"
 var $arrayidx31=(($obj_offsets+($50<<2))|0); //@line 1407 "PropellerCompiler.cpp"
 var $53=((((HEAPU8[($arrayidx31)])|(HEAPU8[((($arrayidx31)+(1))|0)]<<8)|(HEAPU8[((($arrayidx31)+(2))|0)]<<16)|(HEAPU8[((($arrayidx31)+(3))|0)]<<24))|0)); //@line 1407 "PropellerCompiler.cpp"
 var $54=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1407 "PropellerCompiler.cpp"
 var $55=$54; //@line 1407 "PropellerCompiler.cpp"
 var $obj_data=(($55+16785976)|0); //@line 1407 "PropellerCompiler.cpp"
 var $arrayidx32=(($obj_data+$53)|0); //@line 1407 "PropellerCompiler.cpp"
 $pObj=$arrayidx32; //@line 1407 "PropellerCompiler.cpp"
 var $56=$pObj; //@line 1410 "PropellerCompiler.cpp"
 var $57=$56; //@line 1410 "PropellerCompiler.cpp"
 var $58=(((((HEAPU8[($57)])|(HEAPU8[((($57)+(1))|0)]<<8))<<16)>>16)); //@line 1410 "PropellerCompiler.cpp"
 var $conv33=($58&65535); //@line 1410 "PropellerCompiler.cpp"
 var $59=$i; //@line 1410 "PropellerCompiler.cpp"
 var $arrayidx34=(($objvar+($59<<2))|0); //@line 1410 "PropellerCompiler.cpp"
 tempBigInt=$conv33;HEAP8[($arrayidx34)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx34)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx34)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx34)+(3))|0)]=tempBigInt&0xff; //@line 1410 "PropellerCompiler.cpp"
 var $60=$pObj; //@line 1411 "PropellerCompiler.cpp"
 var $add_ptr=(($60+2)|0); //@line 1411 "PropellerCompiler.cpp"
 $pObj=$add_ptr; //@line 1411 "PropellerCompiler.cpp"
 var $61=$pObj; //@line 1414 "PropellerCompiler.cpp"
 var $62=$61; //@line 1414 "PropellerCompiler.cpp"
 var $63=(((((HEAPU8[($62)])|(HEAPU8[((($62)+(1))|0)]<<8))<<16)>>16)); //@line 1414 "PropellerCompiler.cpp"
 $psize=$63; //@line 1414 "PropellerCompiler.cpp"
 var $64=$pObj; //@line 1415 "PropellerCompiler.cpp"
 var $add_ptr35=(($64+2)|0); //@line 1415 "PropellerCompiler.cpp"
 $pObj=$add_ptr35; //@line 1415 "PropellerCompiler.cpp"
 $j=0; //@line 1417 "PropellerCompiler.cpp"
 label=17;break; //@line 1417 "PropellerCompiler.cpp"
 case 17: 
 var $65=$j; //@line 1417 "PropellerCompiler.cpp"
 var $conv37=($65&65535); //@line 1417 "PropellerCompiler.cpp"
 var $66=$psize; //@line 1417 "PropellerCompiler.cpp"
 var $conv38=($66&65535); //@line 1417 "PropellerCompiler.cpp"
 var $cmp39=($conv37|0)<($conv38|0); //@line 1417 "PropellerCompiler.cpp"
 if($cmp39){label=18;break;}else{label=22;break;} //@line 1417 "PropellerCompiler.cpp"
 case 18: 
 var $67=$j; //@line 1419 "PropellerCompiler.cpp"
 var $idxprom=($67&65535); //@line 1419 "PropellerCompiler.cpp"
 var $68=$pObj; //@line 1419 "PropellerCompiler.cpp"
 var $arrayidx41=(($68+$idxprom)|0); //@line 1419 "PropellerCompiler.cpp"
 var $69=HEAP8[($arrayidx41)]; //@line 1419 "PropellerCompiler.cpp"
 var $call42=__Z8EnterObjh($69); //@line 1419 "PropellerCompiler.cpp"
 if($call42){label=20;break;}else{label=19;break;} //@line 1419 "PropellerCompiler.cpp"
 case 19: 
 $retval=0; //@line 1421 "PropellerCompiler.cpp"
 label=31;break; //@line 1421 "PropellerCompiler.cpp"
 case 20: 
 label=21;break; //@line 1423 "PropellerCompiler.cpp"
 case 21: 
 var $70=$j; //@line 1417 "PropellerCompiler.cpp"
 var $inc=((($70)+(1))&65535); //@line 1417 "PropellerCompiler.cpp"
 $j=$inc; //@line 1417 "PropellerCompiler.cpp"
 label=17;break; //@line 1417 "PropellerCompiler.cpp"
 case 22: 
 label=23;break; //@line 1424 "PropellerCompiler.cpp"
 case 23: 
 var $71=$i; //@line 1403 "PropellerCompiler.cpp"
 var $inc46=((($71)+(1))|0); //@line 1403 "PropellerCompiler.cpp"
 $i=$inc46; //@line 1403 "PropellerCompiler.cpp"
 label=15;break; //@line 1403 "PropellerCompiler.cpp"
 case 24: 
 var $72=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1427 "PropellerCompiler.cpp"
 var $obj_start48=(($72+16971104)|0); //@line 1427 "PropellerCompiler.cpp"
 var $73=((((HEAPU8[($obj_start48)])|(HEAPU8[((($obj_start48)+(1))|0)]<<8)|(HEAPU8[((($obj_start48)+(2))|0)]<<16)|(HEAPU8[((($obj_start48)+(3))|0)]<<24))|0)); //@line 1427 "PropellerCompiler.cpp"
 var $74=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1427 "PropellerCompiler.cpp"
 var $75=$74; //@line 1427 "PropellerCompiler.cpp"
 var $obj49=(($75+48)|0); //@line 1427 "PropellerCompiler.cpp"
 var $arrayidx50=(($obj49+$73)|0); //@line 1427 "PropellerCompiler.cpp"
 var $76=$arrayidx50; //@line 1427 "PropellerCompiler.cpp"
 $pIndex=$76; //@line 1427 "PropellerCompiler.cpp"
 $i51=0; //@line 1429 "PropellerCompiler.cpp"
 label=25;break; //@line 1429 "PropellerCompiler.cpp"
 case 25: 
 var $77=$i51; //@line 1429 "PropellerCompiler.cpp"
 var $78=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1429 "PropellerCompiler.cpp"
 var $obj_count53=(($78+16971108)|0); //@line 1429 "PropellerCompiler.cpp"
 var $79=((((HEAPU8[($obj_count53)])|(HEAPU8[((($obj_count53)+(1))|0)]<<8)|(HEAPU8[((($obj_count53)+(2))|0)]<<16)|(HEAPU8[((($obj_count53)+(3))|0)]<<24))|0)); //@line 1429 "PropellerCompiler.cpp"
 var $cmp54=($77|0)<($79|0); //@line 1429 "PropellerCompiler.cpp"
 if($cmp54){label=26;break;}else{label=30;break;} //@line 1429 "PropellerCompiler.cpp"
 case 26: 
 var $80=$pIndex; //@line 1432 "PropellerCompiler.cpp"
 var $81=$80; //@line 1432 "PropellerCompiler.cpp"
 var $82=((((HEAPU8[($81)])|(HEAPU8[((($81)+(1))|0)]<<8)|(HEAPU8[((($81)+(2))|0)]<<16)|(HEAPU8[((($81)+(3))|0)]<<24))|0)); //@line 1432 "PropellerCompiler.cpp"
 $index=$82; //@line 1432 "PropellerCompiler.cpp"
 var $83=$index; //@line 1435 "PropellerCompiler.cpp"
 var $arrayidx56=(($objptr+($83<<2))|0); //@line 1435 "PropellerCompiler.cpp"
 var $84=((((HEAPU8[($arrayidx56)])|(HEAPU8[((($arrayidx56)+(1))|0)]<<8)|(HEAPU8[((($arrayidx56)+(2))|0)]<<16)|(HEAPU8[((($arrayidx56)+(3))|0)]<<24))|0)); //@line 1435 "PropellerCompiler.cpp"
 var $conv57=(($84)&65535); //@line 1435 "PropellerCompiler.cpp"
 var $85=$pIndex; //@line 1435 "PropellerCompiler.cpp"
 tempBigInt=$conv57;HEAP8[($85)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($85)+(1))|0)]=tempBigInt&0xff; //@line 1435 "PropellerCompiler.cpp"
 var $86=$pIndex; //@line 1436 "PropellerCompiler.cpp"
 var $incdec_ptr=(($86+2)|0); //@line 1436 "PropellerCompiler.cpp"
 $pIndex=$incdec_ptr; //@line 1436 "PropellerCompiler.cpp"
 var $87=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1439 "PropellerCompiler.cpp"
 var $var_ptr58=(($87+16971100)|0); //@line 1439 "PropellerCompiler.cpp"
 var $88=((((HEAPU8[($var_ptr58)])|(HEAPU8[((($var_ptr58)+(1))|0)]<<8)|(HEAPU8[((($var_ptr58)+(2))|0)]<<16)|(HEAPU8[((($var_ptr58)+(3))|0)]<<24))|0)); //@line 1439 "PropellerCompiler.cpp"
 var $conv59=(($88)&65535); //@line 1439 "PropellerCompiler.cpp"
 var $89=$pIndex; //@line 1439 "PropellerCompiler.cpp"
 tempBigInt=$conv59;HEAP8[($89)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($89)+(1))|0)]=tempBigInt&0xff; //@line 1439 "PropellerCompiler.cpp"
 var $90=$pIndex; //@line 1440 "PropellerCompiler.cpp"
 var $incdec_ptr60=(($90+2)|0); //@line 1440 "PropellerCompiler.cpp"
 $pIndex=$incdec_ptr60; //@line 1440 "PropellerCompiler.cpp"
 var $91=$index; //@line 1443 "PropellerCompiler.cpp"
 var $arrayidx61=(($objvar+($91<<2))|0); //@line 1443 "PropellerCompiler.cpp"
 var $92=((((HEAPU8[($arrayidx61)])|(HEAPU8[((($arrayidx61)+(1))|0)]<<8)|(HEAPU8[((($arrayidx61)+(2))|0)]<<16)|(HEAPU8[((($arrayidx61)+(3))|0)]<<24))|0)); //@line 1443 "PropellerCompiler.cpp"
 var $93=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1443 "PropellerCompiler.cpp"
 var $var_ptr62=(($93+16971100)|0); //@line 1443 "PropellerCompiler.cpp"
 var $94=((((HEAPU8[($var_ptr62)])|(HEAPU8[((($var_ptr62)+(1))|0)]<<8)|(HEAPU8[((($var_ptr62)+(2))|0)]<<16)|(HEAPU8[((($var_ptr62)+(3))|0)]<<24))|0)); //@line 1443 "PropellerCompiler.cpp"
 var $add63=((($94)+($92))|0); //@line 1443 "PropellerCompiler.cpp"
 tempBigInt=$add63;HEAP8[($var_ptr62)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($var_ptr62)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($var_ptr62)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($var_ptr62)+(3))|0)]=tempBigInt&0xff; //@line 1443 "PropellerCompiler.cpp"
 var $95=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1444 "PropellerCompiler.cpp"
 var $var_ptr64=(($95+16971100)|0); //@line 1444 "PropellerCompiler.cpp"
 var $96=((((HEAPU8[($var_ptr64)])|(HEAPU8[((($var_ptr64)+(1))|0)]<<8)|(HEAPU8[((($var_ptr64)+(2))|0)]<<16)|(HEAPU8[((($var_ptr64)+(3))|0)]<<24))|0)); //@line 1444 "PropellerCompiler.cpp"
 var $cmp65=($96|0)>32768; //@line 1444 "PropellerCompiler.cpp"
 if($cmp65){label=27;break;}else{label=28;break;} //@line 1444 "PropellerCompiler.cpp"
 case 27: 
 var $97=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1446 "PropellerCompiler.cpp"
 var $98=$97; //@line 1446 "PropellerCompiler.cpp"
 var $error67=(($98)|0); //@line 1446 "PropellerCompiler.cpp"
 HEAP8[($error67)]=1; //@line 1446 "PropellerCompiler.cpp"
 var $99=((((HEAPU8[(460)])|(HEAPU8[(461)]<<8)|(HEAPU8[(462)]<<16)|(HEAPU8[(463)]<<24))|0)); //@line 1447 "PropellerCompiler.cpp"
 var $100=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1447 "PropellerCompiler.cpp"
 var $101=$100; //@line 1447 "PropellerCompiler.cpp"
 var $error_msg68=(($101+4)|0); //@line 1447 "PropellerCompiler.cpp"
 tempBigInt=$99;HEAP8[($error_msg68)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg68)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg68)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg68)+(3))|0)]=tempBigInt&0xff; //@line 1447 "PropellerCompiler.cpp"
 $retval=0; //@line 1448 "PropellerCompiler.cpp"
 label=31;break; //@line 1448 "PropellerCompiler.cpp"
 case 28: 
 label=29;break; //@line 1450 "PropellerCompiler.cpp"
 case 29: 
 var $102=$i51; //@line 1429 "PropellerCompiler.cpp"
 var $inc71=((($102)+(1))|0); //@line 1429 "PropellerCompiler.cpp"
 $i51=$inc71; //@line 1429 "PropellerCompiler.cpp"
 label=25;break; //@line 1429 "PropellerCompiler.cpp"
 case 30: 
 $retval=1; //@line 1452 "PropellerCompiler.cpp"
 label=31;break; //@line 1452 "PropellerCompiler.cpp"
 case 31: 
 var $103=$retval; //@line 1453 "PropellerCompiler.cpp"
 STACKTOP=sp;return $103; //@line 1453 "PropellerCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z16DistillObjBlocksv(){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1457 "PropellerCompiler.cpp"
 var $1=$0; //@line 1457 "PropellerCompiler.cpp"
 var $compile_mode=(($1+8)|0); //@line 1457 "PropellerCompiler.cpp"
 var $2=HEAP8[($compile_mode)]; //@line 1457 "PropellerCompiler.cpp"
 var $tobool=(($2)&1); //@line 1457 "PropellerCompiler.cpp"
 var $conv=($tobool&1); //@line 1457 "PropellerCompiler.cpp"
 var $cmp=($conv|0)==0; //@line 1457 "PropellerCompiler.cpp"
 if($cmp){label=2;break;}else{label=5;break;} //@line 1457 "PropellerCompiler.cpp"
 case 2: 
 var $3=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1460 "PropellerCompiler.cpp"
 var $4=$3; //@line 1460 "PropellerCompiler.cpp"
 var $obj_ptr=(($4+16777264)|0); //@line 1460 "PropellerCompiler.cpp"
 var $5=((((HEAPU8[($obj_ptr)])|(HEAPU8[((($obj_ptr)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr)+(3))|0)]<<24))|0)); //@line 1460 "PropellerCompiler.cpp"
 var $cmp1=($5|0)<=65536; //@line 1460 "PropellerCompiler.cpp"
 if($cmp1){label=3;break;}else{label=4;break;} //@line 1460 "PropellerCompiler.cpp"
 case 3: 
 var $call=__Z14DistillObjectsv(); //@line 1462 "PropellerCompiler.cpp"
 $retval=$call; //@line 1462 "PropellerCompiler.cpp"
 label=6;break; //@line 1462 "PropellerCompiler.cpp"
 case 4: 
 label=5;break; //@line 1464 "PropellerCompiler.cpp"
 case 5: 
 $retval=1; //@line 1465 "PropellerCompiler.cpp"
 label=6;break; //@line 1465 "PropellerCompiler.cpp"
 case 6: 
 var $6=$retval; //@line 1466 "PropellerCompiler.cpp"
 STACKTOP=sp;return $6; //@line 1466 "PropellerCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z12CompileFinalv(){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $vsize;
 var $psize;
 var $vsize_psize;
 var $checksum_offset;
 var $i;
 var $checksum;
 var $i17;
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1470 "PropellerCompiler.cpp"
 var $1=$0; //@line 1470 "PropellerCompiler.cpp"
 var $compile_mode=(($1+8)|0); //@line 1470 "PropellerCompiler.cpp"
 var $2=HEAP8[($compile_mode)]; //@line 1470 "PropellerCompiler.cpp"
 var $tobool=(($2)&1); //@line 1470 "PropellerCompiler.cpp"
 var $conv=($tobool&1); //@line 1470 "PropellerCompiler.cpp"
 var $cmp=($conv|0)==0; //@line 1470 "PropellerCompiler.cpp"
 if($cmp){label=2;break;}else{label=17;break;} //@line 1470 "PropellerCompiler.cpp"
 case 2: 
 var $3=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1472 "PropellerCompiler.cpp"
 var $var_ptr=(($3+16971100)|0); //@line 1472 "PropellerCompiler.cpp"
 var $4=((((HEAPU8[($var_ptr)])|(HEAPU8[((($var_ptr)+(1))|0)]<<8)|(HEAPU8[((($var_ptr)+(2))|0)]<<16)|(HEAPU8[((($var_ptr)+(3))|0)]<<24))|0)); //@line 1472 "PropellerCompiler.cpp"
 $vsize=$4; //@line 1472 "PropellerCompiler.cpp"
 var $5=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1473 "PropellerCompiler.cpp"
 var $6=$5; //@line 1473 "PropellerCompiler.cpp"
 var $obj_ptr=(($6+16777264)|0); //@line 1473 "PropellerCompiler.cpp"
 var $7=((((HEAPU8[($obj_ptr)])|(HEAPU8[((($obj_ptr)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr)+(3))|0)]<<24))|0)); //@line 1473 "PropellerCompiler.cpp"
 $psize=$7; //@line 1473 "PropellerCompiler.cpp"
 var $8=$psize; //@line 1474 "PropellerCompiler.cpp"
 var $shl=$8<<16; //@line 1474 "PropellerCompiler.cpp"
 var $9=$vsize; //@line 1474 "PropellerCompiler.cpp"
 var $or=$shl|$9; //@line 1474 "PropellerCompiler.cpp"
 $vsize_psize=$or; //@line 1474 "PropellerCompiler.cpp"
 var $10=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1475 "PropellerCompiler.cpp"
 var $11=$10; //@line 1475 "PropellerCompiler.cpp"
 var $obj_ptr1=(($11+16777264)|0); //@line 1475 "PropellerCompiler.cpp"
 var $12=((((HEAPU8[($obj_ptr1)])|(HEAPU8[((($obj_ptr1)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr1)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr1)+(3))|0)]<<24))|0)); //@line 1475 "PropellerCompiler.cpp"
 $checksum_offset=$12; //@line 1475 "PropellerCompiler.cpp"
 var $call=__Z8EnterObjh(0); //@line 1476 "PropellerCompiler.cpp"
 if($call){label=4;break;}else{label=3;break;} //@line 1476 "PropellerCompiler.cpp"
 case 3: 
 $retval=0; //@line 1478 "PropellerCompiler.cpp"
 label=18;break; //@line 1478 "PropellerCompiler.cpp"
 case 4: 
 $i=0; //@line 1482 "PropellerCompiler.cpp"
 label=5;break; //@line 1482 "PropellerCompiler.cpp"
 case 5: 
 var $13=$i; //@line 1482 "PropellerCompiler.cpp"
 var $14=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1482 "PropellerCompiler.cpp"
 var $pubcon_list_size=(($14+16979308)|0); //@line 1482 "PropellerCompiler.cpp"
 var $15=((((HEAPU8[($pubcon_list_size)])|(HEAPU8[((($pubcon_list_size)+(1))|0)]<<8)|(HEAPU8[((($pubcon_list_size)+(2))|0)]<<16)|(HEAPU8[((($pubcon_list_size)+(3))|0)]<<24))|0)); //@line 1482 "PropellerCompiler.cpp"
 var $cmp3=($13|0)<($15|0); //@line 1482 "PropellerCompiler.cpp"
 if($cmp3){label=6;break;}else{label=10;break;} //@line 1482 "PropellerCompiler.cpp"
 case 6: 
 var $16=$i; //@line 1484 "PropellerCompiler.cpp"
 var $17=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1484 "PropellerCompiler.cpp"
 var $pubcon_list=(($17+16971116)|0); //@line 1484 "PropellerCompiler.cpp"
 var $arrayidx=(($pubcon_list+$16)|0); //@line 1484 "PropellerCompiler.cpp"
 var $18=HEAP8[($arrayidx)]; //@line 1484 "PropellerCompiler.cpp"
 var $call4=__Z8EnterObjh($18); //@line 1484 "PropellerCompiler.cpp"
 if($call4){label=8;break;}else{label=7;break;} //@line 1484 "PropellerCompiler.cpp"
 case 7: 
 $retval=0; //@line 1486 "PropellerCompiler.cpp"
 label=18;break; //@line 1486 "PropellerCompiler.cpp"
 case 8: 
 label=9;break; //@line 1488 "PropellerCompiler.cpp"
 case 9: 
 var $19=$i; //@line 1482 "PropellerCompiler.cpp"
 var $inc=((($19)+(1))|0); //@line 1482 "PropellerCompiler.cpp"
 $i=$inc; //@line 1482 "PropellerCompiler.cpp"
 label=5;break; //@line 1482 "PropellerCompiler.cpp"
 case 10: 
 var $call7=__Z12EnterObjLongi(0); //@line 1490 "PropellerCompiler.cpp"
 if($call7){label=12;break;}else{label=11;break;} //@line 1490 "PropellerCompiler.cpp"
 case 11: 
 $retval=0; //@line 1492 "PropellerCompiler.cpp"
 label=18;break; //@line 1492 "PropellerCompiler.cpp"
 case 12: 
 var $20=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1496 "PropellerCompiler.cpp"
 var $21=$20; //@line 1496 "PropellerCompiler.cpp"
 var $obj=(($21+48)|0); //@line 1496 "PropellerCompiler.cpp"
 var $arrayidx10=(($obj+4)|0); //@line 1496 "PropellerCompiler.cpp"
 var $22=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1496 "PropellerCompiler.cpp"
 var $23=$22; //@line 1496 "PropellerCompiler.cpp"
 var $obj11=(($23+48)|0); //@line 1496 "PropellerCompiler.cpp"
 var $arrayidx12=(($obj11)|0); //@line 1496 "PropellerCompiler.cpp"
 _memmove($arrayidx10,$arrayidx12,16777212,1,0); //@line 1496 "PropellerCompiler.cpp"
 var $24=$vsize_psize; //@line 1498 "PropellerCompiler.cpp"
 var $25=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1498 "PropellerCompiler.cpp"
 var $26=$25; //@line 1498 "PropellerCompiler.cpp"
 var $obj13=(($26+48)|0); //@line 1498 "PropellerCompiler.cpp"
 var $arrayidx14=(($obj13)|0); //@line 1498 "PropellerCompiler.cpp"
 var $27=$arrayidx14; //@line 1498 "PropellerCompiler.cpp"
 tempBigInt=$24;HEAP8[($27)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($27)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($27)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($27)+(3))|0)]=tempBigInt&0xff; //@line 1498 "PropellerCompiler.cpp"
 var $28=$vsize; //@line 1500 "PropellerCompiler.cpp"
 var $29=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1500 "PropellerCompiler.cpp"
 var $30=$29; //@line 1500 "PropellerCompiler.cpp"
 var $vsize15=(($30+16971080)|0); //@line 1500 "PropellerCompiler.cpp"
 tempBigInt=$28;HEAP8[($vsize15)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($vsize15)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($vsize15)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($vsize15)+(3))|0)]=tempBigInt&0xff; //@line 1500 "PropellerCompiler.cpp"
 var $31=$psize; //@line 1501 "PropellerCompiler.cpp"
 var $32=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1501 "PropellerCompiler.cpp"
 var $33=$32; //@line 1501 "PropellerCompiler.cpp"
 var $psize16=(($33+16971084)|0); //@line 1501 "PropellerCompiler.cpp"
 tempBigInt=$31;HEAP8[($psize16)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($psize16)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($psize16)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($psize16)+(3))|0)]=tempBigInt&0xff; //@line 1501 "PropellerCompiler.cpp"
 $checksum=0; //@line 1504 "PropellerCompiler.cpp"
 $i17=0; //@line 1505 "PropellerCompiler.cpp"
 label=13;break; //@line 1505 "PropellerCompiler.cpp"
 case 13: 
 var $34=$i17; //@line 1505 "PropellerCompiler.cpp"
 var $35=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1505 "PropellerCompiler.cpp"
 var $36=$35; //@line 1505 "PropellerCompiler.cpp"
 var $obj_ptr19=(($36+16777264)|0); //@line 1505 "PropellerCompiler.cpp"
 var $37=((((HEAPU8[($obj_ptr19)])|(HEAPU8[((($obj_ptr19)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr19)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr19)+(3))|0)]<<24))|0)); //@line 1505 "PropellerCompiler.cpp"
 var $cmp20=($34|0)<($37|0); //@line 1505 "PropellerCompiler.cpp"
 if($cmp20){label=14;break;}else{label=16;break;} //@line 1505 "PropellerCompiler.cpp"
 case 14: 
 var $38=$i17; //@line 1507 "PropellerCompiler.cpp"
 var $39=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1507 "PropellerCompiler.cpp"
 var $40=$39; //@line 1507 "PropellerCompiler.cpp"
 var $obj22=(($40+48)|0); //@line 1507 "PropellerCompiler.cpp"
 var $arrayidx23=(($obj22+$38)|0); //@line 1507 "PropellerCompiler.cpp"
 var $41=HEAP8[($arrayidx23)]; //@line 1507 "PropellerCompiler.cpp"
 var $conv24=($41&255); //@line 1507 "PropellerCompiler.cpp"
 var $42=$checksum; //@line 1507 "PropellerCompiler.cpp"
 var $conv25=($42&255); //@line 1507 "PropellerCompiler.cpp"
 var $add=((($conv25)+($conv24))|0); //@line 1507 "PropellerCompiler.cpp"
 var $conv26=(($add)&255); //@line 1507 "PropellerCompiler.cpp"
 $checksum=$conv26; //@line 1507 "PropellerCompiler.cpp"
 label=15;break; //@line 1508 "PropellerCompiler.cpp"
 case 15: 
 var $43=$i17; //@line 1505 "PropellerCompiler.cpp"
 var $inc28=((($43)+(1))|0); //@line 1505 "PropellerCompiler.cpp"
 $i17=$inc28; //@line 1505 "PropellerCompiler.cpp"
 label=13;break; //@line 1505 "PropellerCompiler.cpp"
 case 16: 
 var $44=$checksum; //@line 1509 "PropellerCompiler.cpp"
 var $conv30=($44&255); //@line 1509 "PropellerCompiler.cpp"
 var $sub=(((48)-($conv30))|0); //@line 1509 "PropellerCompiler.cpp"
 var $conv31=(($sub)&255); //@line 1509 "PropellerCompiler.cpp"
 var $45=$checksum_offset; //@line 1509 "PropellerCompiler.cpp"
 var $add32=((($45)+(4))|0); //@line 1509 "PropellerCompiler.cpp"
 var $46=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1509 "PropellerCompiler.cpp"
 var $47=$46; //@line 1509 "PropellerCompiler.cpp"
 var $obj33=(($47+48)|0); //@line 1509 "PropellerCompiler.cpp"
 var $arrayidx34=(($obj33+$add32)|0); //@line 1509 "PropellerCompiler.cpp"
 HEAP8[($arrayidx34)]=$conv31; //@line 1509 "PropellerCompiler.cpp"
 label=17;break; //@line 1510 "PropellerCompiler.cpp"
 case 17: 
 $retval=1; //@line 1511 "PropellerCompiler.cpp"
 label=18;break; //@line 1511 "PropellerCompiler.cpp"
 case 18: 
 var $48=$retval; //@line 1512 "PropellerCompiler.cpp"
 STACKTOP=sp;return $48; //@line 1512 "PropellerCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z15PointToFirstConv(){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+8)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $bEof=sp;
 HEAP8[($bEof)]=0; //@line 1516 "PropellerCompiler.cpp"
 var $0=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1517 "PropellerCompiler.cpp"
 __ZN11Elementizer5ResetEv($0); //@line 1517 "PropellerCompiler.cpp"
 var $1=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1519 "PropellerCompiler.cpp"
 var $call=__ZN11Elementizer12GetNextBlockEiRb($1,0,$bEof); //@line 1519 "PropellerCompiler.cpp"
 if($call){label=2;break;}else{label=5;break;} //@line 1519 "PropellerCompiler.cpp"
 case 2: 
 var $2=HEAP8[($bEof)]; //@line 1521 "PropellerCompiler.cpp"
 var $tobool=(($2)&1); //@line 1521 "PropellerCompiler.cpp"
 if($tobool){label=4;break;}else{label=3;break;} //@line 1521 "PropellerCompiler.cpp"
 case 3: 
 var $3=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1523 "PropellerCompiler.cpp"
 var $4=$3; //@line 1523 "PropellerCompiler.cpp"
 var $source_start=(($4+16)|0); //@line 1523 "PropellerCompiler.cpp"
 var $5=((((HEAPU8[($source_start)])|(HEAPU8[((($source_start)+(1))|0)]<<8)|(HEAPU8[((($source_start)+(2))|0)]<<16)|(HEAPU8[((($source_start)+(3))|0)]<<24))|0)); //@line 1523 "PropellerCompiler.cpp"
 var $6=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1523 "PropellerCompiler.cpp"
 var $7=$6; //@line 1523 "PropellerCompiler.cpp"
 var $source_finish=(($7+20)|0); //@line 1523 "PropellerCompiler.cpp"
 tempBigInt=$5;HEAP8[($source_finish)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_finish)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_finish)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_finish)+(3))|0)]=tempBigInt&0xff; //@line 1523 "PropellerCompiler.cpp"
 label=4;break; //@line 1524 "PropellerCompiler.cpp"
 case 4: 
 label=6;break; //@line 1525 "PropellerCompiler.cpp"
 case 5: 
 $retval=0; //@line 1528 "PropellerCompiler.cpp"
 label=7;break; //@line 1528 "PropellerCompiler.cpp"
 case 6: 
 $retval=1; //@line 1531 "PropellerCompiler.cpp"
 label=7;break; //@line 1531 "PropellerCompiler.cpp"
 case 7: 
 var $8=$retval; //@line 1532 "PropellerCompiler.cpp"
 STACKTOP=sp;return $8; //@line 1532 "PropellerCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z14DetermineStackv(){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+8)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $stackRequired;
 var $bFound=sp;
 $stackRequired=16; //@line 1555 "PropellerCompiler.cpp"
 var $call=__Z19Determine_GetSymbolPKciRb(1648,108,$bFound); //@line 1558 "PropellerCompiler.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 1558 "PropellerCompiler.cpp"
 case 2: 
 $retval=0; //@line 1560 "PropellerCompiler.cpp"
 label=12;break; //@line 1560 "PropellerCompiler.cpp"
 case 3: 
 var $0=HEAP8[($bFound)]; //@line 1562 "PropellerCompiler.cpp"
 var $tobool=(($0)&1); //@line 1562 "PropellerCompiler.cpp"
 if($tobool){label=4;break;}else{label=5;break;} //@line 1562 "PropellerCompiler.cpp"
 case 4: 
 var $1=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1564 "PropellerCompiler.cpp"
 var $call2=__ZN11Elementizer8GetValueEv($1); //@line 1564 "PropellerCompiler.cpp"
 $stackRequired=$call2; //@line 1564 "PropellerCompiler.cpp"
 label=5;break; //@line 1565 "PropellerCompiler.cpp"
 case 5: 
 var $call4=__Z19Determine_GetSymbolPKciRb(1096,108,$bFound); //@line 1566 "PropellerCompiler.cpp"
 if($call4){label=7;break;}else{label=6;break;} //@line 1566 "PropellerCompiler.cpp"
 case 6: 
 $retval=0; //@line 1568 "PropellerCompiler.cpp"
 label=12;break; //@line 1568 "PropellerCompiler.cpp"
 case 7: 
 var $2=HEAP8[($bFound)]; //@line 1570 "PropellerCompiler.cpp"
 var $tobool7=(($2)&1); //@line 1570 "PropellerCompiler.cpp"
 if($tobool7){label=8;break;}else{label=9;break;} //@line 1570 "PropellerCompiler.cpp"
 case 8: 
 var $3=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1572 "PropellerCompiler.cpp"
 var $call9=__ZN11Elementizer8GetValueEv($3); //@line 1572 "PropellerCompiler.cpp"
 var $4=$stackRequired; //@line 1572 "PropellerCompiler.cpp"
 var $add=((($4)+($call9))|0); //@line 1572 "PropellerCompiler.cpp"
 $stackRequired=$add; //@line 1572 "PropellerCompiler.cpp"
 label=9;break; //@line 1573 "PropellerCompiler.cpp"
 case 9: 
 var $5=$stackRequired; //@line 1575 "PropellerCompiler.cpp"
 var $cmp=($5|0)>8192; //@line 1575 "PropellerCompiler.cpp"
 if($cmp){label=10;break;}else{label=11;break;} //@line 1575 "PropellerCompiler.cpp"
 case 10: 
 var $6=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1577 "PropellerCompiler.cpp"
 var $7=$6; //@line 1577 "PropellerCompiler.cpp"
 var $error=(($7)|0); //@line 1577 "PropellerCompiler.cpp"
 HEAP8[($error)]=1; //@line 1577 "PropellerCompiler.cpp"
 var $8=((((HEAPU8[(400)])|(HEAPU8[(401)]<<8)|(HEAPU8[(402)]<<16)|(HEAPU8[(403)]<<24))|0)); //@line 1578 "PropellerCompiler.cpp"
 var $9=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1578 "PropellerCompiler.cpp"
 var $10=$9; //@line 1578 "PropellerCompiler.cpp"
 var $error_msg=(($10+4)|0); //@line 1578 "PropellerCompiler.cpp"
 tempBigInt=$8;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 1578 "PropellerCompiler.cpp"
 $retval=0; //@line 1579 "PropellerCompiler.cpp"
 label=12;break; //@line 1579 "PropellerCompiler.cpp"
 case 11: 
 var $11=$stackRequired; //@line 1582 "PropellerCompiler.cpp"
 var $12=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1582 "PropellerCompiler.cpp"
 var $13=$12; //@line 1582 "PropellerCompiler.cpp"
 var $stack_requirement=(($13+16971056)|0); //@line 1582 "PropellerCompiler.cpp"
 tempBigInt=$11;HEAP8[($stack_requirement)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($stack_requirement)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($stack_requirement)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($stack_requirement)+(3))|0)]=tempBigInt&0xff; //@line 1582 "PropellerCompiler.cpp"
 $retval=1; //@line 1584 "PropellerCompiler.cpp"
 label=12;break; //@line 1584 "PropellerCompiler.cpp"
 case 12: 
 var $14=$retval; //@line 1585 "PropellerCompiler.cpp"
 STACKTOP=sp;return $14; //@line 1585 "PropellerCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z14DetermineClockv(){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+32)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $mode;
 var $freq;
 var $xin;
 var $freqShift;
 var $bHaveClkMode=sp;
 var $bHaveClkFreq=(sp)+(8);
 var $bHaveXinFreq=(sp)+(16);
 var $bitPos=(sp)+(24);
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1611 "PropellerCompiler.cpp"
 var $1=$0; //@line 1611 "PropellerCompiler.cpp"
 var $clkmode=(($1+16971060)|0); //@line 1611 "PropellerCompiler.cpp"
 HEAP8[($clkmode)]=0; //@line 1611 "PropellerCompiler.cpp"
 var $2=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1612 "PropellerCompiler.cpp"
 var $3=$2; //@line 1612 "PropellerCompiler.cpp"
 var $clkfreq=(($3+16971064)|0); //@line 1612 "PropellerCompiler.cpp"
 tempBigInt=12000000;HEAP8[($clkfreq)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($clkfreq)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($clkfreq)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($clkfreq)+(3))|0)]=tempBigInt&0xff; //@line 1612 "PropellerCompiler.cpp"
 $mode=0; //@line 1614 "PropellerCompiler.cpp"
 $freq=0; //@line 1615 "PropellerCompiler.cpp"
 $xin=0; //@line 1616 "PropellerCompiler.cpp"
 $freqShift=0; //@line 1617 "PropellerCompiler.cpp"
 HEAP8[($bHaveClkMode)]=0; //@line 1620 "PropellerCompiler.cpp"
 HEAP8[($bHaveClkFreq)]=0; //@line 1621 "PropellerCompiler.cpp"
 HEAP8[($bHaveXinFreq)]=0; //@line 1622 "PropellerCompiler.cpp"
 var $call=__Z19Determine_GetSymbolPKciRb(536,99,$bHaveClkMode); //@line 1624 "PropellerCompiler.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 1624 "PropellerCompiler.cpp"
 case 2: 
 $retval=0; //@line 1626 "PropellerCompiler.cpp"
 label=50;break; //@line 1626 "PropellerCompiler.cpp"
 case 3: 
 var $4=HEAP8[($bHaveClkMode)]; //@line 1628 "PropellerCompiler.cpp"
 var $tobool=(($4)&1); //@line 1628 "PropellerCompiler.cpp"
 if($tobool){label=4;break;}else{label=5;break;} //@line 1628 "PropellerCompiler.cpp"
 case 4: 
 var $5=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1630 "PropellerCompiler.cpp"
 var $call2=__ZN11Elementizer8GetValueEv($5); //@line 1630 "PropellerCompiler.cpp"
 $mode=$call2; //@line 1630 "PropellerCompiler.cpp"
 label=5;break; //@line 1631 "PropellerCompiler.cpp"
 case 5: 
 var $call4=__Z19Determine_GetSymbolPKciRb(9224,99,$bHaveClkFreq); //@line 1632 "PropellerCompiler.cpp"
 if($call4){label=7;break;}else{label=6;break;} //@line 1632 "PropellerCompiler.cpp"
 case 6: 
 $retval=0; //@line 1634 "PropellerCompiler.cpp"
 label=50;break; //@line 1634 "PropellerCompiler.cpp"
 case 7: 
 var $6=HEAP8[($bHaveClkFreq)]; //@line 1636 "PropellerCompiler.cpp"
 var $tobool7=(($6)&1); //@line 1636 "PropellerCompiler.cpp"
 if($tobool7){label=8;break;}else{label=9;break;} //@line 1636 "PropellerCompiler.cpp"
 case 8: 
 var $7=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1638 "PropellerCompiler.cpp"
 var $call9=__ZN11Elementizer8GetValueEv($7); //@line 1638 "PropellerCompiler.cpp"
 $freq=$call9; //@line 1638 "PropellerCompiler.cpp"
 label=9;break; //@line 1639 "PropellerCompiler.cpp"
 case 9: 
 var $call11=__Z19Determine_GetSymbolPKciRb(8752,99,$bHaveXinFreq); //@line 1640 "PropellerCompiler.cpp"
 if($call11){label=11;break;}else{label=10;break;} //@line 1640 "PropellerCompiler.cpp"
 case 10: 
 $retval=0; //@line 1642 "PropellerCompiler.cpp"
 label=50;break; //@line 1642 "PropellerCompiler.cpp"
 case 11: 
 var $8=HEAP8[($bHaveXinFreq)]; //@line 1644 "PropellerCompiler.cpp"
 var $tobool14=(($8)&1); //@line 1644 "PropellerCompiler.cpp"
 if($tobool14){label=12;break;}else{label=13;break;} //@line 1644 "PropellerCompiler.cpp"
 case 12: 
 var $9=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1646 "PropellerCompiler.cpp"
 var $call16=__ZN11Elementizer8GetValueEv($9); //@line 1646 "PropellerCompiler.cpp"
 $xin=$call16; //@line 1646 "PropellerCompiler.cpp"
 label=13;break; //@line 1647 "PropellerCompiler.cpp"
 case 13: 
 var $10=HEAP8[($bHaveClkMode)]; //@line 1649 "PropellerCompiler.cpp"
 var $tobool18=(($10)&1); //@line 1649 "PropellerCompiler.cpp"
 var $conv=($tobool18&1); //@line 1649 "PropellerCompiler.cpp"
 var $cmp=($conv|0)==0; //@line 1649 "PropellerCompiler.cpp"
 if($cmp){label=14;break;}else{label=17;break;} //@line 1649 "PropellerCompiler.cpp"
 case 14: 
 var $11=HEAP8[($bHaveClkFreq)]; //@line 1649 "PropellerCompiler.cpp"
 var $tobool19=(($11)&1); //@line 1649 "PropellerCompiler.cpp"
 var $conv20=($tobool19&1); //@line 1649 "PropellerCompiler.cpp"
 var $cmp21=($conv20|0)==0; //@line 1649 "PropellerCompiler.cpp"
 if($cmp21){label=15;break;}else{label=17;break;} //@line 1649 "PropellerCompiler.cpp"
 case 15: 
 var $12=HEAP8[($bHaveXinFreq)]; //@line 1649 "PropellerCompiler.cpp"
 var $tobool23=(($12)&1); //@line 1649 "PropellerCompiler.cpp"
 var $conv24=($tobool23&1); //@line 1649 "PropellerCompiler.cpp"
 var $cmp25=($conv24|0)==0; //@line 1649 "PropellerCompiler.cpp"
 if($cmp25){label=16;break;}else{label=17;break;} //@line 1649 "PropellerCompiler.cpp"
 case 16: 
 $retval=1; //@line 1652 "PropellerCompiler.cpp"
 label=50;break; //@line 1652 "PropellerCompiler.cpp"
 case 17: 
 var $13=HEAP8[($bHaveClkMode)]; //@line 1656 "PropellerCompiler.cpp"
 var $tobool28=(($13)&1); //@line 1656 "PropellerCompiler.cpp"
 var $conv29=($tobool28&1); //@line 1656 "PropellerCompiler.cpp"
 var $cmp30=($conv29|0)==0; //@line 1656 "PropellerCompiler.cpp"
 if($cmp30){label=18;break;}else{label=21;break;} //@line 1656 "PropellerCompiler.cpp"
 case 18: 
 var $14=HEAP8[($bHaveClkFreq)]; //@line 1656 "PropellerCompiler.cpp"
 var $tobool32=(($14)&1); //@line 1656 "PropellerCompiler.cpp"
 var $conv33=($tobool32&1); //@line 1656 "PropellerCompiler.cpp"
 var $cmp34=($conv33|0)==1; //@line 1656 "PropellerCompiler.cpp"
 if($cmp34){label=20;break;}else{label=19;break;} //@line 1656 "PropellerCompiler.cpp"
 case 19: 
 var $15=HEAP8[($bHaveXinFreq)]; //@line 1656 "PropellerCompiler.cpp"
 var $tobool35=(($15)&1); //@line 1656 "PropellerCompiler.cpp"
 var $conv36=($tobool35&1); //@line 1656 "PropellerCompiler.cpp"
 var $cmp37=($conv36|0)==1; //@line 1656 "PropellerCompiler.cpp"
 if($cmp37){label=20;break;}else{label=21;break;} //@line 1656 "PropellerCompiler.cpp"
 case 20: 
 var $16=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1658 "PropellerCompiler.cpp"
 var $17=$16; //@line 1658 "PropellerCompiler.cpp"
 var $error=(($17)|0); //@line 1658 "PropellerCompiler.cpp"
 HEAP8[($error)]=1; //@line 1658 "PropellerCompiler.cpp"
 var $18=((((HEAPU8[(48)])|(HEAPU8[(49)]<<8)|(HEAPU8[(50)]<<16)|(HEAPU8[(51)]<<24))|0)); //@line 1659 "PropellerCompiler.cpp"
 var $19=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1659 "PropellerCompiler.cpp"
 var $20=$19; //@line 1659 "PropellerCompiler.cpp"
 var $error_msg=(($20+4)|0); //@line 1659 "PropellerCompiler.cpp"
 tempBigInt=$18;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 1659 "PropellerCompiler.cpp"
 $retval=0; //@line 1660 "PropellerCompiler.cpp"
 label=50;break; //@line 1660 "PropellerCompiler.cpp"
 case 21: 
 var $21=HEAP8[($bHaveClkFreq)]; //@line 1664 "PropellerCompiler.cpp"
 var $tobool40=(($21)&1); //@line 1664 "PropellerCompiler.cpp"
 var $conv41=($tobool40&1); //@line 1664 "PropellerCompiler.cpp"
 var $cmp42=($conv41|0)==1; //@line 1664 "PropellerCompiler.cpp"
 if($cmp42){label=22;break;}else{label=24;break;} //@line 1664 "PropellerCompiler.cpp"
 case 22: 
 var $22=HEAP8[($bHaveXinFreq)]; //@line 1664 "PropellerCompiler.cpp"
 var $tobool44=(($22)&1); //@line 1664 "PropellerCompiler.cpp"
 var $conv45=($tobool44&1); //@line 1664 "PropellerCompiler.cpp"
 var $cmp46=($conv45|0)==1; //@line 1664 "PropellerCompiler.cpp"
 if($cmp46){label=23;break;}else{label=24;break;} //@line 1664 "PropellerCompiler.cpp"
 case 23: 
 var $23=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1666 "PropellerCompiler.cpp"
 var $24=$23; //@line 1666 "PropellerCompiler.cpp"
 var $error48=(($24)|0); //@line 1666 "PropellerCompiler.cpp"
 HEAP8[($error48)]=1; //@line 1666 "PropellerCompiler.cpp"
 var $25=((((HEAPU8[(168)])|(HEAPU8[(169)]<<8)|(HEAPU8[(170)]<<16)|(HEAPU8[(171)]<<24))|0)); //@line 1667 "PropellerCompiler.cpp"
 var $26=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1667 "PropellerCompiler.cpp"
 var $27=$26; //@line 1667 "PropellerCompiler.cpp"
 var $error_msg49=(($27+4)|0); //@line 1667 "PropellerCompiler.cpp"
 tempBigInt=$25;HEAP8[($error_msg49)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg49)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg49)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg49)+(3))|0)]=tempBigInt&0xff; //@line 1667 "PropellerCompiler.cpp"
 $retval=0; //@line 1668 "PropellerCompiler.cpp"
 label=50;break; //@line 1668 "PropellerCompiler.cpp"
 case 24: 
 var $28=$mode; //@line 1672 "PropellerCompiler.cpp"
 var $cmp51=($28|0)==0; //@line 1672 "PropellerCompiler.cpp"
 if($cmp51){label=28;break;}else{label=25;break;} //@line 1672 "PropellerCompiler.cpp"
 case 25: 
 var $29=$mode; //@line 1672 "PropellerCompiler.cpp"
 var $and=$29&-2048; //@line 1672 "PropellerCompiler.cpp"
 var $cmp53=($and|0)!=0; //@line 1672 "PropellerCompiler.cpp"
 if($cmp53){label=28;break;}else{label=26;break;} //@line 1672 "PropellerCompiler.cpp"
 case 26: 
 var $30=$mode; //@line 1672 "PropellerCompiler.cpp"
 var $and55=$30&3; //@line 1672 "PropellerCompiler.cpp"
 var $cmp56=($and55|0)!=0; //@line 1672 "PropellerCompiler.cpp"
 if($cmp56){label=27;break;}else{label=29;break;} //@line 1672 "PropellerCompiler.cpp"
 case 27: 
 var $31=$mode; //@line 1672 "PropellerCompiler.cpp"
 var $and58=$31&2044; //@line 1672 "PropellerCompiler.cpp"
 var $cmp59=($and58|0)!=0; //@line 1672 "PropellerCompiler.cpp"
 if($cmp59){label=28;break;}else{label=29;break;} //@line 1672 "PropellerCompiler.cpp"
 case 28: 
 var $32=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1674 "PropellerCompiler.cpp"
 var $33=$32; //@line 1674 "PropellerCompiler.cpp"
 var $error61=(($33)|0); //@line 1674 "PropellerCompiler.cpp"
 HEAP8[($error61)]=1; //@line 1674 "PropellerCompiler.cpp"
 var $34=((((HEAPU8[(260)])|(HEAPU8[(261)]<<8)|(HEAPU8[(262)]<<16)|(HEAPU8[(263)]<<24))|0)); //@line 1675 "PropellerCompiler.cpp"
 var $35=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1675 "PropellerCompiler.cpp"
 var $36=$35; //@line 1675 "PropellerCompiler.cpp"
 var $error_msg62=(($36+4)|0); //@line 1675 "PropellerCompiler.cpp"
 tempBigInt=$34;HEAP8[($error_msg62)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg62)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg62)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg62)+(3))|0)]=tempBigInt&0xff; //@line 1675 "PropellerCompiler.cpp"
 $retval=0; //@line 1676 "PropellerCompiler.cpp"
 label=50;break; //@line 1676 "PropellerCompiler.cpp"
 case 29: 
 var $37=$mode; //@line 1679 "PropellerCompiler.cpp"
 var $and64=$37&3; //@line 1679 "PropellerCompiler.cpp"
 var $tobool65=($and64|0)!=0; //@line 1679 "PropellerCompiler.cpp"
 if($tobool65){label=30;break;}else{label=36;break;} //@line 1679 "PropellerCompiler.cpp"
 case 30: 
 var $38=HEAP8[($bHaveClkFreq)]; //@line 1682 "PropellerCompiler.cpp"
 var $tobool67=(($38)&1); //@line 1682 "PropellerCompiler.cpp"
 var $conv68=($tobool67&1); //@line 1682 "PropellerCompiler.cpp"
 var $cmp69=($conv68|0)==1; //@line 1682 "PropellerCompiler.cpp"
 if($cmp69){label=32;break;}else{label=31;break;} //@line 1682 "PropellerCompiler.cpp"
 case 31: 
 var $39=HEAP8[($bHaveXinFreq)]; //@line 1682 "PropellerCompiler.cpp"
 var $tobool71=(($39)&1); //@line 1682 "PropellerCompiler.cpp"
 var $conv72=($tobool71&1); //@line 1682 "PropellerCompiler.cpp"
 var $cmp73=($conv72|0)==1; //@line 1682 "PropellerCompiler.cpp"
 if($cmp73){label=32;break;}else{label=33;break;} //@line 1682 "PropellerCompiler.cpp"
 case 32: 
 var $40=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1684 "PropellerCompiler.cpp"
 var $41=$40; //@line 1684 "PropellerCompiler.cpp"
 var $error75=(($41)|0); //@line 1684 "PropellerCompiler.cpp"
 HEAP8[($error75)]=1; //@line 1684 "PropellerCompiler.cpp"
 var $42=((((HEAPU8[(44)])|(HEAPU8[(45)]<<8)|(HEAPU8[(46)]<<16)|(HEAPU8[(47)]<<24))|0)); //@line 1685 "PropellerCompiler.cpp"
 var $43=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1685 "PropellerCompiler.cpp"
 var $44=$43; //@line 1685 "PropellerCompiler.cpp"
 var $error_msg76=(($44+4)|0); //@line 1685 "PropellerCompiler.cpp"
 tempBigInt=$42;HEAP8[($error_msg76)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg76)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg76)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg76)+(3))|0)]=tempBigInt&0xff; //@line 1685 "PropellerCompiler.cpp"
 $retval=0; //@line 1686 "PropellerCompiler.cpp"
 label=50;break; //@line 1686 "PropellerCompiler.cpp"
 case 33: 
 var $45=$mode; //@line 1689 "PropellerCompiler.cpp"
 var $cmp78=($45|0)==2; //@line 1689 "PropellerCompiler.cpp"
 if($cmp78){label=34;break;}else{label=35;break;} //@line 1689 "PropellerCompiler.cpp"
 case 34: 
 var $46=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1692 "PropellerCompiler.cpp"
 var $47=$46; //@line 1692 "PropellerCompiler.cpp"
 var $clkmode80=(($47+16971060)|0); //@line 1692 "PropellerCompiler.cpp"
 HEAP8[($clkmode80)]=1; //@line 1692 "PropellerCompiler.cpp"
 var $48=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1693 "PropellerCompiler.cpp"
 var $49=$48; //@line 1693 "PropellerCompiler.cpp"
 var $clkfreq81=(($49+16971064)|0); //@line 1693 "PropellerCompiler.cpp"
 tempBigInt=20000;HEAP8[($clkfreq81)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($clkfreq81)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($clkfreq81)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($clkfreq81)+(3))|0)]=tempBigInt&0xff; //@line 1693 "PropellerCompiler.cpp"
 $retval=1; //@line 1694 "PropellerCompiler.cpp"
 label=50;break; //@line 1694 "PropellerCompiler.cpp"
 case 35: 
 $retval=1; //@line 1699 "PropellerCompiler.cpp"
 label=50;break; //@line 1699 "PropellerCompiler.cpp"
 case 36: 
 tempBigInt=0;HEAP8[($bitPos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bitPos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bitPos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bitPos)+(3))|0)]=tempBigInt&0xff; //@line 1705 "PropellerCompiler.cpp"
 var $50=$mode; //@line 1706 "PropellerCompiler.cpp"
 var $shr=$50>>2; //@line 1706 "PropellerCompiler.cpp"
 var $and83=$shr&15; //@line 1706 "PropellerCompiler.cpp"
 var $call84=__Z19Determine_GetBitPosiRi($and83,$bitPos); //@line 1706 "PropellerCompiler.cpp"
 if($call84){label=38;break;}else{label=37;break;} //@line 1706 "PropellerCompiler.cpp"
 case 37: 
 $retval=0; //@line 1708 "PropellerCompiler.cpp"
 label=50;break; //@line 1708 "PropellerCompiler.cpp"
 case 38: 
 var $51=((((HEAPU8[($bitPos)])|(HEAPU8[((($bitPos)+(1))|0)]<<8)|(HEAPU8[((($bitPos)+(2))|0)]<<16)|(HEAPU8[((($bitPos)+(3))|0)]<<24))|0)); //@line 1710 "PropellerCompiler.cpp"
 var $shl=$51<<3; //@line 1710 "PropellerCompiler.cpp"
 var $or=$shl|34; //@line 1710 "PropellerCompiler.cpp"
 var $conv87=(($or)&255); //@line 1710 "PropellerCompiler.cpp"
 var $52=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1710 "PropellerCompiler.cpp"
 var $53=$52; //@line 1710 "PropellerCompiler.cpp"
 var $clkmode88=(($53+16971060)|0); //@line 1710 "PropellerCompiler.cpp"
 HEAP8[($clkmode88)]=$conv87; //@line 1710 "PropellerCompiler.cpp"
 var $54=$mode; //@line 1712 "PropellerCompiler.cpp"
 var $and89=$54&1984; //@line 1712 "PropellerCompiler.cpp"
 var $tobool90=($and89|0)!=0; //@line 1712 "PropellerCompiler.cpp"
 if($tobool90){label=39;break;}else{label=42;break;} //@line 1712 "PropellerCompiler.cpp"
 case 39: 
 var $55=$mode; //@line 1715 "PropellerCompiler.cpp"
 var $shr92=$55>>6; //@line 1715 "PropellerCompiler.cpp"
 var $call93=__Z19Determine_GetBitPosiRi($shr92,$bitPos); //@line 1715 "PropellerCompiler.cpp"
 if($call93){label=41;break;}else{label=40;break;} //@line 1715 "PropellerCompiler.cpp"
 case 40: 
 $retval=0; //@line 1717 "PropellerCompiler.cpp"
 label=50;break; //@line 1717 "PropellerCompiler.cpp"
 case 41: 
 var $56=((((HEAPU8[($bitPos)])|(HEAPU8[((($bitPos)+(1))|0)]<<8)|(HEAPU8[((($bitPos)+(2))|0)]<<16)|(HEAPU8[((($bitPos)+(3))|0)]<<24))|0)); //@line 1719 "PropellerCompiler.cpp"
 $freqShift=$56; //@line 1719 "PropellerCompiler.cpp"
 var $57=((((HEAPU8[($bitPos)])|(HEAPU8[((($bitPos)+(1))|0)]<<8)|(HEAPU8[((($bitPos)+(2))|0)]<<16)|(HEAPU8[((($bitPos)+(3))|0)]<<24))|0)); //@line 1720 "PropellerCompiler.cpp"
 var $add=((($57)+(65))|0); //@line 1720 "PropellerCompiler.cpp"
 var $conv96=(($add)&255); //@line 1720 "PropellerCompiler.cpp"
 var $conv97=($conv96&255); //@line 1720 "PropellerCompiler.cpp"
 var $58=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1720 "PropellerCompiler.cpp"
 var $59=$58; //@line 1720 "PropellerCompiler.cpp"
 var $clkmode98=(($59+16971060)|0); //@line 1720 "PropellerCompiler.cpp"
 var $60=HEAP8[($clkmode98)]; //@line 1720 "PropellerCompiler.cpp"
 var $conv99=($60&255); //@line 1720 "PropellerCompiler.cpp"
 var $add100=((($conv99)+($conv97))|0); //@line 1720 "PropellerCompiler.cpp"
 var $conv101=(($add100)&255); //@line 1720 "PropellerCompiler.cpp"
 HEAP8[($clkmode98)]=$conv101; //@line 1720 "PropellerCompiler.cpp"
 label=42;break; //@line 1721 "PropellerCompiler.cpp"
 case 42: 
 label=43;break;
 case 43: 
 var $61=HEAP8[($bHaveClkFreq)]; //@line 1727 "PropellerCompiler.cpp"
 var $tobool104=(($61)&1); //@line 1727 "PropellerCompiler.cpp"
 var $conv105=($tobool104&1); //@line 1727 "PropellerCompiler.cpp"
 var $cmp106=($conv105|0)==0; //@line 1727 "PropellerCompiler.cpp"
 if($cmp106){label=44;break;}else{label=46;break;} //@line 1727 "PropellerCompiler.cpp"
 case 44: 
 var $62=HEAP8[($bHaveXinFreq)]; //@line 1727 "PropellerCompiler.cpp"
 var $tobool108=(($62)&1); //@line 1727 "PropellerCompiler.cpp"
 var $conv109=($tobool108&1); //@line 1727 "PropellerCompiler.cpp"
 var $cmp110=($conv109|0)==0; //@line 1727 "PropellerCompiler.cpp"
 if($cmp110){label=45;break;}else{label=46;break;} //@line 1727 "PropellerCompiler.cpp"
 case 45: 
 var $63=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1729 "PropellerCompiler.cpp"
 var $64=$63; //@line 1729 "PropellerCompiler.cpp"
 var $error112=(($64)|0); //@line 1729 "PropellerCompiler.cpp"
 HEAP8[($error112)]=1; //@line 1729 "PropellerCompiler.cpp"
 var $65=((((HEAPU8[(36)])|(HEAPU8[(37)]<<8)|(HEAPU8[(38)]<<16)|(HEAPU8[(39)]<<24))|0)); //@line 1730 "PropellerCompiler.cpp"
 var $66=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1730 "PropellerCompiler.cpp"
 var $67=$66; //@line 1730 "PropellerCompiler.cpp"
 var $error_msg113=(($67+4)|0); //@line 1730 "PropellerCompiler.cpp"
 tempBigInt=$65;HEAP8[($error_msg113)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg113)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg113)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg113)+(3))|0)]=tempBigInt&0xff; //@line 1730 "PropellerCompiler.cpp"
 $retval=0; //@line 1731 "PropellerCompiler.cpp"
 label=50;break; //@line 1731 "PropellerCompiler.cpp"
 case 46: 
 var $68=HEAP8[($bHaveClkFreq)]; //@line 1734 "PropellerCompiler.cpp"
 var $tobool115=(($68)&1); //@line 1734 "PropellerCompiler.cpp"
 if($tobool115){label=47;break;}else{label=48;break;} //@line 1734 "PropellerCompiler.cpp"
 case 47: 
 var $69=$freq; //@line 1736 "PropellerCompiler.cpp"
 var $70=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1736 "PropellerCompiler.cpp"
 var $71=$70; //@line 1736 "PropellerCompiler.cpp"
 var $clkfreq117=(($71+16971064)|0); //@line 1736 "PropellerCompiler.cpp"
 tempBigInt=$69;HEAP8[($clkfreq117)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($clkfreq117)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($clkfreq117)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($clkfreq117)+(3))|0)]=tempBigInt&0xff; //@line 1736 "PropellerCompiler.cpp"
 label=49;break; //@line 1737 "PropellerCompiler.cpp"
 case 48: 
 var $72=$xin; //@line 1740 "PropellerCompiler.cpp"
 var $73=$freqShift; //@line 1740 "PropellerCompiler.cpp"
 var $shl119=$72<<$73; //@line 1740 "PropellerCompiler.cpp"
 var $74=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1740 "PropellerCompiler.cpp"
 var $75=$74; //@line 1740 "PropellerCompiler.cpp"
 var $clkfreq120=(($75+16971064)|0); //@line 1740 "PropellerCompiler.cpp"
 tempBigInt=$shl119;HEAP8[($clkfreq120)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($clkfreq120)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($clkfreq120)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($clkfreq120)+(3))|0)]=tempBigInt&0xff; //@line 1740 "PropellerCompiler.cpp"
 label=49;break;
 case 49: 
 $retval=1; //@line 1743 "PropellerCompiler.cpp"
 label=50;break; //@line 1743 "PropellerCompiler.cpp"
 case 50: 
 var $76=$retval; //@line 1744 "PropellerCompiler.cpp"
 STACKTOP=sp;return $76; //@line 1744 "PropellerCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z14DetermineDebugv(){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+8)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $bFound=sp;
 HEAP8[($bFound)]=0; //@line 1748 "PropellerCompiler.cpp"
 var $call=__Z19Determine_GetSymbolPKciRb(8496,101,$bFound); //@line 1749 "PropellerCompiler.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 1749 "PropellerCompiler.cpp"
 case 2: 
 $retval=0; //@line 1751 "PropellerCompiler.cpp"
 label=6;break; //@line 1751 "PropellerCompiler.cpp"
 case 3: 
 var $0=HEAP8[($bFound)]; //@line 1753 "PropellerCompiler.cpp"
 var $tobool=(($0)&1); //@line 1753 "PropellerCompiler.cpp"
 if($tobool){label=4;break;}else{label=5;break;} //@line 1753 "PropellerCompiler.cpp"
 case 4: 
 var $1=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1755 "PropellerCompiler.cpp"
 var $call2=__ZN11Elementizer8GetValueEv($1); //@line 1755 "PropellerCompiler.cpp"
 var $2=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1755 "PropellerCompiler.cpp"
 var $3=$2; //@line 1755 "PropellerCompiler.cpp"
 var $debugbaud=(($3+16971068)|0); //@line 1755 "PropellerCompiler.cpp"
 tempBigInt=$call2;HEAP8[($debugbaud)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($debugbaud)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($debugbaud)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($debugbaud)+(3))|0)]=tempBigInt&0xff; //@line 1755 "PropellerCompiler.cpp"
 label=5;break; //@line 1756 "PropellerCompiler.cpp"
 case 5: 
 $retval=1; //@line 1757 "PropellerCompiler.cpp"
 label=6;break; //@line 1757 "PropellerCompiler.cpp"
 case 6: 
 var $4=$retval; //@line 1758 "PropellerCompiler.cpp"
 STACKTOP=sp;return $4; //@line 1758 "PropellerCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z10CompileDocv(){
 var label=0;
 var tempVarArgs=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+520)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $bEof=sp;
 var $savedSourceStart;
 var $tempStr=(sp)+(8);
 var $variables;
 var $program;
 var $0=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1944 "PropellerCompiler.cpp"
 __ZN11Elementizer5ResetEv($0); //@line 1944 "PropellerCompiler.cpp"
 var $1=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1945 "PropellerCompiler.cpp"
 var $doc_flag=(($1+16979570)|0); //@line 1945 "PropellerCompiler.cpp"
 HEAP8[($doc_flag)]=0; //@line 1945 "PropellerCompiler.cpp"
 var $2=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1946 "PropellerCompiler.cpp"
 var $doc_mode=(($2+16979571)|0); //@line 1946 "PropellerCompiler.cpp"
 HEAP8[($doc_mode)]=1; //@line 1946 "PropellerCompiler.cpp"
 HEAP8[($bEof)]=0; //@line 1948 "PropellerCompiler.cpp"
 label=2;break; //@line 1953 "PropellerCompiler.cpp"
 case 2: 
 var $3=HEAP8[($bEof)]; //@line 1953 "PropellerCompiler.cpp"
 var $tobool=(($3)&1); //@line 1953 "PropellerCompiler.cpp"
 var $lnot=$tobool^1; //@line 1953 "PropellerCompiler.cpp"
 if($lnot){label=3;break;}else{label=8;break;} //@line 1953 "PropellerCompiler.cpp"
 case 3: 
 var $4=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1955 "PropellerCompiler.cpp"
 var $call=__ZN11Elementizer7GetNextERb($4,$bEof); //@line 1955 "PropellerCompiler.cpp"
 if($call){label=5;break;}else{label=4;break;} //@line 1955 "PropellerCompiler.cpp"
 case 4: 
 $retval=0; //@line 1957 "PropellerCompiler.cpp"
 label=25;break; //@line 1957 "PropellerCompiler.cpp"
 case 5: 
 var $5=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1959 "PropellerCompiler.cpp"
 var $call1=__ZN11Elementizer7GetTypeEv($5); //@line 1959 "PropellerCompiler.cpp"
 var $cmp=($call1|0)!=84; //@line 1959 "PropellerCompiler.cpp"
 if($cmp){label=6;break;}else{label=7;break;} //@line 1959 "PropellerCompiler.cpp"
 case 6: 
 label=8;break; //@line 1961 "PropellerCompiler.cpp"
 case 7: 
 label=2;break; //@line 1963 "PropellerCompiler.cpp"
 case 8: 
 var $6=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1966 "PropellerCompiler.cpp"
 var $doc_flag4=(($6+16979570)|0); //@line 1966 "PropellerCompiler.cpp"
 var $7=HEAP8[($doc_flag4)]; //@line 1966 "PropellerCompiler.cpp"
 var $tobool5=(($7)&1); //@line 1966 "PropellerCompiler.cpp"
 if($tobool5){label=9;break;}else{label=12;break;} //@line 1966 "PropellerCompiler.cpp"
 case 9: 
 var $call7=__Z8PrintChrc(13); //@line 1968 "PropellerCompiler.cpp"
 if($call7){label=11;break;}else{label=10;break;} //@line 1968 "PropellerCompiler.cpp"
 case 10: 
 $retval=0; //@line 1970 "PropellerCompiler.cpp"
 label=25;break; //@line 1970 "PropellerCompiler.cpp"
 case 11: 
 label=12;break; //@line 1972 "PropellerCompiler.cpp"
 case 12: 
 var $8=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1975 "PropellerCompiler.cpp"
 var $doc_mode11=(($8+16979571)|0); //@line 1975 "PropellerCompiler.cpp"
 HEAP8[($doc_mode11)]=0; //@line 1975 "PropellerCompiler.cpp"
 var $9=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1976 "PropellerCompiler.cpp"
 var $10=$9; //@line 1976 "PropellerCompiler.cpp"
 var $source_start=(($10+16)|0); //@line 1976 "PropellerCompiler.cpp"
 var $11=((((HEAPU8[($source_start)])|(HEAPU8[((($source_start)+(1))|0)]<<8)|(HEAPU8[((($source_start)+(2))|0)]<<16)|(HEAPU8[((($source_start)+(3))|0)]<<24))|0)); //@line 1976 "PropellerCompiler.cpp"
 $savedSourceStart=$11; //@line 1976 "PropellerCompiler.cpp"
 var $arraydecay=(($tempStr)|0); //@line 1979 "PropellerCompiler.cpp"
 var $12=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1979 "PropellerCompiler.cpp"
 var $13=$12; //@line 1979 "PropellerCompiler.cpp"
 var $obj_title=(($13+16851640)|0); //@line 1979 "PropellerCompiler.cpp"
 var $arraydecay12=(($obj_title)|0); //@line 1979 "PropellerCompiler.cpp"
 var $call13=_sprintf($arraydecay,7824,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 8)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=$arraydecay12,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 1979 "PropellerCompiler.cpp"
 var $arraydecay14=(($tempStr)|0); //@line 1980 "PropellerCompiler.cpp"
 var $call15=__Z11PrintStringPKc($arraydecay14); //@line 1980 "PropellerCompiler.cpp"
 if($call15){label=14;break;}else{label=13;break;} //@line 1980 "PropellerCompiler.cpp"
 case 13: 
 $retval=0; //@line 1982 "PropellerCompiler.cpp"
 label=25;break; //@line 1982 "PropellerCompiler.cpp"
 case 14: 
 var $call18=__Z11PrintStringPKc(7616); //@line 1984 "PropellerCompiler.cpp"
 if($call18){label=16;break;}else{label=15;break;} //@line 1984 "PropellerCompiler.cpp"
 case 15: 
 $retval=0; //@line 1986 "PropellerCompiler.cpp"
 label=25;break; //@line 1986 "PropellerCompiler.cpp"
 case 16: 
 var $14=$savedSourceStart; //@line 1988 "PropellerCompiler.cpp"
 var $call21=__Z19CompileDoc_PrintAlli($14); //@line 1988 "PropellerCompiler.cpp"
 if($call21){label=18;break;}else{label=17;break;} //@line 1988 "PropellerCompiler.cpp"
 case 17: 
 $retval=0; //@line 1990 "PropellerCompiler.cpp"
 label=25;break; //@line 1990 "PropellerCompiler.cpp"
 case 18: 
 var $15=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1992 "PropellerCompiler.cpp"
 var $16=$15; //@line 1992 "PropellerCompiler.cpp"
 var $obj=(($16+48)|0); //@line 1992 "PropellerCompiler.cpp"
 var $arrayidx=(($obj)|0); //@line 1992 "PropellerCompiler.cpp"
 var $17=$arrayidx; //@line 1992 "PropellerCompiler.cpp"
 var $18=(((((HEAPU8[($17)])|(HEAPU8[((($17)+(1))|0)]<<8))<<16)>>16)); //@line 1992 "PropellerCompiler.cpp"
 var $conv=(($18<<16)>>16); //@line 1992 "PropellerCompiler.cpp"
 var $shr=$conv>>2; //@line 1992 "PropellerCompiler.cpp"
 var $conv24=(($shr)&65535); //@line 1992 "PropellerCompiler.cpp"
 $variables=$conv24; //@line 1992 "PropellerCompiler.cpp"
 var $19=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1993 "PropellerCompiler.cpp"
 var $20=$19; //@line 1993 "PropellerCompiler.cpp"
 var $obj25=(($20+48)|0); //@line 1993 "PropellerCompiler.cpp"
 var $arrayidx26=(($obj25+2)|0); //@line 1993 "PropellerCompiler.cpp"
 var $21=$arrayidx26; //@line 1993 "PropellerCompiler.cpp"
 var $22=(((((HEAPU8[($21)])|(HEAPU8[((($21)+(1))|0)]<<8))<<16)>>16)); //@line 1993 "PropellerCompiler.cpp"
 var $conv27=(($22<<16)>>16); //@line 1993 "PropellerCompiler.cpp"
 var $shr28=$conv27>>2; //@line 1993 "PropellerCompiler.cpp"
 var $conv29=(($shr28)&65535); //@line 1993 "PropellerCompiler.cpp"
 $program=$conv29; //@line 1993 "PropellerCompiler.cpp"
 var $arraydecay30=(($tempStr)|0); //@line 1994 "PropellerCompiler.cpp"
 var $23=$program; //@line 1994 "PropellerCompiler.cpp"
 var $conv31=(($23<<16)>>16); //@line 1994 "PropellerCompiler.cpp"
 var $24=$variables; //@line 1994 "PropellerCompiler.cpp"
 var $conv32=(($24<<16)>>16); //@line 1994 "PropellerCompiler.cpp"
 var $call33=_sprintf($arraydecay30,7424,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 16)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=$conv31,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempBigInt=$conv32,HEAP8[(((tempVarArgs)+(8))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[((((tempVarArgs)+(8))+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[((((tempVarArgs)+(8))+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[((((tempVarArgs)+(8))+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 1994 "PropellerCompiler.cpp"
 var $arraydecay34=(($tempStr)|0); //@line 1995 "PropellerCompiler.cpp"
 var $call35=__Z11PrintStringPKc($arraydecay34); //@line 1995 "PropellerCompiler.cpp"
 if($call35){label=20;break;}else{label=19;break;} //@line 1995 "PropellerCompiler.cpp"
 case 19: 
 $retval=0; //@line 1997 "PropellerCompiler.cpp"
 label=25;break; //@line 1997 "PropellerCompiler.cpp"
 case 20: 
 var $25=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 2001 "PropellerCompiler.cpp"
 var $doc_flag38=(($25+16979570)|0); //@line 2001 "PropellerCompiler.cpp"
 var $26=HEAP8[($doc_flag38)]; //@line 2001 "PropellerCompiler.cpp"
 var $tobool39=(($26)&1); //@line 2001 "PropellerCompiler.cpp"
 if($tobool39){label=21;break;}else{label=24;break;} //@line 2001 "PropellerCompiler.cpp"
 case 21: 
 var $27=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 2004 "PropellerCompiler.cpp"
 var $doc_mode41=(($27+16979571)|0); //@line 2004 "PropellerCompiler.cpp"
 HEAP8[($doc_mode41)]=1; //@line 2004 "PropellerCompiler.cpp"
 var $28=$savedSourceStart; //@line 2007 "PropellerCompiler.cpp"
 var $call42=__Z19CompileDoc_PrintAlli($28); //@line 2007 "PropellerCompiler.cpp"
 if($call42){label=23;break;}else{label=22;break;} //@line 2007 "PropellerCompiler.cpp"
 case 22: 
 $retval=0; //@line 2009 "PropellerCompiler.cpp"
 label=25;break; //@line 2009 "PropellerCompiler.cpp"
 case 23: 
 label=24;break; //@line 2011 "PropellerCompiler.cpp"
 case 24: 
 $retval=1; //@line 2013 "PropellerCompiler.cpp"
 label=25;break; //@line 2013 "PropellerCompiler.cpp"
 case 25: 
 var $29=$retval; //@line 2014 "PropellerCompiler.cpp"
 STACKTOP=sp;return $29; //@line 2014 "PropellerCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z12GetErrorInfoRiS_S_S_S_S_($lineNumber,$column,$offsetToStartOfLine,$offsetToEndOfLine,$offendingItemStart,$offendingItemEnd){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $lineNumber_addr;
 var $column_addr;
 var $offsetToStartOfLine_addr;
 var $offsetToEndOfLine_addr;
 var $offendingItemStart_addr;
 var $offendingItemEnd_addr;
 $lineNumber_addr=$lineNumber;
 $column_addr=$column;
 $offsetToStartOfLine_addr=$offsetToStartOfLine;
 $offsetToEndOfLine_addr=$offsetToEndOfLine;
 $offendingItemStart_addr=$offendingItemStart;
 $offendingItemEnd_addr=$offendingItemEnd;
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 239 "PropellerCompiler.cpp"
 var $tobool=($0|0)!=0; //@line 239 "PropellerCompiler.cpp"
 if($tobool){label=2;break;}else{label=4;break;} //@line 239 "PropellerCompiler.cpp"
 case 2: 
 var $1=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 239 "PropellerCompiler.cpp"
 var $2=$1; //@line 239 "PropellerCompiler.cpp"
 var $error=(($2)|0); //@line 239 "PropellerCompiler.cpp"
 var $3=HEAP8[($error)]; //@line 239 "PropellerCompiler.cpp"
 var $tobool1=(($3)&1); //@line 239 "PropellerCompiler.cpp"
 if($tobool1){label=3;break;}else{label=4;break;} //@line 239 "PropellerCompiler.cpp"
 case 3: 
 var $4=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 241 "PropellerCompiler.cpp"
 var $5=$offsetToStartOfLine_addr; //@line 241 "PropellerCompiler.cpp"
 var $6=$offsetToEndOfLine_addr; //@line 241 "PropellerCompiler.cpp"
 var $call=__ZN11Elementizer20GetCurrentLineNumberERiS0_($4,$5,$6); //@line 241 "PropellerCompiler.cpp"
 var $7=$lineNumber_addr; //@line 241 "PropellerCompiler.cpp"
 tempBigInt=$call;HEAP8[($7)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($7)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($7)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($7)+(3))|0)]=tempBigInt&0xff; //@line 241 "PropellerCompiler.cpp"
 var $8=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 242 "PropellerCompiler.cpp"
 var $call2=__ZN11Elementizer9GetColumnEv($8); //@line 242 "PropellerCompiler.cpp"
 var $9=$column_addr; //@line 242 "PropellerCompiler.cpp"
 tempBigInt=$call2;HEAP8[($9)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($9)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($9)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($9)+(3))|0)]=tempBigInt&0xff; //@line 242 "PropellerCompiler.cpp"
 var $10=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 243 "PropellerCompiler.cpp"
 var $11=$10; //@line 243 "PropellerCompiler.cpp"
 var $source_start=(($11+16)|0); //@line 243 "PropellerCompiler.cpp"
 var $12=((((HEAPU8[($source_start)])|(HEAPU8[((($source_start)+(1))|0)]<<8)|(HEAPU8[((($source_start)+(2))|0)]<<16)|(HEAPU8[((($source_start)+(3))|0)]<<24))|0)); //@line 243 "PropellerCompiler.cpp"
 var $13=$offendingItemStart_addr; //@line 243 "PropellerCompiler.cpp"
 tempBigInt=$12;HEAP8[($13)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($13)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($13)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($13)+(3))|0)]=tempBigInt&0xff; //@line 243 "PropellerCompiler.cpp"
 var $14=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 244 "PropellerCompiler.cpp"
 var $15=$14; //@line 244 "PropellerCompiler.cpp"
 var $source_finish=(($15+20)|0); //@line 244 "PropellerCompiler.cpp"
 var $16=((((HEAPU8[($source_finish)])|(HEAPU8[((($source_finish)+(1))|0)]<<8)|(HEAPU8[((($source_finish)+(2))|0)]<<16)|(HEAPU8[((($source_finish)+(3))|0)]<<24))|0)); //@line 244 "PropellerCompiler.cpp"
 var $17=$offendingItemEnd_addr; //@line 244 "PropellerCompiler.cpp"
 tempBigInt=$16;HEAP8[($17)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($17)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($17)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($17)+(3))|0)]=tempBigInt&0xff; //@line 244 "PropellerCompiler.cpp"
 $retval=1; //@line 245 "PropellerCompiler.cpp"
 label=5;break; //@line 245 "PropellerCompiler.cpp"
 case 4: 
 $retval=0; //@line 248 "PropellerCompiler.cpp"
 label=5;break; //@line 248 "PropellerCompiler.cpp"
 case 5: 
 var $18=$retval; //@line 249 "PropellerCompiler.cpp"
 STACKTOP=sp;return $18; //@line 249 "PropellerCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z26CompileSubBlocksId_CompileiRb($blockType,$bFirst){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+32)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $blockType_addr;
 var $bFirst_addr;
 var $bEof=sp;
 var $params;
 var $locals;
 var $bComma=(sp)+(8);
 var $bPipe=(sp)+(16);
 var $value;
 var $bComma94=(sp)+(24);
 var $value107;
 $blockType_addr=$blockType;
 $bFirst_addr=$bFirst;
 HEAP8[($bEof)]=0; //@line 452 "PropellerCompiler.cpp"
 var $0=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 453 "PropellerCompiler.cpp"
 __ZN11Elementizer5ResetEv($0); //@line 453 "PropellerCompiler.cpp"
 label=2;break; //@line 455 "PropellerCompiler.cpp"
 case 2: 
 var $1=HEAP8[($bEof)]; //@line 455 "PropellerCompiler.cpp"
 var $tobool=(($1)&1); //@line 455 "PropellerCompiler.cpp"
 var $lnot=$tobool^1; //@line 455 "PropellerCompiler.cpp"
 if($lnot){label=3;break;}else{label=80;break;} //@line 455 "PropellerCompiler.cpp"
 case 3: 
 var $2=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 457 "PropellerCompiler.cpp"
 var $3=$blockType_addr; //@line 457 "PropellerCompiler.cpp"
 var $call=__ZN11Elementizer12GetNextBlockEiRb($2,$3,$bEof); //@line 457 "PropellerCompiler.cpp"
 if($call){label=4;break;}else{label=78;break;} //@line 457 "PropellerCompiler.cpp"
 case 4: 
 var $4=HEAP8[($bEof)]; //@line 459 "PropellerCompiler.cpp"
 var $tobool1=(($4)&1); //@line 459 "PropellerCompiler.cpp"
 if($tobool1){label=77;break;}else{label=5;break;} //@line 459 "PropellerCompiler.cpp"
 case 5: 
 $params=0; //@line 461 "PropellerCompiler.cpp"
 $locals=0; //@line 462 "PropellerCompiler.cpp"
 var $5=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 464 "PropellerCompiler.cpp"
 var $call3=__ZN11Elementizer7GetNextERb($5,$bEof); //@line 464 "PropellerCompiler.cpp"
 if($call3){label=7;break;}else{label=6;break;} //@line 464 "PropellerCompiler.cpp"
 case 6: 
 $retval=0; //@line 466 "PropellerCompiler.cpp"
 label=81;break; //@line 466 "PropellerCompiler.cpp"
 case 7: 
 var $6=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 468 "PropellerCompiler.cpp"
 var $call5=__ZN11Elementizer7GetTypeEv($6); //@line 468 "PropellerCompiler.cpp"
 var $cmp=($call5|0)==84; //@line 468 "PropellerCompiler.cpp"
 if($cmp){label=9;break;}else{label=8;break;} //@line 468 "PropellerCompiler.cpp"
 case 8: 
 var $7=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 468 "PropellerCompiler.cpp"
 var $call6=__ZN11Elementizer7GetTypeEv($7); //@line 468 "PropellerCompiler.cpp"
 var $cmp7=($call6|0)!=0; //@line 468 "PropellerCompiler.cpp"
 if($cmp7){label=9;break;}else{label=10;break;} //@line 468 "PropellerCompiler.cpp"
 case 9: 
 var $8=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 470 "PropellerCompiler.cpp"
 var $9=$8; //@line 470 "PropellerCompiler.cpp"
 var $error=(($9)|0); //@line 470 "PropellerCompiler.cpp"
 HEAP8[($error)]=1; //@line 470 "PropellerCompiler.cpp"
 var $10=((((HEAPU8[(140)])|(HEAPU8[(141)]<<8)|(HEAPU8[(142)]<<16)|(HEAPU8[(143)]<<24))|0)); //@line 471 "PropellerCompiler.cpp"
 var $11=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 471 "PropellerCompiler.cpp"
 var $12=$11; //@line 471 "PropellerCompiler.cpp"
 var $error_msg=(($12+4)|0); //@line 471 "PropellerCompiler.cpp"
 tempBigInt=$10;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 471 "PropellerCompiler.cpp"
 $retval=0; //@line 472 "PropellerCompiler.cpp"
 label=81;break; //@line 472 "PropellerCompiler.cpp"
 case 10: 
 var $13=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 476 "PropellerCompiler.cpp"
 __ZN11Elementizer12BackupSymbolEv($13); //@line 476 "PropellerCompiler.cpp"
 var $14=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 478 "PropellerCompiler.cpp"
 var $15=$14; //@line 478 "PropellerCompiler.cpp"
 var $obj_ptr=(($15+16777264)|0); //@line 478 "PropellerCompiler.cpp"
 var $16=((((HEAPU8[($obj_ptr)])|(HEAPU8[((($obj_ptr)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr)+(3))|0)]<<24))|0)); //@line 478 "PropellerCompiler.cpp"
 var $cmp10=($16|0)<1024; //@line 478 "PropellerCompiler.cpp"
 if($cmp10){label=11;break;}else{label=75;break;} //@line 478 "PropellerCompiler.cpp"
 case 11: 
 $params=0; //@line 480 "PropellerCompiler.cpp"
 var $17=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 483 "PropellerCompiler.cpp"
 var $call12=__ZN11Elementizer12CheckElementEi($17,1); //@line 483 "PropellerCompiler.cpp"
 if($call12){label=12;break;}else{label=28;break;} //@line 483 "PropellerCompiler.cpp"
 case 12: 
 label=13;break; //@line 486 "PropellerCompiler.cpp"
 case 13: 
 var $18=HEAP8[($bEof)]; //@line 486 "PropellerCompiler.cpp"
 var $tobool15=(($18)&1); //@line 486 "PropellerCompiler.cpp"
 var $lnot16=$tobool15^1; //@line 486 "PropellerCompiler.cpp"
 if($lnot16){label=14;break;}else{label=27;break;} //@line 486 "PropellerCompiler.cpp"
 case 14: 
 var $19=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 488 "PropellerCompiler.cpp"
 var $call18=__ZN11Elementizer7GetNextERb($19,$bEof); //@line 488 "PropellerCompiler.cpp"
 if($call18){label=16;break;}else{label=15;break;} //@line 488 "PropellerCompiler.cpp"
 case 15: 
 $retval=0; //@line 490 "PropellerCompiler.cpp"
 label=81;break; //@line 490 "PropellerCompiler.cpp"
 case 16: 
 var $20=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 492 "PropellerCompiler.cpp"
 var $call21=__ZN11Elementizer7GetTypeEv($20); //@line 492 "PropellerCompiler.cpp"
 var $cmp22=($call21|0)==0; //@line 492 "PropellerCompiler.cpp"
 if($cmp22){label=17;break;}else{label=25;break;} //@line 492 "PropellerCompiler.cpp"
 case 17: 
 var $21=$params; //@line 494 "PropellerCompiler.cpp"
 var $conv=(($21<<24)>>24); //@line 494 "PropellerCompiler.cpp"
 var $cmp24=($conv|0)<15; //@line 494 "PropellerCompiler.cpp"
 if($cmp24){label=18;break;}else{label=23;break;} //@line 494 "PropellerCompiler.cpp"
 case 18: 
 var $22=$params; //@line 496 "PropellerCompiler.cpp"
 var $inc=((($22)+(1))&255); //@line 496 "PropellerCompiler.cpp"
 $params=$inc; //@line 496 "PropellerCompiler.cpp"
 HEAP8[($bComma)]=0; //@line 497 "PropellerCompiler.cpp"
 var $call26=__Z15GetCommaOrRightRb($bComma); //@line 498 "PropellerCompiler.cpp"
 if($call26){label=20;break;}else{label=19;break;} //@line 498 "PropellerCompiler.cpp"
 case 19: 
 $retval=0; //@line 501 "PropellerCompiler.cpp"
 label=81;break; //@line 501 "PropellerCompiler.cpp"
 case 20: 
 var $23=HEAP8[($bComma)]; //@line 503 "PropellerCompiler.cpp"
 var $tobool29=(($23)&1); //@line 503 "PropellerCompiler.cpp"
 if($tobool29){label=22;break;}else{label=21;break;} //@line 503 "PropellerCompiler.cpp"
 case 21: 
 label=27;break; //@line 506 "PropellerCompiler.cpp"
 case 22: 
 label=24;break; //@line 508 "PropellerCompiler.cpp"
 case 23: 
 var $24=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 512 "PropellerCompiler.cpp"
 var $25=$24; //@line 512 "PropellerCompiler.cpp"
 var $error32=(($25)|0); //@line 512 "PropellerCompiler.cpp"
 HEAP8[($error32)]=1; //@line 512 "PropellerCompiler.cpp"
 var $26=((((HEAPU8[(332)])|(HEAPU8[(333)]<<8)|(HEAPU8[(334)]<<16)|(HEAPU8[(335)]<<24))|0)); //@line 513 "PropellerCompiler.cpp"
 var $27=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 513 "PropellerCompiler.cpp"
 var $28=$27; //@line 513 "PropellerCompiler.cpp"
 var $error_msg33=(($28+4)|0); //@line 513 "PropellerCompiler.cpp"
 tempBigInt=$26;HEAP8[($error_msg33)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg33)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg33)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg33)+(3))|0)]=tempBigInt&0xff; //@line 513 "PropellerCompiler.cpp"
 $retval=0; //@line 514 "PropellerCompiler.cpp"
 label=81;break; //@line 514 "PropellerCompiler.cpp"
 case 24: 
 label=26;break; //@line 516 "PropellerCompiler.cpp"
 case 25: 
 var $29=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 520 "PropellerCompiler.cpp"
 var $30=$29; //@line 520 "PropellerCompiler.cpp"
 var $error36=(($30)|0); //@line 520 "PropellerCompiler.cpp"
 HEAP8[($error36)]=1; //@line 520 "PropellerCompiler.cpp"
 var $31=((((HEAPU8[(132)])|(HEAPU8[(133)]<<8)|(HEAPU8[(134)]<<16)|(HEAPU8[(135)]<<24))|0)); //@line 521 "PropellerCompiler.cpp"
 var $32=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 521 "PropellerCompiler.cpp"
 var $33=$32; //@line 521 "PropellerCompiler.cpp"
 var $error_msg37=(($33+4)|0); //@line 521 "PropellerCompiler.cpp"
 tempBigInt=$31;HEAP8[($error_msg37)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg37)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg37)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg37)+(3))|0)]=tempBigInt&0xff; //@line 521 "PropellerCompiler.cpp"
 $retval=0; //@line 522 "PropellerCompiler.cpp"
 label=81;break; //@line 522 "PropellerCompiler.cpp"
 case 26: 
 label=13;break; //@line 524 "PropellerCompiler.cpp"
 case 27: 
 label=28;break; //@line 525 "PropellerCompiler.cpp"
 case 28: 
 var $34=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 527 "PropellerCompiler.cpp"
 var $call40=__ZN11Elementizer12CheckElementEi($34,8); //@line 527 "PropellerCompiler.cpp"
 if($call40){label=29;break;}else{label=35;break;} //@line 527 "PropellerCompiler.cpp"
 case 29: 
 var $35=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 530 "PropellerCompiler.cpp"
 var $call42=__ZN11Elementizer7GetNextERb($35,$bEof); //@line 530 "PropellerCompiler.cpp"
 if($call42){label=31;break;}else{label=30;break;} //@line 530 "PropellerCompiler.cpp"
 case 30: 
 $retval=0; //@line 532 "PropellerCompiler.cpp"
 label=81;break; //@line 532 "PropellerCompiler.cpp"
 case 31: 
 var $36=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 534 "PropellerCompiler.cpp"
 var $call45=__ZN11Elementizer7GetTypeEv($36); //@line 534 "PropellerCompiler.cpp"
 var $cmp46=($call45|0)!=0; //@line 534 "PropellerCompiler.cpp"
 if($cmp46){label=32;break;}else{label=34;break;} //@line 534 "PropellerCompiler.cpp"
 case 32: 
 var $37=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 535 "PropellerCompiler.cpp"
 var $call47=__ZN11Elementizer7GetTypeEv($37); //@line 535 "PropellerCompiler.cpp"
 var $cmp48=($call47|0)!=78; //@line 535 "PropellerCompiler.cpp"
 if($cmp48){label=33;break;}else{label=34;break;} //@line 535 "PropellerCompiler.cpp"
 case 33: 
 var $38=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 538 "PropellerCompiler.cpp"
 var $39=$38; //@line 538 "PropellerCompiler.cpp"
 var $error50=(($39)|0); //@line 538 "PropellerCompiler.cpp"
 HEAP8[($error50)]=1; //@line 538 "PropellerCompiler.cpp"
 var $40=((((HEAPU8[(136)])|(HEAPU8[(137)]<<8)|(HEAPU8[(138)]<<16)|(HEAPU8[(139)]<<24))|0)); //@line 539 "PropellerCompiler.cpp"
 var $41=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 539 "PropellerCompiler.cpp"
 var $42=$41; //@line 539 "PropellerCompiler.cpp"
 var $error_msg51=(($42+4)|0); //@line 539 "PropellerCompiler.cpp"
 tempBigInt=$40;HEAP8[($error_msg51)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg51)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg51)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg51)+(3))|0)]=tempBigInt&0xff; //@line 539 "PropellerCompiler.cpp"
 $retval=0; //@line 540 "PropellerCompiler.cpp"
 label=81;break; //@line 540 "PropellerCompiler.cpp"
 case 34: 
 label=35;break; //@line 542 "PropellerCompiler.cpp"
 case 35: 
 $locals=0; //@line 544 "PropellerCompiler.cpp"
 HEAP8[($bPipe)]=0; //@line 545 "PropellerCompiler.cpp"
 var $call54=__Z12GetPipeOrEndRb($bPipe); //@line 546 "PropellerCompiler.cpp"
 if($call54){label=37;break;}else{label=36;break;} //@line 546 "PropellerCompiler.cpp"
 case 36: 
 $retval=0; //@line 549 "PropellerCompiler.cpp"
 label=81;break; //@line 549 "PropellerCompiler.cpp"
 case 37: 
 var $43=HEAP8[($bPipe)]; //@line 551 "PropellerCompiler.cpp"
 var $tobool57=(($43)&1); //@line 551 "PropellerCompiler.cpp"
 if($tobool57){label=38;break;}else{label=64;break;} //@line 551 "PropellerCompiler.cpp"
 case 38: 
 label=39;break; //@line 554 "PropellerCompiler.cpp"
 case 39: 
 var $44=HEAP8[($bEof)]; //@line 554 "PropellerCompiler.cpp"
 var $tobool60=(($44)&1); //@line 554 "PropellerCompiler.cpp"
 var $lnot61=$tobool60^1; //@line 554 "PropellerCompiler.cpp"
 if($lnot61){label=40;break;}else{label=63;break;} //@line 554 "PropellerCompiler.cpp"
 case 40: 
 var $45=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 556 "PropellerCompiler.cpp"
 var $call63=__ZN11Elementizer7GetNextERb($45,$bEof); //@line 556 "PropellerCompiler.cpp"
 if($call63){label=42;break;}else{label=41;break;} //@line 556 "PropellerCompiler.cpp"
 case 41: 
 $retval=0; //@line 558 "PropellerCompiler.cpp"
 label=81;break; //@line 558 "PropellerCompiler.cpp"
 case 42: 
 var $46=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 560 "PropellerCompiler.cpp"
 var $call66=__ZN11Elementizer7GetTypeEv($46); //@line 560 "PropellerCompiler.cpp"
 var $cmp67=($call66|0)==0; //@line 560 "PropellerCompiler.cpp"
 if($cmp67){label=43;break;}else{label=61;break;} //@line 560 "PropellerCompiler.cpp"
 case 43: 
 var $47=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 563 "PropellerCompiler.cpp"
 var $call69=__ZN11Elementizer12CheckElementEi($47,3); //@line 563 "PropellerCompiler.cpp"
 if($call69){label=44;break;}else{label=53;break;} //@line 563 "PropellerCompiler.cpp"
 case 44: 
 var $call71=__Z11GetTryValuebbb(1,1,0); //@line 566 "PropellerCompiler.cpp"
 if($call71){label=46;break;}else{label=45;break;} //@line 566 "PropellerCompiler.cpp"
 case 45: 
 $retval=0; //@line 568 "PropellerCompiler.cpp"
 label=81;break; //@line 568 "PropellerCompiler.cpp"
 case 46: 
 var $call74=__Z9GetResultv(); //@line 570 "PropellerCompiler.cpp"
 $value=$call74; //@line 570 "PropellerCompiler.cpp"
 var $48=$value; //@line 571 "PropellerCompiler.cpp"
 var $shl=$48<<2; //@line 571 "PropellerCompiler.cpp"
 $value=$shl; //@line 571 "PropellerCompiler.cpp"
 var $49=$value; //@line 572 "PropellerCompiler.cpp"
 var $cmp75=($49|0)>32768; //@line 572 "PropellerCompiler.cpp"
 if($cmp75){label=47;break;}else{label=48;break;} //@line 572 "PropellerCompiler.cpp"
 case 47: 
 var $50=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 575 "PropellerCompiler.cpp"
 var $51=$50; //@line 575 "PropellerCompiler.cpp"
 var $error77=(($51)|0); //@line 575 "PropellerCompiler.cpp"
 HEAP8[($error77)]=1; //@line 575 "PropellerCompiler.cpp"
 var $52=((((HEAPU8[(328)])|(HEAPU8[(329)]<<8)|(HEAPU8[(330)]<<16)|(HEAPU8[(331)]<<24))|0)); //@line 576 "PropellerCompiler.cpp"
 var $53=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 576 "PropellerCompiler.cpp"
 var $54=$53; //@line 576 "PropellerCompiler.cpp"
 var $error_msg78=(($54+4)|0); //@line 576 "PropellerCompiler.cpp"
 tempBigInt=$52;HEAP8[($error_msg78)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg78)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg78)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg78)+(3))|0)]=tempBigInt&0xff; //@line 576 "PropellerCompiler.cpp"
 $retval=0; //@line 577 "PropellerCompiler.cpp"
 label=81;break; //@line 577 "PropellerCompiler.cpp"
 case 48: 
 var $55=$value; //@line 579 "PropellerCompiler.cpp"
 var $56=$locals; //@line 579 "PropellerCompiler.cpp"
 var $add=((($56)+($55))|0); //@line 579 "PropellerCompiler.cpp"
 $locals=$add; //@line 579 "PropellerCompiler.cpp"
 var $57=$locals; //@line 580 "PropellerCompiler.cpp"
 var $cmp80=($57|0)<=32768; //@line 580 "PropellerCompiler.cpp"
 if($cmp80){label=49;break;}else{label=52;break;} //@line 580 "PropellerCompiler.cpp"
 case 49: 
 var $58=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 582 "PropellerCompiler.cpp"
 var $call82=__ZN11Elementizer10GetElementEi($58,4); //@line 582 "PropellerCompiler.cpp"
 if($call82){label=51;break;}else{label=50;break;} //@line 582 "PropellerCompiler.cpp"
 case 50: 
 $retval=0; //@line 585 "PropellerCompiler.cpp"
 label=81;break; //@line 585 "PropellerCompiler.cpp"
 case 51: 
 label=52;break; //@line 587 "PropellerCompiler.cpp"
 case 52: 
 label=54;break; //@line 588 "PropellerCompiler.cpp"
 case 53: 
 var $59=$locals; //@line 591 "PropellerCompiler.cpp"
 var $add87=((($59)+(4))|0); //@line 591 "PropellerCompiler.cpp"
 $locals=$add87; //@line 591 "PropellerCompiler.cpp"
 label=54;break;
 case 54: 
 var $60=$locals; //@line 593 "PropellerCompiler.cpp"
 var $cmp89=($60|0)>32768; //@line 593 "PropellerCompiler.cpp"
 if($cmp89){label=55;break;}else{label=56;break;} //@line 593 "PropellerCompiler.cpp"
 case 55: 
 var $61=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 596 "PropellerCompiler.cpp"
 var $62=$61; //@line 596 "PropellerCompiler.cpp"
 var $error91=(($62)|0); //@line 596 "PropellerCompiler.cpp"
 HEAP8[($error91)]=1; //@line 596 "PropellerCompiler.cpp"
 var $63=((((HEAPU8[(328)])|(HEAPU8[(329)]<<8)|(HEAPU8[(330)]<<16)|(HEAPU8[(331)]<<24))|0)); //@line 597 "PropellerCompiler.cpp"
 var $64=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 597 "PropellerCompiler.cpp"
 var $65=$64; //@line 597 "PropellerCompiler.cpp"
 var $error_msg92=(($65+4)|0); //@line 597 "PropellerCompiler.cpp"
 tempBigInt=$63;HEAP8[($error_msg92)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg92)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg92)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg92)+(3))|0)]=tempBigInt&0xff; //@line 597 "PropellerCompiler.cpp"
 $retval=0; //@line 598 "PropellerCompiler.cpp"
 label=81;break; //@line 598 "PropellerCompiler.cpp"
 case 56: 
 HEAP8[($bComma94)]=0; //@line 600 "PropellerCompiler.cpp"
 var $call95=__Z13GetCommaOrEndRb($bComma94); //@line 601 "PropellerCompiler.cpp"
 if($call95){label=58;break;}else{label=57;break;} //@line 601 "PropellerCompiler.cpp"
 case 57: 
 $retval=0; //@line 604 "PropellerCompiler.cpp"
 label=81;break; //@line 604 "PropellerCompiler.cpp"
 case 58: 
 var $66=HEAP8[($bComma94)]; //@line 606 "PropellerCompiler.cpp"
 var $tobool98=(($66)&1); //@line 606 "PropellerCompiler.cpp"
 if($tobool98){label=60;break;}else{label=59;break;} //@line 606 "PropellerCompiler.cpp"
 case 59: 
 label=63;break; //@line 608 "PropellerCompiler.cpp"
 case 60: 
 label=62;break; //@line 610 "PropellerCompiler.cpp"
 case 61: 
 var $67=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 614 "PropellerCompiler.cpp"
 var $68=$67; //@line 614 "PropellerCompiler.cpp"
 var $error102=(($68)|0); //@line 614 "PropellerCompiler.cpp"
 HEAP8[($error102)]=1; //@line 614 "PropellerCompiler.cpp"
 var $69=((((HEAPU8[(144)])|(HEAPU8[(145)]<<8)|(HEAPU8[(146)]<<16)|(HEAPU8[(147)]<<24))|0)); //@line 615 "PropellerCompiler.cpp"
 var $70=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 615 "PropellerCompiler.cpp"
 var $71=$70; //@line 615 "PropellerCompiler.cpp"
 var $error_msg103=(($71+4)|0); //@line 615 "PropellerCompiler.cpp"
 tempBigInt=$69;HEAP8[($error_msg103)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg103)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg103)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg103)+(3))|0)]=tempBigInt&0xff; //@line 615 "PropellerCompiler.cpp"
 $retval=0; //@line 616 "PropellerCompiler.cpp"
 label=81;break; //@line 616 "PropellerCompiler.cpp"
 case 62: 
 label=39;break; //@line 618 "PropellerCompiler.cpp"
 case 63: 
 label=64;break; //@line 619 "PropellerCompiler.cpp"
 case 64: 
 var $72=$params; //@line 622 "PropellerCompiler.cpp"
 var $conv108=(($72<<24)>>24); //@line 622 "PropellerCompiler.cpp"
 $value107=$conv108; //@line 622 "PropellerCompiler.cpp"
 var $73=$value107; //@line 623 "PropellerCompiler.cpp"
 var $shl109=$73<<8; //@line 623 "PropellerCompiler.cpp"
 $value107=$shl109; //@line 623 "PropellerCompiler.cpp"
 var $74=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 624 "PropellerCompiler.cpp"
 var $75=$74; //@line 624 "PropellerCompiler.cpp"
 var $obj_ptr110=(($75+16777264)|0); //@line 624 "PropellerCompiler.cpp"
 var $76=((((HEAPU8[($obj_ptr110)])|(HEAPU8[((($obj_ptr110)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr110)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr110)+(3))|0)]<<24))|0)); //@line 624 "PropellerCompiler.cpp"
 var $shr=$76>>2; //@line 624 "PropellerCompiler.cpp"
 var $and=$shr&255; //@line 624 "PropellerCompiler.cpp"
 var $77=$value107; //@line 624 "PropellerCompiler.cpp"
 var $or=$77|$and; //@line 624 "PropellerCompiler.cpp"
 $value107=$or; //@line 624 "PropellerCompiler.cpp"
 var $78=((((HEAPU8[(19704)])|(HEAPU8[(19705)]<<8)|(HEAPU8[(19706)]<<16)|(HEAPU8[(19707)]<<24))|0)); //@line 625 "PropellerCompiler.cpp"
 var $79=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 625 "PropellerCompiler.cpp"
 var $symbolBackup=(($79+16979312)|0); //@line 625 "PropellerCompiler.cpp"
 var $arraydecay=(($symbolBackup)|0); //@line 625 "PropellerCompiler.cpp"
 var $80=$value107; //@line 625 "PropellerCompiler.cpp"
 __ZN12SymbolEngine9AddSymbolEPKc10symbolTypeiib($78,$arraydecay,83,$80,0,0); //@line 625 "PropellerCompiler.cpp"
 var $81=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 629 "PropellerCompiler.cpp"
 var $82=$81; //@line 629 "PropellerCompiler.cpp"
 var $bDATonly=(($82+16971072)|0); //@line 629 "PropellerCompiler.cpp"
 var $83=HEAP8[($bDATonly)]; //@line 629 "PropellerCompiler.cpp"
 var $tobool111=(($83)&1); //@line 629 "PropellerCompiler.cpp"
 if($tobool111){label=66;break;}else{label=65;break;} //@line 629 "PropellerCompiler.cpp"
 case 65: 
 var $84=$locals; //@line 632 "PropellerCompiler.cpp"
 var $shl113=$84<<16; //@line 632 "PropellerCompiler.cpp"
 var $call114=__Z12EnterObjLongi($shl113); //@line 632 "PropellerCompiler.cpp"
 label=66;break; //@line 633 "PropellerCompiler.cpp"
 case 66: 
 var $85=$blockType_addr; //@line 635 "PropellerCompiler.cpp"
 var $cmp116=($85|0)==4; //@line 635 "PropellerCompiler.cpp"
 if($cmp116){label=67;break;}else{label=72;break;} //@line 635 "PropellerCompiler.cpp"
 case 67: 
 var $call118=__Z21AddSymbolToPubConListv(); //@line 637 "PropellerCompiler.cpp"
 if($call118){label=69;break;}else{label=68;break;} //@line 637 "PropellerCompiler.cpp"
 case 68: 
 $retval=0; //@line 639 "PropellerCompiler.cpp"
 label=81;break; //@line 639 "PropellerCompiler.cpp"
 case 69: 
 var $86=$params; //@line 641 "PropellerCompiler.cpp"
 var $call121=__Z17AddPubConListBytec($86); //@line 641 "PropellerCompiler.cpp"
 if($call121){label=71;break;}else{label=70;break;} //@line 641 "PropellerCompiler.cpp"
 case 70: 
 $retval=0; //@line 643 "PropellerCompiler.cpp"
 label=81;break; //@line 643 "PropellerCompiler.cpp"
 case 71: 
 label=72;break; //@line 645 "PropellerCompiler.cpp"
 case 72: 
 var $87=$bFirst_addr; //@line 646 "PropellerCompiler.cpp"
 var $88=HEAP8[($87)]; //@line 646 "PropellerCompiler.cpp"
 var $tobool125=(($88)&1); //@line 646 "PropellerCompiler.cpp"
 var $conv126=($tobool125&1); //@line 646 "PropellerCompiler.cpp"
 var $cmp127=($conv126|0)==0; //@line 646 "PropellerCompiler.cpp"
 if($cmp127){label=73;break;}else{label=74;break;} //@line 646 "PropellerCompiler.cpp"
 case 73: 
 var $89=$params; //@line 648 "PropellerCompiler.cpp"
 var $90=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 648 "PropellerCompiler.cpp"
 var $91=$90; //@line 648 "PropellerCompiler.cpp"
 var $first_pub_parameters=(($91+16971052)|0); //@line 648 "PropellerCompiler.cpp"
 HEAP8[($first_pub_parameters)]=$89; //@line 648 "PropellerCompiler.cpp"
 var $92=$bFirst_addr; //@line 649 "PropellerCompiler.cpp"
 HEAP8[($92)]=1; //@line 649 "PropellerCompiler.cpp"
 label=74;break; //@line 650 "PropellerCompiler.cpp"
 case 74: 
 label=76;break; //@line 651 "PropellerCompiler.cpp"
 case 75: 
 var $93=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 654 "PropellerCompiler.cpp"
 var $94=$93; //@line 654 "PropellerCompiler.cpp"
 var $error131=(($94)|0); //@line 654 "PropellerCompiler.cpp"
 HEAP8[($error131)]=1; //@line 654 "PropellerCompiler.cpp"
 var $95=((((HEAPU8[(336)])|(HEAPU8[(337)]<<8)|(HEAPU8[(338)]<<16)|(HEAPU8[(339)]<<24))|0)); //@line 655 "PropellerCompiler.cpp"
 var $96=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 655 "PropellerCompiler.cpp"
 var $97=$96; //@line 655 "PropellerCompiler.cpp"
 var $error_msg132=(($97+4)|0); //@line 655 "PropellerCompiler.cpp"
 tempBigInt=$95;HEAP8[($error_msg132)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg132)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg132)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg132)+(3))|0)]=tempBigInt&0xff; //@line 655 "PropellerCompiler.cpp"
 $retval=0; //@line 656 "PropellerCompiler.cpp"
 label=81;break; //@line 656 "PropellerCompiler.cpp"
 case 76: 
 label=77;break; //@line 658 "PropellerCompiler.cpp"
 case 77: 
 label=79;break; //@line 659 "PropellerCompiler.cpp"
 case 78: 
 $retval=0; //@line 662 "PropellerCompiler.cpp"
 label=81;break; //@line 662 "PropellerCompiler.cpp"
 case 79: 
 label=2;break; //@line 664 "PropellerCompiler.cpp"
 case 80: 
 $retval=1; //@line 666 "PropellerCompiler.cpp"
 label=81;break; //@line 666 "PropellerCompiler.cpp"
 case 81: 
 var $98=$retval; //@line 667 "PropellerCompiler.cpp"
 STACKTOP=sp;return $98; //@line 667 "PropellerCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z23CompileObjSymbol_BadObji($nFile){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $nFile_addr;
 var $pFilename;
 $nFile_addr=$nFile;
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 879 "PropellerCompiler.cpp"
 var $print_length=(($0+16979576)|0); //@line 879 "PropellerCompiler.cpp"
 tempBigInt=0;HEAP8[($print_length)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($print_length)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($print_length)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($print_length)+(3))|0)]=tempBigInt&0xff; //@line 879 "PropellerCompiler.cpp"
 var $call=__Z11PrintStringPKc(1432); //@line 880 "PropellerCompiler.cpp"
 var $1=$nFile_addr; //@line 881 "PropellerCompiler.cpp"
 var $2=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 881 "PropellerCompiler.cpp"
 var $3=$2; //@line 881 "PropellerCompiler.cpp"
 var $obj_filenames=(($3+16777272)|0); //@line 881 "PropellerCompiler.cpp"
 var $arrayidx=(($obj_filenames+$1)|0); //@line 881 "PropellerCompiler.cpp"
 $pFilename=$arrayidx; //@line 881 "PropellerCompiler.cpp"
 var $4=$pFilename; //@line 882 "PropellerCompiler.cpp"
 var $call1=__Z11PrintStringPKc($4); //@line 882 "PropellerCompiler.cpp"
 var $call2=__Z11PrintStringPKc(7328); //@line 883 "PropellerCompiler.cpp"
 var $call3=__Z8PrintChrc(0); //@line 884 "PropellerCompiler.cpp"
 var $5=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 885 "PropellerCompiler.cpp"
 var $6=$5; //@line 885 "PropellerCompiler.cpp"
 var $list=(($6+24)|0); //@line 885 "PropellerCompiler.cpp"
 var $7=((((HEAPU8[($list)])|(HEAPU8[((($list)+(1))|0)]<<8)|(HEAPU8[((($list)+(2))|0)]<<16)|(HEAPU8[((($list)+(3))|0)]<<24))|0)); //@line 885 "PropellerCompiler.cpp"
 var $8=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 885 "PropellerCompiler.cpp"
 var $9=$8; //@line 885 "PropellerCompiler.cpp"
 var $error_msg=(($9+4)|0); //@line 885 "PropellerCompiler.cpp"
 tempBigInt=$7;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 885 "PropellerCompiler.cpp"
 STACKTOP=sp;return; //@line 886 "PropellerCompiler.cpp"
}


function __Z24CompileSubBlocks_CompileiRi($blockType,$subCount){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+32)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $blockType_addr;
 var $subCount_addr;
 var $bEof=sp;
 var $locals;
 var $bComma=(sp)+(8);
 var $bPipe=(sp)+(16);
 var $sizeOfThisLocal;
 var $value;
 var $bComma78=(sp)+(24);
 $blockType_addr=$blockType;
 $subCount_addr=$subCount;
 HEAP8[($bEof)]=0; //@line 1142 "PropellerCompiler.cpp"
 var $0=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1143 "PropellerCompiler.cpp"
 __ZN11Elementizer5ResetEv($0); //@line 1143 "PropellerCompiler.cpp"
 label=2;break; //@line 1145 "PropellerCompiler.cpp"
 case 2: 
 var $1=HEAP8[($bEof)]; //@line 1145 "PropellerCompiler.cpp"
 var $tobool=(($1)&1); //@line 1145 "PropellerCompiler.cpp"
 var $lnot=$tobool^1; //@line 1145 "PropellerCompiler.cpp"
 if($lnot){label=3;break;}else{label=63;break;} //@line 1145 "PropellerCompiler.cpp"
 case 3: 
 var $2=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1147 "PropellerCompiler.cpp"
 var $3=$blockType_addr; //@line 1147 "PropellerCompiler.cpp"
 var $call=__ZN11Elementizer12GetNextBlockEiRb($2,$3,$bEof); //@line 1147 "PropellerCompiler.cpp"
 if($call){label=4;break;}else{label=61;break;} //@line 1147 "PropellerCompiler.cpp"
 case 4: 
 var $4=HEAP8[($bEof)]; //@line 1149 "PropellerCompiler.cpp"
 var $tobool1=(($4)&1); //@line 1149 "PropellerCompiler.cpp"
 if($tobool1){label=60;break;}else{label=5;break;} //@line 1149 "PropellerCompiler.cpp"
 case 5: 
 var $5=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1151 "PropellerCompiler.cpp"
 var $6=$5; //@line 1151 "PropellerCompiler.cpp"
 var $source_start=(($6+16)|0); //@line 1151 "PropellerCompiler.cpp"
 var $7=((((HEAPU8[($source_start)])|(HEAPU8[((($source_start)+(1))|0)]<<8)|(HEAPU8[((($source_start)+(2))|0)]<<16)|(HEAPU8[((($source_start)+(3))|0)]<<24))|0)); //@line 1151 "PropellerCompiler.cpp"
 var $8=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1151 "PropellerCompiler.cpp"
 var $inf_start=(($8+16979580)|0); //@line 1151 "PropellerCompiler.cpp"
 tempBigInt=$7;HEAP8[($inf_start)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_start)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_start)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_start)+(3))|0)]=tempBigInt&0xff; //@line 1151 "PropellerCompiler.cpp"
 var $9=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1152 "PropellerCompiler.cpp"
 var $10=$9; //@line 1152 "PropellerCompiler.cpp"
 var $obj_ptr=(($10+16777264)|0); //@line 1152 "PropellerCompiler.cpp"
 var $11=((((HEAPU8[($obj_ptr)])|(HEAPU8[((($obj_ptr)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr)+(3))|0)]<<24))|0)); //@line 1152 "PropellerCompiler.cpp"
 var $12=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1152 "PropellerCompiler.cpp"
 var $inf_data0=(($12+16979592)|0); //@line 1152 "PropellerCompiler.cpp"
 tempBigInt=$11;HEAP8[($inf_data0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_data0)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_data0)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_data0)+(3))|0)]=tempBigInt&0xff; //@line 1152 "PropellerCompiler.cpp"
 var $13=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1154 "PropellerCompiler.cpp"
 var $call3=__ZN11Elementizer7GetNextERb($13,$bEof); //@line 1154 "PropellerCompiler.cpp"
 if($call3){label=7;break;}else{label=6;break;} //@line 1154 "PropellerCompiler.cpp"
 case 6: 
 $retval=0; //@line 1156 "PropellerCompiler.cpp"
 label=64;break; //@line 1156 "PropellerCompiler.cpp"
 case 7: 
 var $14=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1159 "PropellerCompiler.cpp"
 var $15=$14; //@line 1159 "PropellerCompiler.cpp"
 var $source_start5=(($15+16)|0); //@line 1159 "PropellerCompiler.cpp"
 var $16=((((HEAPU8[($source_start5)])|(HEAPU8[((($source_start5)+(1))|0)]<<8)|(HEAPU8[((($source_start5)+(2))|0)]<<16)|(HEAPU8[((($source_start5)+(3))|0)]<<24))|0)); //@line 1159 "PropellerCompiler.cpp"
 var $17=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1159 "PropellerCompiler.cpp"
 var $inf_data2=(($17+16979600)|0); //@line 1159 "PropellerCompiler.cpp"
 tempBigInt=$16;HEAP8[($inf_data2)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_data2)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_data2)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_data2)+(3))|0)]=tempBigInt&0xff; //@line 1159 "PropellerCompiler.cpp"
 var $18=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1160 "PropellerCompiler.cpp"
 var $19=$18; //@line 1160 "PropellerCompiler.cpp"
 var $source_finish=(($19+20)|0); //@line 1160 "PropellerCompiler.cpp"
 var $20=((((HEAPU8[($source_finish)])|(HEAPU8[((($source_finish)+(1))|0)]<<8)|(HEAPU8[((($source_finish)+(2))|0)]<<16)|(HEAPU8[((($source_finish)+(3))|0)]<<24))|0)); //@line 1160 "PropellerCompiler.cpp"
 var $21=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1160 "PropellerCompiler.cpp"
 var $inf_data3=(($21+16979604)|0); //@line 1160 "PropellerCompiler.cpp"
 tempBigInt=$20;HEAP8[($inf_data3)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_data3)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_data3)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_data3)+(3))|0)]=tempBigInt&0xff; //@line 1160 "PropellerCompiler.cpp"
 $locals=4; //@line 1164 "PropellerCompiler.cpp"
 var $22=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1167 "PropellerCompiler.cpp"
 var $call6=__ZN11Elementizer12CheckElementEi($22,1); //@line 1167 "PropellerCompiler.cpp"
 if($call6){label=8;break;}else{label=21;break;} //@line 1167 "PropellerCompiler.cpp"
 case 8: 
 label=9;break; //@line 1170 "PropellerCompiler.cpp"
 case 9: 
 var $23=HEAP8[($bEof)]; //@line 1170 "PropellerCompiler.cpp"
 var $tobool9=(($23)&1); //@line 1170 "PropellerCompiler.cpp"
 var $lnot10=$tobool9^1; //@line 1170 "PropellerCompiler.cpp"
 if($lnot10){label=10;break;}else{label=20;break;} //@line 1170 "PropellerCompiler.cpp"
 case 10: 
 var $24=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1172 "PropellerCompiler.cpp"
 var $call12=__ZN11Elementizer7GetNextERb($24,$bEof); //@line 1172 "PropellerCompiler.cpp"
 if($call12){label=12;break;}else{label=11;break;} //@line 1172 "PropellerCompiler.cpp"
 case 11: 
 $retval=0; //@line 1174 "PropellerCompiler.cpp"
 label=64;break; //@line 1174 "PropellerCompiler.cpp"
 case 12: 
 var $25=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1176 "PropellerCompiler.cpp"
 var $call15=__ZN11Elementizer7GetTypeEv($25); //@line 1176 "PropellerCompiler.cpp"
 var $cmp=($call15|0)==0; //@line 1176 "PropellerCompiler.cpp"
 if($cmp){label=13;break;}else{label=18;break;} //@line 1176 "PropellerCompiler.cpp"
 case 13: 
 var $26=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1178 "PropellerCompiler.cpp"
 __ZN11Elementizer12BackupSymbolEv($26); //@line 1178 "PropellerCompiler.cpp"
 var $27=((((HEAPU8[(19704)])|(HEAPU8[(19705)]<<8)|(HEAPU8[(19706)]<<16)|(HEAPU8[(19707)]<<24))|0)); //@line 1180 "PropellerCompiler.cpp"
 var $28=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1180 "PropellerCompiler.cpp"
 var $symbolBackup=(($28+16979312)|0); //@line 1180 "PropellerCompiler.cpp"
 var $arraydecay=(($symbolBackup)|0); //@line 1180 "PropellerCompiler.cpp"
 var $29=$locals; //@line 1180 "PropellerCompiler.cpp"
 __ZN12SymbolEngine9AddSymbolEPKc10symbolTypeiib($27,$arraydecay,78,$29,0,1); //@line 1180 "PropellerCompiler.cpp"
 var $30=$locals; //@line 1185 "PropellerCompiler.cpp"
 var $add=((($30)+(4))|0); //@line 1185 "PropellerCompiler.cpp"
 $locals=$add; //@line 1185 "PropellerCompiler.cpp"
 HEAP8[($bComma)]=0; //@line 1187 "PropellerCompiler.cpp"
 var $call17=__Z15GetCommaOrRightRb($bComma); //@line 1188 "PropellerCompiler.cpp"
 if($call17){label=15;break;}else{label=14;break;} //@line 1188 "PropellerCompiler.cpp"
 case 14: 
 $retval=0; //@line 1191 "PropellerCompiler.cpp"
 label=64;break; //@line 1191 "PropellerCompiler.cpp"
 case 15: 
 var $31=HEAP8[($bComma)]; //@line 1193 "PropellerCompiler.cpp"
 var $tobool20=(($31)&1); //@line 1193 "PropellerCompiler.cpp"
 if($tobool20){label=17;break;}else{label=16;break;} //@line 1193 "PropellerCompiler.cpp"
 case 16: 
 label=20;break; //@line 1196 "PropellerCompiler.cpp"
 case 17: 
 label=19;break; //@line 1198 "PropellerCompiler.cpp"
 case 18: 
 var $32=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1202 "PropellerCompiler.cpp"
 var $33=$32; //@line 1202 "PropellerCompiler.cpp"
 var $error=(($33)|0); //@line 1202 "PropellerCompiler.cpp"
 HEAP8[($error)]=1; //@line 1202 "PropellerCompiler.cpp"
 var $34=((((HEAPU8[(132)])|(HEAPU8[(133)]<<8)|(HEAPU8[(134)]<<16)|(HEAPU8[(135)]<<24))|0)); //@line 1203 "PropellerCompiler.cpp"
 var $35=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1203 "PropellerCompiler.cpp"
 var $36=$35; //@line 1203 "PropellerCompiler.cpp"
 var $error_msg=(($36+4)|0); //@line 1203 "PropellerCompiler.cpp"
 tempBigInt=$34;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 1203 "PropellerCompiler.cpp"
 $retval=0; //@line 1204 "PropellerCompiler.cpp"
 label=64;break; //@line 1204 "PropellerCompiler.cpp"
 case 19: 
 label=9;break; //@line 1206 "PropellerCompiler.cpp"
 case 20: 
 label=21;break; //@line 1207 "PropellerCompiler.cpp"
 case 21: 
 var $37=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1210 "PropellerCompiler.cpp"
 var $call25=__ZN11Elementizer12CheckElementEi($37,8); //@line 1210 "PropellerCompiler.cpp"
 if($call25){label=22;break;}else{label=32;break;} //@line 1210 "PropellerCompiler.cpp"
 case 22: 
 var $38=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1213 "PropellerCompiler.cpp"
 var $call27=__ZN11Elementizer7GetNextERb($38,$bEof); //@line 1213 "PropellerCompiler.cpp"
 if($call27){label=24;break;}else{label=23;break;} //@line 1213 "PropellerCompiler.cpp"
 case 23: 
 $retval=0; //@line 1215 "PropellerCompiler.cpp"
 label=64;break; //@line 1215 "PropellerCompiler.cpp"
 case 24: 
 var $39=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1217 "PropellerCompiler.cpp"
 var $call30=__ZN11Elementizer7GetTypeEv($39); //@line 1217 "PropellerCompiler.cpp"
 var $cmp31=($call30|0)!=0; //@line 1217 "PropellerCompiler.cpp"
 if($cmp31){label=25;break;}else{label=26;break;} //@line 1217 "PropellerCompiler.cpp"
 case 25: 
 var $40=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1217 "PropellerCompiler.cpp"
 var $call32=__ZN11Elementizer7GetTypeEv($40); //@line 1217 "PropellerCompiler.cpp"
 var $cmp33=($call32|0)!=78; //@line 1217 "PropellerCompiler.cpp"
 if($cmp33){label=28;break;}else{label=26;break;} //@line 1217 "PropellerCompiler.cpp"
 case 26: 
 var $41=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1218 "PropellerCompiler.cpp"
 var $call34=__ZN11Elementizer7GetTypeEv($41); //@line 1218 "PropellerCompiler.cpp"
 var $cmp35=($call34|0)==78; //@line 1218 "PropellerCompiler.cpp"
 if($cmp35){label=27;break;}else{label=29;break;} //@line 1218 "PropellerCompiler.cpp"
 case 27: 
 var $42=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1218 "PropellerCompiler.cpp"
 var $call37=__ZN11Elementizer8GetValueEv($42); //@line 1218 "PropellerCompiler.cpp"
 var $cmp38=($call37|0)!=0; //@line 1218 "PropellerCompiler.cpp"
 if($cmp38){label=28;break;}else{label=29;break;} //@line 1218 "PropellerCompiler.cpp"
 case 28: 
 var $43=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1221 "PropellerCompiler.cpp"
 var $44=$43; //@line 1221 "PropellerCompiler.cpp"
 var $error40=(($44)|0); //@line 1221 "PropellerCompiler.cpp"
 HEAP8[($error40)]=1; //@line 1221 "PropellerCompiler.cpp"
 var $45=((((HEAPU8[(136)])|(HEAPU8[(137)]<<8)|(HEAPU8[(138)]<<16)|(HEAPU8[(139)]<<24))|0)); //@line 1222 "PropellerCompiler.cpp"
 var $46=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1222 "PropellerCompiler.cpp"
 var $47=$46; //@line 1222 "PropellerCompiler.cpp"
 var $error_msg41=(($47+4)|0); //@line 1222 "PropellerCompiler.cpp"
 tempBigInt=$45;HEAP8[($error_msg41)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg41)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg41)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg41)+(3))|0)]=tempBigInt&0xff; //@line 1222 "PropellerCompiler.cpp"
 $retval=0; //@line 1223 "PropellerCompiler.cpp"
 label=64;break; //@line 1223 "PropellerCompiler.cpp"
 case 29: 
 var $48=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1226 "PropellerCompiler.cpp"
 var $call43=__ZN11Elementizer7GetTypeEv($48); //@line 1226 "PropellerCompiler.cpp"
 var $cmp44=($call43|0)!=78; //@line 1226 "PropellerCompiler.cpp"
 if($cmp44){label=30;break;}else{label=31;break;} //@line 1226 "PropellerCompiler.cpp"
 case 30: 
 var $49=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1230 "PropellerCompiler.cpp"
 __ZN11Elementizer12BackupSymbolEv($49); //@line 1230 "PropellerCompiler.cpp"
 var $50=((((HEAPU8[(19704)])|(HEAPU8[(19705)]<<8)|(HEAPU8[(19706)]<<16)|(HEAPU8[(19707)]<<24))|0)); //@line 1231 "PropellerCompiler.cpp"
 var $51=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1231 "PropellerCompiler.cpp"
 var $symbolBackup46=(($51+16979312)|0); //@line 1231 "PropellerCompiler.cpp"
 var $arraydecay47=(($symbolBackup46)|0); //@line 1231 "PropellerCompiler.cpp"
 __ZN12SymbolEngine9AddSymbolEPKc10symbolTypeiib($50,$arraydecay47,78,0,0,1); //@line 1231 "PropellerCompiler.cpp"
 label=31;break; //@line 1235 "PropellerCompiler.cpp"
 case 31: 
 label=32;break; //@line 1236 "PropellerCompiler.cpp"
 case 32: 
 HEAP8[($bPipe)]=0; //@line 1239 "PropellerCompiler.cpp"
 var $call50=__Z12GetPipeOrEndRb($bPipe); //@line 1240 "PropellerCompiler.cpp"
 if($call50){label=34;break;}else{label=33;break;} //@line 1240 "PropellerCompiler.cpp"
 case 33: 
 $retval=0; //@line 1243 "PropellerCompiler.cpp"
 label=64;break; //@line 1243 "PropellerCompiler.cpp"
 case 34: 
 var $52=HEAP8[($bPipe)]; //@line 1245 "PropellerCompiler.cpp"
 var $tobool53=(($52)&1); //@line 1245 "PropellerCompiler.cpp"
 if($tobool53){label=35;break;}else{label=54;break;} //@line 1245 "PropellerCompiler.cpp"
 case 35: 
 label=36;break; //@line 1248 "PropellerCompiler.cpp"
 case 36: 
 var $53=HEAP8[($bEof)]; //@line 1248 "PropellerCompiler.cpp"
 var $tobool56=(($53)&1); //@line 1248 "PropellerCompiler.cpp"
 var $lnot57=$tobool56^1; //@line 1248 "PropellerCompiler.cpp"
 if($lnot57){label=37;break;}else{label=53;break;} //@line 1248 "PropellerCompiler.cpp"
 case 37: 
 var $54=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1250 "PropellerCompiler.cpp"
 var $call59=__ZN11Elementizer7GetNextERb($54,$bEof); //@line 1250 "PropellerCompiler.cpp"
 if($call59){label=39;break;}else{label=38;break;} //@line 1250 "PropellerCompiler.cpp"
 case 38: 
 $retval=0; //@line 1252 "PropellerCompiler.cpp"
 label=64;break; //@line 1252 "PropellerCompiler.cpp"
 case 39: 
 var $55=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1254 "PropellerCompiler.cpp"
 var $call62=__ZN11Elementizer7GetTypeEv($55); //@line 1254 "PropellerCompiler.cpp"
 var $cmp63=($call62|0)==0; //@line 1254 "PropellerCompiler.cpp"
 if($cmp63){label=40;break;}else{label=51;break;} //@line 1254 "PropellerCompiler.cpp"
 case 40: 
 var $56=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1256 "PropellerCompiler.cpp"
 __ZN11Elementizer12BackupSymbolEv($56); //@line 1256 "PropellerCompiler.cpp"
 $sizeOfThisLocal=4; //@line 1258 "PropellerCompiler.cpp"
 var $57=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1261 "PropellerCompiler.cpp"
 var $call65=__ZN11Elementizer12CheckElementEi($57,3); //@line 1261 "PropellerCompiler.cpp"
 if($call65){label=41;break;}else{label=46;break;} //@line 1261 "PropellerCompiler.cpp"
 case 41: 
 var $call67=__Z11GetTryValuebbb(1,1,0); //@line 1264 "PropellerCompiler.cpp"
 if($call67){label=43;break;}else{label=42;break;} //@line 1264 "PropellerCompiler.cpp"
 case 42: 
 $retval=0; //@line 1266 "PropellerCompiler.cpp"
 label=64;break; //@line 1266 "PropellerCompiler.cpp"
 case 43: 
 var $call70=__Z9GetResultv(); //@line 1268 "PropellerCompiler.cpp"
 $value=$call70; //@line 1268 "PropellerCompiler.cpp"
 var $58=$value; //@line 1269 "PropellerCompiler.cpp"
 var $mul=($58<<2); //@line 1269 "PropellerCompiler.cpp"
 $sizeOfThisLocal=$mul; //@line 1269 "PropellerCompiler.cpp"
 var $59=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1272 "PropellerCompiler.cpp"
 var $call71=__ZN11Elementizer10GetElementEi($59,4); //@line 1272 "PropellerCompiler.cpp"
 if($call71){label=45;break;}else{label=44;break;} //@line 1272 "PropellerCompiler.cpp"
 case 44: 
 $retval=0; //@line 1275 "PropellerCompiler.cpp"
 label=64;break; //@line 1275 "PropellerCompiler.cpp"
 case 45: 
 label=46;break; //@line 1277 "PropellerCompiler.cpp"
 case 46: 
 var $60=((((HEAPU8[(19704)])|(HEAPU8[(19705)]<<8)|(HEAPU8[(19706)]<<16)|(HEAPU8[(19707)]<<24))|0)); //@line 1279 "PropellerCompiler.cpp"
 var $61=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1279 "PropellerCompiler.cpp"
 var $symbolBackup75=(($61+16979312)|0); //@line 1279 "PropellerCompiler.cpp"
 var $arraydecay76=(($symbolBackup75)|0); //@line 1279 "PropellerCompiler.cpp"
 var $62=$locals; //@line 1279 "PropellerCompiler.cpp"
 __ZN12SymbolEngine9AddSymbolEPKc10symbolTypeiib($60,$arraydecay76,78,$62,0,1); //@line 1279 "PropellerCompiler.cpp"
 var $63=$sizeOfThisLocal; //@line 1290 "PropellerCompiler.cpp"
 var $64=$locals; //@line 1290 "PropellerCompiler.cpp"
 var $add77=((($64)+($63))|0); //@line 1290 "PropellerCompiler.cpp"
 $locals=$add77; //@line 1290 "PropellerCompiler.cpp"
 HEAP8[($bComma78)]=0; //@line 1292 "PropellerCompiler.cpp"
 var $call79=__Z13GetCommaOrEndRb($bComma78); //@line 1293 "PropellerCompiler.cpp"
 if($call79){label=48;break;}else{label=47;break;} //@line 1293 "PropellerCompiler.cpp"
 case 47: 
 $retval=0; //@line 1296 "PropellerCompiler.cpp"
 label=64;break; //@line 1296 "PropellerCompiler.cpp"
 case 48: 
 var $65=HEAP8[($bComma78)]; //@line 1298 "PropellerCompiler.cpp"
 var $tobool82=(($65)&1); //@line 1298 "PropellerCompiler.cpp"
 if($tobool82){label=50;break;}else{label=49;break;} //@line 1298 "PropellerCompiler.cpp"
 case 49: 
 label=53;break; //@line 1300 "PropellerCompiler.cpp"
 case 50: 
 label=52;break; //@line 1302 "PropellerCompiler.cpp"
 case 51: 
 var $66=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1306 "PropellerCompiler.cpp"
 var $67=$66; //@line 1306 "PropellerCompiler.cpp"
 var $error86=(($67)|0); //@line 1306 "PropellerCompiler.cpp"
 HEAP8[($error86)]=1; //@line 1306 "PropellerCompiler.cpp"
 var $68=((((HEAPU8[(144)])|(HEAPU8[(145)]<<8)|(HEAPU8[(146)]<<16)|(HEAPU8[(147)]<<24))|0)); //@line 1307 "PropellerCompiler.cpp"
 var $69=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1307 "PropellerCompiler.cpp"
 var $70=$69; //@line 1307 "PropellerCompiler.cpp"
 var $error_msg87=(($70+4)|0); //@line 1307 "PropellerCompiler.cpp"
 tempBigInt=$68;HEAP8[($error_msg87)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg87)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg87)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg87)+(3))|0)]=tempBigInt&0xff; //@line 1307 "PropellerCompiler.cpp"
 $retval=0; //@line 1308 "PropellerCompiler.cpp"
 label=64;break; //@line 1308 "PropellerCompiler.cpp"
 case 52: 
 label=36;break; //@line 1310 "PropellerCompiler.cpp"
 case 53: 
 label=54;break; //@line 1311 "PropellerCompiler.cpp"
 case 54: 
 var $71=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1314 "PropellerCompiler.cpp"
 var $72=$71; //@line 1314 "PropellerCompiler.cpp"
 var $obj_ptr91=(($72+16777264)|0); //@line 1314 "PropellerCompiler.cpp"
 var $73=((((HEAPU8[($obj_ptr91)])|(HEAPU8[((($obj_ptr91)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr91)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr91)+(3))|0)]<<24))|0)); //@line 1314 "PropellerCompiler.cpp"
 var $conv=(($73)&65535); //@line 1314 "PropellerCompiler.cpp"
 var $74=$subCount_addr; //@line 1314 "PropellerCompiler.cpp"
 var $75=((((HEAPU8[($74)])|(HEAPU8[((($74)+(1))|0)]<<8)|(HEAPU8[((($74)+(2))|0)]<<16)|(HEAPU8[((($74)+(3))|0)]<<24))|0)); //@line 1314 "PropellerCompiler.cpp"
 var $mul92=($75<<2); //@line 1314 "PropellerCompiler.cpp"
 var $add93=((($mul92)+(4))|0); //@line 1314 "PropellerCompiler.cpp"
 var $76=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1314 "PropellerCompiler.cpp"
 var $77=$76; //@line 1314 "PropellerCompiler.cpp"
 var $obj=(($77+48)|0); //@line 1314 "PropellerCompiler.cpp"
 var $arrayidx=(($obj+$add93)|0); //@line 1314 "PropellerCompiler.cpp"
 var $78=$arrayidx; //@line 1314 "PropellerCompiler.cpp"
 tempBigInt=$conv;HEAP8[($78)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($78)+(1))|0)]=tempBigInt&0xff; //@line 1314 "PropellerCompiler.cpp"
 var $call94=__Z15CompileTopBlockv(); //@line 1316 "PropellerCompiler.cpp"
 if($call94){label=56;break;}else{label=55;break;} //@line 1316 "PropellerCompiler.cpp"
 case 55: 
 $retval=0; //@line 1318 "PropellerCompiler.cpp"
 label=64;break; //@line 1318 "PropellerCompiler.cpp"
 case 56: 
 var $79=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1321 "PropellerCompiler.cpp"
 var $call97=__ZN11Elementizer12GetSourcePtrEv($79); //@line 1321 "PropellerCompiler.cpp"
 var $80=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1321 "PropellerCompiler.cpp"
 var $inf_finish=(($80+16979584)|0); //@line 1321 "PropellerCompiler.cpp"
 tempBigInt=$call97;HEAP8[($inf_finish)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_finish)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_finish)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_finish)+(3))|0)]=tempBigInt&0xff; //@line 1321 "PropellerCompiler.cpp"
 var $81=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1322 "PropellerCompiler.cpp"
 var $82=$81; //@line 1322 "PropellerCompiler.cpp"
 var $obj_ptr98=(($82+16777264)|0); //@line 1322 "PropellerCompiler.cpp"
 var $83=((((HEAPU8[($obj_ptr98)])|(HEAPU8[((($obj_ptr98)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr98)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr98)+(3))|0)]<<24))|0)); //@line 1322 "PropellerCompiler.cpp"
 var $84=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1322 "PropellerCompiler.cpp"
 var $inf_data1=(($84+16979596)|0); //@line 1322 "PropellerCompiler.cpp"
 tempBigInt=$83;HEAP8[($inf_data1)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_data1)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_data1)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_data1)+(3))|0)]=tempBigInt&0xff; //@line 1322 "PropellerCompiler.cpp"
 var $85=$blockType_addr; //@line 1323 "PropellerCompiler.cpp"
 var $cmp99=($85|0)==4; //@line 1323 "PropellerCompiler.cpp"
 if($cmp99){label=57;break;}else{label=58;break;} //@line 1323 "PropellerCompiler.cpp"
 case 57: 
 var $86=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1325 "PropellerCompiler.cpp"
 var $inf_type=(($86+16979588)|0); //@line 1325 "PropellerCompiler.cpp"
 tempBigInt=4;HEAP8[($inf_type)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_type)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_type)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_type)+(3))|0)]=tempBigInt&0xff; //@line 1325 "PropellerCompiler.cpp"
 label=59;break; //@line 1326 "PropellerCompiler.cpp"
 case 58: 
 var $87=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1329 "PropellerCompiler.cpp"
 var $inf_type102=(($87+16979588)|0); //@line 1329 "PropellerCompiler.cpp"
 tempBigInt=5;HEAP8[($inf_type102)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_type102)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_type102)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_type102)+(3))|0)]=tempBigInt&0xff; //@line 1329 "PropellerCompiler.cpp"
 label=59;break;
 case 59: 
 __Z9EnterInfov(); //@line 1331 "PropellerCompiler.cpp"
 var $88=$subCount_addr; //@line 1333 "PropellerCompiler.cpp"
 var $89=((((HEAPU8[($88)])|(HEAPU8[((($88)+(1))|0)]<<8)|(HEAPU8[((($88)+(2))|0)]<<16)|(HEAPU8[((($88)+(3))|0)]<<24))|0)); //@line 1333 "PropellerCompiler.cpp"
 var $inc=((($89)+(1))|0); //@line 1333 "PropellerCompiler.cpp"
 tempBigInt=$inc;HEAP8[($88)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($88)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($88)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($88)+(3))|0)]=tempBigInt&0xff; //@line 1333 "PropellerCompiler.cpp"
 var $90=((((HEAPU8[(19704)])|(HEAPU8[(19705)]<<8)|(HEAPU8[(19706)]<<16)|(HEAPU8[(19707)]<<24))|0)); //@line 1335 "PropellerCompiler.cpp"
 __ZN12SymbolEngine5ResetEb($90,1); //@line 1335 "PropellerCompiler.cpp"
 label=60;break; //@line 1336 "PropellerCompiler.cpp"
 case 60: 
 label=62;break; //@line 1337 "PropellerCompiler.cpp"
 case 61: 
 $retval=0; //@line 1340 "PropellerCompiler.cpp"
 label=64;break; //@line 1340 "PropellerCompiler.cpp"
 case 62: 
 label=2;break; //@line 1342 "PropellerCompiler.cpp"
 case 63: 
 $retval=1; //@line 1344 "PropellerCompiler.cpp"
 label=64;break; //@line 1344 "PropellerCompiler.cpp"
 case 64: 
 var $91=$retval; //@line 1345 "PropellerCompiler.cpp"
 STACKTOP=sp;return $91; //@line 1345 "PropellerCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z19Determine_GetSymbolPKciRb($pSymbol,$errorCode,$bFound){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $pSymbol_addr;
 var $errorCode_addr;
 var $bFound_addr;
 $pSymbol_addr=$pSymbol;
 $errorCode_addr=$errorCode;
 $bFound_addr=$bFound;
 var $0=$bFound_addr; //@line 1536 "PropellerCompiler.cpp"
 HEAP8[($0)]=0; //@line 1536 "PropellerCompiler.cpp"
 var $1=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1537 "PropellerCompiler.cpp"
 var $2=$pSymbol_addr; //@line 1537 "PropellerCompiler.cpp"
 var $call=__ZN11Elementizer10FindSymbolEPKc($1,$2); //@line 1537 "PropellerCompiler.cpp"
 if($call){label=2;break;}else{label=8;break;} //@line 1537 "PropellerCompiler.cpp"
 case 2: 
 var $3=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1539 "PropellerCompiler.cpp"
 var $call1=__ZN11Elementizer7GetTypeEv($3); //@line 1539 "PropellerCompiler.cpp"
 var $cmp=($call1|0)==67; //@line 1539 "PropellerCompiler.cpp"
 if($cmp){label=3;break;}else{label=4;break;} //@line 1539 "PropellerCompiler.cpp"
 case 3: 
 var $4=$bFound_addr; //@line 1541 "PropellerCompiler.cpp"
 HEAP8[($4)]=1; //@line 1541 "PropellerCompiler.cpp"
 label=7;break; //@line 1542 "PropellerCompiler.cpp"
 case 4: 
 var $5=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1543 "PropellerCompiler.cpp"
 var $call3=__ZN11Elementizer7GetTypeEv($5); //@line 1543 "PropellerCompiler.cpp"
 var $cmp4=($call3|0)!=0; //@line 1543 "PropellerCompiler.cpp"
 if($cmp4){label=5;break;}else{label=6;break;} //@line 1543 "PropellerCompiler.cpp"
 case 5: 
 var $6=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1545 "PropellerCompiler.cpp"
 var $7=$6; //@line 1545 "PropellerCompiler.cpp"
 var $error=(($7)|0); //@line 1545 "PropellerCompiler.cpp"
 HEAP8[($error)]=1; //@line 1545 "PropellerCompiler.cpp"
 var $8=$errorCode_addr; //@line 1546 "PropellerCompiler.cpp"
 var $arrayidx=((8+($8<<2))|0); //@line 1546 "PropellerCompiler.cpp"
 var $9=((((HEAPU8[($arrayidx)])|(HEAPU8[((($arrayidx)+(1))|0)]<<8)|(HEAPU8[((($arrayidx)+(2))|0)]<<16)|(HEAPU8[((($arrayidx)+(3))|0)]<<24))|0)); //@line 1546 "PropellerCompiler.cpp"
 var $10=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1546 "PropellerCompiler.cpp"
 var $11=$10; //@line 1546 "PropellerCompiler.cpp"
 var $error_msg=(($11+4)|0); //@line 1546 "PropellerCompiler.cpp"
 tempBigInt=$9;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 1546 "PropellerCompiler.cpp"
 $retval=0; //@line 1547 "PropellerCompiler.cpp"
 label=9;break; //@line 1547 "PropellerCompiler.cpp"
 case 6: 
 label=7;break;
 case 7: 
 label=8;break; //@line 1549 "PropellerCompiler.cpp"
 case 8: 
 $retval=1; //@line 1550 "PropellerCompiler.cpp"
 label=9;break; //@line 1550 "PropellerCompiler.cpp"
 case 9: 
 var $12=$retval; //@line 1551 "PropellerCompiler.cpp"
 STACKTOP=sp;return $12; //@line 1551 "PropellerCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z19Determine_GetBitPosiRi($value,$bitPos){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $value_addr;
 var $bitPos_addr;
 var $bitCount;
 var $i;
 $value_addr=$value;
 $bitPos_addr=$bitPos;
 $bitCount=0; //@line 1589 "PropellerCompiler.cpp"
 $i=32; //@line 1590 "PropellerCompiler.cpp"
 label=2;break; //@line 1590 "PropellerCompiler.cpp"
 case 2: 
 var $0=$i; //@line 1590 "PropellerCompiler.cpp"
 var $cmp=($0|0)>0; //@line 1590 "PropellerCompiler.cpp"
 if($cmp){label=3;break;}else{label=7;break;} //@line 1590 "PropellerCompiler.cpp"
 case 3: 
 var $1=$value_addr; //@line 1592 "PropellerCompiler.cpp"
 var $and=$1&1; //@line 1592 "PropellerCompiler.cpp"
 var $tobool=($and|0)!=0; //@line 1592 "PropellerCompiler.cpp"
 if($tobool){label=4;break;}else{label=5;break;} //@line 1592 "PropellerCompiler.cpp"
 case 4: 
 var $2=$i; //@line 1594 "PropellerCompiler.cpp"
 var $sub=(((32)-($2))|0); //@line 1594 "PropellerCompiler.cpp"
 var $3=$bitPos_addr; //@line 1594 "PropellerCompiler.cpp"
 tempBigInt=$sub;HEAP8[($3)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($3)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($3)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($3)+(3))|0)]=tempBigInt&0xff; //@line 1594 "PropellerCompiler.cpp"
 var $4=$bitCount; //@line 1595 "PropellerCompiler.cpp"
 var $inc=((($4)+(1))|0); //@line 1595 "PropellerCompiler.cpp"
 $bitCount=$inc; //@line 1595 "PropellerCompiler.cpp"
 label=5;break; //@line 1596 "PropellerCompiler.cpp"
 case 5: 
 var $5=$value_addr; //@line 1597 "PropellerCompiler.cpp"
 var $shr=$5>>1; //@line 1597 "PropellerCompiler.cpp"
 $value_addr=$shr; //@line 1597 "PropellerCompiler.cpp"
 label=6;break; //@line 1598 "PropellerCompiler.cpp"
 case 6: 
 var $6=$i; //@line 1590 "PropellerCompiler.cpp"
 var $dec=((($6)-(1))|0); //@line 1590 "PropellerCompiler.cpp"
 $i=$dec; //@line 1590 "PropellerCompiler.cpp"
 label=2;break; //@line 1590 "PropellerCompiler.cpp"
 case 7: 
 var $7=$bitCount; //@line 1599 "PropellerCompiler.cpp"
 var $cmp1=($7|0)!=1; //@line 1599 "PropellerCompiler.cpp"
 if($cmp1){label=8;break;}else{label=9;break;} //@line 1599 "PropellerCompiler.cpp"
 case 8: 
 var $8=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1601 "PropellerCompiler.cpp"
 var $9=$8; //@line 1601 "PropellerCompiler.cpp"
 var $error=(($9)|0); //@line 1601 "PropellerCompiler.cpp"
 HEAP8[($error)]=1; //@line 1601 "PropellerCompiler.cpp"
 var $10=((((HEAPU8[(260)])|(HEAPU8[(261)]<<8)|(HEAPU8[(262)]<<16)|(HEAPU8[(263)]<<24))|0)); //@line 1602 "PropellerCompiler.cpp"
 var $11=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1602 "PropellerCompiler.cpp"
 var $12=$11; //@line 1602 "PropellerCompiler.cpp"
 var $error_msg=(($12+4)|0); //@line 1602 "PropellerCompiler.cpp"
 tempBigInt=$10;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 1602 "PropellerCompiler.cpp"
 $retval=0; //@line 1603 "PropellerCompiler.cpp"
 label=10;break; //@line 1603 "PropellerCompiler.cpp"
 case 9: 
 $retval=1; //@line 1605 "PropellerCompiler.cpp"
 label=10;break; //@line 1605 "PropellerCompiler.cpp"
 case 10: 
 var $13=$retval; //@line 1606 "PropellerCompiler.cpp"
 STACKTOP=sp;return $13; //@line 1606 "PropellerCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z19CompileDoc_ScanSkipRi($scanPtr){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $scanPtr_addr;
 $scanPtr_addr=$scanPtr;
 label=2;break; //@line 1762 "PropellerCompiler.cpp"
 case 2: 
 var $0=$scanPtr_addr; //@line 1762 "PropellerCompiler.cpp"
 var $1=((((HEAPU8[($0)])|(HEAPU8[((($0)+(1))|0)]<<8)|(HEAPU8[((($0)+(2))|0)]<<16)|(HEAPU8[((($0)+(3))|0)]<<24))|0)); //@line 1762 "PropellerCompiler.cpp"
 var $2=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1762 "PropellerCompiler.cpp"
 var $3=$2; //@line 1762 "PropellerCompiler.cpp"
 var $source=(($3+12)|0); //@line 1762 "PropellerCompiler.cpp"
 var $4=((((HEAPU8[($source)])|(HEAPU8[((($source)+(1))|0)]<<8)|(HEAPU8[((($source)+(2))|0)]<<16)|(HEAPU8[((($source)+(3))|0)]<<24))|0)); //@line 1762 "PropellerCompiler.cpp"
 var $arrayidx=(($4+$1)|0); //@line 1762 "PropellerCompiler.cpp"
 var $5=HEAP8[($arrayidx)]; //@line 1762 "PropellerCompiler.cpp"
 var $conv=(($5<<24)>>24); //@line 1762 "PropellerCompiler.cpp"
 var $cmp=($conv|0)==32; //@line 1762 "PropellerCompiler.cpp"
 if($cmp){var $12=1;label=4;break;}else{label=3;break;} //@line 1762 "PropellerCompiler.cpp"
 case 3: 
 var $6=$scanPtr_addr; //@line 1762 "PropellerCompiler.cpp"
 var $7=((((HEAPU8[($6)])|(HEAPU8[((($6)+(1))|0)]<<8)|(HEAPU8[((($6)+(2))|0)]<<16)|(HEAPU8[((($6)+(3))|0)]<<24))|0)); //@line 1762 "PropellerCompiler.cpp"
 var $8=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1762 "PropellerCompiler.cpp"
 var $9=$8; //@line 1762 "PropellerCompiler.cpp"
 var $source1=(($9+12)|0); //@line 1762 "PropellerCompiler.cpp"
 var $10=((((HEAPU8[($source1)])|(HEAPU8[((($source1)+(1))|0)]<<8)|(HEAPU8[((($source1)+(2))|0)]<<16)|(HEAPU8[((($source1)+(3))|0)]<<24))|0)); //@line 1762 "PropellerCompiler.cpp"
 var $arrayidx2=(($10+$7)|0); //@line 1762 "PropellerCompiler.cpp"
 var $11=HEAP8[($arrayidx2)]; //@line 1762 "PropellerCompiler.cpp"
 var $conv3=(($11<<24)>>24); //@line 1762 "PropellerCompiler.cpp"
 var $cmp4=($conv3|0)==9; //@line 1762 "PropellerCompiler.cpp"
 var $12=$cmp4;label=4;break; //@line 1762 "PropellerCompiler.cpp"
 case 4: 
 var $12;
 if($12){label=5;break;}else{label=6;break;} //@line 1762 "PropellerCompiler.cpp"
 case 5: 
 var $13=$scanPtr_addr; //@line 1764 "PropellerCompiler.cpp"
 var $14=((((HEAPU8[($13)])|(HEAPU8[((($13)+(1))|0)]<<8)|(HEAPU8[((($13)+(2))|0)]<<16)|(HEAPU8[((($13)+(3))|0)]<<24))|0)); //@line 1764 "PropellerCompiler.cpp"
 var $inc=((($14)+(1))|0); //@line 1764 "PropellerCompiler.cpp"
 tempBigInt=$inc;HEAP8[($13)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($13)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($13)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($13)+(3))|0)]=tempBigInt&0xff; //@line 1764 "PropellerCompiler.cpp"
 label=2;break; //@line 1765 "PropellerCompiler.cpp"
 case 6: 
 var $15=$scanPtr_addr; //@line 1767 "PropellerCompiler.cpp"
 var $16=((((HEAPU8[($15)])|(HEAPU8[((($15)+(1))|0)]<<8)|(HEAPU8[((($15)+(2))|0)]<<16)|(HEAPU8[((($15)+(3))|0)]<<24))|0)); //@line 1767 "PropellerCompiler.cpp"
 var $17=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1767 "PropellerCompiler.cpp"
 var $18=$17; //@line 1767 "PropellerCompiler.cpp"
 var $source5=(($18+12)|0); //@line 1767 "PropellerCompiler.cpp"
 var $19=((((HEAPU8[($source5)])|(HEAPU8[((($source5)+(1))|0)]<<8)|(HEAPU8[((($source5)+(2))|0)]<<16)|(HEAPU8[((($source5)+(3))|0)]<<24))|0)); //@line 1767 "PropellerCompiler.cpp"
 var $arrayidx6=(($19+$16)|0); //@line 1767 "PropellerCompiler.cpp"
 var $20=HEAP8[($arrayidx6)]; //@line 1767 "PropellerCompiler.cpp"
 STACKTOP=sp;return $20; //@line 1767 "PropellerCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z24CompileDoc_ScanInterfacebRi($bPrint,$nCount){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+16)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $bPrint_addr;
 var $nCount_addr;
 var $savedSourcePtr;
 var $bEof=sp;
 var $i;
 var $scanPtr=(sp)+(8);
 var $currentChar;
 var $frombool=($bPrint&1);
 $bPrint_addr=$frombool;
 $nCount_addr=$nCount;
 var $0=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1772 "PropellerCompiler.cpp"
 var $call=__ZN11Elementizer12GetSourcePtrEv($0); //@line 1772 "PropellerCompiler.cpp"
 $savedSourcePtr=$call; //@line 1772 "PropellerCompiler.cpp"
 HEAP8[($bEof)]=0; //@line 1774 "PropellerCompiler.cpp"
 var $1=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1775 "PropellerCompiler.cpp"
 var $call1=__ZN11Elementizer7GetNextERb($1,$bEof); //@line 1775 "PropellerCompiler.cpp"
 if($call1){label=3;break;}else{label=2;break;} //@line 1775 "PropellerCompiler.cpp"
 case 2: 
 $retval=0; //@line 1777 "PropellerCompiler.cpp"
 label=46;break; //@line 1777 "PropellerCompiler.cpp"
 case 3: 
 var $2=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1781 "PropellerCompiler.cpp"
 var $3=$2; //@line 1781 "PropellerCompiler.cpp"
 var $source_finish=(($3+20)|0); //@line 1781 "PropellerCompiler.cpp"
 var $4=((((HEAPU8[($source_finish)])|(HEAPU8[((($source_finish)+(1))|0)]<<8)|(HEAPU8[((($source_finish)+(2))|0)]<<16)|(HEAPU8[((($source_finish)+(3))|0)]<<24))|0)); //@line 1781 "PropellerCompiler.cpp"
 var $5=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1781 "PropellerCompiler.cpp"
 var $6=$5; //@line 1781 "PropellerCompiler.cpp"
 var $source_start=(($6+16)|0); //@line 1781 "PropellerCompiler.cpp"
 var $7=((((HEAPU8[($source_start)])|(HEAPU8[((($source_start)+(1))|0)]<<8)|(HEAPU8[((($source_start)+(2))|0)]<<16)|(HEAPU8[((($source_start)+(3))|0)]<<24))|0)); //@line 1781 "PropellerCompiler.cpp"
 var $sub=((($4)-($7))|0); //@line 1781 "PropellerCompiler.cpp"
 var $8=$nCount_addr; //@line 1781 "PropellerCompiler.cpp"
 tempBigInt=$sub;HEAP8[($8)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($8)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($8)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($8)+(3))|0)]=tempBigInt&0xff; //@line 1781 "PropellerCompiler.cpp"
 var $9=$bPrint_addr; //@line 1783 "PropellerCompiler.cpp"
 var $tobool=(($9)&1); //@line 1783 "PropellerCompiler.cpp"
 if($tobool){label=4;break;}else{label=11;break;} //@line 1783 "PropellerCompiler.cpp"
 case 4: 
 $i=0; //@line 1786 "PropellerCompiler.cpp"
 label=5;break; //@line 1786 "PropellerCompiler.cpp"
 case 5: 
 var $10=$i; //@line 1786 "PropellerCompiler.cpp"
 var $11=$nCount_addr; //@line 1786 "PropellerCompiler.cpp"
 var $12=((((HEAPU8[($11)])|(HEAPU8[((($11)+(1))|0)]<<8)|(HEAPU8[((($11)+(2))|0)]<<16)|(HEAPU8[((($11)+(3))|0)]<<24))|0)); //@line 1786 "PropellerCompiler.cpp"
 var $cmp=($10|0)<($12|0); //@line 1786 "PropellerCompiler.cpp"
 if($cmp){label=6;break;}else{label=10;break;} //@line 1786 "PropellerCompiler.cpp"
 case 6: 
 var $13=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1788 "PropellerCompiler.cpp"
 var $14=$13; //@line 1788 "PropellerCompiler.cpp"
 var $source_start3=(($14+16)|0); //@line 1788 "PropellerCompiler.cpp"
 var $15=((((HEAPU8[($source_start3)])|(HEAPU8[((($source_start3)+(1))|0)]<<8)|(HEAPU8[((($source_start3)+(2))|0)]<<16)|(HEAPU8[((($source_start3)+(3))|0)]<<24))|0)); //@line 1788 "PropellerCompiler.cpp"
 var $16=$i; //@line 1788 "PropellerCompiler.cpp"
 var $add=((($15)+($16))|0); //@line 1788 "PropellerCompiler.cpp"
 var $17=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1788 "PropellerCompiler.cpp"
 var $18=$17; //@line 1788 "PropellerCompiler.cpp"
 var $source=(($18+12)|0); //@line 1788 "PropellerCompiler.cpp"
 var $19=((((HEAPU8[($source)])|(HEAPU8[((($source)+(1))|0)]<<8)|(HEAPU8[((($source)+(2))|0)]<<16)|(HEAPU8[((($source)+(3))|0)]<<24))|0)); //@line 1788 "PropellerCompiler.cpp"
 var $arrayidx=(($19+$add)|0); //@line 1788 "PropellerCompiler.cpp"
 var $20=HEAP8[($arrayidx)]; //@line 1788 "PropellerCompiler.cpp"
 var $call4=__Z8PrintChrc($20); //@line 1788 "PropellerCompiler.cpp"
 if($call4){label=8;break;}else{label=7;break;} //@line 1788 "PropellerCompiler.cpp"
 case 7: 
 $retval=0; //@line 1790 "PropellerCompiler.cpp"
 label=46;break; //@line 1790 "PropellerCompiler.cpp"
 case 8: 
 label=9;break; //@line 1792 "PropellerCompiler.cpp"
 case 9: 
 var $21=$i; //@line 1786 "PropellerCompiler.cpp"
 var $inc=((($21)+(1))|0); //@line 1786 "PropellerCompiler.cpp"
 $i=$inc; //@line 1786 "PropellerCompiler.cpp"
 label=5;break; //@line 1786 "PropellerCompiler.cpp"
 case 10: 
 label=11;break; //@line 1793 "PropellerCompiler.cpp"
 case 11: 
 var $22=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1796 "PropellerCompiler.cpp"
 var $23=$22; //@line 1796 "PropellerCompiler.cpp"
 var $source_start8=(($23+16)|0); //@line 1796 "PropellerCompiler.cpp"
 var $24=((((HEAPU8[($source_start8)])|(HEAPU8[((($source_start8)+(1))|0)]<<8)|(HEAPU8[((($source_start8)+(2))|0)]<<16)|(HEAPU8[((($source_start8)+(3))|0)]<<24))|0)); //@line 1796 "PropellerCompiler.cpp"
 var $25=$nCount_addr; //@line 1796 "PropellerCompiler.cpp"
 var $26=((((HEAPU8[($25)])|(HEAPU8[((($25)+(1))|0)]<<8)|(HEAPU8[((($25)+(2))|0)]<<16)|(HEAPU8[((($25)+(3))|0)]<<24))|0)); //@line 1796 "PropellerCompiler.cpp"
 var $add9=((($24)+($26))|0); //@line 1796 "PropellerCompiler.cpp"
 tempBigInt=$add9;HEAP8[($scanPtr)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($scanPtr)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($scanPtr)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($scanPtr)+(3))|0)]=tempBigInt&0xff; //@line 1796 "PropellerCompiler.cpp"
 var $call10=__Z19CompileDoc_ScanSkipRi($scanPtr); //@line 1799 "PropellerCompiler.cpp"
 $currentChar=$call10; //@line 1799 "PropellerCompiler.cpp"
 var $27=$currentChar; //@line 1800 "PropellerCompiler.cpp"
 var $conv=(($27<<24)>>24); //@line 1800 "PropellerCompiler.cpp"
 var $cmp11=($conv|0)==40; //@line 1800 "PropellerCompiler.cpp"
 if($cmp11){label=12;break;}else{label=28;break;} //@line 1800 "PropellerCompiler.cpp"
 case 12: 
 label=13;break; //@line 1802 "PropellerCompiler.cpp"
 case 13: 
 var $28=((((HEAPU8[($scanPtr)])|(HEAPU8[((($scanPtr)+(1))|0)]<<8)|(HEAPU8[((($scanPtr)+(2))|0)]<<16)|(HEAPU8[((($scanPtr)+(3))|0)]<<24))|0)); //@line 1804 "PropellerCompiler.cpp"
 var $inc13=((($28)+(1))|0); //@line 1804 "PropellerCompiler.cpp"
 tempBigInt=$inc13;HEAP8[($scanPtr)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($scanPtr)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($scanPtr)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($scanPtr)+(3))|0)]=tempBigInt&0xff; //@line 1804 "PropellerCompiler.cpp"
 var $29=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1804 "PropellerCompiler.cpp"
 var $30=$29; //@line 1804 "PropellerCompiler.cpp"
 var $source14=(($30+12)|0); //@line 1804 "PropellerCompiler.cpp"
 var $31=((((HEAPU8[($source14)])|(HEAPU8[((($source14)+(1))|0)]<<8)|(HEAPU8[((($source14)+(2))|0)]<<16)|(HEAPU8[((($source14)+(3))|0)]<<24))|0)); //@line 1804 "PropellerCompiler.cpp"
 var $arrayidx15=(($31+$28)|0); //@line 1804 "PropellerCompiler.cpp"
 var $32=HEAP8[($arrayidx15)]; //@line 1804 "PropellerCompiler.cpp"
 $currentChar=$32; //@line 1804 "PropellerCompiler.cpp"
 var $33=$nCount_addr; //@line 1805 "PropellerCompiler.cpp"
 var $34=((((HEAPU8[($33)])|(HEAPU8[((($33)+(1))|0)]<<8)|(HEAPU8[((($33)+(2))|0)]<<16)|(HEAPU8[((($33)+(3))|0)]<<24))|0)); //@line 1805 "PropellerCompiler.cpp"
 var $inc16=((($34)+(1))|0); //@line 1805 "PropellerCompiler.cpp"
 tempBigInt=$inc16;HEAP8[($33)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($33)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($33)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($33)+(3))|0)]=tempBigInt&0xff; //@line 1805 "PropellerCompiler.cpp"
 var $35=$bPrint_addr; //@line 1806 "PropellerCompiler.cpp"
 var $tobool17=(($35)&1); //@line 1806 "PropellerCompiler.cpp"
 if($tobool17){label=14;break;}else{label=17;break;} //@line 1806 "PropellerCompiler.cpp"
 case 14: 
 var $36=$currentChar; //@line 1808 "PropellerCompiler.cpp"
 var $call19=__Z8PrintChrc($36); //@line 1808 "PropellerCompiler.cpp"
 if($call19){label=16;break;}else{label=15;break;} //@line 1808 "PropellerCompiler.cpp"
 case 15: 
 $retval=0; //@line 1810 "PropellerCompiler.cpp"
 label=46;break; //@line 1810 "PropellerCompiler.cpp"
 case 16: 
 label=17;break; //@line 1812 "PropellerCompiler.cpp"
 case 17: 
 var $37=$currentChar; //@line 1813 "PropellerCompiler.cpp"
 var $conv23=(($37<<24)>>24); //@line 1813 "PropellerCompiler.cpp"
 var $cmp24=($conv23|0)==41; //@line 1813 "PropellerCompiler.cpp"
 if($cmp24){label=18;break;}else{label=19;break;} //@line 1813 "PropellerCompiler.cpp"
 case 18: 
 label=27;break; //@line 1815 "PropellerCompiler.cpp"
 case 19: 
 var $38=$currentChar; //@line 1817 "PropellerCompiler.cpp"
 var $conv26=(($38<<24)>>24); //@line 1817 "PropellerCompiler.cpp"
 var $cmp27=($conv26|0)==44; //@line 1817 "PropellerCompiler.cpp"
 if($cmp27){label=20;break;}else{label=25;break;} //@line 1817 "PropellerCompiler.cpp"
 case 20: 
 var $39=$nCount_addr; //@line 1820 "PropellerCompiler.cpp"
 var $40=((((HEAPU8[($39)])|(HEAPU8[((($39)+(1))|0)]<<8)|(HEAPU8[((($39)+(2))|0)]<<16)|(HEAPU8[((($39)+(3))|0)]<<24))|0)); //@line 1820 "PropellerCompiler.cpp"
 var $inc29=((($40)+(1))|0); //@line 1820 "PropellerCompiler.cpp"
 tempBigInt=$inc29;HEAP8[($39)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($39)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($39)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($39)+(3))|0)]=tempBigInt&0xff; //@line 1820 "PropellerCompiler.cpp"
 var $41=$bPrint_addr; //@line 1821 "PropellerCompiler.cpp"
 var $tobool30=(($41)&1); //@line 1821 "PropellerCompiler.cpp"
 if($tobool30){label=21;break;}else{label=24;break;} //@line 1821 "PropellerCompiler.cpp"
 case 21: 
 var $call32=__Z8PrintChrc(32); //@line 1823 "PropellerCompiler.cpp"
 if($call32){label=23;break;}else{label=22;break;} //@line 1823 "PropellerCompiler.cpp"
 case 22: 
 $retval=0; //@line 1825 "PropellerCompiler.cpp"
 label=46;break; //@line 1825 "PropellerCompiler.cpp"
 case 23: 
 label=24;break; //@line 1827 "PropellerCompiler.cpp"
 case 24: 
 var $call36=__Z19CompileDoc_ScanSkipRi($scanPtr); //@line 1830 "PropellerCompiler.cpp"
 label=25;break; //@line 1831 "PropellerCompiler.cpp"
 case 25: 
 label=26;break;
 case 26: 
 label=13;break; //@line 1832 "PropellerCompiler.cpp"
 case 27: 
 label=28;break; //@line 1833 "PropellerCompiler.cpp"
 case 28: 
 var $call40=__Z19CompileDoc_ScanSkipRi($scanPtr); //@line 1836 "PropellerCompiler.cpp"
 $currentChar=$call40; //@line 1836 "PropellerCompiler.cpp"
 var $42=$currentChar; //@line 1837 "PropellerCompiler.cpp"
 var $conv41=(($42<<24)>>24); //@line 1837 "PropellerCompiler.cpp"
 var $cmp42=($conv41|0)==58; //@line 1837 "PropellerCompiler.cpp"
 if($cmp42){label=29;break;}else{label=41;break;} //@line 1837 "PropellerCompiler.cpp"
 case 29: 
 var $43=$nCount_addr; //@line 1839 "PropellerCompiler.cpp"
 var $44=((((HEAPU8[($43)])|(HEAPU8[((($43)+(1))|0)]<<8)|(HEAPU8[((($43)+(2))|0)]<<16)|(HEAPU8[((($43)+(3))|0)]<<24))|0)); //@line 1839 "PropellerCompiler.cpp"
 var $add44=((($44)+(3))|0); //@line 1839 "PropellerCompiler.cpp"
 tempBigInt=$add44;HEAP8[($43)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($43)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($43)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($43)+(3))|0)]=tempBigInt&0xff; //@line 1839 "PropellerCompiler.cpp"
 var $45=$bPrint_addr; //@line 1840 "PropellerCompiler.cpp"
 var $tobool45=(($45)&1); //@line 1840 "PropellerCompiler.cpp"
 if($tobool45){label=30;break;}else{label=33;break;} //@line 1840 "PropellerCompiler.cpp"
 case 30: 
 var $call47=__Z11PrintStringPKc(8216); //@line 1842 "PropellerCompiler.cpp"
 if($call47){label=32;break;}else{label=31;break;} //@line 1842 "PropellerCompiler.cpp"
 case 31: 
 $retval=0; //@line 1844 "PropellerCompiler.cpp"
 label=46;break; //@line 1844 "PropellerCompiler.cpp"
 case 32: 
 label=33;break; //@line 1846 "PropellerCompiler.cpp"
 case 33: 
 var $call51=__Z19CompileDoc_ScanSkipRi($scanPtr); //@line 1849 "PropellerCompiler.cpp"
 $currentChar=$call51; //@line 1849 "PropellerCompiler.cpp"
 label=34;break; //@line 1850 "PropellerCompiler.cpp"
 case 34: 
 var $46=$currentChar; //@line 1850 "PropellerCompiler.cpp"
 var $call52=__Z13CheckWordCharc($46); //@line 1850 "PropellerCompiler.cpp"
 if($call52){label=35;break;}else{label=40;break;} //@line 1850 "PropellerCompiler.cpp"
 case 35: 
 var $47=$nCount_addr; //@line 1852 "PropellerCompiler.cpp"
 var $48=((((HEAPU8[($47)])|(HEAPU8[((($47)+(1))|0)]<<8)|(HEAPU8[((($47)+(2))|0)]<<16)|(HEAPU8[((($47)+(3))|0)]<<24))|0)); //@line 1852 "PropellerCompiler.cpp"
 var $inc54=((($48)+(1))|0); //@line 1852 "PropellerCompiler.cpp"
 tempBigInt=$inc54;HEAP8[($47)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($47)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($47)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($47)+(3))|0)]=tempBigInt&0xff; //@line 1852 "PropellerCompiler.cpp"
 var $49=$bPrint_addr; //@line 1853 "PropellerCompiler.cpp"
 var $tobool55=(($49)&1); //@line 1853 "PropellerCompiler.cpp"
 if($tobool55){label=36;break;}else{label=39;break;} //@line 1853 "PropellerCompiler.cpp"
 case 36: 
 var $call57=__Z8PrintChrc(32); //@line 1855 "PropellerCompiler.cpp"
 if($call57){label=38;break;}else{label=37;break;} //@line 1855 "PropellerCompiler.cpp"
 case 37: 
 $retval=0; //@line 1857 "PropellerCompiler.cpp"
 label=46;break; //@line 1857 "PropellerCompiler.cpp"
 case 38: 
 label=39;break; //@line 1859 "PropellerCompiler.cpp"
 case 39: 
 var $50=((((HEAPU8[($scanPtr)])|(HEAPU8[((($scanPtr)+(1))|0)]<<8)|(HEAPU8[((($scanPtr)+(2))|0)]<<16)|(HEAPU8[((($scanPtr)+(3))|0)]<<24))|0)); //@line 1860 "PropellerCompiler.cpp"
 var $inc61=((($50)+(1))|0); //@line 1860 "PropellerCompiler.cpp"
 tempBigInt=$inc61;HEAP8[($scanPtr)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($scanPtr)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($scanPtr)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($scanPtr)+(3))|0)]=tempBigInt&0xff; //@line 1860 "PropellerCompiler.cpp"
 var $51=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1860 "PropellerCompiler.cpp"
 var $52=$51; //@line 1860 "PropellerCompiler.cpp"
 var $source62=(($52+12)|0); //@line 1860 "PropellerCompiler.cpp"
 var $53=((((HEAPU8[($source62)])|(HEAPU8[((($source62)+(1))|0)]<<8)|(HEAPU8[((($source62)+(2))|0)]<<16)|(HEAPU8[((($source62)+(3))|0)]<<24))|0)); //@line 1860 "PropellerCompiler.cpp"
 var $arrayidx63=(($53+$50)|0); //@line 1860 "PropellerCompiler.cpp"
 var $54=HEAP8[($arrayidx63)]; //@line 1860 "PropellerCompiler.cpp"
 $currentChar=$54; //@line 1860 "PropellerCompiler.cpp"
 label=34;break; //@line 1861 "PropellerCompiler.cpp"
 case 40: 
 label=41;break; //@line 1862 "PropellerCompiler.cpp"
 case 41: 
 var $55=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1865 "PropellerCompiler.cpp"
 var $56=$savedSourcePtr; //@line 1865 "PropellerCompiler.cpp"
 __ZN11Elementizer12SetSourcePtrEi($55,$56); //@line 1865 "PropellerCompiler.cpp"
 var $57=$nCount_addr; //@line 1866 "PropellerCompiler.cpp"
 var $58=((((HEAPU8[($57)])|(HEAPU8[((($57)+(1))|0)]<<8)|(HEAPU8[((($57)+(2))|0)]<<16)|(HEAPU8[((($57)+(3))|0)]<<24))|0)); //@line 1866 "PropellerCompiler.cpp"
 var $add66=((($58)+(5))|0); //@line 1866 "PropellerCompiler.cpp"
 tempBigInt=$add66;HEAP8[($57)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($57)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($57)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($57)+(3))|0)]=tempBigInt&0xff; //@line 1866 "PropellerCompiler.cpp"
 var $59=$bPrint_addr; //@line 1867 "PropellerCompiler.cpp"
 var $tobool67=(($59)&1); //@line 1867 "PropellerCompiler.cpp"
 if($tobool67){label=42;break;}else{label=45;break;} //@line 1867 "PropellerCompiler.cpp"
 case 42: 
 var $call69=__Z8PrintChrc(13); //@line 1869 "PropellerCompiler.cpp"
 if($call69){label=44;break;}else{label=43;break;} //@line 1869 "PropellerCompiler.cpp"
 case 43: 
 $retval=0; //@line 1871 "PropellerCompiler.cpp"
 label=46;break; //@line 1871 "PropellerCompiler.cpp"
 case 44: 
 label=45;break; //@line 1873 "PropellerCompiler.cpp"
 case 45: 
 $retval=1; //@line 1875 "PropellerCompiler.cpp"
 label=46;break; //@line 1875 "PropellerCompiler.cpp"
 case 46: 
 var $60=$retval; //@line 1876 "PropellerCompiler.cpp"
 STACKTOP=sp;return $60; //@line 1876 "PropellerCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z19CompileDoc_PrintAlli($sourcePtr){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+24)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $sourcePtr_addr;
 var $bEof=sp;
 var $nCount=(sp)+(8);
 var $i;
 var $nCount22=(sp)+(16);
 $sourcePtr_addr=$sourcePtr;
 var $0=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1880 "PropellerCompiler.cpp"
 __ZN11Elementizer5ResetEv($0); //@line 1880 "PropellerCompiler.cpp"
 var $1=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1881 "PropellerCompiler.cpp"
 var $2=$sourcePtr_addr; //@line 1881 "PropellerCompiler.cpp"
 __ZN11Elementizer12SetSourcePtrEi($1,$2); //@line 1881 "PropellerCompiler.cpp"
 HEAP8[($bEof)]=0; //@line 1883 "PropellerCompiler.cpp"
 label=2;break; //@line 1884 "PropellerCompiler.cpp"
 case 2: 
 var $3=HEAP8[($bEof)]; //@line 1884 "PropellerCompiler.cpp"
 var $tobool=(($3)&1); //@line 1884 "PropellerCompiler.cpp"
 var $lnot=$tobool^1; //@line 1884 "PropellerCompiler.cpp"
 if($lnot){label=3;break;}else{label=30;break;} //@line 1884 "PropellerCompiler.cpp"
 case 3: 
 var $4=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 1886 "PropellerCompiler.cpp"
 var $call=__ZN11Elementizer12GetNextBlockEiRb($4,4,$bEof); //@line 1886 "PropellerCompiler.cpp"
 if($call){label=5;break;}else{label=4;break;} //@line 1886 "PropellerCompiler.cpp"
 case 4: 
 $retval=0; //@line 1888 "PropellerCompiler.cpp"
 label=31;break; //@line 1888 "PropellerCompiler.cpp"
 case 5: 
 var $5=HEAP8[($bEof)]; //@line 1890 "PropellerCompiler.cpp"
 var $tobool1=(($5)&1); //@line 1890 "PropellerCompiler.cpp"
 if($tobool1){label=6;break;}else{label=7;break;} //@line 1890 "PropellerCompiler.cpp"
 case 6: 
 label=30;break; //@line 1892 "PropellerCompiler.cpp"
 case 7: 
 var $6=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1894 "PropellerCompiler.cpp"
 var $doc_mode=(($6+16979571)|0); //@line 1894 "PropellerCompiler.cpp"
 var $7=HEAP8[($doc_mode)]; //@line 1894 "PropellerCompiler.cpp"
 var $tobool4=(($7)&1); //@line 1894 "PropellerCompiler.cpp"
 if($tobool4){label=8;break;}else{label=21;break;} //@line 1894 "PropellerCompiler.cpp"
 case 8: 
 var $call6=__Z8PrintChrc(13); //@line 1897 "PropellerCompiler.cpp"
 if($call6){label=10;break;}else{label=9;break;} //@line 1897 "PropellerCompiler.cpp"
 case 9: 
 $retval=0; //@line 1899 "PropellerCompiler.cpp"
 label=31;break; //@line 1899 "PropellerCompiler.cpp"
 case 10: 
 tempBigInt=0;HEAP8[($nCount)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($nCount)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($nCount)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($nCount)+(3))|0)]=tempBigInt&0xff; //@line 1901 "PropellerCompiler.cpp"
 var $call9=__Z24CompileDoc_ScanInterfacebRi(0,$nCount); //@line 1902 "PropellerCompiler.cpp"
 if($call9){label=12;break;}else{label=11;break;} //@line 1902 "PropellerCompiler.cpp"
 case 11: 
 $retval=0; //@line 1904 "PropellerCompiler.cpp"
 label=31;break; //@line 1904 "PropellerCompiler.cpp"
 case 12: 
 $i=0; //@line 1906 "PropellerCompiler.cpp"
 label=13;break; //@line 1906 "PropellerCompiler.cpp"
 case 13: 
 var $8=$i; //@line 1906 "PropellerCompiler.cpp"
 var $9=((((HEAPU8[($nCount)])|(HEAPU8[((($nCount)+(1))|0)]<<8)|(HEAPU8[((($nCount)+(2))|0)]<<16)|(HEAPU8[((($nCount)+(3))|0)]<<24))|0)); //@line 1906 "PropellerCompiler.cpp"
 var $cmp=($8|0)<($9|0); //@line 1906 "PropellerCompiler.cpp"
 if($cmp){label=14;break;}else{label=18;break;} //@line 1906 "PropellerCompiler.cpp"
 case 14: 
 var $call12=__Z8PrintChrc(95); //@line 1908 "PropellerCompiler.cpp"
 if($call12){label=16;break;}else{label=15;break;} //@line 1908 "PropellerCompiler.cpp"
 case 15: 
 $retval=0; //@line 1910 "PropellerCompiler.cpp"
 label=31;break; //@line 1910 "PropellerCompiler.cpp"
 case 16: 
 label=17;break; //@line 1912 "PropellerCompiler.cpp"
 case 17: 
 var $10=$i; //@line 1906 "PropellerCompiler.cpp"
 var $inc=((($10)+(1))|0); //@line 1906 "PropellerCompiler.cpp"
 $i=$inc; //@line 1906 "PropellerCompiler.cpp"
 label=13;break; //@line 1906 "PropellerCompiler.cpp"
 case 18: 
 var $call15=__Z8PrintChrc(13); //@line 1913 "PropellerCompiler.cpp"
 if($call15){label=20;break;}else{label=19;break;} //@line 1913 "PropellerCompiler.cpp"
 case 19: 
 $retval=0; //@line 1915 "PropellerCompiler.cpp"
 label=31;break; //@line 1915 "PropellerCompiler.cpp"
 case 20: 
 label=21;break; //@line 1917 "PropellerCompiler.cpp"
 case 21: 
 var $call19=__Z11PrintStringPKc(8024); //@line 1920 "PropellerCompiler.cpp"
 if($call19){label=23;break;}else{label=22;break;} //@line 1920 "PropellerCompiler.cpp"
 case 22: 
 $retval=0; //@line 1922 "PropellerCompiler.cpp"
 label=31;break; //@line 1922 "PropellerCompiler.cpp"
 case 23: 
 tempBigInt=0;HEAP8[($nCount22)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($nCount22)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($nCount22)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($nCount22)+(3))|0)]=tempBigInt&0xff; //@line 1924 "PropellerCompiler.cpp"
 var $call23=__Z24CompileDoc_ScanInterfacebRi(1,$nCount22); //@line 1925 "PropellerCompiler.cpp"
 if($call23){label=25;break;}else{label=24;break;} //@line 1925 "PropellerCompiler.cpp"
 case 24: 
 $retval=0; //@line 1927 "PropellerCompiler.cpp"
 label=31;break; //@line 1927 "PropellerCompiler.cpp"
 case 25: 
 var $11=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 1929 "PropellerCompiler.cpp"
 var $doc_mode26=(($11+16979571)|0); //@line 1929 "PropellerCompiler.cpp"
 var $12=HEAP8[($doc_mode26)]; //@line 1929 "PropellerCompiler.cpp"
 var $tobool27=(($12)&1); //@line 1929 "PropellerCompiler.cpp"
 if($tobool27){label=26;break;}else{label=29;break;} //@line 1929 "PropellerCompiler.cpp"
 case 26: 
 var $call29=__Z8PrintChrc(13); //@line 1932 "PropellerCompiler.cpp"
 if($call29){label=28;break;}else{label=27;break;} //@line 1932 "PropellerCompiler.cpp"
 case 27: 
 $retval=0; //@line 1934 "PropellerCompiler.cpp"
 label=31;break; //@line 1934 "PropellerCompiler.cpp"
 case 28: 
 label=29;break; //@line 1936 "PropellerCompiler.cpp"
 case 29: 
 label=2;break; //@line 1937 "PropellerCompiler.cpp"
 case 30: 
 $retval=1; //@line 1939 "PropellerCompiler.cpp"
 label=31;break; //@line 1939 "PropellerCompiler.cpp"
 case 31: 
 var $13=$retval; //@line 1940 "PropellerCompiler.cpp"
 STACKTOP=sp;return $13; //@line 1940 "PropellerCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __ZN11ElementizerC2EP20CompilerDataInternalP12SymbolEngine($this,$pCompilerData,$pSymbolEngine){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $this_addr;
 var $pCompilerData_addr;
 var $pSymbolEngine_addr;
 var $i;
 $this_addr=$this;
 $pCompilerData_addr=$pCompilerData;
 $pSymbolEngine_addr=$pSymbolEngine;
 var $this1=$this_addr;
 var $m_pCompilerData=(($this1)|0); //@line 53 "./Elementizer.h"
 var $0=$pCompilerData_addr; //@line 53 "./Elementizer.h"
 tempBigInt=$0;HEAP8[($m_pCompilerData)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pCompilerData)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pCompilerData)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pCompilerData)+(3))|0)]=tempBigInt&0xff; //@line 53 "./Elementizer.h"
 var $m_pSymbolEngine=(($this1+4)|0); //@line 53 "./Elementizer.h"
 var $1=$pSymbolEngine_addr; //@line 53 "./Elementizer.h"
 tempBigInt=$1;HEAP8[($m_pSymbolEngine)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pSymbolEngine)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pSymbolEngine)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pSymbolEngine)+(3))|0)]=tempBigInt&0xff; //@line 53 "./Elementizer.h"
 var $m_sourceOffset=(($this1+8)|0); //@line 53 "./Elementizer.h"
 tempBigInt=0;HEAP8[($m_sourceOffset)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset)+(3))|0)]=tempBigInt&0xff; //@line 53 "./Elementizer.h"
 var $m_sourceFlags=(($this1+12)|0); //@line 53 "./Elementizer.h"
 HEAP8[($m_sourceFlags)]=0; //@line 53 "./Elementizer.h"
 var $m_backIndex=(($this1+41)|0); //@line 53 "./Elementizer.h"
 HEAP8[($m_backIndex)]=0; //@line 53 "./Elementizer.h"
 $i=0; //@line 54 "./Elementizer.h"
 label=2;break; //@line 54 "./Elementizer.h"
 case 2: 
 var $2=$i; //@line 54 "./Elementizer.h"
 var $cmp=($2|0)<4; //@line 54 "./Elementizer.h"
 if($cmp){label=3;break;}else{label=5;break;} //@line 54 "./Elementizer.h"
 case 3: 
 var $3=$i; //@line 56 "./Elementizer.h"
 var $m_backOffsets=(($this1+44)|0); //@line 56 "./Elementizer.h"
 var $arrayidx=(($m_backOffsets+($3<<2))|0); //@line 56 "./Elementizer.h"
 tempBigInt=0;HEAP8[($arrayidx)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx)+(3))|0)]=tempBigInt&0xff; //@line 56 "./Elementizer.h"
 var $m_backFlags=(($this1+60)|0); //@line 57 "./Elementizer.h"
 var $arrayidx2=(($m_backFlags)|0); //@line 57 "./Elementizer.h"
 HEAP8[($arrayidx2)]=0; //@line 57 "./Elementizer.h"
 label=4;break; //@line undefined "./Elementizer.h"
 case 4: 
 var $4=$i; //@line 54 "./Elementizer.h"
 var $inc=((($4)+(1))|0); //@line 54 "./Elementizer.h"
 $i=$inc; //@line 54 "./Elementizer.h"
 label=2;break; //@line 54 "./Elementizer.h"
 case 5: 
 STACKTOP=sp;return; //@line 59 "./Elementizer.h"
  default: assert(0, "bad label: " + label);
 }

}


function __ZN11Elementizer7GetTypeEv($this){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $this_addr;
 $this_addr=$this;
 var $this1=$this_addr;
 var $m_type=(($this1+20)|0); //@line 83 "./Elementizer.h"
 var $0=((((HEAPU8[($m_type)])|(HEAPU8[((($m_type)+(1))|0)]<<8)|(HEAPU8[((($m_type)+(2))|0)]<<16)|(HEAPU8[((($m_type)+(3))|0)]<<24))|0)); //@line 83 "./Elementizer.h"
 STACKTOP=sp;return $0; //@line 83 "./Elementizer.h"
}


function __ZN11Elementizer8GetValueEv($this){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $this_addr;
 $this_addr=$this;
 var $this1=$this_addr;
 var $m_value=(($this1+24)|0); //@line 84 "./Elementizer.h"
 var $0=((((HEAPU8[($m_value)])|(HEAPU8[((($m_value)+(1))|0)]<<8)|(HEAPU8[((($m_value)+(2))|0)]<<16)|(HEAPU8[((($m_value)+(3))|0)]<<24))|0)); //@line 84 "./Elementizer.h"
 STACKTOP=sp;return $0; //@line 84 "./Elementizer.h"
}


function __ZN11Elementizer12GetSourcePtrEv($this){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $this_addr;
 $this_addr=$this;
 var $this1=$this_addr;
 var $m_sourceOffset=(($this1+8)|0); //@line 76 "./Elementizer.h"
 var $0=((((HEAPU8[($m_sourceOffset)])|(HEAPU8[((($m_sourceOffset)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset)+(3))|0)]<<24))|0)); //@line 76 "./Elementizer.h"
 STACKTOP=sp;return $0; //@line 76 "./Elementizer.h"
}


function __ZN11Elementizer12SetSourcePtrEi($this,$value){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $this_addr;
 var $value_addr;
 $this_addr=$this;
 $value_addr=$value;
 var $this1=$this_addr;
 var $0=$value_addr; //@line 80 "./Elementizer.h"
 var $m_sourceOffset=(($this1+8)|0); //@line 80 "./Elementizer.h"
 tempBigInt=$0;HEAP8[($m_sourceOffset)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset)+(3))|0)]=tempBigInt&0xff; //@line 80 "./Elementizer.h"
 STACKTOP=sp;return; //@line 81 "./Elementizer.h"
}


function __Z26CompileDatBlocks_EnterInfoii($datstart,$objstart){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $datstart_addr;
 var $objstart_addr;
 $datstart_addr=$datstart;
 $objstart_addr=$objstart;
 var $0=$datstart_addr; //@line 25 "CompileDatBlocks.cpp"
 var $1=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 25 "CompileDatBlocks.cpp"
 var $inf_start=(($1+16979580)|0); //@line 25 "CompileDatBlocks.cpp"
 tempBigInt=$0;HEAP8[($inf_start)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_start)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_start)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_start)+(3))|0)]=tempBigInt&0xff; //@line 25 "CompileDatBlocks.cpp"
 var $2=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 26 "CompileDatBlocks.cpp"
 var $call=__ZN11Elementizer12GetSourcePtrEv($2); //@line 26 "CompileDatBlocks.cpp"
 var $3=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 26 "CompileDatBlocks.cpp"
 var $inf_finish=(($3+16979584)|0); //@line 26 "CompileDatBlocks.cpp"
 tempBigInt=$call;HEAP8[($inf_finish)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_finish)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_finish)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_finish)+(3))|0)]=tempBigInt&0xff; //@line 26 "CompileDatBlocks.cpp"
 var $4=$objstart_addr; //@line 27 "CompileDatBlocks.cpp"
 var $5=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 27 "CompileDatBlocks.cpp"
 var $inf_data0=(($5+16979592)|0); //@line 27 "CompileDatBlocks.cpp"
 tempBigInt=$4;HEAP8[($inf_data0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_data0)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_data0)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_data0)+(3))|0)]=tempBigInt&0xff; //@line 27 "CompileDatBlocks.cpp"
 var $6=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 28 "CompileDatBlocks.cpp"
 var $7=$6; //@line 28 "CompileDatBlocks.cpp"
 var $obj_ptr=(($7+16777264)|0); //@line 28 "CompileDatBlocks.cpp"
 var $8=((((HEAPU8[($obj_ptr)])|(HEAPU8[((($obj_ptr)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr)+(3))|0)]<<24))|0)); //@line 28 "CompileDatBlocks.cpp"
 var $9=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 28 "CompileDatBlocks.cpp"
 var $inf_data1=(($9+16979596)|0); //@line 28 "CompileDatBlocks.cpp"
 tempBigInt=$8;HEAP8[($inf_data1)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_data1)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_data1)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_data1)+(3))|0)]=tempBigInt&0xff; //@line 28 "CompileDatBlocks.cpp"
 var $10=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 29 "CompileDatBlocks.cpp"
 var $inf_type=(($10+16979588)|0); //@line 29 "CompileDatBlocks.cpp"
 tempBigInt=2;HEAP8[($inf_type)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_type)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_type)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_type)+(3))|0)]=tempBigInt&0xff; //@line 29 "CompileDatBlocks.cpp"
 __Z9EnterInfov(); //@line 30 "CompileDatBlocks.cpp"
 STACKTOP=sp;return; //@line 31 "CompileDatBlocks.cpp"
}


function __Z28CompileDatBlocks_EnterSymbolbi($bResSymbol,$size){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $bResSymbol_addr;
 var $size_addr;
 var $value_1;
 var $value_2;
 var $frombool=($bResSymbol&1);
 $bResSymbol_addr=$frombool;
 $size_addr=$size;
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 35 "CompileDatBlocks.cpp"
 var $1=$0; //@line 35 "CompileDatBlocks.cpp"
 var $obj_ptr=(($1+16777264)|0); //@line 35 "CompileDatBlocks.cpp"
 var $2=((((HEAPU8[($obj_ptr)])|(HEAPU8[((($obj_ptr)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr)+(3))|0)]<<24))|0)); //@line 35 "CompileDatBlocks.cpp"
 $value_1=$2; //@line 35 "CompileDatBlocks.cpp"
 var $3=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 36 "CompileDatBlocks.cpp"
 var $cog_org=(($3+16979572)|0); //@line 36 "CompileDatBlocks.cpp"
 var $4=((((HEAPU8[($cog_org)])|(HEAPU8[((($cog_org)+(1))|0)]<<8)|(HEAPU8[((($cog_org)+(2))|0)]<<16)|(HEAPU8[((($cog_org)+(3))|0)]<<24))|0)); //@line 36 "CompileDatBlocks.cpp"
 $value_2=$4; //@line 36 "CompileDatBlocks.cpp"
 var $5=$value_1; //@line 37 "CompileDatBlocks.cpp"
 var $6=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 37 "CompileDatBlocks.cpp"
 var $inf_data0=(($6+16979592)|0); //@line 37 "CompileDatBlocks.cpp"
 tempBigInt=$5;HEAP8[($inf_data0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_data0)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_data0)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_data0)+(3))|0)]=tempBigInt&0xff; //@line 37 "CompileDatBlocks.cpp"
 var $7=$value_2; //@line 38 "CompileDatBlocks.cpp"
 var $8=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 38 "CompileDatBlocks.cpp"
 var $inf_data2=(($8+16979600)|0); //@line 38 "CompileDatBlocks.cpp"
 tempBigInt=$7;HEAP8[($inf_data2)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_data2)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_data2)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_data2)+(3))|0)]=tempBigInt&0xff; //@line 38 "CompileDatBlocks.cpp"
 var $9=$size_addr; //@line 39 "CompileDatBlocks.cpp"
 var $10=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 39 "CompileDatBlocks.cpp"
 var $inf_data1=(($10+16979596)|0); //@line 39 "CompileDatBlocks.cpp"
 tempBigInt=$9;HEAP8[($inf_data1)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_data1)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_data1)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_data1)+(3))|0)]=tempBigInt&0xff; //@line 39 "CompileDatBlocks.cpp"
 var $11=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 40 "CompileDatBlocks.cpp"
 var $inf_type=(($11+16979588)|0); //@line 40 "CompileDatBlocks.cpp"
 tempBigInt=3;HEAP8[($inf_type)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_type)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_type)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_type)+(3))|0)]=tempBigInt&0xff; //@line 40 "CompileDatBlocks.cpp"
 __Z9EnterInfov(); //@line 41 "CompileDatBlocks.cpp"
 var $12=((((HEAPU8[(19704)])|(HEAPU8[(19705)]<<8)|(HEAPU8[(19706)]<<16)|(HEAPU8[(19707)]<<24))|0)); //@line 42 "CompileDatBlocks.cpp"
 var $13=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 42 "CompileDatBlocks.cpp"
 var $symbolBackup=(($13+16979312)|0); //@line 42 "CompileDatBlocks.cpp"
 var $arraydecay=(($symbolBackup)|0); //@line 42 "CompileDatBlocks.cpp"
 var $14=$bResSymbol_addr; //@line 42 "CompileDatBlocks.cpp"
 var $tobool=(($14)&1); //@line 42 "CompileDatBlocks.cpp"
 if($tobool){label=2;break;}else{label=3;break;} //@line 42 "CompileDatBlocks.cpp"
 case 2: 
 var $cond6=75;label=7;break; //@line 42 "CompileDatBlocks.cpp"
 case 3: 
 var $15=$size_addr; //@line 42 "CompileDatBlocks.cpp"
 var $cmp=($15|0)==0; //@line 42 "CompileDatBlocks.cpp"
 if($cmp){label=4;break;}else{label=5;break;} //@line 42 "CompileDatBlocks.cpp"
 case 4: 
 var $cond4=72;label=6;break; //@line 42 "CompileDatBlocks.cpp"
 case 5: 
 var $16=$size_addr; //@line 42 "CompileDatBlocks.cpp"
 var $cmp3=($16|0)==1; //@line 42 "CompileDatBlocks.cpp"
 var $cond=($cmp3?73:74); //@line 42 "CompileDatBlocks.cpp"
 var $cond4=$cond;label=6;break; //@line 42 "CompileDatBlocks.cpp"
 case 6: 
 var $cond4; //@line 42 "CompileDatBlocks.cpp"
 var $cond6=$cond4;label=7;break; //@line 42 "CompileDatBlocks.cpp"
 case 7: 
 var $cond6; //@line 42 "CompileDatBlocks.cpp"
 var $17=$value_1; //@line 42 "CompileDatBlocks.cpp"
 var $18=$value_2; //@line 42 "CompileDatBlocks.cpp"
 __ZN12SymbolEngine9AddSymbolEPKc10symbolTypeiib($12,$arraydecay,$cond6,$17,$18,0); //@line 42 "CompileDatBlocks.cpp"
 STACKTOP=sp;return; //@line 46 "CompileDatBlocks.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z26CompileDatBlocks_EnterByteh($value){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $value_addr;
 $value_addr=$value;
 var $0=$value_addr; //@line 50 "CompileDatBlocks.cpp"
 var $call=__Z8EnterObjh($0); //@line 50 "CompileDatBlocks.cpp"
 if($call){label=2;break;}else{label=5;break;} //@line 50 "CompileDatBlocks.cpp"
 case 2: 
 var $1=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 52 "CompileDatBlocks.cpp"
 var $orgx=(($1+16979884)|0); //@line 52 "CompileDatBlocks.cpp"
 var $2=((((HEAPU8[($orgx)])|(HEAPU8[((($orgx)+(1))|0)]<<8)|(HEAPU8[((($orgx)+(2))|0)]<<16)|(HEAPU8[((($orgx)+(3))|0)]<<24))|0)); //@line 52 "CompileDatBlocks.cpp"
 var $cmp=($2|0)==0; //@line 52 "CompileDatBlocks.cpp"
 if($cmp){label=3;break;}else{label=4;break;} //@line 52 "CompileDatBlocks.cpp"
 case 3: 
 var $3=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 54 "CompileDatBlocks.cpp"
 var $cog_org=(($3+16979572)|0); //@line 54 "CompileDatBlocks.cpp"
 var $4=((((HEAPU8[($cog_org)])|(HEAPU8[((($cog_org)+(1))|0)]<<8)|(HEAPU8[((($cog_org)+(2))|0)]<<16)|(HEAPU8[((($cog_org)+(3))|0)]<<24))|0)); //@line 54 "CompileDatBlocks.cpp"
 var $inc=((($4)+(1))|0); //@line 54 "CompileDatBlocks.cpp"
 tempBigInt=$inc;HEAP8[($cog_org)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($cog_org)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($cog_org)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($cog_org)+(3))|0)]=tempBigInt&0xff; //@line 54 "CompileDatBlocks.cpp"
 label=4;break; //@line 55 "CompileDatBlocks.cpp"
 case 4: 
 $retval=1; //@line 56 "CompileDatBlocks.cpp"
 label=6;break; //@line 56 "CompileDatBlocks.cpp"
 case 5: 
 $retval=0; //@line undefined "CompileDatBlocks.cpp"
 label=6;break; //@line undefined "CompileDatBlocks.cpp"
 case 6: 
 var $5=$retval; //@line 59 "CompileDatBlocks.cpp"
 STACKTOP=sp;return $5; //@line 59 "CompileDatBlocks.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z22CompileDatBlocks_Enteriii($value,$count,$size){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $value_addr;
 var $count_addr;
 var $size_addr;
 var $numBytesPer;
 var $i;
 $value_addr=$value;
 $count_addr=$count;
 $size_addr=$size;
 var $0=$size_addr; //@line 63 "CompileDatBlocks.cpp"
 var $shl=1<<$0; //@line 63 "CompileDatBlocks.cpp"
 $numBytesPer=$shl; //@line 63 "CompileDatBlocks.cpp"
 $i=0; //@line 64 "CompileDatBlocks.cpp"
 label=2;break; //@line 64 "CompileDatBlocks.cpp"
 case 2: 
 var $1=$i; //@line 64 "CompileDatBlocks.cpp"
 var $2=$count_addr; //@line 64 "CompileDatBlocks.cpp"
 var $cmp=($1|0)<($2|0); //@line 64 "CompileDatBlocks.cpp"
 if($cmp){label=3;break;}else{label=17;break;} //@line 64 "CompileDatBlocks.cpp"
 case 3: 
 var $3=$value_addr; //@line 66 "CompileDatBlocks.cpp"
 var $and=$3&255; //@line 66 "CompileDatBlocks.cpp"
 var $conv=(($and)&255); //@line 66 "CompileDatBlocks.cpp"
 var $call=__Z26CompileDatBlocks_EnterByteh($conv); //@line 66 "CompileDatBlocks.cpp"
 if($call){label=5;break;}else{label=4;break;} //@line 66 "CompileDatBlocks.cpp"
 case 4: 
 $retval=0; //@line 68 "CompileDatBlocks.cpp"
 label=18;break; //@line 68 "CompileDatBlocks.cpp"
 case 5: 
 var $4=$numBytesPer; //@line 70 "CompileDatBlocks.cpp"
 var $cmp1=($4|0)>1; //@line 70 "CompileDatBlocks.cpp"
 if($cmp1){label=6;break;}else{label=9;break;} //@line 70 "CompileDatBlocks.cpp"
 case 6: 
 var $5=$value_addr; //@line 72 "CompileDatBlocks.cpp"
 var $shr=$5>>8; //@line 72 "CompileDatBlocks.cpp"
 var $and3=$shr&255; //@line 72 "CompileDatBlocks.cpp"
 var $conv4=(($and3)&255); //@line 72 "CompileDatBlocks.cpp"
 var $call5=__Z26CompileDatBlocks_EnterByteh($conv4); //@line 72 "CompileDatBlocks.cpp"
 if($call5){label=8;break;}else{label=7;break;} //@line 72 "CompileDatBlocks.cpp"
 case 7: 
 $retval=0; //@line 74 "CompileDatBlocks.cpp"
 label=18;break; //@line 74 "CompileDatBlocks.cpp"
 case 8: 
 label=9;break; //@line 76 "CompileDatBlocks.cpp"
 case 9: 
 var $6=$numBytesPer; //@line 77 "CompileDatBlocks.cpp"
 var $cmp9=($6|0)>2; //@line 77 "CompileDatBlocks.cpp"
 if($cmp9){label=10;break;}else{label=15;break;} //@line 77 "CompileDatBlocks.cpp"
 case 10: 
 var $7=$value_addr; //@line 79 "CompileDatBlocks.cpp"
 var $shr11=$7>>16; //@line 79 "CompileDatBlocks.cpp"
 var $and12=$shr11&255; //@line 79 "CompileDatBlocks.cpp"
 var $conv13=(($and12)&255); //@line 79 "CompileDatBlocks.cpp"
 var $call14=__Z26CompileDatBlocks_EnterByteh($conv13); //@line 79 "CompileDatBlocks.cpp"
 if($call14){label=12;break;}else{label=11;break;} //@line 79 "CompileDatBlocks.cpp"
 case 11: 
 $retval=0; //@line 81 "CompileDatBlocks.cpp"
 label=18;break; //@line 81 "CompileDatBlocks.cpp"
 case 12: 
 var $8=$value_addr; //@line 83 "CompileDatBlocks.cpp"
 var $shr17=$8>>24; //@line 83 "CompileDatBlocks.cpp"
 var $and18=$shr17&255; //@line 83 "CompileDatBlocks.cpp"
 var $conv19=(($and18)&255); //@line 83 "CompileDatBlocks.cpp"
 var $call20=__Z26CompileDatBlocks_EnterByteh($conv19); //@line 83 "CompileDatBlocks.cpp"
 if($call20){label=14;break;}else{label=13;break;} //@line 83 "CompileDatBlocks.cpp"
 case 13: 
 $retval=0; //@line 85 "CompileDatBlocks.cpp"
 label=18;break; //@line 85 "CompileDatBlocks.cpp"
 case 14: 
 label=15;break; //@line 87 "CompileDatBlocks.cpp"
 case 15: 
 label=16;break; //@line 88 "CompileDatBlocks.cpp"
 case 16: 
 var $9=$i; //@line 64 "CompileDatBlocks.cpp"
 var $inc=((($9)+(1))|0); //@line 64 "CompileDatBlocks.cpp"
 $i=$inc; //@line 64 "CompileDatBlocks.cpp"
 label=2;break; //@line 64 "CompileDatBlocks.cpp"
 case 17: 
 $retval=1; //@line 89 "CompileDatBlocks.cpp"
 label=18;break; //@line 89 "CompileDatBlocks.cpp"
 case 18: 
 var $10=$retval; //@line 90 "CompileDatBlocks.cpp"
 STACKTOP=sp;return $10; //@line 90 "CompileDatBlocks.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z24CompileDatBlocks_Advancebbi($bSymbol,$bResSymbol,$size){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $bSymbol_addr;
 var $bResSymbol_addr;
 var $size_addr;
 var $testVal;
 var $frombool=($bSymbol&1);
 $bSymbol_addr=$frombool;
 var $frombool1=($bResSymbol&1);
 $bResSymbol_addr=$frombool1;
 $size_addr=$size;
 var $0=$size_addr; //@line 94 "CompileDatBlocks.cpp"
 var $shl=1<<$0; //@line 94 "CompileDatBlocks.cpp"
 var $sub=((($shl)-(1))|0); //@line 94 "CompileDatBlocks.cpp"
 $testVal=$sub; //@line 94 "CompileDatBlocks.cpp"
 label=2;break; //@line 95 "CompileDatBlocks.cpp"
 case 2: 
 var $1=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 97 "CompileDatBlocks.cpp"
 var $2=$1; //@line 97 "CompileDatBlocks.cpp"
 var $obj_ptr=(($2+16777264)|0); //@line 97 "CompileDatBlocks.cpp"
 var $3=((((HEAPU8[($obj_ptr)])|(HEAPU8[((($obj_ptr)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr)+(3))|0)]<<24))|0)); //@line 97 "CompileDatBlocks.cpp"
 var $4=$testVal; //@line 97 "CompileDatBlocks.cpp"
 var $and=$3&$4; //@line 97 "CompileDatBlocks.cpp"
 var $cmp=($and|0)==0; //@line 97 "CompileDatBlocks.cpp"
 if($cmp){label=3;break;}else{label=6;break;} //@line 97 "CompileDatBlocks.cpp"
 case 3: 
 var $5=$bSymbol_addr; //@line 99 "CompileDatBlocks.cpp"
 var $tobool=(($5)&1); //@line 99 "CompileDatBlocks.cpp"
 if($tobool){label=4;break;}else{label=5;break;} //@line 99 "CompileDatBlocks.cpp"
 case 4: 
 var $6=$bResSymbol_addr; //@line 101 "CompileDatBlocks.cpp"
 var $tobool3=(($6)&1); //@line 101 "CompileDatBlocks.cpp"
 var $7=$size_addr; //@line 101 "CompileDatBlocks.cpp"
 __Z28CompileDatBlocks_EnterSymbolbi($tobool3,$7); //@line 101 "CompileDatBlocks.cpp"
 label=5;break; //@line 102 "CompileDatBlocks.cpp"
 case 5: 
 label=9;break; //@line 103 "CompileDatBlocks.cpp"
 case 6: 
 var $call=__Z26CompileDatBlocks_EnterByteh(0); //@line 105 "CompileDatBlocks.cpp"
 if($call){label=8;break;}else{label=7;break;} //@line 105 "CompileDatBlocks.cpp"
 case 7: 
 $retval=0; //@line 107 "CompileDatBlocks.cpp"
 label=10;break; //@line 107 "CompileDatBlocks.cpp"
 case 8: 
 label=2;break; //@line 109 "CompileDatBlocks.cpp"
 case 9: 
 $retval=1; //@line 111 "CompileDatBlocks.cpp"
 label=10;break; //@line 111 "CompileDatBlocks.cpp"
 case 10: 
 var $8=$retval; //@line 112 "CompileDatBlocks.cpp"
 STACKTOP=sp;return $8; //@line 112 "CompileDatBlocks.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z21CompileDatBlocks_DataRbibS_Ri($bEof,$pass,$bSymbol,$bResSymbol,$size){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+8)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $bEof_addr;
 var $pass_addr;
 var $bSymbol_addr;
 var $bResSymbol_addr;
 var $size_addr;
 var $overrideSize;
 var $value;
 var $count;
 var $bComma=sp;
 $bEof_addr=$bEof;
 $pass_addr=$pass;
 var $frombool=($bSymbol&1);
 $bSymbol_addr=$frombool;
 $bResSymbol_addr=$bResSymbol;
 $size_addr=$size;
 var $0=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 116 "CompileDatBlocks.cpp"
 var $call=__ZN11Elementizer8GetValueEv($0); //@line 116 "CompileDatBlocks.cpp"
 var $and=$call&255; //@line 116 "CompileDatBlocks.cpp"
 var $1=$size_addr; //@line 116 "CompileDatBlocks.cpp"
 tempBigInt=$and;HEAP8[($1)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($1)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($1)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($1)+(3))|0)]=tempBigInt&0xff; //@line 116 "CompileDatBlocks.cpp"
 var $2=$size_addr; //@line 117 "CompileDatBlocks.cpp"
 var $3=((((HEAPU8[($2)])|(HEAPU8[((($2)+(1))|0)]<<8)|(HEAPU8[((($2)+(2))|0)]<<16)|(HEAPU8[((($2)+(3))|0)]<<24))|0)); //@line 117 "CompileDatBlocks.cpp"
 $overrideSize=$3; //@line 117 "CompileDatBlocks.cpp"
 var $4=$bSymbol_addr; //@line 119 "CompileDatBlocks.cpp"
 var $tobool=(($4)&1); //@line 119 "CompileDatBlocks.cpp"
 var $5=$bResSymbol_addr; //@line 119 "CompileDatBlocks.cpp"
 var $6=HEAP8[($5)]; //@line 119 "CompileDatBlocks.cpp"
 var $tobool1=(($6)&1); //@line 119 "CompileDatBlocks.cpp"
 var $7=$size_addr; //@line 119 "CompileDatBlocks.cpp"
 var $8=((((HEAPU8[($7)])|(HEAPU8[((($7)+(1))|0)]<<8)|(HEAPU8[((($7)+(2))|0)]<<16)|(HEAPU8[((($7)+(3))|0)]<<24))|0)); //@line 119 "CompileDatBlocks.cpp"
 var $call2=__Z24CompileDatBlocks_Advancebbi($tobool,$tobool1,$8); //@line 119 "CompileDatBlocks.cpp"
 if($call2){label=3;break;}else{label=2;break;} //@line 119 "CompileDatBlocks.cpp"
 case 2: 
 $retval=0; //@line 121 "CompileDatBlocks.cpp"
 label=32;break; //@line 121 "CompileDatBlocks.cpp"
 case 3: 
 var $9=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 124 "CompileDatBlocks.cpp"
 var $10=$bEof_addr; //@line 124 "CompileDatBlocks.cpp"
 var $call3=__ZN11Elementizer7GetNextERb($9,$10); //@line 124 "CompileDatBlocks.cpp"
 if($call3){label=5;break;}else{label=4;break;} //@line 124 "CompileDatBlocks.cpp"
 case 4: 
 $retval=0; //@line 126 "CompileDatBlocks.cpp"
 label=32;break; //@line 126 "CompileDatBlocks.cpp"
 case 5: 
 var $11=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 128 "CompileDatBlocks.cpp"
 var $call6=__ZN11Elementizer7GetTypeEv($11); //@line 128 "CompileDatBlocks.cpp"
 var $cmp=($call6|0)==84; //@line 128 "CompileDatBlocks.cpp"
 if($cmp){label=6;break;}else{label=7;break;} //@line 128 "CompileDatBlocks.cpp"
 case 6: 
 $retval=1; //@line 130 "CompileDatBlocks.cpp"
 label=32;break; //@line 130 "CompileDatBlocks.cpp"
 case 7: 
 label=8;break; //@line 133 "CompileDatBlocks.cpp"
 case 8: 
 var $12=$bEof_addr; //@line 133 "CompileDatBlocks.cpp"
 var $13=HEAP8[($12)]; //@line 133 "CompileDatBlocks.cpp"
 var $tobool9=(($13)&1); //@line 133 "CompileDatBlocks.cpp"
 var $lnot=$tobool9^1; //@line 133 "CompileDatBlocks.cpp"
 if($lnot){label=9;break;}else{label=31;break;} //@line 133 "CompileDatBlocks.cpp"
 case 9: 
 var $14=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 136 "CompileDatBlocks.cpp"
 var $call10=__ZN11Elementizer7GetTypeEv($14); //@line 136 "CompileDatBlocks.cpp"
 var $cmp11=($call10|0)==29; //@line 136 "CompileDatBlocks.cpp"
 if($cmp11){label=10;break;}else{label=13;break;} //@line 136 "CompileDatBlocks.cpp"
 case 10: 
 var $15=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 139 "CompileDatBlocks.cpp"
 var $call13=__ZN11Elementizer8GetValueEv($15); //@line 139 "CompileDatBlocks.cpp"
 var $and14=$call13&255; //@line 139 "CompileDatBlocks.cpp"
 $overrideSize=$and14; //@line 139 "CompileDatBlocks.cpp"
 var $16=$overrideSize; //@line 140 "CompileDatBlocks.cpp"
 var $17=$size_addr; //@line 140 "CompileDatBlocks.cpp"
 var $18=((((HEAPU8[($17)])|(HEAPU8[((($17)+(1))|0)]<<8)|(HEAPU8[((($17)+(2))|0)]<<16)|(HEAPU8[((($17)+(3))|0)]<<24))|0)); //@line 140 "CompileDatBlocks.cpp"
 var $cmp15=($16|0)<($18|0); //@line 140 "CompileDatBlocks.cpp"
 if($cmp15){label=11;break;}else{label=12;break;} //@line 140 "CompileDatBlocks.cpp"
 case 11: 
 var $19=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 142 "CompileDatBlocks.cpp"
 var $20=$19; //@line 142 "CompileDatBlocks.cpp"
 var $error=(($20)|0); //@line 142 "CompileDatBlocks.cpp"
 HEAP8[($error)]=1; //@line 142 "CompileDatBlocks.cpp"
 var $21=((((HEAPU8[(428)])|(HEAPU8[(429)]<<8)|(HEAPU8[(430)]<<16)|(HEAPU8[(431)]<<24))|0)); //@line 143 "CompileDatBlocks.cpp"
 var $22=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 143 "CompileDatBlocks.cpp"
 var $23=$22; //@line 143 "CompileDatBlocks.cpp"
 var $error_msg=(($23+4)|0); //@line 143 "CompileDatBlocks.cpp"
 tempBigInt=$21;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 143 "CompileDatBlocks.cpp"
 $retval=0; //@line 144 "CompileDatBlocks.cpp"
 label=32;break; //@line 144 "CompileDatBlocks.cpp"
 case 12: 
 label=14;break; //@line 146 "CompileDatBlocks.cpp"
 case 13: 
 var $24=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 150 "CompileDatBlocks.cpp"
 __ZN11Elementizer6BackupEv($24); //@line 150 "CompileDatBlocks.cpp"
 label=14;break;
 case 14: 
 var $25=$pass_addr; //@line 154 "CompileDatBlocks.cpp"
 var $cmp19=($25|0)==1; //@line 154 "CompileDatBlocks.cpp"
 var $cond=($cmp19?1:0); //@line 154 "CompileDatBlocks.cpp"
 var $26=$overrideSize; //@line 154 "CompileDatBlocks.cpp"
 var $cmp20=($26|0)==2; //@line 154 "CompileDatBlocks.cpp"
 var $cond21=($cmp20?0:1); //@line 154 "CompileDatBlocks.cpp"
 var $call22=__Z11GetTryValuebbb($cond,$cond21,1); //@line 154 "CompileDatBlocks.cpp"
 if($call22){label=16;break;}else{label=15;break;} //@line 154 "CompileDatBlocks.cpp"
 case 15: 
 $retval=0; //@line 156 "CompileDatBlocks.cpp"
 label=32;break; //@line 156 "CompileDatBlocks.cpp"
 case 16: 
 var $call25=__Z9GetResultv(); //@line 158 "CompileDatBlocks.cpp"
 $value=$call25; //@line 158 "CompileDatBlocks.cpp"
 $count=1; //@line 161 "CompileDatBlocks.cpp"
 var $27=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 162 "CompileDatBlocks.cpp"
 var $call26=__ZN11Elementizer12CheckElementEi($27,3); //@line 162 "CompileDatBlocks.cpp"
 if($call26){label=17;break;}else{label=22;break;} //@line 162 "CompileDatBlocks.cpp"
 case 17: 
 var $call28=__Z11GetTryValuebbb(1,1,1); //@line 164 "CompileDatBlocks.cpp"
 if($call28){label=19;break;}else{label=18;break;} //@line 164 "CompileDatBlocks.cpp"
 case 18: 
 $retval=0; //@line 166 "CompileDatBlocks.cpp"
 label=32;break; //@line 166 "CompileDatBlocks.cpp"
 case 19: 
 var $call31=__Z9GetResultv(); //@line 168 "CompileDatBlocks.cpp"
 $count=$call31; //@line 168 "CompileDatBlocks.cpp"
 var $28=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 169 "CompileDatBlocks.cpp"
 var $call32=__ZN11Elementizer10GetElementEi($28,4); //@line 169 "CompileDatBlocks.cpp"
 if($call32){label=21;break;}else{label=20;break;} //@line 169 "CompileDatBlocks.cpp"
 case 20: 
 $retval=0; //@line 171 "CompileDatBlocks.cpp"
 label=32;break; //@line 171 "CompileDatBlocks.cpp"
 case 21: 
 label=22;break; //@line 173 "CompileDatBlocks.cpp"
 case 22: 
 var $29=$value; //@line 176 "CompileDatBlocks.cpp"
 var $30=$count; //@line 176 "CompileDatBlocks.cpp"
 var $31=$overrideSize; //@line 176 "CompileDatBlocks.cpp"
 var $call36=__Z22CompileDatBlocks_Enteriii($29,$30,$31); //@line 176 "CompileDatBlocks.cpp"
 if($call36){label=24;break;}else{label=23;break;} //@line 176 "CompileDatBlocks.cpp"
 case 23: 
 $retval=0; //@line 178 "CompileDatBlocks.cpp"
 label=32;break; //@line 178 "CompileDatBlocks.cpp"
 case 24: 
 HEAP8[($bComma)]=0; //@line 181 "CompileDatBlocks.cpp"
 var $call39=__Z13GetCommaOrEndRb($bComma); //@line 182 "CompileDatBlocks.cpp"
 if($call39){label=26;break;}else{label=25;break;} //@line 182 "CompileDatBlocks.cpp"
 case 25: 
 $retval=0; //@line 184 "CompileDatBlocks.cpp"
 label=32;break; //@line 184 "CompileDatBlocks.cpp"
 case 26: 
 var $32=HEAP8[($bComma)]; //@line 186 "CompileDatBlocks.cpp"
 var $tobool42=(($32)&1); //@line 186 "CompileDatBlocks.cpp"
 if($tobool42){label=28;break;}else{label=27;break;} //@line 186 "CompileDatBlocks.cpp"
 case 27: 
 label=31;break; //@line 188 "CompileDatBlocks.cpp"
 case 28: 
 var $33=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 191 "CompileDatBlocks.cpp"
 var $34=$bEof_addr; //@line 191 "CompileDatBlocks.cpp"
 var $call45=__ZN11Elementizer7GetNextERb($33,$34); //@line 191 "CompileDatBlocks.cpp"
 if($call45){label=30;break;}else{label=29;break;} //@line 191 "CompileDatBlocks.cpp"
 case 29: 
 $retval=0; //@line 193 "CompileDatBlocks.cpp"
 label=32;break; //@line 193 "CompileDatBlocks.cpp"
 case 30: 
 label=8;break; //@line 195 "CompileDatBlocks.cpp"
 case 31: 
 $retval=1; //@line 197 "CompileDatBlocks.cpp"
 label=32;break; //@line 197 "CompileDatBlocks.cpp"
 case 32: 
 var $35=$retval; //@line 198 "CompileDatBlocks.cpp"
 STACKTOP=sp;return $35; //@line 198 "CompileDatBlocks.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z21CompileDatBlocks_FilebbRi($bSymbol,$bResSymbol,$size){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+16)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $bSymbol_addr;
 var $bResSymbol_addr;
 var $size_addr;
 var $filenameStart=sp;
 var $filenameFinish=(sp)+(8);
 var $i;
 var $j;
 var $frombool=($bSymbol&1);
 $bSymbol_addr=$frombool;
 var $frombool1=($bResSymbol&1);
 $bResSymbol_addr=$frombool1;
 $size_addr=$size;
 var $0=$size_addr; //@line 202 "CompileDatBlocks.cpp"
 tempBigInt=0;HEAP8[($0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($0)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($0)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($0)+(3))|0)]=tempBigInt&0xff; //@line 202 "CompileDatBlocks.cpp"
 var $1=$bSymbol_addr; //@line 203 "CompileDatBlocks.cpp"
 var $tobool=(($1)&1); //@line 203 "CompileDatBlocks.cpp"
 if($tobool){label=2;break;}else{label=3;break;} //@line 203 "CompileDatBlocks.cpp"
 case 2: 
 var $2=$bResSymbol_addr; //@line 205 "CompileDatBlocks.cpp"
 var $tobool2=(($2)&1); //@line 205 "CompileDatBlocks.cpp"
 var $3=$size_addr; //@line 205 "CompileDatBlocks.cpp"
 var $4=((((HEAPU8[($3)])|(HEAPU8[((($3)+(1))|0)]<<8)|(HEAPU8[((($3)+(2))|0)]<<16)|(HEAPU8[((($3)+(3))|0)]<<24))|0)); //@line 205 "CompileDatBlocks.cpp"
 __Z28CompileDatBlocks_EnterSymbolbi($tobool2,$4); //@line 205 "CompileDatBlocks.cpp"
 label=3;break; //@line 206 "CompileDatBlocks.cpp"
 case 3: 
 tempBigInt=0;HEAP8[($filenameStart)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($filenameStart)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($filenameStart)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($filenameStart)+(3))|0)]=tempBigInt&0xff; //@line 208 "CompileDatBlocks.cpp"
 tempBigInt=0;HEAP8[($filenameFinish)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($filenameFinish)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($filenameFinish)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($filenameFinish)+(3))|0)]=tempBigInt&0xff; //@line 209 "CompileDatBlocks.cpp"
 var $call=__Z11GetFilenameRiS_($filenameStart,$filenameFinish); //@line 210 "CompileDatBlocks.cpp"
 if($call){label=5;break;}else{label=4;break;} //@line 210 "CompileDatBlocks.cpp"
 case 4: 
 $retval=0; //@line 212 "CompileDatBlocks.cpp"
 label=20;break; //@line 212 "CompileDatBlocks.cpp"
 case 5: 
 $i=0; //@line 216 "CompileDatBlocks.cpp"
 label=6;break; //@line 216 "CompileDatBlocks.cpp"
 case 6: 
 var $5=$i; //@line 216 "CompileDatBlocks.cpp"
 var $6=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 216 "CompileDatBlocks.cpp"
 var $7=$6; //@line 216 "CompileDatBlocks.cpp"
 var $dat_files=(($7+16851896)|0); //@line 216 "CompileDatBlocks.cpp"
 var $8=((((HEAPU8[($dat_files)])|(HEAPU8[((($dat_files)+(1))|0)]<<8)|(HEAPU8[((($dat_files)+(2))|0)]<<16)|(HEAPU8[((($dat_files)+(3))|0)]<<24))|0)); //@line 216 "CompileDatBlocks.cpp"
 var $cmp=($5|0)<($8|0); //@line 216 "CompileDatBlocks.cpp"
 if($cmp){label=7;break;}else{label=19;break;} //@line 216 "CompileDatBlocks.cpp"
 case 7: 
 var $9=$i; //@line 218 "CompileDatBlocks.cpp"
 var $mul=($9<<8); //@line 218 "CompileDatBlocks.cpp"
 var $10=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 218 "CompileDatBlocks.cpp"
 var $11=$10; //@line 218 "CompileDatBlocks.cpp"
 var $dat_filenames=(($11+16851900)|0); //@line 218 "CompileDatBlocks.cpp"
 var $arrayidx=(($dat_filenames+$mul)|0); //@line 218 "CompileDatBlocks.cpp"
 var $12=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 218 "CompileDatBlocks.cpp"
 var $filename=(($12+16979608)|0); //@line 218 "CompileDatBlocks.cpp"
 var $arraydecay=(($filename)|0); //@line 218 "CompileDatBlocks.cpp"
 var $call5=_strcmp($arrayidx,$arraydecay); //@line 218 "CompileDatBlocks.cpp"
 var $cmp6=($call5|0)==0; //@line 218 "CompileDatBlocks.cpp"
 if($cmp6){label=8;break;}else{label=17;break;} //@line 218 "CompileDatBlocks.cpp"
 case 8: 
 $j=0; //@line 221 "CompileDatBlocks.cpp"
 label=9;break; //@line 221 "CompileDatBlocks.cpp"
 case 9: 
 var $13=$j; //@line 221 "CompileDatBlocks.cpp"
 var $14=$i; //@line 221 "CompileDatBlocks.cpp"
 var $15=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 221 "CompileDatBlocks.cpp"
 var $16=$15; //@line 221 "CompileDatBlocks.cpp"
 var $dat_lengths=(($16+16860476)|0); //@line 221 "CompileDatBlocks.cpp"
 var $arrayidx9=(($dat_lengths+($14<<2))|0); //@line 221 "CompileDatBlocks.cpp"
 var $17=((((HEAPU8[($arrayidx9)])|(HEAPU8[((($arrayidx9)+(1))|0)]<<8)|(HEAPU8[((($arrayidx9)+(2))|0)]<<16)|(HEAPU8[((($arrayidx9)+(3))|0)]<<24))|0)); //@line 221 "CompileDatBlocks.cpp"
 var $cmp10=($13|0)<($17|0); //@line 221 "CompileDatBlocks.cpp"
 if($cmp10){label=10;break;}else{label=14;break;} //@line 221 "CompileDatBlocks.cpp"
 case 10: 
 var $18=$i; //@line 223 "CompileDatBlocks.cpp"
 var $19=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 223 "CompileDatBlocks.cpp"
 var $20=$19; //@line 223 "CompileDatBlocks.cpp"
 var $dat_offsets=(($20+16860348)|0); //@line 223 "CompileDatBlocks.cpp"
 var $arrayidx12=(($dat_offsets+($18<<2))|0); //@line 223 "CompileDatBlocks.cpp"
 var $21=((((HEAPU8[($arrayidx12)])|(HEAPU8[((($arrayidx12)+(1))|0)]<<8)|(HEAPU8[((($arrayidx12)+(2))|0)]<<16)|(HEAPU8[((($arrayidx12)+(3))|0)]<<24))|0)); //@line 223 "CompileDatBlocks.cpp"
 var $22=$j; //@line 223 "CompileDatBlocks.cpp"
 var $add=((($21)+($22))|0); //@line 223 "CompileDatBlocks.cpp"
 var $23=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 223 "CompileDatBlocks.cpp"
 var $24=$23; //@line 223 "CompileDatBlocks.cpp"
 var $dat_data=(($24+16860604)|0); //@line 223 "CompileDatBlocks.cpp"
 var $arrayidx13=(($dat_data+$add)|0); //@line 223 "CompileDatBlocks.cpp"
 var $25=HEAP8[($arrayidx13)]; //@line 223 "CompileDatBlocks.cpp"
 var $call14=__Z26CompileDatBlocks_EnterByteh($25); //@line 223 "CompileDatBlocks.cpp"
 if($call14){label=12;break;}else{label=11;break;} //@line 223 "CompileDatBlocks.cpp"
 case 11: 
 $retval=0; //@line 225 "CompileDatBlocks.cpp"
 label=20;break; //@line 225 "CompileDatBlocks.cpp"
 case 12: 
 label=13;break; //@line 227 "CompileDatBlocks.cpp"
 case 13: 
 var $26=$j; //@line 221 "CompileDatBlocks.cpp"
 var $inc=((($26)+(1))|0); //@line 221 "CompileDatBlocks.cpp"
 $j=$inc; //@line 221 "CompileDatBlocks.cpp"
 label=9;break; //@line 221 "CompileDatBlocks.cpp"
 case 14: 
 var $27=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 228 "CompileDatBlocks.cpp"
 var $call17=__ZN11Elementizer10GetElementEi($27,84); //@line 228 "CompileDatBlocks.cpp"
 if($call17){label=16;break;}else{label=15;break;} //@line 228 "CompileDatBlocks.cpp"
 case 15: 
 $retval=0; //@line 230 "CompileDatBlocks.cpp"
 label=20;break; //@line 230 "CompileDatBlocks.cpp"
 case 16: 
 $retval=1; //@line 232 "CompileDatBlocks.cpp"
 label=20;break; //@line 232 "CompileDatBlocks.cpp"
 case 17: 
 label=18;break; //@line 234 "CompileDatBlocks.cpp"
 case 18: 
 var $28=$i; //@line 216 "CompileDatBlocks.cpp"
 var $inc22=((($28)+(1))|0); //@line 216 "CompileDatBlocks.cpp"
 $i=$inc22; //@line 216 "CompileDatBlocks.cpp"
 label=6;break; //@line 216 "CompileDatBlocks.cpp"
 case 19: 
 var $29=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 237 "CompileDatBlocks.cpp"
 var $30=$29; //@line 237 "CompileDatBlocks.cpp"
 var $error=(($30)|0); //@line 237 "CompileDatBlocks.cpp"
 HEAP8[($error)]=1; //@line 237 "CompileDatBlocks.cpp"
 var $31=((((HEAPU8[(268)])|(HEAPU8[(269)]<<8)|(HEAPU8[(270)]<<16)|(HEAPU8[(271)]<<24))|0)); //@line 238 "CompileDatBlocks.cpp"
 var $32=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 238 "CompileDatBlocks.cpp"
 var $33=$32; //@line 238 "CompileDatBlocks.cpp"
 var $error_msg=(($33+4)|0); //@line 238 "CompileDatBlocks.cpp"
 tempBigInt=$31;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 238 "CompileDatBlocks.cpp"
 $retval=0; //@line 239 "CompileDatBlocks.cpp"
 label=20;break; //@line 239 "CompileDatBlocks.cpp"
 case 20: 
 var $34=$retval; //@line 240 "CompileDatBlocks.cpp"
 STACKTOP=sp;return $34; //@line 240 "CompileDatBlocks.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z29CompileDatBlocks_AsmDirectivebRbRi($bSymbol,$bResSymbol,$size){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $bSymbol_addr;
 var $bResSymbol_addr;
 var $size_addr;
 var $directive;
 var $fit;
 var $resSize;
 var $newOrg;
 var $frombool=($bSymbol&1);
 $bSymbol_addr=$frombool;
 $bResSymbol_addr=$bResSymbol;
 $size_addr=$size;
 var $0=$size_addr; //@line 244 "CompileDatBlocks.cpp"
 tempBigInt=2;HEAP8[($0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($0)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($0)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($0)+(3))|0)]=tempBigInt&0xff; //@line 244 "CompileDatBlocks.cpp"
 var $1=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 246 "CompileDatBlocks.cpp"
 var $call=__ZN11Elementizer8GetValueEv($1); //@line 246 "CompileDatBlocks.cpp"
 var $and=$call&255; //@line 246 "CompileDatBlocks.cpp"
 $directive=$and; //@line 246 "CompileDatBlocks.cpp"
 var $2=$directive; //@line 247 "CompileDatBlocks.cpp"
 if(($2|0)==4){ label=2;break;}else if(($2|0)==2){ label=20;break;}else if(($2|0)==1){ label=33;break;}else if(($2|0)==3){ label=9;break;}else{label=44;break;}
 case 2: 
 var $3=$bSymbol_addr; //@line 251 "CompileDatBlocks.cpp"
 var $tobool=(($3)&1); //@line 251 "CompileDatBlocks.cpp"
 var $4=$bResSymbol_addr; //@line 251 "CompileDatBlocks.cpp"
 var $5=HEAP8[($4)]; //@line 251 "CompileDatBlocks.cpp"
 var $tobool1=(($5)&1); //@line 251 "CompileDatBlocks.cpp"
 var $6=$size_addr; //@line 251 "CompileDatBlocks.cpp"
 var $7=((((HEAPU8[($6)])|(HEAPU8[((($6)+(1))|0)]<<8)|(HEAPU8[((($6)+(2))|0)]<<16)|(HEAPU8[((($6)+(3))|0)]<<24))|0)); //@line 251 "CompileDatBlocks.cpp"
 var $call2=__Z24CompileDatBlocks_Advancebbi($tobool,$tobool1,$7); //@line 251 "CompileDatBlocks.cpp"
 if($call2){label=4;break;}else{label=3;break;} //@line 251 "CompileDatBlocks.cpp"
 case 3: 
 $retval=0; //@line 253 "CompileDatBlocks.cpp"
 label=49;break; //@line 253 "CompileDatBlocks.cpp"
 case 4: 
 var $8=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 255 "CompileDatBlocks.cpp"
 var $call3=__ZN11Elementizer10GetElementEi($8,84); //@line 255 "CompileDatBlocks.cpp"
 if($call3){label=6;break;}else{label=5;break;} //@line 255 "CompileDatBlocks.cpp"
 case 5: 
 $retval=0; //@line 257 "CompileDatBlocks.cpp"
 label=49;break; //@line 257 "CompileDatBlocks.cpp"
 case 6: 
 var $call6=__Z22CompileDatBlocks_Enteriii(0,1,2); //@line 259 "CompileDatBlocks.cpp"
 if($call6){label=8;break;}else{label=7;break;} //@line 259 "CompileDatBlocks.cpp"
 case 7: 
 $retval=0; //@line 261 "CompileDatBlocks.cpp"
 label=49;break; //@line 261 "CompileDatBlocks.cpp"
 case 8: 
 $retval=1; //@line 263 "CompileDatBlocks.cpp"
 label=49;break; //@line 263 "CompileDatBlocks.cpp"
 case 9: 
 var $9=$bSymbol_addr; //@line 268 "CompileDatBlocks.cpp"
 var $tobool10=(($9)&1); //@line 268 "CompileDatBlocks.cpp"
 var $10=$bResSymbol_addr; //@line 268 "CompileDatBlocks.cpp"
 var $11=HEAP8[($10)]; //@line 268 "CompileDatBlocks.cpp"
 var $tobool11=(($11)&1); //@line 268 "CompileDatBlocks.cpp"
 var $12=$size_addr; //@line 268 "CompileDatBlocks.cpp"
 var $13=((((HEAPU8[($12)])|(HEAPU8[((($12)+(1))|0)]<<8)|(HEAPU8[((($12)+(2))|0)]<<16)|(HEAPU8[((($12)+(3))|0)]<<24))|0)); //@line 268 "CompileDatBlocks.cpp"
 var $call12=__Z24CompileDatBlocks_Advancebbi($tobool10,$tobool11,$13); //@line 268 "CompileDatBlocks.cpp"
 if($call12){label=11;break;}else{label=10;break;} //@line 268 "CompileDatBlocks.cpp"
 case 10: 
 $retval=0; //@line 270 "CompileDatBlocks.cpp"
 label=49;break; //@line 270 "CompileDatBlocks.cpp"
 case 11: 
 $fit=496; //@line 272 "CompileDatBlocks.cpp"
 var $14=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 273 "CompileDatBlocks.cpp"
 var $call15=__ZN11Elementizer12CheckElementEi($14,84); //@line 273 "CompileDatBlocks.cpp"
 if($call15){label=17;break;}else{label=12;break;} //@line 273 "CompileDatBlocks.cpp"
 case 12: 
 var $call17=__Z11GetTryValuebbb(1,1,1); //@line 275 "CompileDatBlocks.cpp"
 if($call17){label=14;break;}else{label=13;break;} //@line 275 "CompileDatBlocks.cpp"
 case 13: 
 $retval=0; //@line 277 "CompileDatBlocks.cpp"
 label=49;break; //@line 277 "CompileDatBlocks.cpp"
 case 14: 
 var $call20=__Z9GetResultv(); //@line 279 "CompileDatBlocks.cpp"
 $fit=$call20; //@line 279 "CompileDatBlocks.cpp"
 var $15=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 280 "CompileDatBlocks.cpp"
 var $call21=__ZN11Elementizer10GetElementEi($15,84); //@line 280 "CompileDatBlocks.cpp"
 if($call21){label=16;break;}else{label=15;break;} //@line 280 "CompileDatBlocks.cpp"
 case 15: 
 $retval=0; //@line 282 "CompileDatBlocks.cpp"
 label=49;break; //@line 282 "CompileDatBlocks.cpp"
 case 16: 
 label=17;break; //@line 284 "CompileDatBlocks.cpp"
 case 17: 
 var $16=$fit; //@line 285 "CompileDatBlocks.cpp"
 var $shl=$16<<2; //@line 285 "CompileDatBlocks.cpp"
 $fit=$shl; //@line 285 "CompileDatBlocks.cpp"
 var $17=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 286 "CompileDatBlocks.cpp"
 var $cog_org=(($17+16979572)|0); //@line 286 "CompileDatBlocks.cpp"
 var $18=((((HEAPU8[($cog_org)])|(HEAPU8[((($cog_org)+(1))|0)]<<8)|(HEAPU8[((($cog_org)+(2))|0)]<<16)|(HEAPU8[((($cog_org)+(3))|0)]<<24))|0)); //@line 286 "CompileDatBlocks.cpp"
 var $19=$fit; //@line 286 "CompileDatBlocks.cpp"
 var $cmp=($18|0)>($19|0); //@line 286 "CompileDatBlocks.cpp"
 if($cmp){label=18;break;}else{label=19;break;} //@line 286 "CompileDatBlocks.cpp"
 case 18: 
 var $20=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 288 "CompileDatBlocks.cpp"
 var $21=$20; //@line 288 "CompileDatBlocks.cpp"
 var $error=(($21)|0); //@line 288 "CompileDatBlocks.cpp"
 HEAP8[($error)]=1; //@line 288 "CompileDatBlocks.cpp"
 var $22=((((HEAPU8[(360)])|(HEAPU8[(361)]<<8)|(HEAPU8[(362)]<<16)|(HEAPU8[(363)]<<24))|0)); //@line 289 "CompileDatBlocks.cpp"
 var $23=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 289 "CompileDatBlocks.cpp"
 var $24=$23; //@line 289 "CompileDatBlocks.cpp"
 var $error_msg=(($24+4)|0); //@line 289 "CompileDatBlocks.cpp"
 tempBigInt=$22;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 289 "CompileDatBlocks.cpp"
 $retval=0; //@line 290 "CompileDatBlocks.cpp"
 label=49;break; //@line 290 "CompileDatBlocks.cpp"
 case 19: 
 $retval=1; //@line 292 "CompileDatBlocks.cpp"
 label=49;break; //@line 292 "CompileDatBlocks.cpp"
 case 20: 
 var $25=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 297 "CompileDatBlocks.cpp"
 var $orgx=(($25+16979884)|0); //@line 297 "CompileDatBlocks.cpp"
 var $26=((((HEAPU8[($orgx)])|(HEAPU8[((($orgx)+(1))|0)]<<8)|(HEAPU8[((($orgx)+(2))|0)]<<16)|(HEAPU8[((($orgx)+(3))|0)]<<24))|0)); //@line 297 "CompileDatBlocks.cpp"
 var $cmp28=($26|0)!=0; //@line 297 "CompileDatBlocks.cpp"
 if($cmp28){label=21;break;}else{label=22;break;} //@line 297 "CompileDatBlocks.cpp"
 case 21: 
 var $27=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 299 "CompileDatBlocks.cpp"
 var $28=$27; //@line 299 "CompileDatBlocks.cpp"
 var $error30=(($28)|0); //@line 299 "CompileDatBlocks.cpp"
 HEAP8[($error30)]=1; //@line 299 "CompileDatBlocks.cpp"
 var $29=((((HEAPU8[(396)])|(HEAPU8[(397)]<<8)|(HEAPU8[(398)]<<16)|(HEAPU8[(399)]<<24))|0)); //@line 300 "CompileDatBlocks.cpp"
 var $30=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 300 "CompileDatBlocks.cpp"
 var $31=$30; //@line 300 "CompileDatBlocks.cpp"
 var $error_msg31=(($31+4)|0); //@line 300 "CompileDatBlocks.cpp"
 tempBigInt=$29;HEAP8[($error_msg31)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg31)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg31)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg31)+(3))|0)]=tempBigInt&0xff; //@line 300 "CompileDatBlocks.cpp"
 $retval=0; //@line 301 "CompileDatBlocks.cpp"
 label=49;break; //@line 301 "CompileDatBlocks.cpp"
 case 22: 
 var $32=$bResSymbol_addr; //@line 303 "CompileDatBlocks.cpp"
 HEAP8[($32)]=1; //@line 303 "CompileDatBlocks.cpp"
 var $33=$bSymbol_addr; //@line 304 "CompileDatBlocks.cpp"
 var $tobool33=(($33)&1); //@line 304 "CompileDatBlocks.cpp"
 var $34=$bResSymbol_addr; //@line 304 "CompileDatBlocks.cpp"
 var $35=HEAP8[($34)]; //@line 304 "CompileDatBlocks.cpp"
 var $tobool34=(($35)&1); //@line 304 "CompileDatBlocks.cpp"
 var $36=$size_addr; //@line 304 "CompileDatBlocks.cpp"
 var $37=((((HEAPU8[($36)])|(HEAPU8[((($36)+(1))|0)]<<8)|(HEAPU8[((($36)+(2))|0)]<<16)|(HEAPU8[((($36)+(3))|0)]<<24))|0)); //@line 304 "CompileDatBlocks.cpp"
 var $call35=__Z24CompileDatBlocks_Advancebbi($tobool33,$tobool34,$37); //@line 304 "CompileDatBlocks.cpp"
 if($call35){label=24;break;}else{label=23;break;} //@line 304 "CompileDatBlocks.cpp"
 case 23: 
 $retval=0; //@line 306 "CompileDatBlocks.cpp"
 label=49;break; //@line 306 "CompileDatBlocks.cpp"
 case 24: 
 $resSize=1; //@line 308 "CompileDatBlocks.cpp"
 var $38=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 309 "CompileDatBlocks.cpp"
 var $call38=__ZN11Elementizer12CheckElementEi($38,84); //@line 309 "CompileDatBlocks.cpp"
 if($call38){label=30;break;}else{label=25;break;} //@line 309 "CompileDatBlocks.cpp"
 case 25: 
 var $call40=__Z11GetTryValuebbb(1,1,1); //@line 311 "CompileDatBlocks.cpp"
 if($call40){label=27;break;}else{label=26;break;} //@line 311 "CompileDatBlocks.cpp"
 case 26: 
 $retval=0; //@line 313 "CompileDatBlocks.cpp"
 label=49;break; //@line 313 "CompileDatBlocks.cpp"
 case 27: 
 var $call43=__Z9GetResultv(); //@line 315 "CompileDatBlocks.cpp"
 $resSize=$call43; //@line 315 "CompileDatBlocks.cpp"
 var $39=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 316 "CompileDatBlocks.cpp"
 var $call44=__ZN11Elementizer10GetElementEi($39,84); //@line 316 "CompileDatBlocks.cpp"
 if($call44){label=29;break;}else{label=28;break;} //@line 316 "CompileDatBlocks.cpp"
 case 28: 
 $retval=0; //@line 318 "CompileDatBlocks.cpp"
 label=49;break; //@line 318 "CompileDatBlocks.cpp"
 case 29: 
 label=30;break; //@line 320 "CompileDatBlocks.cpp"
 case 30: 
 var $40=$resSize; //@line 321 "CompileDatBlocks.cpp"
 var $shl48=$40<<2; //@line 321 "CompileDatBlocks.cpp"
 $resSize=$shl48; //@line 321 "CompileDatBlocks.cpp"
 var $41=$resSize; //@line 322 "CompileDatBlocks.cpp"
 var $42=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 322 "CompileDatBlocks.cpp"
 var $cog_org49=(($42+16979572)|0); //@line 322 "CompileDatBlocks.cpp"
 var $43=((((HEAPU8[($cog_org49)])|(HEAPU8[((($cog_org49)+(1))|0)]<<8)|(HEAPU8[((($cog_org49)+(2))|0)]<<16)|(HEAPU8[((($cog_org49)+(3))|0)]<<24))|0)); //@line 322 "CompileDatBlocks.cpp"
 var $add=((($43)+($41))|0); //@line 322 "CompileDatBlocks.cpp"
 tempBigInt=$add;HEAP8[($cog_org49)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($cog_org49)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($cog_org49)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($cog_org49)+(3))|0)]=tempBigInt&0xff; //@line 322 "CompileDatBlocks.cpp"
 var $44=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 323 "CompileDatBlocks.cpp"
 var $cog_org50=(($44+16979572)|0); //@line 323 "CompileDatBlocks.cpp"
 var $45=((((HEAPU8[($cog_org50)])|(HEAPU8[((($cog_org50)+(1))|0)]<<8)|(HEAPU8[((($cog_org50)+(2))|0)]<<16)|(HEAPU8[((($cog_org50)+(3))|0)]<<24))|0)); //@line 323 "CompileDatBlocks.cpp"
 var $cmp51=($45|0)>1984; //@line 323 "CompileDatBlocks.cpp"
 if($cmp51){label=31;break;}else{label=32;break;} //@line 323 "CompileDatBlocks.cpp"
 case 31: 
 var $46=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 325 "CompileDatBlocks.cpp"
 var $47=$46; //@line 325 "CompileDatBlocks.cpp"
 var $error53=(($47)|0); //@line 325 "CompileDatBlocks.cpp"
 HEAP8[($error53)]=1; //@line 325 "CompileDatBlocks.cpp"
 var $48=((((HEAPU8[(368)])|(HEAPU8[(369)]<<8)|(HEAPU8[(370)]<<16)|(HEAPU8[(371)]<<24))|0)); //@line 326 "CompileDatBlocks.cpp"
 var $49=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 326 "CompileDatBlocks.cpp"
 var $50=$49; //@line 326 "CompileDatBlocks.cpp"
 var $error_msg54=(($50+4)|0); //@line 326 "CompileDatBlocks.cpp"
 tempBigInt=$48;HEAP8[($error_msg54)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg54)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg54)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg54)+(3))|0)]=tempBigInt&0xff; //@line 326 "CompileDatBlocks.cpp"
 $retval=0; //@line 327 "CompileDatBlocks.cpp"
 label=49;break; //@line 327 "CompileDatBlocks.cpp"
 case 32: 
 $retval=1; //@line 329 "CompileDatBlocks.cpp"
 label=49;break; //@line 329 "CompileDatBlocks.cpp"
 case 33: 
 var $51=$bSymbol_addr; //@line 334 "CompileDatBlocks.cpp"
 var $tobool57=(($51)&1); //@line 334 "CompileDatBlocks.cpp"
 var $52=$bResSymbol_addr; //@line 334 "CompileDatBlocks.cpp"
 var $53=HEAP8[($52)]; //@line 334 "CompileDatBlocks.cpp"
 var $tobool58=(($53)&1); //@line 334 "CompileDatBlocks.cpp"
 var $54=$size_addr; //@line 334 "CompileDatBlocks.cpp"
 var $55=((((HEAPU8[($54)])|(HEAPU8[((($54)+(1))|0)]<<8)|(HEAPU8[((($54)+(2))|0)]<<16)|(HEAPU8[((($54)+(3))|0)]<<24))|0)); //@line 334 "CompileDatBlocks.cpp"
 var $call59=__Z24CompileDatBlocks_Advancebbi($tobool57,$tobool58,$55); //@line 334 "CompileDatBlocks.cpp"
 if($call59){label=35;break;}else{label=34;break;} //@line 334 "CompileDatBlocks.cpp"
 case 34: 
 $retval=0; //@line 336 "CompileDatBlocks.cpp"
 label=49;break; //@line 336 "CompileDatBlocks.cpp"
 case 35: 
 $newOrg=0; //@line 338 "CompileDatBlocks.cpp"
 var $56=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 339 "CompileDatBlocks.cpp"
 var $call62=__ZN11Elementizer12CheckElementEi($56,84); //@line 339 "CompileDatBlocks.cpp"
 if($call62){label=41;break;}else{label=36;break;} //@line 339 "CompileDatBlocks.cpp"
 case 36: 
 var $call64=__Z11GetTryValuebbb(1,1,1); //@line 341 "CompileDatBlocks.cpp"
 if($call64){label=38;break;}else{label=37;break;} //@line 341 "CompileDatBlocks.cpp"
 case 37: 
 $retval=0; //@line 343 "CompileDatBlocks.cpp"
 label=49;break; //@line 343 "CompileDatBlocks.cpp"
 case 38: 
 var $call67=__Z9GetResultv(); //@line 345 "CompileDatBlocks.cpp"
 $newOrg=$call67; //@line 345 "CompileDatBlocks.cpp"
 var $57=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 346 "CompileDatBlocks.cpp"
 var $call68=__ZN11Elementizer10GetElementEi($57,84); //@line 346 "CompileDatBlocks.cpp"
 if($call68){label=40;break;}else{label=39;break;} //@line 346 "CompileDatBlocks.cpp"
 case 39: 
 $retval=0; //@line 348 "CompileDatBlocks.cpp"
 label=49;break; //@line 348 "CompileDatBlocks.cpp"
 case 40: 
 label=41;break; //@line 350 "CompileDatBlocks.cpp"
 case 41: 
 var $58=$newOrg; //@line 351 "CompileDatBlocks.cpp"
 var $cmp72=($58|0)>496; //@line 351 "CompileDatBlocks.cpp"
 if($cmp72){label=42;break;}else{label=43;break;} //@line 351 "CompileDatBlocks.cpp"
 case 42: 
 var $59=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 353 "CompileDatBlocks.cpp"
 var $60=$59; //@line 353 "CompileDatBlocks.cpp"
 var $error74=(($60)|0); //@line 353 "CompileDatBlocks.cpp"
 HEAP8[($error74)]=1; //@line 353 "CompileDatBlocks.cpp"
 var $61=((((HEAPU8[(368)])|(HEAPU8[(369)]<<8)|(HEAPU8[(370)]<<16)|(HEAPU8[(371)]<<24))|0)); //@line 354 "CompileDatBlocks.cpp"
 var $62=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 354 "CompileDatBlocks.cpp"
 var $63=$62; //@line 354 "CompileDatBlocks.cpp"
 var $error_msg75=(($63+4)|0); //@line 354 "CompileDatBlocks.cpp"
 tempBigInt=$61;HEAP8[($error_msg75)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg75)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg75)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg75)+(3))|0)]=tempBigInt&0xff; //@line 354 "CompileDatBlocks.cpp"
 $retval=0; //@line 355 "CompileDatBlocks.cpp"
 label=49;break; //@line 355 "CompileDatBlocks.cpp"
 case 43: 
 var $64=$newOrg; //@line 357 "CompileDatBlocks.cpp"
 var $shl77=$64<<2; //@line 357 "CompileDatBlocks.cpp"
 var $65=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 357 "CompileDatBlocks.cpp"
 var $cog_org78=(($65+16979572)|0); //@line 357 "CompileDatBlocks.cpp"
 tempBigInt=$shl77;HEAP8[($cog_org78)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($cog_org78)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($cog_org78)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($cog_org78)+(3))|0)]=tempBigInt&0xff; //@line 357 "CompileDatBlocks.cpp"
 var $66=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 358 "CompileDatBlocks.cpp"
 var $orgx79=(($66+16979884)|0); //@line 358 "CompileDatBlocks.cpp"
 tempBigInt=0;HEAP8[($orgx79)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($orgx79)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($orgx79)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($orgx79)+(3))|0)]=tempBigInt&0xff; //@line 358 "CompileDatBlocks.cpp"
 $retval=1; //@line 359 "CompileDatBlocks.cpp"
 label=49;break; //@line 359 "CompileDatBlocks.cpp"
 case 44: 
 var $67=$bSymbol_addr; //@line 364 "CompileDatBlocks.cpp"
 var $tobool80=(($67)&1); //@line 364 "CompileDatBlocks.cpp"
 var $68=$bResSymbol_addr; //@line 364 "CompileDatBlocks.cpp"
 var $69=HEAP8[($68)]; //@line 364 "CompileDatBlocks.cpp"
 var $tobool81=(($69)&1); //@line 364 "CompileDatBlocks.cpp"
 var $70=$size_addr; //@line 364 "CompileDatBlocks.cpp"
 var $71=((((HEAPU8[($70)])|(HEAPU8[((($70)+(1))|0)]<<8)|(HEAPU8[((($70)+(2))|0)]<<16)|(HEAPU8[((($70)+(3))|0)]<<24))|0)); //@line 364 "CompileDatBlocks.cpp"
 var $call82=__Z24CompileDatBlocks_Advancebbi($tobool80,$tobool81,$71); //@line 364 "CompileDatBlocks.cpp"
 if($call82){label=46;break;}else{label=45;break;} //@line 364 "CompileDatBlocks.cpp"
 case 45: 
 $retval=0; //@line 366 "CompileDatBlocks.cpp"
 label=49;break; //@line 366 "CompileDatBlocks.cpp"
 case 46: 
 var $72=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 368 "CompileDatBlocks.cpp"
 var $call85=__ZN11Elementizer10GetElementEi($72,84); //@line 368 "CompileDatBlocks.cpp"
 if($call85){label=48;break;}else{label=47;break;} //@line 368 "CompileDatBlocks.cpp"
 case 47: 
 $retval=0; //@line 370 "CompileDatBlocks.cpp"
 label=49;break; //@line 370 "CompileDatBlocks.cpp"
 case 48: 
 var $73=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 372 "CompileDatBlocks.cpp"
 var $cog_org88=(($73+16979572)|0); //@line 372 "CompileDatBlocks.cpp"
 tempBigInt=0;HEAP8[($cog_org88)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($cog_org88)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($cog_org88)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($cog_org88)+(3))|0)]=tempBigInt&0xff; //@line 372 "CompileDatBlocks.cpp"
 var $74=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 373 "CompileDatBlocks.cpp"
 var $orgx89=(($74+16979884)|0); //@line 373 "CompileDatBlocks.cpp"
 tempBigInt=1;HEAP8[($orgx89)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($orgx89)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($orgx89)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($orgx89)+(3))|0)]=tempBigInt&0xff; //@line 373 "CompileDatBlocks.cpp"
 $retval=1; //@line 374 "CompileDatBlocks.cpp"
 label=49;break; //@line 374 "CompileDatBlocks.cpp"
 case 49: 
 var $75=$retval; //@line 375 "CompileDatBlocks.cpp"
 STACKTOP=sp;return $75; //@line 375 "CompileDatBlocks.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z35CompileDatBlocks_ValidateCallSymbolbPc($bIsRet,$pSymbol){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $bIsRet_addr;
 var $pSymbol_addr;
 var $value;
 var $frombool=($bIsRet&1);
 $bIsRet_addr=$frombool;
 $pSymbol_addr=$pSymbol;
 var $0=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 379 "CompileDatBlocks.cpp"
 var $1=$pSymbol_addr; //@line 379 "CompileDatBlocks.cpp"
 var $call=__ZN11Elementizer10FindSymbolEPKc($0,$1); //@line 379 "CompileDatBlocks.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 379 "CompileDatBlocks.cpp"
 case 2: 
 var $2=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 381 "CompileDatBlocks.cpp"
 var $3=$2; //@line 381 "CompileDatBlocks.cpp"
 var $error=(($3)|0); //@line 381 "CompileDatBlocks.cpp"
 HEAP8[($error)]=1; //@line 381 "CompileDatBlocks.cpp"
 var $4=((((HEAPU8[(84)])|(HEAPU8[(85)]<<8)|(HEAPU8[(86)]<<16)|(HEAPU8[(87)]<<24))|0)); //@line 382 "CompileDatBlocks.cpp"
 var $5=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 382 "CompileDatBlocks.cpp"
 var $6=$5; //@line 382 "CompileDatBlocks.cpp"
 var $error_msg=(($6+4)|0); //@line 382 "CompileDatBlocks.cpp"
 tempBigInt=$4;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 382 "CompileDatBlocks.cpp"
 $retval=0; //@line 383 "CompileDatBlocks.cpp"
 label=13;break; //@line 383 "CompileDatBlocks.cpp"
 case 3: 
 var $7=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 385 "CompileDatBlocks.cpp"
 var $call1=__ZN11Elementizer7GetTypeEv($7); //@line 385 "CompileDatBlocks.cpp"
 var $cmp=($call1|0)==0; //@line 385 "CompileDatBlocks.cpp"
 if($cmp){label=4;break;}else{label=5;break;} //@line 385 "CompileDatBlocks.cpp"
 case 4: 
 var $8=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 387 "CompileDatBlocks.cpp"
 var $9=$8; //@line 387 "CompileDatBlocks.cpp"
 var $error3=(($9)|0); //@line 387 "CompileDatBlocks.cpp"
 HEAP8[($error3)]=1; //@line 387 "CompileDatBlocks.cpp"
 var $10=$bIsRet_addr; //@line 388 "CompileDatBlocks.cpp"
 var $tobool=(($10)&1); //@line 388 "CompileDatBlocks.cpp"
 var $cond=($tobool?115:116); //@line 388 "CompileDatBlocks.cpp"
 var $arrayidx=((8+($cond<<2))|0); //@line 388 "CompileDatBlocks.cpp"
 var $11=((((HEAPU8[($arrayidx)])|(HEAPU8[((($arrayidx)+(1))|0)]<<8)|(HEAPU8[((($arrayidx)+(2))|0)]<<16)|(HEAPU8[((($arrayidx)+(3))|0)]<<24))|0)); //@line 388 "CompileDatBlocks.cpp"
 var $12=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 388 "CompileDatBlocks.cpp"
 var $13=$12; //@line 388 "CompileDatBlocks.cpp"
 var $error_msg4=(($13+4)|0); //@line 388 "CompileDatBlocks.cpp"
 tempBigInt=$11;HEAP8[($error_msg4)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg4)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg4)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg4)+(3))|0)]=tempBigInt&0xff; //@line 388 "CompileDatBlocks.cpp"
 $retval=0; //@line 389 "CompileDatBlocks.cpp"
 label=13;break; //@line 389 "CompileDatBlocks.cpp"
 case 5: 
 var $14=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 391 "CompileDatBlocks.cpp"
 var $call6=__ZN11Elementizer7GetTypeEv($14); //@line 391 "CompileDatBlocks.cpp"
 var $cmp7=($call6|0)<72; //@line 391 "CompileDatBlocks.cpp"
 if($cmp7){label=7;break;}else{label=6;break;} //@line 391 "CompileDatBlocks.cpp"
 case 6: 
 var $15=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 391 "CompileDatBlocks.cpp"
 var $call8=__ZN11Elementizer7GetTypeEv($15); //@line 391 "CompileDatBlocks.cpp"
 var $cmp9=($call8|0)>75; //@line 391 "CompileDatBlocks.cpp"
 if($cmp9){label=7;break;}else{label=8;break;} //@line 391 "CompileDatBlocks.cpp"
 case 7: 
 var $16=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 393 "CompileDatBlocks.cpp"
 var $17=$16; //@line 393 "CompileDatBlocks.cpp"
 var $error11=(($17)|0); //@line 393 "CompileDatBlocks.cpp"
 HEAP8[($error11)]=1; //@line 393 "CompileDatBlocks.cpp"
 var $18=((((HEAPU8[(84)])|(HEAPU8[(85)]<<8)|(HEAPU8[(86)]<<16)|(HEAPU8[(87)]<<24))|0)); //@line 394 "CompileDatBlocks.cpp"
 var $19=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 394 "CompileDatBlocks.cpp"
 var $20=$19; //@line 394 "CompileDatBlocks.cpp"
 var $error_msg12=(($20+4)|0); //@line 394 "CompileDatBlocks.cpp"
 tempBigInt=$18;HEAP8[($error_msg12)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg12)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg12)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg12)+(3))|0)]=tempBigInt&0xff; //@line 394 "CompileDatBlocks.cpp"
 $retval=0; //@line 395 "CompileDatBlocks.cpp"
 label=13;break; //@line 395 "CompileDatBlocks.cpp"
 case 8: 
 var $21=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 399 "CompileDatBlocks.cpp"
 var $call14=__ZN11Elementizer9GetValue2Ev($21); //@line 399 "CompileDatBlocks.cpp"
 $value=$call14; //@line 399 "CompileDatBlocks.cpp"
 var $22=$value; //@line 402 "CompileDatBlocks.cpp"
 var $and=$22&3; //@line 402 "CompileDatBlocks.cpp"
 var $tobool15=($and|0)!=0; //@line 402 "CompileDatBlocks.cpp"
 if($tobool15){label=9;break;}else{label=10;break;} //@line 402 "CompileDatBlocks.cpp"
 case 9: 
 var $23=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 404 "CompileDatBlocks.cpp"
 var $24=$23; //@line 404 "CompileDatBlocks.cpp"
 var $error17=(($24)|0); //@line 404 "CompileDatBlocks.cpp"
 HEAP8[($error17)]=1; //@line 404 "CompileDatBlocks.cpp"
 var $25=$bIsRet_addr; //@line 405 "CompileDatBlocks.cpp"
 var $tobool18=(($25)&1); //@line 405 "CompileDatBlocks.cpp"
 var $cond19=($tobool18?94:0); //@line 405 "CompileDatBlocks.cpp"
 var $arrayidx20=((8+($cond19<<2))|0); //@line 405 "CompileDatBlocks.cpp"
 var $26=((((HEAPU8[($arrayidx20)])|(HEAPU8[((($arrayidx20)+(1))|0)]<<8)|(HEAPU8[((($arrayidx20)+(2))|0)]<<16)|(HEAPU8[((($arrayidx20)+(3))|0)]<<24))|0)); //@line 405 "CompileDatBlocks.cpp"
 var $27=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 405 "CompileDatBlocks.cpp"
 var $28=$27; //@line 405 "CompileDatBlocks.cpp"
 var $error_msg21=(($28+4)|0); //@line 405 "CompileDatBlocks.cpp"
 tempBigInt=$26;HEAP8[($error_msg21)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg21)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg21)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg21)+(3))|0)]=tempBigInt&0xff; //@line 405 "CompileDatBlocks.cpp"
 $retval=0; //@line 406 "CompileDatBlocks.cpp"
 label=13;break; //@line 406 "CompileDatBlocks.cpp"
 case 10: 
 var $29=$value; //@line 409 "CompileDatBlocks.cpp"
 var $shr=$29>>2; //@line 409 "CompileDatBlocks.cpp"
 $value=$shr; //@line 409 "CompileDatBlocks.cpp"
 var $30=$value; //@line 410 "CompileDatBlocks.cpp"
 var $cmp23=($30|0)>=496; //@line 410 "CompileDatBlocks.cpp"
 if($cmp23){label=11;break;}else{label=12;break;} //@line 410 "CompileDatBlocks.cpp"
 case 11: 
 var $31=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 412 "CompileDatBlocks.cpp"
 var $32=$31; //@line 412 "CompileDatBlocks.cpp"
 var $error25=(($32)|0); //@line 412 "CompileDatBlocks.cpp"
 HEAP8[($error25)]=1; //@line 412 "CompileDatBlocks.cpp"
 var $33=$bIsRet_addr; //@line 413 "CompileDatBlocks.cpp"
 var $tobool26=(($33)&1); //@line 413 "CompileDatBlocks.cpp"
 var $cond27=($tobool26?95:1); //@line 413 "CompileDatBlocks.cpp"
 var $arrayidx28=((8+($cond27<<2))|0); //@line 413 "CompileDatBlocks.cpp"
 var $34=((((HEAPU8[($arrayidx28)])|(HEAPU8[((($arrayidx28)+(1))|0)]<<8)|(HEAPU8[((($arrayidx28)+(2))|0)]<<16)|(HEAPU8[((($arrayidx28)+(3))|0)]<<24))|0)); //@line 413 "CompileDatBlocks.cpp"
 var $35=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 413 "CompileDatBlocks.cpp"
 var $36=$35; //@line 413 "CompileDatBlocks.cpp"
 var $error_msg29=(($36+4)|0); //@line 413 "CompileDatBlocks.cpp"
 tempBigInt=$34;HEAP8[($error_msg29)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg29)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg29)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg29)+(3))|0)]=tempBigInt&0xff; //@line 413 "CompileDatBlocks.cpp"
 $retval=0; //@line 414 "CompileDatBlocks.cpp"
 label=13;break; //@line 414 "CompileDatBlocks.cpp"
 case 12: 
 $retval=1; //@line 417 "CompileDatBlocks.cpp"
 label=13;break; //@line 417 "CompileDatBlocks.cpp"
 case 13: 
 var $37=$retval; //@line 418 "CompileDatBlocks.cpp"
 STACKTOP=sp;return $37; //@line 418 "CompileDatBlocks.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z31CompileDatBlocks_AsmInstructionRbibbRih($bEof,$pass,$bSymbol,$bResSymbol,$size,$condition){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+16)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $bEof_addr;
 var $pass_addr;
 var $bSymbol_addr;
 var $bResSymbol_addr;
 var $size_addr;
 var $condition_addr;
 var $opcode;
 var $instruction;
 var $d;
 var $length=sp;
 var $pSymbol;
 var $s;
 var $d117;
 var $s143;
 var $bAfterComma;
 var $effectValue;
 var $temp;
 var $bComma=(sp)+(8);
 $bEof_addr=$bEof;
 $pass_addr=$pass;
 var $frombool=($bSymbol&1);
 $bSymbol_addr=$frombool;
 var $frombool1=($bResSymbol&1);
 $bResSymbol_addr=$frombool1;
 $size_addr=$size;
 $condition_addr=$condition;
 var $0=$size_addr; //@line 422 "CompileDatBlocks.cpp"
 tempBigInt=2;HEAP8[($0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($0)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($0)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($0)+(3))|0)]=tempBigInt&0xff; //@line 422 "CompileDatBlocks.cpp"
 var $1=$bSymbol_addr; //@line 423 "CompileDatBlocks.cpp"
 var $tobool=(($1)&1); //@line 423 "CompileDatBlocks.cpp"
 var $2=$bResSymbol_addr; //@line 423 "CompileDatBlocks.cpp"
 var $tobool2=(($2)&1); //@line 423 "CompileDatBlocks.cpp"
 var $3=$size_addr; //@line 423 "CompileDatBlocks.cpp"
 var $4=((((HEAPU8[($3)])|(HEAPU8[((($3)+(1))|0)]<<8)|(HEAPU8[((($3)+(2))|0)]<<16)|(HEAPU8[((($3)+(3))|0)]<<24))|0)); //@line 423 "CompileDatBlocks.cpp"
 var $call=__Z24CompileDatBlocks_Advancebbi($tobool,$tobool2,$4); //@line 423 "CompileDatBlocks.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 423 "CompileDatBlocks.cpp"
 case 2: 
 $retval=0; //@line 425 "CompileDatBlocks.cpp"
 label=89;break; //@line 425 "CompileDatBlocks.cpp"
 case 3: 
 var $5=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 428 "CompileDatBlocks.cpp"
 var $call3=__ZN11Elementizer8GetValueEv($5); //@line 428 "CompileDatBlocks.cpp"
 var $and=$call3&255; //@line 428 "CompileDatBlocks.cpp"
 $opcode=$and; //@line 428 "CompileDatBlocks.cpp"
 var $6=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 430 "CompileDatBlocks.cpp"
 var $call4=__ZN11Elementizer6IsDualEv($6); //@line 430 "CompileDatBlocks.cpp"
 if($call4){label=5;break;}else{label=4;break;} //@line 430 "CompileDatBlocks.cpp"
 case 4: 
 var $7=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 430 "CompileDatBlocks.cpp"
 var $call5=__ZN11Elementizer7GetTypeEv($7); //@line 430 "CompileDatBlocks.cpp"
 var $cmp=($call5|0)==22; //@line 430 "CompileDatBlocks.cpp"
 if($cmp){label=5;break;}else{label=6;break;} //@line 430 "CompileDatBlocks.cpp"
 case 5: 
 var $8=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 432 "CompileDatBlocks.cpp"
 var $call7=__ZN11Elementizer6GetAsmEv($8); //@line 432 "CompileDatBlocks.cpp"
 var $and8=$call7&255; //@line 432 "CompileDatBlocks.cpp"
 $opcode=$and8; //@line 432 "CompileDatBlocks.cpp"
 label=6;break; //@line 433 "CompileDatBlocks.cpp"
 case 6: 
 var $9=$opcode; //@line 435 "CompileDatBlocks.cpp"
 var $shl=$9<<8; //@line 435 "CompileDatBlocks.cpp"
 $instruction=$shl; //@line 435 "CompileDatBlocks.cpp"
 var $10=$opcode; //@line 437 "CompileDatBlocks.cpp"
 var $and10=$10&128; //@line 437 "CompileDatBlocks.cpp"
 var $tobool11=($and10|0)!=0; //@line 437 "CompileDatBlocks.cpp"
 if($tobool11){label=7;break;}else{label=8;break;} //@line 437 "CompileDatBlocks.cpp"
 case 7: 
 $instruction=768; //@line 439 "CompileDatBlocks.cpp"
 label=8;break; //@line 440 "CompileDatBlocks.cpp"
 case 8: 
 var $11=$condition_addr; //@line 442 "CompileDatBlocks.cpp"
 var $conv=($11&255); //@line 442 "CompileDatBlocks.cpp"
 var $12=$instruction; //@line 442 "CompileDatBlocks.cpp"
 var $or=$12|$conv; //@line 442 "CompileDatBlocks.cpp"
 $instruction=$or; //@line 442 "CompileDatBlocks.cpp"
 var $13=$opcode; //@line 444 "CompileDatBlocks.cpp"
 var $and14=$13&64; //@line 444 "CompileDatBlocks.cpp"
 var $tobool15=($and14|0)!=0; //@line 444 "CompileDatBlocks.cpp"
 if($tobool15){label=9;break;}else{label=10;break;} //@line 444 "CompileDatBlocks.cpp"
 case 9: 
 var $14=$instruction; //@line 446 "CompileDatBlocks.cpp"
 var $or17=$14|32; //@line 446 "CompileDatBlocks.cpp"
 $instruction=$or17; //@line 446 "CompileDatBlocks.cpp"
 label=10;break; //@line 447 "CompileDatBlocks.cpp"
 case 10: 
 var $15=$instruction; //@line 449 "CompileDatBlocks.cpp"
 var $shl19=$15<<18; //@line 449 "CompileDatBlocks.cpp"
 $instruction=$shl19; //@line 449 "CompileDatBlocks.cpp"
 var $16=$opcode; //@line 451 "CompileDatBlocks.cpp"
 var $and20=$16&128; //@line 451 "CompileDatBlocks.cpp"
 var $tobool21=($and20|0)!=0; //@line 451 "CompileDatBlocks.cpp"
 if($tobool21){label=11;break;}else{label=16;break;} //@line 451 "CompileDatBlocks.cpp"
 case 11: 
 var $17=$instruction; //@line 453 "CompileDatBlocks.cpp"
 var $or23=$17|4194304; //@line 453 "CompileDatBlocks.cpp"
 $instruction=$or23; //@line 453 "CompileDatBlocks.cpp"
 var $18=$opcode; //@line 454 "CompileDatBlocks.cpp"
 var $and24=$18&7; //@line 454 "CompileDatBlocks.cpp"
 var $19=$instruction; //@line 454 "CompileDatBlocks.cpp"
 var $or25=$19|$and24; //@line 454 "CompileDatBlocks.cpp"
 $instruction=$or25; //@line 454 "CompileDatBlocks.cpp"
 var $20=$pass_addr; //@line 457 "CompileDatBlocks.cpp"
 var $cmp26=($20|0)==1; //@line 457 "CompileDatBlocks.cpp"
 var $cond=($cmp26?1:0); //@line 457 "CompileDatBlocks.cpp"
 var $call27=__Z11GetTryValuebbb($cond,1,1); //@line 457 "CompileDatBlocks.cpp"
 if($call27){label=13;break;}else{label=12;break;} //@line 457 "CompileDatBlocks.cpp"
 case 12: 
 $retval=0; //@line 459 "CompileDatBlocks.cpp"
 label=89;break; //@line 459 "CompileDatBlocks.cpp"
 case 13: 
 var $call30=__Z9GetResultv(); //@line 461 "CompileDatBlocks.cpp"
 $d=$call30; //@line 461 "CompileDatBlocks.cpp"
 var $21=$d; //@line 462 "CompileDatBlocks.cpp"
 var $cmp31=($21|0)>511; //@line 462 "CompileDatBlocks.cpp"
 if($cmp31){label=14;break;}else{label=15;break;} //@line 462 "CompileDatBlocks.cpp"
 case 14: 
 var $22=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 464 "CompileDatBlocks.cpp"
 var $23=$22; //@line 464 "CompileDatBlocks.cpp"
 var $error=(($23)|0); //@line 464 "CompileDatBlocks.cpp"
 HEAP8[($error)]=1; //@line 464 "CompileDatBlocks.cpp"
 var $24=((((HEAPU8[(56)])|(HEAPU8[(57)]<<8)|(HEAPU8[(58)]<<16)|(HEAPU8[(59)]<<24))|0)); //@line 465 "CompileDatBlocks.cpp"
 var $25=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 465 "CompileDatBlocks.cpp"
 var $26=$25; //@line 465 "CompileDatBlocks.cpp"
 var $error_msg=(($26+4)|0); //@line 465 "CompileDatBlocks.cpp"
 tempBigInt=$24;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 465 "CompileDatBlocks.cpp"
 $retval=0; //@line 466 "CompileDatBlocks.cpp"
 label=89;break; //@line 466 "CompileDatBlocks.cpp"
 case 15: 
 var $27=$d; //@line 468 "CompileDatBlocks.cpp"
 var $shl34=$27<<9; //@line 468 "CompileDatBlocks.cpp"
 var $28=$instruction; //@line 468 "CompileDatBlocks.cpp"
 var $or35=$28|$shl34; //@line 468 "CompileDatBlocks.cpp"
 $instruction=$or35; //@line 468 "CompileDatBlocks.cpp"
 label=67;break; //@line 469 "CompileDatBlocks.cpp"
 case 16: 
 var $29=$opcode; //@line 470 "CompileDatBlocks.cpp"
 var $cmp36=($29|0)==21; //@line 470 "CompileDatBlocks.cpp"
 if($cmp36){label=17;break;}else{label=35;break;} //@line 470 "CompileDatBlocks.cpp"
 case 17: 
 var $30=$instruction; //@line 473 "CompileDatBlocks.cpp"
 var $xor=$30^146800640; //@line 473 "CompileDatBlocks.cpp"
 $instruction=$xor; //@line 473 "CompileDatBlocks.cpp"
 var $31=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 474 "CompileDatBlocks.cpp"
 var $call38=__ZN11Elementizer10GetElementEi($31,7); //@line 474 "CompileDatBlocks.cpp"
 if($call38){label=19;break;}else{label=18;break;} //@line 474 "CompileDatBlocks.cpp"
 case 18: 
 $retval=0; //@line 476 "CompileDatBlocks.cpp"
 label=89;break; //@line 476 "CompileDatBlocks.cpp"
 case 19: 
 tempBigInt=0;HEAP8[($length)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($length)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($length)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($length)+(3))|0)]=tempBigInt&0xff; //@line 478 "CompileDatBlocks.cpp"
 var $call41=__Z9GetSymbolPi($length); //@line 479 "CompileDatBlocks.cpp"
 if($call41){label=21;break;}else{label=20;break;} //@line 479 "CompileDatBlocks.cpp"
 case 20: 
 $retval=0; //@line 481 "CompileDatBlocks.cpp"
 label=89;break; //@line 481 "CompileDatBlocks.cpp"
 case 21: 
 var $32=((((HEAPU8[($length)])|(HEAPU8[((($length)+(1))|0)]<<8)|(HEAPU8[((($length)+(2))|0)]<<16)|(HEAPU8[((($length)+(3))|0)]<<24))|0)); //@line 483 "CompileDatBlocks.cpp"
 var $cmp44=($32|0)>0; //@line 483 "CompileDatBlocks.cpp"
 if($cmp44){label=22;break;}else{label=33;break;} //@line 483 "CompileDatBlocks.cpp"
 case 22: 
 var $33=((((HEAPU8[($length)])|(HEAPU8[((($length)+(1))|0)]<<8)|(HEAPU8[((($length)+(2))|0)]<<16)|(HEAPU8[((($length)+(3))|0)]<<24))|0)); //@line 485 "CompileDatBlocks.cpp"
 var $cmp46=($33|0)>252; //@line 485 "CompileDatBlocks.cpp"
 if($cmp46){label=23;break;}else{label=24;break;} //@line 485 "CompileDatBlocks.cpp"
 case 23: 
 var $34=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 487 "CompileDatBlocks.cpp"
 var $35=$34; //@line 487 "CompileDatBlocks.cpp"
 var $error48=(($35)|0); //@line 487 "CompileDatBlocks.cpp"
 HEAP8[($error48)]=1; //@line 487 "CompileDatBlocks.cpp"
 var $36=((((HEAPU8[(40)])|(HEAPU8[(41)]<<8)|(HEAPU8[(42)]<<16)|(HEAPU8[(43)]<<24))|0)); //@line 488 "CompileDatBlocks.cpp"
 var $37=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 488 "CompileDatBlocks.cpp"
 var $38=$37; //@line 488 "CompileDatBlocks.cpp"
 var $error_msg49=(($38+4)|0); //@line 488 "CompileDatBlocks.cpp"
 tempBigInt=$36;HEAP8[($error_msg49)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg49)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg49)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg49)+(3))|0)]=tempBigInt&0xff; //@line 488 "CompileDatBlocks.cpp"
 $retval=0; //@line 489 "CompileDatBlocks.cpp"
 label=89;break; //@line 489 "CompileDatBlocks.cpp"
 case 24: 
 var $39=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 491 "CompileDatBlocks.cpp"
 var $call51=__ZN11Elementizer16GetCurrentSymbolEv($39); //@line 491 "CompileDatBlocks.cpp"
 $pSymbol=$call51; //@line 491 "CompileDatBlocks.cpp"
 var $40=$pass_addr; //@line 492 "CompileDatBlocks.cpp"
 var $cmp52=($40|0)==1; //@line 492 "CompileDatBlocks.cpp"
 if($cmp52){label=25;break;}else{label=28;break;} //@line 492 "CompileDatBlocks.cpp"
 case 25: 
 var $41=$pSymbol; //@line 494 "CompileDatBlocks.cpp"
 var $call54=__Z35CompileDatBlocks_ValidateCallSymbolbPc(0,$41); //@line 494 "CompileDatBlocks.cpp"
 if($call54){label=27;break;}else{label=26;break;} //@line 494 "CompileDatBlocks.cpp"
 case 26: 
 $retval=0; //@line 496 "CompileDatBlocks.cpp"
 label=89;break; //@line 496 "CompileDatBlocks.cpp"
 case 27: 
 label=28;break; //@line 498 "CompileDatBlocks.cpp"
 case 28: 
 var $42=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 499 "CompileDatBlocks.cpp"
 var $call58=__ZN11Elementizer9GetValue2Ev($42); //@line 499 "CompileDatBlocks.cpp"
 var $and59=$call58&2047; //@line 499 "CompileDatBlocks.cpp"
 var $shr=$and59>>2; //@line 499 "CompileDatBlocks.cpp"
 var $43=$instruction; //@line 499 "CompileDatBlocks.cpp"
 var $or60=$43|$shr; //@line 499 "CompileDatBlocks.cpp"
 $instruction=$or60; //@line 499 "CompileDatBlocks.cpp"
 var $44=((((HEAPU8[($length)])|(HEAPU8[((($length)+(1))|0)]<<8)|(HEAPU8[((($length)+(2))|0)]<<16)|(HEAPU8[((($length)+(3))|0)]<<24))|0)); //@line 501 "CompileDatBlocks.cpp"
 var $45=$pSymbol; //@line 501 "CompileDatBlocks.cpp"
 var $arrayidx=(($45+$44)|0); //@line 501 "CompileDatBlocks.cpp"
 HEAP8[($arrayidx)]=95; //@line 501 "CompileDatBlocks.cpp"
 var $46=((((HEAPU8[($length)])|(HEAPU8[((($length)+(1))|0)]<<8)|(HEAPU8[((($length)+(2))|0)]<<16)|(HEAPU8[((($length)+(3))|0)]<<24))|0)); //@line 502 "CompileDatBlocks.cpp"
 var $add=((($46)+(1))|0); //@line 502 "CompileDatBlocks.cpp"
 var $47=$pSymbol; //@line 502 "CompileDatBlocks.cpp"
 var $arrayidx61=(($47+$add)|0); //@line 502 "CompileDatBlocks.cpp"
 HEAP8[($arrayidx61)]=82; //@line 502 "CompileDatBlocks.cpp"
 var $48=((((HEAPU8[($length)])|(HEAPU8[((($length)+(1))|0)]<<8)|(HEAPU8[((($length)+(2))|0)]<<16)|(HEAPU8[((($length)+(3))|0)]<<24))|0)); //@line 503 "CompileDatBlocks.cpp"
 var $add62=((($48)+(2))|0); //@line 503 "CompileDatBlocks.cpp"
 var $49=$pSymbol; //@line 503 "CompileDatBlocks.cpp"
 var $arrayidx63=(($49+$add62)|0); //@line 503 "CompileDatBlocks.cpp"
 HEAP8[($arrayidx63)]=69; //@line 503 "CompileDatBlocks.cpp"
 var $50=((((HEAPU8[($length)])|(HEAPU8[((($length)+(1))|0)]<<8)|(HEAPU8[((($length)+(2))|0)]<<16)|(HEAPU8[((($length)+(3))|0)]<<24))|0)); //@line 504 "CompileDatBlocks.cpp"
 var $add64=((($50)+(3))|0); //@line 504 "CompileDatBlocks.cpp"
 var $51=$pSymbol; //@line 504 "CompileDatBlocks.cpp"
 var $arrayidx65=(($51+$add64)|0); //@line 504 "CompileDatBlocks.cpp"
 HEAP8[($arrayidx65)]=84; //@line 504 "CompileDatBlocks.cpp"
 var $52=((((HEAPU8[($length)])|(HEAPU8[((($length)+(1))|0)]<<8)|(HEAPU8[((($length)+(2))|0)]<<16)|(HEAPU8[((($length)+(3))|0)]<<24))|0)); //@line 505 "CompileDatBlocks.cpp"
 var $add66=((($52)+(4))|0); //@line 505 "CompileDatBlocks.cpp"
 var $53=$pSymbol; //@line 505 "CompileDatBlocks.cpp"
 var $arrayidx67=(($53+$add66)|0); //@line 505 "CompileDatBlocks.cpp"
 HEAP8[($arrayidx67)]=0; //@line 505 "CompileDatBlocks.cpp"
 var $54=$pass_addr; //@line 506 "CompileDatBlocks.cpp"
 var $cmp68=($54|0)==1; //@line 506 "CompileDatBlocks.cpp"
 if($cmp68){label=29;break;}else{label=32;break;} //@line 506 "CompileDatBlocks.cpp"
 case 29: 
 var $55=$pSymbol; //@line 508 "CompileDatBlocks.cpp"
 var $call70=__Z35CompileDatBlocks_ValidateCallSymbolbPc(1,$55); //@line 508 "CompileDatBlocks.cpp"
 if($call70){label=31;break;}else{label=30;break;} //@line 508 "CompileDatBlocks.cpp"
 case 30: 
 $retval=0; //@line 510 "CompileDatBlocks.cpp"
 label=89;break; //@line 510 "CompileDatBlocks.cpp"
 case 31: 
 label=32;break; //@line 512 "CompileDatBlocks.cpp"
 case 32: 
 var $56=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 513 "CompileDatBlocks.cpp"
 var $call74=__ZN11Elementizer9GetValue2Ev($56); //@line 513 "CompileDatBlocks.cpp"
 var $and75=$call74&2047; //@line 513 "CompileDatBlocks.cpp"
 var $shr76=$and75>>2; //@line 513 "CompileDatBlocks.cpp"
 var $shl77=$shr76<<9; //@line 513 "CompileDatBlocks.cpp"
 var $57=$instruction; //@line 513 "CompileDatBlocks.cpp"
 var $or78=$57|$shl77; //@line 513 "CompileDatBlocks.cpp"
 $instruction=$or78; //@line 513 "CompileDatBlocks.cpp"
 label=34;break; //@line 514 "CompileDatBlocks.cpp"
 case 33: 
 var $58=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 517 "CompileDatBlocks.cpp"
 var $59=$58; //@line 517 "CompileDatBlocks.cpp"
 var $error80=(($59)|0); //@line 517 "CompileDatBlocks.cpp"
 HEAP8[($error80)]=1; //@line 517 "CompileDatBlocks.cpp"
 var $60=((((HEAPU8[(84)])|(HEAPU8[(85)]<<8)|(HEAPU8[(86)]<<16)|(HEAPU8[(87)]<<24))|0)); //@line 518 "CompileDatBlocks.cpp"
 var $61=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 518 "CompileDatBlocks.cpp"
 var $62=$61; //@line 518 "CompileDatBlocks.cpp"
 var $error_msg81=(($62+4)|0); //@line 518 "CompileDatBlocks.cpp"
 tempBigInt=$60;HEAP8[($error_msg81)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg81)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg81)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg81)+(3))|0)]=tempBigInt&0xff; //@line 518 "CompileDatBlocks.cpp"
 $retval=0; //@line 519 "CompileDatBlocks.cpp"
 label=89;break; //@line 519 "CompileDatBlocks.cpp"
 case 34: 
 label=66;break; //@line 521 "CompileDatBlocks.cpp"
 case 35: 
 var $63=$opcode; //@line 522 "CompileDatBlocks.cpp"
 var $cmp84=($63|0)==22; //@line 522 "CompileDatBlocks.cpp"
 if($cmp84){label=36;break;}else{label=37;break;} //@line 522 "CompileDatBlocks.cpp"
 case 36: 
 var $64=$instruction; //@line 524 "CompileDatBlocks.cpp"
 var $xor86=$64^71303168; //@line 524 "CompileDatBlocks.cpp"
 $instruction=$xor86; //@line 524 "CompileDatBlocks.cpp"
 label=65;break; //@line 525 "CompileDatBlocks.cpp"
 case 37: 
 var $65=$opcode; //@line 526 "CompileDatBlocks.cpp"
 var $cmp88=($65|0)==23; //@line 526 "CompileDatBlocks.cpp"
 if($cmp88){label=38;break;}else{label=48;break;} //@line 526 "CompileDatBlocks.cpp"
 case 38: 
 var $66=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 531 "CompileDatBlocks.cpp"
 var $67=$bEof_addr; //@line 531 "CompileDatBlocks.cpp"
 var $call90=__ZN11Elementizer7GetNextERb($66,$67); //@line 531 "CompileDatBlocks.cpp"
 if($call90){label=40;break;}else{label=39;break;} //@line 531 "CompileDatBlocks.cpp"
 case 39: 
 $retval=0; //@line 533 "CompileDatBlocks.cpp"
 label=89;break; //@line 533 "CompileDatBlocks.cpp"
 case 40: 
 var $68=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 535 "CompileDatBlocks.cpp"
 var $call93=__ZN11Elementizer7GetTypeEv($68); //@line 535 "CompileDatBlocks.cpp"
 var $cmp94=($call93|0)==7; //@line 535 "CompileDatBlocks.cpp"
 if($cmp94){label=41;break;}else{label=42;break;} //@line 535 "CompileDatBlocks.cpp"
 case 41: 
 var $69=$instruction; //@line 537 "CompileDatBlocks.cpp"
 var $or96=$69|4194304; //@line 537 "CompileDatBlocks.cpp"
 $instruction=$or96; //@line 537 "CompileDatBlocks.cpp"
 label=43;break; //@line 538 "CompileDatBlocks.cpp"
 case 42: 
 var $70=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 541 "CompileDatBlocks.cpp"
 __ZN11Elementizer6BackupEv($70); //@line 541 "CompileDatBlocks.cpp"
 label=43;break;
 case 43: 
 var $71=$pass_addr; //@line 545 "CompileDatBlocks.cpp"
 var $cmp99=($71|0)==1; //@line 545 "CompileDatBlocks.cpp"
 var $cond100=($cmp99?1:0); //@line 545 "CompileDatBlocks.cpp"
 var $call101=__Z11GetTryValuebbb($cond100,1,1); //@line 545 "CompileDatBlocks.cpp"
 if($call101){label=45;break;}else{label=44;break;} //@line 545 "CompileDatBlocks.cpp"
 case 44: 
 $retval=0; //@line 547 "CompileDatBlocks.cpp"
 label=89;break; //@line 547 "CompileDatBlocks.cpp"
 case 45: 
 var $call104=__Z9GetResultv(); //@line 549 "CompileDatBlocks.cpp"
 $s=$call104; //@line 549 "CompileDatBlocks.cpp"
 var $72=$s; //@line 552 "CompileDatBlocks.cpp"
 var $cmp105=($72|0)>511; //@line 552 "CompileDatBlocks.cpp"
 if($cmp105){label=46;break;}else{label=47;break;} //@line 552 "CompileDatBlocks.cpp"
 case 46: 
 var $73=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 554 "CompileDatBlocks.cpp"
 var $74=$73; //@line 554 "CompileDatBlocks.cpp"
 var $error107=(($74)|0); //@line 554 "CompileDatBlocks.cpp"
 HEAP8[($error107)]=1; //@line 554 "CompileDatBlocks.cpp"
 var $75=((((HEAPU8[(436)])|(HEAPU8[(437)]<<8)|(HEAPU8[(438)]<<16)|(HEAPU8[(439)]<<24))|0)); //@line 555 "CompileDatBlocks.cpp"
 var $76=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 555 "CompileDatBlocks.cpp"
 var $77=$76; //@line 555 "CompileDatBlocks.cpp"
 var $error_msg108=(($77+4)|0); //@line 555 "CompileDatBlocks.cpp"
 tempBigInt=$75;HEAP8[($error_msg108)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg108)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg108)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg108)+(3))|0)]=tempBigInt&0xff; //@line 555 "CompileDatBlocks.cpp"
 $retval=0; //@line 556 "CompileDatBlocks.cpp"
 label=89;break; //@line 556 "CompileDatBlocks.cpp"
 case 47: 
 var $78=$s; //@line 560 "CompileDatBlocks.cpp"
 var $79=$instruction; //@line 560 "CompileDatBlocks.cpp"
 var $or110=$79|$78; //@line 560 "CompileDatBlocks.cpp"
 $instruction=$or110; //@line 560 "CompileDatBlocks.cpp"
 label=64;break; //@line 561 "CompileDatBlocks.cpp"
 case 48: 
 var $80=$pass_addr; //@line 565 "CompileDatBlocks.cpp"
 var $cmp112=($80|0)==1; //@line 565 "CompileDatBlocks.cpp"
 var $cond113=($cmp112?1:0); //@line 565 "CompileDatBlocks.cpp"
 var $call114=__Z11GetTryValuebbb($cond113,1,1); //@line 565 "CompileDatBlocks.cpp"
 if($call114){label=50;break;}else{label=49;break;} //@line 565 "CompileDatBlocks.cpp"
 case 49: 
 $retval=0; //@line 567 "CompileDatBlocks.cpp"
 label=89;break; //@line 567 "CompileDatBlocks.cpp"
 case 50: 
 var $call118=__Z9GetResultv(); //@line 569 "CompileDatBlocks.cpp"
 $d117=$call118; //@line 569 "CompileDatBlocks.cpp"
 var $81=$d117; //@line 572 "CompileDatBlocks.cpp"
 var $cmp119=($81|0)>511; //@line 572 "CompileDatBlocks.cpp"
 if($cmp119){label=51;break;}else{label=52;break;} //@line 572 "CompileDatBlocks.cpp"
 case 51: 
 var $82=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 574 "CompileDatBlocks.cpp"
 var $83=$82; //@line 574 "CompileDatBlocks.cpp"
 var $error121=(($83)|0); //@line 574 "CompileDatBlocks.cpp"
 HEAP8[($error121)]=1; //@line 574 "CompileDatBlocks.cpp"
 var $84=((((HEAPU8[(56)])|(HEAPU8[(57)]<<8)|(HEAPU8[(58)]<<16)|(HEAPU8[(59)]<<24))|0)); //@line 575 "CompileDatBlocks.cpp"
 var $85=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 575 "CompileDatBlocks.cpp"
 var $86=$85; //@line 575 "CompileDatBlocks.cpp"
 var $error_msg122=(($86+4)|0); //@line 575 "CompileDatBlocks.cpp"
 tempBigInt=$84;HEAP8[($error_msg122)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg122)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg122)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg122)+(3))|0)]=tempBigInt&0xff; //@line 575 "CompileDatBlocks.cpp"
 $retval=0; //@line 576 "CompileDatBlocks.cpp"
 label=89;break; //@line 576 "CompileDatBlocks.cpp"
 case 52: 
 var $87=$d117; //@line 580 "CompileDatBlocks.cpp"
 var $shl124=$87<<9; //@line 580 "CompileDatBlocks.cpp"
 var $88=$instruction; //@line 580 "CompileDatBlocks.cpp"
 var $or125=$88|$shl124; //@line 580 "CompileDatBlocks.cpp"
 $instruction=$or125; //@line 580 "CompileDatBlocks.cpp"
 var $89=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 582 "CompileDatBlocks.cpp"
 var $call126=__ZN11Elementizer10GetElementEi($89,5); //@line 582 "CompileDatBlocks.cpp"
 if($call126){label=54;break;}else{label=53;break;} //@line 582 "CompileDatBlocks.cpp"
 case 53: 
 $retval=0; //@line 584 "CompileDatBlocks.cpp"
 label=89;break; //@line 584 "CompileDatBlocks.cpp"
 case 54: 
 var $90=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 588 "CompileDatBlocks.cpp"
 var $91=$bEof_addr; //@line 588 "CompileDatBlocks.cpp"
 var $call129=__ZN11Elementizer7GetNextERb($90,$91); //@line 588 "CompileDatBlocks.cpp"
 if($call129){label=56;break;}else{label=55;break;} //@line 588 "CompileDatBlocks.cpp"
 case 55: 
 $retval=0; //@line 590 "CompileDatBlocks.cpp"
 label=89;break; //@line 590 "CompileDatBlocks.cpp"
 case 56: 
 var $92=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 592 "CompileDatBlocks.cpp"
 var $call132=__ZN11Elementizer7GetTypeEv($92); //@line 592 "CompileDatBlocks.cpp"
 var $cmp133=($call132|0)==7; //@line 592 "CompileDatBlocks.cpp"
 if($cmp133){label=57;break;}else{label=58;break;} //@line 592 "CompileDatBlocks.cpp"
 case 57: 
 var $93=$instruction; //@line 594 "CompileDatBlocks.cpp"
 var $or135=$93|4194304; //@line 594 "CompileDatBlocks.cpp"
 $instruction=$or135; //@line 594 "CompileDatBlocks.cpp"
 label=59;break; //@line 595 "CompileDatBlocks.cpp"
 case 58: 
 var $94=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 598 "CompileDatBlocks.cpp"
 __ZN11Elementizer6BackupEv($94); //@line 598 "CompileDatBlocks.cpp"
 label=59;break;
 case 59: 
 var $95=$pass_addr; //@line 602 "CompileDatBlocks.cpp"
 var $cmp138=($95|0)==1; //@line 602 "CompileDatBlocks.cpp"
 var $cond139=($cmp138?1:0); //@line 602 "CompileDatBlocks.cpp"
 var $call140=__Z11GetTryValuebbb($cond139,1,1); //@line 602 "CompileDatBlocks.cpp"
 if($call140){label=61;break;}else{label=60;break;} //@line 602 "CompileDatBlocks.cpp"
 case 60: 
 $retval=0; //@line 604 "CompileDatBlocks.cpp"
 label=89;break; //@line 604 "CompileDatBlocks.cpp"
 case 61: 
 var $call144=__Z9GetResultv(); //@line 606 "CompileDatBlocks.cpp"
 $s143=$call144; //@line 606 "CompileDatBlocks.cpp"
 var $96=$s143; //@line 609 "CompileDatBlocks.cpp"
 var $cmp145=($96|0)>511; //@line 609 "CompileDatBlocks.cpp"
 if($cmp145){label=62;break;}else{label=63;break;} //@line 609 "CompileDatBlocks.cpp"
 case 62: 
 var $97=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 611 "CompileDatBlocks.cpp"
 var $98=$97; //@line 611 "CompileDatBlocks.cpp"
 var $error147=(($98)|0); //@line 611 "CompileDatBlocks.cpp"
 HEAP8[($error147)]=1; //@line 611 "CompileDatBlocks.cpp"
 var $99=((((HEAPU8[(436)])|(HEAPU8[(437)]<<8)|(HEAPU8[(438)]<<16)|(HEAPU8[(439)]<<24))|0)); //@line 612 "CompileDatBlocks.cpp"
 var $100=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 612 "CompileDatBlocks.cpp"
 var $101=$100; //@line 612 "CompileDatBlocks.cpp"
 var $error_msg148=(($101+4)|0); //@line 612 "CompileDatBlocks.cpp"
 tempBigInt=$99;HEAP8[($error_msg148)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg148)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg148)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg148)+(3))|0)]=tempBigInt&0xff; //@line 612 "CompileDatBlocks.cpp"
 $retval=0; //@line 613 "CompileDatBlocks.cpp"
 label=89;break; //@line 613 "CompileDatBlocks.cpp"
 case 63: 
 var $102=$s143; //@line 617 "CompileDatBlocks.cpp"
 var $103=$instruction; //@line 617 "CompileDatBlocks.cpp"
 var $or150=$103|$102; //@line 617 "CompileDatBlocks.cpp"
 $instruction=$or150; //@line 617 "CompileDatBlocks.cpp"
 label=64;break;
 case 64: 
 label=65;break;
 case 65: 
 label=66;break;
 case 66: 
 label=67;break;
 case 67: 
 $bAfterComma=0; //@line 621 "CompileDatBlocks.cpp"
 label=68;break; //@line 622 "CompileDatBlocks.cpp"
 case 68: 
 var $104=$bEof_addr; //@line 622 "CompileDatBlocks.cpp"
 var $105=HEAP8[($104)]; //@line 622 "CompileDatBlocks.cpp"
 var $tobool155=(($105)&1); //@line 622 "CompileDatBlocks.cpp"
 var $lnot=$tobool155^1; //@line 622 "CompileDatBlocks.cpp"
 if($lnot){label=69;break;}else{label=86;break;} //@line 622 "CompileDatBlocks.cpp"
 case 69: 
 var $106=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 624 "CompileDatBlocks.cpp"
 var $107=$bEof_addr; //@line 624 "CompileDatBlocks.cpp"
 var $call156=__ZN11Elementizer7GetNextERb($106,$107); //@line 624 "CompileDatBlocks.cpp"
 if($call156){label=71;break;}else{label=70;break;} //@line 624 "CompileDatBlocks.cpp"
 case 70: 
 $retval=0; //@line 626 "CompileDatBlocks.cpp"
 label=89;break; //@line 626 "CompileDatBlocks.cpp"
 case 71: 
 var $108=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 628 "CompileDatBlocks.cpp"
 var $call159=__ZN11Elementizer7GetTypeEv($108); //@line 628 "CompileDatBlocks.cpp"
 var $cmp160=($call159|0)==65; //@line 628 "CompileDatBlocks.cpp"
 if($cmp160){label=72;break;}else{label=80;break;} //@line 628 "CompileDatBlocks.cpp"
 case 72: 
 var $109=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 630 "CompileDatBlocks.cpp"
 var $call162=__ZN11Elementizer8GetValueEv($109); //@line 630 "CompileDatBlocks.cpp"
 $effectValue=$call162; //@line 630 "CompileDatBlocks.cpp"
 var $110=$effectValue; //@line 633 "CompileDatBlocks.cpp"
 var $and163=$110&9; //@line 633 "CompileDatBlocks.cpp"
 var $tobool164=($and163|0)!=0; //@line 633 "CompileDatBlocks.cpp"
 if($tobool164){label=73;break;}else{label=75;break;} //@line 633 "CompileDatBlocks.cpp"
 case 73: 
 var $111=$instruction; //@line 633 "CompileDatBlocks.cpp"
 var $shr165=$111>>>26; //@line 633 "CompileDatBlocks.cpp"
 var $cmp166=($shr165>>>0)<=2; //@line 633 "CompileDatBlocks.cpp"
 if($cmp166){label=74;break;}else{label=75;break;} //@line 633 "CompileDatBlocks.cpp"
 case 74: 
 var $112=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 635 "CompileDatBlocks.cpp"
 var $113=$112; //@line 635 "CompileDatBlocks.cpp"
 var $error168=(($113)|0); //@line 635 "CompileDatBlocks.cpp"
 HEAP8[($error168)]=1; //@line 635 "CompileDatBlocks.cpp"
 var $114=((((HEAPU8[(340)])|(HEAPU8[(341)]<<8)|(HEAPU8[(342)]<<16)|(HEAPU8[(343)]<<24))|0)); //@line 636 "CompileDatBlocks.cpp"
 var $115=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 636 "CompileDatBlocks.cpp"
 var $116=$115; //@line 636 "CompileDatBlocks.cpp"
 var $error_msg169=(($116+4)|0); //@line 636 "CompileDatBlocks.cpp"
 tempBigInt=$114;HEAP8[($error_msg169)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg169)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg169)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg169)+(3))|0)]=tempBigInt&0xff; //@line 636 "CompileDatBlocks.cpp"
 $retval=0; //@line 637 "CompileDatBlocks.cpp"
 label=89;break; //@line 637 "CompileDatBlocks.cpp"
 case 75: 
 var $117=$effectValue; //@line 641 "CompileDatBlocks.cpp"
 var $and171=$117&56; //@line 641 "CompileDatBlocks.cpp"
 var $shl172=$and171<<20; //@line 641 "CompileDatBlocks.cpp"
 $temp=$shl172; //@line 641 "CompileDatBlocks.cpp"
 var $118=$temp; //@line 642 "CompileDatBlocks.cpp"
 var $119=$instruction; //@line 642 "CompileDatBlocks.cpp"
 var $or173=$119|$118; //@line 642 "CompileDatBlocks.cpp"
 $instruction=$or173; //@line 642 "CompileDatBlocks.cpp"
 var $120=$temp; //@line 643 "CompileDatBlocks.cpp"
 var $121=$instruction; //@line 643 "CompileDatBlocks.cpp"
 var $xor174=$121^$120; //@line 643 "CompileDatBlocks.cpp"
 $instruction=$xor174; //@line 643 "CompileDatBlocks.cpp"
 var $122=$effectValue; //@line 644 "CompileDatBlocks.cpp"
 var $and175=$122&7; //@line 644 "CompileDatBlocks.cpp"
 var $shl176=$and175<<23; //@line 644 "CompileDatBlocks.cpp"
 var $123=$instruction; //@line 644 "CompileDatBlocks.cpp"
 var $or177=$123|$shl176; //@line 644 "CompileDatBlocks.cpp"
 $instruction=$or177; //@line 644 "CompileDatBlocks.cpp"
 HEAP8[($bComma)]=0; //@line 646 "CompileDatBlocks.cpp"
 var $call178=__Z13GetCommaOrEndRb($bComma); //@line 647 "CompileDatBlocks.cpp"
 if($call178){label=77;break;}else{label=76;break;} //@line 647 "CompileDatBlocks.cpp"
 case 76: 
 $retval=0; //@line 649 "CompileDatBlocks.cpp"
 label=89;break; //@line 649 "CompileDatBlocks.cpp"
 case 77: 
 var $124=HEAP8[($bComma)]; //@line 651 "CompileDatBlocks.cpp"
 var $tobool181=(($124)&1); //@line 651 "CompileDatBlocks.cpp"
 if($tobool181){label=79;break;}else{label=78;break;} //@line 651 "CompileDatBlocks.cpp"
 case 78: 
 label=86;break; //@line 654 "CompileDatBlocks.cpp"
 case 79: 
 $bAfterComma=1; //@line 658 "CompileDatBlocks.cpp"
 label=85;break; //@line 659 "CompileDatBlocks.cpp"
 case 80: 
 var $125=$bAfterComma; //@line 660 "CompileDatBlocks.cpp"
 var $tobool185=(($125)&1); //@line 660 "CompileDatBlocks.cpp"
 if($tobool185){label=81;break;}else{label=82;break;} //@line 660 "CompileDatBlocks.cpp"
 case 81: 
 var $126=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 663 "CompileDatBlocks.cpp"
 var $127=$126; //@line 663 "CompileDatBlocks.cpp"
 var $error187=(($127)|0); //@line 663 "CompileDatBlocks.cpp"
 HEAP8[($error187)]=1; //@line 663 "CompileDatBlocks.cpp"
 var $128=((((HEAPU8[(64)])|(HEAPU8[(65)]<<8)|(HEAPU8[(66)]<<16)|(HEAPU8[(67)]<<24))|0)); //@line 664 "CompileDatBlocks.cpp"
 var $129=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 664 "CompileDatBlocks.cpp"
 var $130=$129; //@line 664 "CompileDatBlocks.cpp"
 var $error_msg188=(($130+4)|0); //@line 664 "CompileDatBlocks.cpp"
 tempBigInt=$128;HEAP8[($error_msg188)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg188)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg188)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg188)+(3))|0)]=tempBigInt&0xff; //@line 664 "CompileDatBlocks.cpp"
 $retval=0; //@line 665 "CompileDatBlocks.cpp"
 label=89;break; //@line 665 "CompileDatBlocks.cpp"
 case 82: 
 var $131=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 667 "CompileDatBlocks.cpp"
 var $call190=__ZN11Elementizer7GetTypeEv($131); //@line 667 "CompileDatBlocks.cpp"
 var $cmp191=($call190|0)!=84; //@line 667 "CompileDatBlocks.cpp"
 if($cmp191){label=83;break;}else{label=84;break;} //@line 667 "CompileDatBlocks.cpp"
 case 83: 
 var $132=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 670 "CompileDatBlocks.cpp"
 var $133=$132; //@line 670 "CompileDatBlocks.cpp"
 var $error193=(($133)|0); //@line 670 "CompileDatBlocks.cpp"
 HEAP8[($error193)]=1; //@line 670 "CompileDatBlocks.cpp"
 var $134=((((HEAPU8[(60)])|(HEAPU8[(61)]<<8)|(HEAPU8[(62)]<<16)|(HEAPU8[(63)]<<24))|0)); //@line 671 "CompileDatBlocks.cpp"
 var $135=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 671 "CompileDatBlocks.cpp"
 var $136=$135; //@line 671 "CompileDatBlocks.cpp"
 var $error_msg194=(($136+4)|0); //@line 671 "CompileDatBlocks.cpp"
 tempBigInt=$134;HEAP8[($error_msg194)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg194)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg194)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg194)+(3))|0)]=tempBigInt&0xff; //@line 671 "CompileDatBlocks.cpp"
 $retval=0; //@line 672 "CompileDatBlocks.cpp"
 label=89;break; //@line 672 "CompileDatBlocks.cpp"
 case 84: 
 label=86;break; //@line 677 "CompileDatBlocks.cpp"
 case 85: 
 label=68;break; //@line 679 "CompileDatBlocks.cpp"
 case 86: 
 var $137=$instruction; //@line 681 "CompileDatBlocks.cpp"
 var $call197=__Z22CompileDatBlocks_Enteriii($137,1,2); //@line 681 "CompileDatBlocks.cpp"
 if($call197){label=88;break;}else{label=87;break;} //@line 681 "CompileDatBlocks.cpp"
 case 87: 
 $retval=0; //@line 683 "CompileDatBlocks.cpp"
 label=89;break; //@line 683 "CompileDatBlocks.cpp"
 case 88: 
 $retval=1; //@line 686 "CompileDatBlocks.cpp"
 label=89;break; //@line 686 "CompileDatBlocks.cpp"
 case 89: 
 var $138=$retval; //@line 687 "CompileDatBlocks.cpp"
 STACKTOP=sp;return $138; //@line 687 "CompileDatBlocks.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z33CompileDatBlocks_CheckInstructionv(){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $0=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 691 "CompileDatBlocks.cpp"
 var $call=__ZN11Elementizer7GetTypeEv($0); //@line 691 "CompileDatBlocks.cpp"
 var $cmp=($call|0)==64; //@line 691 "CompileDatBlocks.cpp"
 if($cmp){label=3;break;}else{label=2;break;} //@line 691 "CompileDatBlocks.cpp"
 case 2: 
 var $1=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 691 "CompileDatBlocks.cpp"
 var $call1=__ZN11Elementizer6IsDualEv($1); //@line 691 "CompileDatBlocks.cpp"
 if($call1){label=3;break;}else{label=4;break;} //@line 691 "CompileDatBlocks.cpp"
 case 3: 
 $retval=1; //@line 693 "CompileDatBlocks.cpp"
 label=10;break; //@line 693 "CompileDatBlocks.cpp"
 case 4: 
 var $2=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 695 "CompileDatBlocks.cpp"
 var $call2=__ZN11Elementizer7GetTypeEv($2); //@line 695 "CompileDatBlocks.cpp"
 var $cmp3=($call2|0)==22; //@line 695 "CompileDatBlocks.cpp"
 if($cmp3){label=5;break;}else{label=9;break;} //@line 695 "CompileDatBlocks.cpp"
 case 5: 
 var $3=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 697 "CompileDatBlocks.cpp"
 var $call5=__ZN11Elementizer9GetOpTypeEv($3); //@line 697 "CompileDatBlocks.cpp"
 var $cmp6=($call5|0)==16; //@line 697 "CompileDatBlocks.cpp"
 if($cmp6){label=7;break;}else{label=6;break;} //@line 697 "CompileDatBlocks.cpp"
 case 6: 
 var $4=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 697 "CompileDatBlocks.cpp"
 var $call8=__ZN11Elementizer9GetOpTypeEv($4); //@line 697 "CompileDatBlocks.cpp"
 var $cmp9=($call8|0)==18; //@line 697 "CompileDatBlocks.cpp"
 if($cmp9){label=7;break;}else{label=8;break;} //@line 697 "CompileDatBlocks.cpp"
 case 7: 
 $retval=1; //@line 699 "CompileDatBlocks.cpp"
 label=10;break; //@line 699 "CompileDatBlocks.cpp"
 case 8: 
 label=9;break; //@line 701 "CompileDatBlocks.cpp"
 case 9: 
 $retval=0; //@line 702 "CompileDatBlocks.cpp"
 label=10;break; //@line 702 "CompileDatBlocks.cpp"
 case 10: 
 var $5=$retval; //@line 703 "CompileDatBlocks.cpp"
 STACKTOP=sp;return $5; //@line 703 "CompileDatBlocks.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z29CompileDatBlocks_AsmConditionRbibbRi($bEof,$pass,$bSymbol,$bResSymbol,$size){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $bEof_addr;
 var $pass_addr;
 var $bSymbol_addr;
 var $bResSymbol_addr;
 var $size_addr;
 var $condition;
 $bEof_addr=$bEof;
 $pass_addr=$pass;
 var $frombool=($bSymbol&1);
 $bSymbol_addr=$frombool;
 var $frombool1=($bResSymbol&1);
 $bResSymbol_addr=$frombool1;
 $size_addr=$size;
 var $0=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 707 "CompileDatBlocks.cpp"
 var $call=__ZN11Elementizer8GetValueEv($0); //@line 707 "CompileDatBlocks.cpp"
 var $and=$call&255; //@line 707 "CompileDatBlocks.cpp"
 var $conv=(($and)&255); //@line 707 "CompileDatBlocks.cpp"
 $condition=$conv; //@line 707 "CompileDatBlocks.cpp"
 var $1=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 708 "CompileDatBlocks.cpp"
 var $2=$bEof_addr; //@line 708 "CompileDatBlocks.cpp"
 var $call2=__ZN11Elementizer7GetNextERb($1,$2); //@line 708 "CompileDatBlocks.cpp"
 if($call2){label=3;break;}else{label=2;break;} //@line 708 "CompileDatBlocks.cpp"
 case 2: 
 $retval=0; //@line 710 "CompileDatBlocks.cpp"
 label=6;break; //@line 710 "CompileDatBlocks.cpp"
 case 3: 
 var $call3=__Z33CompileDatBlocks_CheckInstructionv(); //@line 712 "CompileDatBlocks.cpp"
 if($call3){label=4;break;}else{label=5;break;} //@line 712 "CompileDatBlocks.cpp"
 case 4: 
 var $3=$bEof_addr; //@line 714 "CompileDatBlocks.cpp"
 var $4=$pass_addr; //@line 714 "CompileDatBlocks.cpp"
 var $5=$bSymbol_addr; //@line 714 "CompileDatBlocks.cpp"
 var $tobool=(($5)&1); //@line 714 "CompileDatBlocks.cpp"
 var $6=$bResSymbol_addr; //@line 714 "CompileDatBlocks.cpp"
 var $tobool5=(($6)&1); //@line 714 "CompileDatBlocks.cpp"
 var $7=$size_addr; //@line 714 "CompileDatBlocks.cpp"
 var $8=$condition; //@line 714 "CompileDatBlocks.cpp"
 var $call6=__Z31CompileDatBlocks_AsmInstructionRbibbRih($3,$4,$tobool,$tobool5,$7,$8); //@line 714 "CompileDatBlocks.cpp"
 $retval=$call6; //@line 714 "CompileDatBlocks.cpp"
 label=6;break; //@line 714 "CompileDatBlocks.cpp"
 case 5: 
 var $9=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 717 "CompileDatBlocks.cpp"
 var $10=$9; //@line 717 "CompileDatBlocks.cpp"
 var $error=(($10)|0); //@line 717 "CompileDatBlocks.cpp"
 HEAP8[($error)]=1; //@line 717 "CompileDatBlocks.cpp"
 var $11=((((HEAPU8[(68)])|(HEAPU8[(69)]<<8)|(HEAPU8[(70)]<<16)|(HEAPU8[(71)]<<24))|0)); //@line 718 "CompileDatBlocks.cpp"
 var $12=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 718 "CompileDatBlocks.cpp"
 var $13=$12; //@line 718 "CompileDatBlocks.cpp"
 var $error_msg=(($13+4)|0); //@line 718 "CompileDatBlocks.cpp"
 tempBigInt=$11;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 718 "CompileDatBlocks.cpp"
 $retval=0; //@line 719 "CompileDatBlocks.cpp"
 label=6;break; //@line 719 "CompileDatBlocks.cpp"
 case 6: 
 var $14=$retval; //@line 720 "CompileDatBlocks.cpp"
 STACKTOP=sp;return $14; //@line 720 "CompileDatBlocks.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z16CompileDatBlocksv(){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+32)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $infoflag;
 var $ptr;
 var $datstart;
 var $objstart;
 var $pass;
 var $size=sp;
 var $bEof=(sp)+(8);
 var $bLocal=(sp)+(16);
 var $bSymbol;
 var $bResSymbol=(sp)+(24);
 $infoflag=0; //@line 724 "CompileDatBlocks.cpp"
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 725 "CompileDatBlocks.cpp"
 var $1=$0; //@line 725 "CompileDatBlocks.cpp"
 var $obj_ptr=(($1+16777264)|0); //@line 725 "CompileDatBlocks.cpp"
 var $2=((((HEAPU8[($obj_ptr)])|(HEAPU8[((($obj_ptr)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr)+(3))|0)]<<24))|0)); //@line 725 "CompileDatBlocks.cpp"
 $ptr=$2; //@line 725 "CompileDatBlocks.cpp"
 $datstart=0; //@line 726 "CompileDatBlocks.cpp"
 $objstart=0; //@line 727 "CompileDatBlocks.cpp"
 $pass=0; //@line 729 "CompileDatBlocks.cpp"
 label=2;break; //@line 729 "CompileDatBlocks.cpp"
 case 2: 
 var $3=$pass; //@line 729 "CompileDatBlocks.cpp"
 var $cmp=($3|0)<2; //@line 729 "CompileDatBlocks.cpp"
 if($cmp){label=3;break;}else{label=83;break;} //@line 729 "CompileDatBlocks.cpp"
 case 3: 
 var $4=$ptr; //@line 731 "CompileDatBlocks.cpp"
 var $5=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 731 "CompileDatBlocks.cpp"
 var $6=$5; //@line 731 "CompileDatBlocks.cpp"
 var $obj_ptr1=(($6+16777264)|0); //@line 731 "CompileDatBlocks.cpp"
 tempBigInt=$4;HEAP8[($obj_ptr1)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_ptr1)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_ptr1)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_ptr1)+(3))|0)]=tempBigInt&0xff; //@line 731 "CompileDatBlocks.cpp"
 var $7=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 732 "CompileDatBlocks.cpp"
 var $asm_local=(($7+16971112)|0); //@line 732 "CompileDatBlocks.cpp"
 tempBigInt=0;HEAP8[($asm_local)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($asm_local)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($asm_local)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($asm_local)+(3))|0)]=tempBigInt&0xff; //@line 732 "CompileDatBlocks.cpp"
 var $8=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 733 "CompileDatBlocks.cpp"
 var $cog_org=(($8+16979572)|0); //@line 733 "CompileDatBlocks.cpp"
 tempBigInt=0;HEAP8[($cog_org)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($cog_org)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($cog_org)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($cog_org)+(3))|0)]=tempBigInt&0xff; //@line 733 "CompileDatBlocks.cpp"
 var $9=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 734 "CompileDatBlocks.cpp"
 var $orgx=(($9+16979884)|0); //@line 734 "CompileDatBlocks.cpp"
 tempBigInt=0;HEAP8[($orgx)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($orgx)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($orgx)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($orgx)+(3))|0)]=tempBigInt&0xff; //@line 734 "CompileDatBlocks.cpp"
 tempBigInt=0;HEAP8[($size)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($size)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($size)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($size)+(3))|0)]=tempBigInt&0xff; //@line 735 "CompileDatBlocks.cpp"
 HEAP8[($bEof)]=0; //@line 737 "CompileDatBlocks.cpp"
 var $10=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 738 "CompileDatBlocks.cpp"
 __ZN11Elementizer5ResetEv($10); //@line 738 "CompileDatBlocks.cpp"
 label=4;break; //@line 740 "CompileDatBlocks.cpp"
 case 4: 
 var $11=HEAP8[($bEof)]; //@line 740 "CompileDatBlocks.cpp"
 var $tobool=(($11)&1); //@line 740 "CompileDatBlocks.cpp"
 var $lnot=$tobool^1; //@line 740 "CompileDatBlocks.cpp"
 if($lnot){label=5;break;}else{label=78;break;} //@line 740 "CompileDatBlocks.cpp"
 case 5: 
 var $12=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 742 "CompileDatBlocks.cpp"
 var $call=__ZN11Elementizer12GetNextBlockEiRb($12,2,$bEof); //@line 742 "CompileDatBlocks.cpp"
 if($call){label=6;break;}else{label=76;break;} //@line 742 "CompileDatBlocks.cpp"
 case 6: 
 var $13=HEAP8[($bEof)]; //@line 744 "CompileDatBlocks.cpp"
 var $tobool2=(($13)&1); //@line 744 "CompileDatBlocks.cpp"
 if($tobool2){label=7;break;}else{label=8;break;} //@line 744 "CompileDatBlocks.cpp"
 case 7: 
 label=78;break; //@line 746 "CompileDatBlocks.cpp"
 case 8: 
 var $14=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 749 "CompileDatBlocks.cpp"
 var $15=$14; //@line 749 "CompileDatBlocks.cpp"
 var $source_start=(($15+16)|0); //@line 749 "CompileDatBlocks.cpp"
 var $16=((((HEAPU8[($source_start)])|(HEAPU8[((($source_start)+(1))|0)]<<8)|(HEAPU8[((($source_start)+(2))|0)]<<16)|(HEAPU8[((($source_start)+(3))|0)]<<24))|0)); //@line 749 "CompileDatBlocks.cpp"
 $datstart=$16; //@line 749 "CompileDatBlocks.cpp"
 var $17=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 750 "CompileDatBlocks.cpp"
 var $18=$17; //@line 750 "CompileDatBlocks.cpp"
 var $obj_ptr4=(($18+16777264)|0); //@line 750 "CompileDatBlocks.cpp"
 var $19=((((HEAPU8[($obj_ptr4)])|(HEAPU8[((($obj_ptr4)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr4)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr4)+(3))|0)]<<24))|0)); //@line 750 "CompileDatBlocks.cpp"
 $objstart=$19; //@line 750 "CompileDatBlocks.cpp"
 label=9;break; //@line 752 "CompileDatBlocks.cpp"
 case 9: 
 var $20=HEAP8[($bEof)]; //@line 752 "CompileDatBlocks.cpp"
 var $tobool6=(($20)&1); //@line 752 "CompileDatBlocks.cpp"
 var $lnot7=$tobool6^1; //@line 752 "CompileDatBlocks.cpp"
 if($lnot7){label=10;break;}else{label=75;break;} //@line 752 "CompileDatBlocks.cpp"
 case 10: 
 var $21=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 754 "CompileDatBlocks.cpp"
 var $call9=__ZN11Elementizer7GetNextERb($21,$bEof); //@line 754 "CompileDatBlocks.cpp"
 if($call9){label=12;break;}else{label=11;break;} //@line 754 "CompileDatBlocks.cpp"
 case 11: 
 $retval=0; //@line 756 "CompileDatBlocks.cpp"
 label=84;break; //@line 756 "CompileDatBlocks.cpp"
 case 12: 
 var $22=HEAP8[($bEof)]; //@line 758 "CompileDatBlocks.cpp"
 var $tobool12=(($22)&1); //@line 758 "CompileDatBlocks.cpp"
 if($tobool12){label=13;break;}else{label=14;break;} //@line 758 "CompileDatBlocks.cpp"
 case 13: 
 label=75;break; //@line 760 "CompileDatBlocks.cpp"
 case 14: 
 $infoflag=1; //@line 762 "CompileDatBlocks.cpp"
 var $23=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 763 "CompileDatBlocks.cpp"
 var $call15=__ZN11Elementizer7GetTypeEv($23); //@line 763 "CompileDatBlocks.cpp"
 var $cmp16=($call15|0)==84; //@line 763 "CompileDatBlocks.cpp"
 if($cmp16){label=15;break;}else{label=16;break;} //@line 763 "CompileDatBlocks.cpp"
 case 15: 
 label=9;break; //@line 765 "CompileDatBlocks.cpp"
 case 16: 
 var $24=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 768 "CompileDatBlocks.cpp"
 var $25=$24; //@line 768 "CompileDatBlocks.cpp"
 var $source_start19=(($25+16)|0); //@line 768 "CompileDatBlocks.cpp"
 var $26=((((HEAPU8[($source_start19)])|(HEAPU8[((($source_start19)+(1))|0)]<<8)|(HEAPU8[((($source_start19)+(2))|0)]<<16)|(HEAPU8[((($source_start19)+(3))|0)]<<24))|0)); //@line 768 "CompileDatBlocks.cpp"
 var $27=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 768 "CompileDatBlocks.cpp"
 var $inf_start=(($27+16979580)|0); //@line 768 "CompileDatBlocks.cpp"
 tempBigInt=$26;HEAP8[($inf_start)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_start)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_start)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_start)+(3))|0)]=tempBigInt&0xff; //@line 768 "CompileDatBlocks.cpp"
 HEAP8[($bLocal)]=0; //@line 771 "CompileDatBlocks.cpp"
 $bSymbol=0; //@line 772 "CompileDatBlocks.cpp"
 HEAP8[($bResSymbol)]=0; //@line 773 "CompileDatBlocks.cpp"
 var $call20=__Z10CheckLocalRb($bLocal); //@line 775 "CompileDatBlocks.cpp"
 if($call20){label=18;break;}else{label=17;break;} //@line 775 "CompileDatBlocks.cpp"
 case 17: 
 $retval=0; //@line 777 "CompileDatBlocks.cpp"
 label=84;break; //@line 777 "CompileDatBlocks.cpp"
 case 18: 
 var $28=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 780 "CompileDatBlocks.cpp"
 var $29=$28; //@line 780 "CompileDatBlocks.cpp"
 var $source_finish=(($29+20)|0); //@line 780 "CompileDatBlocks.cpp"
 var $30=((((HEAPU8[($source_finish)])|(HEAPU8[((($source_finish)+(1))|0)]<<8)|(HEAPU8[((($source_finish)+(2))|0)]<<16)|(HEAPU8[((($source_finish)+(3))|0)]<<24))|0)); //@line 780 "CompileDatBlocks.cpp"
 var $31=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 780 "CompileDatBlocks.cpp"
 var $inf_finish=(($31+16979584)|0); //@line 780 "CompileDatBlocks.cpp"
 tempBigInt=$30;HEAP8[($inf_finish)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_finish)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_finish)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_finish)+(3))|0)]=tempBigInt&0xff; //@line 780 "CompileDatBlocks.cpp"
 var $32=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 782 "CompileDatBlocks.cpp"
 var $call23=__ZN11Elementizer7GetTypeEv($32); //@line 782 "CompileDatBlocks.cpp"
 var $cmp24=($call23|0)==0; //@line 782 "CompileDatBlocks.cpp"
 if($cmp24){label=19;break;}else{label=30;break;} //@line 782 "CompileDatBlocks.cpp"
 case 19: 
 var $33=HEAP8[($bLocal)]; //@line 784 "CompileDatBlocks.cpp"
 var $tobool26=(($33)&1); //@line 784 "CompileDatBlocks.cpp"
 if($tobool26){label=23;break;}else{label=20;break;} //@line 784 "CompileDatBlocks.cpp"
 case 20: 
 var $call28=__Z17IncrementAsmLocalv(); //@line 786 "CompileDatBlocks.cpp"
 if($call28){label=22;break;}else{label=21;break;} //@line 786 "CompileDatBlocks.cpp"
 case 21: 
 $retval=0; //@line 788 "CompileDatBlocks.cpp"
 label=84;break; //@line 788 "CompileDatBlocks.cpp"
 case 22: 
 label=23;break; //@line 790 "CompileDatBlocks.cpp"
 case 23: 
 $bSymbol=1; //@line 792 "CompileDatBlocks.cpp"
 var $34=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 793 "CompileDatBlocks.cpp"
 __ZN11Elementizer12BackupSymbolEv($34); //@line 793 "CompileDatBlocks.cpp"
 var $35=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 795 "CompileDatBlocks.cpp"
 var $call32=__ZN11Elementizer7GetNextERb($35,$bEof); //@line 795 "CompileDatBlocks.cpp"
 if($call32){label=25;break;}else{label=24;break;} //@line 795 "CompileDatBlocks.cpp"
 case 24: 
 $retval=0; //@line 797 "CompileDatBlocks.cpp"
 label=84;break; //@line 797 "CompileDatBlocks.cpp"
 case 25: 
 var $36=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 799 "CompileDatBlocks.cpp"
 var $call35=__ZN11Elementizer7GetTypeEv($36); //@line 799 "CompileDatBlocks.cpp"
 var $cmp36=($call35|0)==84; //@line 799 "CompileDatBlocks.cpp"
 if($cmp36){label=26;break;}else{label=29;break;} //@line 799 "CompileDatBlocks.cpp"
 case 26: 
 var $37=$bSymbol; //@line 801 "CompileDatBlocks.cpp"
 var $tobool38=(($37)&1); //@line 801 "CompileDatBlocks.cpp"
 if($tobool38){label=27;break;}else{label=28;break;} //@line 801 "CompileDatBlocks.cpp"
 case 27: 
 var $38=HEAP8[($bResSymbol)]; //@line 803 "CompileDatBlocks.cpp"
 var $tobool40=(($38)&1); //@line 803 "CompileDatBlocks.cpp"
 var $39=((((HEAPU8[($size)])|(HEAPU8[((($size)+(1))|0)]<<8)|(HEAPU8[((($size)+(2))|0)]<<16)|(HEAPU8[((($size)+(3))|0)]<<24))|0)); //@line 803 "CompileDatBlocks.cpp"
 __Z28CompileDatBlocks_EnterSymbolbi($tobool40,$39); //@line 803 "CompileDatBlocks.cpp"
 label=28;break; //@line 804 "CompileDatBlocks.cpp"
 case 28: 
 label=9;break; //@line 805 "CompileDatBlocks.cpp"
 case 29: 
 label=46;break; //@line 807 "CompileDatBlocks.cpp"
 case 30: 
 var $40=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 808 "CompileDatBlocks.cpp"
 var $call43=__ZN11Elementizer7GetTypeEv($40); //@line 808 "CompileDatBlocks.cpp"
 var $cmp44=($call43|0)==72; //@line 808 "CompileDatBlocks.cpp"
 if($cmp44){label=34;break;}else{label=31;break;} //@line 808 "CompileDatBlocks.cpp"
 case 31: 
 var $41=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 809 "CompileDatBlocks.cpp"
 var $call45=__ZN11Elementizer7GetTypeEv($41); //@line 809 "CompileDatBlocks.cpp"
 var $cmp46=($call45|0)==73; //@line 809 "CompileDatBlocks.cpp"
 if($cmp46){label=34;break;}else{label=32;break;} //@line 809 "CompileDatBlocks.cpp"
 case 32: 
 var $42=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 810 "CompileDatBlocks.cpp"
 var $call48=__ZN11Elementizer7GetTypeEv($42); //@line 810 "CompileDatBlocks.cpp"
 var $cmp49=($call48|0)==74; //@line 810 "CompileDatBlocks.cpp"
 if($cmp49){label=34;break;}else{label=33;break;} //@line 810 "CompileDatBlocks.cpp"
 case 33: 
 var $43=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 811 "CompileDatBlocks.cpp"
 var $call51=__ZN11Elementizer7GetTypeEv($43); //@line 811 "CompileDatBlocks.cpp"
 var $cmp52=($call51|0)==75; //@line 811 "CompileDatBlocks.cpp"
 if($cmp52){label=34;break;}else{label=45;break;} //@line 811 "CompileDatBlocks.cpp"
 case 34: 
 var $44=HEAP8[($bLocal)]; //@line 813 "CompileDatBlocks.cpp"
 var $tobool54=(($44)&1); //@line 813 "CompileDatBlocks.cpp"
 if($tobool54){label=38;break;}else{label=35;break;} //@line 813 "CompileDatBlocks.cpp"
 case 35: 
 var $call56=__Z17IncrementAsmLocalv(); //@line 815 "CompileDatBlocks.cpp"
 if($call56){label=37;break;}else{label=36;break;} //@line 815 "CompileDatBlocks.cpp"
 case 36: 
 $retval=0; //@line 817 "CompileDatBlocks.cpp"
 label=84;break; //@line 817 "CompileDatBlocks.cpp"
 case 37: 
 label=38;break; //@line 819 "CompileDatBlocks.cpp"
 case 38: 
 var $45=$pass; //@line 820 "CompileDatBlocks.cpp"
 var $cmp60=($45|0)==0; //@line 820 "CompileDatBlocks.cpp"
 if($cmp60){label=39;break;}else{label=40;break;} //@line 820 "CompileDatBlocks.cpp"
 case 39: 
 var $46=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 822 "CompileDatBlocks.cpp"
 var $47=$46; //@line 822 "CompileDatBlocks.cpp"
 var $error=(($47)|0); //@line 822 "CompileDatBlocks.cpp"
 HEAP8[($error)]=1; //@line 822 "CompileDatBlocks.cpp"
 var $48=((((HEAPU8[(420)])|(HEAPU8[(421)]<<8)|(HEAPU8[(422)]<<16)|(HEAPU8[(423)]<<24))|0)); //@line 823 "CompileDatBlocks.cpp"
 var $49=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 823 "CompileDatBlocks.cpp"
 var $50=$49; //@line 823 "CompileDatBlocks.cpp"
 var $error_msg=(($50+4)|0); //@line 823 "CompileDatBlocks.cpp"
 tempBigInt=$48;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 823 "CompileDatBlocks.cpp"
 $retval=0; //@line 824 "CompileDatBlocks.cpp"
 label=84;break; //@line 824 "CompileDatBlocks.cpp"
 case 40: 
 var $51=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 826 "CompileDatBlocks.cpp"
 var $call63=__ZN11Elementizer7GetNextERb($51,$bEof); //@line 826 "CompileDatBlocks.cpp"
 if($call63){label=42;break;}else{label=41;break;} //@line 826 "CompileDatBlocks.cpp"
 case 41: 
 $retval=0; //@line 828 "CompileDatBlocks.cpp"
 label=84;break; //@line 828 "CompileDatBlocks.cpp"
 case 42: 
 var $52=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 830 "CompileDatBlocks.cpp"
 var $call66=__ZN11Elementizer7GetTypeEv($52); //@line 830 "CompileDatBlocks.cpp"
 var $cmp67=($call66|0)==84; //@line 830 "CompileDatBlocks.cpp"
 if($cmp67){label=43;break;}else{label=44;break;} //@line 830 "CompileDatBlocks.cpp"
 case 43: 
 label=9;break; //@line 832 "CompileDatBlocks.cpp"
 case 44: 
 label=45;break; //@line 834 "CompileDatBlocks.cpp"
 case 45: 
 label=46;break;
 case 46: 
 var $53=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 836 "CompileDatBlocks.cpp"
 var $call72=__ZN11Elementizer7GetTypeEv($53); //@line 836 "CompileDatBlocks.cpp"
 var $cmp73=($call72|0)==29; //@line 836 "CompileDatBlocks.cpp"
 if($cmp73){label=47;break;}else{label=50;break;} //@line 836 "CompileDatBlocks.cpp"
 case 47: 
 var $54=$pass; //@line 838 "CompileDatBlocks.cpp"
 var $55=$bSymbol; //@line 838 "CompileDatBlocks.cpp"
 var $tobool75=(($55)&1); //@line 838 "CompileDatBlocks.cpp"
 var $call76=__Z21CompileDatBlocks_DataRbibS_Ri($bEof,$54,$tobool75,$bResSymbol,$size); //@line 838 "CompileDatBlocks.cpp"
 if($call76){label=49;break;}else{label=48;break;} //@line 838 "CompileDatBlocks.cpp"
 case 48: 
 $retval=0; //@line 840 "CompileDatBlocks.cpp"
 label=84;break; //@line 840 "CompileDatBlocks.cpp"
 case 49: 
 label=9;break; //@line 842 "CompileDatBlocks.cpp"
 case 50: 
 var $56=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 844 "CompileDatBlocks.cpp"
 var $call80=__ZN11Elementizer7GetTypeEv($56); //@line 844 "CompileDatBlocks.cpp"
 var $cmp81=($call80|0)==32; //@line 844 "CompileDatBlocks.cpp"
 if($cmp81){label=51;break;}else{label=54;break;} //@line 844 "CompileDatBlocks.cpp"
 case 51: 
 var $57=$bSymbol; //@line 846 "CompileDatBlocks.cpp"
 var $tobool83=(($57)&1); //@line 846 "CompileDatBlocks.cpp"
 var $58=HEAP8[($bResSymbol)]; //@line 846 "CompileDatBlocks.cpp"
 var $tobool84=(($58)&1); //@line 846 "CompileDatBlocks.cpp"
 var $call85=__Z21CompileDatBlocks_FilebbRi($tobool83,$tobool84,$size); //@line 846 "CompileDatBlocks.cpp"
 if($call85){label=53;break;}else{label=52;break;} //@line 846 "CompileDatBlocks.cpp"
 case 52: 
 $retval=0; //@line 848 "CompileDatBlocks.cpp"
 label=84;break; //@line 848 "CompileDatBlocks.cpp"
 case 53: 
 label=9;break; //@line 850 "CompileDatBlocks.cpp"
 case 54: 
 var $59=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 852 "CompileDatBlocks.cpp"
 var $call89=__ZN11Elementizer7GetTypeEv($59); //@line 852 "CompileDatBlocks.cpp"
 var $cmp90=($call89|0)==62; //@line 852 "CompileDatBlocks.cpp"
 if($cmp90){label=55;break;}else{label=58;break;} //@line 852 "CompileDatBlocks.cpp"
 case 55: 
 var $60=$bSymbol; //@line 854 "CompileDatBlocks.cpp"
 var $tobool92=(($60)&1); //@line 854 "CompileDatBlocks.cpp"
 var $call93=__Z29CompileDatBlocks_AsmDirectivebRbRi($tobool92,$bResSymbol,$size); //@line 854 "CompileDatBlocks.cpp"
 if($call93){label=57;break;}else{label=56;break;} //@line 854 "CompileDatBlocks.cpp"
 case 56: 
 $retval=0; //@line 856 "CompileDatBlocks.cpp"
 label=84;break; //@line 856 "CompileDatBlocks.cpp"
 case 57: 
 label=9;break; //@line 858 "CompileDatBlocks.cpp"
 case 58: 
 var $61=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 860 "CompileDatBlocks.cpp"
 var $call97=__ZN11Elementizer7GetTypeEv($61); //@line 860 "CompileDatBlocks.cpp"
 var $cmp98=($call97|0)==63; //@line 860 "CompileDatBlocks.cpp"
 if($cmp98){label=59;break;}else{label=62;break;} //@line 860 "CompileDatBlocks.cpp"
 case 59: 
 var $62=$pass; //@line 862 "CompileDatBlocks.cpp"
 var $63=$bSymbol; //@line 862 "CompileDatBlocks.cpp"
 var $tobool100=(($63)&1); //@line 862 "CompileDatBlocks.cpp"
 var $64=HEAP8[($bResSymbol)]; //@line 862 "CompileDatBlocks.cpp"
 var $tobool101=(($64)&1); //@line 862 "CompileDatBlocks.cpp"
 var $call102=__Z29CompileDatBlocks_AsmConditionRbibbRi($bEof,$62,$tobool100,$tobool101,$size); //@line 862 "CompileDatBlocks.cpp"
 if($call102){label=61;break;}else{label=60;break;} //@line 862 "CompileDatBlocks.cpp"
 case 60: 
 $retval=0; //@line 864 "CompileDatBlocks.cpp"
 label=84;break; //@line 864 "CompileDatBlocks.cpp"
 case 61: 
 label=9;break; //@line 866 "CompileDatBlocks.cpp"
 case 62: 
 var $call106=__Z33CompileDatBlocks_CheckInstructionv(); //@line 868 "CompileDatBlocks.cpp"
 if($call106){label=63;break;}else{label=66;break;} //@line 868 "CompileDatBlocks.cpp"
 case 63: 
 var $65=$pass; //@line 870 "CompileDatBlocks.cpp"
 var $66=$bSymbol; //@line 870 "CompileDatBlocks.cpp"
 var $tobool108=(($66)&1); //@line 870 "CompileDatBlocks.cpp"
 var $67=HEAP8[($bResSymbol)]; //@line 870 "CompileDatBlocks.cpp"
 var $tobool109=(($67)&1); //@line 870 "CompileDatBlocks.cpp"
 var $call110=__Z31CompileDatBlocks_AsmInstructionRbibbRih($bEof,$65,$tobool108,$tobool109,$size,15); //@line 870 "CompileDatBlocks.cpp"
 if($call110){label=65;break;}else{label=64;break;} //@line 870 "CompileDatBlocks.cpp"
 case 64: 
 $retval=0; //@line 872 "CompileDatBlocks.cpp"
 label=84;break; //@line 872 "CompileDatBlocks.cpp"
 case 65: 
 label=9;break; //@line 874 "CompileDatBlocks.cpp"
 case 66: 
 label=67;break;
 case 67: 
 label=68;break;
 case 68: 
 label=69;break;
 case 69: 
 label=70;break;
 case 70: 
 var $68=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 877 "CompileDatBlocks.cpp"
 var $call118=__ZN11Elementizer7GetTypeEv($68); //@line 877 "CompileDatBlocks.cpp"
 var $cmp119=($call118|0)==28; //@line 877 "CompileDatBlocks.cpp"
 if($cmp119){label=71;break;}else{label=74;break;} //@line 877 "CompileDatBlocks.cpp"
 case 71: 
 var $69=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 879 "CompileDatBlocks.cpp"
 __ZN11Elementizer6BackupEv($69); //@line 879 "CompileDatBlocks.cpp"
 var $70=$pass; //@line 880 "CompileDatBlocks.cpp"
 var $cmp121=($70|0)==0; //@line 880 "CompileDatBlocks.cpp"
 if($cmp121){label=72;break;}else{label=73;break;} //@line 880 "CompileDatBlocks.cpp"
 case 72: 
 var $71=$datstart; //@line 882 "CompileDatBlocks.cpp"
 var $72=$objstart; //@line 882 "CompileDatBlocks.cpp"
 __Z26CompileDatBlocks_EnterInfoii($71,$72); //@line 882 "CompileDatBlocks.cpp"
 label=73;break; //@line 883 "CompileDatBlocks.cpp"
 case 73: 
 label=75;break; //@line 884 "CompileDatBlocks.cpp"
 case 74: 
 var $73=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 888 "CompileDatBlocks.cpp"
 var $74=$73; //@line 888 "CompileDatBlocks.cpp"
 var $error125=(($74)|0); //@line 888 "CompileDatBlocks.cpp"
 HEAP8[($error125)]=1; //@line 888 "CompileDatBlocks.cpp"
 var $75=((((HEAPU8[(128)])|(HEAPU8[(129)]<<8)|(HEAPU8[(130)]<<16)|(HEAPU8[(131)]<<24))|0)); //@line 889 "CompileDatBlocks.cpp"
 var $76=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 889 "CompileDatBlocks.cpp"
 var $77=$76; //@line 889 "CompileDatBlocks.cpp"
 var $error_msg126=(($77+4)|0); //@line 889 "CompileDatBlocks.cpp"
 tempBigInt=$75;HEAP8[($error_msg126)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg126)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg126)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg126)+(3))|0)]=tempBigInt&0xff; //@line 889 "CompileDatBlocks.cpp"
 $retval=0; //@line 890 "CompileDatBlocks.cpp"
 label=84;break; //@line 890 "CompileDatBlocks.cpp"
 case 75: 
 label=77;break; //@line 893 "CompileDatBlocks.cpp"
 case 76: 
 $retval=0; //@line 896 "CompileDatBlocks.cpp"
 label=84;break; //@line 896 "CompileDatBlocks.cpp"
 case 77: 
 label=4;break; //@line 898 "CompileDatBlocks.cpp"
 case 78: 
 var $78=$infoflag; //@line 900 "CompileDatBlocks.cpp"
 var $cmp130=($78|0)!=0; //@line 900 "CompileDatBlocks.cpp"
 if($cmp130){label=79;break;}else{label=81;break;} //@line 900 "CompileDatBlocks.cpp"
 case 79: 
 var $79=$pass; //@line 900 "CompileDatBlocks.cpp"
 var $cmp131=($79|0)==0; //@line 900 "CompileDatBlocks.cpp"
 if($cmp131){label=80;break;}else{label=81;break;} //@line 900 "CompileDatBlocks.cpp"
 case 80: 
 var $80=$datstart; //@line 902 "CompileDatBlocks.cpp"
 var $81=$objstart; //@line 902 "CompileDatBlocks.cpp"
 __Z26CompileDatBlocks_EnterInfoii($80,$81); //@line 902 "CompileDatBlocks.cpp"
 label=81;break; //@line 903 "CompileDatBlocks.cpp"
 case 81: 
 label=82;break; //@line 904 "CompileDatBlocks.cpp"
 case 82: 
 var $82=$pass; //@line 729 "CompileDatBlocks.cpp"
 var $inc=((($82)+(1))|0); //@line 729 "CompileDatBlocks.cpp"
 $pass=$inc; //@line 729 "CompileDatBlocks.cpp"
 label=2;break; //@line 729 "CompileDatBlocks.cpp"
 case 83: 
 $retval=1; //@line 905 "CompileDatBlocks.cpp"
 label=84;break; //@line 905 "CompileDatBlocks.cpp"
 case 84: 
 var $83=$retval; //@line 906 "CompileDatBlocks.cpp"
 STACKTOP=sp;return $83; //@line 906 "CompileDatBlocks.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __ZN11Elementizer9GetValue2Ev($this){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $this_addr;
 $this_addr=$this;
 var $this1=$this_addr;
 var $m_value_2=(($this1+28)|0); //@line 85 "./Elementizer.h"
 var $0=((((HEAPU8[($m_value_2)])|(HEAPU8[((($m_value_2)+(1))|0)]<<8)|(HEAPU8[((($m_value_2)+(2))|0)]<<16)|(HEAPU8[((($m_value_2)+(3))|0)]<<24))|0)); //@line 85 "./Elementizer.h"
 STACKTOP=sp;return $0; //@line 85 "./Elementizer.h"
}


function __ZN11Elementizer6IsDualEv($this){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $this_addr;
 $this_addr=$this;
 var $this1=$this_addr;
 var $m_dual=(($this1+40)|0); //@line 88 "./Elementizer.h"
 var $0=HEAP8[($m_dual)]; //@line 88 "./Elementizer.h"
 var $tobool=(($0)&1); //@line 88 "./Elementizer.h"
 STACKTOP=sp;return $tobool; //@line 88 "./Elementizer.h"
}


function __ZN11Elementizer6GetAsmEv($this){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $this_addr;
 $this_addr=$this;
 var $this1=$this_addr;
 var $m_asm=(($this1+36)|0); //@line 87 "./Elementizer.h"
 var $0=((((HEAPU8[($m_asm)])|(HEAPU8[((($m_asm)+(1))|0)]<<8)|(HEAPU8[((($m_asm)+(2))|0)]<<16)|(HEAPU8[((($m_asm)+(3))|0)]<<24))|0)); //@line 87 "./Elementizer.h"
 STACKTOP=sp;return $0; //@line 87 "./Elementizer.h"
}


function __ZN11Elementizer16GetCurrentSymbolEv($this){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $this_addr;
 $this_addr=$this;
 var $this1=$this_addr;
 var $m_currentSymbol=(($this1+64)|0); //@line 91 "./Elementizer.h"
 var $arrayidx=(($m_currentSymbol)|0); //@line 91 "./Elementizer.h"
 STACKTOP=sp;return $arrayidx; //@line 91 "./Elementizer.h"
}


function __ZN11Elementizer9GetOpTypeEv($this){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $this_addr;
 $this_addr=$this;
 var $this1=$this_addr;
 var $m_opType=(($this1+32)|0); //@line 86 "./Elementizer.h"
 var $0=((((HEAPU8[($m_opType)])|(HEAPU8[((($m_opType)+(1))|0)]<<8)|(HEAPU8[((($m_opType)+(2))|0)]<<16)|(HEAPU8[((($m_opType)+(3))|0)]<<24))|0)); //@line 86 "./Elementizer.h"
 STACKTOP=sp;return $0; //@line 86 "./Elementizer.h"
}


function __Z18DistillSetup_Entert($value){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $value_addr;
 $value_addr=$value;
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 27 "DistillObjects.cpp"
 var $dis_ptr=(($0+16980104)|0); //@line 27 "DistillObjects.cpp"
 var $1=((((HEAPU8[($dis_ptr)])|(HEAPU8[((($dis_ptr)+(1))|0)]<<8)|(HEAPU8[((($dis_ptr)+(2))|0)]<<16)|(HEAPU8[((($dis_ptr)+(3))|0)]<<24))|0)); //@line 27 "DistillObjects.cpp"
 var $cmp=($1|0)==16384; //@line 27 "DistillObjects.cpp"
 if($cmp){label=2;break;}else{label=3;break;} //@line 27 "DistillObjects.cpp"
 case 2: 
 var $2=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 29 "DistillObjects.cpp"
 var $3=$2; //@line 29 "DistillObjects.cpp"
 var $error=(($3)|0); //@line 29 "DistillObjects.cpp"
 HEAP8[($error)]=1; //@line 29 "DistillObjects.cpp"
 var $4=((((HEAPU8[(356)])|(HEAPU8[(357)]<<8)|(HEAPU8[(358)]<<16)|(HEAPU8[(359)]<<24))|0)); //@line 30 "DistillObjects.cpp"
 var $5=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 30 "DistillObjects.cpp"
 var $6=$5; //@line 30 "DistillObjects.cpp"
 var $error_msg=(($6+4)|0); //@line 30 "DistillObjects.cpp"
 tempBigInt=$4;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 30 "DistillObjects.cpp"
 $retval=0; //@line 31 "DistillObjects.cpp"
 label=4;break; //@line 31 "DistillObjects.cpp"
 case 3: 
 var $7=$value_addr; //@line 33 "DistillObjects.cpp"
 var $8=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 33 "DistillObjects.cpp"
 var $dis_ptr1=(($8+16980104)|0); //@line 33 "DistillObjects.cpp"
 var $9=((((HEAPU8[($dis_ptr1)])|(HEAPU8[((($dis_ptr1)+(1))|0)]<<8)|(HEAPU8[((($dis_ptr1)+(2))|0)]<<16)|(HEAPU8[((($dis_ptr1)+(3))|0)]<<24))|0)); //@line 33 "DistillObjects.cpp"
 var $inc=((($9)+(1))|0); //@line 33 "DistillObjects.cpp"
 tempBigInt=$inc;HEAP8[($dis_ptr1)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($dis_ptr1)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($dis_ptr1)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($dis_ptr1)+(3))|0)]=tempBigInt&0xff; //@line 33 "DistillObjects.cpp"
 var $10=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 33 "DistillObjects.cpp"
 var $dis=(($10+16980108)|0); //@line 33 "DistillObjects.cpp"
 var $arrayidx=(($dis+($9<<1))|0); //@line 33 "DistillObjects.cpp"
 tempBigInt=$7;HEAP8[($arrayidx)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx)+(1))|0)]=tempBigInt&0xff; //@line 33 "DistillObjects.cpp"
 $retval=1; //@line 34 "DistillObjects.cpp"
 label=4;break; //@line 34 "DistillObjects.cpp"
 case 4: 
 var $11=$retval; //@line 35 "DistillObjects.cpp"
 STACKTOP=sp;return $11; //@line 35 "DistillObjects.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z19DistillSetup_RecordstRt($id,$offset,$subObjectId){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $id_addr;
 var $offset_addr;
 var $subObjectId_addr;
 var $numSubObjects;
 var $startingSubObjectId;
 var $i;
 var $nextSubObjects;
 var $i22;
 var $offsetAdjust;
 $id_addr=$id;
 $offset_addr=$offset;
 $subObjectId_addr=$subObjectId;
 var $0=$id_addr; //@line 39 "DistillObjects.cpp"
 var $call=__Z18DistillSetup_Entert($0); //@line 39 "DistillObjects.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 39 "DistillObjects.cpp"
 case 2: 
 $retval=0; //@line 41 "DistillObjects.cpp"
 label=22;break; //@line 41 "DistillObjects.cpp"
 case 3: 
 var $1=$offset_addr; //@line 43 "DistillObjects.cpp"
 var $call1=__Z18DistillSetup_Entert($1); //@line 43 "DistillObjects.cpp"
 if($call1){label=5;break;}else{label=4;break;} //@line 43 "DistillObjects.cpp"
 case 4: 
 $retval=0; //@line 45 "DistillObjects.cpp"
 label=22;break; //@line 45 "DistillObjects.cpp"
 case 5: 
 var $2=$offset_addr; //@line 47 "DistillObjects.cpp"
 var $conv=($2&65535); //@line 47 "DistillObjects.cpp"
 var $add=((($conv)+(3))|0); //@line 47 "DistillObjects.cpp"
 var $3=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 47 "DistillObjects.cpp"
 var $4=$3; //@line 47 "DistillObjects.cpp"
 var $obj=(($4+48)|0); //@line 47 "DistillObjects.cpp"
 var $arrayidx=(($obj+$add)|0); //@line 47 "DistillObjects.cpp"
 var $5=HEAP8[($arrayidx)]; //@line 47 "DistillObjects.cpp"
 var $conv4=($5&255); //@line 47 "DistillObjects.cpp"
 $numSubObjects=$conv4; //@line 47 "DistillObjects.cpp"
 var $6=$numSubObjects; //@line 48 "DistillObjects.cpp"
 var $call5=__Z18DistillSetup_Entert($6); //@line 48 "DistillObjects.cpp"
 if($call5){label=7;break;}else{label=6;break;} //@line 48 "DistillObjects.cpp"
 case 6: 
 $retval=0; //@line 50 "DistillObjects.cpp"
 label=22;break; //@line 50 "DistillObjects.cpp"
 case 7: 
 var $7=$numSubObjects; //@line 52 "DistillObjects.cpp"
 var $conv8=($7&65535); //@line 52 "DistillObjects.cpp"
 var $cmp=($conv8|0)>0; //@line 52 "DistillObjects.cpp"
 if($cmp){label=8;break;}else{label=21;break;} //@line 52 "DistillObjects.cpp"
 case 8: 
 var $8=$subObjectId_addr; //@line 54 "DistillObjects.cpp"
 var $9=(((((HEAPU8[($8)])|(HEAPU8[((($8)+(1))|0)]<<8))<<16)>>16)); //@line 54 "DistillObjects.cpp"
 $startingSubObjectId=$9; //@line 54 "DistillObjects.cpp"
 $i=0; //@line 55 "DistillObjects.cpp"
 label=9;break; //@line 55 "DistillObjects.cpp"
 case 9: 
 var $10=$i; //@line 55 "DistillObjects.cpp"
 var $conv10=(($10<<16)>>16); //@line 55 "DistillObjects.cpp"
 var $11=$numSubObjects; //@line 55 "DistillObjects.cpp"
 var $conv11=($11&65535); //@line 55 "DistillObjects.cpp"
 var $cmp12=($conv10|0)<($conv11|0); //@line 55 "DistillObjects.cpp"
 if($cmp12){label=10;break;}else{label=14;break;} //@line 55 "DistillObjects.cpp"
 case 10: 
 var $12=$subObjectId_addr; //@line 57 "DistillObjects.cpp"
 var $13=(((((HEAPU8[($12)])|(HEAPU8[((($12)+(1))|0)]<<8))<<16)>>16)); //@line 57 "DistillObjects.cpp"
 var $inc=((($13)+(1))&65535); //@line 57 "DistillObjects.cpp"
 tempBigInt=$inc;HEAP8[($12)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($12)+(1))|0)]=tempBigInt&0xff; //@line 57 "DistillObjects.cpp"
 var $call13=__Z18DistillSetup_Entert($13); //@line 57 "DistillObjects.cpp"
 if($call13){label=12;break;}else{label=11;break;} //@line 57 "DistillObjects.cpp"
 case 11: 
 $retval=0; //@line 59 "DistillObjects.cpp"
 label=22;break; //@line 59 "DistillObjects.cpp"
 case 12: 
 label=13;break; //@line 61 "DistillObjects.cpp"
 case 13: 
 var $14=$i; //@line 55 "DistillObjects.cpp"
 var $inc16=((($14)+(1))&65535); //@line 55 "DistillObjects.cpp"
 $i=$inc16; //@line 55 "DistillObjects.cpp"
 label=9;break; //@line 55 "DistillObjects.cpp"
 case 14: 
 var $15=$offset_addr; //@line 63 "DistillObjects.cpp"
 var $conv17=($15&65535); //@line 63 "DistillObjects.cpp"
 var $add18=((($conv17)+(2))|0); //@line 63 "DistillObjects.cpp"
 var $16=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 63 "DistillObjects.cpp"
 var $17=$16; //@line 63 "DistillObjects.cpp"
 var $obj19=(($17+48)|0); //@line 63 "DistillObjects.cpp"
 var $arrayidx20=(($obj19+$add18)|0); //@line 63 "DistillObjects.cpp"
 var $18=HEAP8[($arrayidx20)]; //@line 63 "DistillObjects.cpp"
 var $conv21=($18&255); //@line 63 "DistillObjects.cpp"
 $nextSubObjects=$conv21; //@line 63 "DistillObjects.cpp"
 $i22=0; //@line 64 "DistillObjects.cpp"
 label=15;break; //@line 64 "DistillObjects.cpp"
 case 15: 
 var $19=$i22; //@line 64 "DistillObjects.cpp"
 var $conv24=(($19<<16)>>16); //@line 64 "DistillObjects.cpp"
 var $20=$numSubObjects; //@line 64 "DistillObjects.cpp"
 var $conv25=($20&65535); //@line 64 "DistillObjects.cpp"
 var $cmp26=($conv24|0)<($conv25|0); //@line 64 "DistillObjects.cpp"
 if($cmp26){label=16;break;}else{label=20;break;} //@line 64 "DistillObjects.cpp"
 case 16: 
 var $21=$offset_addr; //@line 66 "DistillObjects.cpp"
 var $conv28=($21&65535); //@line 66 "DistillObjects.cpp"
 var $22=$nextSubObjects; //@line 66 "DistillObjects.cpp"
 var $conv29=($22&65535); //@line 66 "DistillObjects.cpp"
 var $23=$i22; //@line 66 "DistillObjects.cpp"
 var $conv30=(($23<<16)>>16); //@line 66 "DistillObjects.cpp"
 var $add31=((($conv29)+($conv30))|0); //@line 66 "DistillObjects.cpp"
 var $mul=($add31<<2); //@line 66 "DistillObjects.cpp"
 var $add32=((($conv28)+($mul))|0); //@line 66 "DistillObjects.cpp"
 var $24=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 66 "DistillObjects.cpp"
 var $25=$24; //@line 66 "DistillObjects.cpp"
 var $obj33=(($25+48)|0); //@line 66 "DistillObjects.cpp"
 var $arrayidx34=(($obj33+$add32)|0); //@line 66 "DistillObjects.cpp"
 var $26=$arrayidx34; //@line 66 "DistillObjects.cpp"
 var $27=(((((HEAPU8[($26)])|(HEAPU8[((($26)+(1))|0)]<<8))<<16)>>16)); //@line 66 "DistillObjects.cpp"
 $offsetAdjust=$27; //@line 66 "DistillObjects.cpp"
 var $28=$startingSubObjectId; //@line 67 "DistillObjects.cpp"
 var $conv35=(($28<<16)>>16); //@line 67 "DistillObjects.cpp"
 var $29=$i22; //@line 67 "DistillObjects.cpp"
 var $conv36=(($29<<16)>>16); //@line 67 "DistillObjects.cpp"
 var $add37=((($conv35)+($conv36))|0); //@line 67 "DistillObjects.cpp"
 var $conv38=(($add37)&65535); //@line 67 "DistillObjects.cpp"
 var $30=$offset_addr; //@line 67 "DistillObjects.cpp"
 var $conv39=($30&65535); //@line 67 "DistillObjects.cpp"
 var $31=$offsetAdjust; //@line 67 "DistillObjects.cpp"
 var $conv40=($31&65535); //@line 67 "DistillObjects.cpp"
 var $add41=((($conv39)+($conv40))|0); //@line 67 "DistillObjects.cpp"
 var $conv42=(($add41)&65535); //@line 67 "DistillObjects.cpp"
 var $32=$subObjectId_addr; //@line 67 "DistillObjects.cpp"
 var $call43=__Z19DistillSetup_RecordstRt($conv38,$conv42,$32); //@line 67 "DistillObjects.cpp"
 if($call43){label=18;break;}else{label=17;break;} //@line 67 "DistillObjects.cpp"
 case 17: 
 $retval=0; //@line 69 "DistillObjects.cpp"
 label=22;break; //@line 69 "DistillObjects.cpp"
 case 18: 
 label=19;break; //@line 71 "DistillObjects.cpp"
 case 19: 
 var $33=$i22; //@line 64 "DistillObjects.cpp"
 var $inc47=((($33)+(1))&65535); //@line 64 "DistillObjects.cpp"
 $i22=$inc47; //@line 64 "DistillObjects.cpp"
 label=15;break; //@line 64 "DistillObjects.cpp"
 case 20: 
 label=21;break; //@line 72 "DistillObjects.cpp"
 case 21: 
 $retval=1; //@line 74 "DistillObjects.cpp"
 label=22;break; //@line 74 "DistillObjects.cpp"
 case 22: 
 var $34=$retval; //@line 75 "DistillObjects.cpp"
 STACKTOP=sp;return $34; //@line 75 "DistillObjects.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z12DistillSetupv(){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+8)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $subObjectId=sp;
 var $disPtr;
 var $numSubObjects;
 var $offset;
 var $offsetAdjust;
 var $pObj;
 var $i;
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 79 "DistillObjects.cpp"
 var $dis_ptr=(($0+16980104)|0); //@line 79 "DistillObjects.cpp"
 tempBigInt=0;HEAP8[($dis_ptr)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($dis_ptr)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($dis_ptr)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($dis_ptr)+(3))|0)]=tempBigInt&0xff; //@line 79 "DistillObjects.cpp"
 tempBigInt=1;HEAP8[($subObjectId)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($subObjectId)+(1))|0)]=tempBigInt&0xff; //@line 80 "DistillObjects.cpp"
 var $call=__Z19DistillSetup_RecordstRt(0,0,$subObjectId); //@line 81 "DistillObjects.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 81 "DistillObjects.cpp"
 case 2: 
 $retval=0; //@line 83 "DistillObjects.cpp"
 label=13;break; //@line 83 "DistillObjects.cpp"
 case 3: 
 $disPtr=0; //@line 86 "DistillObjects.cpp"
 label=4;break; //@line 87 "DistillObjects.cpp"
 case 4: 
 var $1=$disPtr; //@line 87 "DistillObjects.cpp"
 var $2=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 87 "DistillObjects.cpp"
 var $dis_ptr1=(($2+16980104)|0); //@line 87 "DistillObjects.cpp"
 var $3=((((HEAPU8[($dis_ptr1)])|(HEAPU8[((($dis_ptr1)+(1))|0)]<<8)|(HEAPU8[((($dis_ptr1)+(2))|0)]<<16)|(HEAPU8[((($dis_ptr1)+(3))|0)]<<24))|0)); //@line 87 "DistillObjects.cpp"
 var $cmp=($1|0)<($3|0); //@line 87 "DistillObjects.cpp"
 if($cmp){label=5;break;}else{label=12;break;} //@line 87 "DistillObjects.cpp"
 case 5: 
 var $4=$disPtr; //@line 90 "DistillObjects.cpp"
 var $add=((($4)+(2))|0); //@line 90 "DistillObjects.cpp"
 var $5=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 90 "DistillObjects.cpp"
 var $dis=(($5+16980108)|0); //@line 90 "DistillObjects.cpp"
 var $arrayidx=(($dis+($add<<1))|0); //@line 90 "DistillObjects.cpp"
 var $6=(((((HEAPU8[($arrayidx)])|(HEAPU8[((($arrayidx)+(1))|0)]<<8))<<16)>>16)); //@line 90 "DistillObjects.cpp"
 $numSubObjects=$6; //@line 90 "DistillObjects.cpp"
 var $7=$numSubObjects; //@line 91 "DistillObjects.cpp"
 var $conv=($7&65535); //@line 91 "DistillObjects.cpp"
 var $cmp2=($conv|0)>0; //@line 91 "DistillObjects.cpp"
 if($cmp2){label=6;break;}else{label=11;break;} //@line 91 "DistillObjects.cpp"
 case 6: 
 var $8=$disPtr; //@line 93 "DistillObjects.cpp"
 var $add4=((($8)+(1))|0); //@line 93 "DistillObjects.cpp"
 var $9=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 93 "DistillObjects.cpp"
 var $dis5=(($9+16980108)|0); //@line 93 "DistillObjects.cpp"
 var $arrayidx6=(($dis5+($add4<<1))|0); //@line 93 "DistillObjects.cpp"
 var $10=(((((HEAPU8[($arrayidx6)])|(HEAPU8[((($arrayidx6)+(1))|0)]<<8))<<16)>>16)); //@line 93 "DistillObjects.cpp"
 $offset=$10; //@line 93 "DistillObjects.cpp"
 var $11=$numSubObjects; //@line 95 "DistillObjects.cpp"
 var $conv7=($11&65535); //@line 95 "DistillObjects.cpp"
 var $12=$disPtr; //@line 95 "DistillObjects.cpp"
 var $add8=((($12)+($conv7))|0); //@line 95 "DistillObjects.cpp"
 $disPtr=$add8; //@line 95 "DistillObjects.cpp"
 var $13=$offset; //@line 97 "DistillObjects.cpp"
 var $conv9=($13&65535); //@line 97 "DistillObjects.cpp"
 var $add10=((($conv9)+(2))|0); //@line 97 "DistillObjects.cpp"
 var $14=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 97 "DistillObjects.cpp"
 var $15=$14; //@line 97 "DistillObjects.cpp"
 var $obj=(($15+48)|0); //@line 97 "DistillObjects.cpp"
 var $arrayidx11=(($obj+$add10)|0); //@line 97 "DistillObjects.cpp"
 var $16=HEAP8[($arrayidx11)]; //@line 97 "DistillObjects.cpp"
 var $conv12=($16&255); //@line 97 "DistillObjects.cpp"
 $offsetAdjust=$conv12; //@line 97 "DistillObjects.cpp"
 var $17=$offset; //@line 98 "DistillObjects.cpp"
 var $conv13=($17&65535); //@line 98 "DistillObjects.cpp"
 var $18=$offsetAdjust; //@line 98 "DistillObjects.cpp"
 var $conv14=($18&65535); //@line 98 "DistillObjects.cpp"
 var $mul=($conv14<<2); //@line 98 "DistillObjects.cpp"
 var $add15=((($conv13)+($mul))|0); //@line 98 "DistillObjects.cpp"
 var $19=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 98 "DistillObjects.cpp"
 var $20=$19; //@line 98 "DistillObjects.cpp"
 var $obj16=(($20+48)|0); //@line 98 "DistillObjects.cpp"
 var $arrayidx17=(($obj16+$add15)|0); //@line 98 "DistillObjects.cpp"
 $pObj=$arrayidx17; //@line 98 "DistillObjects.cpp"
 $i=0; //@line 99 "DistillObjects.cpp"
 label=7;break; //@line 99 "DistillObjects.cpp"
 case 7: 
 var $21=$i; //@line 99 "DistillObjects.cpp"
 var $22=$numSubObjects; //@line 99 "DistillObjects.cpp"
 var $conv18=($22&65535); //@line 99 "DistillObjects.cpp"
 var $cmp19=($21|0)<($conv18|0); //@line 99 "DistillObjects.cpp"
 if($cmp19){label=8;break;}else{label=10;break;} //@line 99 "DistillObjects.cpp"
 case 8: 
 var $23=$pObj; //@line 101 "DistillObjects.cpp"
 var $arrayidx20=(($23)|0); //@line 101 "DistillObjects.cpp"
 var $24=$arrayidx20; //@line 101 "DistillObjects.cpp"
 tempBigInt=0;HEAP8[($24)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($24)+(1))|0)]=tempBigInt&0xff; //@line 101 "DistillObjects.cpp"
 var $25=$pObj; //@line 102 "DistillObjects.cpp"
 var $add_ptr=(($25+4)|0); //@line 102 "DistillObjects.cpp"
 $pObj=$add_ptr; //@line 102 "DistillObjects.cpp"
 label=9;break; //@line 103 "DistillObjects.cpp"
 case 9: 
 var $26=$i; //@line 99 "DistillObjects.cpp"
 var $inc=((($26)+(1))|0); //@line 99 "DistillObjects.cpp"
 $i=$inc; //@line 99 "DistillObjects.cpp"
 label=7;break; //@line 99 "DistillObjects.cpp"
 case 10: 
 label=11;break; //@line 104 "DistillObjects.cpp"
 case 11: 
 var $27=$disPtr; //@line 106 "DistillObjects.cpp"
 var $add22=((($27)+(3))|0); //@line 106 "DistillObjects.cpp"
 $disPtr=$add22; //@line 106 "DistillObjects.cpp"
 label=4;break; //@line 107 "DistillObjects.cpp"
 case 12: 
 $retval=1; //@line 109 "DistillObjects.cpp"
 label=13;break; //@line 109 "DistillObjects.cpp"
 case 13: 
 var $28=$retval; //@line 110 "DistillObjects.cpp"
 STACKTOP=sp;return $28; //@line 110 "DistillObjects.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z23DistillEliminate_Updateti($objectId,$newDisPtr){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $objectId_addr;
 var $newDisPtr_addr;
 var $disPtr;
 var $numSubObjects;
 var $i;
 $objectId_addr=$objectId;
 $newDisPtr_addr=$newDisPtr;
 $disPtr=0; //@line 114 "DistillObjects.cpp"
 label=2;break; //@line 116 "DistillObjects.cpp"
 case 2: 
 var $0=$disPtr; //@line 116 "DistillObjects.cpp"
 var $1=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 116 "DistillObjects.cpp"
 var $dis_ptr=(($1+16980104)|0); //@line 116 "DistillObjects.cpp"
 var $2=((((HEAPU8[($dis_ptr)])|(HEAPU8[((($dis_ptr)+(1))|0)]<<8)|(HEAPU8[((($dis_ptr)+(2))|0)]<<16)|(HEAPU8[((($dis_ptr)+(3))|0)]<<24))|0)); //@line 116 "DistillObjects.cpp"
 var $cmp=($0|0)<($2|0); //@line 116 "DistillObjects.cpp"
 if($cmp){label=3;break;}else{label=12;break;} //@line 116 "DistillObjects.cpp"
 case 3: 
 var $3=$disPtr; //@line 118 "DistillObjects.cpp"
 var $add=((($3)+(3))|0); //@line 118 "DistillObjects.cpp"
 $disPtr=$add; //@line 118 "DistillObjects.cpp"
 var $4=$disPtr; //@line 119 "DistillObjects.cpp"
 var $sub=((($4)-(1))|0); //@line 119 "DistillObjects.cpp"
 var $5=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 119 "DistillObjects.cpp"
 var $dis=(($5+16980108)|0); //@line 119 "DistillObjects.cpp"
 var $arrayidx=(($dis+($sub<<1))|0); //@line 119 "DistillObjects.cpp"
 var $6=(((((HEAPU8[($arrayidx)])|(HEAPU8[((($arrayidx)+(1))|0)]<<8))<<16)>>16)); //@line 119 "DistillObjects.cpp"
 $numSubObjects=$6; //@line 119 "DistillObjects.cpp"
 var $7=$numSubObjects; //@line 120 "DistillObjects.cpp"
 var $conv=($7&65535); //@line 120 "DistillObjects.cpp"
 var $cmp1=($conv|0)>0; //@line 120 "DistillObjects.cpp"
 if($cmp1){label=4;break;}else{label=11;break;} //@line 120 "DistillObjects.cpp"
 case 4: 
 $i=0; //@line 122 "DistillObjects.cpp"
 label=5;break; //@line 122 "DistillObjects.cpp"
 case 5: 
 var $8=$i; //@line 122 "DistillObjects.cpp"
 var $9=$numSubObjects; //@line 122 "DistillObjects.cpp"
 var $conv2=($9&65535); //@line 122 "DistillObjects.cpp"
 var $cmp3=($8|0)<($conv2|0); //@line 122 "DistillObjects.cpp"
 if($cmp3){label=6;break;}else{label=10;break;} //@line 122 "DistillObjects.cpp"
 case 6: 
 var $10=$disPtr; //@line 124 "DistillObjects.cpp"
 var $11=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 124 "DistillObjects.cpp"
 var $dis4=(($11+16980108)|0); //@line 124 "DistillObjects.cpp"
 var $arrayidx5=(($dis4+($10<<1))|0); //@line 124 "DistillObjects.cpp"
 var $12=(((((HEAPU8[($arrayidx5)])|(HEAPU8[((($arrayidx5)+(1))|0)]<<8))<<16)>>16)); //@line 124 "DistillObjects.cpp"
 var $conv6=($12&65535); //@line 124 "DistillObjects.cpp"
 var $and=$conv6&32767; //@line 124 "DistillObjects.cpp"
 var $13=$objectId_addr; //@line 124 "DistillObjects.cpp"
 var $conv7=($13&65535); //@line 124 "DistillObjects.cpp"
 var $cmp8=($and|0)==($conv7|0); //@line 124 "DistillObjects.cpp"
 if($cmp8){label=7;break;}else{label=8;break;} //@line 124 "DistillObjects.cpp"
 case 7: 
 var $14=$newDisPtr_addr; //@line 126 "DistillObjects.cpp"
 var $15=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 126 "DistillObjects.cpp"
 var $dis10=(($15+16980108)|0); //@line 126 "DistillObjects.cpp"
 var $arrayidx11=(($dis10+($14<<1))|0); //@line 126 "DistillObjects.cpp"
 var $16=(((((HEAPU8[($arrayidx11)])|(HEAPU8[((($arrayidx11)+(1))|0)]<<8))<<16)>>16)); //@line 126 "DistillObjects.cpp"
 var $conv12=($16&65535); //@line 126 "DistillObjects.cpp"
 var $or=$conv12|32768; //@line 126 "DistillObjects.cpp"
 var $conv13=(($or)&65535); //@line 126 "DistillObjects.cpp"
 var $17=$disPtr; //@line 126 "DistillObjects.cpp"
 var $18=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 126 "DistillObjects.cpp"
 var $dis14=(($18+16980108)|0); //@line 126 "DistillObjects.cpp"
 var $arrayidx15=(($dis14+($17<<1))|0); //@line 126 "DistillObjects.cpp"
 tempBigInt=$conv13;HEAP8[($arrayidx15)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx15)+(1))|0)]=tempBigInt&0xff; //@line 126 "DistillObjects.cpp"
 label=8;break; //@line 127 "DistillObjects.cpp"
 case 8: 
 var $19=$disPtr; //@line 128 "DistillObjects.cpp"
 var $inc=((($19)+(1))|0); //@line 128 "DistillObjects.cpp"
 $disPtr=$inc; //@line 128 "DistillObjects.cpp"
 label=9;break; //@line 129 "DistillObjects.cpp"
 case 9: 
 var $20=$i; //@line 122 "DistillObjects.cpp"
 var $inc16=((($20)+(1))|0); //@line 122 "DistillObjects.cpp"
 $i=$inc16; //@line 122 "DistillObjects.cpp"
 label=5;break; //@line 122 "DistillObjects.cpp"
 case 10: 
 label=11;break; //@line 130 "DistillObjects.cpp"
 case 11: 
 label=2;break; //@line 131 "DistillObjects.cpp"
 case 12: 
 STACKTOP=sp;return; //@line 132 "DistillObjects.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z16DistillEliminatev(){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $disPtr;
 var $numSubObjects;
 var $i;
 var $newDisPtr;
 var $bRestart;
 var $newNumSubObjects;
 var $i40;
 var $pObj;
 var $objLength;
 $disPtr=0; //@line 136 "DistillObjects.cpp"
 label=2;break; //@line 138 "DistillObjects.cpp"
 case 2: 
 var $0=$disPtr; //@line 138 "DistillObjects.cpp"
 var $1=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 138 "DistillObjects.cpp"
 var $dis_ptr=(($1+16980104)|0); //@line 138 "DistillObjects.cpp"
 var $2=((((HEAPU8[($dis_ptr)])|(HEAPU8[((($dis_ptr)+(1))|0)]<<8)|(HEAPU8[((($dis_ptr)+(2))|0)]<<16)|(HEAPU8[((($dis_ptr)+(3))|0)]<<24))|0)); //@line 138 "DistillObjects.cpp"
 var $cmp=($0|0)<($2|0); //@line 138 "DistillObjects.cpp"
 if($cmp){label=3;break;}else{label=34;break;} //@line 138 "DistillObjects.cpp"
 case 3: 
 var $3=$disPtr; //@line 140 "DistillObjects.cpp"
 var $add=((($3)+(2))|0); //@line 140 "DistillObjects.cpp"
 var $4=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 140 "DistillObjects.cpp"
 var $dis=(($4+16980108)|0); //@line 140 "DistillObjects.cpp"
 var $arrayidx=(($dis+($add<<1))|0); //@line 140 "DistillObjects.cpp"
 var $5=(((((HEAPU8[($arrayidx)])|(HEAPU8[((($arrayidx)+(1))|0)]<<8))<<16)>>16)); //@line 140 "DistillObjects.cpp"
 $numSubObjects=$5; //@line 140 "DistillObjects.cpp"
 var $6=$numSubObjects; //@line 141 "DistillObjects.cpp"
 var $conv=($6&65535); //@line 141 "DistillObjects.cpp"
 var $cmp1=($conv|0)>0; //@line 141 "DistillObjects.cpp"
 if($cmp1){label=4;break;}else{label=13;break;} //@line 141 "DistillObjects.cpp"
 case 4: 
 $i=0; //@line 144 "DistillObjects.cpp"
 label=5;break; //@line 144 "DistillObjects.cpp"
 case 5: 
 var $7=$i; //@line 144 "DistillObjects.cpp"
 var $8=$numSubObjects; //@line 144 "DistillObjects.cpp"
 var $conv2=($8&65535); //@line 144 "DistillObjects.cpp"
 var $cmp3=($7|0)<($conv2|0); //@line 144 "DistillObjects.cpp"
 if($cmp3){label=6;break;}else{label=10;break;} //@line 144 "DistillObjects.cpp"
 case 6: 
 var $9=$disPtr; //@line 146 "DistillObjects.cpp"
 var $add4=((($9)+(3))|0); //@line 146 "DistillObjects.cpp"
 var $10=$i; //@line 146 "DistillObjects.cpp"
 var $add5=((($add4)+($10))|0); //@line 146 "DistillObjects.cpp"
 var $11=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 146 "DistillObjects.cpp"
 var $dis6=(($11+16980108)|0); //@line 146 "DistillObjects.cpp"
 var $arrayidx7=(($dis6+($add5<<1))|0); //@line 146 "DistillObjects.cpp"
 var $12=(((((HEAPU8[($arrayidx7)])|(HEAPU8[((($arrayidx7)+(1))|0)]<<8))<<16)>>16)); //@line 146 "DistillObjects.cpp"
 var $conv8=($12&65535); //@line 146 "DistillObjects.cpp"
 var $and=$conv8&32768; //@line 146 "DistillObjects.cpp"
 var $cmp9=($and|0)==0; //@line 146 "DistillObjects.cpp"
 if($cmp9){label=7;break;}else{label=8;break;} //@line 146 "DistillObjects.cpp"
 case 7: 
 label=10;break; //@line 148 "DistillObjects.cpp"
 case 8: 
 label=9;break; //@line 150 "DistillObjects.cpp"
 case 9: 
 var $13=$i; //@line 144 "DistillObjects.cpp"
 var $inc=((($13)+(1))|0); //@line 144 "DistillObjects.cpp"
 $i=$inc; //@line 144 "DistillObjects.cpp"
 label=5;break; //@line 144 "DistillObjects.cpp"
 case 10: 
 var $14=$i; //@line 151 "DistillObjects.cpp"
 var $15=$numSubObjects; //@line 151 "DistillObjects.cpp"
 var $conv11=($15&65535); //@line 151 "DistillObjects.cpp"
 var $cmp12=($14|0)<($conv11|0); //@line 151 "DistillObjects.cpp"
 if($cmp12){label=11;break;}else{label=12;break;} //@line 151 "DistillObjects.cpp"
 case 11: 
 var $16=$numSubObjects; //@line 154 "DistillObjects.cpp"
 var $conv14=($16&65535); //@line 154 "DistillObjects.cpp"
 var $add15=((($conv14)+(3))|0); //@line 154 "DistillObjects.cpp"
 var $17=$disPtr; //@line 154 "DistillObjects.cpp"
 var $add16=((($17)+($add15))|0); //@line 154 "DistillObjects.cpp"
 $disPtr=$add16; //@line 154 "DistillObjects.cpp"
 label=2;break; //@line 155 "DistillObjects.cpp"
 case 12: 
 label=13;break; //@line 157 "DistillObjects.cpp"
 case 13: 
 var $18=$disPtr; //@line 160 "DistillObjects.cpp"
 $newDisPtr=$18; //@line 160 "DistillObjects.cpp"
 var $19=$numSubObjects; //@line 162 "DistillObjects.cpp"
 var $conv19=($19&65535); //@line 162 "DistillObjects.cpp"
 var $add20=((($conv19)+(3))|0); //@line 162 "DistillObjects.cpp"
 var $20=$newDisPtr; //@line 162 "DistillObjects.cpp"
 var $add21=((($20)+($add20))|0); //@line 162 "DistillObjects.cpp"
 $newDisPtr=$add21; //@line 162 "DistillObjects.cpp"
 $bRestart=0; //@line 164 "DistillObjects.cpp"
 label=14;break; //@line 165 "DistillObjects.cpp"
 case 14: 
 var $21=$newDisPtr; //@line 165 "DistillObjects.cpp"
 var $22=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 165 "DistillObjects.cpp"
 var $dis_ptr23=(($22+16980104)|0); //@line 165 "DistillObjects.cpp"
 var $23=((((HEAPU8[($dis_ptr23)])|(HEAPU8[((($dis_ptr23)+(1))|0)]<<8)|(HEAPU8[((($dis_ptr23)+(2))|0)]<<16)|(HEAPU8[((($dis_ptr23)+(3))|0)]<<24))|0)); //@line 165 "DistillObjects.cpp"
 var $cmp24=($21|0)<($23|0); //@line 165 "DistillObjects.cpp"
 if($cmp24){label=15;break;}else{label=30;break;} //@line 165 "DistillObjects.cpp"
 case 15: 
 var $24=$newDisPtr; //@line 167 "DistillObjects.cpp"
 var $add26=((($24)+(2))|0); //@line 167 "DistillObjects.cpp"
 var $25=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 167 "DistillObjects.cpp"
 var $dis27=(($25+16980108)|0); //@line 167 "DistillObjects.cpp"
 var $arrayidx28=(($dis27+($add26<<1))|0); //@line 167 "DistillObjects.cpp"
 var $26=(((((HEAPU8[($arrayidx28)])|(HEAPU8[((($arrayidx28)+(1))|0)]<<8))<<16)>>16)); //@line 167 "DistillObjects.cpp"
 $newNumSubObjects=$26; //@line 167 "DistillObjects.cpp"
 var $27=$numSubObjects; //@line 169 "DistillObjects.cpp"
 var $conv29=($27&65535); //@line 169 "DistillObjects.cpp"
 var $28=$newNumSubObjects; //@line 169 "DistillObjects.cpp"
 var $conv30=($28&65535); //@line 169 "DistillObjects.cpp"
 var $cmp31=($conv29|0)!=($conv30|0); //@line 169 "DistillObjects.cpp"
 if($cmp31){label=16;break;}else{label=17;break;} //@line 169 "DistillObjects.cpp"
 case 16: 
 var $29=$newNumSubObjects; //@line 172 "DistillObjects.cpp"
 var $conv33=($29&65535); //@line 172 "DistillObjects.cpp"
 var $add34=((($conv33)+(3))|0); //@line 172 "DistillObjects.cpp"
 var $30=$newDisPtr; //@line 172 "DistillObjects.cpp"
 var $add35=((($30)+($add34))|0); //@line 172 "DistillObjects.cpp"
 $newDisPtr=$add35; //@line 172 "DistillObjects.cpp"
 label=14;break; //@line 173 "DistillObjects.cpp"
 case 17: 
 var $31=$newNumSubObjects; //@line 175 "DistillObjects.cpp"
 var $conv37=($31&65535); //@line 175 "DistillObjects.cpp"
 var $cmp38=($conv37|0)>0; //@line 175 "DistillObjects.cpp"
 if($cmp38){label=18;break;}else{label=27;break;} //@line 175 "DistillObjects.cpp"
 case 18: 
 $i40=0; //@line 178 "DistillObjects.cpp"
 label=19;break; //@line 178 "DistillObjects.cpp"
 case 19: 
 var $32=$i40; //@line 178 "DistillObjects.cpp"
 var $33=$newNumSubObjects; //@line 178 "DistillObjects.cpp"
 var $conv42=($33&65535); //@line 178 "DistillObjects.cpp"
 var $cmp43=($32|0)<($conv42|0); //@line 178 "DistillObjects.cpp"
 if($cmp43){label=20;break;}else{label=24;break;} //@line 178 "DistillObjects.cpp"
 case 20: 
 var $34=$disPtr; //@line 180 "DistillObjects.cpp"
 var $add45=((($34)+(3))|0); //@line 180 "DistillObjects.cpp"
 var $35=$i40; //@line 180 "DistillObjects.cpp"
 var $add46=((($add45)+($35))|0); //@line 180 "DistillObjects.cpp"
 var $36=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 180 "DistillObjects.cpp"
 var $dis47=(($36+16980108)|0); //@line 180 "DistillObjects.cpp"
 var $arrayidx48=(($dis47+($add46<<1))|0); //@line 180 "DistillObjects.cpp"
 var $37=(((((HEAPU8[($arrayidx48)])|(HEAPU8[((($arrayidx48)+(1))|0)]<<8))<<16)>>16)); //@line 180 "DistillObjects.cpp"
 var $conv49=($37&65535); //@line 180 "DistillObjects.cpp"
 var $38=$newDisPtr; //@line 180 "DistillObjects.cpp"
 var $add50=((($38)+(3))|0); //@line 180 "DistillObjects.cpp"
 var $39=$i40; //@line 180 "DistillObjects.cpp"
 var $add51=((($add50)+($39))|0); //@line 180 "DistillObjects.cpp"
 var $40=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 180 "DistillObjects.cpp"
 var $dis52=(($40+16980108)|0); //@line 180 "DistillObjects.cpp"
 var $arrayidx53=(($dis52+($add51<<1))|0); //@line 180 "DistillObjects.cpp"
 var $41=(((((HEAPU8[($arrayidx53)])|(HEAPU8[((($arrayidx53)+(1))|0)]<<8))<<16)>>16)); //@line 180 "DistillObjects.cpp"
 var $conv54=($41&65535); //@line 180 "DistillObjects.cpp"
 var $cmp55=($conv49|0)!=($conv54|0); //@line 180 "DistillObjects.cpp"
 if($cmp55){label=21;break;}else{label=22;break;} //@line 180 "DistillObjects.cpp"
 case 21: 
 label=24;break; //@line 182 "DistillObjects.cpp"
 case 22: 
 label=23;break; //@line 184 "DistillObjects.cpp"
 case 23: 
 var $42=$i40; //@line 178 "DistillObjects.cpp"
 var $inc59=((($42)+(1))|0); //@line 178 "DistillObjects.cpp"
 $i40=$inc59; //@line 178 "DistillObjects.cpp"
 label=19;break; //@line 178 "DistillObjects.cpp"
 case 24: 
 var $43=$i40; //@line 185 "DistillObjects.cpp"
 var $44=$newNumSubObjects; //@line 185 "DistillObjects.cpp"
 var $conv61=($44&65535); //@line 185 "DistillObjects.cpp"
 var $cmp62=($43|0)<($conv61|0); //@line 185 "DistillObjects.cpp"
 if($cmp62){label=25;break;}else{label=26;break;} //@line 185 "DistillObjects.cpp"
 case 25: 
 var $45=$newNumSubObjects; //@line 188 "DistillObjects.cpp"
 var $conv64=($45&65535); //@line 188 "DistillObjects.cpp"
 var $add65=((($conv64)+(3))|0); //@line 188 "DistillObjects.cpp"
 var $46=$newDisPtr; //@line 188 "DistillObjects.cpp"
 var $add66=((($46)+($add65))|0); //@line 188 "DistillObjects.cpp"
 $newDisPtr=$add66; //@line 188 "DistillObjects.cpp"
 label=14;break; //@line 189 "DistillObjects.cpp"
 case 26: 
 label=27;break; //@line 191 "DistillObjects.cpp"
 case 27: 
 var $47=$disPtr; //@line 193 "DistillObjects.cpp"
 var $add69=((($47)+(1))|0); //@line 193 "DistillObjects.cpp"
 var $48=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 193 "DistillObjects.cpp"
 var $dis70=(($48+16980108)|0); //@line 193 "DistillObjects.cpp"
 var $arrayidx71=(($dis70+($add69<<1))|0); //@line 193 "DistillObjects.cpp"
 var $49=(((((HEAPU8[($arrayidx71)])|(HEAPU8[((($arrayidx71)+(1))|0)]<<8))<<16)>>16)); //@line 193 "DistillObjects.cpp"
 var $idxprom=($49&65535); //@line 193 "DistillObjects.cpp"
 var $50=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 193 "DistillObjects.cpp"
 var $51=$50; //@line 193 "DistillObjects.cpp"
 var $obj=(($51+48)|0); //@line 193 "DistillObjects.cpp"
 var $arrayidx72=(($obj+$idxprom)|0); //@line 193 "DistillObjects.cpp"
 $pObj=$arrayidx72; //@line 193 "DistillObjects.cpp"
 var $52=$pObj; //@line 194 "DistillObjects.cpp"
 var $53=$52; //@line 194 "DistillObjects.cpp"
 var $54=(((((HEAPU8[($53)])|(HEAPU8[((($53)+(1))|0)]<<8))<<16)>>16)); //@line 194 "DistillObjects.cpp"
 $objLength=$54; //@line 194 "DistillObjects.cpp"
 var $55=$pObj; //@line 195 "DistillObjects.cpp"
 var $56=$newDisPtr; //@line 195 "DistillObjects.cpp"
 var $add73=((($56)+(1))|0); //@line 195 "DistillObjects.cpp"
 var $57=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 195 "DistillObjects.cpp"
 var $dis74=(($57+16980108)|0); //@line 195 "DistillObjects.cpp"
 var $arrayidx75=(($dis74+($add73<<1))|0); //@line 195 "DistillObjects.cpp"
 var $58=(((((HEAPU8[($arrayidx75)])|(HEAPU8[((($arrayidx75)+(1))|0)]<<8))<<16)>>16)); //@line 195 "DistillObjects.cpp"
 var $idxprom76=($58&65535); //@line 195 "DistillObjects.cpp"
 var $59=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 195 "DistillObjects.cpp"
 var $60=$59; //@line 195 "DistillObjects.cpp"
 var $obj77=(($60+48)|0); //@line 195 "DistillObjects.cpp"
 var $arrayidx78=(($obj77+$idxprom76)|0); //@line 195 "DistillObjects.cpp"
 var $61=$objLength; //@line 195 "DistillObjects.cpp"
 var $conv79=($61&65535); //@line 195 "DistillObjects.cpp"
 var $call=_memcmp($55,$arrayidx78,$conv79); //@line 195 "DistillObjects.cpp"
 var $cmp80=($call|0)!=0; //@line 195 "DistillObjects.cpp"
 if($cmp80){label=28;break;}else{label=29;break;} //@line 195 "DistillObjects.cpp"
 case 28: 
 var $62=$newNumSubObjects; //@line 198 "DistillObjects.cpp"
 var $conv82=($62&65535); //@line 198 "DistillObjects.cpp"
 var $add83=((($conv82)+(3))|0); //@line 198 "DistillObjects.cpp"
 var $63=$newDisPtr; //@line 198 "DistillObjects.cpp"
 var $add84=((($63)+($add83))|0); //@line 198 "DistillObjects.cpp"
 $newDisPtr=$add84; //@line 198 "DistillObjects.cpp"
 label=14;break; //@line 199 "DistillObjects.cpp"
 case 29: 
 var $64=$disPtr; //@line 203 "DistillObjects.cpp"
 var $65=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 203 "DistillObjects.cpp"
 var $dis86=(($65+16980108)|0); //@line 203 "DistillObjects.cpp"
 var $arrayidx87=(($dis86+($64<<1))|0); //@line 203 "DistillObjects.cpp"
 var $66=(((((HEAPU8[($arrayidx87)])|(HEAPU8[((($arrayidx87)+(1))|0)]<<8))<<16)>>16)); //@line 203 "DistillObjects.cpp"
 var $67=$newDisPtr; //@line 203 "DistillObjects.cpp"
 __Z23DistillEliminate_Updateti($66,$67); //@line 203 "DistillObjects.cpp"
 var $68=$newDisPtr; //@line 204 "DistillObjects.cpp"
 var $69=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 204 "DistillObjects.cpp"
 var $dis88=(($69+16980108)|0); //@line 204 "DistillObjects.cpp"
 var $arrayidx89=(($dis88+($68<<1))|0); //@line 204 "DistillObjects.cpp"
 var $70=(((((HEAPU8[($arrayidx89)])|(HEAPU8[((($arrayidx89)+(1))|0)]<<8))<<16)>>16)); //@line 204 "DistillObjects.cpp"
 var $71=$newDisPtr; //@line 204 "DistillObjects.cpp"
 __Z23DistillEliminate_Updateti($70,$71); //@line 204 "DistillObjects.cpp"
 var $72=$numSubObjects; //@line 207 "DistillObjects.cpp"
 var $conv90=($72&65535); //@line 207 "DistillObjects.cpp"
 var $add91=((($conv90)+(3))|0); //@line 207 "DistillObjects.cpp"
 var $73=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 207 "DistillObjects.cpp"
 var $dis_ptr92=(($73+16980104)|0); //@line 207 "DistillObjects.cpp"
 var $74=((((HEAPU8[($dis_ptr92)])|(HEAPU8[((($dis_ptr92)+(1))|0)]<<8)|(HEAPU8[((($dis_ptr92)+(2))|0)]<<16)|(HEAPU8[((($dis_ptr92)+(3))|0)]<<24))|0)); //@line 207 "DistillObjects.cpp"
 var $sub=((($74)-($add91))|0); //@line 207 "DistillObjects.cpp"
 tempBigInt=$sub;HEAP8[($dis_ptr92)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($dis_ptr92)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($dis_ptr92)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($dis_ptr92)+(3))|0)]=tempBigInt&0xff; //@line 207 "DistillObjects.cpp"
 var $75=$disPtr; //@line 208 "DistillObjects.cpp"
 var $76=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 208 "DistillObjects.cpp"
 var $dis93=(($76+16980108)|0); //@line 208 "DistillObjects.cpp"
 var $arrayidx94=(($dis93+($75<<1))|0); //@line 208 "DistillObjects.cpp"
 var $77=$arrayidx94; //@line 208 "DistillObjects.cpp"
 var $78=$disPtr; //@line 208 "DistillObjects.cpp"
 var $79=$numSubObjects; //@line 208 "DistillObjects.cpp"
 var $conv95=($79&65535); //@line 208 "DistillObjects.cpp"
 var $add96=((($conv95)+(3))|0); //@line 208 "DistillObjects.cpp"
 var $add97=((($78)+($add96))|0); //@line 208 "DistillObjects.cpp"
 var $80=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 208 "DistillObjects.cpp"
 var $dis98=(($80+16980108)|0); //@line 208 "DistillObjects.cpp"
 var $arrayidx99=(($dis98+($add97<<1))|0); //@line 208 "DistillObjects.cpp"
 var $81=$arrayidx99; //@line 208 "DistillObjects.cpp"
 var $82=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 208 "DistillObjects.cpp"
 var $dis_ptr100=(($82+16980104)|0); //@line 208 "DistillObjects.cpp"
 var $83=((((HEAPU8[($dis_ptr100)])|(HEAPU8[((($dis_ptr100)+(1))|0)]<<8)|(HEAPU8[((($dis_ptr100)+(2))|0)]<<16)|(HEAPU8[((($dis_ptr100)+(3))|0)]<<24))|0)); //@line 208 "DistillObjects.cpp"
 var $84=$disPtr; //@line 208 "DistillObjects.cpp"
 var $sub101=((($83)-($84))|0); //@line 208 "DistillObjects.cpp"
 var $mul=($sub101<<1); //@line 208 "DistillObjects.cpp"
 _memmove($77,$81,$mul,2,0); //@line 208 "DistillObjects.cpp"
 $bRestart=1; //@line 211 "DistillObjects.cpp"
 label=14;break; //@line 212 "DistillObjects.cpp"
 case 30: 
 var $85=$bRestart; //@line 213 "DistillObjects.cpp"
 var $tobool=(($85)&1); //@line 213 "DistillObjects.cpp"
 if($tobool){label=31;break;}else{label=32;break;} //@line 213 "DistillObjects.cpp"
 case 31: 
 $disPtr=0; //@line 215 "DistillObjects.cpp"
 label=33;break; //@line 216 "DistillObjects.cpp"
 case 32: 
 var $86=$numSubObjects; //@line 220 "DistillObjects.cpp"
 var $conv103=($86&65535); //@line 220 "DistillObjects.cpp"
 var $add104=((($conv103)+(3))|0); //@line 220 "DistillObjects.cpp"
 var $87=$disPtr; //@line 220 "DistillObjects.cpp"
 var $add105=((($87)+($add104))|0); //@line 220 "DistillObjects.cpp"
 $disPtr=$add105; //@line 220 "DistillObjects.cpp"
 label=2;break; //@line 221 "DistillObjects.cpp"
 case 33: 
 label=2;break; //@line 223 "DistillObjects.cpp"
 case 34: 
 STACKTOP=sp;return; //@line 224 "DistillObjects.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z14DistillRebuildv(){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $disPtr;
 var $rebuildPtr;
 var $pObj;
 var $objLength;
 $disPtr=0; //@line 229 "DistillObjects.cpp"
 $rebuildPtr=0; //@line 230 "DistillObjects.cpp"
 label=2;break; //@line 231 "DistillObjects.cpp"
 case 2: 
 var $0=$disPtr; //@line 231 "DistillObjects.cpp"
 var $1=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 231 "DistillObjects.cpp"
 var $dis_ptr=(($1+16980104)|0); //@line 231 "DistillObjects.cpp"
 var $2=((((HEAPU8[($dis_ptr)])|(HEAPU8[((($dis_ptr)+(1))|0)]<<8)|(HEAPU8[((($dis_ptr)+(2))|0)]<<16)|(HEAPU8[((($dis_ptr)+(3))|0)]<<24))|0)); //@line 231 "DistillObjects.cpp"
 var $cmp=($0|0)<($2|0); //@line 231 "DistillObjects.cpp"
 if($cmp){label=3;break;}else{label=4;break;} //@line 231 "DistillObjects.cpp"
 case 3: 
 var $3=$disPtr; //@line 234 "DistillObjects.cpp"
 var $add=((($3)+(1))|0); //@line 234 "DistillObjects.cpp"
 var $4=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 234 "DistillObjects.cpp"
 var $dis=(($4+16980108)|0); //@line 234 "DistillObjects.cpp"
 var $arrayidx=(($dis+($add<<1))|0); //@line 234 "DistillObjects.cpp"
 var $5=(((((HEAPU8[($arrayidx)])|(HEAPU8[((($arrayidx)+(1))|0)]<<8))<<16)>>16)); //@line 234 "DistillObjects.cpp"
 var $idxprom=($5&65535); //@line 234 "DistillObjects.cpp"
 var $6=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 234 "DistillObjects.cpp"
 var $7=$6; //@line 234 "DistillObjects.cpp"
 var $obj=(($7+48)|0); //@line 234 "DistillObjects.cpp"
 var $arrayidx1=(($obj+$idxprom)|0); //@line 234 "DistillObjects.cpp"
 $pObj=$arrayidx1; //@line 234 "DistillObjects.cpp"
 var $8=$pObj; //@line 235 "DistillObjects.cpp"
 var $9=$8; //@line 235 "DistillObjects.cpp"
 var $10=(((((HEAPU8[($9)])|(HEAPU8[((($9)+(1))|0)]<<8))<<16)>>16)); //@line 235 "DistillObjects.cpp"
 $objLength=$10; //@line 235 "DistillObjects.cpp"
 var $11=$rebuildPtr; //@line 236 "DistillObjects.cpp"
 var $idxprom2=($11&65535); //@line 236 "DistillObjects.cpp"
 var $arrayidx3=((20240+$idxprom2)|0); //@line 236 "DistillObjects.cpp"
 var $12=$pObj; //@line 236 "DistillObjects.cpp"
 var $13=$objLength; //@line 236 "DistillObjects.cpp"
 var $conv=($13&65535); //@line 236 "DistillObjects.cpp"
 assert($conv % 1 === 0);(_memcpy($arrayidx3, $12, $conv)|0); //@line 236 "DistillObjects.cpp"
 var $14=$rebuildPtr; //@line 239 "DistillObjects.cpp"
 var $15=$disPtr; //@line 239 "DistillObjects.cpp"
 var $add4=((($15)+(1))|0); //@line 239 "DistillObjects.cpp"
 var $16=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 239 "DistillObjects.cpp"
 var $dis5=(($16+16980108)|0); //@line 239 "DistillObjects.cpp"
 var $arrayidx6=(($dis5+($add4<<1))|0); //@line 239 "DistillObjects.cpp"
 tempBigInt=$14;HEAP8[($arrayidx6)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx6)+(1))|0)]=tempBigInt&0xff; //@line 239 "DistillObjects.cpp"
 var $17=$objLength; //@line 241 "DistillObjects.cpp"
 var $conv7=($17&65535); //@line 241 "DistillObjects.cpp"
 var $18=$rebuildPtr; //@line 241 "DistillObjects.cpp"
 var $conv8=($18&65535); //@line 241 "DistillObjects.cpp"
 var $add9=((($conv8)+($conv7))|0); //@line 241 "DistillObjects.cpp"
 var $conv10=(($add9)&65535); //@line 241 "DistillObjects.cpp"
 $rebuildPtr=$conv10; //@line 241 "DistillObjects.cpp"
 var $19=$disPtr; //@line 244 "DistillObjects.cpp"
 var $add11=((($19)+(2))|0); //@line 244 "DistillObjects.cpp"
 var $20=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 244 "DistillObjects.cpp"
 var $dis12=(($20+16980108)|0); //@line 244 "DistillObjects.cpp"
 var $arrayidx13=(($dis12+($add11<<1))|0); //@line 244 "DistillObjects.cpp"
 var $21=(((((HEAPU8[($arrayidx13)])|(HEAPU8[((($arrayidx13)+(1))|0)]<<8))<<16)>>16)); //@line 244 "DistillObjects.cpp"
 var $conv14=($21&65535); //@line 244 "DistillObjects.cpp"
 var $add15=((($conv14)+(3))|0); //@line 244 "DistillObjects.cpp"
 var $22=$disPtr; //@line 244 "DistillObjects.cpp"
 var $add16=((($22)+($add15))|0); //@line 244 "DistillObjects.cpp"
 $disPtr=$add16; //@line 244 "DistillObjects.cpp"
 label=2;break; //@line 245 "DistillObjects.cpp"
 case 4: 
 var $23=$rebuildPtr; //@line 248 "DistillObjects.cpp"
 var $conv17=($23&65535); //@line 248 "DistillObjects.cpp"
 var $24=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 248 "DistillObjects.cpp"
 var $25=$24; //@line 248 "DistillObjects.cpp"
 var $obj_ptr=(($25+16777264)|0); //@line 248 "DistillObjects.cpp"
 tempBigInt=$conv17;HEAP8[($obj_ptr)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_ptr)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_ptr)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_ptr)+(3))|0)]=tempBigInt&0xff; //@line 248 "DistillObjects.cpp"
 var $26=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 249 "DistillObjects.cpp"
 var $27=$26; //@line 249 "DistillObjects.cpp"
 var $obj18=(($27+48)|0); //@line 249 "DistillObjects.cpp"
 var $arrayidx19=(($obj18)|0); //@line 249 "DistillObjects.cpp"
 var $28=$rebuildPtr; //@line 249 "DistillObjects.cpp"
 var $conv20=($28&65535); //@line 249 "DistillObjects.cpp"
 assert($conv20 % 1 === 0);(_memcpy($arrayidx19, 20240, $conv20)|0); //@line 249 "DistillObjects.cpp"
 STACKTOP=sp;return; //@line 250 "DistillObjects.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z16DistillReconnecti($disPtr){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $disPtr_addr;
 var $numSubObjects;
 var $objectOffset;
 var $subObjectOffsetListPtr;
 var $pSubObjectOffsetList;
 var $i;
 var $subObjectId;
 var $scanDisPtr;
 $disPtr_addr=$disPtr;
 var $0=$disPtr_addr; //@line 254 "DistillObjects.cpp"
 var $add=((($0)+(2))|0); //@line 254 "DistillObjects.cpp"
 var $1=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 254 "DistillObjects.cpp"
 var $dis=(($1+16980108)|0); //@line 254 "DistillObjects.cpp"
 var $arrayidx=(($dis+($add<<1))|0); //@line 254 "DistillObjects.cpp"
 var $2=(((((HEAPU8[($arrayidx)])|(HEAPU8[((($arrayidx)+(1))|0)]<<8))<<16)>>16)); //@line 254 "DistillObjects.cpp"
 $numSubObjects=$2; //@line 254 "DistillObjects.cpp"
 var $3=$numSubObjects; //@line 255 "DistillObjects.cpp"
 var $conv=($3&65535); //@line 255 "DistillObjects.cpp"
 var $cmp=($conv|0)>0; //@line 255 "DistillObjects.cpp"
 if($cmp){label=2;break;}else{label=11;break;} //@line 255 "DistillObjects.cpp"
 case 2: 
 var $4=$disPtr_addr; //@line 258 "DistillObjects.cpp"
 var $add1=((($4)+(1))|0); //@line 258 "DistillObjects.cpp"
 var $5=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 258 "DistillObjects.cpp"
 var $dis2=(($5+16980108)|0); //@line 258 "DistillObjects.cpp"
 var $arrayidx3=(($dis2+($add1<<1))|0); //@line 258 "DistillObjects.cpp"
 var $6=(((((HEAPU8[($arrayidx3)])|(HEAPU8[((($arrayidx3)+(1))|0)]<<8))<<16)>>16)); //@line 258 "DistillObjects.cpp"
 $objectOffset=$6; //@line 258 "DistillObjects.cpp"
 var $7=$objectOffset; //@line 260 "DistillObjects.cpp"
 var $conv4=($7&65535); //@line 260 "DistillObjects.cpp"
 var $add5=((($conv4)+(2))|0); //@line 260 "DistillObjects.cpp"
 var $8=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 260 "DistillObjects.cpp"
 var $9=$8; //@line 260 "DistillObjects.cpp"
 var $obj=(($9+48)|0); //@line 260 "DistillObjects.cpp"
 var $arrayidx6=(($obj+$add5)|0); //@line 260 "DistillObjects.cpp"
 var $10=HEAP8[($arrayidx6)]; //@line 260 "DistillObjects.cpp"
 $subObjectOffsetListPtr=$10; //@line 260 "DistillObjects.cpp"
 var $11=$objectOffset; //@line 262 "DistillObjects.cpp"
 var $conv7=($11&65535); //@line 262 "DistillObjects.cpp"
 var $12=$subObjectOffsetListPtr; //@line 262 "DistillObjects.cpp"
 var $conv8=($12&255); //@line 262 "DistillObjects.cpp"
 var $mul=($conv8<<2); //@line 262 "DistillObjects.cpp"
 var $add9=((($conv7)+($mul))|0); //@line 262 "DistillObjects.cpp"
 var $13=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 262 "DistillObjects.cpp"
 var $14=$13; //@line 262 "DistillObjects.cpp"
 var $obj10=(($14+48)|0); //@line 262 "DistillObjects.cpp"
 var $arrayidx11=(($obj10+$add9)|0); //@line 262 "DistillObjects.cpp"
 var $15=$arrayidx11; //@line 262 "DistillObjects.cpp"
 $pSubObjectOffsetList=$15; //@line 262 "DistillObjects.cpp"
 $i=0; //@line 264 "DistillObjects.cpp"
 label=3;break; //@line 264 "DistillObjects.cpp"
 case 3: 
 var $16=$i; //@line 264 "DistillObjects.cpp"
 var $17=$numSubObjects; //@line 264 "DistillObjects.cpp"
 var $conv12=($17&65535); //@line 264 "DistillObjects.cpp"
 var $cmp13=($16|0)<($conv12|0); //@line 264 "DistillObjects.cpp"
 if($cmp13){label=4;break;}else{label=10;break;} //@line 264 "DistillObjects.cpp"
 case 4: 
 var $18=$disPtr_addr; //@line 266 "DistillObjects.cpp"
 var $add14=((($18)+(3))|0); //@line 266 "DistillObjects.cpp"
 var $19=$i; //@line 266 "DistillObjects.cpp"
 var $add15=((($add14)+($19))|0); //@line 266 "DistillObjects.cpp"
 var $20=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 266 "DistillObjects.cpp"
 var $dis16=(($20+16980108)|0); //@line 266 "DistillObjects.cpp"
 var $arrayidx17=(($dis16+($add15<<1))|0); //@line 266 "DistillObjects.cpp"
 var $21=(((((HEAPU8[($arrayidx17)])|(HEAPU8[((($arrayidx17)+(1))|0)]<<8))<<16)>>16)); //@line 266 "DistillObjects.cpp"
 var $conv18=($21&65535); //@line 266 "DistillObjects.cpp"
 var $and=$conv18&32767; //@line 266 "DistillObjects.cpp"
 var $conv19=(($and)&65535); //@line 266 "DistillObjects.cpp"
 $subObjectId=$conv19; //@line 266 "DistillObjects.cpp"
 $scanDisPtr=0; //@line 269 "DistillObjects.cpp"
 label=5;break; //@line 270 "DistillObjects.cpp"
 case 5: 
 var $22=$scanDisPtr; //@line 272 "DistillObjects.cpp"
 var $23=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 272 "DistillObjects.cpp"
 var $dis20=(($23+16980108)|0); //@line 272 "DistillObjects.cpp"
 var $arrayidx21=(($dis20+($22<<1))|0); //@line 272 "DistillObjects.cpp"
 var $24=(((((HEAPU8[($arrayidx21)])|(HEAPU8[((($arrayidx21)+(1))|0)]<<8))<<16)>>16)); //@line 272 "DistillObjects.cpp"
 var $conv22=($24&65535); //@line 272 "DistillObjects.cpp"
 var $25=$subObjectId; //@line 272 "DistillObjects.cpp"
 var $conv23=($25&65535); //@line 272 "DistillObjects.cpp"
 var $cmp24=($conv22|0)==($conv23|0); //@line 272 "DistillObjects.cpp"
 if($cmp24){label=6;break;}else{label=7;break;} //@line 272 "DistillObjects.cpp"
 case 6: 
 label=8;break; //@line 274 "DistillObjects.cpp"
 case 7: 
 var $26=$scanDisPtr; //@line 276 "DistillObjects.cpp"
 var $add26=((($26)+(2))|0); //@line 276 "DistillObjects.cpp"
 var $27=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 276 "DistillObjects.cpp"
 var $dis27=(($27+16980108)|0); //@line 276 "DistillObjects.cpp"
 var $arrayidx28=(($dis27+($add26<<1))|0); //@line 276 "DistillObjects.cpp"
 var $28=(((((HEAPU8[($arrayidx28)])|(HEAPU8[((($arrayidx28)+(1))|0)]<<8))<<16)>>16)); //@line 276 "DistillObjects.cpp"
 var $conv29=($28&65535); //@line 276 "DistillObjects.cpp"
 var $add30=((($conv29)+(3))|0); //@line 276 "DistillObjects.cpp"
 var $29=$scanDisPtr; //@line 276 "DistillObjects.cpp"
 var $add31=((($29)+($add30))|0); //@line 276 "DistillObjects.cpp"
 $scanDisPtr=$add31; //@line 276 "DistillObjects.cpp"
 label=5;break; //@line 277 "DistillObjects.cpp"
 case 8: 
 var $30=$scanDisPtr; //@line 280 "DistillObjects.cpp"
 var $add32=((($30)+(1))|0); //@line 280 "DistillObjects.cpp"
 var $31=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 280 "DistillObjects.cpp"
 var $dis33=(($31+16980108)|0); //@line 280 "DistillObjects.cpp"
 var $arrayidx34=(($dis33+($add32<<1))|0); //@line 280 "DistillObjects.cpp"
 var $32=(((((HEAPU8[($arrayidx34)])|(HEAPU8[((($arrayidx34)+(1))|0)]<<8))<<16)>>16)); //@line 280 "DistillObjects.cpp"
 var $conv35=($32&65535); //@line 280 "DistillObjects.cpp"
 var $33=$objectOffset; //@line 280 "DistillObjects.cpp"
 var $conv36=($33&65535); //@line 280 "DistillObjects.cpp"
 var $sub=((($conv35)-($conv36))|0); //@line 280 "DistillObjects.cpp"
 var $conv37=(($sub)&65535); //@line 280 "DistillObjects.cpp"
 var $34=$i; //@line 280 "DistillObjects.cpp"
 var $mul38=($34<<1); //@line 280 "DistillObjects.cpp"
 var $35=$pSubObjectOffsetList; //@line 280 "DistillObjects.cpp"
 var $arrayidx39=(($35+($mul38<<1))|0); //@line 280 "DistillObjects.cpp"
 tempBigInt=$conv37;HEAP8[($arrayidx39)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx39)+(1))|0)]=tempBigInt&0xff; //@line 280 "DistillObjects.cpp"
 var $36=$scanDisPtr; //@line 283 "DistillObjects.cpp"
 __Z16DistillReconnecti($36); //@line 283 "DistillObjects.cpp"
 label=9;break; //@line 284 "DistillObjects.cpp"
 case 9: 
 var $37=$i; //@line 264 "DistillObjects.cpp"
 var $inc=((($37)+(1))|0); //@line 264 "DistillObjects.cpp"
 $i=$inc; //@line 264 "DistillObjects.cpp"
 label=3;break; //@line 264 "DistillObjects.cpp"
 case 10: 
 label=11;break; //@line 285 "DistillObjects.cpp"
 case 11: 
 STACKTOP=sp;return; //@line 286 "DistillObjects.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z14DistillObjectsv(){
 var label=0;
 var tempVarArgs=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+64)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $saved_obj_ptr;
 var $tempStr=sp;
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 290 "DistillObjects.cpp"
 var $1=$0; //@line 290 "DistillObjects.cpp"
 var $obj_ptr=(($1+16777264)|0); //@line 290 "DistillObjects.cpp"
 var $2=((((HEAPU8[($obj_ptr)])|(HEAPU8[((($obj_ptr)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr)+(3))|0)]<<24))|0)); //@line 290 "DistillObjects.cpp"
 $saved_obj_ptr=$2; //@line 290 "DistillObjects.cpp"
 var $call=__Z12DistillSetupv(); //@line 292 "DistillObjects.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 292 "DistillObjects.cpp"
 case 2: 
 $retval=0; //@line 294 "DistillObjects.cpp"
 label=6;break; //@line 294 "DistillObjects.cpp"
 case 3: 
 __Z16DistillEliminatev(); //@line 296 "DistillObjects.cpp"
 __Z14DistillRebuildv(); //@line 297 "DistillObjects.cpp"
 __Z16DistillReconnecti(0); //@line 298 "DistillObjects.cpp"
 var $3=$saved_obj_ptr; //@line 300 "DistillObjects.cpp"
 var $4=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 300 "DistillObjects.cpp"
 var $5=$4; //@line 300 "DistillObjects.cpp"
 var $obj_ptr1=(($5+16777264)|0); //@line 300 "DistillObjects.cpp"
 var $6=((((HEAPU8[($obj_ptr1)])|(HEAPU8[((($obj_ptr1)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr1)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr1)+(3))|0)]<<24))|0)); //@line 300 "DistillObjects.cpp"
 var $sub=((($3)-($6))|0); //@line 300 "DistillObjects.cpp"
 var $shr=$sub>>2; //@line 300 "DistillObjects.cpp"
 var $7=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 300 "DistillObjects.cpp"
 var $8=$7; //@line 300 "DistillObjects.cpp"
 var $distilled_longs=(($8+16971048)|0); //@line 300 "DistillObjects.cpp"
 tempBigInt=$shr;HEAP8[($distilled_longs)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($distilled_longs)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($distilled_longs)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($distilled_longs)+(3))|0)]=tempBigInt&0xff; //@line 300 "DistillObjects.cpp"
 var $arraydecay=(($tempStr)|0); //@line 303 "DistillObjects.cpp"
 var $9=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 303 "DistillObjects.cpp"
 var $10=$9; //@line 303 "DistillObjects.cpp"
 var $distilled_longs2=(($10+16971048)|0); //@line 303 "DistillObjects.cpp"
 var $11=((((HEAPU8[($distilled_longs2)])|(HEAPU8[((($distilled_longs2)+(1))|0)]<<8)|(HEAPU8[((($distilled_longs2)+(2))|0)]<<16)|(HEAPU8[((($distilled_longs2)+(3))|0)]<<24))|0)); //@line 303 "DistillObjects.cpp"
 var $call3=_sprintf($arraydecay,9184,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 8)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=$11,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 303 "DistillObjects.cpp"
 var $arraydecay4=(($tempStr)|0); //@line 304 "DistillObjects.cpp"
 var $call5=__Z11PrintStringPKc($arraydecay4); //@line 304 "DistillObjects.cpp"
 if($call5){label=5;break;}else{label=4;break;} //@line 304 "DistillObjects.cpp"
 case 4: 
 $retval=0; //@line 306 "DistillObjects.cpp"
 label=6;break; //@line 306 "DistillObjects.cpp"
 case 5: 
 var $call8=__Z8PrintChrc(13); //@line 308 "DistillObjects.cpp"
 $retval=$call8; //@line 308 "DistillObjects.cpp"
 label=6;break; //@line 308 "DistillObjects.cpp"
 case 6: 
 var $12=$retval; //@line 309 "DistillObjects.cpp"
 STACKTOP=sp;return $12; //@line 309 "DistillObjects.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __ZN11Elementizer18SetFromSymbolEntryEv($this){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $this_addr;
 $this_addr=$this;
 var $this1=$this_addr;
 var $m_pSymbolEntry=(($this1+16)|0); //@line 25 "Elementizer.cpp"
 var $0=((((HEAPU8[($m_pSymbolEntry)])|(HEAPU8[((($m_pSymbolEntry)+(1))|0)]<<8)|(HEAPU8[((($m_pSymbolEntry)+(2))|0)]<<16)|(HEAPU8[((($m_pSymbolEntry)+(3))|0)]<<24))|0)); //@line 25 "Elementizer.cpp"
 var $tobool=($0|0)!=0; //@line 25 "Elementizer.cpp"
 if($tobool){label=2;break;}else{label=12;break;} //@line 25 "Elementizer.cpp"
 case 2: 
 var $m_pSymbolEntry2=(($this1+16)|0); //@line 27 "Elementizer.cpp"
 var $1=((((HEAPU8[($m_pSymbolEntry2)])|(HEAPU8[((($m_pSymbolEntry2)+(1))|0)]<<8)|(HEAPU8[((($m_pSymbolEntry2)+(2))|0)]<<16)|(HEAPU8[((($m_pSymbolEntry2)+(3))|0)]<<24))|0)); //@line 27 "Elementizer.cpp"
 var $m_data=(($1+4)|0); //@line 27 "Elementizer.cpp"
 var $type=(($m_data)|0); //@line 27 "Elementizer.cpp"
 var $2=((((HEAPU8[($type)])|(HEAPU8[((($type)+(1))|0)]<<8)|(HEAPU8[((($type)+(2))|0)]<<16)|(HEAPU8[((($type)+(3))|0)]<<24))|0)); //@line 27 "Elementizer.cpp"
 var $m_type=(($this1+20)|0); //@line 27 "Elementizer.cpp"
 tempBigInt=$2;HEAP8[($m_type)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type)+(3))|0)]=tempBigInt&0xff; //@line 27 "Elementizer.cpp"
 var $m_pSymbolEntry3=(($this1+16)|0); //@line 28 "Elementizer.cpp"
 var $3=((((HEAPU8[($m_pSymbolEntry3)])|(HEAPU8[((($m_pSymbolEntry3)+(1))|0)]<<8)|(HEAPU8[((($m_pSymbolEntry3)+(2))|0)]<<16)|(HEAPU8[((($m_pSymbolEntry3)+(3))|0)]<<24))|0)); //@line 28 "Elementizer.cpp"
 var $m_data4=(($3+4)|0); //@line 28 "Elementizer.cpp"
 var $value=(($m_data4+4)|0); //@line 28 "Elementizer.cpp"
 var $4=((((HEAPU8[($value)])|(HEAPU8[((($value)+(1))|0)]<<8)|(HEAPU8[((($value)+(2))|0)]<<16)|(HEAPU8[((($value)+(3))|0)]<<24))|0)); //@line 28 "Elementizer.cpp"
 var $m_value=(($this1+24)|0); //@line 28 "Elementizer.cpp"
 tempBigInt=$4;HEAP8[($m_value)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value)+(3))|0)]=tempBigInt&0xff; //@line 28 "Elementizer.cpp"
 var $m_pSymbolEntry5=(($this1+16)|0); //@line 29 "Elementizer.cpp"
 var $5=((((HEAPU8[($m_pSymbolEntry5)])|(HEAPU8[((($m_pSymbolEntry5)+(1))|0)]<<8)|(HEAPU8[((($m_pSymbolEntry5)+(2))|0)]<<16)|(HEAPU8[((($m_pSymbolEntry5)+(3))|0)]<<24))|0)); //@line 29 "Elementizer.cpp"
 var $m_data6=(($5+4)|0); //@line 29 "Elementizer.cpp"
 var $value_2=(($m_data6+8)|0); //@line 29 "Elementizer.cpp"
 var $6=((((HEAPU8[($value_2)])|(HEAPU8[((($value_2)+(1))|0)]<<8)|(HEAPU8[((($value_2)+(2))|0)]<<16)|(HEAPU8[((($value_2)+(3))|0)]<<24))|0)); //@line 29 "Elementizer.cpp"
 var $m_value_2=(($this1+28)|0); //@line 29 "Elementizer.cpp"
 tempBigInt=$6;HEAP8[($m_value_2)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value_2)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value_2)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value_2)+(3))|0)]=tempBigInt&0xff; //@line 29 "Elementizer.cpp"
 var $m_pSymbolEntry7=(($this1+16)|0); //@line 30 "Elementizer.cpp"
 var $7=((((HEAPU8[($m_pSymbolEntry7)])|(HEAPU8[((($m_pSymbolEntry7)+(1))|0)]<<8)|(HEAPU8[((($m_pSymbolEntry7)+(2))|0)]<<16)|(HEAPU8[((($m_pSymbolEntry7)+(3))|0)]<<24))|0)); //@line 30 "Elementizer.cpp"
 var $m_data8=(($7+4)|0); //@line 30 "Elementizer.cpp"
 var $dual=(($m_data8+17)|0); //@line 30 "Elementizer.cpp"
 var $8=HEAP8[($dual)]; //@line 30 "Elementizer.cpp"
 var $tobool9=(($8)&1); //@line 30 "Elementizer.cpp"
 if($tobool9){label=3;break;}else{label=4;break;} //@line 30 "Elementizer.cpp"
 case 3: 
 var $m_dual=(($this1+40)|0); //@line 32 "Elementizer.cpp"
 HEAP8[($m_dual)]=1; //@line 32 "Elementizer.cpp"
 var $m_pSymbolEntry11=(($this1+16)|0); //@line 33 "Elementizer.cpp"
 var $9=((((HEAPU8[($m_pSymbolEntry11)])|(HEAPU8[((($m_pSymbolEntry11)+(1))|0)]<<8)|(HEAPU8[((($m_pSymbolEntry11)+(2))|0)]<<16)|(HEAPU8[((($m_pSymbolEntry11)+(3))|0)]<<24))|0)); //@line 33 "Elementizer.cpp"
 var $m_data12=(($9+4)|0); //@line 33 "Elementizer.cpp"
 var $operator_type_or_asm=(($m_data12+16)|0); //@line 33 "Elementizer.cpp"
 var $10=HEAP8[($operator_type_or_asm)]; //@line 33 "Elementizer.cpp"
 var $conv=($10&255); //@line 33 "Elementizer.cpp"
 var $m_asm=(($this1+36)|0); //@line 33 "Elementizer.cpp"
 tempBigInt=$conv;HEAP8[($m_asm)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_asm)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_asm)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_asm)+(3))|0)]=tempBigInt&0xff; //@line 33 "Elementizer.cpp"
 label=11;break; //@line 34 "Elementizer.cpp"
 case 4: 
 var $m_dual13=(($this1+40)|0); //@line 37 "Elementizer.cpp"
 HEAP8[($m_dual13)]=0; //@line 37 "Elementizer.cpp"
 var $m_pSymbolEntry14=(($this1+16)|0); //@line 38 "Elementizer.cpp"
 var $11=((((HEAPU8[($m_pSymbolEntry14)])|(HEAPU8[((($m_pSymbolEntry14)+(1))|0)]<<8)|(HEAPU8[((($m_pSymbolEntry14)+(2))|0)]<<16)|(HEAPU8[((($m_pSymbolEntry14)+(3))|0)]<<24))|0)); //@line 38 "Elementizer.cpp"
 var $m_data15=(($11+4)|0); //@line 38 "Elementizer.cpp"
 var $operator_type_or_asm16=(($m_data15+16)|0); //@line 38 "Elementizer.cpp"
 var $12=HEAP8[($operator_type_or_asm16)]; //@line 38 "Elementizer.cpp"
 var $conv17=($12&255); //@line 38 "Elementizer.cpp"
 var $m_opType=(($this1+32)|0); //@line 38 "Elementizer.cpp"
 tempBigInt=$conv17;HEAP8[($m_opType)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_opType)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_opType)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_opType)+(3))|0)]=tempBigInt&0xff; //@line 38 "Elementizer.cpp"
 var $m_type18=(($this1+20)|0); //@line 41 "Elementizer.cpp"
 var $13=((((HEAPU8[($m_type18)])|(HEAPU8[((($m_type18)+(1))|0)]<<8)|(HEAPU8[((($m_type18)+(2))|0)]<<16)|(HEAPU8[((($m_type18)+(3))|0)]<<24))|0)); //@line 41 "Elementizer.cpp"
 var $cmp=($13|0)==22; //@line 41 "Elementizer.cpp"
 if($cmp){label=5;break;}else{label=7;break;} //@line 41 "Elementizer.cpp"
 case 5: 
 var $m_opType19=(($this1+32)|0); //@line 41 "Elementizer.cpp"
 var $14=((((HEAPU8[($m_opType19)])|(HEAPU8[((($m_opType19)+(1))|0)]<<8)|(HEAPU8[((($m_opType19)+(2))|0)]<<16)|(HEAPU8[((($m_opType19)+(3))|0)]<<24))|0)); //@line 41 "Elementizer.cpp"
 var $cmp20=($14|0)==16; //@line 41 "Elementizer.cpp"
 if($cmp20){label=6;break;}else{label=7;break;} //@line 41 "Elementizer.cpp"
 case 6: 
 var $m_asm22=(($this1+36)|0); //@line 43 "Elementizer.cpp"
 tempBigInt=88;HEAP8[($m_asm22)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_asm22)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_asm22)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_asm22)+(3))|0)]=tempBigInt&0xff; //@line 43 "Elementizer.cpp"
 label=7;break; //@line 44 "Elementizer.cpp"
 case 7: 
 var $m_type23=(($this1+20)|0); //@line 45 "Elementizer.cpp"
 var $15=((((HEAPU8[($m_type23)])|(HEAPU8[((($m_type23)+(1))|0)]<<8)|(HEAPU8[((($m_type23)+(2))|0)]<<16)|(HEAPU8[((($m_type23)+(3))|0)]<<24))|0)); //@line 45 "Elementizer.cpp"
 var $cmp24=($15|0)==22; //@line 45 "Elementizer.cpp"
 if($cmp24){label=8;break;}else{label=10;break;} //@line 45 "Elementizer.cpp"
 case 8: 
 var $m_opType26=(($this1+32)|0); //@line 45 "Elementizer.cpp"
 var $16=((((HEAPU8[($m_opType26)])|(HEAPU8[((($m_opType26)+(1))|0)]<<8)|(HEAPU8[((($m_opType26)+(2))|0)]<<16)|(HEAPU8[((($m_opType26)+(3))|0)]<<24))|0)); //@line 45 "Elementizer.cpp"
 var $cmp27=($16|0)==18; //@line 45 "Elementizer.cpp"
 if($cmp27){label=9;break;}else{label=10;break;} //@line 45 "Elementizer.cpp"
 case 9: 
 var $m_asm29=(($this1+36)|0); //@line 47 "Elementizer.cpp"
 tempBigInt=90;HEAP8[($m_asm29)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_asm29)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_asm29)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_asm29)+(3))|0)]=tempBigInt&0xff; //@line 47 "Elementizer.cpp"
 label=10;break; //@line 48 "Elementizer.cpp"
 case 10: 
 label=11;break;
 case 11: 
 label=13;break; //@line 50 "Elementizer.cpp"
 case 12: 
 var $m_type33=(($this1+20)|0); //@line 53 "Elementizer.cpp"
 tempBigInt=0;HEAP8[($m_type33)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type33)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type33)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type33)+(3))|0)]=tempBigInt&0xff; //@line 53 "Elementizer.cpp"
 var $m_value34=(($this1+24)|0); //@line 54 "Elementizer.cpp"
 tempBigInt=0;HEAP8[($m_value34)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value34)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value34)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value34)+(3))|0)]=tempBigInt&0xff; //@line 54 "Elementizer.cpp"
 var $m_value_235=(($this1+28)|0); //@line 55 "Elementizer.cpp"
 tempBigInt=0;HEAP8[($m_value_235)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value_235)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value_235)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value_235)+(3))|0)]=tempBigInt&0xff; //@line 55 "Elementizer.cpp"
 var $m_asm36=(($this1+36)|0); //@line 56 "Elementizer.cpp"
 tempBigInt=-1;HEAP8[($m_asm36)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_asm36)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_asm36)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_asm36)+(3))|0)]=tempBigInt&0xff; //@line 56 "Elementizer.cpp"
 var $m_opType37=(($this1+32)|0); //@line 57 "Elementizer.cpp"
 tempBigInt=-1;HEAP8[($m_opType37)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_opType37)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_opType37)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_opType37)+(3))|0)]=tempBigInt&0xff; //@line 57 "Elementizer.cpp"
 label=13;break;
 case 13: 
 STACKTOP=sp;return; //@line 59 "Elementizer.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __ZN11Elementizer5ResetEv($this){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $this_addr;
 $this_addr=$this;
 var $this1=$this_addr;
 var $m_sourceOffset=(($this1+8)|0); //@line 66 "Elementizer.cpp"
 tempBigInt=0;HEAP8[($m_sourceOffset)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset)+(3))|0)]=tempBigInt&0xff; //@line 66 "Elementizer.cpp"
 var $m_sourceFlags=(($this1+12)|0); //@line 67 "Elementizer.cpp"
 HEAP8[($m_sourceFlags)]=0; //@line 67 "Elementizer.cpp"
 STACKTOP=sp;return; //@line 68 "Elementizer.cpp"
}


function __ZN11Elementizer7GetNextERb($this,$bEof){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+32)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $this_addr;
 var $bEof_addr;
 var $error;
 var $bDocComment;
 var $constantBase;
 var $pSource;
 var $sourceStart;
 var $symbolOffset;
 var $currentChar;
 var $digitValue=sp;
 var $notUsed=(sp)+(8);
 var $nextChar;
 var $bNextCharDigit;
 var $braceCommentLevel;
 var $temp=(sp)+(16);
 var $temp295=(sp)+(24);
 var $bDoOneChar;
 $this_addr=$this;
 $bEof_addr=$bEof;
 var $this1=$this_addr;
 var $m_sourceOffset=(($this1+8)|0); //@line 74 "Elementizer.cpp"
 var $0=((((HEAPU8[($m_sourceOffset)])|(HEAPU8[((($m_sourceOffset)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset)+(3))|0)]<<24))|0)); //@line 74 "Elementizer.cpp"
 var $m_backIndex=(($this1+41)|0); //@line 74 "Elementizer.cpp"
 var $1=HEAP8[($m_backIndex)]; //@line 74 "Elementizer.cpp"
 var $conv=($1&255); //@line 74 "Elementizer.cpp"
 var $and=$conv&3; //@line 74 "Elementizer.cpp"
 var $m_backOffsets=(($this1+44)|0); //@line 74 "Elementizer.cpp"
 var $arrayidx=(($m_backOffsets+($and<<2))|0); //@line 74 "Elementizer.cpp"
 tempBigInt=$0;HEAP8[($arrayidx)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx)+(3))|0)]=tempBigInt&0xff; //@line 74 "Elementizer.cpp"
 var $m_sourceFlags=(($this1+12)|0); //@line 75 "Elementizer.cpp"
 var $2=HEAP8[($m_sourceFlags)]; //@line 75 "Elementizer.cpp"
 var $m_backIndex2=(($this1+41)|0); //@line 75 "Elementizer.cpp"
 var $3=HEAP8[($m_backIndex2)]; //@line 75 "Elementizer.cpp"
 var $conv3=($3&255); //@line 75 "Elementizer.cpp"
 var $and4=$conv3&3; //@line 75 "Elementizer.cpp"
 var $m_backFlags=(($this1+60)|0); //@line 75 "Elementizer.cpp"
 var $arrayidx5=(($m_backFlags+$and4)|0); //@line 75 "Elementizer.cpp"
 HEAP8[($arrayidx5)]=$2; //@line 75 "Elementizer.cpp"
 var $m_backIndex6=(($this1+41)|0); //@line 76 "Elementizer.cpp"
 var $4=HEAP8[($m_backIndex6)]; //@line 76 "Elementizer.cpp"
 var $inc=((($4)+(1))&255); //@line 76 "Elementizer.cpp"
 HEAP8[($m_backIndex6)]=$inc; //@line 76 "Elementizer.cpp"
 var $m_type=(($this1+20)|0); //@line 79 "Elementizer.cpp"
 tempBigInt=0;HEAP8[($m_type)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type)+(3))|0)]=tempBigInt&0xff; //@line 79 "Elementizer.cpp"
 var $m_value=(($this1+24)|0); //@line 80 "Elementizer.cpp"
 tempBigInt=0;HEAP8[($m_value)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value)+(3))|0)]=tempBigInt&0xff; //@line 80 "Elementizer.cpp"
 var $m_value_2=(($this1+28)|0); //@line 81 "Elementizer.cpp"
 tempBigInt=0;HEAP8[($m_value_2)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value_2)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value_2)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value_2)+(3))|0)]=tempBigInt&0xff; //@line 81 "Elementizer.cpp"
 var $m_asm=(($this1+36)|0); //@line 82 "Elementizer.cpp"
 tempBigInt=-1;HEAP8[($m_asm)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_asm)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_asm)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_asm)+(3))|0)]=tempBigInt&0xff; //@line 82 "Elementizer.cpp"
 var $m_opType=(($this1+32)|0); //@line 83 "Elementizer.cpp"
 tempBigInt=-1;HEAP8[($m_opType)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_opType)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_opType)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_opType)+(3))|0)]=tempBigInt&0xff; //@line 83 "Elementizer.cpp"
 var $m_pSymbolEntry=(($this1+16)|0); //@line 84 "Elementizer.cpp"
 tempBigInt=0;HEAP8[($m_pSymbolEntry)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pSymbolEntry)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pSymbolEntry)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pSymbolEntry)+(3))|0)]=tempBigInt&0xff; //@line 84 "Elementizer.cpp"
 $error=-1; //@line 87 "Elementizer.cpp"
 var $5=$bEof_addr; //@line 88 "Elementizer.cpp"
 HEAP8[($5)]=0; //@line 88 "Elementizer.cpp"
 $bDocComment=0; //@line 89 "Elementizer.cpp"
 $constantBase=0; //@line 90 "Elementizer.cpp"
 var $m_pCompilerData=(($this1)|0); //@line 93 "Elementizer.cpp"
 var $6=((((HEAPU8[($m_pCompilerData)])|(HEAPU8[((($m_pCompilerData)+(1))|0)]<<8)|(HEAPU8[((($m_pCompilerData)+(2))|0)]<<16)|(HEAPU8[((($m_pCompilerData)+(3))|0)]<<24))|0)); //@line 93 "Elementizer.cpp"
 var $7=$6; //@line 93 "Elementizer.cpp"
 var $source=(($7+12)|0); //@line 93 "Elementizer.cpp"
 var $8=((((HEAPU8[($source)])|(HEAPU8[((($source)+(1))|0)]<<8)|(HEAPU8[((($source)+(2))|0)]<<16)|(HEAPU8[((($source)+(3))|0)]<<24))|0)); //@line 93 "Elementizer.cpp"
 $pSource=$8; //@line 93 "Elementizer.cpp"
 var $m_sourceOffset7=(($this1+8)|0); //@line 94 "Elementizer.cpp"
 var $9=((((HEAPU8[($m_sourceOffset7)])|(HEAPU8[((($m_sourceOffset7)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset7)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset7)+(3))|0)]<<24))|0)); //@line 94 "Elementizer.cpp"
 $sourceStart=$9; //@line 94 "Elementizer.cpp"
 var $m_currentSymbol=(($this1+64)|0); //@line 96 "Elementizer.cpp"
 var $arrayidx8=(($m_currentSymbol)|0); //@line 96 "Elementizer.cpp"
 HEAP8[($arrayidx8)]=0; //@line 96 "Elementizer.cpp"
 $symbolOffset=0; //@line 97 "Elementizer.cpp"
 label=2;break; //@line 99 "Elementizer.cpp"
 case 2: 
 var $m_sourceOffset9=(($this1+8)|0); //@line 101 "Elementizer.cpp"
 var $10=((((HEAPU8[($m_sourceOffset9)])|(HEAPU8[((($m_sourceOffset9)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset9)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset9)+(3))|0)]<<24))|0)); //@line 101 "Elementizer.cpp"
 var $inc10=((($10)+(1))|0); //@line 101 "Elementizer.cpp"
 tempBigInt=$inc10;HEAP8[($m_sourceOffset9)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset9)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset9)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset9)+(3))|0)]=tempBigInt&0xff; //@line 101 "Elementizer.cpp"
 var $11=$pSource; //@line 101 "Elementizer.cpp"
 var $arrayidx11=(($11+$10)|0); //@line 101 "Elementizer.cpp"
 var $12=HEAP8[($arrayidx11)]; //@line 101 "Elementizer.cpp"
 $currentChar=$12; //@line 101 "Elementizer.cpp"
 var $13=$constantBase; //@line 104 "Elementizer.cpp"
 var $cmp=($13|0)>0; //@line 104 "Elementizer.cpp"
 if($cmp){label=3;break;}else{label=19;break;} //@line 104 "Elementizer.cpp"
 case 3: 
 var $14=$currentChar; //@line 109 "Elementizer.cpp"
 var $conv12=(($14<<24)>>24); //@line 109 "Elementizer.cpp"
 var $cmp13=($conv12|0)==95; //@line 109 "Elementizer.cpp"
 if($cmp13){label=4;break;}else{label=5;break;} //@line 109 "Elementizer.cpp"
 case 4: 
 label=2;break; //@line 112 "Elementizer.cpp"
 case 5: 
 var $15=$currentChar; //@line 115 "Elementizer.cpp"
 var $16=$constantBase; //@line 115 "Elementizer.cpp"
 var $conv15=(($16)&255); //@line 115 "Elementizer.cpp"
 var $call=__Z10CheckDigitcRcc($15,$digitValue,$conv15); //@line 115 "Elementizer.cpp"
 if($call){label=17;break;}else{label=6;break;} //@line 115 "Elementizer.cpp"
 case 6: 
 var $m_sourceOffset17=(($this1+8)|0); //@line 118 "Elementizer.cpp"
 var $17=((((HEAPU8[($m_sourceOffset17)])|(HEAPU8[((($m_sourceOffset17)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset17)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset17)+(3))|0)]<<24))|0)); //@line 118 "Elementizer.cpp"
 var $18=$pSource; //@line 118 "Elementizer.cpp"
 var $arrayidx18=(($18+$17)|0); //@line 118 "Elementizer.cpp"
 var $19=HEAP8[($arrayidx18)]; //@line 118 "Elementizer.cpp"
 $nextChar=$19; //@line 118 "Elementizer.cpp"
 var $20=$nextChar; //@line 119 "Elementizer.cpp"
 var $21=$constantBase; //@line 119 "Elementizer.cpp"
 var $conv19=(($21)&255); //@line 119 "Elementizer.cpp"
 var $call20=__Z10CheckDigitcRcc($20,$notUsed,$conv19); //@line 119 "Elementizer.cpp"
 var $frombool=($call20&1); //@line 119 "Elementizer.cpp"
 $bNextCharDigit=$frombool; //@line 119 "Elementizer.cpp"
 var $22=$constantBase; //@line 121 "Elementizer.cpp"
 var $cmp21=($22|0)==10; //@line 121 "Elementizer.cpp"
 if($cmp21){label=7;break;}else{label=9;break;} //@line 121 "Elementizer.cpp"
 case 7: 
 var $23=$currentChar; //@line 121 "Elementizer.cpp"
 var $conv22=(($23<<24)>>24); //@line 121 "Elementizer.cpp"
 var $cmp23=($conv22|0)==46; //@line 121 "Elementizer.cpp"
 if($cmp23){label=8;break;}else{label=9;break;} //@line 121 "Elementizer.cpp"
 case 8: 
 var $24=$bNextCharDigit; //@line 121 "Elementizer.cpp"
 var $tobool=(($24)&1); //@line 121 "Elementizer.cpp"
 if($tobool){label=11;break;}else{label=9;break;} //@line 121 "Elementizer.cpp"
 case 9: 
 var $25=$currentChar; //@line 121 "Elementizer.cpp"
 var $conv25=(($25<<24)>>24); //@line 121 "Elementizer.cpp"
 var $cmp26=($conv25|0)==101; //@line 121 "Elementizer.cpp"
 if($cmp26){label=11;break;}else{label=10;break;} //@line 121 "Elementizer.cpp"
 case 10: 
 var $26=$currentChar; //@line 121 "Elementizer.cpp"
 var $conv28=(($26<<24)>>24); //@line 121 "Elementizer.cpp"
 var $cmp29=($conv28|0)==69; //@line 121 "Elementizer.cpp"
 if($cmp29){label=11;break;}else{label=15;break;} //@line 121 "Elementizer.cpp"
 case 11: 
 var $27=$sourceStart; //@line 126 "Elementizer.cpp"
 var $m_sourceOffset31=(($this1+8)|0); //@line 126 "Elementizer.cpp"
 tempBigInt=$27;HEAP8[($m_sourceOffset31)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset31)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset31)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset31)+(3))|0)]=tempBigInt&0xff; //@line 126 "Elementizer.cpp"
 var $28=$pSource; //@line 127 "Elementizer.cpp"
 var $m_sourceOffset32=(($this1+8)|0); //@line 127 "Elementizer.cpp"
 var $m_value33=(($this1+24)|0); //@line 127 "Elementizer.cpp"
 var $call34=__Z8GetFloatPcRiS0_($28,$m_sourceOffset32,$m_value33); //@line 127 "Elementizer.cpp"
 if($call34){label=12;break;}else{label=13;break;} //@line 127 "Elementizer.cpp"
 case 12: 
 var $m_sourceOffset36=(($this1+8)|0); //@line 129 "Elementizer.cpp"
 var $29=((((HEAPU8[($m_sourceOffset36)])|(HEAPU8[((($m_sourceOffset36)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset36)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset36)+(3))|0)]<<24))|0)); //@line 129 "Elementizer.cpp"
 var $dec=((($29)-(1))|0); //@line 129 "Elementizer.cpp"
 tempBigInt=$dec;HEAP8[($m_sourceOffset36)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset36)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset36)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset36)+(3))|0)]=tempBigInt&0xff; //@line 129 "Elementizer.cpp"
 var $m_type37=(($this1+20)|0); //@line 130 "Elementizer.cpp"
 tempBigInt=68;HEAP8[($m_type37)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type37)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type37)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type37)+(3))|0)]=tempBigInt&0xff; //@line 130 "Elementizer.cpp"
 label=14;break; //@line 131 "Elementizer.cpp"
 case 13: 
 $error=59; //@line 134 "Elementizer.cpp"
 label=14;break;
 case 14: 
 label=16;break; //@line 136 "Elementizer.cpp"
 case 15: 
 var $m_sourceOffset40=(($this1+8)|0); //@line 140 "Elementizer.cpp"
 var $30=((((HEAPU8[($m_sourceOffset40)])|(HEAPU8[((($m_sourceOffset40)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset40)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset40)+(3))|0)]<<24))|0)); //@line 140 "Elementizer.cpp"
 var $dec41=((($30)-(1))|0); //@line 140 "Elementizer.cpp"
 tempBigInt=$dec41;HEAP8[($m_sourceOffset40)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset40)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset40)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset40)+(3))|0)]=tempBigInt&0xff; //@line 140 "Elementizer.cpp"
 var $m_type42=(($this1+20)|0); //@line 141 "Elementizer.cpp"
 tempBigInt=67;HEAP8[($m_type42)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type42)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type42)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type42)+(3))|0)]=tempBigInt&0xff; //@line 141 "Elementizer.cpp"
 label=16;break;
 case 16: 
 $constantBase=0; //@line 143 "Elementizer.cpp"
 label=135;break; //@line 144 "Elementizer.cpp"
 case 17: 
 var $31=$constantBase; //@line 149 "Elementizer.cpp"
 var $m_value45=(($this1+24)|0); //@line 149 "Elementizer.cpp"
 var $32=((((HEAPU8[($m_value45)])|(HEAPU8[((($m_value45)+(1))|0)]<<8)|(HEAPU8[((($m_value45)+(2))|0)]<<16)|(HEAPU8[((($m_value45)+(3))|0)]<<24))|0)); //@line 149 "Elementizer.cpp"
 var $mul=(Math_imul($32,$31)|0); //@line 149 "Elementizer.cpp"
 tempBigInt=$mul;HEAP8[($m_value45)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value45)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value45)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value45)+(3))|0)]=tempBigInt&0xff; //@line 149 "Elementizer.cpp"
 var $33=HEAP8[($digitValue)]; //@line 150 "Elementizer.cpp"
 var $conv46=(($33<<24)>>24); //@line 150 "Elementizer.cpp"
 var $m_value47=(($this1+24)|0); //@line 150 "Elementizer.cpp"
 var $34=((((HEAPU8[($m_value47)])|(HEAPU8[((($m_value47)+(1))|0)]<<8)|(HEAPU8[((($m_value47)+(2))|0)]<<16)|(HEAPU8[((($m_value47)+(3))|0)]<<24))|0)); //@line 150 "Elementizer.cpp"
 var $add=((($34)+($conv46))|0); //@line 150 "Elementizer.cpp"
 tempBigInt=$add;HEAP8[($m_value47)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value47)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value47)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value47)+(3))|0)]=tempBigInt&0xff; //@line 150 "Elementizer.cpp"
 label=18;break;
 case 18: 
 label=2;break; //@line 152 "Elementizer.cpp"
 case 19: 
 var $m_sourceFlags50=(($this1+12)|0); //@line 154 "Elementizer.cpp"
 var $35=HEAP8[($m_sourceFlags50)]; //@line 154 "Elementizer.cpp"
 var $conv51=($35&255); //@line 154 "Elementizer.cpp"
 var $cmp52=($conv51|0)!=0; //@line 154 "Elementizer.cpp"
 if($cmp52){label=20;break;}else{label=33;break;} //@line 154 "Elementizer.cpp"
 case 20: 
 var $m_sourceFlags54=(($this1+12)|0); //@line 163 "Elementizer.cpp"
 var $36=HEAP8[($m_sourceFlags54)]; //@line 163 "Elementizer.cpp"
 var $conv55=($36&255); //@line 163 "Elementizer.cpp"
 var $cmp56=($conv55|0)==1; //@line 163 "Elementizer.cpp"
 if($cmp56){label=21;break;}else{label=22;break;} //@line 163 "Elementizer.cpp"
 case 21: 
 var $m_sourceFlags58=(($this1+12)|0); //@line 165 "Elementizer.cpp"
 var $37=HEAP8[($m_sourceFlags58)]; //@line 165 "Elementizer.cpp"
 var $inc59=((($37)+(1))&255); //@line 165 "Elementizer.cpp"
 HEAP8[($m_sourceFlags58)]=$inc59; //@line 165 "Elementizer.cpp"
 var $m_sourceOffset60=(($this1+8)|0); //@line 166 "Elementizer.cpp"
 var $38=((((HEAPU8[($m_sourceOffset60)])|(HEAPU8[((($m_sourceOffset60)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset60)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset60)+(3))|0)]<<24))|0)); //@line 166 "Elementizer.cpp"
 var $dec61=((($38)-(1))|0); //@line 166 "Elementizer.cpp"
 tempBigInt=$dec61;HEAP8[($m_sourceOffset60)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset60)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset60)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset60)+(3))|0)]=tempBigInt&0xff; //@line 166 "Elementizer.cpp"
 var $m_type62=(($this1+20)|0); //@line 167 "Elementizer.cpp"
 tempBigInt=5;HEAP8[($m_type62)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type62)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type62)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type62)+(3))|0)]=tempBigInt&0xff; //@line 167 "Elementizer.cpp"
 label=135;break; //@line 168 "Elementizer.cpp"
 case 22: 
 var $m_sourceFlags64=(($this1+12)|0); //@line 172 "Elementizer.cpp"
 HEAP8[($m_sourceFlags64)]=0; //@line 172 "Elementizer.cpp"
 var $39=$currentChar; //@line 175 "Elementizer.cpp"
 var $conv65=(($39<<24)>>24); //@line 175 "Elementizer.cpp"
 var $cmp66=($conv65|0)==34; //@line 175 "Elementizer.cpp"
 if($cmp66){label=23;break;}else{label=24;break;} //@line 175 "Elementizer.cpp"
 case 23: 
 $error=55; //@line 177 "Elementizer.cpp"
 label=135;break; //@line 178 "Elementizer.cpp"
 case 24: 
 var $40=$currentChar; //@line 180 "Elementizer.cpp"
 var $conv69=(($40<<24)>>24); //@line 180 "Elementizer.cpp"
 var $cmp70=($conv69|0)==0; //@line 180 "Elementizer.cpp"
 if($cmp70){label=25;break;}else{label=26;break;} //@line 180 "Elementizer.cpp"
 case 25: 
 var $m_sourceOffset72=(($this1+8)|0); //@line 182 "Elementizer.cpp"
 var $41=((((HEAPU8[($m_sourceOffset72)])|(HEAPU8[((($m_sourceOffset72)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset72)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset72)+(3))|0)]<<24))|0)); //@line 182 "Elementizer.cpp"
 var $dec73=((($41)-(1))|0); //@line 182 "Elementizer.cpp"
 tempBigInt=$dec73;HEAP8[($m_sourceOffset72)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset72)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset72)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset72)+(3))|0)]=tempBigInt&0xff; //@line 182 "Elementizer.cpp"
 $error=26; //@line 183 "Elementizer.cpp"
 label=135;break; //@line 184 "Elementizer.cpp"
 case 26: 
 var $42=$currentChar; //@line 186 "Elementizer.cpp"
 var $conv75=(($42<<24)>>24); //@line 186 "Elementizer.cpp"
 var $cmp76=($conv75|0)==13; //@line 186 "Elementizer.cpp"
 if($cmp76){label=27;break;}else{label=28;break;} //@line 186 "Elementizer.cpp"
 case 27: 
 $error=26; //@line 188 "Elementizer.cpp"
 label=135;break; //@line 189 "Elementizer.cpp"
 case 28: 
 label=29;break;
 case 29: 
 label=30;break;
 case 30: 
 var $43=$currentChar; //@line 193 "Elementizer.cpp"
 var $conv81=(($43<<24)>>24); //@line 193 "Elementizer.cpp"
 var $m_value82=(($this1+24)|0); //@line 193 "Elementizer.cpp"
 tempBigInt=$conv81;HEAP8[($m_value82)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value82)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value82)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value82)+(3))|0)]=tempBigInt&0xff; //@line 193 "Elementizer.cpp"
 var $m_sourceOffset83=(($this1+8)|0); //@line 198 "Elementizer.cpp"
 var $44=((((HEAPU8[($m_sourceOffset83)])|(HEAPU8[((($m_sourceOffset83)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset83)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset83)+(3))|0)]<<24))|0)); //@line 198 "Elementizer.cpp"
 var $inc84=((($44)+(1))|0); //@line 198 "Elementizer.cpp"
 tempBigInt=$inc84;HEAP8[($m_sourceOffset83)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset83)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset83)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset83)+(3))|0)]=tempBigInt&0xff; //@line 198 "Elementizer.cpp"
 var $45=$pSource; //@line 198 "Elementizer.cpp"
 var $arrayidx85=(($45+$44)|0); //@line 198 "Elementizer.cpp"
 var $46=HEAP8[($arrayidx85)]; //@line 198 "Elementizer.cpp"
 $currentChar=$46; //@line 198 "Elementizer.cpp"
 var $47=$currentChar; //@line 199 "Elementizer.cpp"
 var $conv86=(($47<<24)>>24); //@line 199 "Elementizer.cpp"
 var $cmp87=($conv86|0)!=34; //@line 199 "Elementizer.cpp"
 if($cmp87){label=31;break;}else{label=32;break;} //@line 199 "Elementizer.cpp"
 case 31: 
 var $m_sourceOffset89=(($this1+8)|0); //@line 201 "Elementizer.cpp"
 var $48=((((HEAPU8[($m_sourceOffset89)])|(HEAPU8[((($m_sourceOffset89)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset89)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset89)+(3))|0)]<<24))|0)); //@line 201 "Elementizer.cpp"
 var $dec90=((($48)-(1))|0); //@line 201 "Elementizer.cpp"
 tempBigInt=$dec90;HEAP8[($m_sourceOffset89)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset89)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset89)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset89)+(3))|0)]=tempBigInt&0xff; //@line 201 "Elementizer.cpp"
 var $m_sourceFlags91=(($this1+12)|0); //@line 202 "Elementizer.cpp"
 var $49=HEAP8[($m_sourceFlags91)]; //@line 202 "Elementizer.cpp"
 var $inc92=((($49)+(1))&255); //@line 202 "Elementizer.cpp"
 HEAP8[($m_sourceFlags91)]=$inc92; //@line 202 "Elementizer.cpp"
 label=32;break; //@line 203 "Elementizer.cpp"
 case 32: 
 var $m_type94=(($this1+20)|0); //@line 206 "Elementizer.cpp"
 tempBigInt=67;HEAP8[($m_type94)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type94)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type94)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type94)+(3))|0)]=tempBigInt&0xff; //@line 206 "Elementizer.cpp"
 label=135;break; //@line 207 "Elementizer.cpp"
 case 33: 
 var $50=$currentChar; //@line 209 "Elementizer.cpp"
 var $conv96=(($50<<24)>>24); //@line 209 "Elementizer.cpp"
 var $cmp97=($conv96|0)==34; //@line 209 "Elementizer.cpp"
 if($cmp97){label=34;break;}else{label=45;break;} //@line 209 "Elementizer.cpp"
 case 34: 
 var $m_sourceOffset99=(($this1+8)|0); //@line 216 "Elementizer.cpp"
 var $51=((((HEAPU8[($m_sourceOffset99)])|(HEAPU8[((($m_sourceOffset99)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset99)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset99)+(3))|0)]<<24))|0)); //@line 216 "Elementizer.cpp"
 var $inc100=((($51)+(1))|0); //@line 216 "Elementizer.cpp"
 tempBigInt=$inc100;HEAP8[($m_sourceOffset99)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset99)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset99)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset99)+(3))|0)]=tempBigInt&0xff; //@line 216 "Elementizer.cpp"
 var $52=$pSource; //@line 216 "Elementizer.cpp"
 var $arrayidx101=(($52+$51)|0); //@line 216 "Elementizer.cpp"
 var $53=HEAP8[($arrayidx101)]; //@line 216 "Elementizer.cpp"
 $currentChar=$53; //@line 216 "Elementizer.cpp"
 var $54=$currentChar; //@line 219 "Elementizer.cpp"
 var $conv102=(($54<<24)>>24); //@line 219 "Elementizer.cpp"
 var $cmp103=($conv102|0)==34; //@line 219 "Elementizer.cpp"
 if($cmp103){label=35;break;}else{label=36;break;} //@line 219 "Elementizer.cpp"
 case 35: 
 $error=55; //@line 221 "Elementizer.cpp"
 label=135;break; //@line 222 "Elementizer.cpp"
 case 36: 
 var $55=$currentChar; //@line 224 "Elementizer.cpp"
 var $conv106=(($55<<24)>>24); //@line 224 "Elementizer.cpp"
 var $cmp107=($conv106|0)==0; //@line 224 "Elementizer.cpp"
 if($cmp107){label=37;break;}else{label=38;break;} //@line 224 "Elementizer.cpp"
 case 37: 
 var $m_sourceOffset109=(($this1+8)|0); //@line 226 "Elementizer.cpp"
 var $56=((((HEAPU8[($m_sourceOffset109)])|(HEAPU8[((($m_sourceOffset109)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset109)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset109)+(3))|0)]<<24))|0)); //@line 226 "Elementizer.cpp"
 var $dec110=((($56)-(1))|0); //@line 226 "Elementizer.cpp"
 tempBigInt=$dec110;HEAP8[($m_sourceOffset109)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset109)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset109)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset109)+(3))|0)]=tempBigInt&0xff; //@line 226 "Elementizer.cpp"
 $error=26; //@line 227 "Elementizer.cpp"
 label=135;break; //@line 228 "Elementizer.cpp"
 case 38: 
 var $57=$currentChar; //@line 230 "Elementizer.cpp"
 var $conv112=(($57<<24)>>24); //@line 230 "Elementizer.cpp"
 var $cmp113=($conv112|0)==13; //@line 230 "Elementizer.cpp"
 if($cmp113){label=39;break;}else{label=40;break;} //@line 230 "Elementizer.cpp"
 case 39: 
 $error=26; //@line 232 "Elementizer.cpp"
 label=135;break; //@line 233 "Elementizer.cpp"
 case 40: 
 label=41;break;
 case 41: 
 label=42;break;
 case 42: 
 var $58=$currentChar; //@line 237 "Elementizer.cpp"
 var $conv118=(($58<<24)>>24); //@line 237 "Elementizer.cpp"
 var $and119=$conv118&255; //@line 237 "Elementizer.cpp"
 var $m_value120=(($this1+24)|0); //@line 237 "Elementizer.cpp"
 tempBigInt=$and119;HEAP8[($m_value120)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value120)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value120)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value120)+(3))|0)]=tempBigInt&0xff; //@line 237 "Elementizer.cpp"
 var $m_sourceOffset121=(($this1+8)|0); //@line 242 "Elementizer.cpp"
 var $59=((((HEAPU8[($m_sourceOffset121)])|(HEAPU8[((($m_sourceOffset121)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset121)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset121)+(3))|0)]<<24))|0)); //@line 242 "Elementizer.cpp"
 var $inc122=((($59)+(1))|0); //@line 242 "Elementizer.cpp"
 tempBigInt=$inc122;HEAP8[($m_sourceOffset121)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset121)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset121)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset121)+(3))|0)]=tempBigInt&0xff; //@line 242 "Elementizer.cpp"
 var $60=$pSource; //@line 242 "Elementizer.cpp"
 var $arrayidx123=(($60+$59)|0); //@line 242 "Elementizer.cpp"
 var $61=HEAP8[($arrayidx123)]; //@line 242 "Elementizer.cpp"
 $currentChar=$61; //@line 242 "Elementizer.cpp"
 var $62=$currentChar; //@line 243 "Elementizer.cpp"
 var $conv124=(($62<<24)>>24); //@line 243 "Elementizer.cpp"
 var $cmp125=($conv124|0)!=34; //@line 243 "Elementizer.cpp"
 if($cmp125){label=43;break;}else{label=44;break;} //@line 243 "Elementizer.cpp"
 case 43: 
 var $m_sourceOffset127=(($this1+8)|0); //@line 245 "Elementizer.cpp"
 var $63=((((HEAPU8[($m_sourceOffset127)])|(HEAPU8[((($m_sourceOffset127)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset127)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset127)+(3))|0)]<<24))|0)); //@line 245 "Elementizer.cpp"
 var $dec128=((($63)-(1))|0); //@line 245 "Elementizer.cpp"
 tempBigInt=$dec128;HEAP8[($m_sourceOffset127)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset127)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset127)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset127)+(3))|0)]=tempBigInt&0xff; //@line 245 "Elementizer.cpp"
 var $m_sourceFlags129=(($this1+12)|0); //@line 246 "Elementizer.cpp"
 HEAP8[($m_sourceFlags129)]=1; //@line 246 "Elementizer.cpp"
 label=44;break; //@line 247 "Elementizer.cpp"
 case 44: 
 var $m_type131=(($this1+20)|0); //@line 250 "Elementizer.cpp"
 tempBigInt=67;HEAP8[($m_type131)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type131)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type131)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type131)+(3))|0)]=tempBigInt&0xff; //@line 250 "Elementizer.cpp"
 label=135;break; //@line 251 "Elementizer.cpp"
 case 45: 
 var $64=$currentChar; //@line 253 "Elementizer.cpp"
 var $conv133=(($64<<24)>>24); //@line 253 "Elementizer.cpp"
 var $cmp134=($conv133|0)==0; //@line 253 "Elementizer.cpp"
 if($cmp134){label=46;break;}else{label=47;break;} //@line 253 "Elementizer.cpp"
 case 46: 
 var $m_type136=(($this1+20)|0); //@line 256 "Elementizer.cpp"
 tempBigInt=84;HEAP8[($m_type136)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type136)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type136)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type136)+(3))|0)]=tempBigInt&0xff; //@line 256 "Elementizer.cpp"
 var $65=$bEof_addr; //@line 257 "Elementizer.cpp"
 HEAP8[($65)]=1; //@line 257 "Elementizer.cpp"
 var $m_sourceOffset137=(($this1+8)|0); //@line 258 "Elementizer.cpp"
 var $66=((((HEAPU8[($m_sourceOffset137)])|(HEAPU8[((($m_sourceOffset137)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset137)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset137)+(3))|0)]<<24))|0)); //@line 258 "Elementizer.cpp"
 var $dec138=((($66)-(1))|0); //@line 258 "Elementizer.cpp"
 tempBigInt=$dec138;HEAP8[($m_sourceOffset137)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset137)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset137)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset137)+(3))|0)]=tempBigInt&0xff; //@line 258 "Elementizer.cpp"
 var $m_sourceOffset139=(($this1+8)|0); //@line 259 "Elementizer.cpp"
 var $67=((((HEAPU8[($m_sourceOffset139)])|(HEAPU8[((($m_sourceOffset139)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset139)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset139)+(3))|0)]<<24))|0)); //@line 259 "Elementizer.cpp"
 $sourceStart=$67; //@line 259 "Elementizer.cpp"
 label=135;break; //@line 260 "Elementizer.cpp"
 case 47: 
 var $68=$currentChar; //@line 262 "Elementizer.cpp"
 var $conv141=(($68<<24)>>24); //@line 262 "Elementizer.cpp"
 var $cmp142=($conv141|0)==13; //@line 262 "Elementizer.cpp"
 if($cmp142){label=48;break;}else{label=49;break;} //@line 262 "Elementizer.cpp"
 case 48: 
 var $m_type144=(($this1+20)|0); //@line 265 "Elementizer.cpp"
 tempBigInt=84;HEAP8[($m_type144)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type144)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type144)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type144)+(3))|0)]=tempBigInt&0xff; //@line 265 "Elementizer.cpp"
 label=135;break; //@line 266 "Elementizer.cpp"
 case 49: 
 var $69=$currentChar; //@line 268 "Elementizer.cpp"
 var $conv146=(($69<<24)>>24); //@line 268 "Elementizer.cpp"
 var $cmp147=($conv146|0)<=32; //@line 268 "Elementizer.cpp"
 if($cmp147){label=50;break;}else{label=51;break;} //@line 268 "Elementizer.cpp"
 case 50: 
 var $m_sourceOffset149=(($this1+8)|0); //@line 271 "Elementizer.cpp"
 var $70=((((HEAPU8[($m_sourceOffset149)])|(HEAPU8[((($m_sourceOffset149)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset149)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset149)+(3))|0)]<<24))|0)); //@line 271 "Elementizer.cpp"
 $sourceStart=$70; //@line 271 "Elementizer.cpp"
 label=2;break; //@line 272 "Elementizer.cpp"
 case 51: 
 var $71=$currentChar; //@line 274 "Elementizer.cpp"
 var $conv151=(($71<<24)>>24); //@line 274 "Elementizer.cpp"
 var $cmp152=($conv151|0)==39; //@line 274 "Elementizer.cpp"
 if($cmp152){label=52;break;}else{label=63;break;} //@line 274 "Elementizer.cpp"
 case 52: 
 var $m_sourceOffset154=(($this1+8)|0); //@line 278 "Elementizer.cpp"
 var $72=((((HEAPU8[($m_sourceOffset154)])|(HEAPU8[((($m_sourceOffset154)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset154)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset154)+(3))|0)]<<24))|0)); //@line 278 "Elementizer.cpp"
 var $73=$pSource; //@line 278 "Elementizer.cpp"
 var $arrayidx155=(($73+$72)|0); //@line 278 "Elementizer.cpp"
 var $74=HEAP8[($arrayidx155)]; //@line 278 "Elementizer.cpp"
 var $conv156=(($74<<24)>>24); //@line 278 "Elementizer.cpp"
 var $cmp157=($conv156|0)==39; //@line 278 "Elementizer.cpp"
 if($cmp157){label=53;break;}else{label=54;break;} //@line 278 "Elementizer.cpp"
 case 53: 
 var $m_sourceOffset159=(($this1+8)|0); //@line 280 "Elementizer.cpp"
 var $75=((((HEAPU8[($m_sourceOffset159)])|(HEAPU8[((($m_sourceOffset159)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset159)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset159)+(3))|0)]<<24))|0)); //@line 280 "Elementizer.cpp"
 var $inc160=((($75)+(1))|0); //@line 280 "Elementizer.cpp"
 tempBigInt=$inc160;HEAP8[($m_sourceOffset159)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset159)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset159)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset159)+(3))|0)]=tempBigInt&0xff; //@line 280 "Elementizer.cpp"
 $bDocComment=1; //@line 281 "Elementizer.cpp"
 var $76=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 282 "Elementizer.cpp"
 var $doc_flag=(($76+16979570)|0); //@line 282 "Elementizer.cpp"
 HEAP8[($doc_flag)]=1; //@line 282 "Elementizer.cpp"
 label=54;break; //@line 283 "Elementizer.cpp"
 case 54: 
 label=55;break; //@line 284 "Elementizer.cpp"
 case 55: 
 var $m_sourceOffset164=(($this1+8)|0); //@line 286 "Elementizer.cpp"
 var $77=((((HEAPU8[($m_sourceOffset164)])|(HEAPU8[((($m_sourceOffset164)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset164)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset164)+(3))|0)]<<24))|0)); //@line 286 "Elementizer.cpp"
 var $inc165=((($77)+(1))|0); //@line 286 "Elementizer.cpp"
 tempBigInt=$inc165;HEAP8[($m_sourceOffset164)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset164)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset164)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset164)+(3))|0)]=tempBigInt&0xff; //@line 286 "Elementizer.cpp"
 var $78=$pSource; //@line 286 "Elementizer.cpp"
 var $arrayidx166=(($78+$77)|0); //@line 286 "Elementizer.cpp"
 var $79=HEAP8[($arrayidx166)]; //@line 286 "Elementizer.cpp"
 $currentChar=$79; //@line 286 "Elementizer.cpp"
 var $80=$currentChar; //@line 287 "Elementizer.cpp"
 var $conv167=(($80<<24)>>24); //@line 287 "Elementizer.cpp"
 var $cmp168=($conv167|0)==0; //@line 287 "Elementizer.cpp"
 if($cmp168){label=56;break;}else{label=57;break;} //@line 287 "Elementizer.cpp"
 case 56: 
 var $m_sourceOffset170=(($this1+8)|0); //@line 289 "Elementizer.cpp"
 var $81=((((HEAPU8[($m_sourceOffset170)])|(HEAPU8[((($m_sourceOffset170)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset170)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset170)+(3))|0)]<<24))|0)); //@line 289 "Elementizer.cpp"
 var $dec171=((($81)-(1))|0); //@line 289 "Elementizer.cpp"
 tempBigInt=$dec171;HEAP8[($m_sourceOffset170)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset170)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset170)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset170)+(3))|0)]=tempBigInt&0xff; //@line 289 "Elementizer.cpp"
 var $m_type172=(($this1+20)|0); //@line 290 "Elementizer.cpp"
 tempBigInt=84;HEAP8[($m_type172)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type172)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type172)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type172)+(3))|0)]=tempBigInt&0xff; //@line 290 "Elementizer.cpp"
 var $82=$bEof_addr; //@line 291 "Elementizer.cpp"
 HEAP8[($82)]=1; //@line 291 "Elementizer.cpp"
 label=62;break; //@line 292 "Elementizer.cpp"
 case 57: 
 var $83=$bDocComment; //@line 294 "Elementizer.cpp"
 var $tobool174=(($83)&1); //@line 294 "Elementizer.cpp"
 if($tobool174){label=58;break;}else{label=59;break;} //@line 294 "Elementizer.cpp"
 case 58: 
 var $84=$currentChar; //@line 296 "Elementizer.cpp"
 var $call176=__Z8DocPrintc($84); //@line 296 "Elementizer.cpp"
 label=59;break; //@line 297 "Elementizer.cpp"
 case 59: 
 var $85=$currentChar; //@line 298 "Elementizer.cpp"
 var $conv178=(($85<<24)>>24); //@line 298 "Elementizer.cpp"
 var $cmp179=($conv178|0)==13; //@line 298 "Elementizer.cpp"
 if($cmp179){label=60;break;}else{label=61;break;} //@line 298 "Elementizer.cpp"
 case 60: 
 var $m_type181=(($this1+20)|0); //@line 300 "Elementizer.cpp"
 tempBigInt=84;HEAP8[($m_type181)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type181)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type181)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type181)+(3))|0)]=tempBigInt&0xff; //@line 300 "Elementizer.cpp"
 label=62;break; //@line 301 "Elementizer.cpp"
 case 61: 
 label=55;break; //@line 303 "Elementizer.cpp"
 case 62: 
 label=135;break; //@line 304 "Elementizer.cpp"
 case 63: 
 var $86=$currentChar; //@line 306 "Elementizer.cpp"
 var $conv184=(($86<<24)>>24); //@line 306 "Elementizer.cpp"
 var $cmp185=($conv184|0)==123; //@line 306 "Elementizer.cpp"
 if($cmp185){label=64;break;}else{label=96;break;} //@line 306 "Elementizer.cpp"
 case 64: 
 $braceCommentLevel=1; //@line 310 "Elementizer.cpp"
 var $m_sourceOffset187=(($this1+8)|0); //@line 311 "Elementizer.cpp"
 var $87=((((HEAPU8[($m_sourceOffset187)])|(HEAPU8[((($m_sourceOffset187)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset187)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset187)+(3))|0)]<<24))|0)); //@line 311 "Elementizer.cpp"
 var $88=$pSource; //@line 311 "Elementizer.cpp"
 var $arrayidx188=(($88+$87)|0); //@line 311 "Elementizer.cpp"
 var $89=HEAP8[($arrayidx188)]; //@line 311 "Elementizer.cpp"
 var $conv189=(($89<<24)>>24); //@line 311 "Elementizer.cpp"
 var $cmp190=($conv189|0)==123; //@line 311 "Elementizer.cpp"
 if($cmp190){label=65;break;}else{label=68;break;} //@line 311 "Elementizer.cpp"
 case 65: 
 var $m_sourceOffset192=(($this1+8)|0); //@line 313 "Elementizer.cpp"
 var $90=((((HEAPU8[($m_sourceOffset192)])|(HEAPU8[((($m_sourceOffset192)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset192)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset192)+(3))|0)]<<24))|0)); //@line 313 "Elementizer.cpp"
 var $inc193=((($90)+(1))|0); //@line 313 "Elementizer.cpp"
 tempBigInt=$inc193;HEAP8[($m_sourceOffset192)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset192)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset192)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset192)+(3))|0)]=tempBigInt&0xff; //@line 313 "Elementizer.cpp"
 $bDocComment=1; //@line 314 "Elementizer.cpp"
 var $91=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 315 "Elementizer.cpp"
 var $doc_flag194=(($91+16979570)|0); //@line 315 "Elementizer.cpp"
 HEAP8[($doc_flag194)]=1; //@line 315 "Elementizer.cpp"
 var $m_sourceOffset195=(($this1+8)|0); //@line 316 "Elementizer.cpp"
 var $92=((((HEAPU8[($m_sourceOffset195)])|(HEAPU8[((($m_sourceOffset195)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset195)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset195)+(3))|0)]<<24))|0)); //@line 316 "Elementizer.cpp"
 var $93=$pSource; //@line 316 "Elementizer.cpp"
 var $arrayidx196=(($93+$92)|0); //@line 316 "Elementizer.cpp"
 var $94=HEAP8[($arrayidx196)]; //@line 316 "Elementizer.cpp"
 var $conv197=(($94<<24)>>24); //@line 316 "Elementizer.cpp"
 var $cmp198=($conv197|0)==13; //@line 316 "Elementizer.cpp"
 if($cmp198){label=66;break;}else{label=67;break;} //@line 316 "Elementizer.cpp"
 case 66: 
 var $m_sourceOffset200=(($this1+8)|0); //@line 318 "Elementizer.cpp"
 var $95=((((HEAPU8[($m_sourceOffset200)])|(HEAPU8[((($m_sourceOffset200)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset200)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset200)+(3))|0)]<<24))|0)); //@line 318 "Elementizer.cpp"
 var $inc201=((($95)+(1))|0); //@line 318 "Elementizer.cpp"
 tempBigInt=$inc201;HEAP8[($m_sourceOffset200)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset200)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset200)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset200)+(3))|0)]=tempBigInt&0xff; //@line 318 "Elementizer.cpp"
 label=67;break; //@line 319 "Elementizer.cpp"
 case 67: 
 label=68;break; //@line 320 "Elementizer.cpp"
 case 68: 
 label=69;break; //@line 321 "Elementizer.cpp"
 case 69: 
 var $m_sourceOffset206=(($this1+8)|0); //@line 323 "Elementizer.cpp"
 var $96=((((HEAPU8[($m_sourceOffset206)])|(HEAPU8[((($m_sourceOffset206)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset206)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset206)+(3))|0)]<<24))|0)); //@line 323 "Elementizer.cpp"
 var $inc207=((($96)+(1))|0); //@line 323 "Elementizer.cpp"
 tempBigInt=$inc207;HEAP8[($m_sourceOffset206)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset206)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset206)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset206)+(3))|0)]=tempBigInt&0xff; //@line 323 "Elementizer.cpp"
 var $97=$pSource; //@line 323 "Elementizer.cpp"
 var $arrayidx208=(($97+$96)|0); //@line 323 "Elementizer.cpp"
 var $98=HEAP8[($arrayidx208)]; //@line 323 "Elementizer.cpp"
 $currentChar=$98; //@line 323 "Elementizer.cpp"
 var $99=$currentChar; //@line 324 "Elementizer.cpp"
 var $conv209=(($99<<24)>>24); //@line 324 "Elementizer.cpp"
 var $cmp210=($conv209|0)==0; //@line 324 "Elementizer.cpp"
 if($cmp210){label=70;break;}else{label=74;break;} //@line 324 "Elementizer.cpp"
 case 70: 
 var $100=$bDocComment; //@line 326 "Elementizer.cpp"
 var $tobool212=(($100)&1); //@line 326 "Elementizer.cpp"
 if($tobool212){label=71;break;}else{label=72;break;} //@line 326 "Elementizer.cpp"
 case 71: 
 $error=52; //@line 328 "Elementizer.cpp"
 label=73;break; //@line 329 "Elementizer.cpp"
 case 72: 
 $error=51; //@line 332 "Elementizer.cpp"
 label=73;break;
 case 73: 
 var $m_sourceOffset216=(($this1+8)|0); //@line 334 "Elementizer.cpp"
 var $101=((((HEAPU8[($m_sourceOffset216)])|(HEAPU8[((($m_sourceOffset216)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset216)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset216)+(3))|0)]<<24))|0)); //@line 334 "Elementizer.cpp"
 var $dec217=((($101)-(1))|0); //@line 334 "Elementizer.cpp"
 tempBigInt=$dec217;HEAP8[($m_sourceOffset216)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset216)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset216)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset216)+(3))|0)]=tempBigInt&0xff; //@line 334 "Elementizer.cpp"
 var $m_sourceOffset218=(($this1+8)|0); //@line 335 "Elementizer.cpp"
 var $102=((((HEAPU8[($m_sourceOffset218)])|(HEAPU8[((($m_sourceOffset218)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset218)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset218)+(3))|0)]<<24))|0)); //@line 335 "Elementizer.cpp"
 $sourceStart=$102; //@line 335 "Elementizer.cpp"
 label=93;break; //@line 336 "Elementizer.cpp"
 case 74: 
 var $103=$bDocComment; //@line 338 "Elementizer.cpp"
 var $tobool220=(($103)&1); //@line 338 "Elementizer.cpp"
 if($tobool220){label=77;break;}else{label=75;break;} //@line 338 "Elementizer.cpp"
 case 75: 
 var $104=$currentChar; //@line 338 "Elementizer.cpp"
 var $conv222=(($104<<24)>>24); //@line 338 "Elementizer.cpp"
 var $cmp223=($conv222|0)==123; //@line 338 "Elementizer.cpp"
 if($cmp223){label=76;break;}else{label=77;break;} //@line 338 "Elementizer.cpp"
 case 76: 
 var $105=$braceCommentLevel; //@line 340 "Elementizer.cpp"
 var $inc225=((($105)+(1))|0); //@line 340 "Elementizer.cpp"
 $braceCommentLevel=$inc225; //@line 340 "Elementizer.cpp"
 label=91;break; //@line 341 "Elementizer.cpp"
 case 77: 
 var $106=$currentChar; //@line 342 "Elementizer.cpp"
 var $conv227=(($106<<24)>>24); //@line 342 "Elementizer.cpp"
 var $cmp228=($conv227|0)==125; //@line 342 "Elementizer.cpp"
 if($cmp228){label=78;break;}else{label=87;break;} //@line 342 "Elementizer.cpp"
 case 78: 
 var $107=$bDocComment; //@line 344 "Elementizer.cpp"
 var $tobool230=(($107)&1); //@line 344 "Elementizer.cpp"
 if($tobool230){label=79;break;}else{label=81;break;} //@line 344 "Elementizer.cpp"
 case 79: 
 var $m_sourceOffset232=(($this1+8)|0); //@line 344 "Elementizer.cpp"
 var $108=((((HEAPU8[($m_sourceOffset232)])|(HEAPU8[((($m_sourceOffset232)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset232)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset232)+(3))|0)]<<24))|0)); //@line 344 "Elementizer.cpp"
 var $109=$pSource; //@line 344 "Elementizer.cpp"
 var $arrayidx233=(($109+$108)|0); //@line 344 "Elementizer.cpp"
 var $110=HEAP8[($arrayidx233)]; //@line 344 "Elementizer.cpp"
 var $conv234=(($110<<24)>>24); //@line 344 "Elementizer.cpp"
 var $cmp235=($conv234|0)==125; //@line 344 "Elementizer.cpp"
 if($cmp235){label=80;break;}else{label=81;break;} //@line 344 "Elementizer.cpp"
 case 80: 
 var $m_sourceOffset237=(($this1+8)|0); //@line 346 "Elementizer.cpp"
 var $111=((((HEAPU8[($m_sourceOffset237)])|(HEAPU8[((($m_sourceOffset237)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset237)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset237)+(3))|0)]<<24))|0)); //@line 346 "Elementizer.cpp"
 var $inc238=((($111)+(1))|0); //@line 346 "Elementizer.cpp"
 tempBigInt=$inc238;HEAP8[($m_sourceOffset237)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset237)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset237)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset237)+(3))|0)]=tempBigInt&0xff; //@line 346 "Elementizer.cpp"
 label=93;break; //@line 347 "Elementizer.cpp"
 case 81: 
 var $112=$bDocComment; //@line 349 "Elementizer.cpp"
 var $tobool240=(($112)&1); //@line 349 "Elementizer.cpp"
 if($tobool240){label=85;break;}else{label=82;break;} //@line 349 "Elementizer.cpp"
 case 82: 
 var $113=$braceCommentLevel; //@line 351 "Elementizer.cpp"
 var $dec242=((($113)-(1))|0); //@line 351 "Elementizer.cpp"
 $braceCommentLevel=$dec242; //@line 351 "Elementizer.cpp"
 var $114=$braceCommentLevel; //@line 352 "Elementizer.cpp"
 var $cmp243=($114|0)<1; //@line 352 "Elementizer.cpp"
 if($cmp243){label=83;break;}else{label=84;break;} //@line 352 "Elementizer.cpp"
 case 83: 
 label=93;break; //@line 354 "Elementizer.cpp"
 case 84: 
 label=85;break; //@line 356 "Elementizer.cpp"
 case 85: 
 label=86;break;
 case 86: 
 label=90;break; //@line 357 "Elementizer.cpp"
 case 87: 
 var $115=$bDocComment; //@line 358 "Elementizer.cpp"
 var $tobool249=(($115)&1); //@line 358 "Elementizer.cpp"
 if($tobool249){label=88;break;}else{label=89;break;} //@line 358 "Elementizer.cpp"
 case 88: 
 var $116=$currentChar; //@line 360 "Elementizer.cpp"
 var $call251=__Z8DocPrintc($116); //@line 360 "Elementizer.cpp"
 label=89;break; //@line 361 "Elementizer.cpp"
 case 89: 
 label=90;break;
 case 90: 
 label=91;break;
 case 91: 
 label=92;break;
 case 92: 
 label=69;break; //@line 362 "Elementizer.cpp"
 case 93: 
 var $117=$error; //@line 363 "Elementizer.cpp"
 var $cmp257=($117|0)==-1; //@line 363 "Elementizer.cpp"
 if($cmp257){label=94;break;}else{label=95;break;} //@line 363 "Elementizer.cpp"
 case 94: 
 var $m_sourceOffset259=(($this1+8)|0); //@line 365 "Elementizer.cpp"
 var $118=((((HEAPU8[($m_sourceOffset259)])|(HEAPU8[((($m_sourceOffset259)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset259)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset259)+(3))|0)]<<24))|0)); //@line 365 "Elementizer.cpp"
 $sourceStart=$118; //@line 365 "Elementizer.cpp"
 label=2;break; //@line 366 "Elementizer.cpp"
 case 95: 
 label=135;break; //@line 370 "Elementizer.cpp"
 case 96: 
 var $119=$currentChar; //@line 373 "Elementizer.cpp"
 var $conv262=(($119<<24)>>24); //@line 373 "Elementizer.cpp"
 var $cmp263=($conv262|0)==125; //@line 373 "Elementizer.cpp"
 if($cmp263){label=97;break;}else{label=98;break;} //@line 373 "Elementizer.cpp"
 case 97: 
 $error=2; //@line 376 "Elementizer.cpp"
 label=135;break; //@line 377 "Elementizer.cpp"
 case 98: 
 var $120=$currentChar; //@line 379 "Elementizer.cpp"
 var $conv266=(($120<<24)>>24); //@line 379 "Elementizer.cpp"
 var $cmp267=($conv266|0)==37; //@line 379 "Elementizer.cpp"
 if($cmp267){label=99;break;}else{label=107;break;} //@line 379 "Elementizer.cpp"
 case 99: 
 var $m_sourceOffset269=(($this1+8)|0); //@line 382 "Elementizer.cpp"
 var $121=((((HEAPU8[($m_sourceOffset269)])|(HEAPU8[((($m_sourceOffset269)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset269)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset269)+(3))|0)]<<24))|0)); //@line 382 "Elementizer.cpp"
 var $inc270=((($121)+(1))|0); //@line 382 "Elementizer.cpp"
 tempBigInt=$inc270;HEAP8[($m_sourceOffset269)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset269)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset269)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset269)+(3))|0)]=tempBigInt&0xff; //@line 382 "Elementizer.cpp"
 var $122=$pSource; //@line 382 "Elementizer.cpp"
 var $arrayidx271=(($122+$121)|0); //@line 382 "Elementizer.cpp"
 var $123=HEAP8[($arrayidx271)]; //@line 382 "Elementizer.cpp"
 $currentChar=$123; //@line 382 "Elementizer.cpp"
 var $124=$currentChar; //@line 384 "Elementizer.cpp"
 var $conv272=(($124<<24)>>24); //@line 384 "Elementizer.cpp"
 var $cmp273=($conv272|0)==37; //@line 384 "Elementizer.cpp"
 if($cmp273){label=100;break;}else{label=103;break;} //@line 384 "Elementizer.cpp"
 case 100: 
 var $m_sourceOffset275=(($this1+8)|0); //@line 387 "Elementizer.cpp"
 var $125=((((HEAPU8[($m_sourceOffset275)])|(HEAPU8[((($m_sourceOffset275)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset275)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset275)+(3))|0)]<<24))|0)); //@line 387 "Elementizer.cpp"
 var $inc276=((($125)+(1))|0); //@line 387 "Elementizer.cpp"
 tempBigInt=$inc276;HEAP8[($m_sourceOffset275)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset275)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset275)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset275)+(3))|0)]=tempBigInt&0xff; //@line 387 "Elementizer.cpp"
 var $126=$pSource; //@line 387 "Elementizer.cpp"
 var $arrayidx277=(($126+$125)|0); //@line 387 "Elementizer.cpp"
 var $127=HEAP8[($arrayidx277)]; //@line 387 "Elementizer.cpp"
 $currentChar=$127; //@line 387 "Elementizer.cpp"
 var $128=$currentChar; //@line 388 "Elementizer.cpp"
 var $call278=__Z10CheckDigitcRcc($128,$temp,4); //@line 388 "Elementizer.cpp"
 if($call278){label=102;break;}else{label=101;break;} //@line 388 "Elementizer.cpp"
 case 101: 
 $error=64; //@line 390 "Elementizer.cpp"
 label=135;break; //@line 391 "Elementizer.cpp"
 case 102: 
 $constantBase=4; //@line 393 "Elementizer.cpp"
 label=106;break; //@line 394 "Elementizer.cpp"
 case 103: 
 var $129=$currentChar; //@line 397 "Elementizer.cpp"
 var $call282=__Z10CheckDigitcRcc($129,$temp,2); //@line 397 "Elementizer.cpp"
 if($call282){label=105;break;}else{label=104;break;} //@line 397 "Elementizer.cpp"
 case 104: 
 $error=64; //@line 399 "Elementizer.cpp"
 label=135;break; //@line 400 "Elementizer.cpp"
 case 105: 
 $constantBase=2; //@line 402 "Elementizer.cpp"
 label=106;break;
 case 106: 
 var $m_sourceOffset286=(($this1+8)|0); //@line 404 "Elementizer.cpp"
 var $130=((((HEAPU8[($m_sourceOffset286)])|(HEAPU8[((($m_sourceOffset286)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset286)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset286)+(3))|0)]<<24))|0)); //@line 404 "Elementizer.cpp"
 var $dec287=((($130)-(1))|0); //@line 404 "Elementizer.cpp"
 tempBigInt=$dec287;HEAP8[($m_sourceOffset286)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset286)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset286)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset286)+(3))|0)]=tempBigInt&0xff; //@line 404 "Elementizer.cpp"
 label=2;break; //@line 406 "Elementizer.cpp"
 case 107: 
 var $131=$currentChar; //@line 408 "Elementizer.cpp"
 var $conv289=(($131<<24)>>24); //@line 408 "Elementizer.cpp"
 var $cmp290=($conv289|0)==36; //@line 408 "Elementizer.cpp"
 if($cmp290){label=108;break;}else{label=111;break;} //@line 408 "Elementizer.cpp"
 case 108: 
 var $m_sourceOffset292=(($this1+8)|0); //@line 411 "Elementizer.cpp"
 var $132=((((HEAPU8[($m_sourceOffset292)])|(HEAPU8[((($m_sourceOffset292)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset292)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset292)+(3))|0)]<<24))|0)); //@line 411 "Elementizer.cpp"
 var $inc293=((($132)+(1))|0); //@line 411 "Elementizer.cpp"
 tempBigInt=$inc293;HEAP8[($m_sourceOffset292)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset292)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset292)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset292)+(3))|0)]=tempBigInt&0xff; //@line 411 "Elementizer.cpp"
 var $133=$pSource; //@line 411 "Elementizer.cpp"
 var $arrayidx294=(($133+$132)|0); //@line 411 "Elementizer.cpp"
 var $134=HEAP8[($arrayidx294)]; //@line 411 "Elementizer.cpp"
 $currentChar=$134; //@line 411 "Elementizer.cpp"
 var $135=$currentChar; //@line 413 "Elementizer.cpp"
 var $call296=__Z10CheckDigitcRcc($135,$temp295,16); //@line 413 "Elementizer.cpp"
 if($call296){label=110;break;}else{label=109;break;} //@line 413 "Elementizer.cpp"
 case 109: 
 var $m_sourceOffset298=(($this1+8)|0); //@line 415 "Elementizer.cpp"
 var $136=((((HEAPU8[($m_sourceOffset298)])|(HEAPU8[((($m_sourceOffset298)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset298)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset298)+(3))|0)]<<24))|0)); //@line 415 "Elementizer.cpp"
 var $dec299=((($136)-(1))|0); //@line 415 "Elementizer.cpp"
 tempBigInt=$dec299;HEAP8[($m_sourceOffset298)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset298)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset298)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset298)+(3))|0)]=tempBigInt&0xff; //@line 415 "Elementizer.cpp"
 var $m_type300=(($this1+20)|0); //@line 416 "Elementizer.cpp"
 tempBigInt=61;HEAP8[($m_type300)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type300)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type300)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type300)+(3))|0)]=tempBigInt&0xff; //@line 416 "Elementizer.cpp"
 label=135;break; //@line 417 "Elementizer.cpp"
 case 110: 
 $constantBase=16; //@line 419 "Elementizer.cpp"
 var $m_sourceOffset302=(($this1+8)|0); //@line 420 "Elementizer.cpp"
 var $137=((((HEAPU8[($m_sourceOffset302)])|(HEAPU8[((($m_sourceOffset302)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset302)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset302)+(3))|0)]<<24))|0)); //@line 420 "Elementizer.cpp"
 var $dec303=((($137)-(1))|0); //@line 420 "Elementizer.cpp"
 tempBigInt=$dec303;HEAP8[($m_sourceOffset302)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset302)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset302)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset302)+(3))|0)]=tempBigInt&0xff; //@line 420 "Elementizer.cpp"
 label=2;break; //@line 422 "Elementizer.cpp"
 case 111: 
 var $138=$currentChar; //@line 424 "Elementizer.cpp"
 var $conv305=(($138<<24)>>24); //@line 424 "Elementizer.cpp"
 var $cmp306=($conv305|0)>=48; //@line 424 "Elementizer.cpp"
 if($cmp306){label=112;break;}else{label=114;break;} //@line 424 "Elementizer.cpp"
 case 112: 
 var $139=$currentChar; //@line 424 "Elementizer.cpp"
 var $conv308=(($139<<24)>>24); //@line 424 "Elementizer.cpp"
 var $cmp309=($conv308|0)<=57; //@line 424 "Elementizer.cpp"
 if($cmp309){label=113;break;}else{label=114;break;} //@line 424 "Elementizer.cpp"
 case 113: 
 $constantBase=10; //@line 427 "Elementizer.cpp"
 var $m_sourceOffset311=(($this1+8)|0); //@line 428 "Elementizer.cpp"
 var $140=((((HEAPU8[($m_sourceOffset311)])|(HEAPU8[((($m_sourceOffset311)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset311)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset311)+(3))|0)]<<24))|0)); //@line 428 "Elementizer.cpp"
 var $dec312=((($140)-(1))|0); //@line 428 "Elementizer.cpp"
 tempBigInt=$dec312;HEAP8[($m_sourceOffset311)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset311)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset311)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset311)+(3))|0)]=tempBigInt&0xff; //@line 428 "Elementizer.cpp"
 label=2;break; //@line 430 "Elementizer.cpp"
 case 114: 
 var $141=$currentChar; //@line 435 "Elementizer.cpp"
 var $call314=__Z9Uppercasec($141); //@line 435 "Elementizer.cpp"
 $currentChar=$call314; //@line 435 "Elementizer.cpp"
 var $142=$currentChar; //@line 436 "Elementizer.cpp"
 var $call315=__Z13CheckWordCharc($142); //@line 436 "Elementizer.cpp"
 if($call315){label=115;break;}else{label=124;break;} //@line 436 "Elementizer.cpp"
 case 115: 
 label=116;break; //@line 439 "Elementizer.cpp"
 case 116: 
 var $143=$currentChar; //@line 439 "Elementizer.cpp"
 var $call318=__Z13CheckWordCharc($143); //@line 439 "Elementizer.cpp"
 if($call318){label=117;break;}else{var $145=0;label=118;break;} //@line 439 "Elementizer.cpp"
 case 117: 
 var $144=$symbolOffset; //@line 439 "Elementizer.cpp"
 var $cmp319=($144|0)<=256; //@line 439 "Elementizer.cpp"
 var $145=$cmp319;label=118;break;
 case 118: 
 var $145;
 if($145){label=119;break;}else{label=120;break;}
 case 119: 
 var $146=$currentChar; //@line 441 "Elementizer.cpp"
 var $147=$symbolOffset; //@line 441 "Elementizer.cpp"
 var $inc321=((($147)+(1))|0); //@line 441 "Elementizer.cpp"
 $symbolOffset=$inc321; //@line 441 "Elementizer.cpp"
 var $m_currentSymbol322=(($this1+64)|0); //@line 441 "Elementizer.cpp"
 var $arrayidx323=(($m_currentSymbol322+$147)|0); //@line 441 "Elementizer.cpp"
 HEAP8[($arrayidx323)]=$146; //@line 441 "Elementizer.cpp"
 var $m_sourceOffset324=(($this1+8)|0); //@line 442 "Elementizer.cpp"
 var $148=((((HEAPU8[($m_sourceOffset324)])|(HEAPU8[((($m_sourceOffset324)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset324)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset324)+(3))|0)]<<24))|0)); //@line 442 "Elementizer.cpp"
 var $inc325=((($148)+(1))|0); //@line 442 "Elementizer.cpp"
 tempBigInt=$inc325;HEAP8[($m_sourceOffset324)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset324)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset324)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset324)+(3))|0)]=tempBigInt&0xff; //@line 442 "Elementizer.cpp"
 var $149=$pSource; //@line 442 "Elementizer.cpp"
 var $arrayidx326=(($149+$148)|0); //@line 442 "Elementizer.cpp"
 var $150=HEAP8[($arrayidx326)]; //@line 442 "Elementizer.cpp"
 var $call327=__Z9Uppercasec($150); //@line 442 "Elementizer.cpp"
 $currentChar=$call327; //@line 442 "Elementizer.cpp"
 label=116;break; //@line 443 "Elementizer.cpp"
 case 120: 
 var $151=$symbolOffset; //@line 444 "Elementizer.cpp"
 var $cmp329=($151|0)>256; //@line 444 "Elementizer.cpp"
 if($cmp329){label=121;break;}else{label=122;break;} //@line 444 "Elementizer.cpp"
 case 121: 
 $error=102; //@line 446 "Elementizer.cpp"
 label=123;break; //@line 447 "Elementizer.cpp"
 case 122: 
 var $m_sourceOffset332=(($this1+8)|0); //@line 451 "Elementizer.cpp"
 var $152=((((HEAPU8[($m_sourceOffset332)])|(HEAPU8[((($m_sourceOffset332)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset332)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset332)+(3))|0)]<<24))|0)); //@line 451 "Elementizer.cpp"
 var $dec333=((($152)-(1))|0); //@line 451 "Elementizer.cpp"
 tempBigInt=$dec333;HEAP8[($m_sourceOffset332)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset332)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset332)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset332)+(3))|0)]=tempBigInt&0xff; //@line 451 "Elementizer.cpp"
 var $153=$symbolOffset; //@line 453 "Elementizer.cpp"
 var $m_currentSymbol334=(($this1+64)|0); //@line 453 "Elementizer.cpp"
 var $arrayidx335=(($m_currentSymbol334+$153)|0); //@line 453 "Elementizer.cpp"
 HEAP8[($arrayidx335)]=0; //@line 453 "Elementizer.cpp"
 var $m_pSymbolEngine=(($this1+4)|0); //@line 454 "Elementizer.cpp"
 var $154=((((HEAPU8[($m_pSymbolEngine)])|(HEAPU8[((($m_pSymbolEngine)+(1))|0)]<<8)|(HEAPU8[((($m_pSymbolEngine)+(2))|0)]<<16)|(HEAPU8[((($m_pSymbolEngine)+(3))|0)]<<24))|0)); //@line 454 "Elementizer.cpp"
 var $m_currentSymbol336=(($this1+64)|0); //@line 454 "Elementizer.cpp"
 var $arraydecay=(($m_currentSymbol336)|0); //@line 454 "Elementizer.cpp"
 var $call337=__ZN12SymbolEngine10FindSymbolEPKc($154,$arraydecay); //@line 454 "Elementizer.cpp"
 var $m_pSymbolEntry338=(($this1+16)|0); //@line 454 "Elementizer.cpp"
 tempBigInt=$call337;HEAP8[($m_pSymbolEntry338)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pSymbolEntry338)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pSymbolEntry338)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pSymbolEntry338)+(3))|0)]=tempBigInt&0xff; //@line 454 "Elementizer.cpp"
 label=123;break;
 case 123: 
 label=134;break; //@line 456 "Elementizer.cpp"
 case 124: 
 var $155=$currentChar; //@line 460 "Elementizer.cpp"
 var $156=$symbolOffset; //@line 460 "Elementizer.cpp"
 var $inc341=((($156)+(1))|0); //@line 460 "Elementizer.cpp"
 $symbolOffset=$inc341; //@line 460 "Elementizer.cpp"
 var $m_currentSymbol342=(($this1+64)|0); //@line 460 "Elementizer.cpp"
 var $arrayidx343=(($m_currentSymbol342+$156)|0); //@line 460 "Elementizer.cpp"
 HEAP8[($arrayidx343)]=$155; //@line 460 "Elementizer.cpp"
 var $m_sourceOffset344=(($this1+8)|0); //@line 461 "Elementizer.cpp"
 var $157=((((HEAPU8[($m_sourceOffset344)])|(HEAPU8[((($m_sourceOffset344)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset344)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset344)+(3))|0)]<<24))|0)); //@line 461 "Elementizer.cpp"
 var $inc345=((($157)+(1))|0); //@line 461 "Elementizer.cpp"
 tempBigInt=$inc345;HEAP8[($m_sourceOffset344)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset344)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset344)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset344)+(3))|0)]=tempBigInt&0xff; //@line 461 "Elementizer.cpp"
 var $158=$pSource; //@line 461 "Elementizer.cpp"
 var $arrayidx346=(($158+$157)|0); //@line 461 "Elementizer.cpp"
 var $159=HEAP8[($arrayidx346)]; //@line 461 "Elementizer.cpp"
 $currentChar=$159; //@line 461 "Elementizer.cpp"
 $bDoOneChar=0; //@line 463 "Elementizer.cpp"
 var $160=$currentChar; //@line 465 "Elementizer.cpp"
 var $conv347=(($160<<24)>>24); //@line 465 "Elementizer.cpp"
 var $cmp348=($conv347|0)>32; //@line 465 "Elementizer.cpp"
 if($cmp348){label=125;break;}else{label=128;break;} //@line 465 "Elementizer.cpp"
 case 125: 
 var $161=$currentChar; //@line 469 "Elementizer.cpp"
 var $162=$symbolOffset; //@line 469 "Elementizer.cpp"
 var $inc350=((($162)+(1))|0); //@line 469 "Elementizer.cpp"
 $symbolOffset=$inc350; //@line 469 "Elementizer.cpp"
 var $m_currentSymbol351=(($this1+64)|0); //@line 469 "Elementizer.cpp"
 var $arrayidx352=(($m_currentSymbol351+$162)|0); //@line 469 "Elementizer.cpp"
 HEAP8[($arrayidx352)]=$161; //@line 469 "Elementizer.cpp"
 var $163=$symbolOffset; //@line 472 "Elementizer.cpp"
 var $m_currentSymbol353=(($this1+64)|0); //@line 472 "Elementizer.cpp"
 var $arrayidx354=(($m_currentSymbol353+$163)|0); //@line 472 "Elementizer.cpp"
 HEAP8[($arrayidx354)]=0; //@line 472 "Elementizer.cpp"
 var $m_pSymbolEngine355=(($this1+4)|0); //@line 474 "Elementizer.cpp"
 var $164=((((HEAPU8[($m_pSymbolEngine355)])|(HEAPU8[((($m_pSymbolEngine355)+(1))|0)]<<8)|(HEAPU8[((($m_pSymbolEngine355)+(2))|0)]<<16)|(HEAPU8[((($m_pSymbolEngine355)+(3))|0)]<<24))|0)); //@line 474 "Elementizer.cpp"
 var $m_currentSymbol356=(($this1+64)|0); //@line 474 "Elementizer.cpp"
 var $arraydecay357=(($m_currentSymbol356)|0); //@line 474 "Elementizer.cpp"
 var $call358=__ZN12SymbolEngine10FindSymbolEPKc($164,$arraydecay357); //@line 474 "Elementizer.cpp"
 var $m_pSymbolEntry359=(($this1+16)|0); //@line 474 "Elementizer.cpp"
 tempBigInt=$call358;HEAP8[($m_pSymbolEntry359)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pSymbolEntry359)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pSymbolEntry359)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pSymbolEntry359)+(3))|0)]=tempBigInt&0xff; //@line 474 "Elementizer.cpp"
 var $m_pSymbolEntry360=(($this1+16)|0); //@line 475 "Elementizer.cpp"
 var $165=((((HEAPU8[($m_pSymbolEntry360)])|(HEAPU8[((($m_pSymbolEntry360)+(1))|0)]<<8)|(HEAPU8[((($m_pSymbolEntry360)+(2))|0)]<<16)|(HEAPU8[((($m_pSymbolEntry360)+(3))|0)]<<24))|0)); //@line 475 "Elementizer.cpp"
 var $cmp361=($165|0)==0; //@line 475 "Elementizer.cpp"
 if($cmp361){label=126;break;}else{label=127;break;} //@line 475 "Elementizer.cpp"
 case 126: 
 $bDoOneChar=1; //@line 477 "Elementizer.cpp"
 var $166=$symbolOffset; //@line 478 "Elementizer.cpp"
 var $dec363=((($166)-(1))|0); //@line 478 "Elementizer.cpp"
 $symbolOffset=$dec363; //@line 478 "Elementizer.cpp"
 label=127;break; //@line 479 "Elementizer.cpp"
 case 127: 
 label=128;break; //@line 480 "Elementizer.cpp"
 case 128: 
 var $167=$bDoOneChar; //@line 482 "Elementizer.cpp"
 var $tobool366=(($167)&1); //@line 482 "Elementizer.cpp"
 if($tobool366){label=130;break;}else{label=129;break;} //@line 482 "Elementizer.cpp"
 case 129: 
 var $168=$currentChar; //@line 482 "Elementizer.cpp"
 var $conv368=(($168<<24)>>24); //@line 482 "Elementizer.cpp"
 var $cmp369=($conv368|0)<=32; //@line 482 "Elementizer.cpp"
 if($cmp369){label=130;break;}else{label=133;break;} //@line 482 "Elementizer.cpp"
 case 130: 
 var $m_sourceOffset371=(($this1+8)|0); //@line 487 "Elementizer.cpp"
 var $169=((((HEAPU8[($m_sourceOffset371)])|(HEAPU8[((($m_sourceOffset371)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset371)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset371)+(3))|0)]<<24))|0)); //@line 487 "Elementizer.cpp"
 var $dec372=((($169)-(1))|0); //@line 487 "Elementizer.cpp"
 tempBigInt=$dec372;HEAP8[($m_sourceOffset371)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset371)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset371)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset371)+(3))|0)]=tempBigInt&0xff; //@line 487 "Elementizer.cpp"
 var $170=$symbolOffset; //@line 490 "Elementizer.cpp"
 var $m_currentSymbol373=(($this1+64)|0); //@line 490 "Elementizer.cpp"
 var $arrayidx374=(($m_currentSymbol373+$170)|0); //@line 490 "Elementizer.cpp"
 HEAP8[($arrayidx374)]=0; //@line 490 "Elementizer.cpp"
 var $m_pSymbolEngine375=(($this1+4)|0); //@line 492 "Elementizer.cpp"
 var $171=((((HEAPU8[($m_pSymbolEngine375)])|(HEAPU8[((($m_pSymbolEngine375)+(1))|0)]<<8)|(HEAPU8[((($m_pSymbolEngine375)+(2))|0)]<<16)|(HEAPU8[((($m_pSymbolEngine375)+(3))|0)]<<24))|0)); //@line 492 "Elementizer.cpp"
 var $m_currentSymbol376=(($this1+64)|0); //@line 492 "Elementizer.cpp"
 var $arraydecay377=(($m_currentSymbol376)|0); //@line 492 "Elementizer.cpp"
 var $call378=__ZN12SymbolEngine10FindSymbolEPKc($171,$arraydecay377); //@line 492 "Elementizer.cpp"
 var $m_pSymbolEntry379=(($this1+16)|0); //@line 492 "Elementizer.cpp"
 tempBigInt=$call378;HEAP8[($m_pSymbolEntry379)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pSymbolEntry379)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pSymbolEntry379)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pSymbolEntry379)+(3))|0)]=tempBigInt&0xff; //@line 492 "Elementizer.cpp"
 var $m_pSymbolEntry380=(($this1+16)|0); //@line 493 "Elementizer.cpp"
 var $172=((((HEAPU8[($m_pSymbolEntry380)])|(HEAPU8[((($m_pSymbolEntry380)+(1))|0)]<<8)|(HEAPU8[((($m_pSymbolEntry380)+(2))|0)]<<16)|(HEAPU8[((($m_pSymbolEntry380)+(3))|0)]<<24))|0)); //@line 493 "Elementizer.cpp"
 var $cmp381=($172|0)==0; //@line 493 "Elementizer.cpp"
 if($cmp381){label=131;break;}else{label=132;break;} //@line 493 "Elementizer.cpp"
 case 131: 
 $error=114; //@line 496 "Elementizer.cpp"
 label=132;break; //@line 497 "Elementizer.cpp"
 case 132: 
 label=133;break; //@line 498 "Elementizer.cpp"
 case 133: 
 label=134;break;
 case 134: 
 label=135;break; //@line 500 "Elementizer.cpp"
 case 135: 
 var $173=$sourceStart; //@line 505 "Elementizer.cpp"
 var $m_pCompilerData387=(($this1)|0); //@line 505 "Elementizer.cpp"
 var $174=((((HEAPU8[($m_pCompilerData387)])|(HEAPU8[((($m_pCompilerData387)+(1))|0)]<<8)|(HEAPU8[((($m_pCompilerData387)+(2))|0)]<<16)|(HEAPU8[((($m_pCompilerData387)+(3))|0)]<<24))|0)); //@line 505 "Elementizer.cpp"
 var $175=$174; //@line 505 "Elementizer.cpp"
 var $source_start=(($175+16)|0); //@line 505 "Elementizer.cpp"
 tempBigInt=$173;HEAP8[($source_start)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_start)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_start)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_start)+(3))|0)]=tempBigInt&0xff; //@line 505 "Elementizer.cpp"
 var $m_sourceOffset388=(($this1+8)|0); //@line 506 "Elementizer.cpp"
 var $176=((((HEAPU8[($m_sourceOffset388)])|(HEAPU8[((($m_sourceOffset388)+(1))|0)]<<8)|(HEAPU8[((($m_sourceOffset388)+(2))|0)]<<16)|(HEAPU8[((($m_sourceOffset388)+(3))|0)]<<24))|0)); //@line 506 "Elementizer.cpp"
 var $m_pCompilerData389=(($this1)|0); //@line 506 "Elementizer.cpp"
 var $177=((((HEAPU8[($m_pCompilerData389)])|(HEAPU8[((($m_pCompilerData389)+(1))|0)]<<8)|(HEAPU8[((($m_pCompilerData389)+(2))|0)]<<16)|(HEAPU8[((($m_pCompilerData389)+(3))|0)]<<24))|0)); //@line 506 "Elementizer.cpp"
 var $178=$177; //@line 506 "Elementizer.cpp"
 var $source_finish=(($178+20)|0); //@line 506 "Elementizer.cpp"
 tempBigInt=$176;HEAP8[($source_finish)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_finish)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_finish)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_finish)+(3))|0)]=tempBigInt&0xff; //@line 506 "Elementizer.cpp"
 var $m_type390=(($this1+20)|0); //@line 509 "Elementizer.cpp"
 var $179=((((HEAPU8[($m_type390)])|(HEAPU8[((($m_type390)+(1))|0)]<<8)|(HEAPU8[((($m_type390)+(2))|0)]<<16)|(HEAPU8[((($m_type390)+(3))|0)]<<24))|0)); //@line 509 "Elementizer.cpp"
 var $cmp391=($179|0)==0; //@line 509 "Elementizer.cpp"
 if($cmp391){label=136;break;}else{label=138;break;} //@line 509 "Elementizer.cpp"
 case 136: 
 var $m_pSymbolEntry393=(($this1+16)|0); //@line 509 "Elementizer.cpp"
 var $180=((((HEAPU8[($m_pSymbolEntry393)])|(HEAPU8[((($m_pSymbolEntry393)+(1))|0)]<<8)|(HEAPU8[((($m_pSymbolEntry393)+(2))|0)]<<16)|(HEAPU8[((($m_pSymbolEntry393)+(3))|0)]<<24))|0)); //@line 509 "Elementizer.cpp"
 var $tobool394=($180|0)!=0; //@line 509 "Elementizer.cpp"
 if($tobool394){label=137;break;}else{label=138;break;} //@line 509 "Elementizer.cpp"
 case 137: 
 __ZN11Elementizer18SetFromSymbolEntryEv($this1); //@line 511 "Elementizer.cpp"
 label=138;break; //@line 512 "Elementizer.cpp"
 case 138: 
 var $181=$error; //@line 514 "Elementizer.cpp"
 var $cmp397=($181|0)!=-1; //@line 514 "Elementizer.cpp"
 if($cmp397){label=139;break;}else{label=140;break;} //@line 514 "Elementizer.cpp"
 case 139: 
 var $m_pCompilerData399=(($this1)|0); //@line 516 "Elementizer.cpp"
 var $182=((((HEAPU8[($m_pCompilerData399)])|(HEAPU8[((($m_pCompilerData399)+(1))|0)]<<8)|(HEAPU8[((($m_pCompilerData399)+(2))|0)]<<16)|(HEAPU8[((($m_pCompilerData399)+(3))|0)]<<24))|0)); //@line 516 "Elementizer.cpp"
 var $183=$182; //@line 516 "Elementizer.cpp"
 var $error400=(($183)|0); //@line 516 "Elementizer.cpp"
 HEAP8[($error400)]=1; //@line 516 "Elementizer.cpp"
 var $184=$error; //@line 517 "Elementizer.cpp"
 var $arrayidx401=((8+($184<<2))|0); //@line 517 "Elementizer.cpp"
 var $185=((((HEAPU8[($arrayidx401)])|(HEAPU8[((($arrayidx401)+(1))|0)]<<8)|(HEAPU8[((($arrayidx401)+(2))|0)]<<16)|(HEAPU8[((($arrayidx401)+(3))|0)]<<24))|0)); //@line 517 "Elementizer.cpp"
 var $m_pCompilerData402=(($this1)|0); //@line 517 "Elementizer.cpp"
 var $186=((((HEAPU8[($m_pCompilerData402)])|(HEAPU8[((($m_pCompilerData402)+(1))|0)]<<8)|(HEAPU8[((($m_pCompilerData402)+(2))|0)]<<16)|(HEAPU8[((($m_pCompilerData402)+(3))|0)]<<24))|0)); //@line 517 "Elementizer.cpp"
 var $187=$186; //@line 517 "Elementizer.cpp"
 var $error_msg=(($187+4)|0); //@line 517 "Elementizer.cpp"
 tempBigInt=$185;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 517 "Elementizer.cpp"
 $retval=0; //@line 518 "Elementizer.cpp"
 label=141;break; //@line 518 "Elementizer.cpp"
 case 140: 
 $retval=1; //@line 521 "Elementizer.cpp"
 label=141;break; //@line 521 "Elementizer.cpp"
 case 141: 
 var $188=$retval; //@line 522 "Elementizer.cpp"
 STACKTOP=sp;return $188; //@line 522 "Elementizer.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __ZN11Elementizer10GetElementEi($this,$type){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+8)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $this_addr;
 var $type_addr;
 var $value;
 var $bEof=sp;
 var $errorNum;
 $this_addr=$this;
 $type_addr=$type;
 var $this1=$this_addr;
 var $m_value=(($this1+24)|0); //@line 527 "Elementizer.cpp"
 var $0=((((HEAPU8[($m_value)])|(HEAPU8[((($m_value)+(1))|0)]<<8)|(HEAPU8[((($m_value)+(2))|0)]<<16)|(HEAPU8[((($m_value)+(3))|0)]<<24))|0)); //@line 527 "Elementizer.cpp"
 $value=$0; //@line 527 "Elementizer.cpp"
 HEAP8[($bEof)]=0; //@line 529 "Elementizer.cpp"
 var $call=__ZN11Elementizer7GetNextERb($this1,$bEof); //@line 530 "Elementizer.cpp"
 var $call2=__ZN11Elementizer7GetTypeEv($this1); //@line 532 "Elementizer.cpp"
 var $1=$type_addr; //@line 532 "Elementizer.cpp"
 var $cmp=($call2|0)!=($1|0); //@line 532 "Elementizer.cpp"
 if($cmp){label=2;break;}else{label=13;break;} //@line 532 "Elementizer.cpp"
 case 2: 
 var $m_pCompilerData=(($this1)|0); //@line 534 "Elementizer.cpp"
 var $2=((((HEAPU8[($m_pCompilerData)])|(HEAPU8[((($m_pCompilerData)+(1))|0)]<<8)|(HEAPU8[((($m_pCompilerData)+(2))|0)]<<16)|(HEAPU8[((($m_pCompilerData)+(3))|0)]<<24))|0)); //@line 534 "Elementizer.cpp"
 var $3=$2; //@line 534 "Elementizer.cpp"
 var $error=(($3)|0); //@line 534 "Elementizer.cpp"
 HEAP8[($error)]=1; //@line 534 "Elementizer.cpp"
 $errorNum=0; //@line 535 "Elementizer.cpp"
 var $4=$type_addr; //@line 536 "Elementizer.cpp"
 switch(($4|0)){case 83:{ label=10;break;}case 84:{ label=11;break;}case 1:{ label=3;break;}case 2:{ label=4;break;}case 4:{ label=5;break;}case 5:{ label=6;break;}case 7:{ label=7;break;}case 8:{ label=8;break;}case 10:{ label=9;break;}default:{label=12;break;}}break;
 case 3: 
 $errorNum=46; //@line 538 "Elementizer.cpp"
 label=12;break; //@line 538 "Elementizer.cpp"
 case 4: 
 $errorNum=53; //@line 539 "Elementizer.cpp"
 label=12;break; //@line 539 "Elementizer.cpp"
 case 5: 
 $errorNum=54; //@line 540 "Elementizer.cpp"
 label=12;break; //@line 540 "Elementizer.cpp"
 case 6: 
 $errorNum=38; //@line 541 "Elementizer.cpp"
 label=12;break; //@line 541 "Elementizer.cpp"
 case 7: 
 $errorNum=50; //@line 542 "Elementizer.cpp"
 label=12;break; //@line 542 "Elementizer.cpp"
 case 8: 
 $errorNum=37; //@line 543 "Elementizer.cpp"
 label=12;break; //@line 543 "Elementizer.cpp"
 case 9: 
 $errorNum=41; //@line 544 "Elementizer.cpp"
 label=12;break; //@line 544 "Elementizer.cpp"
 case 10: 
 $errorNum=24; //@line 545 "Elementizer.cpp"
 label=12;break; //@line 545 "Elementizer.cpp"
 case 11: 
 $errorNum=42; //@line 546 "Elementizer.cpp"
 label=12;break; //@line 546 "Elementizer.cpp"
 case 12: 
 var $5=$errorNum; //@line 548 "Elementizer.cpp"
 var $arrayidx=((8+($5<<2))|0); //@line 548 "Elementizer.cpp"
 var $6=((((HEAPU8[($arrayidx)])|(HEAPU8[((($arrayidx)+(1))|0)]<<8)|(HEAPU8[((($arrayidx)+(2))|0)]<<16)|(HEAPU8[((($arrayidx)+(3))|0)]<<24))|0)); //@line 548 "Elementizer.cpp"
 var $m_pCompilerData11=(($this1)|0); //@line 548 "Elementizer.cpp"
 var $7=((((HEAPU8[($m_pCompilerData11)])|(HEAPU8[((($m_pCompilerData11)+(1))|0)]<<8)|(HEAPU8[((($m_pCompilerData11)+(2))|0)]<<16)|(HEAPU8[((($m_pCompilerData11)+(3))|0)]<<24))|0)); //@line 548 "Elementizer.cpp"
 var $8=$7; //@line 548 "Elementizer.cpp"
 var $error_msg=(($8+4)|0); //@line 548 "Elementizer.cpp"
 tempBigInt=$6;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 548 "Elementizer.cpp"
 $retval=0; //@line 549 "Elementizer.cpp"
 label=14;break; //@line 549 "Elementizer.cpp"
 case 13: 
 var $9=$value; //@line 552 "Elementizer.cpp"
 var $m_value12=(($this1+24)|0); //@line 552 "Elementizer.cpp"
 tempBigInt=$9;HEAP8[($m_value12)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value12)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value12)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value12)+(3))|0)]=tempBigInt&0xff; //@line 552 "Elementizer.cpp"
 $retval=1; //@line 554 "Elementizer.cpp"
 label=14;break; //@line 554 "Elementizer.cpp"
 case 14: 
 var $10=$retval; //@line 555 "Elementizer.cpp"
 STACKTOP=sp;return $10; //@line 555 "Elementizer.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __ZN11Elementizer12CheckElementEi($this,$type){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+8)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $this_addr;
 var $type_addr;
 var $bEof=sp;
 $this_addr=$this;
 $type_addr=$type;
 var $this1=$this_addr;
 HEAP8[($bEof)]=0; //@line 560 "Elementizer.cpp"
 var $call=__ZN11Elementizer7GetNextERb($this1,$bEof); //@line 561 "Elementizer.cpp"
 var $call2=__ZN11Elementizer7GetTypeEv($this1); //@line 562 "Elementizer.cpp"
 var $0=$type_addr; //@line 562 "Elementizer.cpp"
 var $cmp=($call2|0)==($0|0); //@line 562 "Elementizer.cpp"
 if($cmp){label=2;break;}else{label=3;break;} //@line 562 "Elementizer.cpp"
 case 2: 
 $retval=1; //@line 564 "Elementizer.cpp"
 label=4;break; //@line 564 "Elementizer.cpp"
 case 3: 
 __ZN11Elementizer6BackupEv($this1); //@line 566 "Elementizer.cpp"
 $retval=0; //@line 567 "Elementizer.cpp"
 label=4;break; //@line 567 "Elementizer.cpp"
 case 4: 
 var $1=$retval; //@line 568 "Elementizer.cpp"
 STACKTOP=sp;return $1; //@line 568 "Elementizer.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __ZN11Elementizer6BackupEv($this){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $this_addr;
 $this_addr=$this;
 var $this1=$this_addr;
 var $m_backIndex=(($this1+41)|0); //@line 675 "Elementizer.cpp"
 var $0=HEAP8[($m_backIndex)]; //@line 675 "Elementizer.cpp"
 var $dec=((($0)-(1))&255); //@line 675 "Elementizer.cpp"
 HEAP8[($m_backIndex)]=$dec; //@line 675 "Elementizer.cpp"
 var $m_backIndex2=(($this1+41)|0); //@line 676 "Elementizer.cpp"
 var $1=HEAP8[($m_backIndex2)]; //@line 676 "Elementizer.cpp"
 var $conv=($1&255); //@line 676 "Elementizer.cpp"
 var $and=$conv&3; //@line 676 "Elementizer.cpp"
 var $m_backOffsets=(($this1+44)|0); //@line 676 "Elementizer.cpp"
 var $arrayidx=(($m_backOffsets+($and<<2))|0); //@line 676 "Elementizer.cpp"
 var $2=((((HEAPU8[($arrayidx)])|(HEAPU8[((($arrayidx)+(1))|0)]<<8)|(HEAPU8[((($arrayidx)+(2))|0)]<<16)|(HEAPU8[((($arrayidx)+(3))|0)]<<24))|0)); //@line 676 "Elementizer.cpp"
 var $m_sourceOffset=(($this1+8)|0); //@line 676 "Elementizer.cpp"
 tempBigInt=$2;HEAP8[($m_sourceOffset)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_sourceOffset)+(3))|0)]=tempBigInt&0xff; //@line 676 "Elementizer.cpp"
 var $m_backIndex3=(($this1+41)|0); //@line 677 "Elementizer.cpp"
 var $3=HEAP8[($m_backIndex3)]; //@line 677 "Elementizer.cpp"
 var $conv4=($3&255); //@line 677 "Elementizer.cpp"
 var $and5=$conv4&3; //@line 677 "Elementizer.cpp"
 var $m_backFlags=(($this1+60)|0); //@line 677 "Elementizer.cpp"
 var $arrayidx6=(($m_backFlags+$and5)|0); //@line 677 "Elementizer.cpp"
 var $4=HEAP8[($arrayidx6)]; //@line 677 "Elementizer.cpp"
 var $m_sourceFlags=(($this1+12)|0); //@line 677 "Elementizer.cpp"
 HEAP8[($m_sourceFlags)]=$4; //@line 677 "Elementizer.cpp"
 STACKTOP=sp;return; //@line 678 "Elementizer.cpp"
}


function __ZN11Elementizer12GetNextBlockEiRb($this,$type,$bEof){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $this_addr;
 var $type_addr;
 var $bEof_addr;
 var $bFound;
 $this_addr=$this;
 $type_addr=$type;
 $bEof_addr=$bEof;
 var $this1=$this_addr;
 $bFound=0; //@line 573 "Elementizer.cpp"
 label=2;break; //@line 574 "Elementizer.cpp"
 case 2: 
 var $0=$bFound; //@line 574 "Elementizer.cpp"
 var $tobool=(($0)&1); //@line 574 "Elementizer.cpp"
 var $conv=($tobool&1); //@line 574 "Elementizer.cpp"
 var $cmp=($conv|0)==0; //@line 574 "Elementizer.cpp"
 if($cmp){label=3;break;}else{label=12;break;} //@line 574 "Elementizer.cpp"
 case 3: 
 var $1=$bEof_addr; //@line 576 "Elementizer.cpp"
 var $call=__ZN11Elementizer7GetNextERb($this1,$1); //@line 576 "Elementizer.cpp"
 var $conv2=($call&1); //@line 576 "Elementizer.cpp"
 var $cmp3=($conv2|0)==0; //@line 576 "Elementizer.cpp"
 if($cmp3){label=5;break;}else{label=4;break;} //@line 576 "Elementizer.cpp"
 case 4: 
 var $2=$bEof_addr; //@line 576 "Elementizer.cpp"
 var $3=HEAP8[($2)]; //@line 576 "Elementizer.cpp"
 var $tobool4=(($3)&1); //@line 576 "Elementizer.cpp"
 var $conv5=($tobool4&1); //@line 576 "Elementizer.cpp"
 var $cmp6=($conv5|0)==1; //@line 576 "Elementizer.cpp"
 if($cmp6){label=5;break;}else{label=6;break;} //@line 576 "Elementizer.cpp"
 case 5: 
 label=12;break; //@line 578 "Elementizer.cpp"
 case 6: 
 var $call7=__ZN11Elementizer7GetTypeEv($this1); //@line 580 "Elementizer.cpp"
 var $cmp8=($call7|0)==28; //@line 580 "Elementizer.cpp"
 if($cmp8){label=7;break;}else{label=11;break;} //@line 580 "Elementizer.cpp"
 case 7: 
 var $call9=__ZN11Elementizer8GetValueEv($this1); //@line 580 "Elementizer.cpp"
 var $4=$type_addr; //@line 580 "Elementizer.cpp"
 var $cmp10=($call9|0)==($4|0); //@line 580 "Elementizer.cpp"
 if($cmp10){label=8;break;}else{label=11;break;} //@line 580 "Elementizer.cpp"
 case 8: 
 var $call12=__ZN11Elementizer9GetColumnEv($this1); //@line 582 "Elementizer.cpp"
 var $cmp13=($call12|0)!=1; //@line 582 "Elementizer.cpp"
 if($cmp13){label=9;break;}else{label=10;break;} //@line 582 "Elementizer.cpp"
 case 9: 
 var $m_pCompilerData=(($this1)|0); //@line 584 "Elementizer.cpp"
 var $5=((((HEAPU8[($m_pCompilerData)])|(HEAPU8[((($m_pCompilerData)+(1))|0)]<<8)|(HEAPU8[((($m_pCompilerData)+(2))|0)]<<16)|(HEAPU8[((($m_pCompilerData)+(3))|0)]<<24))|0)); //@line 584 "Elementizer.cpp"
 var $6=$5; //@line 584 "Elementizer.cpp"
 var $error=(($6)|0); //@line 584 "Elementizer.cpp"
 HEAP8[($error)]=1; //@line 584 "Elementizer.cpp"
 var $7=((((HEAPU8[(20)])|(HEAPU8[(21)]<<8)|(HEAPU8[(22)]<<16)|(HEAPU8[(23)]<<24))|0)); //@line 585 "Elementizer.cpp"
 var $m_pCompilerData15=(($this1)|0); //@line 585 "Elementizer.cpp"
 var $8=((((HEAPU8[($m_pCompilerData15)])|(HEAPU8[((($m_pCompilerData15)+(1))|0)]<<8)|(HEAPU8[((($m_pCompilerData15)+(2))|0)]<<16)|(HEAPU8[((($m_pCompilerData15)+(3))|0)]<<24))|0)); //@line 585 "Elementizer.cpp"
 var $9=$8; //@line 585 "Elementizer.cpp"
 var $error_msg=(($9+4)|0); //@line 585 "Elementizer.cpp"
 tempBigInt=$7;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 585 "Elementizer.cpp"
 $retval=0; //@line 586 "Elementizer.cpp"
 label=15;break; //@line 586 "Elementizer.cpp"
 case 10: 
 $bFound=1; //@line 588 "Elementizer.cpp"
 label=11;break; //@line 589 "Elementizer.cpp"
 case 11: 
 label=2;break; //@line 590 "Elementizer.cpp"
 case 12: 
 var $10=$bFound; //@line 592 "Elementizer.cpp"
 var $tobool18=(($10)&1); //@line 592 "Elementizer.cpp"
 if($tobool18){var $13=1;label=14;break;}else{label=13;break;} //@line 592 "Elementizer.cpp"
 case 13: 
 var $11=$bEof_addr; //@line 592 "Elementizer.cpp"
 var $12=HEAP8[($11)]; //@line 592 "Elementizer.cpp"
 var $tobool19=(($12)&1); //@line 592 "Elementizer.cpp"
 var $13=$tobool19;label=14;break; //@line 592 "Elementizer.cpp"
 case 14: 
 var $13;
 $retval=$13; //@line 592 "Elementizer.cpp"
 label=15;break; //@line 592 "Elementizer.cpp"
 case 15: 
 var $14=$retval; //@line 593 "Elementizer.cpp"
 STACKTOP=sp;return $14; //@line 593 "Elementizer.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __ZN11Elementizer9GetColumnEv($this){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $this_addr;
 var $pSource;
 var $sourceStart;
 var $column;
 var $i;
 $this_addr=$this;
 var $this1=$this_addr;
 var $m_pCompilerData=(($this1)|0); //@line 598 "Elementizer.cpp"
 var $0=((((HEAPU8[($m_pCompilerData)])|(HEAPU8[((($m_pCompilerData)+(1))|0)]<<8)|(HEAPU8[((($m_pCompilerData)+(2))|0)]<<16)|(HEAPU8[((($m_pCompilerData)+(3))|0)]<<24))|0)); //@line 598 "Elementizer.cpp"
 var $1=$0; //@line 598 "Elementizer.cpp"
 var $source=(($1+12)|0); //@line 598 "Elementizer.cpp"
 var $2=((((HEAPU8[($source)])|(HEAPU8[((($source)+(1))|0)]<<8)|(HEAPU8[((($source)+(2))|0)]<<16)|(HEAPU8[((($source)+(3))|0)]<<24))|0)); //@line 598 "Elementizer.cpp"
 $pSource=$2; //@line 598 "Elementizer.cpp"
 var $m_pCompilerData2=(($this1)|0); //@line 599 "Elementizer.cpp"
 var $3=((((HEAPU8[($m_pCompilerData2)])|(HEAPU8[((($m_pCompilerData2)+(1))|0)]<<8)|(HEAPU8[((($m_pCompilerData2)+(2))|0)]<<16)|(HEAPU8[((($m_pCompilerData2)+(3))|0)]<<24))|0)); //@line 599 "Elementizer.cpp"
 var $4=$3; //@line 599 "Elementizer.cpp"
 var $source_start=(($4+16)|0); //@line 599 "Elementizer.cpp"
 var $5=((((HEAPU8[($source_start)])|(HEAPU8[((($source_start)+(1))|0)]<<8)|(HEAPU8[((($source_start)+(2))|0)]<<16)|(HEAPU8[((($source_start)+(3))|0)]<<24))|0)); //@line 599 "Elementizer.cpp"
 $sourceStart=$5; //@line 599 "Elementizer.cpp"
 var $6=$sourceStart; //@line 600 "Elementizer.cpp"
 var $cmp=($6|0)==0; //@line 600 "Elementizer.cpp"
 if($cmp){label=2;break;}else{label=3;break;} //@line 600 "Elementizer.cpp"
 case 2: 
 $retval=1; //@line 603 "Elementizer.cpp"
 label=17;break; //@line 603 "Elementizer.cpp"
 case 3: 
 label=4;break; //@line 607 "Elementizer.cpp"
 case 4: 
 var $7=$sourceStart; //@line 607 "Elementizer.cpp"
 var $8=$pSource; //@line 607 "Elementizer.cpp"
 var $arrayidx=(($8+$7)|0); //@line 607 "Elementizer.cpp"
 var $9=HEAP8[($arrayidx)]; //@line 607 "Elementizer.cpp"
 var $conv=(($9<<24)>>24); //@line 607 "Elementizer.cpp"
 var $cmp3=($conv|0)!=13; //@line 607 "Elementizer.cpp"
 if($cmp3){label=5;break;}else{var $11=0;label=6;break;} //@line 607 "Elementizer.cpp"
 case 5: 
 var $10=$sourceStart; //@line 607 "Elementizer.cpp"
 var $cmp4=($10|0)>0; //@line 607 "Elementizer.cpp"
 var $11=$cmp4;label=6;break;
 case 6: 
 var $11;
 if($11){label=7;break;}else{label=8;break;}
 case 7: 
 var $12=$sourceStart; //@line 609 "Elementizer.cpp"
 var $dec=((($12)-(1))|0); //@line 609 "Elementizer.cpp"
 $sourceStart=$dec; //@line 609 "Elementizer.cpp"
 label=4;break; //@line 610 "Elementizer.cpp"
 case 8: 
 var $13=$sourceStart; //@line 613 "Elementizer.cpp"
 var $inc=((($13)+(1))|0); //@line 613 "Elementizer.cpp"
 $sourceStart=$inc; //@line 613 "Elementizer.cpp"
 var $14=$sourceStart; //@line 615 "Elementizer.cpp"
 var $m_pCompilerData5=(($this1)|0); //@line 615 "Elementizer.cpp"
 var $15=((((HEAPU8[($m_pCompilerData5)])|(HEAPU8[((($m_pCompilerData5)+(1))|0)]<<8)|(HEAPU8[((($m_pCompilerData5)+(2))|0)]<<16)|(HEAPU8[((($m_pCompilerData5)+(3))|0)]<<24))|0)); //@line 615 "Elementizer.cpp"
 var $16=$15; //@line 615 "Elementizer.cpp"
 var $source_start6=(($16+16)|0); //@line 615 "Elementizer.cpp"
 var $17=((((HEAPU8[($source_start6)])|(HEAPU8[((($source_start6)+(1))|0)]<<8)|(HEAPU8[((($source_start6)+(2))|0)]<<16)|(HEAPU8[((($source_start6)+(3))|0)]<<24))|0)); //@line 615 "Elementizer.cpp"
 var $cmp7=($14|0)==($17|0); //@line 615 "Elementizer.cpp"
 if($cmp7){label=9;break;}else{label=10;break;} //@line 615 "Elementizer.cpp"
 case 9: 
 $retval=1; //@line 618 "Elementizer.cpp"
 label=17;break; //@line 618 "Elementizer.cpp"
 case 10: 
 var $18=$sourceStart; //@line 622 "Elementizer.cpp"
 var $19=$pSource; //@line 622 "Elementizer.cpp"
 var $add_ptr=(($19+$18)|0); //@line 622 "Elementizer.cpp"
 $pSource=$add_ptr; //@line 622 "Elementizer.cpp"
 var $m_pCompilerData10=(($this1)|0); //@line 624 "Elementizer.cpp"
 var $20=((((HEAPU8[($m_pCompilerData10)])|(HEAPU8[((($m_pCompilerData10)+(1))|0)]<<8)|(HEAPU8[((($m_pCompilerData10)+(2))|0)]<<16)|(HEAPU8[((($m_pCompilerData10)+(3))|0)]<<24))|0)); //@line 624 "Elementizer.cpp"
 var $21=$20; //@line 624 "Elementizer.cpp"
 var $source_start11=(($21+16)|0); //@line 624 "Elementizer.cpp"
 var $22=((((HEAPU8[($source_start11)])|(HEAPU8[((($source_start11)+(1))|0)]<<8)|(HEAPU8[((($source_start11)+(2))|0)]<<16)|(HEAPU8[((($source_start11)+(3))|0)]<<24))|0)); //@line 624 "Elementizer.cpp"
 var $23=$sourceStart; //@line 624 "Elementizer.cpp"
 var $sub=((($22)-($23))|0); //@line 624 "Elementizer.cpp"
 $sourceStart=$sub; //@line 624 "Elementizer.cpp"
 $column=0; //@line 627 "Elementizer.cpp"
 $i=0; //@line 628 "Elementizer.cpp"
 label=11;break; //@line 628 "Elementizer.cpp"
 case 11: 
 var $24=$i; //@line 628 "Elementizer.cpp"
 var $25=$sourceStart; //@line 628 "Elementizer.cpp"
 var $cmp12=($24|0)<($25|0); //@line 628 "Elementizer.cpp"
 if($cmp12){label=12;break;}else{label=16;break;} //@line 628 "Elementizer.cpp"
 case 12: 
 var $26=$i; //@line 630 "Elementizer.cpp"
 var $27=$pSource; //@line 630 "Elementizer.cpp"
 var $arrayidx13=(($27+$26)|0); //@line 630 "Elementizer.cpp"
 var $28=HEAP8[($arrayidx13)]; //@line 630 "Elementizer.cpp"
 var $conv14=(($28<<24)>>24); //@line 630 "Elementizer.cpp"
 var $cmp15=($conv14|0)==9; //@line 630 "Elementizer.cpp"
 if($cmp15){label=13;break;}else{label=14;break;} //@line 630 "Elementizer.cpp"
 case 13: 
 var $29=$column; //@line 632 "Elementizer.cpp"
 var $or=$29|7; //@line 632 "Elementizer.cpp"
 $column=$or; //@line 632 "Elementizer.cpp"
 label=14;break; //@line 633 "Elementizer.cpp"
 case 14: 
 var $30=$column; //@line 634 "Elementizer.cpp"
 var $inc18=((($30)+(1))|0); //@line 634 "Elementizer.cpp"
 $column=$inc18; //@line 634 "Elementizer.cpp"
 label=15;break; //@line 635 "Elementizer.cpp"
 case 15: 
 var $31=$i; //@line 628 "Elementizer.cpp"
 var $inc19=((($31)+(1))|0); //@line 628 "Elementizer.cpp"
 $i=$inc19; //@line 628 "Elementizer.cpp"
 label=11;break; //@line 628 "Elementizer.cpp"
 case 16: 
 var $32=$column; //@line 637 "Elementizer.cpp"
 var $add=((($32)+(1))|0); //@line 637 "Elementizer.cpp"
 $retval=$add; //@line 637 "Elementizer.cpp"
 label=17;break; //@line 637 "Elementizer.cpp"
 case 17: 
 var $33=$retval; //@line 638 "Elementizer.cpp"
 STACKTOP=sp;return $33; //@line 638 "Elementizer.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __ZN11Elementizer20GetCurrentLineNumberERiS0_($this,$offsetToStartOfLine,$offsetToEndOfLine){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $this_addr;
 var $offsetToStartOfLine_addr;
 var $offsetToEndOfLine_addr;
 var $lineCount;
 var $pSource;
 var $scanEnd;
 $this_addr=$this;
 $offsetToStartOfLine_addr=$offsetToStartOfLine;
 $offsetToEndOfLine_addr=$offsetToEndOfLine;
 var $this1=$this_addr;
 $lineCount=1; //@line 642 "Elementizer.cpp"
 var $m_pCompilerData=(($this1)|0); //@line 644 "Elementizer.cpp"
 var $0=((((HEAPU8[($m_pCompilerData)])|(HEAPU8[((($m_pCompilerData)+(1))|0)]<<8)|(HEAPU8[((($m_pCompilerData)+(2))|0)]<<16)|(HEAPU8[((($m_pCompilerData)+(3))|0)]<<24))|0)); //@line 644 "Elementizer.cpp"
 var $1=$0; //@line 644 "Elementizer.cpp"
 var $source=(($1+12)|0); //@line 644 "Elementizer.cpp"
 var $2=((((HEAPU8[($source)])|(HEAPU8[((($source)+(1))|0)]<<8)|(HEAPU8[((($source)+(2))|0)]<<16)|(HEAPU8[((($source)+(3))|0)]<<24))|0)); //@line 644 "Elementizer.cpp"
 $pSource=$2; //@line 644 "Elementizer.cpp"
 var $m_pCompilerData2=(($this1)|0); //@line 645 "Elementizer.cpp"
 var $3=((((HEAPU8[($m_pCompilerData2)])|(HEAPU8[((($m_pCompilerData2)+(1))|0)]<<8)|(HEAPU8[((($m_pCompilerData2)+(2))|0)]<<16)|(HEAPU8[((($m_pCompilerData2)+(3))|0)]<<24))|0)); //@line 645 "Elementizer.cpp"
 var $4=$3; //@line 645 "Elementizer.cpp"
 var $source_start=(($4+16)|0); //@line 645 "Elementizer.cpp"
 var $5=((((HEAPU8[($source_start)])|(HEAPU8[((($source_start)+(1))|0)]<<8)|(HEAPU8[((($source_start)+(2))|0)]<<16)|(HEAPU8[((($source_start)+(3))|0)]<<24))|0)); //@line 645 "Elementizer.cpp"
 $scanEnd=$5; //@line 645 "Elementizer.cpp"
 var $6=$offsetToStartOfLine_addr; //@line 646 "Elementizer.cpp"
 tempBigInt=-1;HEAP8[($6)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($6)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($6)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($6)+(3))|0)]=tempBigInt&0xff; //@line 646 "Elementizer.cpp"
 label=2;break; //@line 647 "Elementizer.cpp"
 case 2: 
 var $7=$scanEnd; //@line 647 "Elementizer.cpp"
 var $cmp=($7|0)>0; //@line 647 "Elementizer.cpp"
 if($cmp){label=3;break;}else{label=8;break;} //@line 647 "Elementizer.cpp"
 case 3: 
 var $8=$scanEnd; //@line 649 "Elementizer.cpp"
 var $dec=((($8)-(1))|0); //@line 649 "Elementizer.cpp"
 $scanEnd=$dec; //@line 649 "Elementizer.cpp"
 var $9=$pSource; //@line 649 "Elementizer.cpp"
 var $arrayidx=(($9+$dec)|0); //@line 649 "Elementizer.cpp"
 var $10=HEAP8[($arrayidx)]; //@line 649 "Elementizer.cpp"
 var $conv=(($10<<24)>>24); //@line 649 "Elementizer.cpp"
 var $cmp3=($conv|0)==13; //@line 649 "Elementizer.cpp"
 if($cmp3){label=4;break;}else{label=7;break;} //@line 649 "Elementizer.cpp"
 case 4: 
 var $11=$offsetToStartOfLine_addr; //@line 651 "Elementizer.cpp"
 var $12=((((HEAPU8[($11)])|(HEAPU8[((($11)+(1))|0)]<<8)|(HEAPU8[((($11)+(2))|0)]<<16)|(HEAPU8[((($11)+(3))|0)]<<24))|0)); //@line 651 "Elementizer.cpp"
 var $cmp4=($12|0)==-1; //@line 651 "Elementizer.cpp"
 if($cmp4){label=5;break;}else{label=6;break;} //@line 651 "Elementizer.cpp"
 case 5: 
 var $13=$scanEnd; //@line 653 "Elementizer.cpp"
 var $add=((($13)+(1))|0); //@line 653 "Elementizer.cpp"
 var $14=$offsetToStartOfLine_addr; //@line 653 "Elementizer.cpp"
 tempBigInt=$add;HEAP8[($14)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($14)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($14)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($14)+(3))|0)]=tempBigInt&0xff; //@line 653 "Elementizer.cpp"
 label=6;break; //@line 654 "Elementizer.cpp"
 case 6: 
 var $15=$lineCount; //@line 655 "Elementizer.cpp"
 var $inc=((($15)+(1))|0); //@line 655 "Elementizer.cpp"
 $lineCount=$inc; //@line 655 "Elementizer.cpp"
 label=7;break; //@line 656 "Elementizer.cpp"
 case 7: 
 label=2;break; //@line 657 "Elementizer.cpp"
 case 8: 
 var $m_pCompilerData7=(($this1)|0); //@line 658 "Elementizer.cpp"
 var $16=((((HEAPU8[($m_pCompilerData7)])|(HEAPU8[((($m_pCompilerData7)+(1))|0)]<<8)|(HEAPU8[((($m_pCompilerData7)+(2))|0)]<<16)|(HEAPU8[((($m_pCompilerData7)+(3))|0)]<<24))|0)); //@line 658 "Elementizer.cpp"
 var $17=$16; //@line 658 "Elementizer.cpp"
 var $source_start8=(($17+16)|0); //@line 658 "Elementizer.cpp"
 var $18=((((HEAPU8[($source_start8)])|(HEAPU8[((($source_start8)+(1))|0)]<<8)|(HEAPU8[((($source_start8)+(2))|0)]<<16)|(HEAPU8[((($source_start8)+(3))|0)]<<24))|0)); //@line 658 "Elementizer.cpp"
 $scanEnd=$18; //@line 658 "Elementizer.cpp"
 label=9;break; //@line 659 "Elementizer.cpp"
 case 9: 
 var $19=$scanEnd; //@line 659 "Elementizer.cpp"
 var $20=$pSource; //@line 659 "Elementizer.cpp"
 var $arrayidx10=(($20+$19)|0); //@line 659 "Elementizer.cpp"
 var $21=HEAP8[($arrayidx10)]; //@line 659 "Elementizer.cpp"
 var $conv11=(($21<<24)>>24); //@line 659 "Elementizer.cpp"
 var $cmp12=($conv11|0)!=0; //@line 659 "Elementizer.cpp"
 if($cmp12){label=10;break;}else{label=14;break;} //@line 659 "Elementizer.cpp"
 case 10: 
 var $22=$scanEnd; //@line 661 "Elementizer.cpp"
 var $23=$pSource; //@line 661 "Elementizer.cpp"
 var $arrayidx14=(($23+$22)|0); //@line 661 "Elementizer.cpp"
 var $24=HEAP8[($arrayidx14)]; //@line 661 "Elementizer.cpp"
 var $conv15=(($24<<24)>>24); //@line 661 "Elementizer.cpp"
 var $cmp16=($conv15|0)==13; //@line 661 "Elementizer.cpp"
 if($cmp16){label=12;break;}else{label=11;break;} //@line 661 "Elementizer.cpp"
 case 11: 
 var $25=$scanEnd; //@line 661 "Elementizer.cpp"
 var $26=$pSource; //@line 661 "Elementizer.cpp"
 var $arrayidx17=(($26+$25)|0); //@line 661 "Elementizer.cpp"
 var $27=HEAP8[($arrayidx17)]; //@line 661 "Elementizer.cpp"
 var $conv18=(($27<<24)>>24); //@line 661 "Elementizer.cpp"
 var $cmp19=($conv18|0)==0; //@line 661 "Elementizer.cpp"
 if($cmp19){label=12;break;}else{label=13;break;} //@line 661 "Elementizer.cpp"
 case 12: 
 label=14;break; //@line 663 "Elementizer.cpp"
 case 13: 
 var $28=$scanEnd; //@line 665 "Elementizer.cpp"
 var $inc22=((($28)+(1))|0); //@line 665 "Elementizer.cpp"
 $scanEnd=$inc22; //@line 665 "Elementizer.cpp"
 label=9;break; //@line 666 "Elementizer.cpp"
 case 14: 
 var $29=$scanEnd; //@line 667 "Elementizer.cpp"
 var $30=$offsetToEndOfLine_addr; //@line 667 "Elementizer.cpp"
 tempBigInt=$29;HEAP8[($30)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($30)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($30)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($30)+(3))|0)]=tempBigInt&0xff; //@line 667 "Elementizer.cpp"
 var $31=$lineCount; //@line 669 "Elementizer.cpp"
 STACKTOP=sp;return $31; //@line 669 "Elementizer.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __ZN11Elementizer11ObjConToConEv($this){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $this_addr;
 $this_addr=$this;
 var $this1=$this_addr;
 var $m_type=(($this1+20)|0); //@line 682 "Elementizer.cpp"
 var $0=((((HEAPU8[($m_type)])|(HEAPU8[((($m_type)+(1))|0)]<<8)|(HEAPU8[((($m_type)+(2))|0)]<<16)|(HEAPU8[((($m_type)+(3))|0)]<<24))|0)); //@line 682 "Elementizer.cpp"
 var $sub=((($0)-(14))|0); //@line 682 "Elementizer.cpp"
 tempBigInt=$sub;HEAP8[($m_type)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type)+(3))|0)]=tempBigInt&0xff; //@line 682 "Elementizer.cpp"
 STACKTOP=sp;return; //@line 683 "Elementizer.cpp"
}


function __ZN11Elementizer12DatResToLongEv($this){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $this_addr;
 $this_addr=$this;
 var $this1=$this_addr;
 var $m_type=(($this1+20)|0); //@line 687 "Elementizer.cpp"
 var $0=((((HEAPU8[($m_type)])|(HEAPU8[((($m_type)+(1))|0)]<<8)|(HEAPU8[((($m_type)+(2))|0)]<<16)|(HEAPU8[((($m_type)+(3))|0)]<<24))|0)); //@line 687 "Elementizer.cpp"
 var $cmp=($0|0)==75; //@line 687 "Elementizer.cpp"
 if($cmp){label=2;break;}else{label=3;break;} //@line 687 "Elementizer.cpp"
 case 2: 
 var $m_type2=(($this1+20)|0); //@line 689 "Elementizer.cpp"
 tempBigInt=74;HEAP8[($m_type2)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type2)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type2)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type2)+(3))|0)]=tempBigInt&0xff; //@line 689 "Elementizer.cpp"
 label=3;break; //@line 690 "Elementizer.cpp"
 case 3: 
 STACKTOP=sp;return; //@line 691 "Elementizer.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __ZN11Elementizer8SubToNegEv($this){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $this_addr;
 $this_addr=$this;
 var $this1=$this_addr;
 var $m_type=(($this1+20)|0); //@line 695 "Elementizer.cpp"
 var $0=((((HEAPU8[($m_type)])|(HEAPU8[((($m_type)+(1))|0)]<<8)|(HEAPU8[((($m_type)+(2))|0)]<<16)|(HEAPU8[((($m_type)+(3))|0)]<<24))|0)); //@line 695 "Elementizer.cpp"
 var $cmp=($0|0)==22; //@line 695 "Elementizer.cpp"
 if($cmp){label=2;break;}else{label=4;break;} //@line 695 "Elementizer.cpp"
 case 2: 
 var $m_opType=(($this1+32)|0); //@line 695 "Elementizer.cpp"
 var $1=((((HEAPU8[($m_opType)])|(HEAPU8[((($m_opType)+(1))|0)]<<8)|(HEAPU8[((($m_opType)+(2))|0)]<<16)|(HEAPU8[((($m_opType)+(3))|0)]<<24))|0)); //@line 695 "Elementizer.cpp"
 var $cmp2=($1|0)==13; //@line 695 "Elementizer.cpp"
 if($cmp2){label=3;break;}else{label=4;break;} //@line 695 "Elementizer.cpp"
 case 3: 
 var $m_type3=(($this1+20)|0); //@line 697 "Elementizer.cpp"
 tempBigInt=21;HEAP8[($m_type3)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type3)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type3)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type3)+(3))|0)]=tempBigInt&0xff; //@line 697 "Elementizer.cpp"
 var $m_opType4=(($this1+32)|0); //@line 698 "Elementizer.cpp"
 tempBigInt=6;HEAP8[($m_opType4)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_opType4)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_opType4)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_opType4)+(3))|0)]=tempBigInt&0xff; //@line 698 "Elementizer.cpp"
 var $m_value=(($this1+24)|0); //@line 699 "Elementizer.cpp"
 tempBigInt=0;HEAP8[($m_value)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value)+(3))|0)]=tempBigInt&0xff; //@line 699 "Elementizer.cpp"
 var $m_value_2=(($this1+28)|0); //@line 700 "Elementizer.cpp"
 tempBigInt=0;HEAP8[($m_value_2)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value_2)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value_2)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value_2)+(3))|0)]=tempBigInt&0xff; //@line 700 "Elementizer.cpp"
 $retval=1; //@line 701 "Elementizer.cpp"
 label=5;break; //@line 701 "Elementizer.cpp"
 case 4: 
 $retval=0; //@line 704 "Elementizer.cpp"
 label=5;break; //@line 704 "Elementizer.cpp"
 case 5: 
 var $2=$retval; //@line 705 "Elementizer.cpp"
 STACKTOP=sp;return $2; //@line 705 "Elementizer.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __ZN11Elementizer11NegConToConEv($this){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+8)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $this_addr;
 var $savedValue;
 var $bEof=sp;
 $this_addr=$this;
 var $this1=$this_addr;
 var $m_type=(($this1+20)|0); //@line 709 "Elementizer.cpp"
 var $0=((((HEAPU8[($m_type)])|(HEAPU8[((($m_type)+(1))|0)]<<8)|(HEAPU8[((($m_type)+(2))|0)]<<16)|(HEAPU8[((($m_type)+(3))|0)]<<24))|0)); //@line 709 "Elementizer.cpp"
 var $cmp=($0|0)==22; //@line 709 "Elementizer.cpp"
 if($cmp){label=2;break;}else{label=12;break;} //@line 709 "Elementizer.cpp"
 case 2: 
 var $m_opType=(($this1+32)|0); //@line 709 "Elementizer.cpp"
 var $1=((((HEAPU8[($m_opType)])|(HEAPU8[((($m_opType)+(1))|0)]<<8)|(HEAPU8[((($m_opType)+(2))|0)]<<16)|(HEAPU8[((($m_opType)+(3))|0)]<<24))|0)); //@line 709 "Elementizer.cpp"
 var $cmp2=($1|0)==13; //@line 709 "Elementizer.cpp"
 if($cmp2){label=3;break;}else{label=12;break;} //@line 709 "Elementizer.cpp"
 case 3: 
 var $m_value=(($this1+24)|0); //@line 711 "Elementizer.cpp"
 var $2=((((HEAPU8[($m_value)])|(HEAPU8[((($m_value)+(1))|0)]<<8)|(HEAPU8[((($m_value)+(2))|0)]<<16)|(HEAPU8[((($m_value)+(3))|0)]<<24))|0)); //@line 711 "Elementizer.cpp"
 $savedValue=$2; //@line 711 "Elementizer.cpp"
 HEAP8[($bEof)]=0; //@line 712 "Elementizer.cpp"
 var $call=__ZN11Elementizer7GetNextERb($this1,$bEof); //@line 713 "Elementizer.cpp"
 if($call){label=5;break;}else{label=4;break;} //@line 713 "Elementizer.cpp"
 case 4: 
 $retval=0; //@line 715 "Elementizer.cpp"
 label=13;break; //@line 715 "Elementizer.cpp"
 case 5: 
 var $m_type4=(($this1+20)|0); //@line 717 "Elementizer.cpp"
 var $3=((((HEAPU8[($m_type4)])|(HEAPU8[((($m_type4)+(1))|0)]<<8)|(HEAPU8[((($m_type4)+(2))|0)]<<16)|(HEAPU8[((($m_type4)+(3))|0)]<<24))|0)); //@line 717 "Elementizer.cpp"
 var $cmp5=($3|0)==67; //@line 717 "Elementizer.cpp"
 if($cmp5){label=6;break;}else{label=7;break;} //@line 717 "Elementizer.cpp"
 case 6: 
 var $m_value7=(($this1+24)|0); //@line 719 "Elementizer.cpp"
 var $4=((((HEAPU8[($m_value7)])|(HEAPU8[((($m_value7)+(1))|0)]<<8)|(HEAPU8[((($m_value7)+(2))|0)]<<16)|(HEAPU8[((($m_value7)+(3))|0)]<<24))|0)); //@line 719 "Elementizer.cpp"
 var $sub=(((-$4))|0); //@line 719 "Elementizer.cpp"
 var $m_value8=(($this1+24)|0); //@line 719 "Elementizer.cpp"
 tempBigInt=$sub;HEAP8[($m_value8)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value8)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value8)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value8)+(3))|0)]=tempBigInt&0xff; //@line 719 "Elementizer.cpp"
 label=11;break; //@line 720 "Elementizer.cpp"
 case 7: 
 var $m_type9=(($this1+20)|0); //@line 721 "Elementizer.cpp"
 var $5=((((HEAPU8[($m_type9)])|(HEAPU8[((($m_type9)+(1))|0)]<<8)|(HEAPU8[((($m_type9)+(2))|0)]<<16)|(HEAPU8[((($m_type9)+(3))|0)]<<24))|0)); //@line 721 "Elementizer.cpp"
 var $cmp10=($5|0)==68; //@line 721 "Elementizer.cpp"
 if($cmp10){label=8;break;}else{label=9;break;} //@line 721 "Elementizer.cpp"
 case 8: 
 var $m_value12=(($this1+24)|0); //@line 723 "Elementizer.cpp"
 var $6=((((HEAPU8[($m_value12)])|(HEAPU8[((($m_value12)+(1))|0)]<<8)|(HEAPU8[((($m_value12)+(2))|0)]<<16)|(HEAPU8[((($m_value12)+(3))|0)]<<24))|0)); //@line 723 "Elementizer.cpp"
 var $or=$6|-2147483648; //@line 723 "Elementizer.cpp"
 tempBigInt=$or;HEAP8[($m_value12)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value12)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value12)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value12)+(3))|0)]=tempBigInt&0xff; //@line 723 "Elementizer.cpp"
 label=10;break; //@line 724 "Elementizer.cpp"
 case 9: 
 __ZN11Elementizer6BackupEv($this1); //@line 727 "Elementizer.cpp"
 var $m_type14=(($this1+20)|0); //@line 728 "Elementizer.cpp"
 tempBigInt=22;HEAP8[($m_type14)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type14)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type14)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_type14)+(3))|0)]=tempBigInt&0xff; //@line 728 "Elementizer.cpp"
 var $m_asm=(($this1+36)|0); //@line 729 "Elementizer.cpp"
 tempBigInt=-1;HEAP8[($m_asm)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_asm)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_asm)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_asm)+(3))|0)]=tempBigInt&0xff; //@line 729 "Elementizer.cpp"
 var $m_opType15=(($this1+32)|0); //@line 730 "Elementizer.cpp"
 tempBigInt=13;HEAP8[($m_opType15)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_opType15)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_opType15)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_opType15)+(3))|0)]=tempBigInt&0xff; //@line 730 "Elementizer.cpp"
 var $7=$savedValue; //@line 731 "Elementizer.cpp"
 var $m_value16=(($this1+24)|0); //@line 731 "Elementizer.cpp"
 tempBigInt=$7;HEAP8[($m_value16)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value16)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value16)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_value16)+(3))|0)]=tempBigInt&0xff; //@line 731 "Elementizer.cpp"
 label=10;break;
 case 10: 
 label=11;break;
 case 11: 
 label=12;break; //@line 733 "Elementizer.cpp"
 case 12: 
 $retval=1; //@line 734 "Elementizer.cpp"
 label=13;break; //@line 734 "Elementizer.cpp"
 case 13: 
 var $8=$retval; //@line 735 "Elementizer.cpp"
 STACKTOP=sp;return $8; //@line 735 "Elementizer.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __ZN11Elementizer10FindSymbolEPKc($this,$symbol){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $this_addr;
 var $symbol_addr;
 $this_addr=$this;
 $symbol_addr=$symbol;
 var $this1=$this_addr;
 var $m_pSymbolEngine=(($this1+4)|0); //@line 739 "Elementizer.cpp"
 var $0=((((HEAPU8[($m_pSymbolEngine)])|(HEAPU8[((($m_pSymbolEngine)+(1))|0)]<<8)|(HEAPU8[((($m_pSymbolEngine)+(2))|0)]<<16)|(HEAPU8[((($m_pSymbolEngine)+(3))|0)]<<24))|0)); //@line 739 "Elementizer.cpp"
 var $1=$symbol_addr; //@line 739 "Elementizer.cpp"
 var $call=__ZN12SymbolEngine10FindSymbolEPKc($0,$1); //@line 739 "Elementizer.cpp"
 var $m_pSymbolEntry=(($this1+16)|0); //@line 739 "Elementizer.cpp"
 tempBigInt=$call;HEAP8[($m_pSymbolEntry)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pSymbolEntry)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pSymbolEntry)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pSymbolEntry)+(3))|0)]=tempBigInt&0xff; //@line 739 "Elementizer.cpp"
 __ZN11Elementizer18SetFromSymbolEntryEv($this1); //@line 740 "Elementizer.cpp"
 STACKTOP=sp;return 1; //@line 741 "Elementizer.cpp"
}


function __ZN11Elementizer12BackupSymbolEv($this){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $this_addr;
 $this_addr=$this;
 var $this1=$this_addr;
 var $m_pCompilerData=(($this1)|0); //@line 746 "Elementizer.cpp"
 var $0=((((HEAPU8[($m_pCompilerData)])|(HEAPU8[((($m_pCompilerData)+(1))|0)]<<8)|(HEAPU8[((($m_pCompilerData)+(2))|0)]<<16)|(HEAPU8[((($m_pCompilerData)+(3))|0)]<<24))|0)); //@line 746 "Elementizer.cpp"
 var $symbolBackup=(($0+16979312)|0); //@line 746 "Elementizer.cpp"
 var $arraydecay=(($symbolBackup)|0); //@line 746 "Elementizer.cpp"
 var $m_currentSymbol=(($this1+64)|0); //@line 746 "Elementizer.cpp"
 var $arraydecay2=(($m_currentSymbol)|0); //@line 746 "Elementizer.cpp"
 var $call=_strcpy($arraydecay,$arraydecay2); //@line 746 "Elementizer.cpp"
 STACKTOP=sp;return; //@line 747 "Elementizer.cpp"
}


function __Z9GetResultv(){
 var label=0;


 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 48 "ExpressionResolver.cpp"
 var $mathCurrent=(($0+16979900)|0); //@line 48 "ExpressionResolver.cpp"
 var $1=((((HEAPU8[($mathCurrent)])|(HEAPU8[((($mathCurrent)+(1))|0)]<<8)|(HEAPU8[((($mathCurrent)+(2))|0)]<<16)|(HEAPU8[((($mathCurrent)+(3))|0)]<<24))|0)); //@line 48 "ExpressionResolver.cpp"
 var $sub=((($1)-(1))|0); //@line 48 "ExpressionResolver.cpp"
 var $2=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 48 "ExpressionResolver.cpp"
 var $mathStack=(($2+16979904)|0); //@line 48 "ExpressionResolver.cpp"
 var $arrayidx=(($mathStack+($sub<<2))|0); //@line 48 "ExpressionResolver.cpp"
 var $3=((((HEAPU8[($arrayidx)])|(HEAPU8[((($arrayidx)+(1))|0)]<<8)|(HEAPU8[((($arrayidx)+(2))|0)]<<16)|(HEAPU8[((($arrayidx)+(3))|0)]<<24))|0)); //@line 48 "ExpressionResolver.cpp"
 return $3; //@line 48 "ExpressionResolver.cpp"
}


function __Z11GetTryValuebbb($bMustResolve,$bInteger,$bOperandMode){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+8)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $bMustResolve_addr;
 var $bInteger_addr;
 var $bOperandMode_addr;
 var $bEof=sp;
 var $save_start;
 var $frombool=($bMustResolve&1);
 $bMustResolve_addr=$frombool;
 var $frombool1=($bInteger&1);
 $bInteger_addr=$frombool1;
 var $frombool2=($bOperandMode&1);
 $bOperandMode_addr=$frombool2;
 var $0=$bInteger_addr; //@line 54 "ExpressionResolver.cpp"
 var $tobool=(($0)&1); //@line 54 "ExpressionResolver.cpp"
 var $cond=($tobool?1:0); //@line 54 "ExpressionResolver.cpp"
 var $1=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 54 "ExpressionResolver.cpp"
 var $intMode=(($1+16979888)|0); //@line 54 "ExpressionResolver.cpp"
 tempBigInt=$cond;HEAP8[($intMode)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode)+(3))|0)]=tempBigInt&0xff; //@line 54 "ExpressionResolver.cpp"
 var $2=$bMustResolve_addr; //@line 55 "ExpressionResolver.cpp"
 var $tobool3=(($2)&1); //@line 55 "ExpressionResolver.cpp"
 var $3=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 55 "ExpressionResolver.cpp"
 var $bMustResolve4=(($3+16979896)|0); //@line 55 "ExpressionResolver.cpp"
 var $frombool5=($tobool3&1); //@line 55 "ExpressionResolver.cpp"
 HEAP8[($bMustResolve4)]=$frombool5; //@line 55 "ExpressionResolver.cpp"
 var $4=$bOperandMode_addr; //@line 56 "ExpressionResolver.cpp"
 var $tobool6=(($4)&1); //@line 56 "ExpressionResolver.cpp"
 var $5=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 56 "ExpressionResolver.cpp"
 var $bOperandMode7=(($5+16979898)|0); //@line 56 "ExpressionResolver.cpp"
 var $frombool8=($tobool6&1); //@line 56 "ExpressionResolver.cpp"
 HEAP8[($bOperandMode7)]=$frombool8; //@line 56 "ExpressionResolver.cpp"
 var $6=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 57 "ExpressionResolver.cpp"
 var $mathCurrent=(($6+16979900)|0); //@line 57 "ExpressionResolver.cpp"
 tempBigInt=0;HEAP8[($mathCurrent)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($mathCurrent)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($mathCurrent)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($mathCurrent)+(3))|0)]=tempBigInt&0xff; //@line 57 "ExpressionResolver.cpp"
 var $7=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line undefined "ExpressionResolver.cpp"
 var $bUndefined=(($7+16979897)|0); //@line undefined "ExpressionResolver.cpp"
 HEAP8[($bUndefined)]=0; //@line undefined "ExpressionResolver.cpp"
 var $8=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 59 "ExpressionResolver.cpp"
 var $currentOp=(($8+16979972)|0); //@line 59 "ExpressionResolver.cpp"
 tempBigInt=0;HEAP8[($currentOp)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($currentOp)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($currentOp)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($currentOp)+(3))|0)]=tempBigInt&0xff; //@line 59 "ExpressionResolver.cpp"
 HEAP8[($bEof)]=0; //@line 61 "ExpressionResolver.cpp"
 var $9=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 62 "ExpressionResolver.cpp"
 var $call=__ZN11Elementizer7GetNextERb($9,$bEof); //@line 62 "ExpressionResolver.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 62 "ExpressionResolver.cpp"
 case 2: 
 $retval=0; //@line 64 "ExpressionResolver.cpp"
 label=8;break; //@line 64 "ExpressionResolver.cpp"
 case 3: 
 var $10=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 66 "ExpressionResolver.cpp"
 var $11=$10; //@line 66 "ExpressionResolver.cpp"
 var $source_start=(($11+16)|0); //@line 66 "ExpressionResolver.cpp"
 var $12=((((HEAPU8[($source_start)])|(HEAPU8[((($source_start)+(1))|0)]<<8)|(HEAPU8[((($source_start)+(2))|0)]<<16)|(HEAPU8[((($source_start)+(3))|0)]<<24))|0)); //@line 66 "ExpressionResolver.cpp"
 $save_start=$12; //@line 66 "ExpressionResolver.cpp"
 var $13=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 67 "ExpressionResolver.cpp"
 __ZN11Elementizer6BackupEv($13); //@line 67 "ExpressionResolver.cpp"
 __Z17ResolveExpressionv(); //@line 70 "ExpressionResolver.cpp"
 var $14=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 72 "ExpressionResolver.cpp"
 var $15=$14; //@line 72 "ExpressionResolver.cpp"
 var $error=(($15)|0); //@line 72 "ExpressionResolver.cpp"
 var $16=HEAP8[($error)]; //@line 72 "ExpressionResolver.cpp"
 var $tobool9=(($16)&1); //@line 72 "ExpressionResolver.cpp"
 if($tobool9){label=4;break;}else{label=5;break;} //@line 72 "ExpressionResolver.cpp"
 case 4: 
 $retval=0; //@line 74 "ExpressionResolver.cpp"
 label=8;break; //@line 74 "ExpressionResolver.cpp"
 case 5: 
 var $17=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 77 "ExpressionResolver.cpp"
 __ZN11Elementizer6BackupEv($17); //@line 77 "ExpressionResolver.cpp"
 var $18=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 78 "ExpressionResolver.cpp"
 var $call12=__ZN11Elementizer7GetNextERb($18,$bEof); //@line 78 "ExpressionResolver.cpp"
 if($call12){label=7;break;}else{label=6;break;} //@line 78 "ExpressionResolver.cpp"
 case 6: 
 $retval=0; //@line 80 "ExpressionResolver.cpp"
 label=8;break; //@line 80 "ExpressionResolver.cpp"
 case 7: 
 var $19=$save_start; //@line 82 "ExpressionResolver.cpp"
 var $20=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 82 "ExpressionResolver.cpp"
 var $21=$20; //@line 82 "ExpressionResolver.cpp"
 var $source_start15=(($21+16)|0); //@line 82 "ExpressionResolver.cpp"
 tempBigInt=$19;HEAP8[($source_start15)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_start15)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_start15)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_start15)+(3))|0)]=tempBigInt&0xff; //@line 82 "ExpressionResolver.cpp"
 $retval=1; //@line 84 "ExpressionResolver.cpp"
 label=8;break; //@line 84 "ExpressionResolver.cpp"
 case 8: 
 var $22=$retval; //@line 85 "ExpressionResolver.cpp"
 STACKTOP=sp;return $22; //@line 85 "ExpressionResolver.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z17ResolveExpressionv(){
 var label=0;


 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 93 "ExpressionResolver.cpp"
 var $precedence=(($0+16979892)|0); //@line 93 "ExpressionResolver.cpp"
 tempBigInt=11;HEAP8[($precedence)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($precedence)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($precedence)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($precedence)+(3))|0)]=tempBigInt&0xff; //@line 93 "ExpressionResolver.cpp"
 var $1=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 94 "ExpressionResolver.cpp"
 var $precedence1=(($1+16979892)|0); //@line 94 "ExpressionResolver.cpp"
 var $2=((((HEAPU8[($precedence1)])|(HEAPU8[((($precedence1)+(1))|0)]<<8)|(HEAPU8[((($precedence1)+(2))|0)]<<16)|(HEAPU8[((($precedence1)+(3))|0)]<<24))|0)); //@line 94 "ExpressionResolver.cpp"
 var $sub=((($2)-(1))|0); //@line 94 "ExpressionResolver.cpp"
 __Z20ResolveSubExpressioni($sub); //@line 94 "ExpressionResolver.cpp"
 return; //@line 95 "ExpressionResolver.cpp"
}


function __Z20ResolveSubExpressioni($precedence){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+16)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $precedence_addr=sp;
 var $bEof=(sp)+(8);
 var $save_start;
 var $save_finish;
 tempBigInt=$precedence;HEAP8[($precedence_addr)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($precedence_addr)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($precedence_addr)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($precedence_addr)+(3))|0)]=tempBigInt&0xff;
 var $0=((((HEAPU8[($precedence_addr)])|(HEAPU8[((($precedence_addr)+(1))|0)]<<8)|(HEAPU8[((($precedence_addr)+(2))|0)]<<16)|(HEAPU8[((($precedence_addr)+(3))|0)]<<24))|0)); //@line 99 "ExpressionResolver.cpp"
 var $cmp=($0|0)<0; //@line 99 "ExpressionResolver.cpp"
 if($cmp){label=2;break;}else{label=3;break;} //@line 99 "ExpressionResolver.cpp"
 case 2: 
 __Z7GetTermRi($precedence_addr); //@line 101 "ExpressionResolver.cpp"
 label=4;break; //@line 102 "ExpressionResolver.cpp"
 case 3: 
 var $1=((((HEAPU8[($precedence_addr)])|(HEAPU8[((($precedence_addr)+(1))|0)]<<8)|(HEAPU8[((($precedence_addr)+(2))|0)]<<16)|(HEAPU8[((($precedence_addr)+(3))|0)]<<24))|0)); //@line 105 "ExpressionResolver.cpp"
 var $sub=((($1)-(1))|0); //@line 105 "ExpressionResolver.cpp"
 __Z20ResolveSubExpressioni($sub); //@line 105 "ExpressionResolver.cpp"
 label=4;break;
 case 4: 
 var $2=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 108 "ExpressionResolver.cpp"
 var $3=$2; //@line 108 "ExpressionResolver.cpp"
 var $error=(($3)|0); //@line 108 "ExpressionResolver.cpp"
 var $4=HEAP8[($error)]; //@line 108 "ExpressionResolver.cpp"
 var $tobool=(($4)&1); //@line 108 "ExpressionResolver.cpp"
 if($tobool){label=5;break;}else{label=6;break;} //@line 108 "ExpressionResolver.cpp"
 case 5: 
 label=21;break; //@line 110 "ExpressionResolver.cpp"
 case 6: 
 HEAP8[($bEof)]=0; //@line 113 "ExpressionResolver.cpp"
 label=7;break; //@line 115 "ExpressionResolver.cpp"
 case 7: 
 var $5=HEAP8[($bEof)]; //@line 115 "ExpressionResolver.cpp"
 var $tobool3=(($5)&1); //@line 115 "ExpressionResolver.cpp"
 var $lnot=$tobool3^1; //@line 115 "ExpressionResolver.cpp"
 if($lnot){label=8;break;}else{label=21;break;} //@line 115 "ExpressionResolver.cpp"
 case 8: 
 var $6=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 117 "ExpressionResolver.cpp"
 var $call=__ZN11Elementizer7GetNextERb($6,$bEof); //@line 117 "ExpressionResolver.cpp"
 if($call){label=10;break;}else{label=9;break;} //@line 117 "ExpressionResolver.cpp"
 case 9: 
 label=21;break; //@line 119 "ExpressionResolver.cpp"
 case 10: 
 var $7=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 121 "ExpressionResolver.cpp"
 var $call6=__ZN11Elementizer7GetTypeEv($7); //@line 121 "ExpressionResolver.cpp"
 var $cmp7=($call6|0)!=22; //@line 121 "ExpressionResolver.cpp"
 if($cmp7){label=11;break;}else{label=12;break;} //@line 121 "ExpressionResolver.cpp"
 case 11: 
 var $8=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 123 "ExpressionResolver.cpp"
 __ZN11Elementizer6BackupEv($8); //@line 123 "ExpressionResolver.cpp"
 label=21;break; //@line 124 "ExpressionResolver.cpp"
 case 12: 
 var $call10=__Z9PreviewOpv(); //@line 126 "ExpressionResolver.cpp"
 if($call10){label=14;break;}else{label=13;break;} //@line 126 "ExpressionResolver.cpp"
 case 13: 
 label=21;break; //@line 128 "ExpressionResolver.cpp"
 case 14: 
 var $9=((((HEAPU8[($precedence_addr)])|(HEAPU8[((($precedence_addr)+(1))|0)]<<8)|(HEAPU8[((($precedence_addr)+(2))|0)]<<16)|(HEAPU8[((($precedence_addr)+(3))|0)]<<24))|0)); //@line 130 "ExpressionResolver.cpp"
 var $10=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 130 "ExpressionResolver.cpp"
 var $call13=__ZN11Elementizer8GetValueEv($10); //@line 130 "ExpressionResolver.cpp"
 var $cmp14=($9|0)!=($call13|0); //@line 130 "ExpressionResolver.cpp"
 if($cmp14){label=15;break;}else{label=16;break;} //@line 130 "ExpressionResolver.cpp"
 case 15: 
 var $11=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 132 "ExpressionResolver.cpp"
 __ZN11Elementizer6BackupEv($11); //@line 132 "ExpressionResolver.cpp"
 label=21;break; //@line 133 "ExpressionResolver.cpp"
 case 16: 
 var $12=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 135 "ExpressionResolver.cpp"
 var $call17=__ZN11Elementizer9GetOpTypeEv($12); //@line 135 "ExpressionResolver.cpp"
 var $13=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 135 "ExpressionResolver.cpp"
 var $currentOp=(($13+16979972)|0); //@line 135 "ExpressionResolver.cpp"
 var $14=((((HEAPU8[($currentOp)])|(HEAPU8[((($currentOp)+(1))|0)]<<8)|(HEAPU8[((($currentOp)+(2))|0)]<<16)|(HEAPU8[((($currentOp)+(3))|0)]<<24))|0)); //@line 135 "ExpressionResolver.cpp"
 var $15=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 135 "ExpressionResolver.cpp"
 var $savedOp=(($15+16979976)|0); //@line 135 "ExpressionResolver.cpp"
 var $arrayidx=(($savedOp+($14<<2))|0); //@line 135 "ExpressionResolver.cpp"
 tempBigInt=$call17;HEAP8[($arrayidx)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx)+(3))|0)]=tempBigInt&0xff; //@line 135 "ExpressionResolver.cpp"
 var $16=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 136 "ExpressionResolver.cpp"
 var $currentOp18=(($16+16979972)|0); //@line 136 "ExpressionResolver.cpp"
 var $17=((((HEAPU8[($currentOp18)])|(HEAPU8[((($currentOp18)+(1))|0)]<<8)|(HEAPU8[((($currentOp18)+(2))|0)]<<16)|(HEAPU8[((($currentOp18)+(3))|0)]<<24))|0)); //@line 136 "ExpressionResolver.cpp"
 var $inc=((($17)+(1))|0); //@line 136 "ExpressionResolver.cpp"
 tempBigInt=$inc;HEAP8[($currentOp18)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($currentOp18)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($currentOp18)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($currentOp18)+(3))|0)]=tempBigInt&0xff; //@line 136 "ExpressionResolver.cpp"
 var $18=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 137 "ExpressionResolver.cpp"
 var $19=$18; //@line 137 "ExpressionResolver.cpp"
 var $source_start=(($19+16)|0); //@line 137 "ExpressionResolver.cpp"
 var $20=((((HEAPU8[($source_start)])|(HEAPU8[((($source_start)+(1))|0)]<<8)|(HEAPU8[((($source_start)+(2))|0)]<<16)|(HEAPU8[((($source_start)+(3))|0)]<<24))|0)); //@line 137 "ExpressionResolver.cpp"
 $save_start=$20; //@line 137 "ExpressionResolver.cpp"
 var $21=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 138 "ExpressionResolver.cpp"
 var $22=$21; //@line 138 "ExpressionResolver.cpp"
 var $source_finish=(($22+20)|0); //@line 138 "ExpressionResolver.cpp"
 var $23=((((HEAPU8[($source_finish)])|(HEAPU8[((($source_finish)+(1))|0)]<<8)|(HEAPU8[((($source_finish)+(2))|0)]<<16)|(HEAPU8[((($source_finish)+(3))|0)]<<24))|0)); //@line 138 "ExpressionResolver.cpp"
 $save_finish=$23; //@line 138 "ExpressionResolver.cpp"
 var $24=((((HEAPU8[($precedence_addr)])|(HEAPU8[((($precedence_addr)+(1))|0)]<<8)|(HEAPU8[((($precedence_addr)+(2))|0)]<<16)|(HEAPU8[((($precedence_addr)+(3))|0)]<<24))|0)); //@line 139 "ExpressionResolver.cpp"
 var $sub19=((($24)-(1))|0); //@line 139 "ExpressionResolver.cpp"
 __Z20ResolveSubExpressioni($sub19); //@line 139 "ExpressionResolver.cpp"
 var $25=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 140 "ExpressionResolver.cpp"
 var $26=$25; //@line 140 "ExpressionResolver.cpp"
 var $error20=(($26)|0); //@line 140 "ExpressionResolver.cpp"
 var $27=HEAP8[($error20)]; //@line 140 "ExpressionResolver.cpp"
 var $tobool21=(($27)&1); //@line 140 "ExpressionResolver.cpp"
 if($tobool21){label=17;break;}else{label=18;break;} //@line 140 "ExpressionResolver.cpp"
 case 17: 
 label=21;break; //@line 142 "ExpressionResolver.cpp"
 case 18: 
 var $28=$save_start; //@line 144 "ExpressionResolver.cpp"
 var $29=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 144 "ExpressionResolver.cpp"
 var $30=$29; //@line 144 "ExpressionResolver.cpp"
 var $source_start24=(($30+16)|0); //@line 144 "ExpressionResolver.cpp"
 tempBigInt=$28;HEAP8[($source_start24)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_start24)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_start24)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_start24)+(3))|0)]=tempBigInt&0xff; //@line 144 "ExpressionResolver.cpp"
 var $31=$save_finish; //@line 145 "ExpressionResolver.cpp"
 var $32=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 145 "ExpressionResolver.cpp"
 var $33=$32; //@line 145 "ExpressionResolver.cpp"
 var $source_finish25=(($33+20)|0); //@line 145 "ExpressionResolver.cpp"
 tempBigInt=$31;HEAP8[($source_finish25)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_finish25)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_finish25)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_finish25)+(3))|0)]=tempBigInt&0xff; //@line 145 "ExpressionResolver.cpp"
 var $call26=__Z13PerformBinaryv(); //@line 146 "ExpressionResolver.cpp"
 if($call26){label=20;break;}else{label=19;break;} //@line 146 "ExpressionResolver.cpp"
 case 19: 
 label=21;break; //@line 148 "ExpressionResolver.cpp"
 case 20: 
 var $34=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 150 "ExpressionResolver.cpp"
 var $currentOp29=(($34+16979972)|0); //@line 150 "ExpressionResolver.cpp"
 var $35=((((HEAPU8[($currentOp29)])|(HEAPU8[((($currentOp29)+(1))|0)]<<8)|(HEAPU8[((($currentOp29)+(2))|0)]<<16)|(HEAPU8[((($currentOp29)+(3))|0)]<<24))|0)); //@line 150 "ExpressionResolver.cpp"
 var $dec=((($35)-(1))|0); //@line 150 "ExpressionResolver.cpp"
 tempBigInt=$dec;HEAP8[($currentOp29)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($currentOp29)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($currentOp29)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($currentOp29)+(3))|0)]=tempBigInt&0xff; //@line 150 "ExpressionResolver.cpp"
 label=7;break; //@line 151 "ExpressionResolver.cpp"
 case 21: 
 STACKTOP=sp;return; //@line 152 "ExpressionResolver.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z7GetTermRi($precedence){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+16)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $precedence_addr;
 var $bEof=sp;
 var $bConstant=(sp)+(8);
 var $save_start;
 var $save_finish;
 $precedence_addr=$precedence;
 HEAP8[($bEof)]=0; //@line 156 "ExpressionResolver.cpp"
 label=2;break; //@line 159 "ExpressionResolver.cpp"
 case 2: 
 var $0=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 161 "ExpressionResolver.cpp"
 var $call=__ZN11Elementizer7GetNextERb($0,$bEof); //@line 161 "ExpressionResolver.cpp"
 var $1=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 162 "ExpressionResolver.cpp"
 var $call1=__ZN11Elementizer7GetTypeEv($1); //@line 162 "ExpressionResolver.cpp"
 var $cmp=($call1|0)==22; //@line 162 "ExpressionResolver.cpp"
 if($cmp){label=3;break;}else{label=5;break;} //@line 162 "ExpressionResolver.cpp"
 case 3: 
 var $2=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 162 "ExpressionResolver.cpp"
 var $call2=__ZN11Elementizer9GetOpTypeEv($2); //@line 162 "ExpressionResolver.cpp"
 var $cmp3=($call2|0)==12; //@line 162 "ExpressionResolver.cpp"
 if($cmp3){label=4;break;}else{label=5;break;} //@line 162 "ExpressionResolver.cpp"
 case 4: 
 label=6;break; //@line 164 "ExpressionResolver.cpp"
 case 5: 
 label=7;break; //@line 166 "ExpressionResolver.cpp"
 case 6: 
 var $3=HEAP8[($bEof)]; //@line 167 "ExpressionResolver.cpp"
 var $tobool=(($3)&1); //@line 167 "ExpressionResolver.cpp"
 var $lnot=$tobool^1; //@line 167 "ExpressionResolver.cpp"
 if($lnot){label=2;break;}else{label=7;break;} //@line 167 "ExpressionResolver.cpp"
 case 7: 
 HEAP8[($bConstant)]=0; //@line 169 "ExpressionResolver.cpp"
 var $call4=__Z13CheckConstantRb($bConstant); //@line 170 "ExpressionResolver.cpp"
 if($call4){label=11;break;}else{label=8;break;} //@line 170 "ExpressionResolver.cpp"
 case 8: 
 var $4=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 172 "ExpressionResolver.cpp"
 var $5=$4; //@line 172 "ExpressionResolver.cpp"
 var $error=(($5)|0); //@line 172 "ExpressionResolver.cpp"
 var $6=HEAP8[($error)]; //@line 172 "ExpressionResolver.cpp"
 var $tobool6=(($6)&1); //@line 172 "ExpressionResolver.cpp"
 if($tobool6){label=9;break;}else{label=10;break;} //@line 172 "ExpressionResolver.cpp"
 case 9: 
 label=31;break; //@line 174 "ExpressionResolver.cpp"
 case 10: 
 label=11;break; //@line 176 "ExpressionResolver.cpp"
 case 11: 
 var $7=HEAP8[($bConstant)]; //@line 177 "ExpressionResolver.cpp"
 var $tobool10=(($7)&1); //@line 177 "ExpressionResolver.cpp"
 if($tobool10){label=12;break;}else{label=13;break;} //@line 177 "ExpressionResolver.cpp"
 case 12: 
 var $call12=__Z11PerformPushv(); //@line 179 "ExpressionResolver.cpp"
 label=31;break; //@line 180 "ExpressionResolver.cpp"
 case 13: 
 var $8=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 183 "ExpressionResolver.cpp"
 var $call14=__ZN11Elementizer8SubToNegEv($8); //@line 183 "ExpressionResolver.cpp"
 if($call14){label=14;break;}else{label=15;break;} //@line 183 "ExpressionResolver.cpp"
 case 14: 
 var $9=$precedence_addr; //@line 185 "ExpressionResolver.cpp"
 tempBigInt=0;HEAP8[($9)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($9)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($9)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($9)+(3))|0)]=tempBigInt&0xff; //@line 185 "ExpressionResolver.cpp"
 label=15;break; //@line 186 "ExpressionResolver.cpp"
 case 15: 
 var $10=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 188 "ExpressionResolver.cpp"
 var $call17=__ZN11Elementizer7GetTypeEv($10); //@line 188 "ExpressionResolver.cpp"
 var $cmp18=($call17|0)==21; //@line 188 "ExpressionResolver.cpp"
 if($cmp18){label=16;break;}else{label=23;break;} //@line 188 "ExpressionResolver.cpp"
 case 16: 
 var $call20=__Z9PreviewOpv(); //@line 190 "ExpressionResolver.cpp"
 if($call20){label=18;break;}else{label=17;break;} //@line 190 "ExpressionResolver.cpp"
 case 17: 
 label=31;break; //@line 192 "ExpressionResolver.cpp"
 case 18: 
 var $11=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 194 "ExpressionResolver.cpp"
 var $call23=__ZN11Elementizer8GetValueEv($11); //@line 194 "ExpressionResolver.cpp"
 var $12=$precedence_addr; //@line 194 "ExpressionResolver.cpp"
 tempBigInt=$call23;HEAP8[($12)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($12)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($12)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($12)+(3))|0)]=tempBigInt&0xff; //@line 194 "ExpressionResolver.cpp"
 var $13=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 195 "ExpressionResolver.cpp"
 var $14=$13; //@line 195 "ExpressionResolver.cpp"
 var $source_start=(($14+16)|0); //@line 195 "ExpressionResolver.cpp"
 var $15=((((HEAPU8[($source_start)])|(HEAPU8[((($source_start)+(1))|0)]<<8)|(HEAPU8[((($source_start)+(2))|0)]<<16)|(HEAPU8[((($source_start)+(3))|0)]<<24))|0)); //@line 195 "ExpressionResolver.cpp"
 $save_start=$15; //@line 195 "ExpressionResolver.cpp"
 var $16=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 196 "ExpressionResolver.cpp"
 var $17=$16; //@line 196 "ExpressionResolver.cpp"
 var $source_finish=(($17+20)|0); //@line 196 "ExpressionResolver.cpp"
 var $18=((((HEAPU8[($source_finish)])|(HEAPU8[((($source_finish)+(1))|0)]<<8)|(HEAPU8[((($source_finish)+(2))|0)]<<16)|(HEAPU8[((($source_finish)+(3))|0)]<<24))|0)); //@line 196 "ExpressionResolver.cpp"
 $save_finish=$18; //@line 196 "ExpressionResolver.cpp"
 var $19=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 197 "ExpressionResolver.cpp"
 var $call24=__ZN11Elementizer9GetOpTypeEv($19); //@line 197 "ExpressionResolver.cpp"
 var $20=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 197 "ExpressionResolver.cpp"
 var $currentOp=(($20+16979972)|0); //@line 197 "ExpressionResolver.cpp"
 var $21=((((HEAPU8[($currentOp)])|(HEAPU8[((($currentOp)+(1))|0)]<<8)|(HEAPU8[((($currentOp)+(2))|0)]<<16)|(HEAPU8[((($currentOp)+(3))|0)]<<24))|0)); //@line 197 "ExpressionResolver.cpp"
 var $22=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 197 "ExpressionResolver.cpp"
 var $savedOp=(($22+16979976)|0); //@line 197 "ExpressionResolver.cpp"
 var $arrayidx=(($savedOp+($21<<2))|0); //@line 197 "ExpressionResolver.cpp"
 tempBigInt=$call24;HEAP8[($arrayidx)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx)+(3))|0)]=tempBigInt&0xff; //@line 197 "ExpressionResolver.cpp"
 var $23=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 198 "ExpressionResolver.cpp"
 var $currentOp25=(($23+16979972)|0); //@line 198 "ExpressionResolver.cpp"
 var $24=((((HEAPU8[($currentOp25)])|(HEAPU8[((($currentOp25)+(1))|0)]<<8)|(HEAPU8[((($currentOp25)+(2))|0)]<<16)|(HEAPU8[((($currentOp25)+(3))|0)]<<24))|0)); //@line 198 "ExpressionResolver.cpp"
 var $inc=((($24)+(1))|0); //@line 198 "ExpressionResolver.cpp"
 tempBigInt=$inc;HEAP8[($currentOp25)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($currentOp25)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($currentOp25)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($currentOp25)+(3))|0)]=tempBigInt&0xff; //@line 198 "ExpressionResolver.cpp"
 var $25=$precedence_addr; //@line 199 "ExpressionResolver.cpp"
 var $26=((((HEAPU8[($25)])|(HEAPU8[((($25)+(1))|0)]<<8)|(HEAPU8[((($25)+(2))|0)]<<16)|(HEAPU8[((($25)+(3))|0)]<<24))|0)); //@line 199 "ExpressionResolver.cpp"
 var $sub=((($26)-(1))|0); //@line 199 "ExpressionResolver.cpp"
 __Z20ResolveSubExpressioni($sub); //@line 199 "ExpressionResolver.cpp"
 var $27=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 200 "ExpressionResolver.cpp"
 var $28=$27; //@line 200 "ExpressionResolver.cpp"
 var $error26=(($28)|0); //@line 200 "ExpressionResolver.cpp"
 var $29=HEAP8[($error26)]; //@line 200 "ExpressionResolver.cpp"
 var $tobool27=(($29)&1); //@line 200 "ExpressionResolver.cpp"
 if($tobool27){label=19;break;}else{label=20;break;} //@line 200 "ExpressionResolver.cpp"
 case 19: 
 label=31;break; //@line 202 "ExpressionResolver.cpp"
 case 20: 
 var $30=$save_start; //@line 204 "ExpressionResolver.cpp"
 var $31=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 204 "ExpressionResolver.cpp"
 var $32=$31; //@line 204 "ExpressionResolver.cpp"
 var $source_start30=(($32+16)|0); //@line 204 "ExpressionResolver.cpp"
 tempBigInt=$30;HEAP8[($source_start30)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_start30)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_start30)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_start30)+(3))|0)]=tempBigInt&0xff; //@line 204 "ExpressionResolver.cpp"
 var $33=$save_finish; //@line 205 "ExpressionResolver.cpp"
 var $34=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 205 "ExpressionResolver.cpp"
 var $35=$34; //@line 205 "ExpressionResolver.cpp"
 var $source_finish31=(($35+20)|0); //@line 205 "ExpressionResolver.cpp"
 tempBigInt=$33;HEAP8[($source_finish31)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_finish31)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_finish31)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_finish31)+(3))|0)]=tempBigInt&0xff; //@line 205 "ExpressionResolver.cpp"
 var $call32=__Z9PerformOpv(); //@line 206 "ExpressionResolver.cpp"
 if($call32){label=22;break;}else{label=21;break;} //@line 206 "ExpressionResolver.cpp"
 case 21: 
 label=31;break; //@line 208 "ExpressionResolver.cpp"
 case 22: 
 var $36=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 210 "ExpressionResolver.cpp"
 var $currentOp35=(($36+16979972)|0); //@line 210 "ExpressionResolver.cpp"
 var $37=((((HEAPU8[($currentOp35)])|(HEAPU8[((($currentOp35)+(1))|0)]<<8)|(HEAPU8[((($currentOp35)+(2))|0)]<<16)|(HEAPU8[((($currentOp35)+(3))|0)]<<24))|0)); //@line 210 "ExpressionResolver.cpp"
 var $dec=((($37)-(1))|0); //@line 210 "ExpressionResolver.cpp"
 tempBigInt=$dec;HEAP8[($currentOp35)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($currentOp35)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($currentOp35)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($currentOp35)+(3))|0)]=tempBigInt&0xff; //@line 210 "ExpressionResolver.cpp"
 label=31;break; //@line 211 "ExpressionResolver.cpp"
 case 23: 
 var $38=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 212 "ExpressionResolver.cpp"
 var $call36=__ZN11Elementizer7GetTypeEv($38); //@line 212 "ExpressionResolver.cpp"
 var $cmp37=($call36|0)==1; //@line 212 "ExpressionResolver.cpp"
 if($cmp37){label=24;break;}else{label=27;break;} //@line 212 "ExpressionResolver.cpp"
 case 24: 
 __Z17ResolveExpressionv(); //@line 214 "ExpressionResolver.cpp"
 var $39=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 215 "ExpressionResolver.cpp"
 var $call39=__ZN11Elementizer10GetElementEi($39,2); //@line 215 "ExpressionResolver.cpp"
 if($call39){label=26;break;}else{label=25;break;} //@line 215 "ExpressionResolver.cpp"
 case 25: 
 label=31;break; //@line 217 "ExpressionResolver.cpp"
 case 26: 
 label=30;break; //@line 219 "ExpressionResolver.cpp"
 case 27: 
 var $40=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 220 "ExpressionResolver.cpp"
 var $bMustResolve=(($40+16979896)|0); //@line 220 "ExpressionResolver.cpp"
 var $41=HEAP8[($bMustResolve)]; //@line 220 "ExpressionResolver.cpp"
 var $tobool43=(($41)&1); //@line 220 "ExpressionResolver.cpp"
 if($tobool43){label=28;break;}else{label=29;break;} //@line 220 "ExpressionResolver.cpp"
 case 28: 
 var $42=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 222 "ExpressionResolver.cpp"
 var $43=$42; //@line 222 "ExpressionResolver.cpp"
 var $error45=(($43)|0); //@line 222 "ExpressionResolver.cpp"
 HEAP8[($error45)]=1; //@line 222 "ExpressionResolver.cpp"
 var $44=((((HEAPU8[(80)])|(HEAPU8[(81)]<<8)|(HEAPU8[(82)]<<16)|(HEAPU8[(83)]<<24))|0)); //@line 223 "ExpressionResolver.cpp"
 var $45=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 223 "ExpressionResolver.cpp"
 var $46=$45; //@line 223 "ExpressionResolver.cpp"
 var $error_msg=(($46+4)|0); //@line 223 "ExpressionResolver.cpp"
 tempBigInt=$44;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 223 "ExpressionResolver.cpp"
 label=29;break; //@line 225 "ExpressionResolver.cpp"
 case 29: 
 label=30;break;
 case 30: 
 label=31;break;
 case 31: 
 STACKTOP=sp;return; //@line 226 "ExpressionResolver.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z9PreviewOpv(){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $i;
 var $check;
 var $0=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 576 "ExpressionResolver.cpp"
 var $call=__ZN11Elementizer9GetOpTypeEv($0); //@line 576 "ExpressionResolver.cpp"
 $i=$call; //@line 576 "ExpressionResolver.cpp"
 $check=11193743; //@line 577 "ExpressionResolver.cpp"
 var $1=$i; //@line 578 "ExpressionResolver.cpp"
 var $2=$check; //@line 578 "ExpressionResolver.cpp"
 var $shr=$2>>($1|0); //@line 578 "ExpressionResolver.cpp"
 $check=$shr; //@line 578 "ExpressionResolver.cpp"
 var $3=$check; //@line 579 "ExpressionResolver.cpp"
 var $and=$3&1; //@line 579 "ExpressionResolver.cpp"
 var $tobool=($and|0)!=0; //@line 579 "ExpressionResolver.cpp"
 if($tobool){label=2;break;}else{label=5;break;} //@line 579 "ExpressionResolver.cpp"
 case 2: 
 var $4=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 581 "ExpressionResolver.cpp"
 var $intMode=(($4+16979888)|0); //@line 581 "ExpressionResolver.cpp"
 var $5=((((HEAPU8[($intMode)])|(HEAPU8[((($intMode)+(1))|0)]<<8)|(HEAPU8[((($intMode)+(2))|0)]<<16)|(HEAPU8[((($intMode)+(3))|0)]<<24))|0)); //@line 581 "ExpressionResolver.cpp"
 var $cmp=($5|0)==2; //@line 581 "ExpressionResolver.cpp"
 if($cmp){label=3;break;}else{label=4;break;} //@line 581 "ExpressionResolver.cpp"
 case 3: 
 var $6=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 584 "ExpressionResolver.cpp"
 var $7=$6; //@line 584 "ExpressionResolver.cpp"
 var $error=(($7)|0); //@line 584 "ExpressionResolver.cpp"
 HEAP8[($error)]=1; //@line 584 "ExpressionResolver.cpp"
 var $8=((((HEAPU8[(288)])|(HEAPU8[(289)]<<8)|(HEAPU8[(290)]<<16)|(HEAPU8[(291)]<<24))|0)); //@line 585 "ExpressionResolver.cpp"
 var $9=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 585 "ExpressionResolver.cpp"
 var $10=$9; //@line 585 "ExpressionResolver.cpp"
 var $error_msg=(($10+4)|0); //@line 585 "ExpressionResolver.cpp"
 tempBigInt=$8;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 585 "ExpressionResolver.cpp"
 $retval=0; //@line 586 "ExpressionResolver.cpp"
 label=6;break; //@line 586 "ExpressionResolver.cpp"
 case 4: 
 var $11=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 590 "ExpressionResolver.cpp"
 var $intMode2=(($11+16979888)|0); //@line 590 "ExpressionResolver.cpp"
 tempBigInt=1;HEAP8[($intMode2)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode2)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode2)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode2)+(3))|0)]=tempBigInt&0xff; //@line 590 "ExpressionResolver.cpp"
 label=5;break; //@line 591 "ExpressionResolver.cpp"
 case 5: 
 $retval=1; //@line 592 "ExpressionResolver.cpp"
 label=6;break; //@line 592 "ExpressionResolver.cpp"
 case 6: 
 var $12=$retval; //@line 593 "ExpressionResolver.cpp"
 STACKTOP=sp;return $12; //@line 593 "ExpressionResolver.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z13PerformBinaryv(){
 var label=0;


 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 612 "ExpressionResolver.cpp"
 var $mathCurrent=(($0+16979900)|0); //@line 612 "ExpressionResolver.cpp"
 var $1=((((HEAPU8[($mathCurrent)])|(HEAPU8[((($mathCurrent)+(1))|0)]<<8)|(HEAPU8[((($mathCurrent)+(2))|0)]<<16)|(HEAPU8[((($mathCurrent)+(3))|0)]<<24))|0)); //@line 612 "ExpressionResolver.cpp"
 var $dec=((($1)-(1))|0); //@line 612 "ExpressionResolver.cpp"
 tempBigInt=$dec;HEAP8[($mathCurrent)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($mathCurrent)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($mathCurrent)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($mathCurrent)+(3))|0)]=tempBigInt&0xff; //@line 612 "ExpressionResolver.cpp"
 var $call=__Z9PerformOpv(); //@line 613 "ExpressionResolver.cpp"
 return $call; //@line 613 "ExpressionResolver.cpp"
}


function __Z13CheckConstantRb($bConstant){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+56)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $bConstant_addr;
 var $value;
 var $fValue=sp;
 var $value61=(sp)+(8);
 var $fValue68;
 var $value91=(sp)+(16);
 var $fValue98;
 var $bLocal=(sp)+(24);
 var $bUndefined=(sp)+(32);
 var $id;
 var $bEof=(sp)+(40);
 var $bUndefined186=(sp)+(48);
 $bConstant_addr=$bConstant;
 var $0=$bConstant_addr; //@line 286 "ExpressionResolver.cpp"
 HEAP8[($0)]=1; //@line 286 "ExpressionResolver.cpp"
 var $1=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 288 "ExpressionResolver.cpp"
 var $call=__ZN11Elementizer7GetTypeEv($1); //@line 288 "ExpressionResolver.cpp"
 var $cmp=($call|0)==67; //@line 288 "ExpressionResolver.cpp"
 if($cmp){label=2;break;}else{label=6;break;} //@line 288 "ExpressionResolver.cpp"
 case 2: 
 var $2=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 290 "ExpressionResolver.cpp"
 var $intMode=(($2+16979888)|0); //@line 290 "ExpressionResolver.cpp"
 var $3=((((HEAPU8[($intMode)])|(HEAPU8[((($intMode)+(1))|0)]<<8)|(HEAPU8[((($intMode)+(2))|0)]<<16)|(HEAPU8[((($intMode)+(3))|0)]<<24))|0)); //@line 290 "ExpressionResolver.cpp"
 var $cmp1=($3|0)==2; //@line 290 "ExpressionResolver.cpp"
 if($cmp1){label=3;break;}else{label=4;break;} //@line 290 "ExpressionResolver.cpp"
 case 3: 
 var $4=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 292 "ExpressionResolver.cpp"
 var $5=$4; //@line 292 "ExpressionResolver.cpp"
 var $error=(($5)|0); //@line 292 "ExpressionResolver.cpp"
 HEAP8[($error)]=1; //@line 292 "ExpressionResolver.cpp"
 var $6=((((HEAPU8[(248)])|(HEAPU8[(249)]<<8)|(HEAPU8[(250)]<<16)|(HEAPU8[(251)]<<24))|0)); //@line 293 "ExpressionResolver.cpp"
 var $7=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 293 "ExpressionResolver.cpp"
 var $8=$7; //@line 293 "ExpressionResolver.cpp"
 var $error_msg=(($8+4)|0); //@line 293 "ExpressionResolver.cpp"
 tempBigInt=$6;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 293 "ExpressionResolver.cpp"
 $retval=0; //@line 294 "ExpressionResolver.cpp"
 label=102;break; //@line 294 "ExpressionResolver.cpp"
 case 4: 
 var $9=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 298 "ExpressionResolver.cpp"
 var $intMode3=(($9+16979888)|0); //@line 298 "ExpressionResolver.cpp"
 tempBigInt=1;HEAP8[($intMode3)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode3)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode3)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode3)+(3))|0)]=tempBigInt&0xff; //@line 298 "ExpressionResolver.cpp"
 label=5;break;
 case 5: 
 var $10=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 300 "ExpressionResolver.cpp"
 var $call4=__ZN11Elementizer8GetValueEv($10); //@line 300 "ExpressionResolver.cpp"
 var $11=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 300 "ExpressionResolver.cpp"
 var $intermediateResult=(($11+16979968)|0); //@line 300 "ExpressionResolver.cpp"
 tempBigInt=$call4;HEAP8[($intermediateResult)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult)+(3))|0)]=tempBigInt&0xff; //@line 300 "ExpressionResolver.cpp"
 $retval=1; //@line 301 "ExpressionResolver.cpp"
 label=102;break; //@line 301 "ExpressionResolver.cpp"
 case 6: 
 var $12=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 303 "ExpressionResolver.cpp"
 var $call6=__ZN11Elementizer7GetTypeEv($12); //@line 303 "ExpressionResolver.cpp"
 var $cmp7=($call6|0)==68; //@line 303 "ExpressionResolver.cpp"
 if($cmp7){label=7;break;}else{label=11;break;} //@line 303 "ExpressionResolver.cpp"
 case 7: 
 var $13=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 305 "ExpressionResolver.cpp"
 var $intMode9=(($13+16979888)|0); //@line 305 "ExpressionResolver.cpp"
 var $14=((((HEAPU8[($intMode9)])|(HEAPU8[((($intMode9)+(1))|0)]<<8)|(HEAPU8[((($intMode9)+(2))|0)]<<16)|(HEAPU8[((($intMode9)+(3))|0)]<<24))|0)); //@line 305 "ExpressionResolver.cpp"
 var $cmp10=($14|0)==1; //@line 305 "ExpressionResolver.cpp"
 if($cmp10){label=8;break;}else{label=9;break;} //@line 305 "ExpressionResolver.cpp"
 case 8: 
 var $15=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 307 "ExpressionResolver.cpp"
 var $16=$15; //@line 307 "ExpressionResolver.cpp"
 var $error12=(($16)|0); //@line 307 "ExpressionResolver.cpp"
 HEAP8[($error12)]=1; //@line 307 "ExpressionResolver.cpp"
 var $17=((((HEAPU8[(280)])|(HEAPU8[(281)]<<8)|(HEAPU8[(282)]<<16)|(HEAPU8[(283)]<<24))|0)); //@line 308 "ExpressionResolver.cpp"
 var $18=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 308 "ExpressionResolver.cpp"
 var $19=$18; //@line 308 "ExpressionResolver.cpp"
 var $error_msg13=(($19+4)|0); //@line 308 "ExpressionResolver.cpp"
 tempBigInt=$17;HEAP8[($error_msg13)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg13)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg13)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg13)+(3))|0)]=tempBigInt&0xff; //@line 308 "ExpressionResolver.cpp"
 $retval=0; //@line 309 "ExpressionResolver.cpp"
 label=102;break; //@line 309 "ExpressionResolver.cpp"
 case 9: 
 var $20=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 313 "ExpressionResolver.cpp"
 var $intMode15=(($20+16979888)|0); //@line 313 "ExpressionResolver.cpp"
 tempBigInt=2;HEAP8[($intMode15)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode15)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode15)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode15)+(3))|0)]=tempBigInt&0xff; //@line 313 "ExpressionResolver.cpp"
 label=10;break;
 case 10: 
 var $21=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 315 "ExpressionResolver.cpp"
 var $call17=__ZN11Elementizer8GetValueEv($21); //@line 315 "ExpressionResolver.cpp"
 var $22=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 315 "ExpressionResolver.cpp"
 var $intermediateResult18=(($22+16979968)|0); //@line 315 "ExpressionResolver.cpp"
 tempBigInt=$call17;HEAP8[($intermediateResult18)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult18)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult18)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult18)+(3))|0)]=tempBigInt&0xff; //@line 315 "ExpressionResolver.cpp"
 $retval=1; //@line 316 "ExpressionResolver.cpp"
 label=102;break; //@line 316 "ExpressionResolver.cpp"
 case 11: 
 var $23=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 318 "ExpressionResolver.cpp"
 var $call20=__ZN11Elementizer7GetTypeEv($23); //@line 318 "ExpressionResolver.cpp"
 var $cmp21=($call20|0)==23; //@line 318 "ExpressionResolver.cpp"
 if($cmp21){label=12;break;}else{label=20;break;} //@line 318 "ExpressionResolver.cpp"
 case 12: 
 var $24=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 320 "ExpressionResolver.cpp"
 var $intMode23=(($24+16979888)|0); //@line 320 "ExpressionResolver.cpp"
 var $25=((((HEAPU8[($intMode23)])|(HEAPU8[((($intMode23)+(1))|0)]<<8)|(HEAPU8[((($intMode23)+(2))|0)]<<16)|(HEAPU8[((($intMode23)+(3))|0)]<<24))|0)); //@line 320 "ExpressionResolver.cpp"
 var $cmp24=($25|0)==1; //@line 320 "ExpressionResolver.cpp"
 if($cmp24){label=13;break;}else{label=14;break;} //@line 320 "ExpressionResolver.cpp"
 case 13: 
 var $26=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 322 "ExpressionResolver.cpp"
 var $27=$26; //@line 322 "ExpressionResolver.cpp"
 var $error26=(($27)|0); //@line 322 "ExpressionResolver.cpp"
 HEAP8[($error26)]=1; //@line 322 "ExpressionResolver.cpp"
 var $28=((((HEAPU8[(280)])|(HEAPU8[(281)]<<8)|(HEAPU8[(282)]<<16)|(HEAPU8[(283)]<<24))|0)); //@line 323 "ExpressionResolver.cpp"
 var $29=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 323 "ExpressionResolver.cpp"
 var $30=$29; //@line 323 "ExpressionResolver.cpp"
 var $error_msg27=(($30+4)|0); //@line 323 "ExpressionResolver.cpp"
 tempBigInt=$28;HEAP8[($error_msg27)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg27)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg27)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg27)+(3))|0)]=tempBigInt&0xff; //@line 323 "ExpressionResolver.cpp"
 $retval=0; //@line 324 "ExpressionResolver.cpp"
 label=102;break; //@line 324 "ExpressionResolver.cpp"
 case 14: 
 var $31=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 328 "ExpressionResolver.cpp"
 var $intMode29=(($31+16979888)|0); //@line 328 "ExpressionResolver.cpp"
 tempBigInt=2;HEAP8[($intMode29)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode29)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode29)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode29)+(3))|0)]=tempBigInt&0xff; //@line 328 "ExpressionResolver.cpp"
 label=15;break;
 case 15: 
 var $32=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 330 "ExpressionResolver.cpp"
 var $call31=__ZN11Elementizer10GetElementEi($32,1); //@line 330 "ExpressionResolver.cpp"
 if($call31){label=17;break;}else{label=16;break;} //@line 330 "ExpressionResolver.cpp"
 case 16: 
 $retval=0; //@line 332 "ExpressionResolver.cpp"
 label=102;break; //@line 332 "ExpressionResolver.cpp"
 case 17: 
 var $33=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 334 "ExpressionResolver.cpp"
 var $intMode34=(($33+16979888)|0); //@line 334 "ExpressionResolver.cpp"
 tempBigInt=1;HEAP8[($intMode34)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode34)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode34)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode34)+(3))|0)]=tempBigInt&0xff; //@line 334 "ExpressionResolver.cpp"
 __Z17ResolveExpressionv(); //@line 335 "ExpressionResolver.cpp"
 var $34=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 336 "ExpressionResolver.cpp"
 var $intMode35=(($34+16979888)|0); //@line 336 "ExpressionResolver.cpp"
 tempBigInt=2;HEAP8[($intMode35)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode35)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode35)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode35)+(3))|0)]=tempBigInt&0xff; //@line 336 "ExpressionResolver.cpp"
 var $35=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 337 "ExpressionResolver.cpp"
 var $call36=__ZN11Elementizer10GetElementEi($35,2); //@line 337 "ExpressionResolver.cpp"
 if($call36){label=19;break;}else{label=18;break;} //@line 337 "ExpressionResolver.cpp"
 case 18: 
 $retval=0; //@line 339 "ExpressionResolver.cpp"
 label=102;break; //@line 339 "ExpressionResolver.cpp"
 case 19: 
 var $36=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 342 "ExpressionResolver.cpp"
 var $mathCurrent=(($36+16979900)|0); //@line 342 "ExpressionResolver.cpp"
 var $37=((((HEAPU8[($mathCurrent)])|(HEAPU8[((($mathCurrent)+(1))|0)]<<8)|(HEAPU8[((($mathCurrent)+(2))|0)]<<16)|(HEAPU8[((($mathCurrent)+(3))|0)]<<24))|0)); //@line 342 "ExpressionResolver.cpp"
 var $sub=((($37)-(1))|0); //@line 342 "ExpressionResolver.cpp"
 var $38=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 342 "ExpressionResolver.cpp"
 var $mathStack=(($38+16979904)|0); //@line 342 "ExpressionResolver.cpp"
 var $arrayidx=(($mathStack+($sub<<2))|0); //@line 342 "ExpressionResolver.cpp"
 var $39=((((HEAPU8[($arrayidx)])|(HEAPU8[((($arrayidx)+(1))|0)]<<8)|(HEAPU8[((($arrayidx)+(2))|0)]<<16)|(HEAPU8[((($arrayidx)+(3))|0)]<<24))|0)); //@line 342 "ExpressionResolver.cpp"
 $value=$39; //@line 342 "ExpressionResolver.cpp"
 var $40=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 343 "ExpressionResolver.cpp"
 var $mathCurrent39=(($40+16979900)|0); //@line 343 "ExpressionResolver.cpp"
 var $41=((((HEAPU8[($mathCurrent39)])|(HEAPU8[((($mathCurrent39)+(1))|0)]<<8)|(HEAPU8[((($mathCurrent39)+(2))|0)]<<16)|(HEAPU8[((($mathCurrent39)+(3))|0)]<<24))|0)); //@line 343 "ExpressionResolver.cpp"
 var $dec=((($41)-(1))|0); //@line 343 "ExpressionResolver.cpp"
 tempBigInt=$dec;HEAP8[($mathCurrent39)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($mathCurrent39)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($mathCurrent39)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($mathCurrent39)+(3))|0)]=tempBigInt&0xff; //@line 343 "ExpressionResolver.cpp"
 var $42=$value; //@line 344 "ExpressionResolver.cpp"
 var $conv=($42|0); //@line 344 "ExpressionResolver.cpp"
 HEAPF32[((tempDoublePtr)>>2)]=$conv;HEAP8[($fValue)]=HEAP8[(tempDoublePtr)];HEAP8[((($fValue)+(1))|0)]=HEAP8[(((tempDoublePtr)+(1))|0)];HEAP8[((($fValue)+(2))|0)]=HEAP8[(((tempDoublePtr)+(2))|0)];HEAP8[((($fValue)+(3))|0)]=HEAP8[(((tempDoublePtr)+(3))|0)]; //@line 344 "ExpressionResolver.cpp"
 var $43=$fValue; //@line 345 "ExpressionResolver.cpp"
 var $44=((((HEAPU8[($43)])|(HEAPU8[((($43)+(1))|0)]<<8)|(HEAPU8[((($43)+(2))|0)]<<16)|(HEAPU8[((($43)+(3))|0)]<<24))|0)); //@line 345 "ExpressionResolver.cpp"
 var $45=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 345 "ExpressionResolver.cpp"
 var $intermediateResult40=(($45+16979968)|0); //@line 345 "ExpressionResolver.cpp"
 tempBigInt=$44;HEAP8[($intermediateResult40)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult40)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult40)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult40)+(3))|0)]=tempBigInt&0xff; //@line 345 "ExpressionResolver.cpp"
 $retval=1; //@line 346 "ExpressionResolver.cpp"
 label=102;break; //@line 346 "ExpressionResolver.cpp"
 case 20: 
 var $46=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 348 "ExpressionResolver.cpp"
 var $call42=__ZN11Elementizer7GetTypeEv($46); //@line 348 "ExpressionResolver.cpp"
 var $cmp43=($call42|0)==24; //@line 348 "ExpressionResolver.cpp"
 if($cmp43){label=21;break;}else{label=29;break;} //@line 348 "ExpressionResolver.cpp"
 case 21: 
 var $47=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 350 "ExpressionResolver.cpp"
 var $intMode45=(($47+16979888)|0); //@line 350 "ExpressionResolver.cpp"
 var $48=((((HEAPU8[($intMode45)])|(HEAPU8[((($intMode45)+(1))|0)]<<8)|(HEAPU8[((($intMode45)+(2))|0)]<<16)|(HEAPU8[((($intMode45)+(3))|0)]<<24))|0)); //@line 350 "ExpressionResolver.cpp"
 var $cmp46=($48|0)==2; //@line 350 "ExpressionResolver.cpp"
 if($cmp46){label=22;break;}else{label=23;break;} //@line 350 "ExpressionResolver.cpp"
 case 22: 
 var $49=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 352 "ExpressionResolver.cpp"
 var $50=$49; //@line 352 "ExpressionResolver.cpp"
 var $error48=(($50)|0); //@line 352 "ExpressionResolver.cpp"
 HEAP8[($error48)]=1; //@line 352 "ExpressionResolver.cpp"
 var $51=((((HEAPU8[(248)])|(HEAPU8[(249)]<<8)|(HEAPU8[(250)]<<16)|(HEAPU8[(251)]<<24))|0)); //@line 353 "ExpressionResolver.cpp"
 var $52=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 353 "ExpressionResolver.cpp"
 var $53=$52; //@line 353 "ExpressionResolver.cpp"
 var $error_msg49=(($53+4)|0); //@line 353 "ExpressionResolver.cpp"
 tempBigInt=$51;HEAP8[($error_msg49)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg49)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg49)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg49)+(3))|0)]=tempBigInt&0xff; //@line 353 "ExpressionResolver.cpp"
 $retval=0; //@line 354 "ExpressionResolver.cpp"
 label=102;break; //@line 354 "ExpressionResolver.cpp"
 case 23: 
 var $54=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 358 "ExpressionResolver.cpp"
 var $intMode51=(($54+16979888)|0); //@line 358 "ExpressionResolver.cpp"
 tempBigInt=1;HEAP8[($intMode51)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode51)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode51)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode51)+(3))|0)]=tempBigInt&0xff; //@line 358 "ExpressionResolver.cpp"
 label=24;break;
 case 24: 
 var $55=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 360 "ExpressionResolver.cpp"
 var $call53=__ZN11Elementizer10GetElementEi($55,1); //@line 360 "ExpressionResolver.cpp"
 if($call53){label=26;break;}else{label=25;break;} //@line 360 "ExpressionResolver.cpp"
 case 25: 
 $retval=0; //@line 362 "ExpressionResolver.cpp"
 label=102;break; //@line 362 "ExpressionResolver.cpp"
 case 26: 
 var $56=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 364 "ExpressionResolver.cpp"
 var $intMode56=(($56+16979888)|0); //@line 364 "ExpressionResolver.cpp"
 tempBigInt=2;HEAP8[($intMode56)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode56)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode56)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode56)+(3))|0)]=tempBigInt&0xff; //@line 364 "ExpressionResolver.cpp"
 __Z17ResolveExpressionv(); //@line 365 "ExpressionResolver.cpp"
 var $57=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 366 "ExpressionResolver.cpp"
 var $intMode57=(($57+16979888)|0); //@line 366 "ExpressionResolver.cpp"
 tempBigInt=1;HEAP8[($intMode57)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode57)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode57)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode57)+(3))|0)]=tempBigInt&0xff; //@line 366 "ExpressionResolver.cpp"
 var $58=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 367 "ExpressionResolver.cpp"
 var $call58=__ZN11Elementizer10GetElementEi($58,2); //@line 367 "ExpressionResolver.cpp"
 if($call58){label=28;break;}else{label=27;break;} //@line 367 "ExpressionResolver.cpp"
 case 27: 
 $retval=0; //@line 369 "ExpressionResolver.cpp"
 label=102;break; //@line 369 "ExpressionResolver.cpp"
 case 28: 
 var $59=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 373 "ExpressionResolver.cpp"
 var $mathCurrent62=(($59+16979900)|0); //@line 373 "ExpressionResolver.cpp"
 var $60=((((HEAPU8[($mathCurrent62)])|(HEAPU8[((($mathCurrent62)+(1))|0)]<<8)|(HEAPU8[((($mathCurrent62)+(2))|0)]<<16)|(HEAPU8[((($mathCurrent62)+(3))|0)]<<24))|0)); //@line 373 "ExpressionResolver.cpp"
 var $sub63=((($60)-(1))|0); //@line 373 "ExpressionResolver.cpp"
 var $61=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 373 "ExpressionResolver.cpp"
 var $mathStack64=(($61+16979904)|0); //@line 373 "ExpressionResolver.cpp"
 var $arrayidx65=(($mathStack64+($sub63<<2))|0); //@line 373 "ExpressionResolver.cpp"
 var $62=((((HEAPU8[($arrayidx65)])|(HEAPU8[((($arrayidx65)+(1))|0)]<<8)|(HEAPU8[((($arrayidx65)+(2))|0)]<<16)|(HEAPU8[((($arrayidx65)+(3))|0)]<<24))|0)); //@line 373 "ExpressionResolver.cpp"
 tempBigInt=$62;HEAP8[($value61)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value61)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value61)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value61)+(3))|0)]=tempBigInt&0xff; //@line 373 "ExpressionResolver.cpp"
 var $63=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 374 "ExpressionResolver.cpp"
 var $mathCurrent66=(($63+16979900)|0); //@line 374 "ExpressionResolver.cpp"
 var $64=((((HEAPU8[($mathCurrent66)])|(HEAPU8[((($mathCurrent66)+(1))|0)]<<8)|(HEAPU8[((($mathCurrent66)+(2))|0)]<<16)|(HEAPU8[((($mathCurrent66)+(3))|0)]<<24))|0)); //@line 374 "ExpressionResolver.cpp"
 var $dec67=((($64)-(1))|0); //@line 374 "ExpressionResolver.cpp"
 tempBigInt=$dec67;HEAP8[($mathCurrent66)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($mathCurrent66)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($mathCurrent66)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($mathCurrent66)+(3))|0)]=tempBigInt&0xff; //@line 374 "ExpressionResolver.cpp"
 var $65=$value61; //@line 375 "ExpressionResolver.cpp"
 var $66=(copyTempFloat($65),HEAPF32[((tempDoublePtr)>>2)]); //@line 375 "ExpressionResolver.cpp"
 $fValue68=$66; //@line 375 "ExpressionResolver.cpp"
 var $67=$fValue68; //@line 376 "ExpressionResolver.cpp"
 var $add=($67)+((0.5)); //@line 376 "ExpressionResolver.cpp"
 var $conv69=(($add)&-1); //@line 376 "ExpressionResolver.cpp"
 var $68=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 376 "ExpressionResolver.cpp"
 var $intermediateResult70=(($68+16979968)|0); //@line 376 "ExpressionResolver.cpp"
 tempBigInt=$conv69;HEAP8[($intermediateResult70)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult70)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult70)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult70)+(3))|0)]=tempBigInt&0xff; //@line 376 "ExpressionResolver.cpp"
 $retval=1; //@line 377 "ExpressionResolver.cpp"
 label=102;break; //@line 377 "ExpressionResolver.cpp"
 case 29: 
 var $69=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 379 "ExpressionResolver.cpp"
 var $call72=__ZN11Elementizer7GetTypeEv($69); //@line 379 "ExpressionResolver.cpp"
 var $cmp73=($call72|0)==25; //@line 379 "ExpressionResolver.cpp"
 if($cmp73){label=30;break;}else{label=38;break;} //@line 379 "ExpressionResolver.cpp"
 case 30: 
 var $70=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 381 "ExpressionResolver.cpp"
 var $intMode75=(($70+16979888)|0); //@line 381 "ExpressionResolver.cpp"
 var $71=((((HEAPU8[($intMode75)])|(HEAPU8[((($intMode75)+(1))|0)]<<8)|(HEAPU8[((($intMode75)+(2))|0)]<<16)|(HEAPU8[((($intMode75)+(3))|0)]<<24))|0)); //@line 381 "ExpressionResolver.cpp"
 var $cmp76=($71|0)==2; //@line 381 "ExpressionResolver.cpp"
 if($cmp76){label=31;break;}else{label=32;break;} //@line 381 "ExpressionResolver.cpp"
 case 31: 
 var $72=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 383 "ExpressionResolver.cpp"
 var $73=$72; //@line 383 "ExpressionResolver.cpp"
 var $error78=(($73)|0); //@line 383 "ExpressionResolver.cpp"
 HEAP8[($error78)]=1; //@line 383 "ExpressionResolver.cpp"
 var $74=((((HEAPU8[(248)])|(HEAPU8[(249)]<<8)|(HEAPU8[(250)]<<16)|(HEAPU8[(251)]<<24))|0)); //@line 384 "ExpressionResolver.cpp"
 var $75=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 384 "ExpressionResolver.cpp"
 var $76=$75; //@line 384 "ExpressionResolver.cpp"
 var $error_msg79=(($76+4)|0); //@line 384 "ExpressionResolver.cpp"
 tempBigInt=$74;HEAP8[($error_msg79)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg79)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg79)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg79)+(3))|0)]=tempBigInt&0xff; //@line 384 "ExpressionResolver.cpp"
 $retval=0; //@line 385 "ExpressionResolver.cpp"
 label=102;break; //@line 385 "ExpressionResolver.cpp"
 case 32: 
 var $77=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 389 "ExpressionResolver.cpp"
 var $intMode81=(($77+16979888)|0); //@line 389 "ExpressionResolver.cpp"
 tempBigInt=1;HEAP8[($intMode81)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode81)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode81)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode81)+(3))|0)]=tempBigInt&0xff; //@line 389 "ExpressionResolver.cpp"
 label=33;break;
 case 33: 
 var $78=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 391 "ExpressionResolver.cpp"
 var $call83=__ZN11Elementizer10GetElementEi($78,1); //@line 391 "ExpressionResolver.cpp"
 if($call83){label=35;break;}else{label=34;break;} //@line 391 "ExpressionResolver.cpp"
 case 34: 
 $retval=0; //@line 393 "ExpressionResolver.cpp"
 label=102;break; //@line 393 "ExpressionResolver.cpp"
 case 35: 
 var $79=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 395 "ExpressionResolver.cpp"
 var $intMode86=(($79+16979888)|0); //@line 395 "ExpressionResolver.cpp"
 tempBigInt=2;HEAP8[($intMode86)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode86)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode86)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode86)+(3))|0)]=tempBigInt&0xff; //@line 395 "ExpressionResolver.cpp"
 __Z17ResolveExpressionv(); //@line 396 "ExpressionResolver.cpp"
 var $80=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 397 "ExpressionResolver.cpp"
 var $intMode87=(($80+16979888)|0); //@line 397 "ExpressionResolver.cpp"
 tempBigInt=1;HEAP8[($intMode87)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode87)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode87)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode87)+(3))|0)]=tempBigInt&0xff; //@line 397 "ExpressionResolver.cpp"
 var $81=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 398 "ExpressionResolver.cpp"
 var $call88=__ZN11Elementizer10GetElementEi($81,2); //@line 398 "ExpressionResolver.cpp"
 if($call88){label=37;break;}else{label=36;break;} //@line 398 "ExpressionResolver.cpp"
 case 36: 
 $retval=0; //@line 400 "ExpressionResolver.cpp"
 label=102;break; //@line 400 "ExpressionResolver.cpp"
 case 37: 
 var $82=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 404 "ExpressionResolver.cpp"
 var $mathCurrent92=(($82+16979900)|0); //@line 404 "ExpressionResolver.cpp"
 var $83=((((HEAPU8[($mathCurrent92)])|(HEAPU8[((($mathCurrent92)+(1))|0)]<<8)|(HEAPU8[((($mathCurrent92)+(2))|0)]<<16)|(HEAPU8[((($mathCurrent92)+(3))|0)]<<24))|0)); //@line 404 "ExpressionResolver.cpp"
 var $sub93=((($83)-(1))|0); //@line 404 "ExpressionResolver.cpp"
 var $84=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 404 "ExpressionResolver.cpp"
 var $mathStack94=(($84+16979904)|0); //@line 404 "ExpressionResolver.cpp"
 var $arrayidx95=(($mathStack94+($sub93<<2))|0); //@line 404 "ExpressionResolver.cpp"
 var $85=((((HEAPU8[($arrayidx95)])|(HEAPU8[((($arrayidx95)+(1))|0)]<<8)|(HEAPU8[((($arrayidx95)+(2))|0)]<<16)|(HEAPU8[((($arrayidx95)+(3))|0)]<<24))|0)); //@line 404 "ExpressionResolver.cpp"
 tempBigInt=$85;HEAP8[($value91)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value91)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value91)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value91)+(3))|0)]=tempBigInt&0xff; //@line 404 "ExpressionResolver.cpp"
 var $86=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 405 "ExpressionResolver.cpp"
 var $mathCurrent96=(($86+16979900)|0); //@line 405 "ExpressionResolver.cpp"
 var $87=((((HEAPU8[($mathCurrent96)])|(HEAPU8[((($mathCurrent96)+(1))|0)]<<8)|(HEAPU8[((($mathCurrent96)+(2))|0)]<<16)|(HEAPU8[((($mathCurrent96)+(3))|0)]<<24))|0)); //@line 405 "ExpressionResolver.cpp"
 var $dec97=((($87)-(1))|0); //@line 405 "ExpressionResolver.cpp"
 tempBigInt=$dec97;HEAP8[($mathCurrent96)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($mathCurrent96)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($mathCurrent96)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($mathCurrent96)+(3))|0)]=tempBigInt&0xff; //@line 405 "ExpressionResolver.cpp"
 var $88=$value91; //@line 406 "ExpressionResolver.cpp"
 var $89=(copyTempFloat($88),HEAPF32[((tempDoublePtr)>>2)]); //@line 406 "ExpressionResolver.cpp"
 $fValue98=$89; //@line 406 "ExpressionResolver.cpp"
 var $90=$fValue98; //@line 407 "ExpressionResolver.cpp"
 var $conv99=(($90)&-1); //@line 407 "ExpressionResolver.cpp"
 var $91=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 407 "ExpressionResolver.cpp"
 var $intermediateResult100=(($91+16979968)|0); //@line 407 "ExpressionResolver.cpp"
 tempBigInt=$conv99;HEAP8[($intermediateResult100)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult100)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult100)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult100)+(3))|0)]=tempBigInt&0xff; //@line 407 "ExpressionResolver.cpp"
 $retval=1; //@line 408 "ExpressionResolver.cpp"
 label=102;break; //@line 408 "ExpressionResolver.cpp"
 case 38: 
 label=39;break;
 case 39: 
 label=40;break;
 case 40: 
 label=41;break;
 case 41: 
 label=42;break;
 case 42: 
 var $92=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 411 "ExpressionResolver.cpp"
 var $bOperandMode=(($92+16979898)|0); //@line 411 "ExpressionResolver.cpp"
 var $93=HEAP8[($bOperandMode)]; //@line 411 "ExpressionResolver.cpp"
 var $tobool=(($93)&1); //@line 411 "ExpressionResolver.cpp"
 if($tobool){label=43;break;}else{label=46;break;} //@line 411 "ExpressionResolver.cpp"
 case 43: 
 HEAP8[($bLocal)]=0; //@line 413 "ExpressionResolver.cpp"
 var $call107=__Z10CheckLocalRb($bLocal); //@line 414 "ExpressionResolver.cpp"
 if($call107){label=45;break;}else{label=44;break;} //@line 414 "ExpressionResolver.cpp"
 case 44: 
 $retval=0; //@line 416 "ExpressionResolver.cpp"
 label=102;break; //@line 416 "ExpressionResolver.cpp"
 case 45: 
 label=46;break; //@line 418 "ExpressionResolver.cpp"
 case 46: 
 HEAP8[($bUndefined)]=0; //@line 420 "ExpressionResolver.cpp"
 var $call111=__Z14CheckUndefinedRb($bUndefined); //@line 421 "ExpressionResolver.cpp"
 if($call111){label=48;break;}else{label=47;break;} //@line 421 "ExpressionResolver.cpp"
 case 47: 
 $retval=0; //@line 423 "ExpressionResolver.cpp"
 label=102;break; //@line 423 "ExpressionResolver.cpp"
 case 48: 
 var $94=HEAP8[($bUndefined)]; //@line 425 "ExpressionResolver.cpp"
 var $tobool114=(($94)&1); //@line 425 "ExpressionResolver.cpp"
 if($tobool114){label=49;break;}else{label=52;break;} //@line 425 "ExpressionResolver.cpp"
 case 49: 
 var $95=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 427 "ExpressionResolver.cpp"
 var $bMustResolve=(($95+16979896)|0); //@line 427 "ExpressionResolver.cpp"
 var $96=HEAP8[($bMustResolve)]; //@line 427 "ExpressionResolver.cpp"
 var $tobool116=(($96)&1); //@line 427 "ExpressionResolver.cpp"
 if($tobool116){label=51;break;}else{label=50;break;} //@line 427 "ExpressionResolver.cpp"
 case 50: 
 var $97=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 429 "ExpressionResolver.cpp"
 var $intermediateResult118=(($97+16979968)|0); //@line 429 "ExpressionResolver.cpp"
 tempBigInt=0;HEAP8[($intermediateResult118)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult118)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult118)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult118)+(3))|0)]=tempBigInt&0xff; //@line 429 "ExpressionResolver.cpp"
 label=51;break; //@line 430 "ExpressionResolver.cpp"
 case 51: 
 $retval=1; //@line 431 "ExpressionResolver.cpp"
 label=102;break; //@line 431 "ExpressionResolver.cpp"
 case 52: 
 var $98=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 433 "ExpressionResolver.cpp"
 var $call121=__ZN11Elementizer7GetTypeEv($98); //@line 433 "ExpressionResolver.cpp"
 var $cmp122=($call121|0)==61; //@line 433 "ExpressionResolver.cpp"
 if($cmp122){label=53;break;}else{label=56;break;} //@line 433 "ExpressionResolver.cpp"
 case 53: 
 var $99=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 435 "ExpressionResolver.cpp"
 var $bOperandMode124=(($99+16979898)|0); //@line 435 "ExpressionResolver.cpp"
 var $100=HEAP8[($bOperandMode124)]; //@line 435 "ExpressionResolver.cpp"
 var $tobool125=(($100)&1); //@line 435 "ExpressionResolver.cpp"
 if($tobool125){label=54;break;}else{label=55;break;} //@line 435 "ExpressionResolver.cpp"
 case 54: 
 var $101=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 437 "ExpressionResolver.cpp"
 var $cog_org=(($101+16979572)|0); //@line 437 "ExpressionResolver.cpp"
 var $102=((((HEAPU8[($cog_org)])|(HEAPU8[((($cog_org)+(1))|0)]<<8)|(HEAPU8[((($cog_org)+(2))|0)]<<16)|(HEAPU8[((($cog_org)+(3))|0)]<<24))|0)); //@line 437 "ExpressionResolver.cpp"
 var $shr=$102>>2; //@line 437 "ExpressionResolver.cpp"
 var $103=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 437 "ExpressionResolver.cpp"
 var $intermediateResult127=(($103+16979968)|0); //@line 437 "ExpressionResolver.cpp"
 tempBigInt=$shr;HEAP8[($intermediateResult127)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult127)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult127)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult127)+(3))|0)]=tempBigInt&0xff; //@line 437 "ExpressionResolver.cpp"
 $retval=1; //@line 438 "ExpressionResolver.cpp"
 label=102;break; //@line 438 "ExpressionResolver.cpp"
 case 55: 
 var $104=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 442 "ExpressionResolver.cpp"
 var $105=$104; //@line 442 "ExpressionResolver.cpp"
 var $error129=(($105)|0); //@line 442 "ExpressionResolver.cpp"
 HEAP8[($error129)]=1; //@line 442 "ExpressionResolver.cpp"
 var $106=((((HEAPU8[(372)])|(HEAPU8[(373)]<<8)|(HEAPU8[(374)]<<16)|(HEAPU8[(375)]<<24))|0)); //@line 443 "ExpressionResolver.cpp"
 var $107=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 443 "ExpressionResolver.cpp"
 var $108=$107; //@line 443 "ExpressionResolver.cpp"
 var $error_msg130=(($108+4)|0); //@line 443 "ExpressionResolver.cpp"
 tempBigInt=$106;HEAP8[($error_msg130)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg130)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg130)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg130)+(3))|0)]=tempBigInt&0xff; //@line 443 "ExpressionResolver.cpp"
 $retval=0; //@line 444 "ExpressionResolver.cpp"
 label=102;break; //@line 444 "ExpressionResolver.cpp"
 case 56: 
 var $109=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 447 "ExpressionResolver.cpp"
 var $call132=__ZN11Elementizer7GetTypeEv($109); //@line 447 "ExpressionResolver.cpp"
 var $cmp133=($call132|0)==66; //@line 447 "ExpressionResolver.cpp"
 if($cmp133){label=57;break;}else{label=63;break;} //@line 447 "ExpressionResolver.cpp"
 case 57: 
 var $110=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 449 "ExpressionResolver.cpp"
 var $bOperandMode135=(($110+16979898)|0); //@line 449 "ExpressionResolver.cpp"
 var $111=HEAP8[($bOperandMode135)]; //@line 449 "ExpressionResolver.cpp"
 var $tobool136=(($111)&1); //@line 449 "ExpressionResolver.cpp"
 if($tobool136){label=58;break;}else{label=62;break;} //@line 449 "ExpressionResolver.cpp"
 case 58: 
 var $112=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 451 "ExpressionResolver.cpp"
 var $intMode138=(($112+16979888)|0); //@line 451 "ExpressionResolver.cpp"
 var $113=((((HEAPU8[($intMode138)])|(HEAPU8[((($intMode138)+(1))|0)]<<8)|(HEAPU8[((($intMode138)+(2))|0)]<<16)|(HEAPU8[((($intMode138)+(3))|0)]<<24))|0)); //@line 451 "ExpressionResolver.cpp"
 var $cmp139=($113|0)==2; //@line 451 "ExpressionResolver.cpp"
 if($cmp139){label=59;break;}else{label=60;break;} //@line 451 "ExpressionResolver.cpp"
 case 59: 
 var $114=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 453 "ExpressionResolver.cpp"
 var $115=$114; //@line 453 "ExpressionResolver.cpp"
 var $error141=(($115)|0); //@line 453 "ExpressionResolver.cpp"
 HEAP8[($error141)]=1; //@line 453 "ExpressionResolver.cpp"
 var $116=((((HEAPU8[(248)])|(HEAPU8[(249)]<<8)|(HEAPU8[(250)]<<16)|(HEAPU8[(251)]<<24))|0)); //@line 454 "ExpressionResolver.cpp"
 var $117=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 454 "ExpressionResolver.cpp"
 var $118=$117; //@line 454 "ExpressionResolver.cpp"
 var $error_msg142=(($118+4)|0); //@line 454 "ExpressionResolver.cpp"
 tempBigInt=$116;HEAP8[($error_msg142)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg142)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg142)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg142)+(3))|0)]=tempBigInt&0xff; //@line 454 "ExpressionResolver.cpp"
 $retval=0; //@line 455 "ExpressionResolver.cpp"
 label=102;break; //@line 455 "ExpressionResolver.cpp"
 case 60: 
 var $119=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 459 "ExpressionResolver.cpp"
 var $intMode144=(($119+16979888)|0); //@line 459 "ExpressionResolver.cpp"
 tempBigInt=1;HEAP8[($intMode144)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode144)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode144)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode144)+(3))|0)]=tempBigInt&0xff; //@line 459 "ExpressionResolver.cpp"
 label=61;break;
 case 61: 
 var $120=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 461 "ExpressionResolver.cpp"
 var $call146=__ZN11Elementizer8GetValueEv($120); //@line 461 "ExpressionResolver.cpp"
 var $121=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 461 "ExpressionResolver.cpp"
 var $intermediateResult147=(($121+16979968)|0); //@line 461 "ExpressionResolver.cpp"
 tempBigInt=$call146;HEAP8[($intermediateResult147)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult147)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult147)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult147)+(3))|0)]=tempBigInt&0xff; //@line 461 "ExpressionResolver.cpp"
 var $122=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 462 "ExpressionResolver.cpp"
 var $intermediateResult148=(($122+16979968)|0); //@line 462 "ExpressionResolver.cpp"
 var $123=((((HEAPU8[($intermediateResult148)])|(HEAPU8[((($intermediateResult148)+(1))|0)]<<8)|(HEAPU8[((($intermediateResult148)+(2))|0)]<<16)|(HEAPU8[((($intermediateResult148)+(3))|0)]<<24))|0)); //@line 462 "ExpressionResolver.cpp"
 var $or=$123|480; //@line 462 "ExpressionResolver.cpp"
 tempBigInt=$or;HEAP8[($intermediateResult148)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult148)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult148)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult148)+(3))|0)]=tempBigInt&0xff; //@line 462 "ExpressionResolver.cpp"
 $retval=1; //@line 463 "ExpressionResolver.cpp"
 label=102;break; //@line 463 "ExpressionResolver.cpp"
 case 62: 
 var $124=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 467 "ExpressionResolver.cpp"
 var $125=$124; //@line 467 "ExpressionResolver.cpp"
 var $error150=(($125)|0); //@line 467 "ExpressionResolver.cpp"
 HEAP8[($error150)]=1; //@line 467 "ExpressionResolver.cpp"
 var $126=((((HEAPU8[(392)])|(HEAPU8[(393)]<<8)|(HEAPU8[(394)]<<16)|(HEAPU8[(395)]<<24))|0)); //@line 468 "ExpressionResolver.cpp"
 var $127=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 468 "ExpressionResolver.cpp"
 var $128=$127; //@line 468 "ExpressionResolver.cpp"
 var $error_msg151=(($128+4)|0); //@line 468 "ExpressionResolver.cpp"
 tempBigInt=$126;HEAP8[($error_msg151)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg151)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg151)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg151)+(3))|0)]=tempBigInt&0xff; //@line 468 "ExpressionResolver.cpp"
 $retval=0; //@line 469 "ExpressionResolver.cpp"
 label=102;break; //@line 469 "ExpressionResolver.cpp"
 case 63: 
 var $129=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 472 "ExpressionResolver.cpp"
 var $call153=__ZN11Elementizer7GetTypeEv($129); //@line 472 "ExpressionResolver.cpp"
 var $cmp154=($call153|0)==79; //@line 472 "ExpressionResolver.cpp"
 if($cmp154){label=64;break;}else{label=69;break;} //@line 472 "ExpressionResolver.cpp"
 case 64: 
 var $130=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 474 "ExpressionResolver.cpp"
 var $call156=__ZN11Elementizer10GetElementEi($130,7); //@line 474 "ExpressionResolver.cpp"
 if($call156){label=66;break;}else{label=65;break;} //@line 474 "ExpressionResolver.cpp"
 case 65: 
 $retval=0; //@line 476 "ExpressionResolver.cpp"
 label=102;break; //@line 476 "ExpressionResolver.cpp"
 case 66: 
 var $131=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 478 "ExpressionResolver.cpp"
 var $call159=__ZN11Elementizer8GetValueEv($131); //@line 478 "ExpressionResolver.cpp"
 var $and=$call159&65280; //@line 478 "ExpressionResolver.cpp"
 var $shr160=$and>>8; //@line 478 "ExpressionResolver.cpp"
 var $conv161=(($shr160)&255); //@line 478 "ExpressionResolver.cpp"
 $id=$conv161; //@line 478 "ExpressionResolver.cpp"
 var $132=$id; //@line 479 "ExpressionResolver.cpp"
 var $call162=__Z12GetObjSymbolic(81,$132); //@line 479 "ExpressionResolver.cpp"
 if($call162){label=68;break;}else{label=67;break;} //@line 479 "ExpressionResolver.cpp"
 case 67: 
 $retval=0; //@line 481 "ExpressionResolver.cpp"
 label=102;break; //@line 481 "ExpressionResolver.cpp"
 case 68: 
 var $133=$bConstant_addr; //@line 483 "ExpressionResolver.cpp"
 var $call165=__Z13CheckConstantRb($133); //@line 483 "ExpressionResolver.cpp"
 $retval=$call165; //@line 483 "ExpressionResolver.cpp"
 label=102;break; //@line 483 "ExpressionResolver.cpp"
 case 69: 
 var $134=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 485 "ExpressionResolver.cpp"
 var $call167=__ZN11Elementizer7GetTypeEv($134); //@line 485 "ExpressionResolver.cpp"
 var $cmp168=($call167|0)==12; //@line 485 "ExpressionResolver.cpp"
 if($cmp168){label=70;break;}else{label=84;break;} //@line 485 "ExpressionResolver.cpp"
 case 70: 
 var $135=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 487 "ExpressionResolver.cpp"
 var $intMode170=(($135+16979888)|0); //@line 487 "ExpressionResolver.cpp"
 var $136=((((HEAPU8[($intMode170)])|(HEAPU8[((($intMode170)+(1))|0)]<<8)|(HEAPU8[((($intMode170)+(2))|0)]<<16)|(HEAPU8[((($intMode170)+(3))|0)]<<24))|0)); //@line 487 "ExpressionResolver.cpp"
 var $cmp171=($136|0)==2; //@line 487 "ExpressionResolver.cpp"
 if($cmp171){label=71;break;}else{label=72;break;} //@line 487 "ExpressionResolver.cpp"
 case 71: 
 var $137=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 489 "ExpressionResolver.cpp"
 var $138=$137; //@line 489 "ExpressionResolver.cpp"
 var $error173=(($138)|0); //@line 489 "ExpressionResolver.cpp"
 HEAP8[($error173)]=1; //@line 489 "ExpressionResolver.cpp"
 var $139=((((HEAPU8[(248)])|(HEAPU8[(249)]<<8)|(HEAPU8[(250)]<<16)|(HEAPU8[(251)]<<24))|0)); //@line 490 "ExpressionResolver.cpp"
 var $140=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 490 "ExpressionResolver.cpp"
 var $141=$140; //@line 490 "ExpressionResolver.cpp"
 var $error_msg174=(($141+4)|0); //@line 490 "ExpressionResolver.cpp"
 tempBigInt=$139;HEAP8[($error_msg174)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg174)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg174)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg174)+(3))|0)]=tempBigInt&0xff; //@line 490 "ExpressionResolver.cpp"
 $retval=0; //@line 491 "ExpressionResolver.cpp"
 label=102;break; //@line 491 "ExpressionResolver.cpp"
 case 72: 
 var $142=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 495 "ExpressionResolver.cpp"
 var $intMode176=(($142+16979888)|0); //@line 495 "ExpressionResolver.cpp"
 tempBigInt=1;HEAP8[($intMode176)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode176)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode176)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode176)+(3))|0)]=tempBigInt&0xff; //@line 495 "ExpressionResolver.cpp"
 label=73;break;
 case 73: 
 HEAP8[($bEof)]=0; //@line 497 "ExpressionResolver.cpp"
 var $143=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 498 "ExpressionResolver.cpp"
 var $call178=__ZN11Elementizer7GetNextERb($143,$bEof); //@line 498 "ExpressionResolver.cpp"
 if($call178){label=75;break;}else{label=74;break;} //@line 498 "ExpressionResolver.cpp"
 case 74: 
 $retval=0; //@line 500 "ExpressionResolver.cpp"
 label=102;break; //@line 500 "ExpressionResolver.cpp"
 case 75: 
 var $call181=__Z8CheckDatv(); //@line 502 "ExpressionResolver.cpp"
 if($call181){label=76;break;}else{label=77;break;} //@line 502 "ExpressionResolver.cpp"
 case 76: 
 var $144=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 504 "ExpressionResolver.cpp"
 var $call183=__ZN11Elementizer8GetValueEv($144); //@line 504 "ExpressionResolver.cpp"
 var $145=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 504 "ExpressionResolver.cpp"
 var $intermediateResult184=(($145+16979968)|0); //@line 504 "ExpressionResolver.cpp"
 tempBigInt=$call183;HEAP8[($intermediateResult184)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult184)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult184)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult184)+(3))|0)]=tempBigInt&0xff; //@line 504 "ExpressionResolver.cpp"
 $retval=1; //@line 505 "ExpressionResolver.cpp"
 label=102;break; //@line 505 "ExpressionResolver.cpp"
 case 77: 
 HEAP8[($bUndefined186)]=0; //@line 507 "ExpressionResolver.cpp"
 var $call187=__Z14CheckUndefinedRb($bUndefined186); //@line 508 "ExpressionResolver.cpp"
 if($call187){label=79;break;}else{label=78;break;} //@line 508 "ExpressionResolver.cpp"
 case 78: 
 $retval=0; //@line 510 "ExpressionResolver.cpp"
 label=102;break; //@line 510 "ExpressionResolver.cpp"
 case 79: 
 var $146=HEAP8[($bUndefined186)]; //@line 512 "ExpressionResolver.cpp"
 var $tobool190=(($146)&1); //@line 512 "ExpressionResolver.cpp"
 if($tobool190){label=80;break;}else{label=83;break;} //@line 512 "ExpressionResolver.cpp"
 case 80: 
 var $147=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 514 "ExpressionResolver.cpp"
 var $bMustResolve192=(($147+16979896)|0); //@line 514 "ExpressionResolver.cpp"
 var $148=HEAP8[($bMustResolve192)]; //@line 514 "ExpressionResolver.cpp"
 var $tobool193=(($148)&1); //@line 514 "ExpressionResolver.cpp"
 if($tobool193){label=82;break;}else{label=81;break;} //@line 514 "ExpressionResolver.cpp"
 case 81: 
 var $149=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 516 "ExpressionResolver.cpp"
 var $intermediateResult195=(($149+16979968)|0); //@line 516 "ExpressionResolver.cpp"
 tempBigInt=0;HEAP8[($intermediateResult195)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult195)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult195)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult195)+(3))|0)]=tempBigInt&0xff; //@line 516 "ExpressionResolver.cpp"
 label=82;break; //@line 517 "ExpressionResolver.cpp"
 case 82: 
 var $150=$bConstant_addr; //@line 518 "ExpressionResolver.cpp"
 HEAP8[($150)]=0; //@line 518 "ExpressionResolver.cpp"
 $retval=1; //@line 519 "ExpressionResolver.cpp"
 label=102;break; //@line 519 "ExpressionResolver.cpp"
 case 83: 
 var $151=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 523 "ExpressionResolver.cpp"
 var $152=$151; //@line 523 "ExpressionResolver.cpp"
 var $error198=(($152)|0); //@line 523 "ExpressionResolver.cpp"
 HEAP8[($error198)]=1; //@line 523 "ExpressionResolver.cpp"
 var $153=((((HEAPU8[(84)])|(HEAPU8[(85)]<<8)|(HEAPU8[(86)]<<16)|(HEAPU8[(87)]<<24))|0)); //@line 524 "ExpressionResolver.cpp"
 var $154=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 524 "ExpressionResolver.cpp"
 var $155=$154; //@line 524 "ExpressionResolver.cpp"
 var $error_msg199=(($155+4)|0); //@line 524 "ExpressionResolver.cpp"
 tempBigInt=$153;HEAP8[($error_msg199)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg199)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg199)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg199)+(3))|0)]=tempBigInt&0xff; //@line 524 "ExpressionResolver.cpp"
 $retval=0; //@line 525 "ExpressionResolver.cpp"
 label=102;break; //@line 525 "ExpressionResolver.cpp"
 case 84: 
 var $call201=__Z8CheckDatv(); //@line 528 "ExpressionResolver.cpp"
 if($call201){label=85;break;}else{label=96;break;} //@line 528 "ExpressionResolver.cpp"
 case 85: 
 var $156=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 530 "ExpressionResolver.cpp"
 var $intMode203=(($156+16979888)|0); //@line 530 "ExpressionResolver.cpp"
 var $157=((((HEAPU8[($intMode203)])|(HEAPU8[((($intMode203)+(1))|0)]<<8)|(HEAPU8[((($intMode203)+(2))|0)]<<16)|(HEAPU8[((($intMode203)+(3))|0)]<<24))|0)); //@line 530 "ExpressionResolver.cpp"
 var $cmp204=($157|0)==2; //@line 530 "ExpressionResolver.cpp"
 if($cmp204){label=86;break;}else{label=87;break;} //@line 530 "ExpressionResolver.cpp"
 case 86: 
 var $158=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 532 "ExpressionResolver.cpp"
 var $159=$158; //@line 532 "ExpressionResolver.cpp"
 var $error206=(($159)|0); //@line 532 "ExpressionResolver.cpp"
 HEAP8[($error206)]=1; //@line 532 "ExpressionResolver.cpp"
 var $160=((((HEAPU8[(248)])|(HEAPU8[(249)]<<8)|(HEAPU8[(250)]<<16)|(HEAPU8[(251)]<<24))|0)); //@line 533 "ExpressionResolver.cpp"
 var $161=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 533 "ExpressionResolver.cpp"
 var $162=$161; //@line 533 "ExpressionResolver.cpp"
 var $error_msg207=(($162+4)|0); //@line 533 "ExpressionResolver.cpp"
 tempBigInt=$160;HEAP8[($error_msg207)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg207)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg207)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg207)+(3))|0)]=tempBigInt&0xff; //@line 533 "ExpressionResolver.cpp"
 $retval=0; //@line 534 "ExpressionResolver.cpp"
 label=102;break; //@line 534 "ExpressionResolver.cpp"
 case 87: 
 var $163=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 538 "ExpressionResolver.cpp"
 var $intMode209=(($163+16979888)|0); //@line 538 "ExpressionResolver.cpp"
 tempBigInt=1;HEAP8[($intMode209)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode209)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode209)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intMode209)+(3))|0)]=tempBigInt&0xff; //@line 538 "ExpressionResolver.cpp"
 label=88;break;
 case 88: 
 var $164=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 540 "ExpressionResolver.cpp"
 var $bOperandMode211=(($164+16979898)|0); //@line 540 "ExpressionResolver.cpp"
 var $165=HEAP8[($bOperandMode211)]; //@line 540 "ExpressionResolver.cpp"
 var $tobool212=(($165)&1); //@line 540 "ExpressionResolver.cpp"
 if($tobool212){label=89;break;}else{label=94;break;} //@line 540 "ExpressionResolver.cpp"
 case 89: 
 var $166=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 543 "ExpressionResolver.cpp"
 var $call214=__ZN11Elementizer9GetValue2Ev($166); //@line 543 "ExpressionResolver.cpp"
 var $167=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 543 "ExpressionResolver.cpp"
 var $intermediateResult215=(($167+16979968)|0); //@line 543 "ExpressionResolver.cpp"
 tempBigInt=$call214;HEAP8[($intermediateResult215)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult215)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult215)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult215)+(3))|0)]=tempBigInt&0xff; //@line 543 "ExpressionResolver.cpp"
 var $168=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 546 "ExpressionResolver.cpp"
 var $intermediateResult216=(($168+16979968)|0); //@line 546 "ExpressionResolver.cpp"
 var $169=((((HEAPU8[($intermediateResult216)])|(HEAPU8[((($intermediateResult216)+(1))|0)]<<8)|(HEAPU8[((($intermediateResult216)+(2))|0)]<<16)|(HEAPU8[((($intermediateResult216)+(3))|0)]<<24))|0)); //@line 546 "ExpressionResolver.cpp"
 var $and217=$169&3; //@line 546 "ExpressionResolver.cpp"
 var $cmp218=($and217|0)!=0; //@line 546 "ExpressionResolver.cpp"
 if($cmp218){label=90;break;}else{label=91;break;} //@line 546 "ExpressionResolver.cpp"
 case 90: 
 var $170=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 548 "ExpressionResolver.cpp"
 var $171=$170; //@line 548 "ExpressionResolver.cpp"
 var $error220=(($171)|0); //@line 548 "ExpressionResolver.cpp"
 HEAP8[($error220)]=1; //@line 548 "ExpressionResolver.cpp"
 var $172=((((HEAPU8[(8)])|(HEAPU8[(9)]<<8)|(HEAPU8[(10)]<<16)|(HEAPU8[(11)]<<24))|0)); //@line 549 "ExpressionResolver.cpp"
 var $173=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 549 "ExpressionResolver.cpp"
 var $174=$173; //@line 549 "ExpressionResolver.cpp"
 var $error_msg221=(($174+4)|0); //@line 549 "ExpressionResolver.cpp"
 tempBigInt=$172;HEAP8[($error_msg221)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg221)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg221)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg221)+(3))|0)]=tempBigInt&0xff; //@line 549 "ExpressionResolver.cpp"
 $retval=0; //@line 550 "ExpressionResolver.cpp"
 label=102;break; //@line 550 "ExpressionResolver.cpp"
 case 91: 
 var $175=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 554 "ExpressionResolver.cpp"
 var $intermediateResult223=(($175+16979968)|0); //@line 554 "ExpressionResolver.cpp"
 var $176=((((HEAPU8[($intermediateResult223)])|(HEAPU8[((($intermediateResult223)+(1))|0)]<<8)|(HEAPU8[((($intermediateResult223)+(2))|0)]<<16)|(HEAPU8[((($intermediateResult223)+(3))|0)]<<24))|0)); //@line 554 "ExpressionResolver.cpp"
 var $shr224=$176>>2; //@line 554 "ExpressionResolver.cpp"
 tempBigInt=$shr224;HEAP8[($intermediateResult223)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult223)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult223)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult223)+(3))|0)]=tempBigInt&0xff; //@line 554 "ExpressionResolver.cpp"
 var $177=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 556 "ExpressionResolver.cpp"
 var $intermediateResult225=(($177+16979968)|0); //@line 556 "ExpressionResolver.cpp"
 var $178=((((HEAPU8[($intermediateResult225)])|(HEAPU8[((($intermediateResult225)+(1))|0)]<<8)|(HEAPU8[((($intermediateResult225)+(2))|0)]<<16)|(HEAPU8[((($intermediateResult225)+(3))|0)]<<24))|0)); //@line 556 "ExpressionResolver.cpp"
 var $cmp226=($178|0)>=496; //@line 556 "ExpressionResolver.cpp"
 if($cmp226){label=92;break;}else{label=93;break;} //@line 556 "ExpressionResolver.cpp"
 case 92: 
 var $179=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 558 "ExpressionResolver.cpp"
 var $180=$179; //@line 558 "ExpressionResolver.cpp"
 var $error228=(($180)|0); //@line 558 "ExpressionResolver.cpp"
 HEAP8[($error228)]=1; //@line 558 "ExpressionResolver.cpp"
 var $181=((((HEAPU8[(12)])|(HEAPU8[(13)]<<8)|(HEAPU8[(14)]<<16)|(HEAPU8[(15)]<<24))|0)); //@line 559 "ExpressionResolver.cpp"
 var $182=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 559 "ExpressionResolver.cpp"
 var $183=$182; //@line 559 "ExpressionResolver.cpp"
 var $error_msg229=(($183+4)|0); //@line 559 "ExpressionResolver.cpp"
 tempBigInt=$181;HEAP8[($error_msg229)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg229)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg229)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg229)+(3))|0)]=tempBigInt&0xff; //@line 559 "ExpressionResolver.cpp"
 $retval=0; //@line 560 "ExpressionResolver.cpp"
 label=102;break; //@line 560 "ExpressionResolver.cpp"
 case 93: 
 label=95;break; //@line 562 "ExpressionResolver.cpp"
 case 94: 
 var $184=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 565 "ExpressionResolver.cpp"
 var $call232=__ZN11Elementizer8GetValueEv($184); //@line 565 "ExpressionResolver.cpp"
 var $185=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 565 "ExpressionResolver.cpp"
 var $intermediateResult233=(($185+16979968)|0); //@line 565 "ExpressionResolver.cpp"
 tempBigInt=$call232;HEAP8[($intermediateResult233)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult233)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult233)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($intermediateResult233)+(3))|0)]=tempBigInt&0xff; //@line 565 "ExpressionResolver.cpp"
 label=95;break;
 case 95: 
 $retval=1; //@line 567 "ExpressionResolver.cpp"
 label=102;break; //@line 567 "ExpressionResolver.cpp"
 case 96: 
 label=97;break;
 case 97: 
 label=98;break;
 case 98: 
 label=99;break;
 case 99: 
 label=100;break;
 case 100: 
 label=101;break;
 case 101: 
 var $186=$bConstant_addr; //@line 570 "ExpressionResolver.cpp"
 HEAP8[($186)]=0; //@line 570 "ExpressionResolver.cpp"
 $retval=1; //@line 571 "ExpressionResolver.cpp"
 label=102;break; //@line 571 "ExpressionResolver.cpp"
 case 102: 
 var $187=$retval; //@line 572 "ExpressionResolver.cpp"
 STACKTOP=sp;return $187; //@line 572 "ExpressionResolver.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z11PerformPushv(){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 597 "ExpressionResolver.cpp"
 var $mathCurrent=(($0+16979900)|0); //@line 597 "ExpressionResolver.cpp"
 var $1=((((HEAPU8[($mathCurrent)])|(HEAPU8[((($mathCurrent)+(1))|0)]<<8)|(HEAPU8[((($mathCurrent)+(2))|0)]<<16)|(HEAPU8[((($mathCurrent)+(3))|0)]<<24))|0)); //@line 597 "ExpressionResolver.cpp"
 var $cmp=($1|0)>9; //@line 597 "ExpressionResolver.cpp"
 if($cmp){label=2;break;}else{label=3;break;} //@line 597 "ExpressionResolver.cpp"
 case 2: 
 var $2=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 599 "ExpressionResolver.cpp"
 var $3=$2; //@line 599 "ExpressionResolver.cpp"
 var $error=(($3)|0); //@line 599 "ExpressionResolver.cpp"
 HEAP8[($error)]=1; //@line 599 "ExpressionResolver.cpp"
 var $4=((((HEAPU8[(188)])|(HEAPU8[(189)]<<8)|(HEAPU8[(190)]<<16)|(HEAPU8[(191)]<<24))|0)); //@line 600 "ExpressionResolver.cpp"
 var $5=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 600 "ExpressionResolver.cpp"
 var $6=$5; //@line 600 "ExpressionResolver.cpp"
 var $error_msg=(($6+4)|0); //@line 600 "ExpressionResolver.cpp"
 tempBigInt=$4;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 600 "ExpressionResolver.cpp"
 $retval=0; //@line 601 "ExpressionResolver.cpp"
 label=4;break; //@line 601 "ExpressionResolver.cpp"
 case 3: 
 var $7=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 604 "ExpressionResolver.cpp"
 var $intermediateResult=(($7+16979968)|0); //@line 604 "ExpressionResolver.cpp"
 var $8=((((HEAPU8[($intermediateResult)])|(HEAPU8[((($intermediateResult)+(1))|0)]<<8)|(HEAPU8[((($intermediateResult)+(2))|0)]<<16)|(HEAPU8[((($intermediateResult)+(3))|0)]<<24))|0)); //@line 604 "ExpressionResolver.cpp"
 var $9=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 604 "ExpressionResolver.cpp"
 var $mathCurrent1=(($9+16979900)|0); //@line 604 "ExpressionResolver.cpp"
 var $10=((((HEAPU8[($mathCurrent1)])|(HEAPU8[((($mathCurrent1)+(1))|0)]<<8)|(HEAPU8[((($mathCurrent1)+(2))|0)]<<16)|(HEAPU8[((($mathCurrent1)+(3))|0)]<<24))|0)); //@line 604 "ExpressionResolver.cpp"
 var $11=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 604 "ExpressionResolver.cpp"
 var $mathStack=(($11+16979904)|0); //@line 604 "ExpressionResolver.cpp"
 var $arrayidx=(($mathStack+($10<<2))|0); //@line 604 "ExpressionResolver.cpp"
 tempBigInt=$8;HEAP8[($arrayidx)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx)+(3))|0)]=tempBigInt&0xff; //@line 604 "ExpressionResolver.cpp"
 var $12=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 605 "ExpressionResolver.cpp"
 var $mathCurrent2=(($12+16979900)|0); //@line 605 "ExpressionResolver.cpp"
 var $13=((((HEAPU8[($mathCurrent2)])|(HEAPU8[((($mathCurrent2)+(1))|0)]<<8)|(HEAPU8[((($mathCurrent2)+(2))|0)]<<16)|(HEAPU8[((($mathCurrent2)+(3))|0)]<<24))|0)); //@line 605 "ExpressionResolver.cpp"
 var $inc=((($13)+(1))|0); //@line 605 "ExpressionResolver.cpp"
 tempBigInt=$inc;HEAP8[($mathCurrent2)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($mathCurrent2)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($mathCurrent2)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($mathCurrent2)+(3))|0)]=tempBigInt&0xff; //@line 605 "ExpressionResolver.cpp"
 $retval=1; //@line 607 "ExpressionResolver.cpp"
 label=4;break; //@line 607 "ExpressionResolver.cpp"
 case 4: 
 var $14=$retval; //@line 608 "ExpressionResolver.cpp"
 STACKTOP=sp;return $14; //@line 608 "ExpressionResolver.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z9PerformOpv(){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+24)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $value1=sp;
 var $value2=(sp)+(8);
 var $fValue1;
 var $fValue2;
 var $result;
 var $fResult=(sp)+(16);
 var $i;
 var $a;
 var $b;
 var $c;
 var $d;
 var $x;
 var $y;
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 618 "ExpressionResolver.cpp"
 var $bUndefined=(($0+16979897)|0); //@line 618 "ExpressionResolver.cpp"
 var $1=HEAP8[($bUndefined)]; //@line 618 "ExpressionResolver.cpp"
 var $tobool=(($1)&1); //@line 618 "ExpressionResolver.cpp"
 if($tobool){label=2;break;}else{label=3;break;} //@line 618 "ExpressionResolver.cpp"
 case 2: 
 var $2=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 620 "ExpressionResolver.cpp"
 var $mathCurrent=(($2+16979900)|0); //@line 620 "ExpressionResolver.cpp"
 var $3=((((HEAPU8[($mathCurrent)])|(HEAPU8[((($mathCurrent)+(1))|0)]<<8)|(HEAPU8[((($mathCurrent)+(2))|0)]<<16)|(HEAPU8[((($mathCurrent)+(3))|0)]<<24))|0)); //@line 620 "ExpressionResolver.cpp"
 var $sub=((($3)-(1))|0); //@line 620 "ExpressionResolver.cpp"
 var $4=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 620 "ExpressionResolver.cpp"
 var $mathStack=(($4+16979904)|0); //@line 620 "ExpressionResolver.cpp"
 var $arrayidx=(($mathStack+($sub<<2))|0); //@line 620 "ExpressionResolver.cpp"
 tempBigInt=0;HEAP8[($arrayidx)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx)+(3))|0)]=tempBigInt&0xff; //@line 620 "ExpressionResolver.cpp"
 $retval=1; //@line 621 "ExpressionResolver.cpp"
 label=137;break; //@line 621 "ExpressionResolver.cpp"
 case 3: 
 var $5=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 624 "ExpressionResolver.cpp"
 var $mathCurrent1=(($5+16979900)|0); //@line 624 "ExpressionResolver.cpp"
 var $6=((((HEAPU8[($mathCurrent1)])|(HEAPU8[((($mathCurrent1)+(1))|0)]<<8)|(HEAPU8[((($mathCurrent1)+(2))|0)]<<16)|(HEAPU8[((($mathCurrent1)+(3))|0)]<<24))|0)); //@line 624 "ExpressionResolver.cpp"
 var $sub2=((($6)-(1))|0); //@line 624 "ExpressionResolver.cpp"
 var $7=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 624 "ExpressionResolver.cpp"
 var $mathStack3=(($7+16979904)|0); //@line 624 "ExpressionResolver.cpp"
 var $arrayidx4=(($mathStack3+($sub2<<2))|0); //@line 624 "ExpressionResolver.cpp"
 var $8=((((HEAPU8[($arrayidx4)])|(HEAPU8[((($arrayidx4)+(1))|0)]<<8)|(HEAPU8[((($arrayidx4)+(2))|0)]<<16)|(HEAPU8[((($arrayidx4)+(3))|0)]<<24))|0)); //@line 624 "ExpressionResolver.cpp"
 tempBigInt=$8;HEAP8[($value1)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value1)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value1)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value1)+(3))|0)]=tempBigInt&0xff; //@line 624 "ExpressionResolver.cpp"
 var $9=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 625 "ExpressionResolver.cpp"
 var $mathCurrent5=(($9+16979900)|0); //@line 625 "ExpressionResolver.cpp"
 var $10=((((HEAPU8[($mathCurrent5)])|(HEAPU8[((($mathCurrent5)+(1))|0)]<<8)|(HEAPU8[((($mathCurrent5)+(2))|0)]<<16)|(HEAPU8[((($mathCurrent5)+(3))|0)]<<24))|0)); //@line 625 "ExpressionResolver.cpp"
 var $11=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 625 "ExpressionResolver.cpp"
 var $mathStack6=(($11+16979904)|0); //@line 625 "ExpressionResolver.cpp"
 var $arrayidx7=(($mathStack6+($10<<2))|0); //@line 625 "ExpressionResolver.cpp"
 var $12=((((HEAPU8[($arrayidx7)])|(HEAPU8[((($arrayidx7)+(1))|0)]<<8)|(HEAPU8[((($arrayidx7)+(2))|0)]<<16)|(HEAPU8[((($arrayidx7)+(3))|0)]<<24))|0)); //@line 625 "ExpressionResolver.cpp"
 tempBigInt=$12;HEAP8[($value2)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value2)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value2)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value2)+(3))|0)]=tempBigInt&0xff; //@line 625 "ExpressionResolver.cpp"
 var $13=$value1; //@line 627 "ExpressionResolver.cpp"
 var $14=(copyTempFloat($13),HEAPF32[((tempDoublePtr)>>2)]); //@line 627 "ExpressionResolver.cpp"
 $fValue1=$14; //@line 627 "ExpressionResolver.cpp"
 var $15=$value2; //@line 628 "ExpressionResolver.cpp"
 var $16=(copyTempFloat($15),HEAPF32[((tempDoublePtr)>>2)]); //@line 628 "ExpressionResolver.cpp"
 $fValue2=$16; //@line 628 "ExpressionResolver.cpp"
 $result=0; //@line 630 "ExpressionResolver.cpp"
 HEAPF32[((tempDoublePtr)>>2)]=0;HEAP8[($fResult)]=HEAP8[(tempDoublePtr)];HEAP8[((($fResult)+(1))|0)]=HEAP8[(((tempDoublePtr)+(1))|0)];HEAP8[((($fResult)+(2))|0)]=HEAP8[(((tempDoublePtr)+(2))|0)];HEAP8[((($fResult)+(3))|0)]=HEAP8[(((tempDoublePtr)+(3))|0)]; //@line 631 "ExpressionResolver.cpp"
 var $17=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 633 "ExpressionResolver.cpp"
 var $currentOp=(($17+16979972)|0); //@line 633 "ExpressionResolver.cpp"
 var $18=((((HEAPU8[($currentOp)])|(HEAPU8[((($currentOp)+(1))|0)]<<8)|(HEAPU8[((($currentOp)+(2))|0)]<<16)|(HEAPU8[((($currentOp)+(3))|0)]<<24))|0)); //@line 633 "ExpressionResolver.cpp"
 var $sub8=((($18)-(1))|0); //@line 633 "ExpressionResolver.cpp"
 var $19=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 633 "ExpressionResolver.cpp"
 var $savedOp=(($19+16979976)|0); //@line 633 "ExpressionResolver.cpp"
 var $arrayidx9=(($savedOp+($sub8<<2))|0); //@line 633 "ExpressionResolver.cpp"
 var $20=((((HEAPU8[($arrayidx9)])|(HEAPU8[((($arrayidx9)+(1))|0)]<<8)|(HEAPU8[((($arrayidx9)+(2))|0)]<<16)|(HEAPU8[((($arrayidx9)+(3))|0)]<<24))|0)); //@line 633 "ExpressionResolver.cpp"
 switch(($20|0)){case 25:case 26:case 27:case 28:case 29:case 30:{ label=104;break;}case 31:{ label=125;break;}case 5:{ label=18;break;}case 6:{ label=28;break;}case 7:{ label=32;break;}case 8:{ label=33;break;}case 9:{ label=34;break;}case 0:{ label=4;break;}case 10:{ label=41;break;}case 11:{ label=42;break;}case 12:{ label=43;break;}case 13:{ label=47;break;}case 1:{ label=5;break;}case 14:{ label=51;break;}case 15:{ label=52;break;}case 16:{ label=57;break;}case 2:{ label=6;break;}case 17:{ label=67;break;}case 3:{ label=7;break;}case 18:{ label=73;break;}case 4:{ label=8;break;}case 19:{ label=83;break;}case 20:{ label=84;break;}case 21:{ label=88;break;}case 22:{ label=89;break;}case 23:{ label=93;break;}case 24:{ label=94;break;}default:{label=134;break;}}break;
 case 4: 
 var $21=((((HEAPU8[($value1)])|(HEAPU8[((($value1)+(1))|0)]<<8)|(HEAPU8[((($value1)+(2))|0)]<<16)|(HEAPU8[((($value1)+(3))|0)]<<24))|0)); //@line 636 "ExpressionResolver.cpp"
 var $22=((((HEAPU8[($value2)])|(HEAPU8[((($value2)+(1))|0)]<<8)|(HEAPU8[((($value2)+(2))|0)]<<16)|(HEAPU8[((($value2)+(3))|0)]<<24))|0)); //@line 636 "ExpressionResolver.cpp"
 var $and=$22&255; //@line 636 "ExpressionResolver.cpp"
 var $call=__Z3rorji($21,$and); //@line 636 "ExpressionResolver.cpp"
 $result=$call; //@line 636 "ExpressionResolver.cpp"
 label=134;break; //@line 637 "ExpressionResolver.cpp"
 case 5: 
 var $23=((((HEAPU8[($value1)])|(HEAPU8[((($value1)+(1))|0)]<<8)|(HEAPU8[((($value1)+(2))|0)]<<16)|(HEAPU8[((($value1)+(3))|0)]<<24))|0)); //@line 640 "ExpressionResolver.cpp"
 var $24=((((HEAPU8[($value2)])|(HEAPU8[((($value2)+(1))|0)]<<8)|(HEAPU8[((($value2)+(2))|0)]<<16)|(HEAPU8[((($value2)+(3))|0)]<<24))|0)); //@line 640 "ExpressionResolver.cpp"
 var $and11=$24&255; //@line 640 "ExpressionResolver.cpp"
 var $call12=__Z3rolji($23,$and11); //@line 640 "ExpressionResolver.cpp"
 $result=$call12; //@line 640 "ExpressionResolver.cpp"
 label=134;break; //@line 641 "ExpressionResolver.cpp"
 case 6: 
 var $25=((((HEAPU8[($value1)])|(HEAPU8[((($value1)+(1))|0)]<<8)|(HEAPU8[((($value1)+(2))|0)]<<16)|(HEAPU8[((($value1)+(3))|0)]<<24))|0)); //@line 644 "ExpressionResolver.cpp"
 var $26=((((HEAPU8[($value2)])|(HEAPU8[((($value2)+(1))|0)]<<8)|(HEAPU8[((($value2)+(2))|0)]<<16)|(HEAPU8[((($value2)+(3))|0)]<<24))|0)); //@line 644 "ExpressionResolver.cpp"
 var $and14=$26&255; //@line 644 "ExpressionResolver.cpp"
 var $shr=$25>>>($and14>>>0); //@line 644 "ExpressionResolver.cpp"
 $result=$shr; //@line 644 "ExpressionResolver.cpp"
 label=134;break; //@line 645 "ExpressionResolver.cpp"
 case 7: 
 var $27=((((HEAPU8[($value1)])|(HEAPU8[((($value1)+(1))|0)]<<8)|(HEAPU8[((($value1)+(2))|0)]<<16)|(HEAPU8[((($value1)+(3))|0)]<<24))|0)); //@line 648 "ExpressionResolver.cpp"
 var $28=((((HEAPU8[($value2)])|(HEAPU8[((($value2)+(1))|0)]<<8)|(HEAPU8[((($value2)+(2))|0)]<<16)|(HEAPU8[((($value2)+(3))|0)]<<24))|0)); //@line 648 "ExpressionResolver.cpp"
 var $and16=$28&255; //@line 648 "ExpressionResolver.cpp"
 var $shl=$27<<$and16; //@line 648 "ExpressionResolver.cpp"
 $result=$shl; //@line 648 "ExpressionResolver.cpp"
 label=134;break; //@line 649 "ExpressionResolver.cpp"
 case 8: 
 var $29=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 652 "ExpressionResolver.cpp"
 var $intMode=(($29+16979888)|0); //@line 652 "ExpressionResolver.cpp"
 var $30=((((HEAPU8[($intMode)])|(HEAPU8[((($intMode)+(1))|0)]<<8)|(HEAPU8[((($intMode)+(2))|0)]<<16)|(HEAPU8[((($intMode)+(3))|0)]<<24))|0)); //@line 652 "ExpressionResolver.cpp"
 var $cmp=($30|0)==2; //@line 652 "ExpressionResolver.cpp"
 if($cmp){label=9;break;}else{label=13;break;} //@line 652 "ExpressionResolver.cpp"
 case 9: 
 var $31=$fValue1; //@line 654 "ExpressionResolver.cpp"
 var $32=$fValue2; //@line 654 "ExpressionResolver.cpp"
 var $cmp19=$31<$32; //@line 654 "ExpressionResolver.cpp"
 if($cmp19){label=10;break;}else{label=11;break;} //@line 654 "ExpressionResolver.cpp"
 case 10: 
 var $33=$fValue2; //@line 654 "ExpressionResolver.cpp"
 var $cond=$33;label=12;break; //@line 654 "ExpressionResolver.cpp"
 case 11: 
 var $34=$fValue1; //@line 654 "ExpressionResolver.cpp"
 var $cond=$34;label=12;break; //@line 654 "ExpressionResolver.cpp"
 case 12: 
 var $cond; //@line 654 "ExpressionResolver.cpp"
 HEAPF32[((tempDoublePtr)>>2)]=$cond;HEAP8[($fResult)]=HEAP8[(tempDoublePtr)];HEAP8[((($fResult)+(1))|0)]=HEAP8[(((tempDoublePtr)+(1))|0)];HEAP8[((($fResult)+(2))|0)]=HEAP8[(((tempDoublePtr)+(2))|0)];HEAP8[((($fResult)+(3))|0)]=HEAP8[(((tempDoublePtr)+(3))|0)]; //@line 654 "ExpressionResolver.cpp"
 label=17;break; //@line 655 "ExpressionResolver.cpp"
 case 13: 
 var $35=((((HEAPU8[($value1)])|(HEAPU8[((($value1)+(1))|0)]<<8)|(HEAPU8[((($value1)+(2))|0)]<<16)|(HEAPU8[((($value1)+(3))|0)]<<24))|0)); //@line 658 "ExpressionResolver.cpp"
 var $36=((((HEAPU8[($value2)])|(HEAPU8[((($value2)+(1))|0)]<<8)|(HEAPU8[((($value2)+(2))|0)]<<16)|(HEAPU8[((($value2)+(3))|0)]<<24))|0)); //@line 658 "ExpressionResolver.cpp"
 var $cmp20=($35|0)<($36|0); //@line 658 "ExpressionResolver.cpp"
 if($cmp20){label=14;break;}else{label=15;break;} //@line 658 "ExpressionResolver.cpp"
 case 14: 
 var $37=((((HEAPU8[($value2)])|(HEAPU8[((($value2)+(1))|0)]<<8)|(HEAPU8[((($value2)+(2))|0)]<<16)|(HEAPU8[((($value2)+(3))|0)]<<24))|0)); //@line 658 "ExpressionResolver.cpp"
 var $cond24=$37;label=16;break; //@line 658 "ExpressionResolver.cpp"
 case 15: 
 var $38=((((HEAPU8[($value1)])|(HEAPU8[((($value1)+(1))|0)]<<8)|(HEAPU8[((($value1)+(2))|0)]<<16)|(HEAPU8[((($value1)+(3))|0)]<<24))|0)); //@line 658 "ExpressionResolver.cpp"
 var $cond24=$38;label=16;break; //@line 658 "ExpressionResolver.cpp"
 case 16: 
 var $cond24; //@line 658 "ExpressionResolver.cpp"
 $result=$cond24; //@line 658 "ExpressionResolver.cpp"
 label=17;break;
 case 17: 
 label=134;break; //@line 660 "ExpressionResolver.cpp"
 case 18: 
 var $39=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 663 "ExpressionResolver.cpp"
 var $intMode27=(($39+16979888)|0); //@line 663 "ExpressionResolver.cpp"
 var $40=((((HEAPU8[($intMode27)])|(HEAPU8[((($intMode27)+(1))|0)]<<8)|(HEAPU8[((($intMode27)+(2))|0)]<<16)|(HEAPU8[((($intMode27)+(3))|0)]<<24))|0)); //@line 663 "ExpressionResolver.cpp"
 var $cmp28=($40|0)==2; //@line 663 "ExpressionResolver.cpp"
 if($cmp28){label=19;break;}else{label=23;break;} //@line 663 "ExpressionResolver.cpp"
 case 19: 
 var $41=$fValue1; //@line 665 "ExpressionResolver.cpp"
 var $42=$fValue2; //@line 665 "ExpressionResolver.cpp"
 var $cmp30=$41>$42; //@line 665 "ExpressionResolver.cpp"
 if($cmp30){label=20;break;}else{label=21;break;} //@line 665 "ExpressionResolver.cpp"
 case 20: 
 var $43=$fValue2; //@line 665 "ExpressionResolver.cpp"
 var $cond34=$43;label=22;break; //@line 665 "ExpressionResolver.cpp"
 case 21: 
 var $44=$fValue1; //@line 665 "ExpressionResolver.cpp"
 var $cond34=$44;label=22;break; //@line 665 "ExpressionResolver.cpp"
 case 22: 
 var $cond34; //@line 665 "ExpressionResolver.cpp"
 HEAPF32[((tempDoublePtr)>>2)]=$cond34;HEAP8[($fResult)]=HEAP8[(tempDoublePtr)];HEAP8[((($fResult)+(1))|0)]=HEAP8[(((tempDoublePtr)+(1))|0)];HEAP8[((($fResult)+(2))|0)]=HEAP8[(((tempDoublePtr)+(2))|0)];HEAP8[((($fResult)+(3))|0)]=HEAP8[(((tempDoublePtr)+(3))|0)]; //@line 665 "ExpressionResolver.cpp"
 label=27;break; //@line 666 "ExpressionResolver.cpp"
 case 23: 
 var $45=((((HEAPU8[($value1)])|(HEAPU8[((($value1)+(1))|0)]<<8)|(HEAPU8[((($value1)+(2))|0)]<<16)|(HEAPU8[((($value1)+(3))|0)]<<24))|0)); //@line 669 "ExpressionResolver.cpp"
 var $46=((((HEAPU8[($value2)])|(HEAPU8[((($value2)+(1))|0)]<<8)|(HEAPU8[((($value2)+(2))|0)]<<16)|(HEAPU8[((($value2)+(3))|0)]<<24))|0)); //@line 669 "ExpressionResolver.cpp"
 var $cmp36=($45|0)>($46|0); //@line 669 "ExpressionResolver.cpp"
 if($cmp36){label=24;break;}else{label=25;break;} //@line 669 "ExpressionResolver.cpp"
 case 24: 
 var $47=((((HEAPU8[($value2)])|(HEAPU8[((($value2)+(1))|0)]<<8)|(HEAPU8[((($value2)+(2))|0)]<<16)|(HEAPU8[((($value2)+(3))|0)]<<24))|0)); //@line 669 "ExpressionResolver.cpp"
 var $cond40=$47;label=26;break; //@line 669 "ExpressionResolver.cpp"
 case 25: 
 var $48=((((HEAPU8[($value1)])|(HEAPU8[((($value1)+(1))|0)]<<8)|(HEAPU8[((($value1)+(2))|0)]<<16)|(HEAPU8[((($value1)+(3))|0)]<<24))|0)); //@line 669 "ExpressionResolver.cpp"
 var $cond40=$48;label=26;break; //@line 669 "ExpressionResolver.cpp"
 case 26: 
 var $cond40; //@line 669 "ExpressionResolver.cpp"
 $result=$cond40; //@line 669 "ExpressionResolver.cpp"
 label=27;break;
 case 27: 
 label=134;break; //@line 671 "ExpressionResolver.cpp"
 case 28: 
 var $49=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 674 "ExpressionResolver.cpp"
 var $intMode43=(($49+16979888)|0); //@line 674 "ExpressionResolver.cpp"
 var $50=((((HEAPU8[($intMode43)])|(HEAPU8[((($intMode43)+(1))|0)]<<8)|(HEAPU8[((($intMode43)+(2))|0)]<<16)|(HEAPU8[((($intMode43)+(3))|0)]<<24))|0)); //@line 674 "ExpressionResolver.cpp"
 var $cmp44=($50|0)==2; //@line 674 "ExpressionResolver.cpp"
 if($cmp44){label=29;break;}else{label=30;break;} //@line 674 "ExpressionResolver.cpp"
 case 29: 
 var $51=$fValue1; //@line 677 "ExpressionResolver.cpp"
 var $sub46=((-.0))-($51); //@line 677 "ExpressionResolver.cpp"
 HEAPF32[((tempDoublePtr)>>2)]=$sub46;HEAP8[($fResult)]=HEAP8[(tempDoublePtr)];HEAP8[((($fResult)+(1))|0)]=HEAP8[(((tempDoublePtr)+(1))|0)];HEAP8[((($fResult)+(2))|0)]=HEAP8[(((tempDoublePtr)+(2))|0)];HEAP8[((($fResult)+(3))|0)]=HEAP8[(((tempDoublePtr)+(3))|0)]; //@line 677 "ExpressionResolver.cpp"
 label=31;break; //@line 678 "ExpressionResolver.cpp"
 case 30: 
 var $52=((((HEAPU8[($value1)])|(HEAPU8[((($value1)+(1))|0)]<<8)|(HEAPU8[((($value1)+(2))|0)]<<16)|(HEAPU8[((($value1)+(3))|0)]<<24))|0)); //@line 681 "ExpressionResolver.cpp"
 var $sub48=(((-$52))|0); //@line 681 "ExpressionResolver.cpp"
 $result=$sub48; //@line 681 "ExpressionResolver.cpp"
 label=31;break;
 case 31: 
 label=134;break; //@line 683 "ExpressionResolver.cpp"
 case 32: 
 var $53=((((HEAPU8[($value1)])|(HEAPU8[((($value1)+(1))|0)]<<8)|(HEAPU8[((($value1)+(2))|0)]<<16)|(HEAPU8[((($value1)+(3))|0)]<<24))|0)); //@line 686 "ExpressionResolver.cpp"
 var $neg=$53^-1; //@line 686 "ExpressionResolver.cpp"
 $result=$neg; //@line 686 "ExpressionResolver.cpp"
 label=134;break; //@line 687 "ExpressionResolver.cpp"
 case 33: 
 var $54=((((HEAPU8[($value1)])|(HEAPU8[((($value1)+(1))|0)]<<8)|(HEAPU8[((($value1)+(2))|0)]<<16)|(HEAPU8[((($value1)+(3))|0)]<<24))|0)); //@line 690 "ExpressionResolver.cpp"
 var $55=((((HEAPU8[($value2)])|(HEAPU8[((($value2)+(1))|0)]<<8)|(HEAPU8[((($value2)+(2))|0)]<<16)|(HEAPU8[((($value2)+(3))|0)]<<24))|0)); //@line 690 "ExpressionResolver.cpp"
 var $and52=$54&$55; //@line 690 "ExpressionResolver.cpp"
 $result=$and52; //@line 690 "ExpressionResolver.cpp"
 label=134;break; //@line 691 "ExpressionResolver.cpp"
 case 34: 
 var $56=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 694 "ExpressionResolver.cpp"
 var $intMode54=(($56+16979888)|0); //@line 694 "ExpressionResolver.cpp"
 var $57=((((HEAPU8[($intMode54)])|(HEAPU8[((($intMode54)+(1))|0)]<<8)|(HEAPU8[((($intMode54)+(2))|0)]<<16)|(HEAPU8[((($intMode54)+(3))|0)]<<24))|0)); //@line 694 "ExpressionResolver.cpp"
 var $cmp55=($57|0)==2; //@line 694 "ExpressionResolver.cpp"
 if($cmp55){label=35;break;}else{label=36;break;} //@line 694 "ExpressionResolver.cpp"
 case 35: 
 var $58=$fValue1; //@line 697 "ExpressionResolver.cpp"
 var $conv=$58; //@line 697 "ExpressionResolver.cpp"
 var $call57=Math_abs($conv); //@line 697 "ExpressionResolver.cpp"
 var $conv58=$call57; //@line 697 "ExpressionResolver.cpp"
 HEAPF32[((tempDoublePtr)>>2)]=$conv58;HEAP8[($fResult)]=HEAP8[(tempDoublePtr)];HEAP8[((($fResult)+(1))|0)]=HEAP8[(((tempDoublePtr)+(1))|0)];HEAP8[((($fResult)+(2))|0)]=HEAP8[(((tempDoublePtr)+(2))|0)];HEAP8[((($fResult)+(3))|0)]=HEAP8[(((tempDoublePtr)+(3))|0)]; //@line 697 "ExpressionResolver.cpp"
 label=40;break; //@line 698 "ExpressionResolver.cpp"
 case 36: 
 var $59=((((HEAPU8[($value1)])|(HEAPU8[((($value1)+(1))|0)]<<8)|(HEAPU8[((($value1)+(2))|0)]<<16)|(HEAPU8[((($value1)+(3))|0)]<<24))|0)); //@line 701 "ExpressionResolver.cpp"
 var $cmp60=($59|0)<0; //@line 701 "ExpressionResolver.cpp"
 if($cmp60){label=37;break;}else{label=38;break;} //@line 701 "ExpressionResolver.cpp"
 case 37: 
 var $60=((((HEAPU8[($value1)])|(HEAPU8[((($value1)+(1))|0)]<<8)|(HEAPU8[((($value1)+(2))|0)]<<16)|(HEAPU8[((($value1)+(3))|0)]<<24))|0)); //@line 701 "ExpressionResolver.cpp"
 var $sub62=(((-$60))|0); //@line 701 "ExpressionResolver.cpp"
 var $cond65=$sub62;label=39;break; //@line 701 "ExpressionResolver.cpp"
 case 38: 
 var $61=((((HEAPU8[($value1)])|(HEAPU8[((($value1)+(1))|0)]<<8)|(HEAPU8[((($value1)+(2))|0)]<<16)|(HEAPU8[((($value1)+(3))|0)]<<24))|0)); //@line 701 "ExpressionResolver.cpp"
 var $cond65=$61;label=39;break; //@line 701 "ExpressionResolver.cpp"
 case 39: 
 var $cond65; //@line 701 "ExpressionResolver.cpp"
 $result=$cond65; //@line 701 "ExpressionResolver.cpp"
 label=40;break;
 case 40: 
 label=134;break; //@line 703 "ExpressionResolver.cpp"
 case 41: 
 var $62=((((HEAPU8[($value1)])|(HEAPU8[((($value1)+(1))|0)]<<8)|(HEAPU8[((($value1)+(2))|0)]<<16)|(HEAPU8[((($value1)+(3))|0)]<<24))|0)); //@line 706 "ExpressionResolver.cpp"
 var $63=((((HEAPU8[($value2)])|(HEAPU8[((($value2)+(1))|0)]<<8)|(HEAPU8[((($value2)+(2))|0)]<<16)|(HEAPU8[((($value2)+(3))|0)]<<24))|0)); //@line 706 "ExpressionResolver.cpp"
 var $or=$62|$63; //@line 706 "ExpressionResolver.cpp"
 $result=$or; //@line 706 "ExpressionResolver.cpp"
 label=134;break; //@line 707 "ExpressionResolver.cpp"
 case 42: 
 var $64=((((HEAPU8[($value1)])|(HEAPU8[((($value1)+(1))|0)]<<8)|(HEAPU8[((($value1)+(2))|0)]<<16)|(HEAPU8[((($value1)+(3))|0)]<<24))|0)); //@line 710 "ExpressionResolver.cpp"
 var $65=((((HEAPU8[($value2)])|(HEAPU8[((($value2)+(1))|0)]<<8)|(HEAPU8[((($value2)+(2))|0)]<<16)|(HEAPU8[((($value2)+(3))|0)]<<24))|0)); //@line 710 "ExpressionResolver.cpp"
 var $xor=$64^$65; //@line 710 "ExpressionResolver.cpp"
 $result=$xor; //@line 710 "ExpressionResolver.cpp"
 label=134;break; //@line 711 "ExpressionResolver.cpp"
 case 43: 
 var $66=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 714 "ExpressionResolver.cpp"
 var $intMode70=(($66+16979888)|0); //@line 714 "ExpressionResolver.cpp"
 var $67=((((HEAPU8[($intMode70)])|(HEAPU8[((($intMode70)+(1))|0)]<<8)|(HEAPU8[((($intMode70)+(2))|0)]<<16)|(HEAPU8[((($intMode70)+(3))|0)]<<24))|0)); //@line 714 "ExpressionResolver.cpp"
 var $cmp71=($67|0)==2; //@line 714 "ExpressionResolver.cpp"
 if($cmp71){label=44;break;}else{label=45;break;} //@line 714 "ExpressionResolver.cpp"
 case 44: 
 var $68=$fValue1; //@line 717 "ExpressionResolver.cpp"
 var $69=$fValue2; //@line 717 "ExpressionResolver.cpp"
 var $add=($68)+($69); //@line 717 "ExpressionResolver.cpp"
 HEAPF32[((tempDoublePtr)>>2)]=$add;HEAP8[($fResult)]=HEAP8[(tempDoublePtr)];HEAP8[((($fResult)+(1))|0)]=HEAP8[(((tempDoublePtr)+(1))|0)];HEAP8[((($fResult)+(2))|0)]=HEAP8[(((tempDoublePtr)+(2))|0)];HEAP8[((($fResult)+(3))|0)]=HEAP8[(((tempDoublePtr)+(3))|0)]; //@line 717 "ExpressionResolver.cpp"
 label=46;break; //@line 718 "ExpressionResolver.cpp"
 case 45: 
 var $70=((((HEAPU8[($value1)])|(HEAPU8[((($value1)+(1))|0)]<<8)|(HEAPU8[((($value1)+(2))|0)]<<16)|(HEAPU8[((($value1)+(3))|0)]<<24))|0)); //@line 721 "ExpressionResolver.cpp"
 var $71=((((HEAPU8[($value2)])|(HEAPU8[((($value2)+(1))|0)]<<8)|(HEAPU8[((($value2)+(2))|0)]<<16)|(HEAPU8[((($value2)+(3))|0)]<<24))|0)); //@line 721 "ExpressionResolver.cpp"
 var $add74=((($70)+($71))|0); //@line 721 "ExpressionResolver.cpp"
 $result=$add74; //@line 721 "ExpressionResolver.cpp"
 label=46;break;
 case 46: 
 label=134;break; //@line 723 "ExpressionResolver.cpp"
 case 47: 
 var $72=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 726 "ExpressionResolver.cpp"
 var $intMode77=(($72+16979888)|0); //@line 726 "ExpressionResolver.cpp"
 var $73=((((HEAPU8[($intMode77)])|(HEAPU8[((($intMode77)+(1))|0)]<<8)|(HEAPU8[((($intMode77)+(2))|0)]<<16)|(HEAPU8[((($intMode77)+(3))|0)]<<24))|0)); //@line 726 "ExpressionResolver.cpp"
 var $cmp78=($73|0)==2; //@line 726 "ExpressionResolver.cpp"
 if($cmp78){label=48;break;}else{label=49;break;} //@line 726 "ExpressionResolver.cpp"
 case 48: 
 var $74=$fValue1; //@line 729 "ExpressionResolver.cpp"
 var $75=$fValue2; //@line 729 "ExpressionResolver.cpp"
 var $sub80=($74)-($75); //@line 729 "ExpressionResolver.cpp"
 HEAPF32[((tempDoublePtr)>>2)]=$sub80;HEAP8[($fResult)]=HEAP8[(tempDoublePtr)];HEAP8[((($fResult)+(1))|0)]=HEAP8[(((tempDoublePtr)+(1))|0)];HEAP8[((($fResult)+(2))|0)]=HEAP8[(((tempDoublePtr)+(2))|0)];HEAP8[((($fResult)+(3))|0)]=HEAP8[(((tempDoublePtr)+(3))|0)]; //@line 729 "ExpressionResolver.cpp"
 label=50;break; //@line 730 "ExpressionResolver.cpp"
 case 49: 
 var $76=((((HEAPU8[($value1)])|(HEAPU8[((($value1)+(1))|0)]<<8)|(HEAPU8[((($value1)+(2))|0)]<<16)|(HEAPU8[((($value1)+(3))|0)]<<24))|0)); //@line 733 "ExpressionResolver.cpp"
 var $77=((((HEAPU8[($value2)])|(HEAPU8[((($value2)+(1))|0)]<<8)|(HEAPU8[((($value2)+(2))|0)]<<16)|(HEAPU8[((($value2)+(3))|0)]<<24))|0)); //@line 733 "ExpressionResolver.cpp"
 var $sub82=((($76)-($77))|0); //@line 733 "ExpressionResolver.cpp"
 $result=$sub82; //@line 733 "ExpressionResolver.cpp"
 label=50;break;
 case 50: 
 label=134;break; //@line 735 "ExpressionResolver.cpp"
 case 51: 
 var $78=((((HEAPU8[($value1)])|(HEAPU8[((($value1)+(1))|0)]<<8)|(HEAPU8[((($value1)+(2))|0)]<<16)|(HEAPU8[((($value1)+(3))|0)]<<24))|0)); //@line 738 "ExpressionResolver.cpp"
 var $79=((((HEAPU8[($value2)])|(HEAPU8[((($value2)+(1))|0)]<<8)|(HEAPU8[((($value2)+(2))|0)]<<16)|(HEAPU8[((($value2)+(3))|0)]<<24))|0)); //@line 738 "ExpressionResolver.cpp"
 var $and85=$79&255; //@line 738 "ExpressionResolver.cpp"
 var $shr86=$78>>($and85|0); //@line 738 "ExpressionResolver.cpp"
 $result=$shr86; //@line 738 "ExpressionResolver.cpp"
 label=134;break; //@line 739 "ExpressionResolver.cpp"
 case 52: 
 var $80=((((HEAPU8[($value2)])|(HEAPU8[((($value2)+(1))|0)]<<8)|(HEAPU8[((($value2)+(2))|0)]<<16)|(HEAPU8[((($value2)+(3))|0)]<<24))|0)); //@line 742 "ExpressionResolver.cpp"
 var $and88=$80&255; //@line 742 "ExpressionResolver.cpp"
 tempBigInt=$and88;HEAP8[($value2)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value2)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value2)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value2)+(3))|0)]=tempBigInt&0xff; //@line 742 "ExpressionResolver.cpp"
 $result=0; //@line 743 "ExpressionResolver.cpp"
 $i=0; //@line 744 "ExpressionResolver.cpp"
 label=53;break; //@line 744 "ExpressionResolver.cpp"
 case 53: 
 var $81=$i; //@line 744 "ExpressionResolver.cpp"
 var $82=((((HEAPU8[($value2)])|(HEAPU8[((($value2)+(1))|0)]<<8)|(HEAPU8[((($value2)+(2))|0)]<<16)|(HEAPU8[((($value2)+(3))|0)]<<24))|0)); //@line 744 "ExpressionResolver.cpp"
 var $cmp89=($81|0)<($82|0); //@line 744 "ExpressionResolver.cpp"
 if($cmp89){label=54;break;}else{label=56;break;} //@line 744 "ExpressionResolver.cpp"
 case 54: 
 var $83=$result; //@line 746 "ExpressionResolver.cpp"
 var $shl90=$83<<1; //@line 746 "ExpressionResolver.cpp"
 $result=$shl90; //@line 746 "ExpressionResolver.cpp"
 var $84=((((HEAPU8[($value1)])|(HEAPU8[((($value1)+(1))|0)]<<8)|(HEAPU8[((($value1)+(2))|0)]<<16)|(HEAPU8[((($value1)+(3))|0)]<<24))|0)); //@line 747 "ExpressionResolver.cpp"
 var $and91=$84&1; //@line 747 "ExpressionResolver.cpp"
 var $85=$result; //@line 747 "ExpressionResolver.cpp"
 var $or92=$85|$and91; //@line 747 "ExpressionResolver.cpp"
 $result=$or92; //@line 747 "ExpressionResolver.cpp"
 var $86=((((HEAPU8[($value1)])|(HEAPU8[((($value1)+(1))|0)]<<8)|(HEAPU8[((($value1)+(2))|0)]<<16)|(HEAPU8[((($value1)+(3))|0)]<<24))|0)); //@line 748 "ExpressionResolver.cpp"
 var $shr93=$86>>1; //@line 748 "ExpressionResolver.cpp"
 tempBigInt=$shr93;HEAP8[($value1)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value1)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value1)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value1)+(3))|0)]=tempBigInt&0xff; //@line 748 "ExpressionResolver.cpp"
 label=55;break; //@line 749 "ExpressionResolver.cpp"
 case 55: 
 var $87=$i; //@line 744 "ExpressionResolver.cpp"
 var $inc=((($87)+(1))|0); //@line 744 "ExpressionResolver.cpp"
 $i=$inc; //@line 744 "ExpressionResolver.cpp"
 label=53;break; //@line 744 "ExpressionResolver.cpp"
 case 56: 
 label=134;break; //@line 750 "ExpressionResolver.cpp"
 case 57: 
 var $88=((((HEAPU8[($value1)])|(HEAPU8[((($value1)+(1))|0)]<<8)|(HEAPU8[((($value1)+(2))|0)]<<16)|(HEAPU8[((($value1)+(3))|0)]<<24))|0)); //@line 753 "ExpressionResolver.cpp"
 var $cmp95=($88|0)!=0; //@line 753 "ExpressionResolver.cpp"
 if($cmp95){label=58;break;}else{label=59;break;} //@line 753 "ExpressionResolver.cpp"
 case 58: 
 tempBigInt=-1;HEAP8[($value1)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value1)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value1)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value1)+(3))|0)]=tempBigInt&0xff; //@line 755 "ExpressionResolver.cpp"
 label=59;break; //@line 756 "ExpressionResolver.cpp"
 case 59: 
 var $89=((((HEAPU8[($value2)])|(HEAPU8[((($value2)+(1))|0)]<<8)|(HEAPU8[((($value2)+(2))|0)]<<16)|(HEAPU8[((($value2)+(3))|0)]<<24))|0)); //@line 757 "ExpressionResolver.cpp"
 var $cmp98=($89|0)!=0; //@line 757 "ExpressionResolver.cpp"
 if($cmp98){label=60;break;}else{label=61;break;} //@line 757 "ExpressionResolver.cpp"
 case 60: 
 tempBigInt=-1;HEAP8[($value2)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value2)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value2)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value2)+(3))|0)]=tempBigInt&0xff; //@line 759 "ExpressionResolver.cpp"
 label=61;break; //@line 760 "ExpressionResolver.cpp"
 case 61: 
 var $90=((((HEAPU8[($value1)])|(HEAPU8[((($value1)+(1))|0)]<<8)|(HEAPU8[((($value1)+(2))|0)]<<16)|(HEAPU8[((($value1)+(3))|0)]<<24))|0)); //@line 761 "ExpressionResolver.cpp"
 var $91=((((HEAPU8[($value2)])|(HEAPU8[((($value2)+(1))|0)]<<8)|(HEAPU8[((($value2)+(2))|0)]<<16)|(HEAPU8[((($value2)+(3))|0)]<<24))|0)); //@line 761 "ExpressionResolver.cpp"
 var $and101=$90&$91; //@line 761 "ExpressionResolver.cpp"
 $result=$and101; //@line 761 "ExpressionResolver.cpp"
 var $92=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 762 "ExpressionResolver.cpp"
 var $intMode102=(($92+16979888)|0); //@line 762 "ExpressionResolver.cpp"
 var $93=((((HEAPU8[($intMode102)])|(HEAPU8[((($intMode102)+(1))|0)]<<8)|(HEAPU8[((($intMode102)+(2))|0)]<<16)|(HEAPU8[((($intMode102)+(3))|0)]<<24))|0)); //@line 762 "ExpressionResolver.cpp"
 var $cmp103=($93|0)==2; //@line 762 "ExpressionResolver.cpp"
 if($cmp103){label=62;break;}else{label=66;break;} //@line 762 "ExpressionResolver.cpp"
 case 62: 
 var $94=$result; //@line 764 "ExpressionResolver.cpp"
 var $cmp105=($94|0)!=0; //@line 764 "ExpressionResolver.cpp"
 if($cmp105){label=63;break;}else{label=64;break;} //@line 764 "ExpressionResolver.cpp"
 case 63: 
 HEAPF32[((tempDoublePtr)>>2)]=1;HEAP8[($fResult)]=HEAP8[(tempDoublePtr)];HEAP8[((($fResult)+(1))|0)]=HEAP8[(((tempDoublePtr)+(1))|0)];HEAP8[((($fResult)+(2))|0)]=HEAP8[(((tempDoublePtr)+(2))|0)];HEAP8[((($fResult)+(3))|0)]=HEAP8[(((tempDoublePtr)+(3))|0)]; //@line 766 "ExpressionResolver.cpp"
 label=65;break; //@line 767 "ExpressionResolver.cpp"
 case 64: 
 HEAPF32[((tempDoublePtr)>>2)]=0;HEAP8[($fResult)]=HEAP8[(tempDoublePtr)];HEAP8[((($fResult)+(1))|0)]=HEAP8[(((tempDoublePtr)+(1))|0)];HEAP8[((($fResult)+(2))|0)]=HEAP8[(((tempDoublePtr)+(2))|0)];HEAP8[((($fResult)+(3))|0)]=HEAP8[(((tempDoublePtr)+(3))|0)]; //@line 770 "ExpressionResolver.cpp"
 label=65;break;
 case 65: 
 label=66;break; //@line 772 "ExpressionResolver.cpp"
 case 66: 
 label=134;break; //@line 773 "ExpressionResolver.cpp"
 case 67: 
 $result=32; //@line 776 "ExpressionResolver.cpp"
 label=68;break; //@line 777 "ExpressionResolver.cpp"
 case 68: 
 var $95=((((HEAPU8[($value1)])|(HEAPU8[((($value1)+(1))|0)]<<8)|(HEAPU8[((($value1)+(2))|0)]<<16)|(HEAPU8[((($value1)+(3))|0)]<<24))|0)); //@line 777 "ExpressionResolver.cpp"
 var $and111=$95&-2147483648; //@line 777 "ExpressionResolver.cpp"
 var $tobool112=($and111|0)!=0; //@line 777 "ExpressionResolver.cpp"
 if($tobool112){var $97=0;label=70;break;}else{label=69;break;} //@line 777 "ExpressionResolver.cpp"
 case 69: 
 var $96=$result; //@line 777 "ExpressionResolver.cpp"
 var $cmp113=($96|0)>0; //@line 777 "ExpressionResolver.cpp"
 var $97=$cmp113;label=70;break;
 case 70: 
 var $97;
 if($97){label=71;break;}else{label=72;break;}
 case 71: 
 var $98=$result; //@line 779 "ExpressionResolver.cpp"
 var $dec=((($98)-(1))|0); //@line 779 "ExpressionResolver.cpp"
 $result=$dec; //@line 779 "ExpressionResolver.cpp"
 var $99=((((HEAPU8[($value1)])|(HEAPU8[((($value1)+(1))|0)]<<8)|(HEAPU8[((($value1)+(2))|0)]<<16)|(HEAPU8[((($value1)+(3))|0)]<<24))|0)); //@line 780 "ExpressionResolver.cpp"
 var $shl114=$99<<1; //@line 780 "ExpressionResolver.cpp"
 tempBigInt=$shl114;HEAP8[($value1)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value1)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value1)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value1)+(3))|0)]=tempBigInt&0xff; //@line 780 "ExpressionResolver.cpp"
 label=68;break; //@line 781 "ExpressionResolver.cpp"
 case 72: 
 label=134;break; //@line 782 "ExpressionResolver.cpp"
 case 73: 
 var $100=((((HEAPU8[($value1)])|(HEAPU8[((($value1)+(1))|0)]<<8)|(HEAPU8[((($value1)+(2))|0)]<<16)|(HEAPU8[((($value1)+(3))|0)]<<24))|0)); //@line 785 "ExpressionResolver.cpp"
 var $cmp116=($100|0)!=0; //@line 785 "ExpressionResolver.cpp"
 if($cmp116){label=74;break;}else{label=75;break;} //@line 785 "ExpressionResolver.cpp"
 case 74: 
 tempBigInt=-1;HEAP8[($value1)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value1)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value1)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value1)+(3))|0)]=tempBigInt&0xff; //@line 787 "ExpressionResolver.cpp"
 label=75;break; //@line 788 "ExpressionResolver.cpp"
 case 75: 
 var $101=((((HEAPU8[($value2)])|(HEAPU8[((($value2)+(1))|0)]<<8)|(HEAPU8[((($value2)+(2))|0)]<<16)|(HEAPU8[((($value2)+(3))|0)]<<24))|0)); //@line 789 "ExpressionResolver.cpp"
 var $cmp119=($101|0)!=0; //@line 789 "ExpressionResolver.cpp"
 if($cmp119){label=76;break;}else{label=77;break;} //@line 789 "ExpressionResolver.cpp"
 case 76: 
 tempBigInt=-1;HEAP8[($value2)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value2)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value2)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value2)+(3))|0)]=tempBigInt&0xff; //@line 791 "ExpressionResolver.cpp"
 label=77;break; //@line 792 "ExpressionResolver.cpp"
 case 77: 
 var $102=((((HEAPU8[($value1)])|(HEAPU8[((($value1)+(1))|0)]<<8)|(HEAPU8[((($value1)+(2))|0)]<<16)|(HEAPU8[((($value1)+(3))|0)]<<24))|0)); //@line 793 "ExpressionResolver.cpp"
 var $103=((((HEAPU8[($value2)])|(HEAPU8[((($value2)+(1))|0)]<<8)|(HEAPU8[((($value2)+(2))|0)]<<16)|(HEAPU8[((($value2)+(3))|0)]<<24))|0)); //@line 793 "ExpressionResolver.cpp"
 var $or122=$102|$103; //@line 793 "ExpressionResolver.cpp"
 $result=$or122; //@line 793 "ExpressionResolver.cpp"
 var $104=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 794 "ExpressionResolver.cpp"
 var $intMode123=(($104+16979888)|0); //@line 794 "ExpressionResolver.cpp"
 var $105=((((HEAPU8[($intMode123)])|(HEAPU8[((($intMode123)+(1))|0)]<<8)|(HEAPU8[((($intMode123)+(2))|0)]<<16)|(HEAPU8[((($intMode123)+(3))|0)]<<24))|0)); //@line 794 "ExpressionResolver.cpp"
 var $cmp124=($105|0)==2; //@line 794 "ExpressionResolver.cpp"
 if($cmp124){label=78;break;}else{label=82;break;} //@line 794 "ExpressionResolver.cpp"
 case 78: 
 var $106=$result; //@line 796 "ExpressionResolver.cpp"
 var $cmp126=($106|0)!=0; //@line 796 "ExpressionResolver.cpp"
 if($cmp126){label=79;break;}else{label=80;break;} //@line 796 "ExpressionResolver.cpp"
 case 79: 
 HEAPF32[((tempDoublePtr)>>2)]=1;HEAP8[($fResult)]=HEAP8[(tempDoublePtr)];HEAP8[((($fResult)+(1))|0)]=HEAP8[(((tempDoublePtr)+(1))|0)];HEAP8[((($fResult)+(2))|0)]=HEAP8[(((tempDoublePtr)+(2))|0)];HEAP8[((($fResult)+(3))|0)]=HEAP8[(((tempDoublePtr)+(3))|0)]; //@line 798 "ExpressionResolver.cpp"
 label=81;break; //@line 799 "ExpressionResolver.cpp"
 case 80: 
 HEAPF32[((tempDoublePtr)>>2)]=0;HEAP8[($fResult)]=HEAP8[(tempDoublePtr)];HEAP8[((($fResult)+(1))|0)]=HEAP8[(((tempDoublePtr)+(1))|0)];HEAP8[((($fResult)+(2))|0)]=HEAP8[(((tempDoublePtr)+(2))|0)];HEAP8[((($fResult)+(3))|0)]=HEAP8[(((tempDoublePtr)+(3))|0)]; //@line 802 "ExpressionResolver.cpp"
 label=81;break;
 case 81: 
 label=82;break; //@line 804 "ExpressionResolver.cpp"
 case 82: 
 label=134;break; //@line 805 "ExpressionResolver.cpp"
 case 83: 
 $result=1; //@line 808 "ExpressionResolver.cpp"
 var $107=((((HEAPU8[($value1)])|(HEAPU8[((($value1)+(1))|0)]<<8)|(HEAPU8[((($value1)+(2))|0)]<<16)|(HEAPU8[((($value1)+(3))|0)]<<24))|0)); //@line 809 "ExpressionResolver.cpp"
 var $and132=$107&255; //@line 809 "ExpressionResolver.cpp"
 var $108=$result; //@line 809 "ExpressionResolver.cpp"
 var $shl133=$108<<$and132; //@line 809 "ExpressionResolver.cpp"
 $result=$shl133; //@line 809 "ExpressionResolver.cpp"
 label=134;break; //@line 810 "ExpressionResolver.cpp"
 case 84: 
 var $109=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 813 "ExpressionResolver.cpp"
 var $intMode135=(($109+16979888)|0); //@line 813 "ExpressionResolver.cpp"
 var $110=((((HEAPU8[($intMode135)])|(HEAPU8[((($intMode135)+(1))|0)]<<8)|(HEAPU8[((($intMode135)+(2))|0)]<<16)|(HEAPU8[((($intMode135)+(3))|0)]<<24))|0)); //@line 813 "ExpressionResolver.cpp"
 var $cmp136=($110|0)==2; //@line 813 "ExpressionResolver.cpp"
 if($cmp136){label=85;break;}else{label=86;break;} //@line 813 "ExpressionResolver.cpp"
 case 85: 
 var $111=$fValue1; //@line 816 "ExpressionResolver.cpp"
 var $112=$fValue2; //@line 816 "ExpressionResolver.cpp"
 var $mul=($111)*($112); //@line 816 "ExpressionResolver.cpp"
 HEAPF32[((tempDoublePtr)>>2)]=$mul;HEAP8[($fResult)]=HEAP8[(tempDoublePtr)];HEAP8[((($fResult)+(1))|0)]=HEAP8[(((tempDoublePtr)+(1))|0)];HEAP8[((($fResult)+(2))|0)]=HEAP8[(((tempDoublePtr)+(2))|0)];HEAP8[((($fResult)+(3))|0)]=HEAP8[(((tempDoublePtr)+(3))|0)]; //@line 816 "ExpressionResolver.cpp"
 label=87;break; //@line 817 "ExpressionResolver.cpp"
 case 86: 
 var $113=((((HEAPU8[($value1)])|(HEAPU8[((($value1)+(1))|0)]<<8)|(HEAPU8[((($value1)+(2))|0)]<<16)|(HEAPU8[((($value1)+(3))|0)]<<24))|0)); //@line 820 "ExpressionResolver.cpp"
 var $114=((((HEAPU8[($value2)])|(HEAPU8[((($value2)+(1))|0)]<<8)|(HEAPU8[((($value2)+(2))|0)]<<16)|(HEAPU8[((($value2)+(3))|0)]<<24))|0)); //@line 820 "ExpressionResolver.cpp"
 var $mul139=(Math_imul($113,$114)|0); //@line 820 "ExpressionResolver.cpp"
 $result=$mul139; //@line 820 "ExpressionResolver.cpp"
 label=87;break;
 case 87: 
 label=134;break; //@line 822 "ExpressionResolver.cpp"
 case 88: 
 var $115=((((HEAPU8[($value1)])|(HEAPU8[((($value1)+(1))|0)]<<8)|(HEAPU8[((($value1)+(2))|0)]<<16)|(HEAPU8[((($value1)+(3))|0)]<<24))|0)); //@line 828 "ExpressionResolver.cpp"
 var $shr142=$115>>16; //@line 828 "ExpressionResolver.cpp"
 var $and143=$shr142&65535; //@line 828 "ExpressionResolver.cpp"
 $a=$and143; //@line 828 "ExpressionResolver.cpp"
 var $116=((((HEAPU8[($value1)])|(HEAPU8[((($value1)+(1))|0)]<<8)|(HEAPU8[((($value1)+(2))|0)]<<16)|(HEAPU8[((($value1)+(3))|0)]<<24))|0)); //@line 829 "ExpressionResolver.cpp"
 var $and144=$116&65535; //@line 829 "ExpressionResolver.cpp"
 $b=$and144; //@line 829 "ExpressionResolver.cpp"
 var $117=((((HEAPU8[($value2)])|(HEAPU8[((($value2)+(1))|0)]<<8)|(HEAPU8[((($value2)+(2))|0)]<<16)|(HEAPU8[((($value2)+(3))|0)]<<24))|0)); //@line 830 "ExpressionResolver.cpp"
 var $shr145=$117>>16; //@line 830 "ExpressionResolver.cpp"
 var $and146=$shr145&65535; //@line 830 "ExpressionResolver.cpp"
 $c=$and146; //@line 830 "ExpressionResolver.cpp"
 var $118=((((HEAPU8[($value2)])|(HEAPU8[((($value2)+(1))|0)]<<8)|(HEAPU8[((($value2)+(2))|0)]<<16)|(HEAPU8[((($value2)+(3))|0)]<<24))|0)); //@line 831 "ExpressionResolver.cpp"
 var $and147=$118&65535; //@line 831 "ExpressionResolver.cpp"
 $d=$and147; //@line 831 "ExpressionResolver.cpp"
 var $119=$a; //@line 832 "ExpressionResolver.cpp"
 var $120=$d; //@line 832 "ExpressionResolver.cpp"
 var $mul148=(Math_imul($119,$120)|0); //@line 832 "ExpressionResolver.cpp"
 var $121=$c; //@line 832 "ExpressionResolver.cpp"
 var $122=$b; //@line 832 "ExpressionResolver.cpp"
 var $mul149=(Math_imul($121,$122)|0); //@line 832 "ExpressionResolver.cpp"
 var $add150=((($mul148)+($mul149))|0); //@line 832 "ExpressionResolver.cpp"
 $x=$add150; //@line 832 "ExpressionResolver.cpp"
 var $123=$b; //@line 833 "ExpressionResolver.cpp"
 var $124=$d; //@line 833 "ExpressionResolver.cpp"
 var $mul151=(Math_imul($123,$124)|0); //@line 833 "ExpressionResolver.cpp"
 var $shr152=$mul151>>16; //@line 833 "ExpressionResolver.cpp"
 var $and153=$shr152&65535; //@line 833 "ExpressionResolver.cpp"
 var $125=$x; //@line 833 "ExpressionResolver.cpp"
 var $add154=((($and153)+($125))|0); //@line 833 "ExpressionResolver.cpp"
 $y=$add154; //@line 833 "ExpressionResolver.cpp"
 var $126=$y; //@line 834 "ExpressionResolver.cpp"
 var $shr155=$126>>16; //@line 834 "ExpressionResolver.cpp"
 var $and156=$shr155&65535; //@line 834 "ExpressionResolver.cpp"
 $result=$and156; //@line 834 "ExpressionResolver.cpp"
 var $127=$a; //@line 835 "ExpressionResolver.cpp"
 var $128=$c; //@line 835 "ExpressionResolver.cpp"
 var $mul157=(Math_imul($127,$128)|0); //@line 835 "ExpressionResolver.cpp"
 var $129=$result; //@line 835 "ExpressionResolver.cpp"
 var $add158=((($129)+($mul157))|0); //@line 835 "ExpressionResolver.cpp"
 $result=$add158; //@line 835 "ExpressionResolver.cpp"
 label=134;break; //@line 837 "ExpressionResolver.cpp"
 case 89: 
 var $130=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 840 "ExpressionResolver.cpp"
 var $intMode160=(($130+16979888)|0); //@line 840 "ExpressionResolver.cpp"
 var $131=((((HEAPU8[($intMode160)])|(HEAPU8[((($intMode160)+(1))|0)]<<8)|(HEAPU8[((($intMode160)+(2))|0)]<<16)|(HEAPU8[((($intMode160)+(3))|0)]<<24))|0)); //@line 840 "ExpressionResolver.cpp"
 var $cmp161=($131|0)==2; //@line 840 "ExpressionResolver.cpp"
 if($cmp161){label=90;break;}else{label=91;break;} //@line 840 "ExpressionResolver.cpp"
 case 90: 
 var $132=$fValue1; //@line 843 "ExpressionResolver.cpp"
 var $133=$fValue2; //@line 843 "ExpressionResolver.cpp"
 var $div=($132)/($133); //@line 843 "ExpressionResolver.cpp"
 HEAPF32[((tempDoublePtr)>>2)]=$div;HEAP8[($fResult)]=HEAP8[(tempDoublePtr)];HEAP8[((($fResult)+(1))|0)]=HEAP8[(((tempDoublePtr)+(1))|0)];HEAP8[((($fResult)+(2))|0)]=HEAP8[(((tempDoublePtr)+(2))|0)];HEAP8[((($fResult)+(3))|0)]=HEAP8[(((tempDoublePtr)+(3))|0)]; //@line 843 "ExpressionResolver.cpp"
 label=92;break; //@line 844 "ExpressionResolver.cpp"
 case 91: 
 var $134=((((HEAPU8[($value1)])|(HEAPU8[((($value1)+(1))|0)]<<8)|(HEAPU8[((($value1)+(2))|0)]<<16)|(HEAPU8[((($value1)+(3))|0)]<<24))|0)); //@line 847 "ExpressionResolver.cpp"
 var $135=((((HEAPU8[($value2)])|(HEAPU8[((($value2)+(1))|0)]<<8)|(HEAPU8[((($value2)+(2))|0)]<<16)|(HEAPU8[((($value2)+(3))|0)]<<24))|0)); //@line 847 "ExpressionResolver.cpp"
 var $div164=(((($134|0))/(($135|0)))&-1); //@line 847 "ExpressionResolver.cpp"
 $result=$div164; //@line 847 "ExpressionResolver.cpp"
 label=92;break;
 case 92: 
 label=134;break; //@line 849 "ExpressionResolver.cpp"
 case 93: 
 var $136=((((HEAPU8[($value1)])|(HEAPU8[((($value1)+(1))|0)]<<8)|(HEAPU8[((($value1)+(2))|0)]<<16)|(HEAPU8[((($value1)+(3))|0)]<<24))|0)); //@line 852 "ExpressionResolver.cpp"
 var $137=((((HEAPU8[($value2)])|(HEAPU8[((($value2)+(1))|0)]<<8)|(HEAPU8[((($value2)+(2))|0)]<<16)|(HEAPU8[((($value2)+(3))|0)]<<24))|0)); //@line 852 "ExpressionResolver.cpp"
 var $rem=(((($136|0))%(($137|0)))&-1); //@line 852 "ExpressionResolver.cpp"
 $result=$rem; //@line 852 "ExpressionResolver.cpp"
 label=134;break; //@line 853 "ExpressionResolver.cpp"
 case 94: 
 var $138=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 856 "ExpressionResolver.cpp"
 var $intMode168=(($138+16979888)|0); //@line 856 "ExpressionResolver.cpp"
 var $139=((((HEAPU8[($intMode168)])|(HEAPU8[((($intMode168)+(1))|0)]<<8)|(HEAPU8[((($intMode168)+(2))|0)]<<16)|(HEAPU8[((($intMode168)+(3))|0)]<<24))|0)); //@line 856 "ExpressionResolver.cpp"
 var $cmp169=($139|0)==2; //@line 856 "ExpressionResolver.cpp"
 if($cmp169){label=95;break;}else{label=98;break;} //@line 856 "ExpressionResolver.cpp"
 case 95: 
 var $140=$fValue1; //@line 859 "ExpressionResolver.cpp"
 var $cmp171=$140<0; //@line 859 "ExpressionResolver.cpp"
 if($cmp171){label=96;break;}else{label=97;break;} //@line 859 "ExpressionResolver.cpp"
 case 96: 
 var $141=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 861 "ExpressionResolver.cpp"
 var $142=$141; //@line 861 "ExpressionResolver.cpp"
 var $error=(($142)|0); //@line 861 "ExpressionResolver.cpp"
 HEAP8[($error)]=1; //@line 861 "ExpressionResolver.cpp"
 var $143=((((HEAPU8[(28)])|(HEAPU8[(29)]<<8)|(HEAPU8[(30)]<<16)|(HEAPU8[(31)]<<24))|0)); //@line 862 "ExpressionResolver.cpp"
 var $144=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 862 "ExpressionResolver.cpp"
 var $145=$144; //@line 862 "ExpressionResolver.cpp"
 var $error_msg=(($145+4)|0); //@line 862 "ExpressionResolver.cpp"
 tempBigInt=$143;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 862 "ExpressionResolver.cpp"
 $retval=0; //@line 863 "ExpressionResolver.cpp"
 label=137;break; //@line 863 "ExpressionResolver.cpp"
 case 97: 
 var $146=$fValue1; //@line 865 "ExpressionResolver.cpp"
 var $conv174=$146; //@line 865 "ExpressionResolver.cpp"
 var $call175=Math_sqrt($conv174); //@line 865 "ExpressionResolver.cpp"
 var $conv176=$call175; //@line 865 "ExpressionResolver.cpp"
 HEAPF32[((tempDoublePtr)>>2)]=$conv176;HEAP8[($fResult)]=HEAP8[(tempDoublePtr)];HEAP8[((($fResult)+(1))|0)]=HEAP8[(((tempDoublePtr)+(1))|0)];HEAP8[((($fResult)+(2))|0)]=HEAP8[(((tempDoublePtr)+(2))|0)];HEAP8[((($fResult)+(3))|0)]=HEAP8[(((tempDoublePtr)+(3))|0)]; //@line 865 "ExpressionResolver.cpp"
 label=103;break; //@line 866 "ExpressionResolver.cpp"
 case 98: 
 $result=0; //@line 869 "ExpressionResolver.cpp"
 label=99;break; //@line 869 "ExpressionResolver.cpp"
 case 99: 
 var $147=((((HEAPU8[($value1)])|(HEAPU8[((($value1)+(1))|0)]<<8)|(HEAPU8[((($value1)+(2))|0)]<<16)|(HEAPU8[((($value1)+(3))|0)]<<24))|0)); //@line 869 "ExpressionResolver.cpp"
 var $148=$result; //@line 869 "ExpressionResolver.cpp"
 var $mul179=($148<<1); //@line 869 "ExpressionResolver.cpp"
 var $add180=((($mul179)+(1))|0); //@line 869 "ExpressionResolver.cpp"
 var $cmp181=($147|0)>=($add180|0); //@line 869 "ExpressionResolver.cpp"
 if($cmp181){label=100;break;}else{label=102;break;} //@line 869 "ExpressionResolver.cpp"
 case 100: 
 label=101;break; //@line 869 "ExpressionResolver.cpp"
 case 101: 
 var $149=$result; //@line 869 "ExpressionResolver.cpp"
 var $inc184=((($149)+(1))|0); //@line 869 "ExpressionResolver.cpp"
 $result=$inc184; //@line 869 "ExpressionResolver.cpp"
 var $mul185=($149<<1); //@line 869 "ExpressionResolver.cpp"
 var $add186=((($mul185)+(1))|0); //@line 869 "ExpressionResolver.cpp"
 var $150=((((HEAPU8[($value1)])|(HEAPU8[((($value1)+(1))|0)]<<8)|(HEAPU8[((($value1)+(2))|0)]<<16)|(HEAPU8[((($value1)+(3))|0)]<<24))|0)); //@line 869 "ExpressionResolver.cpp"
 var $sub187=((($150)-($add186))|0); //@line 869 "ExpressionResolver.cpp"
 tempBigInt=$sub187;HEAP8[($value1)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value1)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value1)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value1)+(3))|0)]=tempBigInt&0xff; //@line 869 "ExpressionResolver.cpp"
 label=99;break; //@line 869 "ExpressionResolver.cpp"
 case 102: 
 label=103;break;
 case 103: 
 label=134;break; //@line 871 "ExpressionResolver.cpp"
 case 104: 
 var $151=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 879 "ExpressionResolver.cpp"
 var $intMode191=(($151+16979888)|0); //@line 879 "ExpressionResolver.cpp"
 var $152=((((HEAPU8[($intMode191)])|(HEAPU8[((($intMode191)+(1))|0)]<<8)|(HEAPU8[((($intMode191)+(2))|0)]<<16)|(HEAPU8[((($intMode191)+(3))|0)]<<24))|0)); //@line 879 "ExpressionResolver.cpp"
 var $cmp192=($152|0)==2; //@line 879 "ExpressionResolver.cpp"
 if($cmp192){label=105;break;}else{label=115;break;} //@line 879 "ExpressionResolver.cpp"
 case 105: 
 var $153=$fValue1; //@line 882 "ExpressionResolver.cpp"
 var $154=$fValue2; //@line 882 "ExpressionResolver.cpp"
 var $cmp194=$153<$154; //@line 882 "ExpressionResolver.cpp"
 if($cmp194){label=106;break;}else{label=107;break;} //@line 882 "ExpressionResolver.cpp"
 case 106: 
 $result=1; //@line 884 "ExpressionResolver.cpp"
 label=111;break; //@line 885 "ExpressionResolver.cpp"
 case 107: 
 var $155=$fValue1; //@line 886 "ExpressionResolver.cpp"
 var $156=$fValue2; //@line 886 "ExpressionResolver.cpp"
 var $cmp197=$155>$156; //@line 886 "ExpressionResolver.cpp"
 if($cmp197){label=108;break;}else{label=109;break;} //@line 886 "ExpressionResolver.cpp"
 case 108: 
 $result=2; //@line 888 "ExpressionResolver.cpp"
 label=110;break; //@line 889 "ExpressionResolver.cpp"
 case 109: 
 $result=4; //@line 892 "ExpressionResolver.cpp"
 label=110;break;
 case 110: 
 label=111;break;
 case 111: 
 var $157=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 894 "ExpressionResolver.cpp"
 var $currentOp202=(($157+16979972)|0); //@line 894 "ExpressionResolver.cpp"
 var $158=((((HEAPU8[($currentOp202)])|(HEAPU8[((($currentOp202)+(1))|0)]<<8)|(HEAPU8[((($currentOp202)+(2))|0)]<<16)|(HEAPU8[((($currentOp202)+(3))|0)]<<24))|0)); //@line 894 "ExpressionResolver.cpp"
 var $sub203=((($158)-(1))|0); //@line 894 "ExpressionResolver.cpp"
 var $159=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 894 "ExpressionResolver.cpp"
 var $savedOp204=(($159+16979976)|0); //@line 894 "ExpressionResolver.cpp"
 var $arrayidx205=(($savedOp204+($sub203<<2))|0); //@line 894 "ExpressionResolver.cpp"
 var $160=((((HEAPU8[($arrayidx205)])|(HEAPU8[((($arrayidx205)+(1))|0)]<<8)|(HEAPU8[((($arrayidx205)+(2))|0)]<<16)|(HEAPU8[((($arrayidx205)+(3))|0)]<<24))|0)); //@line 894 "ExpressionResolver.cpp"
 var $161=$result; //@line 894 "ExpressionResolver.cpp"
 var $and206=$161&$160; //@line 894 "ExpressionResolver.cpp"
 $result=$and206; //@line 894 "ExpressionResolver.cpp"
 var $162=$result; //@line 895 "ExpressionResolver.cpp"
 var $cmp207=($162|0)!=0; //@line 895 "ExpressionResolver.cpp"
 if($cmp207){label=112;break;}else{label=113;break;} //@line 895 "ExpressionResolver.cpp"
 case 112: 
 HEAPF32[((tempDoublePtr)>>2)]=1;HEAP8[($fResult)]=HEAP8[(tempDoublePtr)];HEAP8[((($fResult)+(1))|0)]=HEAP8[(((tempDoublePtr)+(1))|0)];HEAP8[((($fResult)+(2))|0)]=HEAP8[(((tempDoublePtr)+(2))|0)];HEAP8[((($fResult)+(3))|0)]=HEAP8[(((tempDoublePtr)+(3))|0)]; //@line 897 "ExpressionResolver.cpp"
 label=114;break; //@line 898 "ExpressionResolver.cpp"
 case 113: 
 HEAPF32[((tempDoublePtr)>>2)]=0;HEAP8[($fResult)]=HEAP8[(tempDoublePtr)];HEAP8[((($fResult)+(1))|0)]=HEAP8[(((tempDoublePtr)+(1))|0)];HEAP8[((($fResult)+(2))|0)]=HEAP8[(((tempDoublePtr)+(2))|0)];HEAP8[((($fResult)+(3))|0)]=HEAP8[(((tempDoublePtr)+(3))|0)]; //@line 901 "ExpressionResolver.cpp"
 label=114;break;
 case 114: 
 label=124;break; //@line 903 "ExpressionResolver.cpp"
 case 115: 
 var $163=((((HEAPU8[($value1)])|(HEAPU8[((($value1)+(1))|0)]<<8)|(HEAPU8[((($value1)+(2))|0)]<<16)|(HEAPU8[((($value1)+(3))|0)]<<24))|0)); //@line 906 "ExpressionResolver.cpp"
 var $164=((((HEAPU8[($value2)])|(HEAPU8[((($value2)+(1))|0)]<<8)|(HEAPU8[((($value2)+(2))|0)]<<16)|(HEAPU8[((($value2)+(3))|0)]<<24))|0)); //@line 906 "ExpressionResolver.cpp"
 var $cmp212=($163|0)<($164|0); //@line 906 "ExpressionResolver.cpp"
 if($cmp212){label=116;break;}else{label=117;break;} //@line 906 "ExpressionResolver.cpp"
 case 116: 
 $result=1; //@line 908 "ExpressionResolver.cpp"
 label=121;break; //@line 909 "ExpressionResolver.cpp"
 case 117: 
 var $165=((((HEAPU8[($value1)])|(HEAPU8[((($value1)+(1))|0)]<<8)|(HEAPU8[((($value1)+(2))|0)]<<16)|(HEAPU8[((($value1)+(3))|0)]<<24))|0)); //@line 910 "ExpressionResolver.cpp"
 var $166=((((HEAPU8[($value2)])|(HEAPU8[((($value2)+(1))|0)]<<8)|(HEAPU8[((($value2)+(2))|0)]<<16)|(HEAPU8[((($value2)+(3))|0)]<<24))|0)); //@line 910 "ExpressionResolver.cpp"
 var $cmp215=($165|0)>($166|0); //@line 910 "ExpressionResolver.cpp"
 if($cmp215){label=118;break;}else{label=119;break;} //@line 910 "ExpressionResolver.cpp"
 case 118: 
 $result=2; //@line 912 "ExpressionResolver.cpp"
 label=120;break; //@line 913 "ExpressionResolver.cpp"
 case 119: 
 $result=4; //@line 916 "ExpressionResolver.cpp"
 label=120;break;
 case 120: 
 label=121;break;
 case 121: 
 var $167=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 918 "ExpressionResolver.cpp"
 var $currentOp220=(($167+16979972)|0); //@line 918 "ExpressionResolver.cpp"
 var $168=((((HEAPU8[($currentOp220)])|(HEAPU8[((($currentOp220)+(1))|0)]<<8)|(HEAPU8[((($currentOp220)+(2))|0)]<<16)|(HEAPU8[((($currentOp220)+(3))|0)]<<24))|0)); //@line 918 "ExpressionResolver.cpp"
 var $sub221=((($168)-(1))|0); //@line 918 "ExpressionResolver.cpp"
 var $169=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 918 "ExpressionResolver.cpp"
 var $savedOp222=(($169+16979976)|0); //@line 918 "ExpressionResolver.cpp"
 var $arrayidx223=(($savedOp222+($sub221<<2))|0); //@line 918 "ExpressionResolver.cpp"
 var $170=((((HEAPU8[($arrayidx223)])|(HEAPU8[((($arrayidx223)+(1))|0)]<<8)|(HEAPU8[((($arrayidx223)+(2))|0)]<<16)|(HEAPU8[((($arrayidx223)+(3))|0)]<<24))|0)); //@line 918 "ExpressionResolver.cpp"
 var $171=$result; //@line 918 "ExpressionResolver.cpp"
 var $and224=$171&$170; //@line 918 "ExpressionResolver.cpp"
 $result=$and224; //@line 918 "ExpressionResolver.cpp"
 var $172=$result; //@line 919 "ExpressionResolver.cpp"
 var $cmp225=($172|0)!=0; //@line 919 "ExpressionResolver.cpp"
 if($cmp225){label=122;break;}else{label=123;break;} //@line 919 "ExpressionResolver.cpp"
 case 122: 
 $result=-1; //@line 921 "ExpressionResolver.cpp"
 label=123;break; //@line 922 "ExpressionResolver.cpp"
 case 123: 
 label=124;break;
 case 124: 
 label=134;break; //@line 924 "ExpressionResolver.cpp"
 case 125: 
 var $173=((((HEAPU8[($value1)])|(HEAPU8[((($value1)+(1))|0)]<<8)|(HEAPU8[((($value1)+(2))|0)]<<16)|(HEAPU8[((($value1)+(3))|0)]<<24))|0)); //@line 927 "ExpressionResolver.cpp"
 var $tobool230=($173|0)!=0; //@line 927 "ExpressionResolver.cpp"
 var $lnot=$tobool230^1; //@line 927 "ExpressionResolver.cpp"
 var $conv231=($lnot&1); //@line 927 "ExpressionResolver.cpp"
 $result=$conv231; //@line 927 "ExpressionResolver.cpp"
 var $174=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 928 "ExpressionResolver.cpp"
 var $intMode232=(($174+16979888)|0); //@line 928 "ExpressionResolver.cpp"
 var $175=((((HEAPU8[($intMode232)])|(HEAPU8[((($intMode232)+(1))|0)]<<8)|(HEAPU8[((($intMode232)+(2))|0)]<<16)|(HEAPU8[((($intMode232)+(3))|0)]<<24))|0)); //@line 928 "ExpressionResolver.cpp"
 var $cmp233=($175|0)==2; //@line 928 "ExpressionResolver.cpp"
 if($cmp233){label=126;break;}else{label=130;break;} //@line 928 "ExpressionResolver.cpp"
 case 126: 
 var $176=$result; //@line 930 "ExpressionResolver.cpp"
 var $cmp235=($176|0)!=0; //@line 930 "ExpressionResolver.cpp"
 if($cmp235){label=127;break;}else{label=128;break;} //@line 930 "ExpressionResolver.cpp"
 case 127: 
 HEAPF32[((tempDoublePtr)>>2)]=1;HEAP8[($fResult)]=HEAP8[(tempDoublePtr)];HEAP8[((($fResult)+(1))|0)]=HEAP8[(((tempDoublePtr)+(1))|0)];HEAP8[((($fResult)+(2))|0)]=HEAP8[(((tempDoublePtr)+(2))|0)];HEAP8[((($fResult)+(3))|0)]=HEAP8[(((tempDoublePtr)+(3))|0)]; //@line 932 "ExpressionResolver.cpp"
 label=129;break; //@line 933 "ExpressionResolver.cpp"
 case 128: 
 HEAPF32[((tempDoublePtr)>>2)]=0;HEAP8[($fResult)]=HEAP8[(tempDoublePtr)];HEAP8[((($fResult)+(1))|0)]=HEAP8[(((tempDoublePtr)+(1))|0)];HEAP8[((($fResult)+(2))|0)]=HEAP8[(((tempDoublePtr)+(2))|0)];HEAP8[((($fResult)+(3))|0)]=HEAP8[(((tempDoublePtr)+(3))|0)]; //@line 936 "ExpressionResolver.cpp"
 label=129;break;
 case 129: 
 label=133;break; //@line 938 "ExpressionResolver.cpp"
 case 130: 
 var $177=$result; //@line 941 "ExpressionResolver.cpp"
 var $cmp240=($177|0)!=0; //@line 941 "ExpressionResolver.cpp"
 if($cmp240){label=131;break;}else{label=132;break;} //@line 941 "ExpressionResolver.cpp"
 case 131: 
 $result=-1; //@line 943 "ExpressionResolver.cpp"
 label=132;break; //@line 944 "ExpressionResolver.cpp"
 case 132: 
 label=133;break;
 case 133: 
 label=134;break; //@line 946 "ExpressionResolver.cpp"
 case 134: 
 var $178=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 949 "ExpressionResolver.cpp"
 var $intMode244=(($178+16979888)|0); //@line 949 "ExpressionResolver.cpp"
 var $179=((((HEAPU8[($intMode244)])|(HEAPU8[((($intMode244)+(1))|0)]<<8)|(HEAPU8[((($intMode244)+(2))|0)]<<16)|(HEAPU8[((($intMode244)+(3))|0)]<<24))|0)); //@line 949 "ExpressionResolver.cpp"
 var $cmp245=($179|0)==2; //@line 949 "ExpressionResolver.cpp"
 if($cmp245){label=135;break;}else{label=136;break;} //@line 949 "ExpressionResolver.cpp"
 case 135: 
 var $180=$fResult; //@line 951 "ExpressionResolver.cpp"
 var $181=((((HEAPU8[($180)])|(HEAPU8[((($180)+(1))|0)]<<8)|(HEAPU8[((($180)+(2))|0)]<<16)|(HEAPU8[((($180)+(3))|0)]<<24))|0)); //@line 951 "ExpressionResolver.cpp"
 $result=$181; //@line 951 "ExpressionResolver.cpp"
 label=136;break; //@line 952 "ExpressionResolver.cpp"
 case 136: 
 var $182=$result; //@line 954 "ExpressionResolver.cpp"
 var $183=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 954 "ExpressionResolver.cpp"
 var $mathCurrent248=(($183+16979900)|0); //@line 954 "ExpressionResolver.cpp"
 var $184=((((HEAPU8[($mathCurrent248)])|(HEAPU8[((($mathCurrent248)+(1))|0)]<<8)|(HEAPU8[((($mathCurrent248)+(2))|0)]<<16)|(HEAPU8[((($mathCurrent248)+(3))|0)]<<24))|0)); //@line 954 "ExpressionResolver.cpp"
 var $sub249=((($184)-(1))|0); //@line 954 "ExpressionResolver.cpp"
 var $185=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 954 "ExpressionResolver.cpp"
 var $mathStack250=(($185+16979904)|0); //@line 954 "ExpressionResolver.cpp"
 var $arrayidx251=(($mathStack250+($sub249<<2))|0); //@line 954 "ExpressionResolver.cpp"
 tempBigInt=$182;HEAP8[($arrayidx251)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx251)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx251)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx251)+(3))|0)]=tempBigInt&0xff; //@line 954 "ExpressionResolver.cpp"
 $retval=1; //@line 955 "ExpressionResolver.cpp"
 label=137;break; //@line 955 "ExpressionResolver.cpp"
 case 137: 
 var $186=$retval; //@line 956 "ExpressionResolver.cpp"
 STACKTOP=sp;return $186; //@line 956 "ExpressionResolver.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z14CheckUndefinedRb($bUndefined){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+8)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $bUndefined_addr;
 var $save_start;
 var $save_finish;
 var $length=sp;
 $bUndefined_addr=$bUndefined;
 var $0=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 230 "ExpressionResolver.cpp"
 var $call=__ZN11Elementizer7GetTypeEv($0); //@line 230 "ExpressionResolver.cpp"
 var $cmp=($call|0)==0; //@line 230 "ExpressionResolver.cpp"
 if($cmp){label=2;break;}else{label=11;break;} //@line 230 "ExpressionResolver.cpp"
 case 2: 
 var $1=$bUndefined_addr; //@line 232 "ExpressionResolver.cpp"
 HEAP8[($1)]=1; //@line 232 "ExpressionResolver.cpp"
 var $2=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 232 "ExpressionResolver.cpp"
 var $bUndefined1=(($2+16979897)|0); //@line 232 "ExpressionResolver.cpp"
 HEAP8[($bUndefined1)]=1; //@line 232 "ExpressionResolver.cpp"
 var $3=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 234 "ExpressionResolver.cpp"
 var $4=$3; //@line 234 "ExpressionResolver.cpp"
 var $source_start=(($4+16)|0); //@line 234 "ExpressionResolver.cpp"
 var $5=((((HEAPU8[($source_start)])|(HEAPU8[((($source_start)+(1))|0)]<<8)|(HEAPU8[((($source_start)+(2))|0)]<<16)|(HEAPU8[((($source_start)+(3))|0)]<<24))|0)); //@line 234 "ExpressionResolver.cpp"
 $save_start=$5; //@line 234 "ExpressionResolver.cpp"
 var $6=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 235 "ExpressionResolver.cpp"
 var $7=$6; //@line 235 "ExpressionResolver.cpp"
 var $source_finish=(($7+20)|0); //@line 235 "ExpressionResolver.cpp"
 var $8=((((HEAPU8[($source_finish)])|(HEAPU8[((($source_finish)+(1))|0)]<<8)|(HEAPU8[((($source_finish)+(2))|0)]<<16)|(HEAPU8[((($source_finish)+(3))|0)]<<24))|0)); //@line 235 "ExpressionResolver.cpp"
 $save_finish=$8; //@line 235 "ExpressionResolver.cpp"
 var $9=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 236 "ExpressionResolver.cpp"
 var $call2=__ZN11Elementizer12CheckElementEi($9,7); //@line 236 "ExpressionResolver.cpp"
 if($call2){label=3;break;}else{label=8;break;} //@line 236 "ExpressionResolver.cpp"
 case 3: 
 tempBigInt=0;HEAP8[($length)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($length)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($length)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($length)+(3))|0)]=tempBigInt&0xff; //@line 238 "ExpressionResolver.cpp"
 var $call4=__Z9GetSymbolPi($length); //@line 239 "ExpressionResolver.cpp"
 if($call4){label=5;break;}else{label=4;break;} //@line 239 "ExpressionResolver.cpp"
 case 4: 
 $retval=0; //@line 241 "ExpressionResolver.cpp"
 label=13;break; //@line 241 "ExpressionResolver.cpp"
 case 5: 
 var $10=((((HEAPU8[($length)])|(HEAPU8[((($length)+(1))|0)]<<8)|(HEAPU8[((($length)+(2))|0)]<<16)|(HEAPU8[((($length)+(3))|0)]<<24))|0)); //@line 243 "ExpressionResolver.cpp"
 var $cmp6=($10|0)==0; //@line 243 "ExpressionResolver.cpp"
 if($cmp6){label=6;break;}else{label=7;break;} //@line 243 "ExpressionResolver.cpp"
 case 6: 
 var $11=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 245 "ExpressionResolver.cpp"
 var $12=$11; //@line 245 "ExpressionResolver.cpp"
 var $error=(($12)|0); //@line 245 "ExpressionResolver.cpp"
 HEAP8[($error)]=1; //@line 245 "ExpressionResolver.cpp"
 var $13=((((HEAPU8[(76)])|(HEAPU8[(77)]<<8)|(HEAPU8[(78)]<<16)|(HEAPU8[(79)]<<24))|0)); //@line 246 "ExpressionResolver.cpp"
 var $14=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 246 "ExpressionResolver.cpp"
 var $15=$14; //@line 246 "ExpressionResolver.cpp"
 var $error_msg=(($15+4)|0); //@line 246 "ExpressionResolver.cpp"
 tempBigInt=$13;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 246 "ExpressionResolver.cpp"
 $retval=0; //@line 247 "ExpressionResolver.cpp"
 label=13;break; //@line 247 "ExpressionResolver.cpp"
 case 7: 
 label=8;break; //@line 249 "ExpressionResolver.cpp"
 case 8: 
 var $16=$save_start; //@line 250 "ExpressionResolver.cpp"
 var $17=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 250 "ExpressionResolver.cpp"
 var $18=$17; //@line 250 "ExpressionResolver.cpp"
 var $source_start10=(($18+16)|0); //@line 250 "ExpressionResolver.cpp"
 tempBigInt=$16;HEAP8[($source_start10)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_start10)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_start10)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_start10)+(3))|0)]=tempBigInt&0xff; //@line 250 "ExpressionResolver.cpp"
 var $19=$save_finish; //@line 251 "ExpressionResolver.cpp"
 var $20=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 251 "ExpressionResolver.cpp"
 var $21=$20; //@line 251 "ExpressionResolver.cpp"
 var $source_finish11=(($21+20)|0); //@line 251 "ExpressionResolver.cpp"
 tempBigInt=$19;HEAP8[($source_finish11)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_finish11)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_finish11)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_finish11)+(3))|0)]=tempBigInt&0xff; //@line 251 "ExpressionResolver.cpp"
 var $22=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 253 "ExpressionResolver.cpp"
 var $bMustResolve=(($22+16979896)|0); //@line 253 "ExpressionResolver.cpp"
 var $23=HEAP8[($bMustResolve)]; //@line 253 "ExpressionResolver.cpp"
 var $tobool=(($23)&1); //@line 253 "ExpressionResolver.cpp"
 if($tobool){label=9;break;}else{label=10;break;} //@line 253 "ExpressionResolver.cpp"
 case 9: 
 var $24=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 255 "ExpressionResolver.cpp"
 var $25=$24; //@line 255 "ExpressionResolver.cpp"
 var $error13=(($25)|0); //@line 255 "ExpressionResolver.cpp"
 HEAP8[($error13)]=1; //@line 255 "ExpressionResolver.cpp"
 var $26=((((HEAPU8[(472)])|(HEAPU8[(473)]<<8)|(HEAPU8[(474)]<<16)|(HEAPU8[(475)]<<24))|0)); //@line 256 "ExpressionResolver.cpp"
 var $27=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 256 "ExpressionResolver.cpp"
 var $28=$27; //@line 256 "ExpressionResolver.cpp"
 var $error_msg14=(($28+4)|0); //@line 256 "ExpressionResolver.cpp"
 tempBigInt=$26;HEAP8[($error_msg14)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg14)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg14)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg14)+(3))|0)]=tempBigInt&0xff; //@line 256 "ExpressionResolver.cpp"
 $retval=0; //@line 257 "ExpressionResolver.cpp"
 label=13;break; //@line 257 "ExpressionResolver.cpp"
 case 10: 
 label=12;break; //@line 259 "ExpressionResolver.cpp"
 case 11: 
 var $29=$bUndefined_addr; //@line 262 "ExpressionResolver.cpp"
 HEAP8[($29)]=0; //@line 262 "ExpressionResolver.cpp"
 label=12;break;
 case 12: 
 $retval=1; //@line 265 "ExpressionResolver.cpp"
 label=13;break; //@line 265 "ExpressionResolver.cpp"
 case 13: 
 var $30=$retval; //@line 266 "ExpressionResolver.cpp"
 STACKTOP=sp;return $30; //@line 266 "ExpressionResolver.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z8CheckDatv(){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 270 "ExpressionResolver.cpp"
 var $bOperandMode=(($0+16979898)|0); //@line 270 "ExpressionResolver.cpp"
 var $1=HEAP8[($bOperandMode)]; //@line 270 "ExpressionResolver.cpp"
 var $tobool=(($1)&1); //@line 270 "ExpressionResolver.cpp"
 if($tobool){label=2;break;}else{label=3;break;} //@line 270 "ExpressionResolver.cpp"
 case 2: 
 var $2=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 272 "ExpressionResolver.cpp"
 __ZN11Elementizer12DatResToLongEv($2); //@line 272 "ExpressionResolver.cpp"
 label=3;break; //@line 273 "ExpressionResolver.cpp"
 case 3: 
 var $3=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 274 "ExpressionResolver.cpp"
 var $call=__ZN11Elementizer7GetTypeEv($3); //@line 274 "ExpressionResolver.cpp"
 var $cmp=($call|0)==72; //@line 274 "ExpressionResolver.cpp"
 if($cmp){label=6;break;}else{label=4;break;} //@line 274 "ExpressionResolver.cpp"
 case 4: 
 var $4=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 275 "ExpressionResolver.cpp"
 var $call1=__ZN11Elementizer7GetTypeEv($4); //@line 275 "ExpressionResolver.cpp"
 var $cmp2=($call1|0)==73; //@line 275 "ExpressionResolver.cpp"
 if($cmp2){label=6;break;}else{label=5;break;} //@line 275 "ExpressionResolver.cpp"
 case 5: 
 var $5=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 276 "ExpressionResolver.cpp"
 var $call4=__ZN11Elementizer7GetTypeEv($5); //@line 276 "ExpressionResolver.cpp"
 var $cmp5=($call4|0)==74; //@line 276 "ExpressionResolver.cpp"
 if($cmp5){label=6;break;}else{label=7;break;} //@line 276 "ExpressionResolver.cpp"
 case 6: 
 $retval=1; //@line 278 "ExpressionResolver.cpp"
 label=8;break; //@line 278 "ExpressionResolver.cpp"
 case 7: 
 $retval=0; //@line 281 "ExpressionResolver.cpp"
 label=8;break; //@line 281 "ExpressionResolver.cpp"
 case 8: 
 var $6=$retval; //@line 282 "ExpressionResolver.cpp"
 STACKTOP=sp;return $6; //@line 282 "ExpressionResolver.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z15CompileTopBlockv(){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 40 "InstructionBlockCompiler.cpp"
 var $bnest_ptr=(($0+17048732)|0); //@line 40 "InstructionBlockCompiler.cpp"
 tempBigInt=0;HEAP8[($bnest_ptr)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bnest_ptr)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bnest_ptr)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bnest_ptr)+(3))|0)]=tempBigInt&0xff; //@line 40 "InstructionBlockCompiler.cpp"
 var $1=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 41 "InstructionBlockCompiler.cpp"
 var $bstack_ptr=(($1+17048744)|0); //@line 41 "InstructionBlockCompiler.cpp"
 tempBigInt=0;HEAP8[($bstack_ptr)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bstack_ptr)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bstack_ptr)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bstack_ptr)+(3))|0)]=tempBigInt&0xff; //@line 41 "InstructionBlockCompiler.cpp"
 __Z25StringConstant_PreProcessv(); //@line 42 "InstructionBlockCompiler.cpp"
 var $call=__Z12CompileBlocki(0); //@line 44 "InstructionBlockCompiler.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 44 "InstructionBlockCompiler.cpp"
 case 2: 
 $retval=0; //@line 46 "InstructionBlockCompiler.cpp"
 label=6;break; //@line 46 "InstructionBlockCompiler.cpp"
 case 3: 
 var $call1=__Z8EnterObjh(50); //@line 50 "InstructionBlockCompiler.cpp"
 if($call1){label=5;break;}else{label=4;break;} //@line 50 "InstructionBlockCompiler.cpp"
 case 4: 
 $retval=0; //@line 52 "InstructionBlockCompiler.cpp"
 label=6;break; //@line 52 "InstructionBlockCompiler.cpp"
 case 5: 
 var $call4=__Z26StringConstant_PostProcessv(); //@line 55 "InstructionBlockCompiler.cpp"
 $retval=$call4; //@line 55 "InstructionBlockCompiler.cpp"
 label=6;break; //@line 55 "InstructionBlockCompiler.cpp"
 case 6: 
 var $2=$retval; //@line 56 "InstructionBlockCompiler.cpp"
 STACKTOP=sp;return $2; //@line 56 "InstructionBlockCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z12CompileBlocki($column){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+8)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $column_addr;
 var $bEof=sp;
 $column_addr=$column;
 HEAP8[($bEof)]=0; //@line 60 "InstructionBlockCompiler.cpp"
 label=2;break; //@line 62 "InstructionBlockCompiler.cpp"
 case 2: 
 var $0=HEAP8[($bEof)]; //@line 62 "InstructionBlockCompiler.cpp"
 var $tobool=(($0)&1); //@line 62 "InstructionBlockCompiler.cpp"
 var $lnot=$tobool^1; //@line 62 "InstructionBlockCompiler.cpp"
 if($lnot){label=3;break;}else{label=36;break;} //@line 62 "InstructionBlockCompiler.cpp"
 case 3: 
 var $1=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 64 "InstructionBlockCompiler.cpp"
 var $call=__ZN11Elementizer7GetNextERb($1,$bEof); //@line 64 "InstructionBlockCompiler.cpp"
 if($call){label=5;break;}else{label=4;break;} //@line 64 "InstructionBlockCompiler.cpp"
 case 4: 
 $retval=0; //@line 66 "InstructionBlockCompiler.cpp"
 label=37;break; //@line 66 "InstructionBlockCompiler.cpp"
 case 5: 
 var $2=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 68 "InstructionBlockCompiler.cpp"
 var $call1=__ZN11Elementizer7GetTypeEv($2); //@line 68 "InstructionBlockCompiler.cpp"
 var $cmp=($call1|0)==84; //@line 68 "InstructionBlockCompiler.cpp"
 if($cmp){label=6;break;}else{label=7;break;} //@line 68 "InstructionBlockCompiler.cpp"
 case 6: 
 label=2;break; //@line 70 "InstructionBlockCompiler.cpp"
 case 7: 
 var $3=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 72 "InstructionBlockCompiler.cpp"
 var $call4=__ZN11Elementizer7GetTypeEv($3); //@line 72 "InstructionBlockCompiler.cpp"
 var $cmp5=($call4|0)==28; //@line 72 "InstructionBlockCompiler.cpp"
 if($cmp5){label=8;break;}else{label=9;break;} //@line 72 "InstructionBlockCompiler.cpp"
 case 8: 
 label=36;break; //@line 74 "InstructionBlockCompiler.cpp"
 case 9: 
 var $4=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 77 "InstructionBlockCompiler.cpp"
 var $call8=__ZN11Elementizer9GetColumnEv($4); //@line 77 "InstructionBlockCompiler.cpp"
 tempBigInt=$call8;HEAP8[(20216)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20217)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20218)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20219)]=tempBigInt&0xff; //@line 77 "InstructionBlockCompiler.cpp"
 var $5=((((HEAPU8[(20216)])|(HEAPU8[(20217)]<<8)|(HEAPU8[(20218)]<<16)|(HEAPU8[(20219)]<<24))|0)); //@line 78 "InstructionBlockCompiler.cpp"
 var $6=$column_addr; //@line 78 "InstructionBlockCompiler.cpp"
 var $cmp9=($5|0)<=($6|0); //@line 78 "InstructionBlockCompiler.cpp"
 if($cmp9){label=10;break;}else{label=11;break;} //@line 78 "InstructionBlockCompiler.cpp"
 case 10: 
 label=36;break; //@line 80 "InstructionBlockCompiler.cpp"
 case 11: 
 var $7=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 83 "InstructionBlockCompiler.cpp"
 var $call12=__ZN11Elementizer7GetTypeEv($7); //@line 83 "InstructionBlockCompiler.cpp"
 var $cmp13=($call12|0)==33; //@line 83 "InstructionBlockCompiler.cpp"
 if($cmp13){label=12;break;}else{label=15;break;} //@line 83 "InstructionBlockCompiler.cpp"
 case 12: 
 var $8=((((HEAPU8[(20216)])|(HEAPU8[(20217)]<<8)|(HEAPU8[(20218)]<<16)|(HEAPU8[(20219)]<<24))|0)); //@line 85 "InstructionBlockCompiler.cpp"
 var $call15=__Z22CompileBlock_IfOrIfNotii($8,1); //@line 85 "InstructionBlockCompiler.cpp"
 if($call15){label=14;break;}else{label=13;break;} //@line 85 "InstructionBlockCompiler.cpp"
 case 13: 
 $retval=0; //@line 87 "InstructionBlockCompiler.cpp"
 label=37;break; //@line 87 "InstructionBlockCompiler.cpp"
 case 14: 
 label=35;break; //@line 89 "InstructionBlockCompiler.cpp"
 case 15: 
 var $9=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 90 "InstructionBlockCompiler.cpp"
 var $call18=__ZN11Elementizer7GetTypeEv($9); //@line 90 "InstructionBlockCompiler.cpp"
 var $cmp19=($call18|0)==34; //@line 90 "InstructionBlockCompiler.cpp"
 if($cmp19){label=16;break;}else{label=19;break;} //@line 90 "InstructionBlockCompiler.cpp"
 case 16: 
 var $10=((((HEAPU8[(20216)])|(HEAPU8[(20217)]<<8)|(HEAPU8[(20218)]<<16)|(HEAPU8[(20219)]<<24))|0)); //@line 92 "InstructionBlockCompiler.cpp"
 var $call21=__Z22CompileBlock_IfOrIfNotii($10,0); //@line 92 "InstructionBlockCompiler.cpp"
 if($call21){label=18;break;}else{label=17;break;} //@line 92 "InstructionBlockCompiler.cpp"
 case 17: 
 $retval=0; //@line 94 "InstructionBlockCompiler.cpp"
 label=37;break; //@line 94 "InstructionBlockCompiler.cpp"
 case 18: 
 label=34;break; //@line 96 "InstructionBlockCompiler.cpp"
 case 19: 
 var $11=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 97 "InstructionBlockCompiler.cpp"
 var $call25=__ZN11Elementizer7GetTypeEv($11); //@line 97 "InstructionBlockCompiler.cpp"
 var $cmp26=($call25|0)==38; //@line 97 "InstructionBlockCompiler.cpp"
 if($cmp26){label=20;break;}else{label=23;break;} //@line 97 "InstructionBlockCompiler.cpp"
 case 20: 
 var $12=((((HEAPU8[(20216)])|(HEAPU8[(20217)]<<8)|(HEAPU8[(20218)]<<16)|(HEAPU8[(20219)]<<24))|0)); //@line 99 "InstructionBlockCompiler.cpp"
 var $call28=__Z17CompileBlock_Casei($12); //@line 99 "InstructionBlockCompiler.cpp"
 if($call28){label=22;break;}else{label=21;break;} //@line 99 "InstructionBlockCompiler.cpp"
 case 21: 
 $retval=0; //@line 101 "InstructionBlockCompiler.cpp"
 label=37;break; //@line 101 "InstructionBlockCompiler.cpp"
 case 22: 
 label=33;break; //@line 103 "InstructionBlockCompiler.cpp"
 case 23: 
 var $13=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 104 "InstructionBlockCompiler.cpp"
 var $call32=__ZN11Elementizer7GetTypeEv($13); //@line 104 "InstructionBlockCompiler.cpp"
 var $cmp33=($call32|0)==40; //@line 104 "InstructionBlockCompiler.cpp"
 if($cmp33){label=24;break;}else{label=27;break;} //@line 104 "InstructionBlockCompiler.cpp"
 case 24: 
 var $14=((((HEAPU8[(20216)])|(HEAPU8[(20217)]<<8)|(HEAPU8[(20218)]<<16)|(HEAPU8[(20219)]<<24))|0)); //@line 106 "InstructionBlockCompiler.cpp"
 var $call35=__Z19CompileBlock_Repeati($14); //@line 106 "InstructionBlockCompiler.cpp"
 if($call35){label=26;break;}else{label=25;break;} //@line 106 "InstructionBlockCompiler.cpp"
 case 25: 
 $retval=0; //@line 108 "InstructionBlockCompiler.cpp"
 label=37;break; //@line 108 "InstructionBlockCompiler.cpp"
 case 26: 
 label=32;break; //@line 110 "InstructionBlockCompiler.cpp"
 case 27: 
 var $call39=__Z18CompileInstructionv(); //@line 113 "InstructionBlockCompiler.cpp"
 if($call39){label=29;break;}else{label=28;break;} //@line 113 "InstructionBlockCompiler.cpp"
 case 28: 
 $retval=0; //@line 115 "InstructionBlockCompiler.cpp"
 label=37;break; //@line 115 "InstructionBlockCompiler.cpp"
 case 29: 
 var $15=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 117 "InstructionBlockCompiler.cpp"
 var $call42=__ZN11Elementizer10GetElementEi($15,84); //@line 117 "InstructionBlockCompiler.cpp"
 if($call42){label=31;break;}else{label=30;break;} //@line 117 "InstructionBlockCompiler.cpp"
 case 30: 
 $retval=0; //@line 119 "InstructionBlockCompiler.cpp"
 label=37;break; //@line 119 "InstructionBlockCompiler.cpp"
 case 31: 
 label=32;break;
 case 32: 
 label=33;break;
 case 33: 
 label=34;break;
 case 34: 
 label=35;break;
 case 35: 
 label=2;break; //@line 122 "InstructionBlockCompiler.cpp"
 case 36: 
 var $16=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 123 "InstructionBlockCompiler.cpp"
 __ZN11Elementizer6BackupEv($16); //@line 123 "InstructionBlockCompiler.cpp"
 $retval=1; //@line 124 "InstructionBlockCompiler.cpp"
 label=37;break; //@line 124 "InstructionBlockCompiler.cpp"
 case 37: 
 var $17=$retval; //@line 125 "InstructionBlockCompiler.cpp"
 STACKTOP=sp;return $17; //@line 125 "InstructionBlockCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z22CompileBlock_IfOrIfNotii($column,$bIf){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $column_addr;
 var $bIf_addr;
 $column_addr=$column;
 $bIf_addr=$bIf;
 var $call=__Z13BlockNest_Newhi(33,19); //@line 259 "InstructionBlockCompiler.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 259 "InstructionBlockCompiler.cpp"
 case 2: 
 $retval=0; //@line 261 "InstructionBlockCompiler.cpp"
 label=6;break; //@line 261 "InstructionBlockCompiler.cpp"
 case 3: 
 var $0=$column_addr; //@line 263 "InstructionBlockCompiler.cpp"
 var $1=$bIf_addr; //@line 263 "InstructionBlockCompiler.cpp"
 var $tobool=($1|0)!=0; //@line 263 "InstructionBlockCompiler.cpp"
 var $cond=($tobool?10:11); //@line 263 "InstructionBlockCompiler.cpp"
 var $call1=__Z13OptimizeBlockiiPFbiiE($0,$cond,58); //@line 263 "InstructionBlockCompiler.cpp"
 if($call1){label=5;break;}else{label=4;break;} //@line 263 "InstructionBlockCompiler.cpp"
 case 4: 
 $retval=0; //@line 265 "InstructionBlockCompiler.cpp"
 label=6;break; //@line 265 "InstructionBlockCompiler.cpp"
 case 5: 
 __Z13BlockNest_Endv(); //@line 267 "InstructionBlockCompiler.cpp"
 $retval=1; //@line 268 "InstructionBlockCompiler.cpp"
 label=6;break; //@line 268 "InstructionBlockCompiler.cpp"
 case 6: 
 var $2=$retval; //@line 269 "InstructionBlockCompiler.cpp"
 STACKTOP=sp;return $2; //@line 269 "InstructionBlockCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z17CompileBlock_Casei($column){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $column_addr;
 $column_addr=$column;
 var $call=__Z13BlockNest_Newhi(38,65); //@line 479 "InstructionBlockCompiler.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 479 "InstructionBlockCompiler.cpp"
 case 2: 
 $retval=0; //@line 481 "InstructionBlockCompiler.cpp"
 label=6;break; //@line 481 "InstructionBlockCompiler.cpp"
 case 3: 
 var $0=$column_addr; //@line 483 "InstructionBlockCompiler.cpp"
 var $call1=__Z13OptimizeBlockiiPFbiiE($0,0,4); //@line 483 "InstructionBlockCompiler.cpp"
 if($call1){label=5;break;}else{label=4;break;} //@line 483 "InstructionBlockCompiler.cpp"
 case 4: 
 $retval=0; //@line 485 "InstructionBlockCompiler.cpp"
 label=6;break; //@line 485 "InstructionBlockCompiler.cpp"
 case 5: 
 __Z13BlockNest_Endv(); //@line 487 "InstructionBlockCompiler.cpp"
 $retval=1; //@line 488 "InstructionBlockCompiler.cpp"
 label=6;break; //@line 488 "InstructionBlockCompiler.cpp"
 case 6: 
 var $1=$retval; //@line 489 "InstructionBlockCompiler.cpp"
 STACKTOP=sp;return $1; //@line 489 "InstructionBlockCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z19CompileBlock_Repeati($column){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+8)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $column_addr;
 var $pCompileFunc;
 var $param;
 var $bEof=sp;
 var $savedSourcePtr;
 $column_addr=$column;
 var $call=__Z13BlockNest_Newhi(40,3); //@line 760 "InstructionBlockCompiler.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 760 "InstructionBlockCompiler.cpp"
 case 2: 
 $retval=0; //@line 762 "InstructionBlockCompiler.cpp"
 label=24;break; //@line 762 "InstructionBlockCompiler.cpp"
 case 3: 
 $pCompileFunc=0; //@line 766 "InstructionBlockCompiler.cpp"
 $param=0; //@line 767 "InstructionBlockCompiler.cpp"
 HEAP8[($bEof)]=0; //@line 768 "InstructionBlockCompiler.cpp"
 var $0=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 769 "InstructionBlockCompiler.cpp"
 var $call1=__ZN11Elementizer7GetNextERb($0,$bEof); //@line 769 "InstructionBlockCompiler.cpp"
 if($call1){label=5;break;}else{label=4;break;} //@line 769 "InstructionBlockCompiler.cpp"
 case 4: 
 $retval=0; //@line 771 "InstructionBlockCompiler.cpp"
 label=24;break; //@line 771 "InstructionBlockCompiler.cpp"
 case 5: 
 var $1=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 773 "InstructionBlockCompiler.cpp"
 var $call4=__ZN11Elementizer7GetTypeEv($1); //@line 773 "InstructionBlockCompiler.cpp"
 var $cmp=($call4|0)==84; //@line 773 "InstructionBlockCompiler.cpp"
 if($cmp){label=6;break;}else{label=7;break;} //@line 773 "InstructionBlockCompiler.cpp"
 case 6: 
 $pCompileFunc=16; //@line 776 "InstructionBlockCompiler.cpp"
 HEAP8[(18895640)]=0; //@line 777 "InstructionBlockCompiler.cpp"
 label=21;break; //@line 778 "InstructionBlockCompiler.cpp"
 case 7: 
 var $2=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 779 "InstructionBlockCompiler.cpp"
 var $call6=__ZN11Elementizer7GetTypeEv($2); //@line 779 "InstructionBlockCompiler.cpp"
 var $cmp7=($call6|0)==42; //@line 779 "InstructionBlockCompiler.cpp"
 if($cmp7){label=8;break;}else{label=9;break;} //@line 779 "InstructionBlockCompiler.cpp"
 case 8: 
 $pCompileFunc=52; //@line 782 "InstructionBlockCompiler.cpp"
 $param=10; //@line 783 "InstructionBlockCompiler.cpp"
 label=20;break; //@line 784 "InstructionBlockCompiler.cpp"
 case 9: 
 var $3=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 785 "InstructionBlockCompiler.cpp"
 var $call10=__ZN11Elementizer7GetTypeEv($3); //@line 785 "InstructionBlockCompiler.cpp"
 var $cmp11=($call10|0)==43; //@line 785 "InstructionBlockCompiler.cpp"
 if($cmp11){label=10;break;}else{label=11;break;} //@line 785 "InstructionBlockCompiler.cpp"
 case 10: 
 $pCompileFunc=52; //@line 788 "InstructionBlockCompiler.cpp"
 $param=11; //@line 789 "InstructionBlockCompiler.cpp"
 label=19;break; //@line 790 "InstructionBlockCompiler.cpp"
 case 11: 
 var $4=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 793 "InstructionBlockCompiler.cpp"
 __ZN11Elementizer6BackupEv($4); //@line 793 "InstructionBlockCompiler.cpp"
 var $5=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 794 "InstructionBlockCompiler.cpp"
 var $call14=__ZN11Elementizer12GetSourcePtrEv($5); //@line 794 "InstructionBlockCompiler.cpp"
 $savedSourcePtr=$call14; //@line 794 "InstructionBlockCompiler.cpp"
 var $call15=__Z14SkipExpressionv(); //@line 795 "InstructionBlockCompiler.cpp"
 if($call15){label=13;break;}else{label=12;break;} //@line 795 "InstructionBlockCompiler.cpp"
 case 12: 
 $retval=0; //@line 797 "InstructionBlockCompiler.cpp"
 label=24;break; //@line 797 "InstructionBlockCompiler.cpp"
 case 13: 
 var $6=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 799 "InstructionBlockCompiler.cpp"
 var $call18=__ZN11Elementizer7GetNextERb($6,$bEof); //@line 799 "InstructionBlockCompiler.cpp"
 if($call18){label=15;break;}else{label=14;break;} //@line 799 "InstructionBlockCompiler.cpp"
 case 14: 
 $retval=0; //@line 801 "InstructionBlockCompiler.cpp"
 label=24;break; //@line 801 "InstructionBlockCompiler.cpp"
 case 15: 
 var $7=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 803 "InstructionBlockCompiler.cpp"
 var $8=$savedSourcePtr; //@line 803 "InstructionBlockCompiler.cpp"
 __ZN11Elementizer12SetSourcePtrEi($7,$8); //@line 803 "InstructionBlockCompiler.cpp"
 var $9=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 804 "InstructionBlockCompiler.cpp"
 var $call21=__ZN11Elementizer7GetTypeEv($9); //@line 804 "InstructionBlockCompiler.cpp"
 var $cmp22=($call21|0)==84; //@line 804 "InstructionBlockCompiler.cpp"
 if($cmp22){label=16;break;}else{label=17;break;} //@line 804 "InstructionBlockCompiler.cpp"
 case 16: 
 $pCompileFunc=34; //@line 807 "InstructionBlockCompiler.cpp"
 __Z14BlockNest_Redoh(41); //@line 809 "InstructionBlockCompiler.cpp"
 label=18;break; //@line 810 "InstructionBlockCompiler.cpp"
 case 17: 
 $pCompileFunc=56; //@line 814 "InstructionBlockCompiler.cpp"
 label=18;break;
 case 18: 
 label=19;break;
 case 19: 
 label=20;break;
 case 20: 
 label=21;break;
 case 21: 
 var $10=$column_addr; //@line 818 "InstructionBlockCompiler.cpp"
 var $11=$param; //@line 818 "InstructionBlockCompiler.cpp"
 var $12=$pCompileFunc; //@line 818 "InstructionBlockCompiler.cpp"
 var $call29=__Z13OptimizeBlockiiPFbiiE($10,$11,$12); //@line 818 "InstructionBlockCompiler.cpp"
 if($call29){label=23;break;}else{label=22;break;} //@line 818 "InstructionBlockCompiler.cpp"
 case 22: 
 $retval=0; //@line 820 "InstructionBlockCompiler.cpp"
 label=24;break; //@line 820 "InstructionBlockCompiler.cpp"
 case 23: 
 __Z13BlockNest_Endv(); //@line 823 "InstructionBlockCompiler.cpp"
 $retval=1; //@line 824 "InstructionBlockCompiler.cpp"
 label=24;break; //@line 824 "InstructionBlockCompiler.cpp"
 case 24: 
 var $13=$retval; //@line 825 "InstructionBlockCompiler.cpp"
 STACKTOP=sp;return $13; //@line 825 "InstructionBlockCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z25CompileIfOrIfNot_FinalJmpRi($addressCount){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $addressCount_addr;
 $addressCount_addr=$addressCount;
 var $call=__Z8EnterObjh(4); //@line 133 "InstructionBlockCompiler.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 133 "InstructionBlockCompiler.cpp"
 case 2: 
 $retval=0; //@line 135 "InstructionBlockCompiler.cpp"
 label=6;break; //@line 135 "InstructionBlockCompiler.cpp"
 case 3: 
 var $call1=__Z25BlockStack_CompileAddressi(0); //@line 137 "InstructionBlockCompiler.cpp"
 if($call1){label=5;break;}else{label=4;break;} //@line 137 "InstructionBlockCompiler.cpp"
 case 4: 
 $retval=0; //@line 139 "InstructionBlockCompiler.cpp"
 label=6;break; //@line 139 "InstructionBlockCompiler.cpp"
 case 5: 
 var $0=$addressCount_addr; //@line 141 "InstructionBlockCompiler.cpp"
 var $1=((((HEAPU8[($0)])|(HEAPU8[((($0)+(1))|0)]<<8)|(HEAPU8[((($0)+(2))|0)]<<16)|(HEAPU8[((($0)+(3))|0)]<<24))|0)); //@line 141 "InstructionBlockCompiler.cpp"
 var $2=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 141 "InstructionBlockCompiler.cpp"
 var $3=$2; //@line 141 "InstructionBlockCompiler.cpp"
 var $obj_ptr=(($3+16777264)|0); //@line 141 "InstructionBlockCompiler.cpp"
 var $4=((((HEAPU8[($obj_ptr)])|(HEAPU8[((($obj_ptr)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr)+(3))|0)]<<24))|0)); //@line 141 "InstructionBlockCompiler.cpp"
 __Z16BlockStack_Writeii($1,$4); //@line 141 "InstructionBlockCompiler.cpp"
 var $5=$addressCount_addr; //@line 142 "InstructionBlockCompiler.cpp"
 var $6=((((HEAPU8[($5)])|(HEAPU8[((($5)+(1))|0)]<<8)|(HEAPU8[((($5)+(2))|0)]<<16)|(HEAPU8[((($5)+(3))|0)]<<24))|0)); //@line 142 "InstructionBlockCompiler.cpp"
 var $inc=((($6)+(1))|0); //@line 142 "InstructionBlockCompiler.cpp"
 tempBigInt=$inc;HEAP8[($5)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($5)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($5)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($5)+(3))|0)]=tempBigInt&0xff; //@line 142 "InstructionBlockCompiler.cpp"
 $retval=1; //@line 143 "InstructionBlockCompiler.cpp"
 label=6;break; //@line 143 "InstructionBlockCompiler.cpp"
 case 6: 
 var $7=$retval; //@line 144 "InstructionBlockCompiler.cpp"
 STACKTOP=sp;return $7; //@line 144 "InstructionBlockCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z26CompileIfOrIfNot_ConditionRih($addressCount,$byteCode){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $addressCount_addr;
 var $byteCode_addr;
 $addressCount_addr=$addressCount;
 $byteCode_addr=$byteCode;
 var $call=__Z17CompileExpressionv(); //@line 148 "InstructionBlockCompiler.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 148 "InstructionBlockCompiler.cpp"
 case 2: 
 $retval=0; //@line 150 "InstructionBlockCompiler.cpp"
 label=10;break; //@line 150 "InstructionBlockCompiler.cpp"
 case 3: 
 var $0=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 152 "InstructionBlockCompiler.cpp"
 var $call1=__ZN11Elementizer10GetElementEi($0,84); //@line 152 "InstructionBlockCompiler.cpp"
 if($call1){label=5;break;}else{label=4;break;} //@line 152 "InstructionBlockCompiler.cpp"
 case 4: 
 $retval=0; //@line 154 "InstructionBlockCompiler.cpp"
 label=10;break; //@line 154 "InstructionBlockCompiler.cpp"
 case 5: 
 var $1=$byteCode_addr; //@line 156 "InstructionBlockCompiler.cpp"
 var $call4=__Z8EnterObjh($1); //@line 156 "InstructionBlockCompiler.cpp"
 if($call4){label=7;break;}else{label=6;break;} //@line 156 "InstructionBlockCompiler.cpp"
 case 6: 
 $retval=0; //@line 158 "InstructionBlockCompiler.cpp"
 label=10;break; //@line 158 "InstructionBlockCompiler.cpp"
 case 7: 
 var $2=$addressCount_addr; //@line 160 "InstructionBlockCompiler.cpp"
 var $3=((((HEAPU8[($2)])|(HEAPU8[((($2)+(1))|0)]<<8)|(HEAPU8[((($2)+(2))|0)]<<16)|(HEAPU8[((($2)+(3))|0)]<<24))|0)); //@line 160 "InstructionBlockCompiler.cpp"
 var $call7=__Z25BlockStack_CompileAddressi($3); //@line 160 "InstructionBlockCompiler.cpp"
 if($call7){label=9;break;}else{label=8;break;} //@line 160 "InstructionBlockCompiler.cpp"
 case 8: 
 $retval=0; //@line 162 "InstructionBlockCompiler.cpp"
 label=10;break; //@line 162 "InstructionBlockCompiler.cpp"
 case 9: 
 $retval=1; //@line 164 "InstructionBlockCompiler.cpp"
 label=10;break; //@line 164 "InstructionBlockCompiler.cpp"
 case 10: 
 var $4=$retval; //@line 165 "InstructionBlockCompiler.cpp"
 STACKTOP=sp;return $4; //@line 165 "InstructionBlockCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z30CompileIfOrIfNot_ElseConditionRih($addressCount,$byteCode){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $addressCount_addr;
 var $byteCode_addr;
 $addressCount_addr=$addressCount;
 $byteCode_addr=$byteCode;
 var $0=$addressCount_addr; //@line 169 "InstructionBlockCompiler.cpp"
 var $call=__Z25CompileIfOrIfNot_FinalJmpRi($0); //@line 169 "InstructionBlockCompiler.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 169 "InstructionBlockCompiler.cpp"
 case 2: 
 $retval=0; //@line 171 "InstructionBlockCompiler.cpp"
 label=6;break; //@line 171 "InstructionBlockCompiler.cpp"
 case 3: 
 var $1=$addressCount_addr; //@line 173 "InstructionBlockCompiler.cpp"
 var $2=((((HEAPU8[($1)])|(HEAPU8[((($1)+(1))|0)]<<8)|(HEAPU8[((($1)+(2))|0)]<<16)|(HEAPU8[((($1)+(3))|0)]<<24))|0)); //@line 173 "InstructionBlockCompiler.cpp"
 var $cmp=($2|0)<18; //@line 173 "InstructionBlockCompiler.cpp"
 if($cmp){label=4;break;}else{label=5;break;} //@line 173 "InstructionBlockCompiler.cpp"
 case 4: 
 var $3=$addressCount_addr; //@line 175 "InstructionBlockCompiler.cpp"
 var $4=$byteCode_addr; //@line 175 "InstructionBlockCompiler.cpp"
 var $call2=__Z26CompileIfOrIfNot_ConditionRih($3,$4); //@line 175 "InstructionBlockCompiler.cpp"
 $retval=$call2; //@line 175 "InstructionBlockCompiler.cpp"
 label=6;break; //@line 175 "InstructionBlockCompiler.cpp"
 case 5: 
 var $5=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 178 "InstructionBlockCompiler.cpp"
 var $6=$5; //@line 178 "InstructionBlockCompiler.cpp"
 var $error=(($6)|0); //@line 178 "InstructionBlockCompiler.cpp"
 HEAP8[($error)]=1; //@line 178 "InstructionBlockCompiler.cpp"
 var $7=((((HEAPU8[(324)])|(HEAPU8[(325)]<<8)|(HEAPU8[(326)]<<16)|(HEAPU8[(327)]<<24))|0)); //@line 179 "InstructionBlockCompiler.cpp"
 var $8=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 179 "InstructionBlockCompiler.cpp"
 var $9=$8; //@line 179 "InstructionBlockCompiler.cpp"
 var $error_msg=(($9+4)|0); //@line 179 "InstructionBlockCompiler.cpp"
 tempBigInt=$7;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 179 "InstructionBlockCompiler.cpp"
 $retval=0; //@line 180 "InstructionBlockCompiler.cpp"
 label=6;break; //@line 180 "InstructionBlockCompiler.cpp"
 case 6: 
 var $10=$retval; //@line 181 "InstructionBlockCompiler.cpp"
 STACKTOP=sp;return $10; //@line 181 "InstructionBlockCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z16CompileIfOrIfNotii($column,$param){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+16)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $column_addr;
 var $param_addr;
 var $addressCount=sp;
 var $bEof=(sp)+(8);
 $column_addr=$column;
 $param_addr=$param;
 tempBigInt=1;HEAP8[($addressCount)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($addressCount)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($addressCount)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($addressCount)+(3))|0)]=tempBigInt&0xff; //@line 185 "InstructionBlockCompiler.cpp"
 var $0=$param_addr; //@line 187 "InstructionBlockCompiler.cpp"
 var $conv=(($0)&255); //@line 187 "InstructionBlockCompiler.cpp"
 var $call=__Z26CompileIfOrIfNot_ConditionRih($addressCount,$conv); //@line 187 "InstructionBlockCompiler.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 187 "InstructionBlockCompiler.cpp"
 case 2: 
 $retval=0; //@line 189 "InstructionBlockCompiler.cpp"
 label=33;break; //@line 189 "InstructionBlockCompiler.cpp"
 case 3: 
 HEAP8[($bEof)]=0; //@line 192 "InstructionBlockCompiler.cpp"
 label=4;break; //@line 194 "InstructionBlockCompiler.cpp"
 case 4: 
 var $1=HEAP8[($bEof)]; //@line 194 "InstructionBlockCompiler.cpp"
 var $tobool=(($1)&1); //@line 194 "InstructionBlockCompiler.cpp"
 var $lnot=$tobool^1; //@line 194 "InstructionBlockCompiler.cpp"
 if($lnot){label=5;break;}else{label=32;break;} //@line 194 "InstructionBlockCompiler.cpp"
 case 5: 
 var $2=$column_addr; //@line 196 "InstructionBlockCompiler.cpp"
 var $call1=__Z12CompileBlocki($2); //@line 196 "InstructionBlockCompiler.cpp"
 if($call1){label=7;break;}else{label=6;break;} //@line 196 "InstructionBlockCompiler.cpp"
 case 6: 
 $retval=0; //@line 198 "InstructionBlockCompiler.cpp"
 label=33;break; //@line 198 "InstructionBlockCompiler.cpp"
 case 7: 
 var $3=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 201 "InstructionBlockCompiler.cpp"
 var $call4=__ZN11Elementizer7GetNextERb($3,$bEof); //@line 201 "InstructionBlockCompiler.cpp"
 if($call4){label=9;break;}else{label=8;break;} //@line 201 "InstructionBlockCompiler.cpp"
 case 8: 
 $retval=0; //@line 203 "InstructionBlockCompiler.cpp"
 label=33;break; //@line 203 "InstructionBlockCompiler.cpp"
 case 9: 
 var $4=HEAP8[($bEof)]; //@line 205 "InstructionBlockCompiler.cpp"
 var $tobool7=(($4)&1); //@line 205 "InstructionBlockCompiler.cpp"
 if($tobool7){label=10;break;}else{label=11;break;} //@line 205 "InstructionBlockCompiler.cpp"
 case 10: 
 label=32;break; //@line 207 "InstructionBlockCompiler.cpp"
 case 11: 
 var $5=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 209 "InstructionBlockCompiler.cpp"
 var $call10=__ZN11Elementizer9GetColumnEv($5); //@line 209 "InstructionBlockCompiler.cpp"
 tempBigInt=$call10;HEAP8[(20216)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20217)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20218)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20219)]=tempBigInt&0xff; //@line 209 "InstructionBlockCompiler.cpp"
 var $6=((((HEAPU8[(20216)])|(HEAPU8[(20217)]<<8)|(HEAPU8[(20218)]<<16)|(HEAPU8[(20219)]<<24))|0)); //@line 210 "InstructionBlockCompiler.cpp"
 var $7=$column_addr; //@line 210 "InstructionBlockCompiler.cpp"
 var $cmp=($6|0)<($7|0); //@line 210 "InstructionBlockCompiler.cpp"
 if($cmp){label=12;break;}else{label=13;break;} //@line 210 "InstructionBlockCompiler.cpp"
 case 12: 
 var $8=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 212 "InstructionBlockCompiler.cpp"
 __ZN11Elementizer6BackupEv($8); //@line 212 "InstructionBlockCompiler.cpp"
 label=32;break; //@line 213 "InstructionBlockCompiler.cpp"
 case 13: 
 var $9=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 215 "InstructionBlockCompiler.cpp"
 var $call13=__ZN11Elementizer7GetTypeEv($9); //@line 215 "InstructionBlockCompiler.cpp"
 var $cmp14=($call13|0)==35; //@line 215 "InstructionBlockCompiler.cpp"
 if($cmp14){label=14;break;}else{label=17;break;} //@line 215 "InstructionBlockCompiler.cpp"
 case 14: 
 var $call16=__Z30CompileIfOrIfNot_ElseConditionRih($addressCount,10); //@line 217 "InstructionBlockCompiler.cpp"
 if($call16){label=16;break;}else{label=15;break;} //@line 217 "InstructionBlockCompiler.cpp"
 case 15: 
 $retval=0; //@line 219 "InstructionBlockCompiler.cpp"
 label=33;break; //@line 219 "InstructionBlockCompiler.cpp"
 case 16: 
 label=31;break; //@line 221 "InstructionBlockCompiler.cpp"
 case 17: 
 var $10=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 222 "InstructionBlockCompiler.cpp"
 var $call19=__ZN11Elementizer7GetTypeEv($10); //@line 222 "InstructionBlockCompiler.cpp"
 var $cmp20=($call19|0)==36; //@line 222 "InstructionBlockCompiler.cpp"
 if($cmp20){label=18;break;}else{label=21;break;} //@line 222 "InstructionBlockCompiler.cpp"
 case 18: 
 var $call22=__Z30CompileIfOrIfNot_ElseConditionRih($addressCount,11); //@line 224 "InstructionBlockCompiler.cpp"
 if($call22){label=20;break;}else{label=19;break;} //@line 224 "InstructionBlockCompiler.cpp"
 case 19: 
 $retval=0; //@line 226 "InstructionBlockCompiler.cpp"
 label=33;break; //@line 226 "InstructionBlockCompiler.cpp"
 case 20: 
 label=30;break; //@line 228 "InstructionBlockCompiler.cpp"
 case 21: 
 var $11=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 229 "InstructionBlockCompiler.cpp"
 var $call26=__ZN11Elementizer7GetTypeEv($11); //@line 229 "InstructionBlockCompiler.cpp"
 var $cmp27=($call26|0)==37; //@line 229 "InstructionBlockCompiler.cpp"
 if($cmp27){label=22;break;}else{label=29;break;} //@line 229 "InstructionBlockCompiler.cpp"
 case 22: 
 var $call29=__Z25CompileIfOrIfNot_FinalJmpRi($addressCount); //@line 231 "InstructionBlockCompiler.cpp"
 if($call29){label=24;break;}else{label=23;break;} //@line 231 "InstructionBlockCompiler.cpp"
 case 23: 
 $retval=0; //@line 233 "InstructionBlockCompiler.cpp"
 label=33;break; //@line 233 "InstructionBlockCompiler.cpp"
 case 24: 
 var $12=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 235 "InstructionBlockCompiler.cpp"
 var $call32=__ZN11Elementizer10GetElementEi($12,84); //@line 235 "InstructionBlockCompiler.cpp"
 if($call32){label=26;break;}else{label=25;break;} //@line 235 "InstructionBlockCompiler.cpp"
 case 25: 
 $retval=0; //@line 237 "InstructionBlockCompiler.cpp"
 label=33;break; //@line 237 "InstructionBlockCompiler.cpp"
 case 26: 
 var $13=$column_addr; //@line 239 "InstructionBlockCompiler.cpp"
 var $call35=__Z12CompileBlocki($13); //@line 239 "InstructionBlockCompiler.cpp"
 if($call35){label=28;break;}else{label=27;break;} //@line 239 "InstructionBlockCompiler.cpp"
 case 27: 
 $retval=0; //@line 241 "InstructionBlockCompiler.cpp"
 label=33;break; //@line 241 "InstructionBlockCompiler.cpp"
 case 28: 
 label=32;break; //@line 243 "InstructionBlockCompiler.cpp"
 case 29: 
 var $14=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 247 "InstructionBlockCompiler.cpp"
 __ZN11Elementizer6BackupEv($14); //@line 247 "InstructionBlockCompiler.cpp"
 label=32;break; //@line 248 "InstructionBlockCompiler.cpp"
 case 30: 
 label=31;break;
 case 31: 
 label=4;break; //@line 250 "InstructionBlockCompiler.cpp"
 case 32: 
 var $15=((((HEAPU8[($addressCount)])|(HEAPU8[((($addressCount)+(1))|0)]<<8)|(HEAPU8[((($addressCount)+(2))|0)]<<16)|(HEAPU8[((($addressCount)+(3))|0)]<<24))|0)); //@line 252 "InstructionBlockCompiler.cpp"
 var $16=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 252 "InstructionBlockCompiler.cpp"
 var $17=$16; //@line 252 "InstructionBlockCompiler.cpp"
 var $obj_ptr=(($17+16777264)|0); //@line 252 "InstructionBlockCompiler.cpp"
 var $18=((((HEAPU8[($obj_ptr)])|(HEAPU8[((($obj_ptr)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr)+(3))|0)]<<24))|0)); //@line 252 "InstructionBlockCompiler.cpp"
 __Z16BlockStack_Writeii($15,$18); //@line 252 "InstructionBlockCompiler.cpp"
 var $19=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 253 "InstructionBlockCompiler.cpp"
 var $20=$19; //@line 253 "InstructionBlockCompiler.cpp"
 var $obj_ptr41=(($20+16777264)|0); //@line 253 "InstructionBlockCompiler.cpp"
 var $21=((((HEAPU8[($obj_ptr41)])|(HEAPU8[((($obj_ptr41)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr41)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr41)+(3))|0)]<<24))|0)); //@line 253 "InstructionBlockCompiler.cpp"
 __Z16BlockStack_Writeii(0,$21); //@line 253 "InstructionBlockCompiler.cpp"
 $retval=1; //@line 254 "InstructionBlockCompiler.cpp"
 label=33;break; //@line 254 "InstructionBlockCompiler.cpp"
 case 33: 
 var $22=$retval; //@line 255 "InstructionBlockCompiler.cpp"
 STACKTOP=sp;return $22; //@line 255 "InstructionBlockCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z13OptimizeBlockiiPFbiiE($column,$param,$pCompileFunction){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $column_addr;
 var $param_addr;
 var $pCompileFunction_addr;
 var $savedSourcePtr;
 var $savedObjPtr;
 var $size;
 $column_addr=$column;
 $param_addr=$param;
 $pCompileFunction_addr=$pCompileFunction;
 var $0=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 829 "InstructionBlockCompiler.cpp"
 var $call=__ZN11Elementizer12GetSourcePtrEv($0); //@line 829 "InstructionBlockCompiler.cpp"
 $savedSourcePtr=$call; //@line 829 "InstructionBlockCompiler.cpp"
 var $1=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 830 "InstructionBlockCompiler.cpp"
 var $2=$1; //@line 830 "InstructionBlockCompiler.cpp"
 var $obj_ptr=(($2+16777264)|0); //@line 830 "InstructionBlockCompiler.cpp"
 var $3=((((HEAPU8[($obj_ptr)])|(HEAPU8[((($obj_ptr)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr)+(3))|0)]<<24))|0)); //@line 830 "InstructionBlockCompiler.cpp"
 $savedObjPtr=$3; //@line 830 "InstructionBlockCompiler.cpp"
 $size=0; //@line 831 "InstructionBlockCompiler.cpp"
 label=2;break; //@line 833 "InstructionBlockCompiler.cpp"
 case 2: 
 var $4=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 835 "InstructionBlockCompiler.cpp"
 var $5=$savedSourcePtr; //@line 835 "InstructionBlockCompiler.cpp"
 __ZN11Elementizer12SetSourcePtrEi($4,$5); //@line 835 "InstructionBlockCompiler.cpp"
 var $6=$savedObjPtr; //@line 836 "InstructionBlockCompiler.cpp"
 var $7=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 836 "InstructionBlockCompiler.cpp"
 var $8=$7; //@line 836 "InstructionBlockCompiler.cpp"
 var $obj_ptr1=(($8+16777264)|0); //@line 836 "InstructionBlockCompiler.cpp"
 tempBigInt=$6;HEAP8[($obj_ptr1)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_ptr1)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_ptr1)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_ptr1)+(3))|0)]=tempBigInt&0xff; //@line 836 "InstructionBlockCompiler.cpp"
 var $9=$pCompileFunction_addr; //@line 838 "InstructionBlockCompiler.cpp"
 var $10=$column_addr; //@line 838 "InstructionBlockCompiler.cpp"
 var $11=$param_addr; //@line 838 "InstructionBlockCompiler.cpp"
 var $call2=FUNCTION_TABLE[$9]($10,$11); //@line 838 "InstructionBlockCompiler.cpp"
 if($call2){label=4;break;}else{label=3;break;} //@line 838 "InstructionBlockCompiler.cpp"
 case 3: 
 $retval=0; //@line 840 "InstructionBlockCompiler.cpp"
 label=9;break; //@line 840 "InstructionBlockCompiler.cpp"
 case 4: 
 var $12=$size; //@line 844 "InstructionBlockCompiler.cpp"
 var $13=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 844 "InstructionBlockCompiler.cpp"
 var $14=$13; //@line 844 "InstructionBlockCompiler.cpp"
 var $obj_ptr3=(($14+16777264)|0); //@line 844 "InstructionBlockCompiler.cpp"
 var $15=((((HEAPU8[($obj_ptr3)])|(HEAPU8[((($obj_ptr3)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr3)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr3)+(3))|0)]<<24))|0)); //@line 844 "InstructionBlockCompiler.cpp"
 var $cmp=($12|0)!=($15|0); //@line 844 "InstructionBlockCompiler.cpp"
 if($cmp){label=5;break;}else{label=6;break;} //@line 844 "InstructionBlockCompiler.cpp"
 case 5: 
 var $16=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 846 "InstructionBlockCompiler.cpp"
 var $17=$16; //@line 846 "InstructionBlockCompiler.cpp"
 var $obj_ptr5=(($17+16777264)|0); //@line 846 "InstructionBlockCompiler.cpp"
 var $18=((((HEAPU8[($obj_ptr5)])|(HEAPU8[((($obj_ptr5)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr5)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr5)+(3))|0)]<<24))|0)); //@line 846 "InstructionBlockCompiler.cpp"
 $size=$18; //@line 846 "InstructionBlockCompiler.cpp"
 label=7;break; //@line 847 "InstructionBlockCompiler.cpp"
 case 6: 
 label=8;break; //@line 850 "InstructionBlockCompiler.cpp"
 case 7: 
 label=2;break; //@line 852 "InstructionBlockCompiler.cpp"
 case 8: 
 $retval=1; //@line 854 "InstructionBlockCompiler.cpp"
 label=9;break; //@line 854 "InstructionBlockCompiler.cpp"
 case 9: 
 var $19=$retval; //@line 855 "InstructionBlockCompiler.cpp"
 STACKTOP=sp;return $19; //@line 855 "InstructionBlockCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z11CompileCaseii($column,$param){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+16)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $column_addr;
 var $param_addr;
 var $savedSourcePtr;
 var $otherSourcePtr;
 var $bOther;
 var $caseCount;
 var $bEof=sp;
 var $bRange=(sp)+(8);
 var $new_column;
 $column_addr=$column;
 $param_addr=$param;
 var $0=$param_addr; //@line 273 "InstructionBlockCompiler.cpp"
 $param_addr=$0; //@line 273 "InstructionBlockCompiler.cpp"
 var $call=__Z26BlockStack_CompileConstantv(); //@line 275 "InstructionBlockCompiler.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 275 "InstructionBlockCompiler.cpp"
 case 2: 
 $retval=0; //@line 277 "InstructionBlockCompiler.cpp"
 label=86;break; //@line 277 "InstructionBlockCompiler.cpp"
 case 3: 
 var $call1=__Z17CompileExpressionv(); //@line 279 "InstructionBlockCompiler.cpp"
 if($call1){label=5;break;}else{label=4;break;} //@line 279 "InstructionBlockCompiler.cpp"
 case 4: 
 $retval=0; //@line 281 "InstructionBlockCompiler.cpp"
 label=86;break; //@line 281 "InstructionBlockCompiler.cpp"
 case 5: 
 var $1=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 283 "InstructionBlockCompiler.cpp"
 var $call4=__ZN11Elementizer10GetElementEi($1,84); //@line 283 "InstructionBlockCompiler.cpp"
 if($call4){label=7;break;}else{label=6;break;} //@line 283 "InstructionBlockCompiler.cpp"
 case 6: 
 $retval=0; //@line 285 "InstructionBlockCompiler.cpp"
 label=86;break; //@line 285 "InstructionBlockCompiler.cpp"
 case 7: 
 var $2=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 288 "InstructionBlockCompiler.cpp"
 var $call7=__ZN11Elementizer12GetSourcePtrEv($2); //@line 288 "InstructionBlockCompiler.cpp"
 $savedSourcePtr=$call7; //@line 288 "InstructionBlockCompiler.cpp"
 $otherSourcePtr=0; //@line 289 "InstructionBlockCompiler.cpp"
 $bOther=0; //@line 290 "InstructionBlockCompiler.cpp"
 $caseCount=0; //@line 291 "InstructionBlockCompiler.cpp"
 HEAP8[($bEof)]=0; //@line 293 "InstructionBlockCompiler.cpp"
 label=8;break; //@line 294 "InstructionBlockCompiler.cpp"
 case 8: 
 var $3=HEAP8[($bEof)]; //@line 294 "InstructionBlockCompiler.cpp"
 var $tobool=(($3)&1); //@line 294 "InstructionBlockCompiler.cpp"
 var $lnot=$tobool^1; //@line 294 "InstructionBlockCompiler.cpp"
 if($lnot){label=9;break;}else{label=41;break;} //@line 294 "InstructionBlockCompiler.cpp"
 case 9: 
 var $4=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 296 "InstructionBlockCompiler.cpp"
 var $call8=__ZN11Elementizer7GetNextERb($4,$bEof); //@line 296 "InstructionBlockCompiler.cpp"
 if($call8){label=11;break;}else{label=10;break;} //@line 296 "InstructionBlockCompiler.cpp"
 case 10: 
 $retval=0; //@line 298 "InstructionBlockCompiler.cpp"
 label=86;break; //@line 298 "InstructionBlockCompiler.cpp"
 case 11: 
 var $5=HEAP8[($bEof)]; //@line 300 "InstructionBlockCompiler.cpp"
 var $tobool11=(($5)&1); //@line 300 "InstructionBlockCompiler.cpp"
 if($tobool11){label=12;break;}else{label=13;break;} //@line 300 "InstructionBlockCompiler.cpp"
 case 12: 
 label=41;break; //@line 302 "InstructionBlockCompiler.cpp"
 case 13: 
 var $6=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 304 "InstructionBlockCompiler.cpp"
 var $call14=__ZN11Elementizer7GetTypeEv($6); //@line 304 "InstructionBlockCompiler.cpp"
 var $cmp=($call14|0)==84; //@line 304 "InstructionBlockCompiler.cpp"
 if($cmp){label=14;break;}else{label=15;break;} //@line 304 "InstructionBlockCompiler.cpp"
 case 14: 
 label=8;break; //@line 306 "InstructionBlockCompiler.cpp"
 case 15: 
 var $7=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 308 "InstructionBlockCompiler.cpp"
 var $call17=__ZN11Elementizer9GetColumnEv($7); //@line 308 "InstructionBlockCompiler.cpp"
 tempBigInt=$call17;HEAP8[(20216)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20217)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20218)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20219)]=tempBigInt&0xff; //@line 308 "InstructionBlockCompiler.cpp"
 var $8=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 309 "InstructionBlockCompiler.cpp"
 __ZN11Elementizer6BackupEv($8); //@line 309 "InstructionBlockCompiler.cpp"
 var $9=((((HEAPU8[(20216)])|(HEAPU8[(20217)]<<8)|(HEAPU8[(20218)]<<16)|(HEAPU8[(20219)]<<24))|0)); //@line 310 "InstructionBlockCompiler.cpp"
 var $10=$column_addr; //@line 310 "InstructionBlockCompiler.cpp"
 var $cmp18=($9|0)<=($10|0); //@line 310 "InstructionBlockCompiler.cpp"
 if($cmp18){label=16;break;}else{label=17;break;} //@line 310 "InstructionBlockCompiler.cpp"
 case 16: 
 label=41;break; //@line 312 "InstructionBlockCompiler.cpp"
 case 17: 
 var $11=$bOther; //@line 315 "InstructionBlockCompiler.cpp"
 var $tobool21=(($11)&1); //@line 315 "InstructionBlockCompiler.cpp"
 if($tobool21){label=18;break;}else{label=19;break;} //@line 315 "InstructionBlockCompiler.cpp"
 case 18: 
 var $12=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 317 "InstructionBlockCompiler.cpp"
 var $13=$12; //@line 317 "InstructionBlockCompiler.cpp"
 var $error=(($13)|0); //@line 317 "InstructionBlockCompiler.cpp"
 HEAP8[($error)]=1; //@line 317 "InstructionBlockCompiler.cpp"
 var $14=((((HEAPU8[(376)])|(HEAPU8[(377)]<<8)|(HEAPU8[(378)]<<16)|(HEAPU8[(379)]<<24))|0)); //@line 318 "InstructionBlockCompiler.cpp"
 var $15=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 318 "InstructionBlockCompiler.cpp"
 var $16=$15; //@line 318 "InstructionBlockCompiler.cpp"
 var $error_msg=(($16+4)|0); //@line 318 "InstructionBlockCompiler.cpp"
 tempBigInt=$14;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 318 "InstructionBlockCompiler.cpp"
 $retval=0; //@line 319 "InstructionBlockCompiler.cpp"
 label=86;break; //@line 319 "InstructionBlockCompiler.cpp"
 case 19: 
 var $17=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 322 "InstructionBlockCompiler.cpp"
 var $call24=__ZN11Elementizer7GetTypeEv($17); //@line 322 "InstructionBlockCompiler.cpp"
 var $cmp25=($call24|0)==39; //@line 322 "InstructionBlockCompiler.cpp"
 if($cmp25){label=20;break;}else{label=23;break;} //@line 322 "InstructionBlockCompiler.cpp"
 case 20: 
 $bOther=1; //@line 324 "InstructionBlockCompiler.cpp"
 var $18=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 325 "InstructionBlockCompiler.cpp"
 var $call27=__ZN11Elementizer7GetNextERb($18,$bEof); //@line 325 "InstructionBlockCompiler.cpp"
 if($call27){label=22;break;}else{label=21;break;} //@line 325 "InstructionBlockCompiler.cpp"
 case 21: 
 $retval=0; //@line 327 "InstructionBlockCompiler.cpp"
 label=86;break; //@line 327 "InstructionBlockCompiler.cpp"
 case 22: 
 var $19=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 329 "InstructionBlockCompiler.cpp"
 var $20=$19; //@line 329 "InstructionBlockCompiler.cpp"
 var $source_start=(($20+16)|0); //@line 329 "InstructionBlockCompiler.cpp"
 var $21=((((HEAPU8[($source_start)])|(HEAPU8[((($source_start)+(1))|0)]<<8)|(HEAPU8[((($source_start)+(2))|0)]<<16)|(HEAPU8[((($source_start)+(3))|0)]<<24))|0)); //@line 329 "InstructionBlockCompiler.cpp"
 $otherSourcePtr=$21; //@line 329 "InstructionBlockCompiler.cpp"
 label=36;break; //@line 330 "InstructionBlockCompiler.cpp"
 case 23: 
 var $22=$caseCount; //@line 333 "InstructionBlockCompiler.cpp"
 var $inc=((($22)+(1))|0); //@line 333 "InstructionBlockCompiler.cpp"
 $caseCount=$inc; //@line 333 "InstructionBlockCompiler.cpp"
 var $23=$caseCount; //@line 334 "InstructionBlockCompiler.cpp"
 var $cmp30=($23|0)>64; //@line 334 "InstructionBlockCompiler.cpp"
 if($cmp30){label=24;break;}else{label=25;break;} //@line 334 "InstructionBlockCompiler.cpp"
 case 24: 
 var $24=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 336 "InstructionBlockCompiler.cpp"
 var $25=$24; //@line 336 "InstructionBlockCompiler.cpp"
 var $error32=(($25)|0); //@line 336 "InstructionBlockCompiler.cpp"
 HEAP8[($error32)]=1; //@line 336 "InstructionBlockCompiler.cpp"
 var $26=((((HEAPU8[(292)])|(HEAPU8[(293)]<<8)|(HEAPU8[(294)]<<16)|(HEAPU8[(295)]<<24))|0)); //@line 337 "InstructionBlockCompiler.cpp"
 var $27=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 337 "InstructionBlockCompiler.cpp"
 var $28=$27; //@line 337 "InstructionBlockCompiler.cpp"
 var $error_msg33=(($28+4)|0); //@line 337 "InstructionBlockCompiler.cpp"
 tempBigInt=$26;HEAP8[($error_msg33)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg33)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg33)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg33)+(3))|0)]=tempBigInt&0xff; //@line 337 "InstructionBlockCompiler.cpp"
 $retval=0; //@line 338 "InstructionBlockCompiler.cpp"
 label=86;break; //@line 338 "InstructionBlockCompiler.cpp"
 case 25: 
 label=26;break; //@line 340 "InstructionBlockCompiler.cpp"
 case 26: 
 HEAP8[($bRange)]=0; //@line 342 "InstructionBlockCompiler.cpp"
 var $call37=__Z12CompileRangeRb($bRange); //@line 343 "InstructionBlockCompiler.cpp"
 if($call37){label=28;break;}else{label=27;break;} //@line 343 "InstructionBlockCompiler.cpp"
 case 27: 
 $retval=0; //@line 345 "InstructionBlockCompiler.cpp"
 label=86;break; //@line 345 "InstructionBlockCompiler.cpp"
 case 28: 
 var $29=HEAP8[($bRange)]; //@line 347 "InstructionBlockCompiler.cpp"
 var $tobool40=(($29)&1); //@line 347 "InstructionBlockCompiler.cpp"
 var $cond=($tobool40?14:13); //@line 347 "InstructionBlockCompiler.cpp"
 var $conv=(($cond)&255); //@line 347 "InstructionBlockCompiler.cpp"
 var $call41=__Z8EnterObjh($conv); //@line 347 "InstructionBlockCompiler.cpp"
 if($call41){label=30;break;}else{label=29;break;} //@line 347 "InstructionBlockCompiler.cpp"
 case 29: 
 $retval=0; //@line 349 "InstructionBlockCompiler.cpp"
 label=86;break; //@line 349 "InstructionBlockCompiler.cpp"
 case 30: 
 var $30=$caseCount; //@line 351 "InstructionBlockCompiler.cpp"
 var $call44=__Z25BlockStack_CompileAddressi($30); //@line 351 "InstructionBlockCompiler.cpp"
 if($call44){label=32;break;}else{label=31;break;} //@line 351 "InstructionBlockCompiler.cpp"
 case 31: 
 $retval=0; //@line 353 "InstructionBlockCompiler.cpp"
 label=86;break; //@line 353 "InstructionBlockCompiler.cpp"
 case 32: 
 var $31=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 355 "InstructionBlockCompiler.cpp"
 var $call47=__ZN11Elementizer12CheckElementEi($31,5); //@line 355 "InstructionBlockCompiler.cpp"
 if($call47){label=34;break;}else{label=33;break;} //@line 355 "InstructionBlockCompiler.cpp"
 case 33: 
 label=35;break; //@line 357 "InstructionBlockCompiler.cpp"
 case 34: 
 label=26;break; //@line 359 "InstructionBlockCompiler.cpp"
 case 35: 
 label=36;break;
 case 36: 
 var $32=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 361 "InstructionBlockCompiler.cpp"
 var $call51=__ZN11Elementizer10GetElementEi($32,8); //@line 361 "InstructionBlockCompiler.cpp"
 if($call51){label=38;break;}else{label=37;break;} //@line 361 "InstructionBlockCompiler.cpp"
 case 37: 
 $retval=0; //@line 363 "InstructionBlockCompiler.cpp"
 label=86;break; //@line 363 "InstructionBlockCompiler.cpp"
 case 38: 
 var $33=((((HEAPU8[(20216)])|(HEAPU8[(20217)]<<8)|(HEAPU8[(20218)]<<16)|(HEAPU8[(20219)]<<24))|0)); //@line 365 "InstructionBlockCompiler.cpp"
 var $call54=__Z9SkipBlocki($33); //@line 365 "InstructionBlockCompiler.cpp"
 if($call54){label=40;break;}else{label=39;break;} //@line 365 "InstructionBlockCompiler.cpp"
 case 39: 
 $retval=0; //@line 367 "InstructionBlockCompiler.cpp"
 label=86;break; //@line 367 "InstructionBlockCompiler.cpp"
 case 40: 
 label=8;break; //@line 369 "InstructionBlockCompiler.cpp"
 case 41: 
 var $34=$caseCount; //@line 371 "InstructionBlockCompiler.cpp"
 var $cmp58=($34|0)==0; //@line 371 "InstructionBlockCompiler.cpp"
 if($cmp58){label=42;break;}else{label=43;break;} //@line 371 "InstructionBlockCompiler.cpp"
 case 42: 
 var $35=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 373 "InstructionBlockCompiler.cpp"
 var $36=$35; //@line 373 "InstructionBlockCompiler.cpp"
 var $error60=(($36)|0); //@line 373 "InstructionBlockCompiler.cpp"
 HEAP8[($error60)]=1; //@line 373 "InstructionBlockCompiler.cpp"
 var $37=((((HEAPU8[(344)])|(HEAPU8[(345)]<<8)|(HEAPU8[(346)]<<16)|(HEAPU8[(347)]<<24))|0)); //@line 374 "InstructionBlockCompiler.cpp"
 var $38=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 374 "InstructionBlockCompiler.cpp"
 var $39=$38; //@line 374 "InstructionBlockCompiler.cpp"
 var $error_msg61=(($39+4)|0); //@line 374 "InstructionBlockCompiler.cpp"
 tempBigInt=$37;HEAP8[($error_msg61)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg61)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg61)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg61)+(3))|0)]=tempBigInt&0xff; //@line 374 "InstructionBlockCompiler.cpp"
 $retval=0; //@line 375 "InstructionBlockCompiler.cpp"
 label=86;break; //@line 375 "InstructionBlockCompiler.cpp"
 case 43: 
 var $40=$bOther; //@line 378 "InstructionBlockCompiler.cpp"
 var $tobool63=(($40)&1); //@line 378 "InstructionBlockCompiler.cpp"
 if($tobool63){label=44;break;}else{label=51;break;} //@line 378 "InstructionBlockCompiler.cpp"
 case 44: 
 var $41=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 381 "InstructionBlockCompiler.cpp"
 var $42=$otherSourcePtr; //@line 381 "InstructionBlockCompiler.cpp"
 __ZN11Elementizer12SetSourcePtrEi($41,$42); //@line 381 "InstructionBlockCompiler.cpp"
 var $43=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 382 "InstructionBlockCompiler.cpp"
 var $call65=__ZN11Elementizer7GetNextERb($43,$bEof); //@line 382 "InstructionBlockCompiler.cpp"
 if($call65){label=46;break;}else{label=45;break;} //@line 382 "InstructionBlockCompiler.cpp"
 case 45: 
 $retval=0; //@line 384 "InstructionBlockCompiler.cpp"
 label=86;break; //@line 384 "InstructionBlockCompiler.cpp"
 case 46: 
 var $44=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 386 "InstructionBlockCompiler.cpp"
 var $call68=__ZN11Elementizer9GetColumnEv($44); //@line 386 "InstructionBlockCompiler.cpp"
 $new_column=$call68; //@line 386 "InstructionBlockCompiler.cpp"
 var $45=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 388 "InstructionBlockCompiler.cpp"
 var $call69=__ZN11Elementizer7GetNextERb($45,$bEof); //@line 388 "InstructionBlockCompiler.cpp"
 if($call69){label=48;break;}else{label=47;break;} //@line 388 "InstructionBlockCompiler.cpp"
 case 47: 
 $retval=0; //@line 390 "InstructionBlockCompiler.cpp"
 label=86;break; //@line 390 "InstructionBlockCompiler.cpp"
 case 48: 
 var $46=$new_column; //@line 392 "InstructionBlockCompiler.cpp"
 var $call72=__Z12CompileBlocki($46); //@line 392 "InstructionBlockCompiler.cpp"
 if($call72){label=50;break;}else{label=49;break;} //@line 392 "InstructionBlockCompiler.cpp"
 case 49: 
 $retval=0; //@line 394 "InstructionBlockCompiler.cpp"
 label=86;break; //@line 394 "InstructionBlockCompiler.cpp"
 case 50: 
 label=51;break; //@line 396 "InstructionBlockCompiler.cpp"
 case 51: 
 var $call76=__Z8EnterObjh(12); //@line 397 "InstructionBlockCompiler.cpp"
 if($call76){label=53;break;}else{label=52;break;} //@line 397 "InstructionBlockCompiler.cpp"
 case 52: 
 $retval=0; //@line 399 "InstructionBlockCompiler.cpp"
 label=86;break; //@line 399 "InstructionBlockCompiler.cpp"
 case 53: 
 var $47=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 401 "InstructionBlockCompiler.cpp"
 var $48=$savedSourcePtr; //@line 401 "InstructionBlockCompiler.cpp"
 __ZN11Elementizer12SetSourcePtrEi($47,$48); //@line 401 "InstructionBlockCompiler.cpp"
 $caseCount=0; //@line 402 "InstructionBlockCompiler.cpp"
 $bOther=0; //@line 403 "InstructionBlockCompiler.cpp"
 HEAP8[($bEof)]=0; //@line 404 "InstructionBlockCompiler.cpp"
 label=54;break; //@line 406 "InstructionBlockCompiler.cpp"
 case 54: 
 var $49=HEAP8[($bEof)]; //@line 406 "InstructionBlockCompiler.cpp"
 var $tobool80=(($49)&1); //@line 406 "InstructionBlockCompiler.cpp"
 var $lnot81=$tobool80^1; //@line 406 "InstructionBlockCompiler.cpp"
 if($lnot81){label=55;break;}else{label=85;break;} //@line 406 "InstructionBlockCompiler.cpp"
 case 55: 
 var $50=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 408 "InstructionBlockCompiler.cpp"
 var $call83=__ZN11Elementizer7GetNextERb($50,$bEof); //@line 408 "InstructionBlockCompiler.cpp"
 if($call83){label=57;break;}else{label=56;break;} //@line 408 "InstructionBlockCompiler.cpp"
 case 56: 
 $retval=0; //@line 410 "InstructionBlockCompiler.cpp"
 label=86;break; //@line 410 "InstructionBlockCompiler.cpp"
 case 57: 
 var $51=HEAP8[($bEof)]; //@line 412 "InstructionBlockCompiler.cpp"
 var $tobool86=(($51)&1); //@line 412 "InstructionBlockCompiler.cpp"
 if($tobool86){label=58;break;}else{label=59;break;} //@line 412 "InstructionBlockCompiler.cpp"
 case 58: 
 label=85;break; //@line 414 "InstructionBlockCompiler.cpp"
 case 59: 
 var $52=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 416 "InstructionBlockCompiler.cpp"
 var $call89=__ZN11Elementizer7GetTypeEv($52); //@line 416 "InstructionBlockCompiler.cpp"
 var $cmp90=($call89|0)==84; //@line 416 "InstructionBlockCompiler.cpp"
 if($cmp90){label=60;break;}else{label=61;break;} //@line 416 "InstructionBlockCompiler.cpp"
 case 60: 
 label=54;break; //@line 418 "InstructionBlockCompiler.cpp"
 case 61: 
 var $53=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 420 "InstructionBlockCompiler.cpp"
 var $call93=__ZN11Elementizer9GetColumnEv($53); //@line 420 "InstructionBlockCompiler.cpp"
 tempBigInt=$call93;HEAP8[(20216)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20217)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20218)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20219)]=tempBigInt&0xff; //@line 420 "InstructionBlockCompiler.cpp"
 var $54=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 421 "InstructionBlockCompiler.cpp"
 __ZN11Elementizer6BackupEv($54); //@line 421 "InstructionBlockCompiler.cpp"
 var $55=((((HEAPU8[(20216)])|(HEAPU8[(20217)]<<8)|(HEAPU8[(20218)]<<16)|(HEAPU8[(20219)]<<24))|0)); //@line 422 "InstructionBlockCompiler.cpp"
 var $56=$column_addr; //@line 422 "InstructionBlockCompiler.cpp"
 var $cmp94=($55|0)<=($56|0); //@line 422 "InstructionBlockCompiler.cpp"
 if($cmp94){label=62;break;}else{label=63;break;} //@line 422 "InstructionBlockCompiler.cpp"
 case 62: 
 label=85;break; //@line 424 "InstructionBlockCompiler.cpp"
 case 63: 
 var $57=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 427 "InstructionBlockCompiler.cpp"
 var $call97=__ZN11Elementizer7GetTypeEv($57); //@line 427 "InstructionBlockCompiler.cpp"
 var $cmp98=($call97|0)==39; //@line 427 "InstructionBlockCompiler.cpp"
 if($cmp98){label=64;break;}else{label=71;break;} //@line 427 "InstructionBlockCompiler.cpp"
 case 64: 
 var $58=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 430 "InstructionBlockCompiler.cpp"
 var $call100=__ZN11Elementizer7GetNextERb($58,$bEof); //@line 430 "InstructionBlockCompiler.cpp"
 if($call100){label=66;break;}else{label=65;break;} //@line 430 "InstructionBlockCompiler.cpp"
 case 65: 
 $retval=0; //@line 432 "InstructionBlockCompiler.cpp"
 label=86;break; //@line 432 "InstructionBlockCompiler.cpp"
 case 66: 
 var $59=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 434 "InstructionBlockCompiler.cpp"
 var $call103=__ZN11Elementizer7GetNextERb($59,$bEof); //@line 434 "InstructionBlockCompiler.cpp"
 if($call103){label=68;break;}else{label=67;break;} //@line 434 "InstructionBlockCompiler.cpp"
 case 67: 
 $retval=0; //@line 436 "InstructionBlockCompiler.cpp"
 label=86;break; //@line 436 "InstructionBlockCompiler.cpp"
 case 68: 
 var $60=((((HEAPU8[(20216)])|(HEAPU8[(20217)]<<8)|(HEAPU8[(20218)]<<16)|(HEAPU8[(20219)]<<24))|0)); //@line 438 "InstructionBlockCompiler.cpp"
 var $call106=__Z9SkipBlocki($60); //@line 438 "InstructionBlockCompiler.cpp"
 if($call106){label=70;break;}else{label=69;break;} //@line 438 "InstructionBlockCompiler.cpp"
 case 69: 
 $retval=0; //@line 440 "InstructionBlockCompiler.cpp"
 label=86;break; //@line 440 "InstructionBlockCompiler.cpp"
 case 70: 
 label=84;break; //@line 442 "InstructionBlockCompiler.cpp"
 case 71: 
 label=72;break; //@line 446 "InstructionBlockCompiler.cpp"
 case 72: 
 var $call112=__Z9SkipRangev(); //@line 448 "InstructionBlockCompiler.cpp"
 if($call112){label=74;break;}else{label=73;break;} //@line 448 "InstructionBlockCompiler.cpp"
 case 73: 
 $retval=0; //@line 450 "InstructionBlockCompiler.cpp"
 label=86;break; //@line 450 "InstructionBlockCompiler.cpp"
 case 74: 
 var $61=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 452 "InstructionBlockCompiler.cpp"
 var $call115=__ZN11Elementizer12CheckElementEi($61,5); //@line 452 "InstructionBlockCompiler.cpp"
 if($call115){label=76;break;}else{label=75;break;} //@line 452 "InstructionBlockCompiler.cpp"
 case 75: 
 label=77;break; //@line 454 "InstructionBlockCompiler.cpp"
 case 76: 
 label=72;break; //@line 456 "InstructionBlockCompiler.cpp"
 case 77: 
 var $62=$caseCount; //@line 457 "InstructionBlockCompiler.cpp"
 var $inc119=((($62)+(1))|0); //@line 457 "InstructionBlockCompiler.cpp"
 $caseCount=$inc119; //@line 457 "InstructionBlockCompiler.cpp"
 var $63=$caseCount; //@line 458 "InstructionBlockCompiler.cpp"
 var $64=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 458 "InstructionBlockCompiler.cpp"
 var $65=$64; //@line 458 "InstructionBlockCompiler.cpp"
 var $obj_ptr=(($65+16777264)|0); //@line 458 "InstructionBlockCompiler.cpp"
 var $66=((((HEAPU8[($obj_ptr)])|(HEAPU8[((($obj_ptr)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr)+(3))|0)]<<24))|0)); //@line 458 "InstructionBlockCompiler.cpp"
 __Z16BlockStack_Writeii($63,$66); //@line 458 "InstructionBlockCompiler.cpp"
 var $67=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 459 "InstructionBlockCompiler.cpp"
 var $call120=__ZN11Elementizer10GetElementEi($67,8); //@line 459 "InstructionBlockCompiler.cpp"
 if($call120){label=79;break;}else{label=78;break;} //@line 459 "InstructionBlockCompiler.cpp"
 case 78: 
 $retval=0; //@line 461 "InstructionBlockCompiler.cpp"
 label=86;break; //@line 461 "InstructionBlockCompiler.cpp"
 case 79: 
 var $68=((((HEAPU8[(20216)])|(HEAPU8[(20217)]<<8)|(HEAPU8[(20218)]<<16)|(HEAPU8[(20219)]<<24))|0)); //@line 463 "InstructionBlockCompiler.cpp"
 var $call123=__Z12CompileBlocki($68); //@line 463 "InstructionBlockCompiler.cpp"
 if($call123){label=81;break;}else{label=80;break;} //@line 463 "InstructionBlockCompiler.cpp"
 case 80: 
 $retval=0; //@line 465 "InstructionBlockCompiler.cpp"
 label=86;break; //@line 465 "InstructionBlockCompiler.cpp"
 case 81: 
 var $call126=__Z8EnterObjh(12); //@line 467 "InstructionBlockCompiler.cpp"
 if($call126){label=83;break;}else{label=82;break;} //@line 467 "InstructionBlockCompiler.cpp"
 case 82: 
 $retval=0; //@line 469 "InstructionBlockCompiler.cpp"
 label=86;break; //@line 469 "InstructionBlockCompiler.cpp"
 case 83: 
 label=84;break;
 case 84: 
 label=54;break; //@line 472 "InstructionBlockCompiler.cpp"
 case 85: 
 var $69=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 473 "InstructionBlockCompiler.cpp"
 var $70=$69; //@line 473 "InstructionBlockCompiler.cpp"
 var $obj_ptr131=(($70+16777264)|0); //@line 473 "InstructionBlockCompiler.cpp"
 var $71=((((HEAPU8[($obj_ptr131)])|(HEAPU8[((($obj_ptr131)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr131)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr131)+(3))|0)]<<24))|0)); //@line 473 "InstructionBlockCompiler.cpp"
 __Z16BlockStack_Writeii(0,$71); //@line 473 "InstructionBlockCompiler.cpp"
 $retval=1; //@line 474 "InstructionBlockCompiler.cpp"
 label=86;break; //@line 474 "InstructionBlockCompiler.cpp"
 case 86: 
 var $72=$retval; //@line 475 "InstructionBlockCompiler.cpp"
 STACKTOP=sp;return $72; //@line 475 "InstructionBlockCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z18CompileRepeatPlainii($column,$param){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+8)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $column_addr;
 var $param_addr;
 var $bEof=sp;
 var $byteCode;
 var $postType;
 $column_addr=$column;
 $param_addr=$param;
 var $0=$param_addr; //@line 494 "InstructionBlockCompiler.cpp"
 $param_addr=$0; //@line 494 "InstructionBlockCompiler.cpp"
 var $1=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 496 "InstructionBlockCompiler.cpp"
 var $2=$1; //@line 496 "InstructionBlockCompiler.cpp"
 var $obj_ptr=(($2+16777264)|0); //@line 496 "InstructionBlockCompiler.cpp"
 var $3=((((HEAPU8[($obj_ptr)])|(HEAPU8[((($obj_ptr)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr)+(3))|0)]<<24))|0)); //@line 496 "InstructionBlockCompiler.cpp"
 __Z16BlockStack_Writeii(2,$3); //@line 496 "InstructionBlockCompiler.cpp"
 var $4=HEAP8[(18895640)]; //@line 497 "InstructionBlockCompiler.cpp"
 var $tobool=(($4)&1); //@line 497 "InstructionBlockCompiler.cpp"
 if($tobool){label=3;break;}else{label=2;break;} //@line 497 "InstructionBlockCompiler.cpp"
 case 2: 
 var $5=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 499 "InstructionBlockCompiler.cpp"
 var $6=$5; //@line 499 "InstructionBlockCompiler.cpp"
 var $obj_ptr1=(($6+16777264)|0); //@line 499 "InstructionBlockCompiler.cpp"
 var $7=((((HEAPU8[($obj_ptr1)])|(HEAPU8[((($obj_ptr1)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr1)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr1)+(3))|0)]<<24))|0)); //@line 499 "InstructionBlockCompiler.cpp"
 __Z16BlockStack_Writeii(0,$7); //@line 499 "InstructionBlockCompiler.cpp"
 label=3;break; //@line 500 "InstructionBlockCompiler.cpp"
 case 3: 
 var $8=$column_addr; //@line 501 "InstructionBlockCompiler.cpp"
 var $call=__Z12CompileBlocki($8); //@line 501 "InstructionBlockCompiler.cpp"
 if($call){label=5;break;}else{label=4;break;} //@line 501 "InstructionBlockCompiler.cpp"
 case 4: 
 $retval=0; //@line 503 "InstructionBlockCompiler.cpp"
 label=25;break; //@line 503 "InstructionBlockCompiler.cpp"
 case 5: 
 HEAP8[($bEof)]=0; //@line 505 "InstructionBlockCompiler.cpp"
 var $9=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 506 "InstructionBlockCompiler.cpp"
 var $call4=__ZN11Elementizer7GetNextERb($9,$bEof); //@line 506 "InstructionBlockCompiler.cpp"
 if($call4){label=7;break;}else{label=6;break;} //@line 506 "InstructionBlockCompiler.cpp"
 case 6: 
 $retval=0; //@line 508 "InstructionBlockCompiler.cpp"
 label=25;break; //@line 508 "InstructionBlockCompiler.cpp"
 case 7: 
 $byteCode=4; //@line 510 "InstructionBlockCompiler.cpp"
 var $10=HEAP8[($bEof)]; //@line 511 "InstructionBlockCompiler.cpp"
 var $tobool7=(($10)&1); //@line 511 "InstructionBlockCompiler.cpp"
 if($tobool7){label=20;break;}else{label=8;break;} //@line 511 "InstructionBlockCompiler.cpp"
 case 8: 
 var $11=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 513 "InstructionBlockCompiler.cpp"
 var $call9=__ZN11Elementizer9GetColumnEv($11); //@line 513 "InstructionBlockCompiler.cpp"
 tempBigInt=$call9;HEAP8[(20216)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20217)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20218)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20219)]=tempBigInt&0xff; //@line 513 "InstructionBlockCompiler.cpp"
 var $12=((((HEAPU8[(20216)])|(HEAPU8[(20217)]<<8)|(HEAPU8[(20218)]<<16)|(HEAPU8[(20219)]<<24))|0)); //@line 514 "InstructionBlockCompiler.cpp"
 var $13=$column_addr; //@line 514 "InstructionBlockCompiler.cpp"
 var $cmp=($12|0)<($13|0); //@line 514 "InstructionBlockCompiler.cpp"
 if($cmp){label=9;break;}else{label=10;break;} //@line 514 "InstructionBlockCompiler.cpp"
 case 9: 
 var $14=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 516 "InstructionBlockCompiler.cpp"
 __ZN11Elementizer6BackupEv($14); //@line 516 "InstructionBlockCompiler.cpp"
 label=19;break; //@line 517 "InstructionBlockCompiler.cpp"
 case 10: 
 var $15=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 521 "InstructionBlockCompiler.cpp"
 var $call11=__ZN11Elementizer7GetTypeEv($15); //@line 521 "InstructionBlockCompiler.cpp"
 $postType=$call11; //@line 521 "InstructionBlockCompiler.cpp"
 var $16=$postType; //@line 522 "InstructionBlockCompiler.cpp"
 var $cmp12=($16|0)==42; //@line 522 "InstructionBlockCompiler.cpp"
 if($cmp12){label=12;break;}else{label=11;break;} //@line 522 "InstructionBlockCompiler.cpp"
 case 11: 
 var $17=$postType; //@line 522 "InstructionBlockCompiler.cpp"
 var $cmp13=($17|0)==43; //@line 522 "InstructionBlockCompiler.cpp"
 if($cmp13){label=12;break;}else{label=17;break;} //@line 522 "InstructionBlockCompiler.cpp"
 case 12: 
 HEAP8[(18895640)]=1; //@line 525 "InstructionBlockCompiler.cpp"
 var $18=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 526 "InstructionBlockCompiler.cpp"
 var $19=$18; //@line 526 "InstructionBlockCompiler.cpp"
 var $obj_ptr15=(($19+16777264)|0); //@line 526 "InstructionBlockCompiler.cpp"
 var $20=((((HEAPU8[($obj_ptr15)])|(HEAPU8[((($obj_ptr15)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr15)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr15)+(3))|0)]<<24))|0)); //@line 526 "InstructionBlockCompiler.cpp"
 __Z16BlockStack_Writeii(0,$20); //@line 526 "InstructionBlockCompiler.cpp"
 var $call16=__Z17CompileExpressionv(); //@line 527 "InstructionBlockCompiler.cpp"
 if($call16){label=14;break;}else{label=13;break;} //@line 527 "InstructionBlockCompiler.cpp"
 case 13: 
 $retval=0; //@line 529 "InstructionBlockCompiler.cpp"
 label=25;break; //@line 529 "InstructionBlockCompiler.cpp"
 case 14: 
 var $21=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 531 "InstructionBlockCompiler.cpp"
 var $call19=__ZN11Elementizer10GetElementEi($21,84); //@line 531 "InstructionBlockCompiler.cpp"
 if($call19){label=16;break;}else{label=15;break;} //@line 531 "InstructionBlockCompiler.cpp"
 case 15: 
 $retval=0; //@line 533 "InstructionBlockCompiler.cpp"
 label=25;break; //@line 533 "InstructionBlockCompiler.cpp"
 case 16: 
 var $22=$postType; //@line 535 "InstructionBlockCompiler.cpp"
 var $cmp22=($22|0)==42; //@line 535 "InstructionBlockCompiler.cpp"
 var $cond=($cmp22?11:10); //@line 535 "InstructionBlockCompiler.cpp"
 var $conv=(($cond)&255); //@line 535 "InstructionBlockCompiler.cpp"
 $byteCode=$conv; //@line 535 "InstructionBlockCompiler.cpp"
 label=18;break; //@line 536 "InstructionBlockCompiler.cpp"
 case 17: 
 var $23=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 539 "InstructionBlockCompiler.cpp"
 __ZN11Elementizer6BackupEv($23); //@line 539 "InstructionBlockCompiler.cpp"
 label=18;break;
 case 18: 
 label=19;break;
 case 19: 
 label=20;break; //@line 542 "InstructionBlockCompiler.cpp"
 case 20: 
 var $24=$byteCode; //@line 543 "InstructionBlockCompiler.cpp"
 var $call27=__Z8EnterObjh($24); //@line 543 "InstructionBlockCompiler.cpp"
 if($call27){label=22;break;}else{label=21;break;} //@line 543 "InstructionBlockCompiler.cpp"
 case 21: 
 $retval=0; //@line 545 "InstructionBlockCompiler.cpp"
 label=25;break; //@line 545 "InstructionBlockCompiler.cpp"
 case 22: 
 var $call30=__Z25BlockStack_CompileAddressi(2); //@line 547 "InstructionBlockCompiler.cpp"
 if($call30){label=24;break;}else{label=23;break;} //@line 547 "InstructionBlockCompiler.cpp"
 case 23: 
 $retval=0; //@line 549 "InstructionBlockCompiler.cpp"
 label=25;break; //@line 549 "InstructionBlockCompiler.cpp"
 case 24: 
 var $25=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 551 "InstructionBlockCompiler.cpp"
 var $26=$25; //@line 551 "InstructionBlockCompiler.cpp"
 var $obj_ptr33=(($26+16777264)|0); //@line 551 "InstructionBlockCompiler.cpp"
 var $27=((((HEAPU8[($obj_ptr33)])|(HEAPU8[((($obj_ptr33)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr33)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr33)+(3))|0)]<<24))|0)); //@line 551 "InstructionBlockCompiler.cpp"
 __Z16BlockStack_Writeii(1,$27); //@line 551 "InstructionBlockCompiler.cpp"
 $retval=1; //@line 553 "InstructionBlockCompiler.cpp"
 label=25;break; //@line 553 "InstructionBlockCompiler.cpp"
 case 25: 
 var $28=$retval; //@line 554 "InstructionBlockCompiler.cpp"
 STACKTOP=sp;return $28; //@line 554 "InstructionBlockCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z28CompileRepeatPreWhileOrUntilii($column,$param){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $column_addr;
 var $param_addr;
 $column_addr=$column;
 $param_addr=$param;
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 558 "InstructionBlockCompiler.cpp"
 var $1=$0; //@line 558 "InstructionBlockCompiler.cpp"
 var $obj_ptr=(($1+16777264)|0); //@line 558 "InstructionBlockCompiler.cpp"
 var $2=((((HEAPU8[($obj_ptr)])|(HEAPU8[((($obj_ptr)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr)+(3))|0)]<<24))|0)); //@line 558 "InstructionBlockCompiler.cpp"
 __Z16BlockStack_Writeii(0,$2); //@line 558 "InstructionBlockCompiler.cpp"
 var $call=__Z17CompileExpressionv(); //@line 559 "InstructionBlockCompiler.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 559 "InstructionBlockCompiler.cpp"
 case 2: 
 $retval=0; //@line 561 "InstructionBlockCompiler.cpp"
 label=16;break; //@line 561 "InstructionBlockCompiler.cpp"
 case 3: 
 var $3=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 563 "InstructionBlockCompiler.cpp"
 var $call1=__ZN11Elementizer10GetElementEi($3,84); //@line 563 "InstructionBlockCompiler.cpp"
 if($call1){label=5;break;}else{label=4;break;} //@line 563 "InstructionBlockCompiler.cpp"
 case 4: 
 $retval=0; //@line 565 "InstructionBlockCompiler.cpp"
 label=16;break; //@line 565 "InstructionBlockCompiler.cpp"
 case 5: 
 var $4=$param_addr; //@line 567 "InstructionBlockCompiler.cpp"
 var $and=$4&255; //@line 567 "InstructionBlockCompiler.cpp"
 var $conv=(($and)&255); //@line 567 "InstructionBlockCompiler.cpp"
 var $call4=__Z8EnterObjh($conv); //@line 567 "InstructionBlockCompiler.cpp"
 if($call4){label=7;break;}else{label=6;break;} //@line 567 "InstructionBlockCompiler.cpp"
 case 6: 
 $retval=0; //@line 569 "InstructionBlockCompiler.cpp"
 label=16;break; //@line 569 "InstructionBlockCompiler.cpp"
 case 7: 
 var $call7=__Z25BlockStack_CompileAddressi(1); //@line 571 "InstructionBlockCompiler.cpp"
 if($call7){label=9;break;}else{label=8;break;} //@line 571 "InstructionBlockCompiler.cpp"
 case 8: 
 $retval=0; //@line 573 "InstructionBlockCompiler.cpp"
 label=16;break; //@line 573 "InstructionBlockCompiler.cpp"
 case 9: 
 var $5=$column_addr; //@line 575 "InstructionBlockCompiler.cpp"
 var $call10=__Z12CompileBlocki($5); //@line 575 "InstructionBlockCompiler.cpp"
 if($call10){label=11;break;}else{label=10;break;} //@line 575 "InstructionBlockCompiler.cpp"
 case 10: 
 $retval=0; //@line 577 "InstructionBlockCompiler.cpp"
 label=16;break; //@line 577 "InstructionBlockCompiler.cpp"
 case 11: 
 var $call13=__Z8EnterObjh(4); //@line 579 "InstructionBlockCompiler.cpp"
 if($call13){label=13;break;}else{label=12;break;} //@line 579 "InstructionBlockCompiler.cpp"
 case 12: 
 $retval=0; //@line 581 "InstructionBlockCompiler.cpp"
 label=16;break; //@line 581 "InstructionBlockCompiler.cpp"
 case 13: 
 var $call16=__Z25BlockStack_CompileAddressi(0); //@line 583 "InstructionBlockCompiler.cpp"
 if($call16){label=15;break;}else{label=14;break;} //@line 583 "InstructionBlockCompiler.cpp"
 case 14: 
 $retval=0; //@line 585 "InstructionBlockCompiler.cpp"
 label=16;break; //@line 585 "InstructionBlockCompiler.cpp"
 case 15: 
 var $6=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 587 "InstructionBlockCompiler.cpp"
 var $7=$6; //@line 587 "InstructionBlockCompiler.cpp"
 var $obj_ptr19=(($7+16777264)|0); //@line 587 "InstructionBlockCompiler.cpp"
 var $8=((((HEAPU8[($obj_ptr19)])|(HEAPU8[((($obj_ptr19)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr19)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr19)+(3))|0)]<<24))|0)); //@line 587 "InstructionBlockCompiler.cpp"
 __Z16BlockStack_Writeii(1,$8); //@line 587 "InstructionBlockCompiler.cpp"
 $retval=1; //@line 588 "InstructionBlockCompiler.cpp"
 label=16;break; //@line 588 "InstructionBlockCompiler.cpp"
 case 16: 
 var $9=$retval; //@line 589 "InstructionBlockCompiler.cpp"
 STACKTOP=sp;return $9; //@line 589 "InstructionBlockCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z18CompileRepeatCountii($column,$param){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $column_addr;
 var $param_addr;
 $column_addr=$column;
 $param_addr=$param;
 var $0=$param_addr; //@line 593 "InstructionBlockCompiler.cpp"
 $param_addr=$0; //@line 593 "InstructionBlockCompiler.cpp"
 var $call=__Z17CompileExpressionv(); //@line 595 "InstructionBlockCompiler.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 595 "InstructionBlockCompiler.cpp"
 case 2: 
 $retval=0; //@line 597 "InstructionBlockCompiler.cpp"
 label=16;break; //@line 597 "InstructionBlockCompiler.cpp"
 case 3: 
 var $1=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 599 "InstructionBlockCompiler.cpp"
 var $call1=__ZN11Elementizer10GetElementEi($1,84); //@line 599 "InstructionBlockCompiler.cpp"
 if($call1){label=5;break;}else{label=4;break;} //@line 599 "InstructionBlockCompiler.cpp"
 case 4: 
 $retval=0; //@line 601 "InstructionBlockCompiler.cpp"
 label=16;break; //@line 601 "InstructionBlockCompiler.cpp"
 case 5: 
 var $call4=__Z8EnterObjh(8); //@line 603 "InstructionBlockCompiler.cpp"
 if($call4){label=7;break;}else{label=6;break;} //@line 603 "InstructionBlockCompiler.cpp"
 case 6: 
 $retval=0; //@line 605 "InstructionBlockCompiler.cpp"
 label=16;break; //@line 605 "InstructionBlockCompiler.cpp"
 case 7: 
 var $call7=__Z25BlockStack_CompileAddressi(1); //@line 607 "InstructionBlockCompiler.cpp"
 if($call7){label=9;break;}else{label=8;break;} //@line 607 "InstructionBlockCompiler.cpp"
 case 8: 
 $retval=0; //@line 609 "InstructionBlockCompiler.cpp"
 label=16;break; //@line 609 "InstructionBlockCompiler.cpp"
 case 9: 
 var $2=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 611 "InstructionBlockCompiler.cpp"
 var $3=$2; //@line 611 "InstructionBlockCompiler.cpp"
 var $obj_ptr=(($3+16777264)|0); //@line 611 "InstructionBlockCompiler.cpp"
 var $4=((((HEAPU8[($obj_ptr)])|(HEAPU8[((($obj_ptr)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr)+(3))|0)]<<24))|0)); //@line 611 "InstructionBlockCompiler.cpp"
 __Z16BlockStack_Writeii(2,$4); //@line 611 "InstructionBlockCompiler.cpp"
 var $5=$column_addr; //@line 612 "InstructionBlockCompiler.cpp"
 var $call10=__Z12CompileBlocki($5); //@line 612 "InstructionBlockCompiler.cpp"
 if($call10){label=11;break;}else{label=10;break;} //@line 612 "InstructionBlockCompiler.cpp"
 case 10: 
 $retval=0; //@line 614 "InstructionBlockCompiler.cpp"
 label=16;break; //@line 614 "InstructionBlockCompiler.cpp"
 case 11: 
 var $6=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 616 "InstructionBlockCompiler.cpp"
 var $7=$6; //@line 616 "InstructionBlockCompiler.cpp"
 var $obj_ptr13=(($7+16777264)|0); //@line 616 "InstructionBlockCompiler.cpp"
 var $8=((((HEAPU8[($obj_ptr13)])|(HEAPU8[((($obj_ptr13)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr13)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr13)+(3))|0)]<<24))|0)); //@line 616 "InstructionBlockCompiler.cpp"
 __Z16BlockStack_Writeii(0,$8); //@line 616 "InstructionBlockCompiler.cpp"
 var $call14=__Z8EnterObjh(9); //@line 617 "InstructionBlockCompiler.cpp"
 if($call14){label=13;break;}else{label=12;break;} //@line 617 "InstructionBlockCompiler.cpp"
 case 12: 
 $retval=0; //@line 619 "InstructionBlockCompiler.cpp"
 label=16;break; //@line 619 "InstructionBlockCompiler.cpp"
 case 13: 
 var $call17=__Z25BlockStack_CompileAddressi(2); //@line 621 "InstructionBlockCompiler.cpp"
 if($call17){label=15;break;}else{label=14;break;} //@line 621 "InstructionBlockCompiler.cpp"
 case 14: 
 $retval=0; //@line 623 "InstructionBlockCompiler.cpp"
 label=16;break; //@line 623 "InstructionBlockCompiler.cpp"
 case 15: 
 var $9=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 625 "InstructionBlockCompiler.cpp"
 var $10=$9; //@line 625 "InstructionBlockCompiler.cpp"
 var $obj_ptr20=(($10+16777264)|0); //@line 625 "InstructionBlockCompiler.cpp"
 var $11=((((HEAPU8[($obj_ptr20)])|(HEAPU8[((($obj_ptr20)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr20)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr20)+(3))|0)]<<24))|0)); //@line 625 "InstructionBlockCompiler.cpp"
 __Z16BlockStack_Writeii(1,$11); //@line 625 "InstructionBlockCompiler.cpp"
 $retval=1; //@line 626 "InstructionBlockCompiler.cpp"
 label=16;break; //@line 626 "InstructionBlockCompiler.cpp"
 case 16: 
 var $12=$retval; //@line 627 "InstructionBlockCompiler.cpp"
 STACKTOP=sp;return $12; //@line 627 "InstructionBlockCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z21CompileRepeatVariableii($column,$param){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+40)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $column_addr;
 var $param_addr;
 var $varType=sp;
 var $varSize=(sp)+(8);
 var $varAddress=(sp)+(16);
 var $varIndexSourcePtr=(sp)+(24);
 var $bEof=(sp)+(32);
 var $fromSourcePtr;
 var $byteCode;
 var $savedSourcePtr;
 var $savedSourcePtr63;
 $column_addr=$column;
 $param_addr=$param;
 var $0=$param_addr; //@line 631 "InstructionBlockCompiler.cpp"
 $param_addr=$0; //@line 631 "InstructionBlockCompiler.cpp"
 HEAP8[($varType)]=0; //@line 633 "InstructionBlockCompiler.cpp"
 HEAP8[($varSize)]=0; //@line 634 "InstructionBlockCompiler.cpp"
 tempBigInt=0;HEAP8[($varAddress)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($varAddress)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($varAddress)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($varAddress)+(3))|0)]=tempBigInt&0xff; //@line 635 "InstructionBlockCompiler.cpp"
 tempBigInt=0;HEAP8[($varIndexSourcePtr)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($varIndexSourcePtr)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($varIndexSourcePtr)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($varIndexSourcePtr)+(3))|0)]=tempBigInt&0xff; //@line 636 "InstructionBlockCompiler.cpp"
 var $call=__Z11GetVariableRhS_RiS0_($varType,$varSize,$varAddress,$varIndexSourcePtr); //@line 637 "InstructionBlockCompiler.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 637 "InstructionBlockCompiler.cpp"
 case 2: 
 $retval=0; //@line 639 "InstructionBlockCompiler.cpp"
 label=46;break; //@line 639 "InstructionBlockCompiler.cpp"
 case 3: 
 HEAP8[($bEof)]=0; //@line 642 "InstructionBlockCompiler.cpp"
 var $1=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 643 "InstructionBlockCompiler.cpp"
 var $call1=__ZN11Elementizer7GetNextERb($1,$bEof); //@line 643 "InstructionBlockCompiler.cpp"
 if($call1){label=5;break;}else{label=4;break;} //@line 643 "InstructionBlockCompiler.cpp"
 case 4: 
 $retval=0; //@line 645 "InstructionBlockCompiler.cpp"
 label=46;break; //@line 645 "InstructionBlockCompiler.cpp"
 case 5: 
 var $2=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 647 "InstructionBlockCompiler.cpp"
 var $call4=__ZN11Elementizer7GetTypeEv($2); //@line 647 "InstructionBlockCompiler.cpp"
 var $cmp=($call4|0)!=44; //@line 647 "InstructionBlockCompiler.cpp"
 if($cmp){label=6;break;}else{label=7;break;} //@line 647 "InstructionBlockCompiler.cpp"
 case 6: 
 var $3=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 649 "InstructionBlockCompiler.cpp"
 var $4=$3; //@line 649 "InstructionBlockCompiler.cpp"
 var $error=(($4)|0); //@line 649 "InstructionBlockCompiler.cpp"
 HEAP8[($error)]=1; //@line 649 "InstructionBlockCompiler.cpp"
 var $5=((((HEAPU8[(184)])|(HEAPU8[(185)]<<8)|(HEAPU8[(186)]<<16)|(HEAPU8[(187)]<<24))|0)); //@line 650 "InstructionBlockCompiler.cpp"
 var $6=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 650 "InstructionBlockCompiler.cpp"
 var $7=$6; //@line 650 "InstructionBlockCompiler.cpp"
 var $error_msg=(($7+4)|0); //@line 650 "InstructionBlockCompiler.cpp"
 tempBigInt=$5;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 650 "InstructionBlockCompiler.cpp"
 $retval=0; //@line 651 "InstructionBlockCompiler.cpp"
 label=46;break; //@line 651 "InstructionBlockCompiler.cpp"
 case 7: 
 var $8=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 653 "InstructionBlockCompiler.cpp"
 var $call7=__ZN11Elementizer12GetSourcePtrEv($8); //@line 653 "InstructionBlockCompiler.cpp"
 $fromSourcePtr=$call7; //@line 653 "InstructionBlockCompiler.cpp"
 var $9=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 654 "InstructionBlockCompiler.cpp"
 var $str_enable=(($9+17012876)|0); //@line 654 "InstructionBlockCompiler.cpp"
 HEAP8[($str_enable)]=0; //@line 654 "InstructionBlockCompiler.cpp"
 var $call8=__Z17CompileExpressionv(); //@line 655 "InstructionBlockCompiler.cpp"
 if($call8){label=9;break;}else{label=8;break;} //@line 655 "InstructionBlockCompiler.cpp"
 case 8: 
 $retval=0; //@line 657 "InstructionBlockCompiler.cpp"
 label=46;break; //@line 657 "InstructionBlockCompiler.cpp"
 case 9: 
 var $10=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 659 "InstructionBlockCompiler.cpp"
 var $str_enable11=(($10+17012876)|0); //@line 659 "InstructionBlockCompiler.cpp"
 HEAP8[($str_enable11)]=1; //@line 659 "InstructionBlockCompiler.cpp"
 var $11=HEAP8[($varType)]; //@line 661 "InstructionBlockCompiler.cpp"
 var $12=HEAP8[($varSize)]; //@line 661 "InstructionBlockCompiler.cpp"
 var $13=((((HEAPU8[($varAddress)])|(HEAPU8[((($varAddress)+(1))|0)]<<8)|(HEAPU8[((($varAddress)+(2))|0)]<<16)|(HEAPU8[((($varAddress)+(3))|0)]<<24))|0)); //@line 661 "InstructionBlockCompiler.cpp"
 var $14=((((HEAPU8[($varIndexSourcePtr)])|(HEAPU8[((($varIndexSourcePtr)+(1))|0)]<<8)|(HEAPU8[((($varIndexSourcePtr)+(2))|0)]<<16)|(HEAPU8[((($varIndexSourcePtr)+(3))|0)]<<24))|0)); //@line 661 "InstructionBlockCompiler.cpp"
 var $call12=__Z15CompileVariablehhhhii(1,0,$11,$12,$13,$14); //@line 661 "InstructionBlockCompiler.cpp"
 if($call12){label=11;break;}else{label=10;break;} //@line 661 "InstructionBlockCompiler.cpp"
 case 10: 
 $retval=0; //@line 663 "InstructionBlockCompiler.cpp"
 label=46;break; //@line 663 "InstructionBlockCompiler.cpp"
 case 11: 
 var $15=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 665 "InstructionBlockCompiler.cpp"
 var $16=$15; //@line 665 "InstructionBlockCompiler.cpp"
 var $obj_ptr=(($16+16777264)|0); //@line 665 "InstructionBlockCompiler.cpp"
 var $17=((((HEAPU8[($obj_ptr)])|(HEAPU8[((($obj_ptr)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr)+(3))|0)]<<24))|0)); //@line 665 "InstructionBlockCompiler.cpp"
 __Z16BlockStack_Writeii(2,$17); //@line 665 "InstructionBlockCompiler.cpp"
 var $18=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 667 "InstructionBlockCompiler.cpp"
 var $call15=__ZN11Elementizer7GetNextERb($18,$bEof); //@line 667 "InstructionBlockCompiler.cpp"
 if($call15){label=13;break;}else{label=12;break;} //@line 667 "InstructionBlockCompiler.cpp"
 case 12: 
 $retval=0; //@line 669 "InstructionBlockCompiler.cpp"
 label=46;break; //@line 669 "InstructionBlockCompiler.cpp"
 case 13: 
 var $19=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 671 "InstructionBlockCompiler.cpp"
 var $call18=__ZN11Elementizer7GetTypeEv($19); //@line 671 "InstructionBlockCompiler.cpp"
 var $cmp19=($call18|0)!=45; //@line 671 "InstructionBlockCompiler.cpp"
 if($cmp19){label=14;break;}else{label=15;break;} //@line 671 "InstructionBlockCompiler.cpp"
 case 14: 
 var $20=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 673 "InstructionBlockCompiler.cpp"
 var $21=$20; //@line 673 "InstructionBlockCompiler.cpp"
 var $error21=(($21)|0); //@line 673 "InstructionBlockCompiler.cpp"
 HEAP8[($error21)]=1; //@line 673 "InstructionBlockCompiler.cpp"
 var $22=((((HEAPU8[(236)])|(HEAPU8[(237)]<<8)|(HEAPU8[(238)]<<16)|(HEAPU8[(239)]<<24))|0)); //@line 674 "InstructionBlockCompiler.cpp"
 var $23=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 674 "InstructionBlockCompiler.cpp"
 var $24=$23; //@line 674 "InstructionBlockCompiler.cpp"
 var $error_msg22=(($24+4)|0); //@line 674 "InstructionBlockCompiler.cpp"
 tempBigInt=$22;HEAP8[($error_msg22)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg22)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg22)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg22)+(3))|0)]=tempBigInt&0xff; //@line 674 "InstructionBlockCompiler.cpp"
 $retval=0; //@line 675 "InstructionBlockCompiler.cpp"
 label=46;break; //@line 675 "InstructionBlockCompiler.cpp"
 case 15: 
 var $25=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 677 "InstructionBlockCompiler.cpp"
 var $str_enable24=(($25+17012876)|0); //@line 677 "InstructionBlockCompiler.cpp"
 HEAP8[($str_enable24)]=0; //@line 677 "InstructionBlockCompiler.cpp"
 var $call25=__Z14SkipExpressionv(); //@line 678 "InstructionBlockCompiler.cpp"
 if($call25){label=17;break;}else{label=16;break;} //@line 678 "InstructionBlockCompiler.cpp"
 case 16: 
 $retval=0; //@line 680 "InstructionBlockCompiler.cpp"
 label=46;break; //@line 680 "InstructionBlockCompiler.cpp"
 case 17: 
 var $26=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 682 "InstructionBlockCompiler.cpp"
 var $str_enable28=(($26+17012876)|0); //@line 682 "InstructionBlockCompiler.cpp"
 HEAP8[($str_enable28)]=1; //@line 682 "InstructionBlockCompiler.cpp"
 var $27=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 684 "InstructionBlockCompiler.cpp"
 var $call29=__ZN11Elementizer7GetNextERb($27,$bEof); //@line 684 "InstructionBlockCompiler.cpp"
 if($call29){label=19;break;}else{label=18;break;} //@line 684 "InstructionBlockCompiler.cpp"
 case 18: 
 $retval=0; //@line 686 "InstructionBlockCompiler.cpp"
 label=46;break; //@line 686 "InstructionBlockCompiler.cpp"
 case 19: 
 $byteCode=0; //@line 688 "InstructionBlockCompiler.cpp"
 var $28=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 689 "InstructionBlockCompiler.cpp"
 var $call32=__ZN11Elementizer7GetTypeEv($28); //@line 689 "InstructionBlockCompiler.cpp"
 var $cmp33=($call32|0)==46; //@line 689 "InstructionBlockCompiler.cpp"
 if($cmp33){label=20;break;}else{label=29;break;} //@line 689 "InstructionBlockCompiler.cpp"
 case 20: 
 var $29=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 692 "InstructionBlockCompiler.cpp"
 var $call35=__ZN11Elementizer12GetSourcePtrEv($29); //@line 692 "InstructionBlockCompiler.cpp"
 $savedSourcePtr=$call35; //@line 692 "InstructionBlockCompiler.cpp"
 var $30=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 693 "InstructionBlockCompiler.cpp"
 var $str_enable36=(($30+17012876)|0); //@line 693 "InstructionBlockCompiler.cpp"
 HEAP8[($str_enable36)]=0; //@line 693 "InstructionBlockCompiler.cpp"
 var $call37=__Z14SkipExpressionv(); //@line 694 "InstructionBlockCompiler.cpp"
 if($call37){label=22;break;}else{label=21;break;} //@line 694 "InstructionBlockCompiler.cpp"
 case 21: 
 $retval=0; //@line 696 "InstructionBlockCompiler.cpp"
 label=46;break; //@line 696 "InstructionBlockCompiler.cpp"
 case 22: 
 var $31=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 698 "InstructionBlockCompiler.cpp"
 var $str_enable40=(($31+17012876)|0); //@line 698 "InstructionBlockCompiler.cpp"
 HEAP8[($str_enable40)]=1; //@line 698 "InstructionBlockCompiler.cpp"
 var $32=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 699 "InstructionBlockCompiler.cpp"
 var $call41=__ZN11Elementizer10GetElementEi($32,84); //@line 699 "InstructionBlockCompiler.cpp"
 if($call41){label=24;break;}else{label=23;break;} //@line 699 "InstructionBlockCompiler.cpp"
 case 23: 
 $retval=0; //@line 701 "InstructionBlockCompiler.cpp"
 label=46;break; //@line 701 "InstructionBlockCompiler.cpp"
 case 24: 
 var $33=$column_addr; //@line 703 "InstructionBlockCompiler.cpp"
 var $call44=__Z12CompileBlocki($33); //@line 703 "InstructionBlockCompiler.cpp"
 if($call44){label=26;break;}else{label=25;break;} //@line 703 "InstructionBlockCompiler.cpp"
 case 25: 
 $retval=0; //@line 705 "InstructionBlockCompiler.cpp"
 label=46;break; //@line 705 "InstructionBlockCompiler.cpp"
 case 26: 
 var $34=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 707 "InstructionBlockCompiler.cpp"
 var $35=$34; //@line 707 "InstructionBlockCompiler.cpp"
 var $obj_ptr47=(($35+16777264)|0); //@line 707 "InstructionBlockCompiler.cpp"
 var $36=((((HEAPU8[($obj_ptr47)])|(HEAPU8[((($obj_ptr47)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr47)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr47)+(3))|0)]<<24))|0)); //@line 707 "InstructionBlockCompiler.cpp"
 __Z16BlockStack_Writeii(0,$36); //@line 707 "InstructionBlockCompiler.cpp"
 var $37=$savedSourcePtr; //@line 708 "InstructionBlockCompiler.cpp"
 var $call48=__Z30CompileOutOfSequenceExpressioni($37); //@line 708 "InstructionBlockCompiler.cpp"
 if($call48){label=28;break;}else{label=27;break;} //@line 708 "InstructionBlockCompiler.cpp"
 case 27: 
 $retval=0; //@line 710 "InstructionBlockCompiler.cpp"
 label=46;break; //@line 710 "InstructionBlockCompiler.cpp"
 case 28: 
 $byteCode=6; //@line 712 "InstructionBlockCompiler.cpp"
 label=35;break; //@line 713 "InstructionBlockCompiler.cpp"
 case 29: 
 var $38=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 714 "InstructionBlockCompiler.cpp"
 var $call51=__ZN11Elementizer7GetTypeEv($38); //@line 714 "InstructionBlockCompiler.cpp"
 var $cmp52=($call51|0)==84; //@line 714 "InstructionBlockCompiler.cpp"
 if($cmp52){label=30;break;}else{label=33;break;} //@line 714 "InstructionBlockCompiler.cpp"
 case 30: 
 var $39=$column_addr; //@line 717 "InstructionBlockCompiler.cpp"
 var $call54=__Z12CompileBlocki($39); //@line 717 "InstructionBlockCompiler.cpp"
 if($call54){label=32;break;}else{label=31;break;} //@line 717 "InstructionBlockCompiler.cpp"
 case 31: 
 $retval=0; //@line 719 "InstructionBlockCompiler.cpp"
 label=46;break; //@line 719 "InstructionBlockCompiler.cpp"
 case 32: 
 var $40=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 721 "InstructionBlockCompiler.cpp"
 var $41=$40; //@line 721 "InstructionBlockCompiler.cpp"
 var $obj_ptr57=(($41+16777264)|0); //@line 721 "InstructionBlockCompiler.cpp"
 var $42=((((HEAPU8[($obj_ptr57)])|(HEAPU8[((($obj_ptr57)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr57)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr57)+(3))|0)]<<24))|0)); //@line 721 "InstructionBlockCompiler.cpp"
 __Z16BlockStack_Writeii(0,$42); //@line 721 "InstructionBlockCompiler.cpp"
 $byteCode=2; //@line 722 "InstructionBlockCompiler.cpp"
 label=34;break; //@line 723 "InstructionBlockCompiler.cpp"
 case 33: 
 var $43=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 726 "InstructionBlockCompiler.cpp"
 var $44=$43; //@line 726 "InstructionBlockCompiler.cpp"
 var $error59=(($44)|0); //@line 726 "InstructionBlockCompiler.cpp"
 HEAP8[($error59)]=1; //@line 726 "InstructionBlockCompiler.cpp"
 var $45=((((HEAPU8[(232)])|(HEAPU8[(233)]<<8)|(HEAPU8[(234)]<<16)|(HEAPU8[(235)]<<24))|0)); //@line 727 "InstructionBlockCompiler.cpp"
 var $46=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 727 "InstructionBlockCompiler.cpp"
 var $47=$46; //@line 727 "InstructionBlockCompiler.cpp"
 var $error_msg60=(($47+4)|0); //@line 727 "InstructionBlockCompiler.cpp"
 tempBigInt=$45;HEAP8[($error_msg60)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg60)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg60)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg60)+(3))|0)]=tempBigInt&0xff; //@line 727 "InstructionBlockCompiler.cpp"
 $retval=0; //@line 728 "InstructionBlockCompiler.cpp"
 label=46;break; //@line 728 "InstructionBlockCompiler.cpp"
 case 34: 
 label=35;break;
 case 35: 
 var $48=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 731 "InstructionBlockCompiler.cpp"
 var $call64=__ZN11Elementizer12GetSourcePtrEv($48); //@line 731 "InstructionBlockCompiler.cpp"
 $savedSourcePtr63=$call64; //@line 731 "InstructionBlockCompiler.cpp"
 var $49=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 732 "InstructionBlockCompiler.cpp"
 var $50=$fromSourcePtr; //@line 732 "InstructionBlockCompiler.cpp"
 __ZN11Elementizer12SetSourcePtrEi($49,$50); //@line 732 "InstructionBlockCompiler.cpp"
 var $call65=__Z17CompileExpressionv(); //@line 733 "InstructionBlockCompiler.cpp"
 if($call65){label=37;break;}else{label=36;break;} //@line 733 "InstructionBlockCompiler.cpp"
 case 36: 
 $retval=0; //@line 735 "InstructionBlockCompiler.cpp"
 label=46;break; //@line 735 "InstructionBlockCompiler.cpp"
 case 37: 
 var $51=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 737 "InstructionBlockCompiler.cpp"
 var $call68=__ZN11Elementizer7GetNextERb($51,$bEof); //@line 737 "InstructionBlockCompiler.cpp"
 if($call68){label=39;break;}else{label=38;break;} //@line 737 "InstructionBlockCompiler.cpp"
 case 38: 
 $retval=0; //@line 739 "InstructionBlockCompiler.cpp"
 label=46;break; //@line 739 "InstructionBlockCompiler.cpp"
 case 39: 
 var $call71=__Z17CompileExpressionv(); //@line 741 "InstructionBlockCompiler.cpp"
 if($call71){label=41;break;}else{label=40;break;} //@line 741 "InstructionBlockCompiler.cpp"
 case 40: 
 $retval=0; //@line 743 "InstructionBlockCompiler.cpp"
 label=46;break; //@line 743 "InstructionBlockCompiler.cpp"
 case 41: 
 var $52=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 745 "InstructionBlockCompiler.cpp"
 var $53=$savedSourcePtr63; //@line 745 "InstructionBlockCompiler.cpp"
 __ZN11Elementizer12SetSourcePtrEi($52,$53); //@line 745 "InstructionBlockCompiler.cpp"
 var $54=$byteCode; //@line 746 "InstructionBlockCompiler.cpp"
 var $55=HEAP8[($varType)]; //@line 746 "InstructionBlockCompiler.cpp"
 var $56=HEAP8[($varSize)]; //@line 746 "InstructionBlockCompiler.cpp"
 var $57=((((HEAPU8[($varAddress)])|(HEAPU8[((($varAddress)+(1))|0)]<<8)|(HEAPU8[((($varAddress)+(2))|0)]<<16)|(HEAPU8[((($varAddress)+(3))|0)]<<24))|0)); //@line 746 "InstructionBlockCompiler.cpp"
 var $58=((((HEAPU8[($varIndexSourcePtr)])|(HEAPU8[((($varIndexSourcePtr)+(1))|0)]<<8)|(HEAPU8[((($varIndexSourcePtr)+(2))|0)]<<16)|(HEAPU8[((($varIndexSourcePtr)+(3))|0)]<<24))|0)); //@line 746 "InstructionBlockCompiler.cpp"
 var $call74=__Z22CompileVariable_Assignhhhii($54,$55,$56,$57,$58); //@line 746 "InstructionBlockCompiler.cpp"
 if($call74){label=43;break;}else{label=42;break;} //@line 746 "InstructionBlockCompiler.cpp"
 case 42: 
 $retval=0; //@line 748 "InstructionBlockCompiler.cpp"
 label=46;break; //@line 748 "InstructionBlockCompiler.cpp"
 case 43: 
 var $call77=__Z25BlockStack_CompileAddressi(2); //@line 750 "InstructionBlockCompiler.cpp"
 if($call77){label=45;break;}else{label=44;break;} //@line 750 "InstructionBlockCompiler.cpp"
 case 44: 
 $retval=0; //@line 752 "InstructionBlockCompiler.cpp"
 label=46;break; //@line 752 "InstructionBlockCompiler.cpp"
 case 45: 
 var $59=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 754 "InstructionBlockCompiler.cpp"
 var $60=$59; //@line 754 "InstructionBlockCompiler.cpp"
 var $obj_ptr80=(($60+16777264)|0); //@line 754 "InstructionBlockCompiler.cpp"
 var $61=((((HEAPU8[($obj_ptr80)])|(HEAPU8[((($obj_ptr80)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr80)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr80)+(3))|0)]<<24))|0)); //@line 754 "InstructionBlockCompiler.cpp"
 __Z16BlockStack_Writeii(1,$61); //@line 754 "InstructionBlockCompiler.cpp"
 $retval=1; //@line 755 "InstructionBlockCompiler.cpp"
 label=46;break; //@line 755 "InstructionBlockCompiler.cpp"
 case 46: 
 var $62=$retval; //@line 756 "InstructionBlockCompiler.cpp"
 STACKTOP=sp;return $62; //@line 756 "InstructionBlockCompiler.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z25StringConstant_PreProcessv(){
 var label=0;


 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 25 "StringConstantRoutines.cpp"
 var $str_enable=(($0+17012876)|0); //@line 25 "StringConstantRoutines.cpp"
 HEAP8[($str_enable)]=1; //@line 25 "StringConstantRoutines.cpp"
 var $1=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 26 "StringConstantRoutines.cpp"
 var $str_patch_enable=(($1+17012877)|0); //@line 26 "StringConstantRoutines.cpp"
 HEAP8[($str_patch_enable)]=1; //@line 26 "StringConstantRoutines.cpp"
 var $2=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 27 "StringConstantRoutines.cpp"
 var $str_count=(($2+17012880)|0); //@line 27 "StringConstantRoutines.cpp"
 tempBigInt=0;HEAP8[($str_count)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($str_count)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($str_count)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($str_count)+(3))|0)]=tempBigInt&0xff; //@line 27 "StringConstantRoutines.cpp"
 var $3=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 28 "StringConstantRoutines.cpp"
 var $str_buffer_ptr=(($3+17012884)|0); //@line 28 "StringConstantRoutines.cpp"
 tempBigInt=0;HEAP8[($str_buffer_ptr)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($str_buffer_ptr)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($str_buffer_ptr)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($str_buffer_ptr)+(3))|0)]=tempBigInt&0xff; //@line 28 "StringConstantRoutines.cpp"
 return; //@line 29 "StringConstantRoutines.cpp"
}


function __Z23StringConstant_GetIndexv(){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $strIndex;
 $strIndex=0; //@line 33 "StringConstantRoutines.cpp"
 $strIndex=0; //@line 34 "StringConstantRoutines.cpp"
 label=2;break; //@line 34 "StringConstantRoutines.cpp"
 case 2: 
 var $0=$strIndex; //@line 34 "StringConstantRoutines.cpp"
 var $1=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 34 "StringConstantRoutines.cpp"
 var $str_count=(($1+17012880)|0); //@line 34 "StringConstantRoutines.cpp"
 var $2=((((HEAPU8[($str_count)])|(HEAPU8[((($str_count)+(1))|0)]<<8)|(HEAPU8[((($str_count)+(2))|0)]<<16)|(HEAPU8[((($str_count)+(3))|0)]<<24))|0)); //@line 34 "StringConstantRoutines.cpp"
 var $cmp=($0|0)<($2|0); //@line 34 "StringConstantRoutines.cpp"
 if($cmp){label=3;break;}else{label=7;break;} //@line 34 "StringConstantRoutines.cpp"
 case 3: 
 var $3=$strIndex; //@line 36 "StringConstantRoutines.cpp"
 var $4=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 36 "StringConstantRoutines.cpp"
 var $str_source=(($4+17045656)|0); //@line 36 "StringConstantRoutines.cpp"
 var $arrayidx=(($str_source+($3<<2))|0); //@line 36 "StringConstantRoutines.cpp"
 var $5=((((HEAPU8[($arrayidx)])|(HEAPU8[((($arrayidx)+(1))|0)]<<8)|(HEAPU8[((($arrayidx)+(2))|0)]<<16)|(HEAPU8[((($arrayidx)+(3))|0)]<<24))|0)); //@line 36 "StringConstantRoutines.cpp"
 var $6=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 36 "StringConstantRoutines.cpp"
 var $7=$6; //@line 36 "StringConstantRoutines.cpp"
 var $source_start=(($7+16)|0); //@line 36 "StringConstantRoutines.cpp"
 var $8=((((HEAPU8[($source_start)])|(HEAPU8[((($source_start)+(1))|0)]<<8)|(HEAPU8[((($source_start)+(2))|0)]<<16)|(HEAPU8[((($source_start)+(3))|0)]<<24))|0)); //@line 36 "StringConstantRoutines.cpp"
 var $cmp1=($5|0)==($8|0); //@line 36 "StringConstantRoutines.cpp"
 if($cmp1){label=4;break;}else{label=5;break;} //@line 36 "StringConstantRoutines.cpp"
 case 4: 
 label=7;break; //@line 38 "StringConstantRoutines.cpp"
 case 5: 
 label=6;break; //@line 40 "StringConstantRoutines.cpp"
 case 6: 
 var $9=$strIndex; //@line 34 "StringConstantRoutines.cpp"
 var $inc=((($9)+(1))|0); //@line 34 "StringConstantRoutines.cpp"
 $strIndex=$inc; //@line 34 "StringConstantRoutines.cpp"
 label=2;break; //@line 34 "StringConstantRoutines.cpp"
 case 7: 
 var $10=$strIndex; //@line 42 "StringConstantRoutines.cpp"
 var $11=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 42 "StringConstantRoutines.cpp"
 var $str_count2=(($11+17012880)|0); //@line 42 "StringConstantRoutines.cpp"
 var $12=((((HEAPU8[($str_count2)])|(HEAPU8[((($str_count2)+(1))|0)]<<8)|(HEAPU8[((($str_count2)+(2))|0)]<<16)|(HEAPU8[((($str_count2)+(3))|0)]<<24))|0)); //@line 42 "StringConstantRoutines.cpp"
 var $cmp3=($10|0)==($12|0); //@line 42 "StringConstantRoutines.cpp"
 if($cmp3){label=8;break;}else{label=11;break;} //@line 42 "StringConstantRoutines.cpp"
 case 8: 
 var $13=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 45 "StringConstantRoutines.cpp"
 var $str_count5=(($13+17012880)|0); //@line 45 "StringConstantRoutines.cpp"
 var $14=((((HEAPU8[($str_count5)])|(HEAPU8[((($str_count5)+(1))|0)]<<8)|(HEAPU8[((($str_count5)+(2))|0)]<<16)|(HEAPU8[((($str_count5)+(3))|0)]<<24))|0)); //@line 45 "StringConstantRoutines.cpp"
 var $cmp6=($14|0)>256; //@line 45 "StringConstantRoutines.cpp"
 if($cmp6){label=9;break;}else{label=10;break;} //@line 45 "StringConstantRoutines.cpp"
 case 9: 
 var $15=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 47 "StringConstantRoutines.cpp"
 var $16=$15; //@line 47 "StringConstantRoutines.cpp"
 var $error=(($16)|0); //@line 47 "StringConstantRoutines.cpp"
 HEAP8[($error)]=1; //@line 47 "StringConstantRoutines.cpp"
 var $17=((((HEAPU8[(452)])|(HEAPU8[(453)]<<8)|(HEAPU8[(454)]<<16)|(HEAPU8[(455)]<<24))|0)); //@line 48 "StringConstantRoutines.cpp"
 var $18=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 48 "StringConstantRoutines.cpp"
 var $19=$18; //@line 48 "StringConstantRoutines.cpp"
 var $error_msg=(($19+4)|0); //@line 48 "StringConstantRoutines.cpp"
 tempBigInt=$17;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 48 "StringConstantRoutines.cpp"
 $retval=0; //@line 49 "StringConstantRoutines.cpp"
 label=13;break; //@line 49 "StringConstantRoutines.cpp"
 case 10: 
 var $20=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 51 "StringConstantRoutines.cpp"
 var $str_count9=(($20+17012880)|0); //@line 51 "StringConstantRoutines.cpp"
 var $21=((((HEAPU8[($str_count9)])|(HEAPU8[((($str_count9)+(1))|0)]<<8)|(HEAPU8[((($str_count9)+(2))|0)]<<16)|(HEAPU8[((($str_count9)+(3))|0)]<<24))|0)); //@line 51 "StringConstantRoutines.cpp"
 var $inc10=((($21)+(1))|0); //@line 51 "StringConstantRoutines.cpp"
 tempBigInt=$inc10;HEAP8[($str_count9)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($str_count9)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($str_count9)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($str_count9)+(3))|0)]=tempBigInt&0xff; //@line 51 "StringConstantRoutines.cpp"
 var $22=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 52 "StringConstantRoutines.cpp"
 var $23=$22; //@line 52 "StringConstantRoutines.cpp"
 var $source_start11=(($23+16)|0); //@line 52 "StringConstantRoutines.cpp"
 var $24=((((HEAPU8[($source_start11)])|(HEAPU8[((($source_start11)+(1))|0)]<<8)|(HEAPU8[((($source_start11)+(2))|0)]<<16)|(HEAPU8[((($source_start11)+(3))|0)]<<24))|0)); //@line 52 "StringConstantRoutines.cpp"
 var $25=$strIndex; //@line 52 "StringConstantRoutines.cpp"
 var $26=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 52 "StringConstantRoutines.cpp"
 var $str_source12=(($26+17045656)|0); //@line 52 "StringConstantRoutines.cpp"
 var $arrayidx13=(($str_source12+($25<<2))|0); //@line 52 "StringConstantRoutines.cpp"
 tempBigInt=$24;HEAP8[($arrayidx13)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx13)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx13)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx13)+(3))|0)]=tempBigInt&0xff; //@line 52 "StringConstantRoutines.cpp"
 var $27=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 53 "StringConstantRoutines.cpp"
 var $str_buffer_ptr=(($27+17012884)|0); //@line 53 "StringConstantRoutines.cpp"
 var $28=((((HEAPU8[($str_buffer_ptr)])|(HEAPU8[((($str_buffer_ptr)+(1))|0)]<<8)|(HEAPU8[((($str_buffer_ptr)+(2))|0)]<<16)|(HEAPU8[((($str_buffer_ptr)+(3))|0)]<<24))|0)); //@line 53 "StringConstantRoutines.cpp"
 var $29=$strIndex; //@line 53 "StringConstantRoutines.cpp"
 var $30=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 53 "StringConstantRoutines.cpp"
 var $str_offset=(($30+17047704)|0); //@line 53 "StringConstantRoutines.cpp"
 var $arrayidx14=(($str_offset+($29<<2))|0); //@line 53 "StringConstantRoutines.cpp"
 tempBigInt=$28;HEAP8[($arrayidx14)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx14)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx14)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx14)+(3))|0)]=tempBigInt&0xff; //@line 53 "StringConstantRoutines.cpp"
 label=12;break; //@line 54 "StringConstantRoutines.cpp"
 case 11: 
 var $31=$strIndex; //@line undefined "StringConstantRoutines.cpp"
 var $32=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line undefined "StringConstantRoutines.cpp"
 var $str_offset15=(($32+17047704)|0); //@line undefined "StringConstantRoutines.cpp"
 var $arrayidx16=(($str_offset15+($31<<2))|0); //@line undefined "StringConstantRoutines.cpp"
 var $33=((((HEAPU8[($arrayidx16)])|(HEAPU8[((($arrayidx16)+(1))|0)]<<8)|(HEAPU8[((($arrayidx16)+(2))|0)]<<16)|(HEAPU8[((($arrayidx16)+(3))|0)]<<24))|0)); //@line undefined "StringConstantRoutines.cpp"
 var $34=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line undefined "StringConstantRoutines.cpp"
 var $str_buffer_ptr17=(($34+17012884)|0); //@line undefined "StringConstantRoutines.cpp"
 tempBigInt=$33;HEAP8[($str_buffer_ptr17)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($str_buffer_ptr17)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($str_buffer_ptr17)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($str_buffer_ptr17)+(3))|0)]=tempBigInt&0xff; //@line undefined "StringConstantRoutines.cpp"
 label=12;break;
 case 12: 
 var $35=$strIndex; //@line 61 "StringConstantRoutines.cpp"
 var $36=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 61 "StringConstantRoutines.cpp"
 var $str_index=(($36+17048728)|0); //@line 61 "StringConstantRoutines.cpp"
 tempBigInt=$35;HEAP8[($str_index)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($str_index)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($str_index)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($str_index)+(3))|0)]=tempBigInt&0xff; //@line 61 "StringConstantRoutines.cpp"
 $retval=1; //@line 63 "StringConstantRoutines.cpp"
 label=13;break; //@line 63 "StringConstantRoutines.cpp"
 case 13: 
 var $37=$retval; //@line 64 "StringConstantRoutines.cpp"
 STACKTOP=sp;return $37; //@line 64 "StringConstantRoutines.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z24StringConstant_EnterCharh($theChar){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $theChar_addr;
 $theChar_addr=$theChar;
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 68 "StringConstantRoutines.cpp"
 var $str_buffer_ptr=(($0+17012884)|0); //@line 68 "StringConstantRoutines.cpp"
 var $1=((((HEAPU8[($str_buffer_ptr)])|(HEAPU8[((($str_buffer_ptr)+(1))|0)]<<8)|(HEAPU8[((($str_buffer_ptr)+(2))|0)]<<16)|(HEAPU8[((($str_buffer_ptr)+(3))|0)]<<24))|0)); //@line 68 "StringConstantRoutines.cpp"
 var $cmp=($1|0)>=32768; //@line 68 "StringConstantRoutines.cpp"
 if($cmp){label=2;break;}else{label=3;break;} //@line 68 "StringConstantRoutines.cpp"
 case 2: 
 var $2=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 70 "StringConstantRoutines.cpp"
 var $3=$2; //@line 70 "StringConstantRoutines.cpp"
 var $error=(($3)|0); //@line 70 "StringConstantRoutines.cpp"
 HEAP8[($error)]=1; //@line 70 "StringConstantRoutines.cpp"
 var $4=((((HEAPU8[(456)])|(HEAPU8[(457)]<<8)|(HEAPU8[(458)]<<16)|(HEAPU8[(459)]<<24))|0)); //@line 71 "StringConstantRoutines.cpp"
 var $5=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 71 "StringConstantRoutines.cpp"
 var $6=$5; //@line 71 "StringConstantRoutines.cpp"
 var $error_msg=(($6+4)|0); //@line 71 "StringConstantRoutines.cpp"
 tempBigInt=$4;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 71 "StringConstantRoutines.cpp"
 $retval=0; //@line 72 "StringConstantRoutines.cpp"
 label=4;break; //@line 72 "StringConstantRoutines.cpp"
 case 3: 
 var $7=$theChar_addr; //@line 74 "StringConstantRoutines.cpp"
 var $8=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 74 "StringConstantRoutines.cpp"
 var $str_buffer_ptr1=(($8+17012884)|0); //@line 74 "StringConstantRoutines.cpp"
 var $9=((((HEAPU8[($str_buffer_ptr1)])|(HEAPU8[((($str_buffer_ptr1)+(1))|0)]<<8)|(HEAPU8[((($str_buffer_ptr1)+(2))|0)]<<16)|(HEAPU8[((($str_buffer_ptr1)+(3))|0)]<<24))|0)); //@line 74 "StringConstantRoutines.cpp"
 var $inc=((($9)+(1))|0); //@line 74 "StringConstantRoutines.cpp"
 tempBigInt=$inc;HEAP8[($str_buffer_ptr1)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($str_buffer_ptr1)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($str_buffer_ptr1)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($str_buffer_ptr1)+(3))|0)]=tempBigInt&0xff; //@line 74 "StringConstantRoutines.cpp"
 var $10=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 74 "StringConstantRoutines.cpp"
 var $str_buffer=(($10+17012888)|0); //@line 74 "StringConstantRoutines.cpp"
 var $arrayidx=(($str_buffer+$9)|0); //@line 74 "StringConstantRoutines.cpp"
 HEAP8[($arrayidx)]=$7; //@line 74 "StringConstantRoutines.cpp"
 $retval=1; //@line 75 "StringConstantRoutines.cpp"
 label=4;break; //@line 75 "StringConstantRoutines.cpp"
 case 4: 
 var $11=$retval; //@line 76 "StringConstantRoutines.cpp"
 STACKTOP=sp;return $11; //@line 76 "StringConstantRoutines.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z25StringConstant_EnterPatchv(){
 var label=0;

 label = 1; 
 while(1)switch(label){
 case 1: 
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 80 "StringConstantRoutines.cpp"
 var $str_patch_enable=(($0+17012877)|0); //@line 80 "StringConstantRoutines.cpp"
 var $1=HEAP8[($str_patch_enable)]; //@line 80 "StringConstantRoutines.cpp"
 var $tobool=(($1)&1); //@line 80 "StringConstantRoutines.cpp"
 if($tobool){label=2;break;}else{label=3;break;} //@line 80 "StringConstantRoutines.cpp"
 case 2: 
 var $2=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 82 "StringConstantRoutines.cpp"
 var $3=$2; //@line 82 "StringConstantRoutines.cpp"
 var $obj_ptr=(($3+16777264)|0); //@line 82 "StringConstantRoutines.cpp"
 var $4=((((HEAPU8[($obj_ptr)])|(HEAPU8[((($obj_ptr)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr)+(3))|0)]<<24))|0)); //@line 82 "StringConstantRoutines.cpp"
 var $5=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 82 "StringConstantRoutines.cpp"
 var $str_index=(($5+17048728)|0); //@line 82 "StringConstantRoutines.cpp"
 var $6=((((HEAPU8[($str_index)])|(HEAPU8[((($str_index)+(1))|0)]<<8)|(HEAPU8[((($str_index)+(2))|0)]<<16)|(HEAPU8[((($str_index)+(3))|0)]<<24))|0)); //@line 82 "StringConstantRoutines.cpp"
 var $7=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 82 "StringConstantRoutines.cpp"
 var $str_patch=(($7+17046680)|0); //@line 82 "StringConstantRoutines.cpp"
 var $arrayidx=(($str_patch+($6<<2))|0); //@line 82 "StringConstantRoutines.cpp"
 tempBigInt=$4;HEAP8[($arrayidx)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx)+(3))|0)]=tempBigInt&0xff; //@line 82 "StringConstantRoutines.cpp"
 label=3;break; //@line 83 "StringConstantRoutines.cpp"
 case 3: 
 return; //@line 84 "StringConstantRoutines.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z26StringConstant_PostProcessv(){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $strIndex;
 var $temp;
 var $strAddress;
 var $i;
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 88 "StringConstantRoutines.cpp"
 var $str_count=(($0+17012880)|0); //@line 88 "StringConstantRoutines.cpp"
 var $1=((((HEAPU8[($str_count)])|(HEAPU8[((($str_count)+(1))|0)]<<8)|(HEAPU8[((($str_count)+(2))|0)]<<16)|(HEAPU8[((($str_count)+(3))|0)]<<24))|0)); //@line 88 "StringConstantRoutines.cpp"
 var $cmp=($1|0)>0; //@line 88 "StringConstantRoutines.cpp"
 if($cmp){label=2;break;}else{label=12;break;} //@line 88 "StringConstantRoutines.cpp"
 case 2: 
 $strIndex=0; //@line 91 "StringConstantRoutines.cpp"
 label=3;break; //@line 92 "StringConstantRoutines.cpp"
 case 3: 
 var $2=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 92 "StringConstantRoutines.cpp"
 var $str_count1=(($2+17012880)|0); //@line 92 "StringConstantRoutines.cpp"
 var $3=((((HEAPU8[($str_count1)])|(HEAPU8[((($str_count1)+(1))|0)]<<8)|(HEAPU8[((($str_count1)+(2))|0)]<<16)|(HEAPU8[((($str_count1)+(3))|0)]<<24))|0)); //@line 92 "StringConstantRoutines.cpp"
 var $cmp2=($3|0)>0; //@line 92 "StringConstantRoutines.cpp"
 if($cmp2){label=4;break;}else{label=5;break;} //@line 92 "StringConstantRoutines.cpp"
 case 4: 
 var $4=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 94 "StringConstantRoutines.cpp"
 var $5=$4; //@line 94 "StringConstantRoutines.cpp"
 var $obj_ptr=(($5+16777264)|0); //@line 94 "StringConstantRoutines.cpp"
 var $6=((((HEAPU8[($obj_ptr)])|(HEAPU8[((($obj_ptr)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr)+(3))|0)]<<24))|0)); //@line 94 "StringConstantRoutines.cpp"
 $temp=$6; //@line 94 "StringConstantRoutines.cpp"
 var $7=$strIndex; //@line 95 "StringConstantRoutines.cpp"
 var $8=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 95 "StringConstantRoutines.cpp"
 var $str_offset=(($8+17047704)|0); //@line 95 "StringConstantRoutines.cpp"
 var $arrayidx=(($str_offset+($7<<2))|0); //@line 95 "StringConstantRoutines.cpp"
 var $9=((((HEAPU8[($arrayidx)])|(HEAPU8[((($arrayidx)+(1))|0)]<<8)|(HEAPU8[((($arrayidx)+(2))|0)]<<16)|(HEAPU8[((($arrayidx)+(3))|0)]<<24))|0)); //@line 95 "StringConstantRoutines.cpp"
 var $10=$temp; //@line 95 "StringConstantRoutines.cpp"
 var $add=((($10)+($9))|0); //@line 95 "StringConstantRoutines.cpp"
 $temp=$add; //@line 95 "StringConstantRoutines.cpp"
 var $11=$temp; //@line 96 "StringConstantRoutines.cpp"
 var $or=$11|32768; //@line 96 "StringConstantRoutines.cpp"
 $temp=$or; //@line 96 "StringConstantRoutines.cpp"
 var $12=$temp; //@line 97 "StringConstantRoutines.cpp"
 var $and=$12&65280; //@line 97 "StringConstantRoutines.cpp"
 var $shr=$and>>8; //@line 97 "StringConstantRoutines.cpp"
 var $13=$temp; //@line 97 "StringConstantRoutines.cpp"
 var $and3=$13&255; //@line 97 "StringConstantRoutines.cpp"
 var $shl=$and3<<8; //@line 97 "StringConstantRoutines.cpp"
 var $or4=$shr|$shl; //@line 97 "StringConstantRoutines.cpp"
 var $conv=(($or4)&65535); //@line 97 "StringConstantRoutines.cpp"
 $strAddress=$conv; //@line 97 "StringConstantRoutines.cpp"
 var $14=$strAddress; //@line 98 "StringConstantRoutines.cpp"
 var $15=$strIndex; //@line 98 "StringConstantRoutines.cpp"
 var $16=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 98 "StringConstantRoutines.cpp"
 var $str_patch=(($16+17046680)|0); //@line 98 "StringConstantRoutines.cpp"
 var $arrayidx5=(($str_patch+($15<<2))|0); //@line 98 "StringConstantRoutines.cpp"
 var $17=((((HEAPU8[($arrayidx5)])|(HEAPU8[((($arrayidx5)+(1))|0)]<<8)|(HEAPU8[((($arrayidx5)+(2))|0)]<<16)|(HEAPU8[((($arrayidx5)+(3))|0)]<<24))|0)); //@line 98 "StringConstantRoutines.cpp"
 var $18=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 98 "StringConstantRoutines.cpp"
 var $19=$18; //@line 98 "StringConstantRoutines.cpp"
 var $obj=(($19+48)|0); //@line 98 "StringConstantRoutines.cpp"
 var $arrayidx6=(($obj+$17)|0); //@line 98 "StringConstantRoutines.cpp"
 var $20=$arrayidx6; //@line 98 "StringConstantRoutines.cpp"
 tempBigInt=$14;HEAP8[($20)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($20)+(1))|0)]=tempBigInt&0xff; //@line 98 "StringConstantRoutines.cpp"
 var $21=$strIndex; //@line 99 "StringConstantRoutines.cpp"
 var $inc=((($21)+(1))|0); //@line 99 "StringConstantRoutines.cpp"
 $strIndex=$inc; //@line 99 "StringConstantRoutines.cpp"
 var $22=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 100 "StringConstantRoutines.cpp"
 var $str_count7=(($22+17012880)|0); //@line 100 "StringConstantRoutines.cpp"
 var $23=((((HEAPU8[($str_count7)])|(HEAPU8[((($str_count7)+(1))|0)]<<8)|(HEAPU8[((($str_count7)+(2))|0)]<<16)|(HEAPU8[((($str_count7)+(3))|0)]<<24))|0)); //@line 100 "StringConstantRoutines.cpp"
 var $dec=((($23)-(1))|0); //@line 100 "StringConstantRoutines.cpp"
 tempBigInt=$dec;HEAP8[($str_count7)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($str_count7)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($str_count7)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($str_count7)+(3))|0)]=tempBigInt&0xff; //@line 100 "StringConstantRoutines.cpp"
 label=3;break; //@line 101 "StringConstantRoutines.cpp"
 case 5: 
 $i=0; //@line 104 "StringConstantRoutines.cpp"
 label=6;break; //@line 104 "StringConstantRoutines.cpp"
 case 6: 
 var $24=$i; //@line 104 "StringConstantRoutines.cpp"
 var $25=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 104 "StringConstantRoutines.cpp"
 var $str_buffer_ptr=(($25+17012884)|0); //@line 104 "StringConstantRoutines.cpp"
 var $26=((((HEAPU8[($str_buffer_ptr)])|(HEAPU8[((($str_buffer_ptr)+(1))|0)]<<8)|(HEAPU8[((($str_buffer_ptr)+(2))|0)]<<16)|(HEAPU8[((($str_buffer_ptr)+(3))|0)]<<24))|0)); //@line 104 "StringConstantRoutines.cpp"
 var $cmp8=($24|0)<($26|0); //@line 104 "StringConstantRoutines.cpp"
 if($cmp8){label=7;break;}else{label=11;break;} //@line 104 "StringConstantRoutines.cpp"
 case 7: 
 var $27=$i; //@line 106 "StringConstantRoutines.cpp"
 var $28=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 106 "StringConstantRoutines.cpp"
 var $str_buffer=(($28+17012888)|0); //@line 106 "StringConstantRoutines.cpp"
 var $arrayidx9=(($str_buffer+$27)|0); //@line 106 "StringConstantRoutines.cpp"
 var $29=HEAP8[($arrayidx9)]; //@line 106 "StringConstantRoutines.cpp"
 var $call=__Z8EnterObjh($29); //@line 106 "StringConstantRoutines.cpp"
 if($call){label=9;break;}else{label=8;break;} //@line 106 "StringConstantRoutines.cpp"
 case 8: 
 $retval=0; //@line 108 "StringConstantRoutines.cpp"
 label=13;break; //@line 108 "StringConstantRoutines.cpp"
 case 9: 
 label=10;break; //@line 110 "StringConstantRoutines.cpp"
 case 10: 
 var $30=$i; //@line 104 "StringConstantRoutines.cpp"
 var $inc11=((($30)+(1))|0); //@line 104 "StringConstantRoutines.cpp"
 $i=$inc11; //@line 104 "StringConstantRoutines.cpp"
 label=6;break; //@line 104 "StringConstantRoutines.cpp"
 case 11: 
 label=12;break; //@line 111 "StringConstantRoutines.cpp"
 case 12: 
 $retval=1; //@line 112 "StringConstantRoutines.cpp"
 label=13;break; //@line 112 "StringConstantRoutines.cpp"
 case 13: 
 var $31=$retval; //@line 113 "StringConstantRoutines.cpp"
 STACKTOP=sp;return $31; //@line 113 "StringConstantRoutines.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __ZN16SymbolTableEntryC2ERK25SymbolTableEntryDataTable($this,$data){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $this_addr;
 var $data_addr;
 var $nameLength;
 var $exn_slot;
 var $ehselector_slot;
 $this_addr=$this;
 $data_addr=$data;
 var $this1=$this_addr;
 var $0=$this1; //@line 303 "SymbolEngine.cpp"
 __ZN8HashableC2Ev($0); //@line 303 "SymbolEngine.cpp"
 var $1=$this1; //@line 303 "SymbolEngine.cpp"
 tempBigInt=12000;HEAP8[($1)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($1)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($1)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($1)+(3))|0)]=tempBigInt&0xff; //@line 303 "SymbolEngine.cpp"
 var $m_data=(($this1+4)|0); //@line 303 "SymbolEngine.cpp"
 var $2=$data_addr; //@line 304 "SymbolEngine.cpp"
 var $type=(($2)|0); //@line 304 "SymbolEngine.cpp"
 var $3=((((HEAPU8[($type)])|(HEAPU8[((($type)+(1))|0)]<<8)|(HEAPU8[((($type)+(2))|0)]<<16)|(HEAPU8[((($type)+(3))|0)]<<24))|0)); //@line 304 "SymbolEngine.cpp"
 var $m_data2=(($this1+4)|0); //@line 304 "SymbolEngine.cpp"
 var $type3=(($m_data2)|0); //@line 304 "SymbolEngine.cpp"
 tempBigInt=$3;HEAP8[($type3)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($type3)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($type3)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($type3)+(3))|0)]=tempBigInt&0xff; //@line 304 "SymbolEngine.cpp"
 var $4=$data_addr; //@line 305 "SymbolEngine.cpp"
 var $value=(($4+4)|0); //@line 305 "SymbolEngine.cpp"
 var $5=((((HEAPU8[($value)])|(HEAPU8[((($value)+(1))|0)]<<8)|(HEAPU8[((($value)+(2))|0)]<<16)|(HEAPU8[((($value)+(3))|0)]<<24))|0)); //@line 305 "SymbolEngine.cpp"
 var $m_data4=(($this1+4)|0); //@line 305 "SymbolEngine.cpp"
 var $value5=(($m_data4+4)|0); //@line 305 "SymbolEngine.cpp"
 tempBigInt=$5;HEAP8[($value5)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value5)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value5)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value5)+(3))|0)]=tempBigInt&0xff; //@line 305 "SymbolEngine.cpp"
 var $m_data6=(($this1+4)|0); //@line 306 "SymbolEngine.cpp"
 var $value_2=(($m_data6+8)|0); //@line 306 "SymbolEngine.cpp"
 tempBigInt=0;HEAP8[($value_2)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value_2)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value_2)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value_2)+(3))|0)]=tempBigInt&0xff; //@line 306 "SymbolEngine.cpp"
 var $6=$data_addr; //@line 307 "SymbolEngine.cpp"
 var $name=(($6+8)|0); //@line 307 "SymbolEngine.cpp"
 var $7=((((HEAPU8[($name)])|(HEAPU8[((($name)+(1))|0)]<<8)|(HEAPU8[((($name)+(2))|0)]<<16)|(HEAPU8[((($name)+(3))|0)]<<24))|0)); //@line 307 "SymbolEngine.cpp"
 var $call=(function() { try { __THREW__ = 0; return _strlen($7) } catch(e) { if (typeof e != "number") throw e; if (ABORT) throw e; __THREW__ = 1; return null } })();if (!__THREW__) { label=2;break; } else { label=5;break; } //@line 307 "SymbolEngine.cpp"
 case 2: 
 var $add=((($call)+(1))|0); //@line 307 "SymbolEngine.cpp"
 $nameLength=$add; //@line 307 "SymbolEngine.cpp"
 var $8=$nameLength; //@line 308 "SymbolEngine.cpp"
 var $9=($8|0)<0; //@line 308 "SymbolEngine.cpp"
 var $10=($9?-1:$8); //@line 308 "SymbolEngine.cpp"
 var $call8=(function() { try { __THREW__ = 0; return __Znaj($10) } catch(e) { if (typeof e != "number") throw e; if (ABORT) throw e; __THREW__ = 1; return null } })();if (!__THREW__) { label=3;break; } else { label=5;break; } //@line 308 "SymbolEngine.cpp"
 case 3: 
 var $m_data9=(($this1+4)|0); //@line 308 "SymbolEngine.cpp"
 var $name10=(($m_data9+12)|0); //@line 308 "SymbolEngine.cpp"
 tempBigInt=$call8;HEAP8[($name10)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($name10)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($name10)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($name10)+(3))|0)]=tempBigInt&0xff; //@line 308 "SymbolEngine.cpp"
 var $m_data11=(($this1+4)|0); //@line 309 "SymbolEngine.cpp"
 var $name12=(($m_data11+12)|0); //@line 309 "SymbolEngine.cpp"
 var $11=((((HEAPU8[($name12)])|(HEAPU8[((($name12)+(1))|0)]<<8)|(HEAPU8[((($name12)+(2))|0)]<<16)|(HEAPU8[((($name12)+(3))|0)]<<24))|0)); //@line 309 "SymbolEngine.cpp"
 var $12=$data_addr; //@line 309 "SymbolEngine.cpp"
 var $name13=(($12+8)|0); //@line 309 "SymbolEngine.cpp"
 var $13=((((HEAPU8[($name13)])|(HEAPU8[((($name13)+(1))|0)]<<8)|(HEAPU8[((($name13)+(2))|0)]<<16)|(HEAPU8[((($name13)+(3))|0)]<<24))|0)); //@line 309 "SymbolEngine.cpp"
 var $call15=(function() { try { __THREW__ = 0; return _strcpy($11,$13) } catch(e) { if (typeof e != "number") throw e; if (ABORT) throw e; __THREW__ = 1; return null } })();if (!__THREW__) { label=4;break; } else { label=5;break; } //@line 309 "SymbolEngine.cpp"
 case 4: 
 var $14=$data_addr; //@line 310 "SymbolEngine.cpp"
 var $operator_type_or_asm=(($14+12)|0); //@line 310 "SymbolEngine.cpp"
 var $15=HEAP8[($operator_type_or_asm)]; //@line 310 "SymbolEngine.cpp"
 var $m_data16=(($this1+4)|0); //@line 310 "SymbolEngine.cpp"
 var $operator_type_or_asm17=(($m_data16+16)|0); //@line 310 "SymbolEngine.cpp"
 HEAP8[($operator_type_or_asm17)]=$15; //@line 310 "SymbolEngine.cpp"
 var $16=$data_addr; //@line 311 "SymbolEngine.cpp"
 var $dual=(($16+13)|0); //@line 311 "SymbolEngine.cpp"
 var $17=HEAP8[($dual)]; //@line 311 "SymbolEngine.cpp"
 var $tobool=(($17)&1); //@line 311 "SymbolEngine.cpp"
 var $m_data18=(($this1+4)|0); //@line 311 "SymbolEngine.cpp"
 var $dual19=(($m_data18+17)|0); //@line 311 "SymbolEngine.cpp"
 var $frombool=($tobool&1); //@line 311 "SymbolEngine.cpp"
 HEAP8[($dual19)]=$frombool; //@line 311 "SymbolEngine.cpp"
 STACKTOP=sp;return; //@line 312 "SymbolEngine.cpp"
 case 5: 
 var $18$0 = ___cxa_find_matching_catch(-1, -1); var $18$1 = tempRet0;
 var $19=$18$0;
 $exn_slot=$19; //@line 312 "SymbolEngine.cpp"
 var $20=$18$1;
 $ehselector_slot=$20; //@line 312 "SymbolEngine.cpp"
 var $21=$this1; //@line 312 "SymbolEngine.cpp"
 (function() { try { __THREW__ = 0; return __ZN8HashableD2Ev($21) } catch(e) { if (typeof e != "number") throw e; if (ABORT) throw e; __THREW__ = 1; return null } })();if (!__THREW__) { label=6;break; } else { label=8;break; } //@line 312 "SymbolEngine.cpp"
 case 6: 
 label=7;break; //@line 312 "SymbolEngine.cpp"
 case 7: 
 var $exn=$exn_slot; //@line 312 "SymbolEngine.cpp"
 var $sel=$ehselector_slot; //@line 312 "SymbolEngine.cpp"
 var $lpad_val$0=$exn;
 var $lpad_val$1=0;
 var $lpad_val21$0=$lpad_val$0;
 var $lpad_val21$1=$sel;
 ___resumeException($lpad_val21$0) //@line 312 "SymbolEngine.cpp"
 case 8: 
 var $22$0 = ___cxa_find_matching_catch(-1, -1,0); var $22$1 = tempRet0;
 var $23=$22$0;
 ___clang_call_terminate($23); //@line 312 "SymbolEngine.cpp"
 throw "Reached an unreachable!"; //@line 312 "SymbolEngine.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __ZN12SymbolEngineC2Ev($this){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $this_addr;
 var $exn_slot;
 var $ehselector_slot;
 var $index;
 var $hashKey;
 $this_addr=$this;
 var $this1=$this_addr;
 var $call=__Znwj(8); //@line 316 "SymbolEngine.cpp"
 var $0=$call; //@line 316 "SymbolEngine.cpp"
 (function() { try { __THREW__ = 0; return __ZN9HashTableC2Ei($0,256) } catch(e) { if (typeof e != "number") throw e; if (ABORT) throw e; __THREW__ = 1; return null } })();if (!__THREW__) { label=2;break; } else { label=8;break; } //@line 316 "SymbolEngine.cpp"
 case 2: 
 var $m_pSymbols=(($this1)|0); //@line 328 "SymbolEngine.cpp"
 tempBigInt=$0;HEAP8[($m_pSymbols)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pSymbols)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pSymbols)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pSymbols)+(3))|0)]=tempBigInt&0xff; //@line 328 "SymbolEngine.cpp"
 var $call2=__Znwj(8); //@line 317 "SymbolEngine.cpp"
 var $1=$call2; //@line 317 "SymbolEngine.cpp"
 (function() { try { __THREW__ = 0; return __ZN9HashTableC2Ei($1,8192) } catch(e) { if (typeof e != "number") throw e; if (ABORT) throw e; __THREW__ = 1; return null } })();if (!__THREW__) { label=3;break; } else { label=9;break; } //@line 317 "SymbolEngine.cpp"
 case 3: 
 var $m_pUserSymbols=(($this1+4)|0); //@line 328 "SymbolEngine.cpp"
 tempBigInt=$1;HEAP8[($m_pUserSymbols)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pUserSymbols)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pUserSymbols)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pUserSymbols)+(3))|0)]=tempBigInt&0xff; //@line 328 "SymbolEngine.cpp"
 var $call5=__Znwj(8); //@line 318 "SymbolEngine.cpp"
 var $2=$call5; //@line 318 "SymbolEngine.cpp"
 (function() { try { __THREW__ = 0; return __ZN9HashTableC2Ei($2,1024) } catch(e) { if (typeof e != "number") throw e; if (ABORT) throw e; __THREW__ = 1; return null } })();if (!__THREW__) { label=4;break; } else { label=10;break; } //@line 318 "SymbolEngine.cpp"
 case 4: 
 var $m_pTempUserSymbols=(($this1+8)|0); //@line 328 "SymbolEngine.cpp"
 tempBigInt=$2;HEAP8[($m_pTempUserSymbols)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pTempUserSymbols)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pTempUserSymbols)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pTempUserSymbols)+(3))|0)]=tempBigInt&0xff; //@line 328 "SymbolEngine.cpp"
 $index=0; //@line 321 "SymbolEngine.cpp"
 label=5;break; //@line 322 "SymbolEngine.cpp"
 case 5: 
 var $3=$index; //@line 322 "SymbolEngine.cpp"
 var $arrayidx=((12304+($3<<4))|0); //@line 322 "SymbolEngine.cpp"
 var $name=(($arrayidx+8)|0); //@line 322 "SymbolEngine.cpp"
 var $4=((((HEAPU8[($name)])|(HEAPU8[((($name)+(1))|0)]<<8)|(HEAPU8[((($name)+(2))|0)]<<16)|(HEAPU8[((($name)+(3))|0)]<<24))|0)); //@line 322 "SymbolEngine.cpp"
 var $call8=_strcmp($4,7296); //@line 322 "SymbolEngine.cpp"
 var $cmp=($call8|0)!=0; //@line 322 "SymbolEngine.cpp"
 if($cmp){label=6;break;}else{label=12;break;} //@line 322 "SymbolEngine.cpp"
 case 6: 
 var $m_pSymbols9=(($this1)|0); //@line 324 "SymbolEngine.cpp"
 var $5=((((HEAPU8[($m_pSymbols9)])|(HEAPU8[((($m_pSymbols9)+(1))|0)]<<8)|(HEAPU8[((($m_pSymbols9)+(2))|0)]<<16)|(HEAPU8[((($m_pSymbols9)+(3))|0)]<<24))|0)); //@line 324 "SymbolEngine.cpp"
 var $6=$index; //@line 324 "SymbolEngine.cpp"
 var $arrayidx10=((12304+($6<<4))|0); //@line 324 "SymbolEngine.cpp"
 var $name11=(($arrayidx10+8)|0); //@line 324 "SymbolEngine.cpp"
 var $7=((((HEAPU8[($name11)])|(HEAPU8[((($name11)+(1))|0)]<<8)|(HEAPU8[((($name11)+(2))|0)]<<16)|(HEAPU8[((($name11)+(3))|0)]<<24))|0)); //@line 324 "SymbolEngine.cpp"
 var $call12=__ZN9HashTable22GetStringHashUppercaseEPKc($5,$7); //@line 324 "SymbolEngine.cpp"
 $hashKey=$call12; //@line 324 "SymbolEngine.cpp"
 var $m_pSymbols13=(($this1)|0); //@line 325 "SymbolEngine.cpp"
 var $8=((((HEAPU8[($m_pSymbols13)])|(HEAPU8[((($m_pSymbols13)+(1))|0)]<<8)|(HEAPU8[((($m_pSymbols13)+(2))|0)]<<16)|(HEAPU8[((($m_pSymbols13)+(3))|0)]<<24))|0)); //@line 325 "SymbolEngine.cpp"
 var $9=$hashKey; //@line 325 "SymbolEngine.cpp"
 var $call14=__Znwj(24); //@line 325 "SymbolEngine.cpp"
 var $10=$call14; //@line 325 "SymbolEngine.cpp"
 var $11=$index; //@line 325 "SymbolEngine.cpp"
 var $arrayidx15=((12304+($11<<4))|0); //@line 325 "SymbolEngine.cpp"
 (function() { try { __THREW__ = 0; return __ZN16SymbolTableEntryC2ERK25SymbolTableEntryDataTable($10,$arrayidx15) } catch(e) { if (typeof e != "number") throw e; if (ABORT) throw e; __THREW__ = 1; return null } })();if (!__THREW__) { label=7;break; } else { label=11;break; } //@line 325 "SymbolEngine.cpp"
 case 7: 
 var $12=$10; //@line 328 "SymbolEngine.cpp"
 __ZN9HashTable6InsertEiP8Hashable($8,$9,$12); //@line 325 "SymbolEngine.cpp"
 var $13=$index; //@line 326 "SymbolEngine.cpp"
 var $inc=((($13)+(1))|0); //@line 326 "SymbolEngine.cpp"
 $index=$inc; //@line 326 "SymbolEngine.cpp"
 label=5;break; //@line 327 "SymbolEngine.cpp"
 case 8: 
 var $14$0 = ___cxa_find_matching_catch(-1, -1); var $14$1 = tempRet0;
 var $15=$14$0;
 $exn_slot=$15; //@line 328 "SymbolEngine.cpp"
 var $16=$14$1;
 $ehselector_slot=$16; //@line 328 "SymbolEngine.cpp"
 __ZdlPv($call); //@line 328 "SymbolEngine.cpp"
 label=13;break; //@line 328 "SymbolEngine.cpp"
 case 9: 
 var $17$0 = ___cxa_find_matching_catch(-1, -1); var $17$1 = tempRet0;
 var $18=$17$0;
 $exn_slot=$18; //@line 328 "SymbolEngine.cpp"
 var $19=$17$1;
 $ehselector_slot=$19; //@line 328 "SymbolEngine.cpp"
 __ZdlPv($call2); //@line 328 "SymbolEngine.cpp"
 label=13;break; //@line 328 "SymbolEngine.cpp"
 case 10: 
 var $20$0 = ___cxa_find_matching_catch(-1, -1); var $20$1 = tempRet0;
 var $21=$20$0;
 $exn_slot=$21; //@line 328 "SymbolEngine.cpp"
 var $22=$20$1;
 $ehselector_slot=$22; //@line 328 "SymbolEngine.cpp"
 __ZdlPv($call5); //@line 328 "SymbolEngine.cpp"
 label=13;break; //@line 328 "SymbolEngine.cpp"
 case 11: 
 var $23$0 = ___cxa_find_matching_catch(-1, -1); var $23$1 = tempRet0;
 var $24=$23$0;
 $exn_slot=$24; //@line 328 "SymbolEngine.cpp"
 var $25=$23$1;
 $ehselector_slot=$25; //@line 328 "SymbolEngine.cpp"
 __ZdlPv($call14); //@line 328 "SymbolEngine.cpp"
 label=13;break; //@line 328 "SymbolEngine.cpp"
 case 12: 
 STACKTOP=sp;return; //@line 328 "SymbolEngine.cpp"
 case 13: 
 var $exn=$exn_slot; //@line 328 "SymbolEngine.cpp"
 var $sel=$ehselector_slot; //@line 328 "SymbolEngine.cpp"
 var $lpad_val$0=$exn;
 var $lpad_val$1=0;
 var $lpad_val18$0=$lpad_val$0;
 var $lpad_val18$1=$sel;
 ___resumeException($lpad_val18$0) //@line 328 "SymbolEngine.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __ZN12SymbolEngine10FindSymbolEPKc($this,$pSymbolName){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $this_addr;
 var $pSymbolName_addr;
 var $hashKey;
 var $pNode;
 var $pSymbol;
 var $pSymbol12;
 var $pSymbol27;
 $this_addr=$this;
 $pSymbolName_addr=$pSymbolName;
 var $this1=$this_addr;
 var $m_pSymbols=(($this1)|0); //@line 344 "SymbolEngine.cpp"
 var $0=((((HEAPU8[($m_pSymbols)])|(HEAPU8[((($m_pSymbols)+(1))|0)]<<8)|(HEAPU8[((($m_pSymbols)+(2))|0)]<<16)|(HEAPU8[((($m_pSymbols)+(3))|0)]<<24))|0)); //@line 344 "SymbolEngine.cpp"
 var $1=$pSymbolName_addr; //@line 344 "SymbolEngine.cpp"
 var $call=__ZN9HashTable22GetStringHashUppercaseEPKc($0,$1); //@line 344 "SymbolEngine.cpp"
 $hashKey=$call; //@line 344 "SymbolEngine.cpp"
 var $m_pSymbols2=(($this1)|0); //@line 347 "SymbolEngine.cpp"
 var $2=((((HEAPU8[($m_pSymbols2)])|(HEAPU8[((($m_pSymbols2)+(1))|0)]<<8)|(HEAPU8[((($m_pSymbols2)+(2))|0)]<<16)|(HEAPU8[((($m_pSymbols2)+(3))|0)]<<24))|0)); //@line 347 "SymbolEngine.cpp"
 var $3=$hashKey; //@line 347 "SymbolEngine.cpp"
 var $call3=__ZN9HashTable9FindFirstEi($2,$3); //@line 347 "SymbolEngine.cpp"
 $pNode=$call3; //@line 347 "SymbolEngine.cpp"
 label=2;break; //@line 348 "SymbolEngine.cpp"
 case 2: 
 var $4=$pNode; //@line 348 "SymbolEngine.cpp"
 var $cmp=($4|0)!=0; //@line 348 "SymbolEngine.cpp"
 if($cmp){label=3;break;}else{label=6;break;} //@line 348 "SymbolEngine.cpp"
 case 3: 
 var $5=$pNode; //@line 350 "SymbolEngine.cpp"
 var $pValue=(($5+4)|0); //@line 350 "SymbolEngine.cpp"
 var $6=((((HEAPU8[($pValue)])|(HEAPU8[((($pValue)+(1))|0)]<<8)|(HEAPU8[((($pValue)+(2))|0)]<<16)|(HEAPU8[((($pValue)+(3))|0)]<<24))|0)); //@line 350 "SymbolEngine.cpp"
 var $7=$6; //@line 350 "SymbolEngine.cpp"
 $pSymbol=$7; //@line 350 "SymbolEngine.cpp"
 var $8=$pSymbol; //@line 351 "SymbolEngine.cpp"
 var $m_data=(($8+4)|0); //@line 351 "SymbolEngine.cpp"
 var $name=(($m_data+12)|0); //@line 351 "SymbolEngine.cpp"
 var $9=((((HEAPU8[($name)])|(HEAPU8[((($name)+(1))|0)]<<8)|(HEAPU8[((($name)+(2))|0)]<<16)|(HEAPU8[((($name)+(3))|0)]<<24))|0)); //@line 351 "SymbolEngine.cpp"
 var $10=$pSymbolName_addr; //@line 351 "SymbolEngine.cpp"
 var $call4=_strcasecmp($9,$10); //@line 351 "SymbolEngine.cpp"
 var $cmp5=($call4|0)==0; //@line 351 "SymbolEngine.cpp"
 if($cmp5){label=4;break;}else{label=5;break;} //@line 351 "SymbolEngine.cpp"
 case 4: 
 var $11=$pSymbol; //@line 353 "SymbolEngine.cpp"
 $retval=$11; //@line 353 "SymbolEngine.cpp"
 label=17;break; //@line 353 "SymbolEngine.cpp"
 case 5: 
 var $m_pSymbols6=(($this1)|0); //@line 356 "SymbolEngine.cpp"
 var $12=((((HEAPU8[($m_pSymbols6)])|(HEAPU8[((($m_pSymbols6)+(1))|0)]<<8)|(HEAPU8[((($m_pSymbols6)+(2))|0)]<<16)|(HEAPU8[((($m_pSymbols6)+(3))|0)]<<24))|0)); //@line 356 "SymbolEngine.cpp"
 var $13=$pNode; //@line 356 "SymbolEngine.cpp"
 var $call7=__ZN9HashTable8FindNextEP8HashNode($12,$13); //@line 356 "SymbolEngine.cpp"
 $pNode=$call7; //@line 356 "SymbolEngine.cpp"
 label=2;break; //@line 357 "SymbolEngine.cpp"
 case 6: 
 var $m_pUserSymbols=(($this1+4)|0); //@line 360 "SymbolEngine.cpp"
 var $14=((((HEAPU8[($m_pUserSymbols)])|(HEAPU8[((($m_pUserSymbols)+(1))|0)]<<8)|(HEAPU8[((($m_pUserSymbols)+(2))|0)]<<16)|(HEAPU8[((($m_pUserSymbols)+(3))|0)]<<24))|0)); //@line 360 "SymbolEngine.cpp"
 var $15=$hashKey; //@line 360 "SymbolEngine.cpp"
 var $call8=__ZN9HashTable9FindFirstEi($14,$15); //@line 360 "SymbolEngine.cpp"
 $pNode=$call8; //@line 360 "SymbolEngine.cpp"
 label=7;break; //@line 361 "SymbolEngine.cpp"
 case 7: 
 var $16=$pNode; //@line 361 "SymbolEngine.cpp"
 var $cmp10=($16|0)!=0; //@line 361 "SymbolEngine.cpp"
 if($cmp10){label=8;break;}else{label=11;break;} //@line 361 "SymbolEngine.cpp"
 case 8: 
 var $17=$pNode; //@line 363 "SymbolEngine.cpp"
 var $pValue13=(($17+4)|0); //@line 363 "SymbolEngine.cpp"
 var $18=((((HEAPU8[($pValue13)])|(HEAPU8[((($pValue13)+(1))|0)]<<8)|(HEAPU8[((($pValue13)+(2))|0)]<<16)|(HEAPU8[((($pValue13)+(3))|0)]<<24))|0)); //@line 363 "SymbolEngine.cpp"
 var $19=$18; //@line 363 "SymbolEngine.cpp"
 $pSymbol12=$19; //@line 363 "SymbolEngine.cpp"
 var $20=$pSymbol12; //@line 364 "SymbolEngine.cpp"
 var $m_data14=(($20+4)|0); //@line 364 "SymbolEngine.cpp"
 var $name15=(($m_data14+12)|0); //@line 364 "SymbolEngine.cpp"
 var $21=((((HEAPU8[($name15)])|(HEAPU8[((($name15)+(1))|0)]<<8)|(HEAPU8[((($name15)+(2))|0)]<<16)|(HEAPU8[((($name15)+(3))|0)]<<24))|0)); //@line 364 "SymbolEngine.cpp"
 var $22=$pSymbolName_addr; //@line 364 "SymbolEngine.cpp"
 var $call16=_strcasecmp($21,$22); //@line 364 "SymbolEngine.cpp"
 var $cmp17=($call16|0)==0; //@line 364 "SymbolEngine.cpp"
 if($cmp17){label=9;break;}else{label=10;break;} //@line 364 "SymbolEngine.cpp"
 case 9: 
 var $23=$pSymbol12; //@line 366 "SymbolEngine.cpp"
 $retval=$23; //@line 366 "SymbolEngine.cpp"
 label=17;break; //@line 366 "SymbolEngine.cpp"
 case 10: 
 var $m_pUserSymbols20=(($this1+4)|0); //@line 369 "SymbolEngine.cpp"
 var $24=((((HEAPU8[($m_pUserSymbols20)])|(HEAPU8[((($m_pUserSymbols20)+(1))|0)]<<8)|(HEAPU8[((($m_pUserSymbols20)+(2))|0)]<<16)|(HEAPU8[((($m_pUserSymbols20)+(3))|0)]<<24))|0)); //@line 369 "SymbolEngine.cpp"
 var $25=$pNode; //@line 369 "SymbolEngine.cpp"
 var $call21=__ZN9HashTable8FindNextEP8HashNode($24,$25); //@line 369 "SymbolEngine.cpp"
 $pNode=$call21; //@line 369 "SymbolEngine.cpp"
 label=7;break; //@line 370 "SymbolEngine.cpp"
 case 11: 
 var $m_pTempUserSymbols=(($this1+8)|0); //@line 373 "SymbolEngine.cpp"
 var $26=((((HEAPU8[($m_pTempUserSymbols)])|(HEAPU8[((($m_pTempUserSymbols)+(1))|0)]<<8)|(HEAPU8[((($m_pTempUserSymbols)+(2))|0)]<<16)|(HEAPU8[((($m_pTempUserSymbols)+(3))|0)]<<24))|0)); //@line 373 "SymbolEngine.cpp"
 var $27=$hashKey; //@line 373 "SymbolEngine.cpp"
 var $call23=__ZN9HashTable9FindFirstEi($26,$27); //@line 373 "SymbolEngine.cpp"
 $pNode=$call23; //@line 373 "SymbolEngine.cpp"
 label=12;break; //@line 374 "SymbolEngine.cpp"
 case 12: 
 var $28=$pNode; //@line 374 "SymbolEngine.cpp"
 var $cmp25=($28|0)!=0; //@line 374 "SymbolEngine.cpp"
 if($cmp25){label=13;break;}else{label=16;break;} //@line 374 "SymbolEngine.cpp"
 case 13: 
 var $29=$pNode; //@line 376 "SymbolEngine.cpp"
 var $pValue28=(($29+4)|0); //@line 376 "SymbolEngine.cpp"
 var $30=((((HEAPU8[($pValue28)])|(HEAPU8[((($pValue28)+(1))|0)]<<8)|(HEAPU8[((($pValue28)+(2))|0)]<<16)|(HEAPU8[((($pValue28)+(3))|0)]<<24))|0)); //@line 376 "SymbolEngine.cpp"
 var $31=$30; //@line 376 "SymbolEngine.cpp"
 $pSymbol27=$31; //@line 376 "SymbolEngine.cpp"
 var $32=$pSymbol27; //@line 377 "SymbolEngine.cpp"
 var $m_data29=(($32+4)|0); //@line 377 "SymbolEngine.cpp"
 var $name30=(($m_data29+12)|0); //@line 377 "SymbolEngine.cpp"
 var $33=((((HEAPU8[($name30)])|(HEAPU8[((($name30)+(1))|0)]<<8)|(HEAPU8[((($name30)+(2))|0)]<<16)|(HEAPU8[((($name30)+(3))|0)]<<24))|0)); //@line 377 "SymbolEngine.cpp"
 var $34=$pSymbolName_addr; //@line 377 "SymbolEngine.cpp"
 var $call31=_strcasecmp($33,$34); //@line 377 "SymbolEngine.cpp"
 var $cmp32=($call31|0)==0; //@line 377 "SymbolEngine.cpp"
 if($cmp32){label=14;break;}else{label=15;break;} //@line 377 "SymbolEngine.cpp"
 case 14: 
 var $35=$pSymbol27; //@line 379 "SymbolEngine.cpp"
 $retval=$35; //@line 379 "SymbolEngine.cpp"
 label=17;break; //@line 379 "SymbolEngine.cpp"
 case 15: 
 var $m_pTempUserSymbols35=(($this1+8)|0); //@line 382 "SymbolEngine.cpp"
 var $36=((((HEAPU8[($m_pTempUserSymbols35)])|(HEAPU8[((($m_pTempUserSymbols35)+(1))|0)]<<8)|(HEAPU8[((($m_pTempUserSymbols35)+(2))|0)]<<16)|(HEAPU8[((($m_pTempUserSymbols35)+(3))|0)]<<24))|0)); //@line 382 "SymbolEngine.cpp"
 var $37=$pNode; //@line 382 "SymbolEngine.cpp"
 var $call36=__ZN9HashTable8FindNextEP8HashNode($36,$37); //@line 382 "SymbolEngine.cpp"
 $pNode=$call36; //@line 382 "SymbolEngine.cpp"
 label=12;break; //@line 383 "SymbolEngine.cpp"
 case 16: 
 $retval=0; //@line 385 "SymbolEngine.cpp"
 label=17;break; //@line 385 "SymbolEngine.cpp"
 case 17: 
 var $38=$retval; //@line 386 "SymbolEngine.cpp"
 STACKTOP=sp;return $38; //@line 386 "SymbolEngine.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __ZN12SymbolEngine9AddSymbolEPKc10symbolTypeiib($this,$pSymbolName,$type,$value,$value_2,$bTemp){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $this_addr;
 var $pSymbolName_addr;
 var $type_addr;
 var $value_addr;
 var $value_2_addr;
 var $bTemp_addr;
 var $pSymbol;
 var $exn_slot;
 var $ehselector_slot;
 var $nameLength;
 var $hashKey;
 var $hashKey20;
 $this_addr=$this;
 $pSymbolName_addr=$pSymbolName;
 $type_addr=$type;
 $value_addr=$value;
 $value_2_addr=$value_2;
 var $frombool=($bTemp&1);
 $bTemp_addr=$frombool;
 var $this1=$this_addr;
 var $0=$pSymbolName_addr; //@line 390 "SymbolEngine.cpp"
 var $1=$type_addr; //@line 390 "SymbolEngine.cpp"
 var $conv=(($1)&255); //@line 390 "SymbolEngine.cpp"
 var $2=$value_addr; //@line 390 "SymbolEngine.cpp"
 var $3=$value_2_addr; //@line 390 "SymbolEngine.cpp"
 var $call=__Z11PrintSymbolPKchii($0,$conv,$2,$3); //@line 390 "SymbolEngine.cpp"
 var $call2=__Znwj(24); //@line 392 "SymbolEngine.cpp"
 var $4=$call2; //@line 392 "SymbolEngine.cpp"
 (function() { try { __THREW__ = 0; return __ZN16SymbolTableEntryC2Ev($4) } catch(e) { if (typeof e != "number") throw e; if (ABORT) throw e; __THREW__ = 1; return null } })();if (!__THREW__) { label=2;break; } else { label=4;break; } //@line 392 "SymbolEngine.cpp"
 case 2: 
 $pSymbol=$4; //@line 412 "SymbolEngine.cpp"
 var $5=$pSymbolName_addr; //@line 393 "SymbolEngine.cpp"
 var $call3=_strlen($5); //@line 393 "SymbolEngine.cpp"
 var $add=((($call3)+(1))|0); //@line 393 "SymbolEngine.cpp"
 $nameLength=$add; //@line 393 "SymbolEngine.cpp"
 var $6=$nameLength; //@line 394 "SymbolEngine.cpp"
 var $7=($6|0)<0; //@line 394 "SymbolEngine.cpp"
 var $8=($7?-1:$6); //@line 394 "SymbolEngine.cpp"
 var $call4=__Znaj($8); //@line 394 "SymbolEngine.cpp"
 var $9=$pSymbol; //@line 394 "SymbolEngine.cpp"
 var $m_data=(($9+4)|0); //@line 394 "SymbolEngine.cpp"
 var $name=(($m_data+12)|0); //@line 394 "SymbolEngine.cpp"
 tempBigInt=$call4;HEAP8[($name)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($name)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($name)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($name)+(3))|0)]=tempBigInt&0xff; //@line 394 "SymbolEngine.cpp"
 var $10=$pSymbol; //@line 395 "SymbolEngine.cpp"
 var $m_data5=(($10+4)|0); //@line 395 "SymbolEngine.cpp"
 var $name6=(($m_data5+12)|0); //@line 395 "SymbolEngine.cpp"
 var $11=((((HEAPU8[($name6)])|(HEAPU8[((($name6)+(1))|0)]<<8)|(HEAPU8[((($name6)+(2))|0)]<<16)|(HEAPU8[((($name6)+(3))|0)]<<24))|0)); //@line 395 "SymbolEngine.cpp"
 var $12=$pSymbolName_addr; //@line 395 "SymbolEngine.cpp"
 var $call7=_strcpy($11,$12); //@line 395 "SymbolEngine.cpp"
 var $13=$type_addr; //@line 396 "SymbolEngine.cpp"
 var $14=$pSymbol; //@line 396 "SymbolEngine.cpp"
 var $m_data8=(($14+4)|0); //@line 396 "SymbolEngine.cpp"
 var $type9=(($m_data8)|0); //@line 396 "SymbolEngine.cpp"
 tempBigInt=$13;HEAP8[($type9)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($type9)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($type9)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($type9)+(3))|0)]=tempBigInt&0xff; //@line 396 "SymbolEngine.cpp"
 var $15=$value_addr; //@line 397 "SymbolEngine.cpp"
 var $16=$pSymbol; //@line 397 "SymbolEngine.cpp"
 var $m_data10=(($16+4)|0); //@line 397 "SymbolEngine.cpp"
 var $value11=(($m_data10+4)|0); //@line 397 "SymbolEngine.cpp"
 tempBigInt=$15;HEAP8[($value11)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value11)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value11)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value11)+(3))|0)]=tempBigInt&0xff; //@line 397 "SymbolEngine.cpp"
 var $17=$value_2_addr; //@line 398 "SymbolEngine.cpp"
 var $18=$pSymbol; //@line 398 "SymbolEngine.cpp"
 var $m_data12=(($18+4)|0); //@line 398 "SymbolEngine.cpp"
 var $value_213=(($m_data12+8)|0); //@line 398 "SymbolEngine.cpp"
 tempBigInt=$17;HEAP8[($value_213)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value_213)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value_213)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($value_213)+(3))|0)]=tempBigInt&0xff; //@line 398 "SymbolEngine.cpp"
 var $19=$pSymbol; //@line 399 "SymbolEngine.cpp"
 var $m_data14=(($19+4)|0); //@line 399 "SymbolEngine.cpp"
 var $dual=(($m_data14+17)|0); //@line 399 "SymbolEngine.cpp"
 HEAP8[($dual)]=0; //@line 399 "SymbolEngine.cpp"
 var $20=$pSymbol; //@line 400 "SymbolEngine.cpp"
 var $m_data15=(($20+4)|0); //@line 400 "SymbolEngine.cpp"
 var $operator_type_or_asm=(($m_data15+16)|0); //@line 400 "SymbolEngine.cpp"
 HEAP8[($operator_type_or_asm)]=0; //@line 400 "SymbolEngine.cpp"
 var $21=$bTemp_addr; //@line 402 "SymbolEngine.cpp"
 var $tobool=(($21)&1); //@line 402 "SymbolEngine.cpp"
 if($tobool){label=3;break;}else{label=5;break;} //@line 402 "SymbolEngine.cpp"
 case 3: 
 var $m_pTempUserSymbols=(($this1+8)|0); //@line 404 "SymbolEngine.cpp"
 var $22=((((HEAPU8[($m_pTempUserSymbols)])|(HEAPU8[((($m_pTempUserSymbols)+(1))|0)]<<8)|(HEAPU8[((($m_pTempUserSymbols)+(2))|0)]<<16)|(HEAPU8[((($m_pTempUserSymbols)+(3))|0)]<<24))|0)); //@line 404 "SymbolEngine.cpp"
 var $23=$pSymbol; //@line 404 "SymbolEngine.cpp"
 var $m_data16=(($23+4)|0); //@line 404 "SymbolEngine.cpp"
 var $name17=(($m_data16+12)|0); //@line 404 "SymbolEngine.cpp"
 var $24=((((HEAPU8[($name17)])|(HEAPU8[((($name17)+(1))|0)]<<8)|(HEAPU8[((($name17)+(2))|0)]<<16)|(HEAPU8[((($name17)+(3))|0)]<<24))|0)); //@line 404 "SymbolEngine.cpp"
 var $call18=__ZN9HashTable22GetStringHashUppercaseEPKc($22,$24); //@line 404 "SymbolEngine.cpp"
 $hashKey=$call18; //@line 404 "SymbolEngine.cpp"
 var $m_pTempUserSymbols19=(($this1+8)|0); //@line 405 "SymbolEngine.cpp"
 var $25=((((HEAPU8[($m_pTempUserSymbols19)])|(HEAPU8[((($m_pTempUserSymbols19)+(1))|0)]<<8)|(HEAPU8[((($m_pTempUserSymbols19)+(2))|0)]<<16)|(HEAPU8[((($m_pTempUserSymbols19)+(3))|0)]<<24))|0)); //@line 405 "SymbolEngine.cpp"
 var $26=$hashKey; //@line 405 "SymbolEngine.cpp"
 var $27=$pSymbol; //@line 405 "SymbolEngine.cpp"
 var $28=$27; //@line 405 "SymbolEngine.cpp"
 __ZN9HashTable6InsertEiP8Hashable($25,$26,$28); //@line 405 "SymbolEngine.cpp"
 label=6;break; //@line 406 "SymbolEngine.cpp"
 case 4: 
 var $29$0 = ___cxa_find_matching_catch(-1, -1); var $29$1 = tempRet0;
 var $30=$29$0;
 $exn_slot=$30; //@line 412 "SymbolEngine.cpp"
 var $31=$29$1;
 $ehselector_slot=$31; //@line 412 "SymbolEngine.cpp"
 __ZdlPv($call2); //@line 412 "SymbolEngine.cpp"
 label=7;break; //@line 412 "SymbolEngine.cpp"
 case 5: 
 var $m_pUserSymbols=(($this1+4)|0); //@line 409 "SymbolEngine.cpp"
 var $32=((((HEAPU8[($m_pUserSymbols)])|(HEAPU8[((($m_pUserSymbols)+(1))|0)]<<8)|(HEAPU8[((($m_pUserSymbols)+(2))|0)]<<16)|(HEAPU8[((($m_pUserSymbols)+(3))|0)]<<24))|0)); //@line 409 "SymbolEngine.cpp"
 var $33=$pSymbol; //@line 409 "SymbolEngine.cpp"
 var $m_data21=(($33+4)|0); //@line 409 "SymbolEngine.cpp"
 var $name22=(($m_data21+12)|0); //@line 409 "SymbolEngine.cpp"
 var $34=((((HEAPU8[($name22)])|(HEAPU8[((($name22)+(1))|0)]<<8)|(HEAPU8[((($name22)+(2))|0)]<<16)|(HEAPU8[((($name22)+(3))|0)]<<24))|0)); //@line 409 "SymbolEngine.cpp"
 var $call23=__ZN9HashTable22GetStringHashUppercaseEPKc($32,$34); //@line 409 "SymbolEngine.cpp"
 $hashKey20=$call23; //@line 409 "SymbolEngine.cpp"
 var $m_pUserSymbols24=(($this1+4)|0); //@line 410 "SymbolEngine.cpp"
 var $35=((((HEAPU8[($m_pUserSymbols24)])|(HEAPU8[((($m_pUserSymbols24)+(1))|0)]<<8)|(HEAPU8[((($m_pUserSymbols24)+(2))|0)]<<16)|(HEAPU8[((($m_pUserSymbols24)+(3))|0)]<<24))|0)); //@line 410 "SymbolEngine.cpp"
 var $36=$hashKey20; //@line 410 "SymbolEngine.cpp"
 var $37=$pSymbol; //@line 410 "SymbolEngine.cpp"
 var $38=$37; //@line 410 "SymbolEngine.cpp"
 __ZN9HashTable6InsertEiP8Hashable($35,$36,$38); //@line 410 "SymbolEngine.cpp"
 label=6;break;
 case 6: 
 STACKTOP=sp;return; //@line 412 "SymbolEngine.cpp"
 case 7: 
 var $exn=$exn_slot; //@line 412 "SymbolEngine.cpp"
 var $sel=$ehselector_slot; //@line 412 "SymbolEngine.cpp"
 var $lpad_val$0=$exn;
 var $lpad_val$1=0;
 var $lpad_val25$0=$lpad_val$0;
 var $lpad_val25$1=$sel;
 ___resumeException($lpad_val25$0) //@line 412 "SymbolEngine.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __ZN12SymbolEngine5ResetEb($this,$bTempsOnly){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $this_addr;
 var $bTempsOnly_addr;
 var $exn_slot;
 var $ehselector_slot;
 $this_addr=$this;
 var $frombool=($bTempsOnly&1);
 $bTempsOnly_addr=$frombool;
 var $this1=$this_addr;
 var $0=$bTempsOnly_addr; //@line 416 "SymbolEngine.cpp"
 var $tobool=(($0)&1); //@line 416 "SymbolEngine.cpp"
 if($tobool){label=9;break;}else{label=2;break;} //@line 416 "SymbolEngine.cpp"
 case 2: 
 var $m_pUserSymbols=(($this1+4)|0); //@line 418 "SymbolEngine.cpp"
 var $1=((((HEAPU8[($m_pUserSymbols)])|(HEAPU8[((($m_pUserSymbols)+(1))|0)]<<8)|(HEAPU8[((($m_pUserSymbols)+(2))|0)]<<16)|(HEAPU8[((($m_pUserSymbols)+(3))|0)]<<24))|0)); //@line 418 "SymbolEngine.cpp"
 var $isnull=($1|0)==0; //@line 418 "SymbolEngine.cpp"
 if($isnull){label=5;break;}else{label=3;break;} //@line 418 "SymbolEngine.cpp"
 case 3: 
 (function() { try { __THREW__ = 0; return __ZN9HashTableD2Ev($1) } catch(e) { if (typeof e != "number") throw e; if (ABORT) throw e; __THREW__ = 1; return null } })();if (!__THREW__) { label=4;break; } else { label=7;break; } //@line 418 "SymbolEngine.cpp"
 case 4: 
 var $2=$1; //@line 418 "SymbolEngine.cpp"
 __ZdlPv($2); //@line 418 "SymbolEngine.cpp"
 label=5;break; //@line 424 "SymbolEngine.cpp"
 case 5: 
 var $call=__Znwj(8); //@line 419 "SymbolEngine.cpp"
 var $3=$call; //@line 419 "SymbolEngine.cpp"
 (function() { try { __THREW__ = 0; return __ZN9HashTableC2Ei($3,8192) } catch(e) { if (typeof e != "number") throw e; if (ABORT) throw e; __THREW__ = 1; return null } })();if (!__THREW__) { label=6;break; } else { label=8;break; } //@line 419 "SymbolEngine.cpp"
 case 6: 
 var $m_pUserSymbols4=(($this1+4)|0); //@line 424 "SymbolEngine.cpp"
 tempBigInt=$3;HEAP8[($m_pUserSymbols4)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pUserSymbols4)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pUserSymbols4)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pUserSymbols4)+(3))|0)]=tempBigInt&0xff; //@line 424 "SymbolEngine.cpp"
 label=9;break; //@line 420 "SymbolEngine.cpp"
 case 7: 
 var $4$0 = ___cxa_find_matching_catch(-1, -1); var $4$1 = tempRet0;
 var $5=$4$0;
 $exn_slot=$5; //@line 424 "SymbolEngine.cpp"
 var $6=$4$1;
 $ehselector_slot=$6; //@line 424 "SymbolEngine.cpp"
 var $7=$1; //@line 424 "SymbolEngine.cpp"
 __ZdlPv($7); //@line 424 "SymbolEngine.cpp"
 label=16;break; //@line 424 "SymbolEngine.cpp"
 case 8: 
 var $8$0 = ___cxa_find_matching_catch(-1, -1); var $8$1 = tempRet0;
 var $9=$8$0;
 $exn_slot=$9; //@line 424 "SymbolEngine.cpp"
 var $10=$8$1;
 $ehselector_slot=$10; //@line 424 "SymbolEngine.cpp"
 __ZdlPv($call); //@line 424 "SymbolEngine.cpp"
 label=16;break; //@line 424 "SymbolEngine.cpp"
 case 9: 
 var $m_pTempUserSymbols=(($this1+8)|0); //@line 422 "SymbolEngine.cpp"
 var $11=((((HEAPU8[($m_pTempUserSymbols)])|(HEAPU8[((($m_pTempUserSymbols)+(1))|0)]<<8)|(HEAPU8[((($m_pTempUserSymbols)+(2))|0)]<<16)|(HEAPU8[((($m_pTempUserSymbols)+(3))|0)]<<24))|0)); //@line 422 "SymbolEngine.cpp"
 var $isnull5=($11|0)==0; //@line 422 "SymbolEngine.cpp"
 if($isnull5){label=12;break;}else{label=10;break;} //@line 422 "SymbolEngine.cpp"
 case 10: 
 (function() { try { __THREW__ = 0; return __ZN9HashTableD2Ev($11) } catch(e) { if (typeof e != "number") throw e; if (ABORT) throw e; __THREW__ = 1; return null } })();if (!__THREW__) { label=11;break; } else { label=14;break; } //@line 422 "SymbolEngine.cpp"
 case 11: 
 var $12=$11; //@line 422 "SymbolEngine.cpp"
 __ZdlPv($12); //@line 422 "SymbolEngine.cpp"
 label=12;break; //@line 424 "SymbolEngine.cpp"
 case 12: 
 var $call10=__Znwj(8); //@line 423 "SymbolEngine.cpp"
 var $13=$call10; //@line 423 "SymbolEngine.cpp"
 (function() { try { __THREW__ = 0; return __ZN9HashTableC2Ei($13,1024) } catch(e) { if (typeof e != "number") throw e; if (ABORT) throw e; __THREW__ = 1; return null } })();if (!__THREW__) { label=13;break; } else { label=15;break; } //@line 423 "SymbolEngine.cpp"
 case 13: 
 var $m_pTempUserSymbols13=(($this1+8)|0); //@line 424 "SymbolEngine.cpp"
 tempBigInt=$13;HEAP8[($m_pTempUserSymbols13)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pTempUserSymbols13)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pTempUserSymbols13)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pTempUserSymbols13)+(3))|0)]=tempBigInt&0xff; //@line 424 "SymbolEngine.cpp"
 STACKTOP=sp;return; //@line 424 "SymbolEngine.cpp"
 case 14: 
 var $14$0 = ___cxa_find_matching_catch(-1, -1); var $14$1 = tempRet0;
 var $15=$14$0;
 $exn_slot=$15; //@line 424 "SymbolEngine.cpp"
 var $16=$14$1;
 $ehselector_slot=$16; //@line 424 "SymbolEngine.cpp"
 var $17=$11; //@line 424 "SymbolEngine.cpp"
 __ZdlPv($17); //@line 424 "SymbolEngine.cpp"
 label=16;break; //@line 424 "SymbolEngine.cpp"
 case 15: 
 var $18$0 = ___cxa_find_matching_catch(-1, -1); var $18$1 = tempRet0;
 var $19=$18$0;
 $exn_slot=$19; //@line 424 "SymbolEngine.cpp"
 var $20=$18$1;
 $ehselector_slot=$20; //@line 424 "SymbolEngine.cpp"
 __ZdlPv($call10); //@line 424 "SymbolEngine.cpp"
 label=16;break; //@line 424 "SymbolEngine.cpp"
 case 16: 
 var $exn=$exn_slot; //@line 424 "SymbolEngine.cpp"
 var $sel=$ehselector_slot; //@line 424 "SymbolEngine.cpp"
 var $lpad_val$0=$exn;
 var $lpad_val$1=0;
 var $lpad_val14$0=$lpad_val$0;
 var $lpad_val14$1=$sel;
 ___resumeException($lpad_val14$0) //@line 424 "SymbolEngine.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __ZN16SymbolTableEntryD2Ev($this){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $this_addr;
 $this_addr=$this;
 var $this1=$this_addr;
 var $0=$this1; //@line 211 "./SymbolEngine.h"
 tempBigInt=12000;HEAP8[($0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($0)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($0)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($0)+(3))|0)]=tempBigInt&0xff; //@line 211 "./SymbolEngine.h"
 var $m_data=(($this1+4)|0); //@line 212 "./SymbolEngine.h"
 var $name=(($m_data+12)|0); //@line 212 "./SymbolEngine.h"
 var $1=((((HEAPU8[($name)])|(HEAPU8[((($name)+(1))|0)]<<8)|(HEAPU8[((($name)+(2))|0)]<<16)|(HEAPU8[((($name)+(3))|0)]<<24))|0)); //@line 212 "./SymbolEngine.h"
 var $isnull=($1|0)==0; //@line 212 "./SymbolEngine.h"
 if($isnull){label=3;break;}else{label=2;break;} //@line 212 "./SymbolEngine.h"
 case 2: 
 __ZdaPv($1); //@line 212 "./SymbolEngine.h"
 label=3;break; //@line 212 "./SymbolEngine.h"
 case 3: 
 var $2=$this1; //@line 213 "./SymbolEngine.h"
 __ZN8HashableD2Ev($2); //@line 213 "./SymbolEngine.h"
 STACKTOP=sp;return; //@line 213 "./SymbolEngine.h"
  default: assert(0, "bad label: " + label);
 }

}


function __ZN16SymbolTableEntryD0Ev($this){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $this_addr;
 var $exn_slot;
 var $ehselector_slot;
 $this_addr=$this;
 var $this1=$this_addr;
 (function() { try { __THREW__ = 0; return __ZN16SymbolTableEntryD2Ev($this1) } catch(e) { if (typeof e != "number") throw e; if (ABORT) throw e; __THREW__ = 1; return null } })();if (!__THREW__) { label=2;break; } else { label=3;break; } //@line 211 "./SymbolEngine.h"
 case 2: 
 var $0=$this1; //@line 211 "./SymbolEngine.h"
 __ZdlPv($0); //@line 211 "./SymbolEngine.h"
 STACKTOP=sp;return; //@line 213 "./SymbolEngine.h"
 case 3: 
 var $1$0 = ___cxa_find_matching_catch(-1, -1); var $1$1 = tempRet0;
 var $2=$1$0;
 $exn_slot=$2; //@line 213 "./SymbolEngine.h"
 var $3=$1$1;
 $ehselector_slot=$3; //@line 213 "./SymbolEngine.h"
 var $4=$this1; //@line 213 "./SymbolEngine.h"
 __ZdlPv($4); //@line 213 "./SymbolEngine.h"
 label=4;break; //@line 213 "./SymbolEngine.h"
 case 4: 
 var $exn=$exn_slot; //@line 213 "./SymbolEngine.h"
 var $sel=$ehselector_slot; //@line 213 "./SymbolEngine.h"
 var $lpad_val$0=$exn;
 var $lpad_val$1=0;
 var $lpad_val2$0=$lpad_val$0;
 var $lpad_val2$1=$sel;
 ___resumeException($lpad_val2$0) //@line 213 "./SymbolEngine.h"
  default: assert(0, "bad label: " + label);
 }

}


function __ZN8HashableD2Ev($this){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $this_addr;
 $this_addr=$this;
 var $this1=$this_addr;
 STACKTOP=sp;return; //@line 74 "./Utilities.h"
}


function __ZN8HashableD0Ev($this){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $this_addr;
 var $exn_slot;
 var $ehselector_slot;
 $this_addr=$this;
 var $this1=$this_addr;
 (function() { try { __THREW__ = 0; return __ZN8HashableD2Ev($this1) } catch(e) { if (typeof e != "number") throw e; if (ABORT) throw e; __THREW__ = 1; return null } })();if (!__THREW__) { label=2;break; } else { label=3;break; } //@line 73 "./Utilities.h"
 case 2: 
 var $0=$this1; //@line 73 "./Utilities.h"
 __ZdlPv($0); //@line 73 "./Utilities.h"
 STACKTOP=sp;return; //@line 74 "./Utilities.h"
 case 3: 
 var $1$0 = ___cxa_find_matching_catch(-1, -1); var $1$1 = tempRet0;
 var $2=$1$0;
 $exn_slot=$2; //@line 74 "./Utilities.h"
 var $3=$1$1;
 $ehselector_slot=$3; //@line 74 "./Utilities.h"
 var $4=$this1; //@line 74 "./Utilities.h"
 __ZdlPv($4); //@line 74 "./Utilities.h"
 label=4;break; //@line 74 "./Utilities.h"
 case 4: 
 var $exn=$exn_slot; //@line 74 "./Utilities.h"
 var $sel=$ehselector_slot; //@line 74 "./Utilities.h"
 var $lpad_val$0=$exn;
 var $lpad_val$1=0;
 var $lpad_val2$0=$lpad_val$0;
 var $lpad_val2$1=$sel;
 ___resumeException($lpad_val2$0) //@line 74 "./Utilities.h"
  default: assert(0, "bad label: " + label);
 }

}


function __ZN8HashableC2Ev($this){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $this_addr;
 $this_addr=$this;
 var $this1=$this_addr;
 var $0=$this1; //@line 69 "./Utilities.h"
 tempBigInt=11976;HEAP8[($0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($0)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($0)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($0)+(3))|0)]=tempBigInt&0xff; //@line 69 "./Utilities.h"
 STACKTOP=sp;return; //@line 69 "./Utilities.h"
}


function ___clang_call_terminate($0){
 var label=0;


 var $2=___cxa_begin_catch($0);
 __ZSt9terminatev();
 throw "Reached an unreachable!";
}


function __ZN9HashTableC2Ei($this,$tableSize){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $this_addr;
 var $tableSize_addr;
 var $i;
 $this_addr=$this;
 $tableSize_addr=$tableSize;
 var $this1=$this_addr;
 var $m_tableSize=(($this1+4)|0); //@line 98 "./Utilities.h"
 var $0=$tableSize_addr; //@line 98 "./Utilities.h"
 tempBigInt=$0;HEAP8[($m_tableSize)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_tableSize)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_tableSize)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_tableSize)+(3))|0)]=tempBigInt&0xff; //@line 98 "./Utilities.h"
 var $1=$tableSize_addr; //@line 99 "./Utilities.h"
 var $2$0=_llvm_umul_with_overflow_i32($1,4);
 var $2$1=tempRet0;
 var $3=$2$1;
 var $4=$2$0;
 var $5=($3?-1:$4); //@line 99 "./Utilities.h"
 var $call=__Znaj($5); //@line 99 "./Utilities.h"
 var $6=$call; //@line 99 "./Utilities.h"
 var $m_pTable=(($this1)|0); //@line 99 "./Utilities.h"
 tempBigInt=$6;HEAP8[($m_pTable)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pTable)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pTable)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pTable)+(3))|0)]=tempBigInt&0xff; //@line 99 "./Utilities.h"
 $i=0; //@line 100 "./Utilities.h"
 label=2;break; //@line 100 "./Utilities.h"
 case 2: 
 var $7=$i; //@line 100 "./Utilities.h"
 var $m_tableSize2=(($this1+4)|0); //@line 100 "./Utilities.h"
 var $8=((((HEAPU8[($m_tableSize2)])|(HEAPU8[((($m_tableSize2)+(1))|0)]<<8)|(HEAPU8[((($m_tableSize2)+(2))|0)]<<16)|(HEAPU8[((($m_tableSize2)+(3))|0)]<<24))|0)); //@line 100 "./Utilities.h"
 var $cmp=($7|0)<($8|0); //@line 100 "./Utilities.h"
 if($cmp){label=3;break;}else{label=5;break;} //@line 100 "./Utilities.h"
 case 3: 
 var $9=$i; //@line 102 "./Utilities.h"
 var $m_pTable3=(($this1)|0); //@line 102 "./Utilities.h"
 var $10=((((HEAPU8[($m_pTable3)])|(HEAPU8[((($m_pTable3)+(1))|0)]<<8)|(HEAPU8[((($m_pTable3)+(2))|0)]<<16)|(HEAPU8[((($m_pTable3)+(3))|0)]<<24))|0)); //@line 102 "./Utilities.h"
 var $arrayidx=(($10+($9<<2))|0); //@line 102 "./Utilities.h"
 tempBigInt=0;HEAP8[($arrayidx)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx)+(3))|0)]=tempBigInt&0xff; //@line 102 "./Utilities.h"
 label=4;break; //@line 103 "./Utilities.h"
 case 4: 
 var $11=$i; //@line 100 "./Utilities.h"
 var $inc=((($11)+(1))|0); //@line 100 "./Utilities.h"
 $i=$inc; //@line 100 "./Utilities.h"
 label=2;break; //@line 100 "./Utilities.h"
 case 5: 
 STACKTOP=sp;return; //@line 104 "./Utilities.h"
  default: assert(0, "bad label: " + label);
 }

}


function __ZN9HashTable22GetStringHashUppercaseEPKc($this,$s){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $this_addr;
 var $s_addr;
 var $hash;
 var $c;
 $this_addr=$this;
 $s_addr=$s;
 var $this1=$this_addr;
 $hash=0; //@line 169 "./Utilities.h"
 label=2;break; //@line 170 "./Utilities.h"
 case 2: 
 var $0=$s_addr; //@line 170 "./Utilities.h"
 var $1=HEAP8[($0)]; //@line 170 "./Utilities.h"
 var $conv=(($1<<24)>>24); //@line 170 "./Utilities.h"
 var $cmp=($conv|0)!=0; //@line 170 "./Utilities.h"
 if($cmp){label=3;break;}else{label=6;break;} //@line 170 "./Utilities.h"
 case 3: 
 var $2=$s_addr; //@line 172 "./Utilities.h"
 var $3=HEAP8[($2)]; //@line 172 "./Utilities.h"
 var $conv2=(($3<<24)>>24); //@line 172 "./Utilities.h"
 $c=$conv2; //@line 172 "./Utilities.h"
 var $4=$c; //@line 173 "./Utilities.h"
 var $5=$c; //@line 173 "./Utilities.h"
 var $cmp3=($5|0)>=97; //@line 173 "./Utilities.h"
 if($cmp3){label=4;break;}else{var $7=0;label=5;break;} //@line 173 "./Utilities.h"
 case 4: 
 var $6=$c; //@line 173 "./Utilities.h"
 var $cmp4=($6|0)<=122; //@line 173 "./Utilities.h"
 var $7=$cmp4;label=5;break;
 case 5: 
 var $7;
 var $conv5=($7&1);
 var $mul=($conv5<<5);
 var $sub=((($4)-($mul))|0);
 $c=$sub;
 var $8=$c; //@line 174 "./Utilities.h"
 var $9=$hash; //@line 174 "./Utilities.h"
 var $add=((($9)+($8))|0); //@line 174 "./Utilities.h"
 $hash=$add; //@line 174 "./Utilities.h"
 var $10=$hash; //@line 175 "./Utilities.h"
 var $shl=$10<<10; //@line 175 "./Utilities.h"
 var $11=$hash; //@line 175 "./Utilities.h"
 var $add6=((($11)+($shl))|0); //@line 175 "./Utilities.h"
 $hash=$add6; //@line 175 "./Utilities.h"
 var $12=$hash; //@line 176 "./Utilities.h"
 var $shr=$12>>6; //@line 176 "./Utilities.h"
 var $13=$hash; //@line 176 "./Utilities.h"
 var $xor=$13^$shr; //@line 176 "./Utilities.h"
 $hash=$xor; //@line 176 "./Utilities.h"
 var $14=$s_addr; //@line 177 "./Utilities.h"
 var $incdec_ptr=(($14+1)|0); //@line 177 "./Utilities.h"
 $s_addr=$incdec_ptr; //@line 177 "./Utilities.h"
 label=2;break; //@line 178 "./Utilities.h"
 case 6: 
 var $15=$hash; //@line 179 "./Utilities.h"
 var $shl7=$15<<3; //@line 179 "./Utilities.h"
 var $16=$hash; //@line 179 "./Utilities.h"
 var $add8=((($16)+($shl7))|0); //@line 179 "./Utilities.h"
 $hash=$add8; //@line 179 "./Utilities.h"
 var $17=$hash; //@line 180 "./Utilities.h"
 var $shr9=$17>>11; //@line 180 "./Utilities.h"
 var $18=$hash; //@line 180 "./Utilities.h"
 var $xor10=$18^$shr9; //@line 180 "./Utilities.h"
 $hash=$xor10; //@line 180 "./Utilities.h"
 var $19=$hash; //@line 181 "./Utilities.h"
 var $shl11=$19<<15; //@line 181 "./Utilities.h"
 var $20=$hash; //@line 181 "./Utilities.h"
 var $add12=((($20)+($shl11))|0); //@line 181 "./Utilities.h"
 $hash=$add12; //@line 181 "./Utilities.h"
 var $21=$hash; //@line 182 "./Utilities.h"
 STACKTOP=sp;return $21; //@line 182 "./Utilities.h"
  default: assert(0, "bad label: " + label);
 }

}


function __ZN9HashTable6InsertEiP8Hashable($this,$key,$pValue){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $this_addr;
 var $key_addr;
 var $pValue_addr;
 var $bucket;
 var $pNode;
 $this_addr=$this;
 $key_addr=$key;
 $pValue_addr=$pValue;
 var $this1=$this_addr;
 var $0=$key_addr; //@line 122 "./Utilities.h"
 var $m_tableSize=(($this1+4)|0); //@line 122 "./Utilities.h"
 var $1=((((HEAPU8[($m_tableSize)])|(HEAPU8[((($m_tableSize)+(1))|0)]<<8)|(HEAPU8[((($m_tableSize)+(2))|0)]<<16)|(HEAPU8[((($m_tableSize)+(3))|0)]<<24))|0)); //@line 122 "./Utilities.h"
 var $rem=(((($0>>>0))%(($1>>>0)))&-1); //@line 122 "./Utilities.h"
 $bucket=$rem; //@line 122 "./Utilities.h"
 var $call=__Znwj(12); //@line 124 "./Utilities.h"
 var $2=$call; //@line 124 "./Utilities.h"
 $pNode=$2; //@line 124 "./Utilities.h"
 var $3=$key_addr; //@line 125 "./Utilities.h"
 var $4=$pNode; //@line 125 "./Utilities.h"
 var $key2=(($4)|0); //@line 125 "./Utilities.h"
 tempBigInt=$3;HEAP8[($key2)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($key2)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($key2)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($key2)+(3))|0)]=tempBigInt&0xff; //@line 125 "./Utilities.h"
 var $5=$pValue_addr; //@line 126 "./Utilities.h"
 var $6=$pNode; //@line 126 "./Utilities.h"
 var $pValue3=(($6+4)|0); //@line 126 "./Utilities.h"
 tempBigInt=$5;HEAP8[($pValue3)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($pValue3)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($pValue3)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($pValue3)+(3))|0)]=tempBigInt&0xff; //@line 126 "./Utilities.h"
 var $7=$bucket; //@line 127 "./Utilities.h"
 var $m_pTable=(($this1)|0); //@line 127 "./Utilities.h"
 var $8=((((HEAPU8[($m_pTable)])|(HEAPU8[((($m_pTable)+(1))|0)]<<8)|(HEAPU8[((($m_pTable)+(2))|0)]<<16)|(HEAPU8[((($m_pTable)+(3))|0)]<<24))|0)); //@line 127 "./Utilities.h"
 var $arrayidx=(($8+($7<<2))|0); //@line 127 "./Utilities.h"
 var $9=((((HEAPU8[($arrayidx)])|(HEAPU8[((($arrayidx)+(1))|0)]<<8)|(HEAPU8[((($arrayidx)+(2))|0)]<<16)|(HEAPU8[((($arrayidx)+(3))|0)]<<24))|0)); //@line 127 "./Utilities.h"
 var $10=$pNode; //@line 127 "./Utilities.h"
 var $pNext=(($10+8)|0); //@line 127 "./Utilities.h"
 tempBigInt=$9;HEAP8[($pNext)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($pNext)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($pNext)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($pNext)+(3))|0)]=tempBigInt&0xff; //@line 127 "./Utilities.h"
 var $11=$pNode; //@line 129 "./Utilities.h"
 var $12=$bucket; //@line 129 "./Utilities.h"
 var $m_pTable4=(($this1)|0); //@line 129 "./Utilities.h"
 var $13=((((HEAPU8[($m_pTable4)])|(HEAPU8[((($m_pTable4)+(1))|0)]<<8)|(HEAPU8[((($m_pTable4)+(2))|0)]<<16)|(HEAPU8[((($m_pTable4)+(3))|0)]<<24))|0)); //@line 129 "./Utilities.h"
 var $arrayidx5=(($13+($12<<2))|0); //@line 129 "./Utilities.h"
 tempBigInt=$11;HEAP8[($arrayidx5)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx5)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx5)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx5)+(3))|0)]=tempBigInt&0xff; //@line 129 "./Utilities.h"
 STACKTOP=sp;return; //@line 130 "./Utilities.h"
}


function __ZN9HashTableD2Ev($this){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $this_addr;
 var $i;
 var $exn_slot;
 var $ehselector_slot;
 $this_addr=$this;
 var $this1=$this_addr;
 $i=0; //@line 107 "./Utilities.h"
 label=2;break; //@line 107 "./Utilities.h"
 case 2: 
 var $0=$i; //@line 107 "./Utilities.h"
 var $m_tableSize=(($this1+4)|0); //@line 107 "./Utilities.h"
 var $1=((((HEAPU8[($m_tableSize)])|(HEAPU8[((($m_tableSize)+(1))|0)]<<8)|(HEAPU8[((($m_tableSize)+(2))|0)]<<16)|(HEAPU8[((($m_tableSize)+(3))|0)]<<24))|0)); //@line 107 "./Utilities.h"
 var $cmp=($0|0)<($1|0); //@line 107 "./Utilities.h"
 if($cmp){label=3;break;}else{label=11;break;} //@line 107 "./Utilities.h"
 case 3: 
 var $2=$i; //@line 109 "./Utilities.h"
 var $m_pTable=(($this1)|0); //@line 109 "./Utilities.h"
 var $3=((((HEAPU8[($m_pTable)])|(HEAPU8[((($m_pTable)+(1))|0)]<<8)|(HEAPU8[((($m_pTable)+(2))|0)]<<16)|(HEAPU8[((($m_pTable)+(3))|0)]<<24))|0)); //@line 109 "./Utilities.h"
 var $arrayidx=(($3+($2<<2))|0); //@line 109 "./Utilities.h"
 var $4=((((HEAPU8[($arrayidx)])|(HEAPU8[((($arrayidx)+(1))|0)]<<8)|(HEAPU8[((($arrayidx)+(2))|0)]<<16)|(HEAPU8[((($arrayidx)+(3))|0)]<<24))|0)); //@line 109 "./Utilities.h"
 var $cmp2=($4|0)!=0; //@line 109 "./Utilities.h"
 if($cmp2){label=4;break;}else{label=9;break;} //@line 109 "./Utilities.h"
 case 4: 
 var $5=$i; //@line 111 "./Utilities.h"
 var $m_pTable3=(($this1)|0); //@line 111 "./Utilities.h"
 var $6=((((HEAPU8[($m_pTable3)])|(HEAPU8[((($m_pTable3)+(1))|0)]<<8)|(HEAPU8[((($m_pTable3)+(2))|0)]<<16)|(HEAPU8[((($m_pTable3)+(3))|0)]<<24))|0)); //@line 111 "./Utilities.h"
 var $arrayidx4=(($6+($5<<2))|0); //@line 111 "./Utilities.h"
 var $7=((((HEAPU8[($arrayidx4)])|(HEAPU8[((($arrayidx4)+(1))|0)]<<8)|(HEAPU8[((($arrayidx4)+(2))|0)]<<16)|(HEAPU8[((($arrayidx4)+(3))|0)]<<24))|0)); //@line 111 "./Utilities.h"
 var $isnull=($7|0)==0; //@line 111 "./Utilities.h"
 if($isnull){label=7;break;}else{label=5;break;} //@line 111 "./Utilities.h"
 case 5: 
 (function() { try { __THREW__ = 0; return __ZN8HashNodeD2Ev($7) } catch(e) { if (typeof e != "number") throw e; if (ABORT) throw e; __THREW__ = 1; return null } })();if (!__THREW__) { label=6;break; } else { label=8;break; } //@line 111 "./Utilities.h"
 case 6: 
 var $8=$7; //@line 111 "./Utilities.h"
 __ZdlPv($8); //@line 111 "./Utilities.h"
 label=7;break; //@line 117 "./Utilities.h"
 case 7: 
 var $9=$i; //@line 112 "./Utilities.h"
 var $m_pTable5=(($this1)|0); //@line 112 "./Utilities.h"
 var $10=((((HEAPU8[($m_pTable5)])|(HEAPU8[((($m_pTable5)+(1))|0)]<<8)|(HEAPU8[((($m_pTable5)+(2))|0)]<<16)|(HEAPU8[((($m_pTable5)+(3))|0)]<<24))|0)); //@line 112 "./Utilities.h"
 var $arrayidx6=(($10+($9<<2))|0); //@line 112 "./Utilities.h"
 tempBigInt=0;HEAP8[($arrayidx6)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx6)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx6)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx6)+(3))|0)]=tempBigInt&0xff; //@line 112 "./Utilities.h"
 label=9;break; //@line 113 "./Utilities.h"
 case 8: 
 var $11$0 = ___cxa_find_matching_catch(-1, -1); var $11$1 = tempRet0;
 var $12=$11$0;
 $exn_slot=$12; //@line 117 "./Utilities.h"
 var $13=$11$1;
 $ehselector_slot=$13; //@line 117 "./Utilities.h"
 var $14=$7; //@line 117 "./Utilities.h"
 __ZdlPv($14); //@line 117 "./Utilities.h"
 label=14;break; //@line 117 "./Utilities.h"
 case 9: 
 label=10;break; //@line 114 "./Utilities.h"
 case 10: 
 var $15=$i; //@line 107 "./Utilities.h"
 var $inc=((($15)+(1))|0); //@line 107 "./Utilities.h"
 $i=$inc; //@line 107 "./Utilities.h"
 label=2;break; //@line 107 "./Utilities.h"
 case 11: 
 var $m_pTable7=(($this1)|0); //@line 115 "./Utilities.h"
 var $16=((((HEAPU8[($m_pTable7)])|(HEAPU8[((($m_pTable7)+(1))|0)]<<8)|(HEAPU8[((($m_pTable7)+(2))|0)]<<16)|(HEAPU8[((($m_pTable7)+(3))|0)]<<24))|0)); //@line 115 "./Utilities.h"
 var $isnull8=($16|0)==0; //@line 115 "./Utilities.h"
 if($isnull8){label=13;break;}else{label=12;break;} //@line 115 "./Utilities.h"
 case 12: 
 var $17=$16; //@line 115 "./Utilities.h"
 __ZdaPv($17); //@line 115 "./Utilities.h"
 label=13;break; //@line 115 "./Utilities.h"
 case 13: 
 var $m_pTable11=(($this1)|0); //@line 116 "./Utilities.h"
 tempBigInt=0;HEAP8[($m_pTable11)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pTable11)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pTable11)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($m_pTable11)+(3))|0)]=tempBigInt&0xff; //@line 116 "./Utilities.h"
 STACKTOP=sp;return; //@line 117 "./Utilities.h"
 case 14: 
 var $exn=$exn_slot; //@line 117 "./Utilities.h"
 var $sel=$ehselector_slot; //@line 117 "./Utilities.h"
 var $lpad_val$0=$exn;
 var $lpad_val$1=0;
 var $lpad_val12$0=$lpad_val$0;
 var $lpad_val12$1=$sel;
 ___resumeException($lpad_val12$0) //@line 117 "./Utilities.h"
  default: assert(0, "bad label: " + label);
 }

}


function __ZN9HashTable9FindFirstEi($this,$key){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $this_addr;
 var $key_addr;
 var $bucket;
 var $pNode;
 $this_addr=$this;
 $key_addr=$key;
 var $this1=$this_addr;
 var $0=$key_addr; //@line 136 "./Utilities.h"
 var $m_tableSize=(($this1+4)|0); //@line 136 "./Utilities.h"
 var $1=((((HEAPU8[($m_tableSize)])|(HEAPU8[((($m_tableSize)+(1))|0)]<<8)|(HEAPU8[((($m_tableSize)+(2))|0)]<<16)|(HEAPU8[((($m_tableSize)+(3))|0)]<<24))|0)); //@line 136 "./Utilities.h"
 var $rem=(((($0>>>0))%(($1>>>0)))&-1); //@line 136 "./Utilities.h"
 $bucket=$rem; //@line 136 "./Utilities.h"
 var $2=$bucket; //@line 137 "./Utilities.h"
 var $m_pTable=(($this1)|0); //@line 137 "./Utilities.h"
 var $3=((((HEAPU8[($m_pTable)])|(HEAPU8[((($m_pTable)+(1))|0)]<<8)|(HEAPU8[((($m_pTable)+(2))|0)]<<16)|(HEAPU8[((($m_pTable)+(3))|0)]<<24))|0)); //@line 137 "./Utilities.h"
 var $arrayidx=(($3+($2<<2))|0); //@line 137 "./Utilities.h"
 var $4=((((HEAPU8[($arrayidx)])|(HEAPU8[((($arrayidx)+(1))|0)]<<8)|(HEAPU8[((($arrayidx)+(2))|0)]<<16)|(HEAPU8[((($arrayidx)+(3))|0)]<<24))|0)); //@line 137 "./Utilities.h"
 var $cmp=($4|0)!=0; //@line 137 "./Utilities.h"
 if($cmp){label=2;break;}else{label=8;break;} //@line 137 "./Utilities.h"
 case 2: 
 var $5=$bucket; //@line 139 "./Utilities.h"
 var $m_pTable2=(($this1)|0); //@line 139 "./Utilities.h"
 var $6=((((HEAPU8[($m_pTable2)])|(HEAPU8[((($m_pTable2)+(1))|0)]<<8)|(HEAPU8[((($m_pTable2)+(2))|0)]<<16)|(HEAPU8[((($m_pTable2)+(3))|0)]<<24))|0)); //@line 139 "./Utilities.h"
 var $arrayidx3=(($6+($5<<2))|0); //@line 139 "./Utilities.h"
 var $7=((((HEAPU8[($arrayidx3)])|(HEAPU8[((($arrayidx3)+(1))|0)]<<8)|(HEAPU8[((($arrayidx3)+(2))|0)]<<16)|(HEAPU8[((($arrayidx3)+(3))|0)]<<24))|0)); //@line 139 "./Utilities.h"
 $pNode=$7; //@line 139 "./Utilities.h"
 label=3;break; //@line 140 "./Utilities.h"
 case 3: 
 var $8=$pNode; //@line 140 "./Utilities.h"
 var $cmp4=($8|0)!=0; //@line 140 "./Utilities.h"
 if($cmp4){label=4;break;}else{label=7;break;} //@line 140 "./Utilities.h"
 case 4: 
 var $9=$pNode; //@line 142 "./Utilities.h"
 var $key5=(($9)|0); //@line 142 "./Utilities.h"
 var $10=((((HEAPU8[($key5)])|(HEAPU8[((($key5)+(1))|0)]<<8)|(HEAPU8[((($key5)+(2))|0)]<<16)|(HEAPU8[((($key5)+(3))|0)]<<24))|0)); //@line 142 "./Utilities.h"
 var $11=$key_addr; //@line 142 "./Utilities.h"
 var $cmp6=($10|0)==($11|0); //@line 142 "./Utilities.h"
 if($cmp6){label=5;break;}else{label=6;break;} //@line 142 "./Utilities.h"
 case 5: 
 var $12=$pNode; //@line 144 "./Utilities.h"
 $retval=$12; //@line 144 "./Utilities.h"
 label=9;break; //@line 144 "./Utilities.h"
 case 6: 
 var $13=$pNode; //@line 146 "./Utilities.h"
 var $pNext=(($13+8)|0); //@line 146 "./Utilities.h"
 var $14=((((HEAPU8[($pNext)])|(HEAPU8[((($pNext)+(1))|0)]<<8)|(HEAPU8[((($pNext)+(2))|0)]<<16)|(HEAPU8[((($pNext)+(3))|0)]<<24))|0)); //@line 146 "./Utilities.h"
 $pNode=$14; //@line 146 "./Utilities.h"
 label=3;break; //@line 147 "./Utilities.h"
 case 7: 
 label=8;break; //@line 148 "./Utilities.h"
 case 8: 
 $retval=0; //@line 150 "./Utilities.h"
 label=9;break; //@line 150 "./Utilities.h"
 case 9: 
 var $15=$retval; //@line 151 "./Utilities.h"
 STACKTOP=sp;return $15; //@line 151 "./Utilities.h"
  default: assert(0, "bad label: " + label);
 }

}


function __ZN9HashTable8FindNextEP8HashNode($this,$pCurrent){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $this_addr;
 var $pCurrent_addr;
 $this_addr=$this;
 $pCurrent_addr=$pCurrent;
 var $this1=$this_addr;
 var $0=$pCurrent_addr; //@line 157 "./Utilities.h"
 var $pNext=(($0+8)|0); //@line 157 "./Utilities.h"
 var $1=((((HEAPU8[($pNext)])|(HEAPU8[((($pNext)+(1))|0)]<<8)|(HEAPU8[((($pNext)+(2))|0)]<<16)|(HEAPU8[((($pNext)+(3))|0)]<<24))|0)); //@line 157 "./Utilities.h"
 var $cmp=($1|0)!=0; //@line 157 "./Utilities.h"
 if($cmp){label=2;break;}else{label=4;break;} //@line 157 "./Utilities.h"
 case 2: 
 var $2=$pCurrent_addr; //@line 157 "./Utilities.h"
 var $pNext2=(($2+8)|0); //@line 157 "./Utilities.h"
 var $3=((((HEAPU8[($pNext2)])|(HEAPU8[((($pNext2)+(1))|0)]<<8)|(HEAPU8[((($pNext2)+(2))|0)]<<16)|(HEAPU8[((($pNext2)+(3))|0)]<<24))|0)); //@line 157 "./Utilities.h"
 var $key=(($3)|0); //@line 157 "./Utilities.h"
 var $4=((((HEAPU8[($key)])|(HEAPU8[((($key)+(1))|0)]<<8)|(HEAPU8[((($key)+(2))|0)]<<16)|(HEAPU8[((($key)+(3))|0)]<<24))|0)); //@line 157 "./Utilities.h"
 var $5=$pCurrent_addr; //@line 157 "./Utilities.h"
 var $key3=(($5)|0); //@line 157 "./Utilities.h"
 var $6=((((HEAPU8[($key3)])|(HEAPU8[((($key3)+(1))|0)]<<8)|(HEAPU8[((($key3)+(2))|0)]<<16)|(HEAPU8[((($key3)+(3))|0)]<<24))|0)); //@line 157 "./Utilities.h"
 var $cmp4=($4|0)==($6|0); //@line 157 "./Utilities.h"
 if($cmp4){label=3;break;}else{label=4;break;} //@line 157 "./Utilities.h"
 case 3: 
 var $7=$pCurrent_addr; //@line 159 "./Utilities.h"
 var $pNext5=(($7+8)|0); //@line 159 "./Utilities.h"
 var $8=((((HEAPU8[($pNext5)])|(HEAPU8[((($pNext5)+(1))|0)]<<8)|(HEAPU8[((($pNext5)+(2))|0)]<<16)|(HEAPU8[((($pNext5)+(3))|0)]<<24))|0)); //@line 159 "./Utilities.h"
 $retval=$8; //@line 159 "./Utilities.h"
 label=5;break; //@line 159 "./Utilities.h"
 case 4: 
 $retval=0; //@line 162 "./Utilities.h"
 label=5;break; //@line 162 "./Utilities.h"
 case 5: 
 var $9=$retval; //@line 163 "./Utilities.h"
 STACKTOP=sp;return $9; //@line 163 "./Utilities.h"
  default: assert(0, "bad label: " + label);
 }

}


function __ZN16SymbolTableEntryC2Ev($this){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $this_addr;
 $this_addr=$this;
 var $this1=$this_addr;
 var $0=$this1; //@line 206 "./SymbolEngine.h"
 __ZN8HashableC2Ev($0); //@line 206 "./SymbolEngine.h"
 var $1=$this1; //@line 206 "./SymbolEngine.h"
 tempBigInt=12000;HEAP8[($1)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($1)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($1)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($1)+(3))|0)]=tempBigInt&0xff; //@line 206 "./SymbolEngine.h"
 var $m_data=(($this1+4)|0); //@line 206 "./SymbolEngine.h"
 var $m_data2=(($this1+4)|0); //@line 207 "./SymbolEngine.h"
 var $name=(($m_data2+12)|0); //@line 207 "./SymbolEngine.h"
 tempBigInt=0;HEAP8[($name)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($name)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($name)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($name)+(3))|0)]=tempBigInt&0xff; //@line 207 "./SymbolEngine.h"
 STACKTOP=sp;return; //@line 208 "./SymbolEngine.h"
}


function __ZN8HashNodeD2Ev($this){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $this_addr;
 $this_addr=$this;
 var $this1=$this_addr;
 var $pValue=(($this1+4)|0); //@line 85 "./Utilities.h"
 var $0=((((HEAPU8[($pValue)])|(HEAPU8[((($pValue)+(1))|0)]<<8)|(HEAPU8[((($pValue)+(2))|0)]<<16)|(HEAPU8[((($pValue)+(3))|0)]<<24))|0)); //@line 85 "./Utilities.h"
 var $isnull=($0|0)==0; //@line 85 "./Utilities.h"
 if($isnull){label=3;break;}else{label=2;break;} //@line 85 "./Utilities.h"
 case 2: 
 var $1=$0; //@line 85 "./Utilities.h"
 var $vtable=((((HEAPU8[($1)])|(HEAPU8[((($1)+(1))|0)]<<8)|(HEAPU8[((($1)+(2))|0)]<<16)|(HEAPU8[((($1)+(3))|0)]<<24))|0)); //@line 85 "./Utilities.h"
 var $vfn=(($vtable+4)|0); //@line 85 "./Utilities.h"
 var $2=((((HEAPU8[($vfn)])|(HEAPU8[((($vfn)+(1))|0)]<<8)|(HEAPU8[((($vfn)+(2))|0)]<<16)|(HEAPU8[((($vfn)+(3))|0)]<<24))|0)); //@line 85 "./Utilities.h"
 FUNCTION_TABLE[$2]($0); //@line 85 "./Utilities.h"
 label=3;break; //@line 85 "./Utilities.h"
 case 3: 
 STACKTOP=sp;return; //@line 86 "./Utilities.h"
  default: assert(0, "bad label: " + label);
 }

}


function __Z8SetPrintPci($pDestination,$limit){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $pDestination_addr;
 var $limit_addr;
 $pDestination_addr=$pDestination;
 $limit_addr=$limit;
 var $0=$pDestination_addr; //@line 27 "Utilities.cpp"
 tempBigInt=$0;HEAP8[(19672)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19673)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19674)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19675)]=tempBigInt&0xff; //@line 27 "Utilities.cpp"
 var $1=$limit_addr; //@line 28 "Utilities.cpp"
 tempBigInt=$1;HEAP8[(19560)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19561)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19562)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19563)]=tempBigInt&0xff; //@line 28 "Utilities.cpp"
 var $2=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 29 "Utilities.cpp"
 var $print_length=(($2+16979576)|0); //@line 29 "Utilities.cpp"
 tempBigInt=0;HEAP8[($print_length)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($print_length)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($print_length)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($print_length)+(3))|0)]=tempBigInt&0xff; //@line 29 "Utilities.cpp"
 STACKTOP=sp;return; //@line 30 "Utilities.cpp"
}


function __Z8PrintChrc($theChar){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $theChar_addr;
 $theChar_addr=$theChar;
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 34 "Utilities.cpp"
 var $print_length=(($0+16979576)|0); //@line 34 "Utilities.cpp"
 var $1=((((HEAPU8[($print_length)])|(HEAPU8[((($print_length)+(1))|0)]<<8)|(HEAPU8[((($print_length)+(2))|0)]<<16)|(HEAPU8[((($print_length)+(3))|0)]<<24))|0)); //@line 34 "Utilities.cpp"
 var $2=((((HEAPU8[(19560)])|(HEAPU8[(19561)]<<8)|(HEAPU8[(19562)]<<16)|(HEAPU8[(19563)]<<24))|0)); //@line 34 "Utilities.cpp"
 var $cmp=($1|0)>=($2|0); //@line 34 "Utilities.cpp"
 if($cmp){label=2;break;}else{label=3;break;} //@line 34 "Utilities.cpp"
 case 2: 
 var $3=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 36 "Utilities.cpp"
 var $4=$3; //@line 36 "Utilities.cpp"
 var $error=(($4)|0); //@line 36 "Utilities.cpp"
 HEAP8[($error)]=1; //@line 36 "Utilities.cpp"
 var $5=((((HEAPU8[(316)])|(HEAPU8[(317)]<<8)|(HEAPU8[(318)]<<16)|(HEAPU8[(319)]<<24))|0)); //@line 37 "Utilities.cpp"
 var $6=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 37 "Utilities.cpp"
 var $7=$6; //@line 37 "Utilities.cpp"
 var $error_msg=(($7+4)|0); //@line 37 "Utilities.cpp"
 tempBigInt=$5;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 37 "Utilities.cpp"
 $retval=0; //@line 38 "Utilities.cpp"
 label=4;break; //@line 38 "Utilities.cpp"
 case 3: 
 var $8=$theChar_addr; //@line 40 "Utilities.cpp"
 var $9=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 40 "Utilities.cpp"
 var $print_length1=(($9+16979576)|0); //@line 40 "Utilities.cpp"
 var $10=((((HEAPU8[($print_length1)])|(HEAPU8[((($print_length1)+(1))|0)]<<8)|(HEAPU8[((($print_length1)+(2))|0)]<<16)|(HEAPU8[((($print_length1)+(3))|0)]<<24))|0)); //@line 40 "Utilities.cpp"
 var $inc=((($10)+(1))|0); //@line 40 "Utilities.cpp"
 tempBigInt=$inc;HEAP8[($print_length1)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($print_length1)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($print_length1)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($print_length1)+(3))|0)]=tempBigInt&0xff; //@line 40 "Utilities.cpp"
 var $11=((((HEAPU8[(19672)])|(HEAPU8[(19673)]<<8)|(HEAPU8[(19674)]<<16)|(HEAPU8[(19675)]<<24))|0)); //@line 40 "Utilities.cpp"
 var $arrayidx=(($11+$10)|0); //@line 40 "Utilities.cpp"
 HEAP8[($arrayidx)]=$8; //@line 40 "Utilities.cpp"
 $retval=1; //@line 41 "Utilities.cpp"
 label=4;break; //@line 41 "Utilities.cpp"
 case 4: 
 var $12=$retval; //@line 42 "Utilities.cpp"
 STACKTOP=sp;return $12; //@line 42 "Utilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z11PrintStringPKc($theString){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $theString_addr;
 var $stringOffset;
 var $result;
 var $theChar;
 $theString_addr=$theString;
 $stringOffset=0; //@line 46 "Utilities.cpp"
 $result=1; //@line 47 "Utilities.cpp"
 var $0=$stringOffset; //@line 48 "Utilities.cpp"
 var $inc=((($0)+(1))|0); //@line 48 "Utilities.cpp"
 $stringOffset=$inc; //@line 48 "Utilities.cpp"
 var $1=$theString_addr; //@line 48 "Utilities.cpp"
 var $arrayidx=(($1+$0)|0); //@line 48 "Utilities.cpp"
 var $2=HEAP8[($arrayidx)]; //@line 48 "Utilities.cpp"
 $theChar=$2; //@line 48 "Utilities.cpp"
 label=2;break; //@line 49 "Utilities.cpp"
 case 2: 
 var $3=$theChar; //@line 49 "Utilities.cpp"
 var $conv=(($3<<24)>>24); //@line 49 "Utilities.cpp"
 var $cmp=($conv|0)!=0; //@line 49 "Utilities.cpp"
 if($cmp){label=3;break;}else{var $5=0;label=4;break;} //@line 49 "Utilities.cpp"
 case 3: 
 var $4=$result; //@line 49 "Utilities.cpp"
 var $tobool=(($4)&1); //@line 49 "Utilities.cpp"
 var $5=$tobool;label=4;break;
 case 4: 
 var $5;
 if($5){label=5;break;}else{label=6;break;}
 case 5: 
 var $6=$theChar; //@line 51 "Utilities.cpp"
 var $call=__Z8PrintChrc($6); //@line 51 "Utilities.cpp"
 var $frombool=($call&1); //@line 51 "Utilities.cpp"
 $result=$frombool; //@line 51 "Utilities.cpp"
 var $7=$stringOffset; //@line 52 "Utilities.cpp"
 var $inc1=((($7)+(1))|0); //@line 52 "Utilities.cpp"
 $stringOffset=$inc1; //@line 52 "Utilities.cpp"
 var $8=$theString_addr; //@line 52 "Utilities.cpp"
 var $arrayidx2=(($8+$7)|0); //@line 52 "Utilities.cpp"
 var $9=HEAP8[($arrayidx2)]; //@line 52 "Utilities.cpp"
 $theChar=$9; //@line 52 "Utilities.cpp"
 label=2;break; //@line 53 "Utilities.cpp"
 case 6: 
 var $10=$result; //@line 55 "Utilities.cpp"
 var $tobool3=(($10)&1); //@line 55 "Utilities.cpp"
 STACKTOP=sp;return $tobool3; //@line 55 "Utilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z11PrintSymbolPKchii($pSymbolName,$type,$value,$value_2){
 var label=0;
 var tempVarArgs=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+64)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $pSymbolName_addr;
 var $type_addr;
 var $value_addr;
 var $value_2_addr;
 var $tempStr=sp;
 $pSymbolName_addr=$pSymbolName;
 $type_addr=$type;
 $value_addr=$value;
 $value_2_addr=$value_2;
 var $arraydecay=(($tempStr)|0); //@line 61 "Utilities.cpp"
 var $0=$type_addr; //@line 61 "Utilities.cpp"
 var $conv=($0&255); //@line 61 "Utilities.cpp"
 var $call=_sprintf($arraydecay,5352,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 8)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=$conv,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 61 "Utilities.cpp"
 var $arraydecay1=(($tempStr)|0); //@line 62 "Utilities.cpp"
 var $call2=__Z11PrintStringPKc($arraydecay1); //@line 62 "Utilities.cpp"
 if($call2){label=3;break;}else{label=2;break;} //@line 62 "Utilities.cpp"
 case 2: 
 $retval=0; //@line 64 "Utilities.cpp"
 label=6;break; //@line 64 "Utilities.cpp"
 case 3: 
 var $arraydecay3=(($tempStr)|0); //@line 66 "Utilities.cpp"
 var $1=$value_addr; //@line 66 "Utilities.cpp"
 var $2=$value_2_addr; //@line 66 "Utilities.cpp"
 var $call4=_sprintf($arraydecay3,8400,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 16)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=$1,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempBigInt=$2,HEAP8[(((tempVarArgs)+(8))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[((((tempVarArgs)+(8))+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[((((tempVarArgs)+(8))+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[((((tempVarArgs)+(8))+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 66 "Utilities.cpp"
 var $arraydecay5=(($tempStr)|0); //@line 67 "Utilities.cpp"
 var $call6=__Z11PrintStringPKc($arraydecay5); //@line 67 "Utilities.cpp"
 if($call6){label=5;break;}else{label=4;break;} //@line 67 "Utilities.cpp"
 case 4: 
 $retval=0; //@line 69 "Utilities.cpp"
 label=6;break; //@line 69 "Utilities.cpp"
 case 5: 
 var $arraydecay9=(($tempStr)|0); //@line 71 "Utilities.cpp"
 var $3=$pSymbolName_addr; //@line 71 "Utilities.cpp"
 var $call10=_sprintf($arraydecay9,6456,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 8)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=$3,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 71 "Utilities.cpp"
 var $arraydecay11=(($tempStr)|0); //@line 72 "Utilities.cpp"
 var $call12=__Z11PrintStringPKc($arraydecay11); //@line 72 "Utilities.cpp"
 $retval=$call12; //@line 72 "Utilities.cpp"
 label=6;break; //@line 72 "Utilities.cpp"
 case 6: 
 var $4=$retval; //@line 73 "Utilities.cpp"
 STACKTOP=sp;return $4; //@line 73 "Utilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z8ListLineii($offset,$count){
 var label=0;
 var tempVarArgs=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+8)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $offset_addr;
 var $count_addr;
 var $tempStr=sp;
 var $i;
 var $i21;
 var $theChar;
 $offset_addr=$offset;
 $count_addr=$count;
 var $arraydecay=(($tempStr)|0); //@line 78 "Utilities.cpp"
 var $0=$offset_addr; //@line 78 "Utilities.cpp"
 var $call=_sprintf($arraydecay,5136,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 8)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=$0,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 78 "Utilities.cpp"
 var $arraydecay1=(($tempStr)|0); //@line 79 "Utilities.cpp"
 var $call2=__Z11PrintStringPKc($arraydecay1); //@line 79 "Utilities.cpp"
 if($call2){label=3;break;}else{label=2;break;} //@line 79 "Utilities.cpp"
 case 2: 
 $retval=0; //@line 81 "Utilities.cpp"
 label=28;break; //@line 81 "Utilities.cpp"
 case 3: 
 $i=0; //@line 84 "Utilities.cpp"
 label=4;break; //@line 84 "Utilities.cpp"
 case 4: 
 var $1=$i; //@line 84 "Utilities.cpp"
 var $cmp=($1|0)<17; //@line 84 "Utilities.cpp"
 if($cmp){label=5;break;}else{label=18;break;} //@line 84 "Utilities.cpp"
 case 5: 
 var $2=$i; //@line 86 "Utilities.cpp"
 var $3=$count_addr; //@line 86 "Utilities.cpp"
 var $cmp3=($2|0)<($3|0); //@line 86 "Utilities.cpp"
 if($cmp3){label=6;break;}else{label=9;break;} //@line 86 "Utilities.cpp"
 case 6: 
 var $arraydecay5=(($tempStr)|0); //@line 88 "Utilities.cpp"
 var $4=$offset_addr; //@line 88 "Utilities.cpp"
 var $5=$i; //@line 88 "Utilities.cpp"
 var $add=((($4)+($5))|0); //@line 88 "Utilities.cpp"
 var $6=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 88 "Utilities.cpp"
 var $7=$6; //@line 88 "Utilities.cpp"
 var $obj=(($7+48)|0); //@line 88 "Utilities.cpp"
 var $arrayidx=(($obj+$add)|0); //@line 88 "Utilities.cpp"
 var $8=HEAP8[($arrayidx)]; //@line 88 "Utilities.cpp"
 var $conv=($8&255); //@line 88 "Utilities.cpp"
 var $call6=_sprintf($arraydecay5,3544,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 8)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=$conv,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 88 "Utilities.cpp"
 var $arraydecay7=(($tempStr)|0); //@line 89 "Utilities.cpp"
 var $call8=__Z11PrintStringPKc($arraydecay7); //@line 89 "Utilities.cpp"
 if($call8){label=8;break;}else{label=7;break;} //@line 89 "Utilities.cpp"
 case 7: 
 $retval=0; //@line 91 "Utilities.cpp"
 label=28;break; //@line 91 "Utilities.cpp"
 case 8: 
 label=16;break; //@line 93 "Utilities.cpp"
 case 9: 
 var $call11=__Z8PrintChrc(32); //@line 96 "Utilities.cpp"
 if($call11){label=11;break;}else{label=10;break;} //@line 96 "Utilities.cpp"
 case 10: 
 $retval=0; //@line 98 "Utilities.cpp"
 label=28;break; //@line 98 "Utilities.cpp"
 case 11: 
 var $call14=__Z8PrintChrc(32); //@line 100 "Utilities.cpp"
 if($call14){label=13;break;}else{label=12;break;} //@line 100 "Utilities.cpp"
 case 12: 
 $retval=0; //@line 102 "Utilities.cpp"
 label=28;break; //@line 102 "Utilities.cpp"
 case 13: 
 var $call17=__Z8PrintChrc(32); //@line 104 "Utilities.cpp"
 if($call17){label=15;break;}else{label=14;break;} //@line 104 "Utilities.cpp"
 case 14: 
 $retval=0; //@line 106 "Utilities.cpp"
 label=28;break; //@line 106 "Utilities.cpp"
 case 15: 
 label=16;break;
 case 16: 
 label=17;break; //@line 109 "Utilities.cpp"
 case 17: 
 var $9=$i; //@line 84 "Utilities.cpp"
 var $inc=((($9)+(1))|0); //@line 84 "Utilities.cpp"
 $i=$inc; //@line 84 "Utilities.cpp"
 label=4;break; //@line 84 "Utilities.cpp"
 case 18: 
 $i21=0; //@line 110 "Utilities.cpp"
 label=19;break; //@line 110 "Utilities.cpp"
 case 19: 
 var $10=$i21; //@line 110 "Utilities.cpp"
 var $11=$count_addr; //@line 110 "Utilities.cpp"
 var $cmp23=($10|0)<($11|0); //@line 110 "Utilities.cpp"
 if($cmp23){label=20;break;}else{label=27;break;} //@line 110 "Utilities.cpp"
 case 20: 
 var $12=$offset_addr; //@line 112 "Utilities.cpp"
 var $13=$i21; //@line 112 "Utilities.cpp"
 var $add25=((($12)+($13))|0); //@line 112 "Utilities.cpp"
 var $14=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 112 "Utilities.cpp"
 var $15=$14; //@line 112 "Utilities.cpp"
 var $obj26=(($15+48)|0); //@line 112 "Utilities.cpp"
 var $arrayidx27=(($obj26+$add25)|0); //@line 112 "Utilities.cpp"
 var $16=HEAP8[($arrayidx27)]; //@line 112 "Utilities.cpp"
 $theChar=$16; //@line 112 "Utilities.cpp"
 var $17=$theChar; //@line 113 "Utilities.cpp"
 var $conv28=($17&255); //@line 113 "Utilities.cpp"
 var $cmp29=($conv28|0)<32; //@line 113 "Utilities.cpp"
 if($cmp29){label=22;break;}else{label=21;break;} //@line 113 "Utilities.cpp"
 case 21: 
 var $18=$theChar; //@line 113 "Utilities.cpp"
 var $conv30=($18&255); //@line 113 "Utilities.cpp"
 var $cmp31=($conv30|0)>=127; //@line 113 "Utilities.cpp"
 if($cmp31){label=22;break;}else{label=23;break;} //@line 113 "Utilities.cpp"
 case 22: 
 $theChar=46; //@line 115 "Utilities.cpp"
 label=23;break; //@line 116 "Utilities.cpp"
 case 23: 
 var $19=$theChar; //@line 117 "Utilities.cpp"
 var $call34=__Z8PrintChrc($19); //@line 117 "Utilities.cpp"
 if($call34){label=25;break;}else{label=24;break;} //@line 117 "Utilities.cpp"
 case 24: 
 $retval=0; //@line 119 "Utilities.cpp"
 label=28;break; //@line 119 "Utilities.cpp"
 case 25: 
 label=26;break; //@line 121 "Utilities.cpp"
 case 26: 
 var $20=$i21; //@line 110 "Utilities.cpp"
 var $inc38=((($20)+(1))|0); //@line 110 "Utilities.cpp"
 $i21=$inc38; //@line 110 "Utilities.cpp"
 label=19;break; //@line 110 "Utilities.cpp"
 case 27: 
 var $call40=__Z8PrintChrc(13); //@line 123 "Utilities.cpp"
 $retval=$call40; //@line 123 "Utilities.cpp"
 label=28;break; //@line 123 "Utilities.cpp"
 case 28: 
 var $21=$retval; //@line 124 "Utilities.cpp"
 STACKTOP=sp;return $21; //@line 124 "Utilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z8PrintObjv(){
 var label=0;
 var tempVarArgs=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+256)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $tempStr=sp;
 var $i;
 var $arraydecay=(($tempStr)|0); //@line 129 "Utilities.cpp"
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 129 "Utilities.cpp"
 var $1=$0; //@line 129 "Utilities.cpp"
 var $obj_ptr=(($1+16777264)|0); //@line 129 "Utilities.cpp"
 var $2=((((HEAPU8[($obj_ptr)])|(HEAPU8[((($obj_ptr)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr)+(3))|0)]<<24))|0)); //@line 129 "Utilities.cpp"
 var $call=_sprintf($arraydecay,3088,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 8)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=$2,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 129 "Utilities.cpp"
 var $arraydecay1=(($tempStr)|0); //@line 130 "Utilities.cpp"
 var $call2=__Z11PrintStringPKc($arraydecay1); //@line 130 "Utilities.cpp"
 if($call2){label=3;break;}else{label=2;break;} //@line 130 "Utilities.cpp"
 case 2: 
 $retval=0; //@line 132 "Utilities.cpp"
 label=17;break; //@line 132 "Utilities.cpp"
 case 3: 
 var $arraydecay3=(($tempStr)|0); //@line 135 "Utilities.cpp"
 var $3=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 135 "Utilities.cpp"
 var $4=$3; //@line 135 "Utilities.cpp"
 var $clkmode=(($4+16971060)|0); //@line 135 "Utilities.cpp"
 var $5=HEAP8[($clkmode)]; //@line 135 "Utilities.cpp"
 var $conv=($5&255); //@line 135 "Utilities.cpp"
 var $call4=_sprintf($arraydecay3,2528,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 8)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=$conv,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 135 "Utilities.cpp"
 var $arraydecay5=(($tempStr)|0); //@line 136 "Utilities.cpp"
 var $call6=__Z11PrintStringPKc($arraydecay5); //@line 136 "Utilities.cpp"
 if($call6){label=5;break;}else{label=4;break;} //@line 136 "Utilities.cpp"
 case 4: 
 $retval=0; //@line 138 "Utilities.cpp"
 label=17;break; //@line 138 "Utilities.cpp"
 case 5: 
 var $arraydecay9=(($tempStr)|0); //@line 140 "Utilities.cpp"
 var $6=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 140 "Utilities.cpp"
 var $7=$6; //@line 140 "Utilities.cpp"
 var $clkfreq=(($7+16971064)|0); //@line 140 "Utilities.cpp"
 var $8=((((HEAPU8[($clkfreq)])|(HEAPU8[((($clkfreq)+(1))|0)]<<8)|(HEAPU8[((($clkfreq)+(2))|0)]<<16)|(HEAPU8[((($clkfreq)+(3))|0)]<<24))|0)); //@line 140 "Utilities.cpp"
 var $call10=_sprintf($arraydecay9,1920,(tempVarArgs=STACKTOP,STACKTOP = (STACKTOP + 8)|0,(assert((STACKTOP|0) < (STACK_MAX|0))|0),tempBigInt=$8,HEAP8[(tempVarArgs)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(1))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(2))|0)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(((tempVarArgs)+(3))|0)]=tempBigInt&0xff,tempVarArgs)); STACKTOP=tempVarArgs; //@line 140 "Utilities.cpp"
 var $arraydecay11=(($tempStr)|0); //@line 141 "Utilities.cpp"
 var $call12=__Z11PrintStringPKc($arraydecay11); //@line 141 "Utilities.cpp"
 if($call12){label=7;break;}else{label=6;break;} //@line 141 "Utilities.cpp"
 case 6: 
 $retval=0; //@line 143 "Utilities.cpp"
 label=17;break; //@line 143 "Utilities.cpp"
 case 7: 
 $i=0; //@line 146 "Utilities.cpp"
 label=8;break; //@line 146 "Utilities.cpp"
 case 8: 
 var $9=$i; //@line 146 "Utilities.cpp"
 var $10=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 146 "Utilities.cpp"
 var $11=$10; //@line 146 "Utilities.cpp"
 var $obj_ptr15=(($11+16777264)|0); //@line 146 "Utilities.cpp"
 var $12=((((HEAPU8[($obj_ptr15)])|(HEAPU8[((($obj_ptr15)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr15)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr15)+(3))|0)]<<24))|0)); //@line 146 "Utilities.cpp"
 var $cmp=($9|0)<($12|0); //@line 146 "Utilities.cpp"
 if($cmp){label=9;break;}else{label=16;break;} //@line 146 "Utilities.cpp"
 case 9: 
 var $13=$i; //@line 148 "Utilities.cpp"
 var $14=$i; //@line 148 "Utilities.cpp"
 var $add=((($14)+(16))|0); //@line 148 "Utilities.cpp"
 var $15=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 148 "Utilities.cpp"
 var $16=$15; //@line 148 "Utilities.cpp"
 var $obj_ptr16=(($16+16777264)|0); //@line 148 "Utilities.cpp"
 var $17=((((HEAPU8[($obj_ptr16)])|(HEAPU8[((($obj_ptr16)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr16)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr16)+(3))|0)]<<24))|0)); //@line 148 "Utilities.cpp"
 var $cmp17=($add|0)<($17|0); //@line 148 "Utilities.cpp"
 if($cmp17){label=10;break;}else{label=11;break;} //@line 148 "Utilities.cpp"
 case 10: 
 var $cond=16;label=12;break; //@line 148 "Utilities.cpp"
 case 11: 
 var $18=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 148 "Utilities.cpp"
 var $19=$18; //@line 148 "Utilities.cpp"
 var $obj_ptr18=(($19+16777264)|0); //@line 148 "Utilities.cpp"
 var $20=((((HEAPU8[($obj_ptr18)])|(HEAPU8[((($obj_ptr18)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr18)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr18)+(3))|0)]<<24))|0)); //@line 148 "Utilities.cpp"
 var $21=$i; //@line 148 "Utilities.cpp"
 var $sub=((($20)-($21))|0); //@line 148 "Utilities.cpp"
 var $cond=$sub;label=12;break; //@line 148 "Utilities.cpp"
 case 12: 
 var $cond; //@line 148 "Utilities.cpp"
 var $call19=__Z8ListLineii($13,$cond); //@line 148 "Utilities.cpp"
 if($call19){label=14;break;}else{label=13;break;} //@line 148 "Utilities.cpp"
 case 13: 
 $retval=0; //@line 150 "Utilities.cpp"
 label=17;break; //@line 150 "Utilities.cpp"
 case 14: 
 label=15;break; //@line 152 "Utilities.cpp"
 case 15: 
 var $22=$i; //@line 146 "Utilities.cpp"
 var $add22=((($22)+(16))|0); //@line 146 "Utilities.cpp"
 $i=$add22; //@line 146 "Utilities.cpp"
 label=8;break; //@line 146 "Utilities.cpp"
 case 16: 
 $retval=1; //@line 153 "Utilities.cpp"
 label=17;break; //@line 153 "Utilities.cpp"
 case 17: 
 var $23=$retval; //@line 154 "Utilities.cpp"
 STACKTOP=sp;return $23; //@line 154 "Utilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z8DocPrintc($theChar){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $theChar_addr;
 $theChar_addr=$theChar;
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 158 "Utilities.cpp"
 var $doc_mode=(($0+16979571)|0); //@line 158 "Utilities.cpp"
 var $1=HEAP8[($doc_mode)]; //@line 158 "Utilities.cpp"
 var $tobool=(($1)&1); //@line 158 "Utilities.cpp"
 if($tobool){label=2;break;}else{label=3;break;} //@line 158 "Utilities.cpp"
 case 2: 
 var $2=$theChar_addr; //@line 160 "Utilities.cpp"
 var $call=__Z8PrintChrc($2); //@line 160 "Utilities.cpp"
 $retval=$call; //@line 160 "Utilities.cpp"
 label=4;break; //@line 160 "Utilities.cpp"
 case 3: 
 $retval=1; //@line 162 "Utilities.cpp"
 label=4;break; //@line 162 "Utilities.cpp"
 case 4: 
 var $3=$retval; //@line 163 "Utilities.cpp"
 STACKTOP=sp;return $3; //@line 163 "Utilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z13CheckWordCharc($theChar){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $theChar_addr;
 $theChar_addr=$theChar;
 var $0=$theChar_addr; //@line 168 "Utilities.cpp"
 var $conv=(($0<<24)>>24); //@line 168 "Utilities.cpp"
 var $cmp=($conv|0)>=48; //@line 168 "Utilities.cpp"
 if($cmp){label=2;break;}else{label=3;break;} //@line 168 "Utilities.cpp"
 case 2: 
 var $1=$theChar_addr; //@line 168 "Utilities.cpp"
 var $conv1=(($1<<24)>>24); //@line 168 "Utilities.cpp"
 var $cmp2=($conv1|0)<=57; //@line 168 "Utilities.cpp"
 if($cmp2){label=6;break;}else{label=3;break;} //@line 168 "Utilities.cpp"
 case 3: 
 var $2=$theChar_addr; //@line 168 "Utilities.cpp"
 var $conv3=(($2<<24)>>24); //@line 168 "Utilities.cpp"
 var $cmp4=($conv3|0)==95; //@line 168 "Utilities.cpp"
 if($cmp4){label=6;break;}else{label=4;break;} //@line 168 "Utilities.cpp"
 case 4: 
 var $3=$theChar_addr; //@line 168 "Utilities.cpp"
 var $conv6=(($3<<24)>>24); //@line 168 "Utilities.cpp"
 var $cmp7=($conv6|0)>=65; //@line 168 "Utilities.cpp"
 if($cmp7){label=5;break;}else{label=7;break;} //@line 168 "Utilities.cpp"
 case 5: 
 var $4=$theChar_addr; //@line 168 "Utilities.cpp"
 var $conv9=(($4<<24)>>24); //@line 168 "Utilities.cpp"
 var $cmp10=($conv9|0)<=90; //@line 168 "Utilities.cpp"
 if($cmp10){label=6;break;}else{label=7;break;} //@line 168 "Utilities.cpp"
 case 6: 
 $retval=1; //@line 170 "Utilities.cpp"
 label=8;break; //@line 170 "Utilities.cpp"
 case 7: 
 $retval=0; //@line 172 "Utilities.cpp"
 label=8;break; //@line 172 "Utilities.cpp"
 case 8: 
 var $5=$retval; //@line 173 "Utilities.cpp"
 STACKTOP=sp;return $5; //@line 173 "Utilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z9Uppercasec($theChar){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $theChar_addr;
 $theChar_addr=$theChar;
 var $0=$theChar_addr; //@line 177 "Utilities.cpp"
 var $conv=(($0<<24)>>24); //@line 177 "Utilities.cpp"
 var $cmp=($conv|0)>=97; //@line 177 "Utilities.cpp"
 if($cmp){label=2;break;}else{label=4;break;} //@line 177 "Utilities.cpp"
 case 2: 
 var $1=$theChar_addr; //@line 177 "Utilities.cpp"
 var $conv1=(($1<<24)>>24); //@line 177 "Utilities.cpp"
 var $cmp2=($conv1|0)<=122; //@line 177 "Utilities.cpp"
 if($cmp2){label=3;break;}else{label=4;break;} //@line 177 "Utilities.cpp"
 case 3: 
 var $2=$theChar_addr; //@line 179 "Utilities.cpp"
 var $conv3=(($2<<24)>>24); //@line 179 "Utilities.cpp"
 var $sub=((($conv3)-(32))|0); //@line 179 "Utilities.cpp"
 var $conv4=(($sub)&255); //@line 179 "Utilities.cpp"
 $retval=$conv4; //@line 179 "Utilities.cpp"
 label=5;break; //@line 179 "Utilities.cpp"
 case 4: 
 var $3=$theChar_addr; //@line 181 "Utilities.cpp"
 $retval=$3; //@line 181 "Utilities.cpp"
 label=5;break; //@line 181 "Utilities.cpp"
 case 5: 
 var $4=$retval; //@line 182 "Utilities.cpp"
 STACKTOP=sp;return $4; //@line 182 "Utilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z8CheckHexcRc($theChar,$digitValue){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $theChar_addr;
 var $digitValue_addr;
 $theChar_addr=$theChar;
 $digitValue_addr=$digitValue;
 var $0=$theChar_addr; //@line 187 "Utilities.cpp"
 var $call=__Z9Uppercasec($0); //@line 187 "Utilities.cpp"
 $theChar_addr=$call; //@line 187 "Utilities.cpp"
 var $1=$theChar_addr; //@line 188 "Utilities.cpp"
 var $conv=(($1<<24)>>24); //@line 188 "Utilities.cpp"
 var $sub=((($conv)-(48))|0); //@line 188 "Utilities.cpp"
 var $conv1=(($sub)&255); //@line 188 "Utilities.cpp"
 var $2=$digitValue_addr; //@line 188 "Utilities.cpp"
 HEAP8[($2)]=$conv1; //@line 188 "Utilities.cpp"
 var $3=$digitValue_addr; //@line 189 "Utilities.cpp"
 var $4=HEAP8[($3)]; //@line 189 "Utilities.cpp"
 var $conv2=(($4<<24)>>24); //@line 189 "Utilities.cpp"
 var $cmp=($conv2|0)>=0; //@line 189 "Utilities.cpp"
 if($cmp){label=2;break;}else{label=4;break;} //@line 189 "Utilities.cpp"
 case 2: 
 var $5=$digitValue_addr; //@line 189 "Utilities.cpp"
 var $6=HEAP8[($5)]; //@line 189 "Utilities.cpp"
 var $conv3=(($6<<24)>>24); //@line 189 "Utilities.cpp"
 var $cmp4=($conv3|0)<=9; //@line 189 "Utilities.cpp"
 if($cmp4){label=3;break;}else{label=4;break;} //@line 189 "Utilities.cpp"
 case 3: 
 $retval=1; //@line 191 "Utilities.cpp"
 label=8;break; //@line 191 "Utilities.cpp"
 case 4: 
 var $7=$digitValue_addr; //@line 193 "Utilities.cpp"
 var $8=HEAP8[($7)]; //@line 193 "Utilities.cpp"
 var $conv5=(($8<<24)>>24); //@line 193 "Utilities.cpp"
 var $sub6=((($conv5)-(7))|0); //@line 193 "Utilities.cpp"
 var $conv7=(($sub6)&255); //@line 193 "Utilities.cpp"
 HEAP8[($7)]=$conv7; //@line 193 "Utilities.cpp"
 var $9=$digitValue_addr; //@line 194 "Utilities.cpp"
 var $10=HEAP8[($9)]; //@line 194 "Utilities.cpp"
 var $conv8=(($10<<24)>>24); //@line 194 "Utilities.cpp"
 var $cmp9=($conv8|0)>=10; //@line 194 "Utilities.cpp"
 if($cmp9){label=5;break;}else{label=7;break;} //@line 194 "Utilities.cpp"
 case 5: 
 var $11=$digitValue_addr; //@line 194 "Utilities.cpp"
 var $12=HEAP8[($11)]; //@line 194 "Utilities.cpp"
 var $conv11=(($12<<24)>>24); //@line 194 "Utilities.cpp"
 var $cmp12=($conv11|0)<=15; //@line 194 "Utilities.cpp"
 if($cmp12){label=6;break;}else{label=7;break;} //@line 194 "Utilities.cpp"
 case 6: 
 $retval=1; //@line 196 "Utilities.cpp"
 label=8;break; //@line 196 "Utilities.cpp"
 case 7: 
 $retval=0; //@line 198 "Utilities.cpp"
 label=8;break; //@line 198 "Utilities.cpp"
 case 8: 
 var $13=$retval; //@line 199 "Utilities.cpp"
 STACKTOP=sp;return $13; //@line 199 "Utilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z10CheckDigitcRcc($theChar,$digitValue,$numberBase){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $theChar_addr;
 var $digitValue_addr;
 var $numberBase_addr;
 $theChar_addr=$theChar;
 $digitValue_addr=$digitValue;
 $numberBase_addr=$numberBase;
 var $0=$theChar_addr; //@line 204 "Utilities.cpp"
 var $1=$digitValue_addr; //@line 204 "Utilities.cpp"
 var $call=__Z8CheckHexcRc($0,$1); //@line 204 "Utilities.cpp"
 if($call){label=2;break;}else{label=5;break;} //@line 204 "Utilities.cpp"
 case 2: 
 var $2=$digitValue_addr; //@line 206 "Utilities.cpp"
 var $3=HEAP8[($2)]; //@line 206 "Utilities.cpp"
 var $conv=(($3<<24)>>24); //@line 206 "Utilities.cpp"
 var $4=$numberBase_addr; //@line 206 "Utilities.cpp"
 var $conv1=(($4<<24)>>24); //@line 206 "Utilities.cpp"
 var $cmp=($conv|0)<($conv1|0); //@line 206 "Utilities.cpp"
 if($cmp){label=3;break;}else{label=4;break;} //@line 206 "Utilities.cpp"
 case 3: 
 $retval=1; //@line 208 "Utilities.cpp"
 label=6;break; //@line 208 "Utilities.cpp"
 case 4: 
 label=5;break; //@line 210 "Utilities.cpp"
 case 5: 
 $retval=0; //@line 211 "Utilities.cpp"
 label=6;break; //@line 211 "Utilities.cpp"
 case 6: 
 var $5=$retval; //@line 212 "Utilities.cpp"
 STACKTOP=sp;return $5; //@line 212 "Utilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z10CheckLocalRb($bLocal){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+8)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $bLocal_addr;
 var $save_start;
 var $length=sp;
 var $temp;
 var $pSymbol;
 $bLocal_addr=$bLocal;
 var $0=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 225 "Utilities.cpp"
 var $call=__ZN11Elementizer7GetTypeEv($0); //@line 225 "Utilities.cpp"
 var $cmp=($call|0)!=8; //@line 225 "Utilities.cpp"
 if($cmp){label=2;break;}else{label=3;break;} //@line 225 "Utilities.cpp"
 case 2: 
 var $1=$bLocal_addr; //@line 227 "Utilities.cpp"
 HEAP8[($1)]=0; //@line 227 "Utilities.cpp"
 $retval=1; //@line 228 "Utilities.cpp"
 label=11;break; //@line 228 "Utilities.cpp"
 case 3: 
 var $2=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 232 "Utilities.cpp"
 var $3=$2; //@line 232 "Utilities.cpp"
 var $source_start=(($3+16)|0); //@line 232 "Utilities.cpp"
 var $4=((((HEAPU8[($source_start)])|(HEAPU8[((($source_start)+(1))|0)]<<8)|(HEAPU8[((($source_start)+(2))|0)]<<16)|(HEAPU8[((($source_start)+(3))|0)]<<24))|0)); //@line 232 "Utilities.cpp"
 $save_start=$4; //@line 232 "Utilities.cpp"
 tempBigInt=0;HEAP8[($length)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($length)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($length)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($length)+(3))|0)]=tempBigInt&0xff; //@line 233 "Utilities.cpp"
 var $call1=__Z9GetSymbolPi($length); //@line 234 "Utilities.cpp"
 if($call1){label=5;break;}else{label=4;break;} //@line 234 "Utilities.cpp"
 case 4: 
 $retval=0; //@line 236 "Utilities.cpp"
 label=11;break; //@line 236 "Utilities.cpp"
 case 5: 
 var $5=$save_start; //@line 238 "Utilities.cpp"
 var $6=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 238 "Utilities.cpp"
 var $7=$6; //@line 238 "Utilities.cpp"
 var $source_start3=(($7+16)|0); //@line 238 "Utilities.cpp"
 tempBigInt=$5;HEAP8[($source_start3)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_start3)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_start3)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_start3)+(3))|0)]=tempBigInt&0xff; //@line 238 "Utilities.cpp"
 var $8=((((HEAPU8[($length)])|(HEAPU8[((($length)+(1))|0)]<<8)|(HEAPU8[((($length)+(2))|0)]<<16)|(HEAPU8[((($length)+(3))|0)]<<24))|0)); //@line 239 "Utilities.cpp"
 var $cmp4=($8|0)==0; //@line 239 "Utilities.cpp"
 if($cmp4){label=6;break;}else{label=7;break;} //@line 239 "Utilities.cpp"
 case 6: 
 var $9=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 241 "Utilities.cpp"
 var $10=$9; //@line 241 "Utilities.cpp"
 var $error=(($10)|0); //@line 241 "Utilities.cpp"
 HEAP8[($error)]=1; //@line 241 "Utilities.cpp"
 var $11=((((HEAPU8[(96)])|(HEAPU8[(97)]<<8)|(HEAPU8[(98)]<<16)|(HEAPU8[(99)]<<24))|0)); //@line 242 "Utilities.cpp"
 var $12=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 242 "Utilities.cpp"
 var $13=$12; //@line 242 "Utilities.cpp"
 var $error_msg=(($13+4)|0); //@line 242 "Utilities.cpp"
 tempBigInt=$11;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 242 "Utilities.cpp"
 $retval=0; //@line 243 "Utilities.cpp"
 label=11;break; //@line 243 "Utilities.cpp"
 case 7: 
 var $14=((((HEAPU8[($length)])|(HEAPU8[((($length)+(1))|0)]<<8)|(HEAPU8[((($length)+(2))|0)]<<16)|(HEAPU8[((($length)+(3))|0)]<<24))|0)); //@line 245 "Utilities.cpp"
 var $cmp7=($14|0)>256; //@line 245 "Utilities.cpp"
 if($cmp7){label=8;break;}else{label=9;break;} //@line 245 "Utilities.cpp"
 case 8: 
 var $15=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 247 "Utilities.cpp"
 var $16=$15; //@line 247 "Utilities.cpp"
 var $error9=(($16)|0); //@line 247 "Utilities.cpp"
 HEAP8[($error9)]=1; //@line 247 "Utilities.cpp"
 var $17=((((HEAPU8[(416)])|(HEAPU8[(417)]<<8)|(HEAPU8[(418)]<<16)|(HEAPU8[(419)]<<24))|0)); //@line 248 "Utilities.cpp"
 var $18=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 248 "Utilities.cpp"
 var $19=$18; //@line 248 "Utilities.cpp"
 var $error_msg10=(($19+4)|0); //@line 248 "Utilities.cpp"
 tempBigInt=$17;HEAP8[($error_msg10)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg10)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg10)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg10)+(3))|0)]=tempBigInt&0xff; //@line 248 "Utilities.cpp"
 $retval=0; //@line 249 "Utilities.cpp"
 label=11;break; //@line 249 "Utilities.cpp"
 case 9: 
 var $20=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 252 "Utilities.cpp"
 var $asm_local=(($20+16971112)|0); //@line 252 "Utilities.cpp"
 var $21=((((HEAPU8[($asm_local)])|(HEAPU8[((($asm_local)+(1))|0)]<<8)|(HEAPU8[((($asm_local)+(2))|0)]<<16)|(HEAPU8[((($asm_local)+(3))|0)]<<24))|0)); //@line 252 "Utilities.cpp"
 $temp=$21; //@line 252 "Utilities.cpp"
 var $22=$temp; //@line 253 "Utilities.cpp"
 var $add=((($22)+(16843009))|0); //@line 253 "Utilities.cpp"
 $temp=$add; //@line 253 "Utilities.cpp"
 var $23=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 256 "Utilities.cpp"
 var $call12=__ZN11Elementizer16GetCurrentSymbolEv($23); //@line 256 "Utilities.cpp"
 $pSymbol=$call12; //@line 256 "Utilities.cpp"
 var $24=$pSymbol; //@line 257 "Utilities.cpp"
 var $call13=_strlen($24); //@line 257 "Utilities.cpp"
 var $25=$pSymbol; //@line 257 "Utilities.cpp"
 var $add_ptr=(($25+$call13)|0); //@line 257 "Utilities.cpp"
 $pSymbol=$add_ptr; //@line 257 "Utilities.cpp"
 var $26=$temp; //@line 258 "Utilities.cpp"
 var $27=$pSymbol; //@line 258 "Utilities.cpp"
 var $28=$27; //@line 258 "Utilities.cpp"
 tempBigInt=$26;HEAP8[($28)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($28)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($28)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($28)+(3))|0)]=tempBigInt&0xff; //@line 258 "Utilities.cpp"
 var $29=$pSymbol; //@line 259 "Utilities.cpp"
 var $add_ptr14=(($29+4)|0); //@line 259 "Utilities.cpp"
 $pSymbol=$add_ptr14; //@line 259 "Utilities.cpp"
 var $30=$pSymbol; //@line 260 "Utilities.cpp"
 HEAP8[($30)]=0; //@line 260 "Utilities.cpp"
 var $31=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 263 "Utilities.cpp"
 var $call15=__ZN11Elementizer16GetCurrentSymbolEv($31); //@line 263 "Utilities.cpp"
 $pSymbol=$call15; //@line 263 "Utilities.cpp"
 var $32=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 266 "Utilities.cpp"
 var $33=$pSymbol; //@line 266 "Utilities.cpp"
 var $call16=__ZN11Elementizer10FindSymbolEPKc($32,$33); //@line 266 "Utilities.cpp"
 var $34=$bLocal_addr; //@line 267 "Utilities.cpp"
 HEAP8[($34)]=1; //@line 267 "Utilities.cpp"
 label=10;break;
 case 10: 
 $retval=1; //@line 270 "Utilities.cpp"
 label=11;break; //@line 270 "Utilities.cpp"
 case 11: 
 var $35=$retval; //@line 271 "Utilities.cpp"
 STACKTOP=sp;return $35; //@line 271 "Utilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z9GetSymbolPi($pLength){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+8)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $pLength_addr;
 var $bEof=sp;
 var $pSymbol;
 $pLength_addr=$pLength;
 HEAP8[($bEof)]=0; //@line 343 "Utilities.cpp"
 var $0=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 345 "Utilities.cpp"
 var $call=__ZN11Elementizer7GetNextERb($0,$bEof); //@line 345 "Utilities.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 345 "Utilities.cpp"
 case 2: 
 $retval=0; //@line 347 "Utilities.cpp"
 label=7;break; //@line 347 "Utilities.cpp"
 case 3: 
 var $1=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 349 "Utilities.cpp"
 var $call1=__ZN11Elementizer16GetCurrentSymbolEv($1); //@line 349 "Utilities.cpp"
 $pSymbol=$call1; //@line 349 "Utilities.cpp"
 var $2=$pSymbol; //@line 350 "Utilities.cpp"
 var $arrayidx=(($2)|0); //@line 350 "Utilities.cpp"
 var $3=HEAP8[($arrayidx)]; //@line 350 "Utilities.cpp"
 var $call2=__Z13CheckWordCharc($3); //@line 350 "Utilities.cpp"
 if($call2){label=5;break;}else{label=4;break;} //@line 350 "Utilities.cpp"
 case 4: 
 var $4=$pLength_addr; //@line 352 "Utilities.cpp"
 tempBigInt=0;HEAP8[($4)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($4)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($4)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($4)+(3))|0)]=tempBigInt&0xff; //@line 352 "Utilities.cpp"
 label=6;break; //@line 353 "Utilities.cpp"
 case 5: 
 var $5=$pSymbol; //@line 356 "Utilities.cpp"
 var $call4=_strlen($5); //@line 356 "Utilities.cpp"
 var $6=$pLength_addr; //@line 356 "Utilities.cpp"
 tempBigInt=$call4;HEAP8[($6)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($6)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($6)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($6)+(3))|0)]=tempBigInt&0xff; //@line 356 "Utilities.cpp"
 label=6;break;
 case 6: 
 $retval=1; //@line 359 "Utilities.cpp"
 label=7;break; //@line 359 "Utilities.cpp"
 case 7: 
 var $7=$retval; //@line 360 "Utilities.cpp"
 STACKTOP=sp;return $7; //@line 360 "Utilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z8GetFloatPcRiS0_($pSource,$sourceOffset,$value){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+144)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $pSource_addr;
 var $sourceOffset_addr;
 var $value_addr;
 var $temp=sp;
 var $tempOffset;
 var $bGotDot;
 var $bGotE;
 var $bGotSign;
 var $currentChar;
 var $endPtr=(sp)+(128);
 var $floatValue=(sp)+(136);
 $pSource_addr=$pSource;
 $sourceOffset_addr=$sourceOffset;
 $value_addr=$value;
 $tempOffset=0; //@line 281 "Utilities.cpp"
 $bGotDot=0; //@line 282 "Utilities.cpp"
 $bGotE=0; //@line 283 "Utilities.cpp"
 $bGotSign=0; //@line 284 "Utilities.cpp"
 label=2;break; //@line 285 "Utilities.cpp"
 case 2: 
 var $0=$tempOffset; //@line 285 "Utilities.cpp"
 var $cmp=($0|0)<127; //@line 285 "Utilities.cpp"
 if($cmp){label=3;break;}else{label=25;break;} //@line 285 "Utilities.cpp"
 case 3: 
 var $1=$sourceOffset_addr; //@line 287 "Utilities.cpp"
 var $2=((((HEAPU8[($1)])|(HEAPU8[((($1)+(1))|0)]<<8)|(HEAPU8[((($1)+(2))|0)]<<16)|(HEAPU8[((($1)+(3))|0)]<<24))|0)); //@line 287 "Utilities.cpp"
 var $inc=((($2)+(1))|0); //@line 287 "Utilities.cpp"
 tempBigInt=$inc;HEAP8[($1)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($1)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($1)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($1)+(3))|0)]=tempBigInt&0xff; //@line 287 "Utilities.cpp"
 var $3=$pSource_addr; //@line 287 "Utilities.cpp"
 var $arrayidx=(($3+$2)|0); //@line 287 "Utilities.cpp"
 var $4=HEAP8[($arrayidx)]; //@line 287 "Utilities.cpp"
 $currentChar=$4; //@line 287 "Utilities.cpp"
 var $5=$currentChar; //@line 288 "Utilities.cpp"
 var $conv=(($5<<24)>>24); //@line 288 "Utilities.cpp"
 var $cmp1=($conv|0)==95; //@line 288 "Utilities.cpp"
 if($cmp1){label=4;break;}else{label=5;break;} //@line 288 "Utilities.cpp"
 case 4: 
 label=2;break; //@line 290 "Utilities.cpp"
 case 5: 
 var $6=$currentChar; //@line 292 "Utilities.cpp"
 var $conv2=(($6<<24)>>24); //@line 292 "Utilities.cpp"
 var $cmp3=($conv2|0)>=48; //@line 292 "Utilities.cpp"
 if($cmp3){label=6;break;}else{label=8;break;} //@line 292 "Utilities.cpp"
 case 6: 
 var $7=$currentChar; //@line 292 "Utilities.cpp"
 var $conv4=(($7<<24)>>24); //@line 292 "Utilities.cpp"
 var $cmp5=($conv4|0)<=57; //@line 292 "Utilities.cpp"
 if($cmp5){label=7;break;}else{label=8;break;} //@line 292 "Utilities.cpp"
 case 7: 
 var $8=$currentChar; //@line 294 "Utilities.cpp"
 var $9=$tempOffset; //@line 294 "Utilities.cpp"
 var $inc7=((($9)+(1))|0); //@line 294 "Utilities.cpp"
 $tempOffset=$inc7; //@line 294 "Utilities.cpp"
 var $arrayidx8=(($temp+$9)|0); //@line 294 "Utilities.cpp"
 HEAP8[($arrayidx8)]=$8; //@line 294 "Utilities.cpp"
 label=24;break; //@line 295 "Utilities.cpp"
 case 8: 
 var $10=$bGotDot; //@line 296 "Utilities.cpp"
 var $tobool=(($10)&1); //@line 296 "Utilities.cpp"
 var $conv9=($tobool&1); //@line 296 "Utilities.cpp"
 var $cmp10=($conv9|0)==0; //@line 296 "Utilities.cpp"
 if($cmp10){label=9;break;}else{label=11;break;} //@line 296 "Utilities.cpp"
 case 9: 
 var $11=$currentChar; //@line 296 "Utilities.cpp"
 var $conv12=(($11<<24)>>24); //@line 296 "Utilities.cpp"
 var $cmp13=($conv12|0)==46; //@line 296 "Utilities.cpp"
 if($cmp13){label=10;break;}else{label=11;break;} //@line 296 "Utilities.cpp"
 case 10: 
 var $12=$currentChar; //@line 298 "Utilities.cpp"
 var $13=$tempOffset; //@line 298 "Utilities.cpp"
 var $inc15=((($13)+(1))|0); //@line 298 "Utilities.cpp"
 $tempOffset=$inc15; //@line 298 "Utilities.cpp"
 var $arrayidx16=(($temp+$13)|0); //@line 298 "Utilities.cpp"
 HEAP8[($arrayidx16)]=$12; //@line 298 "Utilities.cpp"
 $bGotDot=1; //@line 299 "Utilities.cpp"
 label=23;break; //@line 300 "Utilities.cpp"
 case 11: 
 var $14=$bGotE; //@line 301 "Utilities.cpp"
 var $tobool18=(($14)&1); //@line 301 "Utilities.cpp"
 var $conv19=($tobool18&1); //@line 301 "Utilities.cpp"
 var $cmp20=($conv19|0)==0; //@line 301 "Utilities.cpp"
 if($cmp20){label=12;break;}else{label=15;break;} //@line 301 "Utilities.cpp"
 case 12: 
 var $15=$currentChar; //@line 301 "Utilities.cpp"
 var $conv22=(($15<<24)>>24); //@line 301 "Utilities.cpp"
 var $cmp23=($conv22|0)==101; //@line 301 "Utilities.cpp"
 if($cmp23){label=14;break;}else{label=13;break;} //@line 301 "Utilities.cpp"
 case 13: 
 var $16=$currentChar; //@line 301 "Utilities.cpp"
 var $conv24=(($16<<24)>>24); //@line 301 "Utilities.cpp"
 var $cmp25=($conv24|0)==69; //@line 301 "Utilities.cpp"
 if($cmp25){label=14;break;}else{label=15;break;} //@line 301 "Utilities.cpp"
 case 14: 
 var $17=$currentChar; //@line 303 "Utilities.cpp"
 var $18=$tempOffset; //@line 303 "Utilities.cpp"
 var $inc27=((($18)+(1))|0); //@line 303 "Utilities.cpp"
 $tempOffset=$inc27; //@line 303 "Utilities.cpp"
 var $arrayidx28=(($temp+$18)|0); //@line 303 "Utilities.cpp"
 HEAP8[($arrayidx28)]=$17; //@line 303 "Utilities.cpp"
 $bGotE=1; //@line 304 "Utilities.cpp"
 label=22;break; //@line 305 "Utilities.cpp"
 case 15: 
 var $19=$bGotE; //@line 306 "Utilities.cpp"
 var $tobool30=(($19)&1); //@line 306 "Utilities.cpp"
 var $conv31=($tobool30&1); //@line 306 "Utilities.cpp"
 var $cmp32=($conv31|0)==1; //@line 306 "Utilities.cpp"
 if($cmp32){label=16;break;}else{label=20;break;} //@line 306 "Utilities.cpp"
 case 16: 
 var $20=$bGotSign; //@line 306 "Utilities.cpp"
 var $tobool34=(($20)&1); //@line 306 "Utilities.cpp"
 var $conv35=($tobool34&1); //@line 306 "Utilities.cpp"
 var $cmp36=($conv35|0)==0; //@line 306 "Utilities.cpp"
 if($cmp36){label=17;break;}else{label=20;break;} //@line 306 "Utilities.cpp"
 case 17: 
 var $21=$currentChar; //@line 306 "Utilities.cpp"
 var $conv38=(($21<<24)>>24); //@line 306 "Utilities.cpp"
 var $cmp39=($conv38|0)==43; //@line 306 "Utilities.cpp"
 if($cmp39){label=19;break;}else{label=18;break;} //@line 306 "Utilities.cpp"
 case 18: 
 var $22=$currentChar; //@line 306 "Utilities.cpp"
 var $conv41=(($22<<24)>>24); //@line 306 "Utilities.cpp"
 var $cmp42=($conv41|0)==45; //@line 306 "Utilities.cpp"
 if($cmp42){label=19;break;}else{label=20;break;} //@line 306 "Utilities.cpp"
 case 19: 
 var $23=$currentChar; //@line 308 "Utilities.cpp"
 var $24=$tempOffset; //@line 308 "Utilities.cpp"
 var $inc44=((($24)+(1))|0); //@line 308 "Utilities.cpp"
 $tempOffset=$inc44; //@line 308 "Utilities.cpp"
 var $arrayidx45=(($temp+$24)|0); //@line 308 "Utilities.cpp"
 HEAP8[($arrayidx45)]=$23; //@line 308 "Utilities.cpp"
 $bGotSign=1; //@line 309 "Utilities.cpp"
 label=21;break; //@line 310 "Utilities.cpp"
 case 20: 
 label=25;break; //@line 313 "Utilities.cpp"
 case 21: 
 label=22;break;
 case 22: 
 label=23;break;
 case 23: 
 label=24;break;
 case 24: 
 label=2;break; //@line 315 "Utilities.cpp"
 case 25: 
 var $25=$tempOffset; //@line 317 "Utilities.cpp"
 var $arrayidx51=(($temp+$25)|0); //@line 317 "Utilities.cpp"
 HEAP8[($arrayidx51)]=0; //@line 317 "Utilities.cpp"
 var $26=$tempOffset; //@line 320 "Utilities.cpp"
 var $cmp52=($26|0)==127; //@line 320 "Utilities.cpp"
 if($cmp52){label=26;break;}else{label=27;break;} //@line 320 "Utilities.cpp"
 case 26: 
 $retval=0; //@line 322 "Utilities.cpp"
 label=31;break; //@line 322 "Utilities.cpp"
 case 27: 
 var $arraydecay=(($temp)|0); //@line 327 "Utilities.cpp"
 var $call=_strtod($arraydecay,$endPtr); //@line 327 "Utilities.cpp"
 var $conv55=$call; //@line 327 "Utilities.cpp"
 HEAPF32[((tempDoublePtr)>>2)]=$conv55;HEAP8[($floatValue)]=HEAP8[(tempDoublePtr)];HEAP8[((($floatValue)+(1))|0)]=HEAP8[(((tempDoublePtr)+(1))|0)];HEAP8[((($floatValue)+(2))|0)]=HEAP8[(((tempDoublePtr)+(2))|0)];HEAP8[((($floatValue)+(3))|0)]=HEAP8[(((tempDoublePtr)+(3))|0)]; //@line 327 "Utilities.cpp"
 var $27=((((HEAPU8[($endPtr)])|(HEAPU8[((($endPtr)+(1))|0)]<<8)|(HEAPU8[((($endPtr)+(2))|0)]<<16)|(HEAPU8[((($endPtr)+(3))|0)]<<24))|0)); //@line 330 "Utilities.cpp"
 var $arraydecay56=(($temp)|0); //@line 330 "Utilities.cpp"
 var $cmp57=($27|0)==($arraydecay56|0); //@line 330 "Utilities.cpp"
 if($cmp57){label=29;break;}else{label=28;break;} //@line 330 "Utilities.cpp"
 case 28: 
 var $call59=___errno_location(); //@line 330 "Utilities.cpp"
 var $28=((((HEAPU8[($call59)])|(HEAPU8[((($call59)+(1))|0)]<<8)|(HEAPU8[((($call59)+(2))|0)]<<16)|(HEAPU8[((($call59)+(3))|0)]<<24))|0)); //@line 330 "Utilities.cpp"
 var $cmp60=($28|0)==34; //@line 330 "Utilities.cpp"
 if($cmp60){label=29;break;}else{label=30;break;} //@line 330 "Utilities.cpp"
 case 29: 
 $retval=0; //@line 332 "Utilities.cpp"
 label=31;break; //@line 332 "Utilities.cpp"
 case 30: 
 var $29=$floatValue; //@line 336 "Utilities.cpp"
 var $30=((((HEAPU8[($29)])|(HEAPU8[((($29)+(1))|0)]<<8)|(HEAPU8[((($29)+(2))|0)]<<16)|(HEAPU8[((($29)+(3))|0)]<<24))|0)); //@line 336 "Utilities.cpp"
 var $31=$value_addr; //@line 336 "Utilities.cpp"
 tempBigInt=$30;HEAP8[($31)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($31)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($31)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($31)+(3))|0)]=tempBigInt&0xff; //@line 336 "Utilities.cpp"
 $retval=1; //@line 338 "Utilities.cpp"
 label=31;break; //@line 338 "Utilities.cpp"
 case 31: 
 var $32=$retval; //@line 339 "Utilities.cpp"
 STACKTOP=sp;return $32; //@line 339 "Utilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z12GetObjSymbolic($type,$id){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+8)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $type_addr;
 var $id_addr;
 var $length=sp;
 var $pSymbol;
 $type_addr=$type;
 $id_addr=$id;
 tempBigInt=0;HEAP8[($length)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($length)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($length)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($length)+(3))|0)]=tempBigInt&0xff; //@line 364 "Utilities.cpp"
 var $call=__Z9GetSymbolPi($length); //@line 365 "Utilities.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 365 "Utilities.cpp"
 case 2: 
 $retval=0; //@line 367 "Utilities.cpp"
 label=17;break; //@line 367 "Utilities.cpp"
 case 3: 
 var $0=((((HEAPU8[($length)])|(HEAPU8[((($length)+(1))|0)]<<8)|(HEAPU8[((($length)+(2))|0)]<<16)|(HEAPU8[((($length)+(3))|0)]<<24))|0)); //@line 369 "Utilities.cpp"
 var $cmp=($0|0)>0; //@line 369 "Utilities.cpp"
 if($cmp){label=4;break;}else{label=13;break;} //@line 369 "Utilities.cpp"
 case 4: 
 var $1=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 372 "Utilities.cpp"
 var $call2=__ZN11Elementizer16GetCurrentSymbolEv($1); //@line 372 "Utilities.cpp"
 $pSymbol=$call2; //@line 372 "Utilities.cpp"
 var $2=$id_addr; //@line 373 "Utilities.cpp"
 var $conv=(($2<<24)>>24); //@line 373 "Utilities.cpp"
 var $add=((($conv)+(1))|0); //@line 373 "Utilities.cpp"
 var $conv3=(($add)&255); //@line 373 "Utilities.cpp"
 var $3=((((HEAPU8[($length)])|(HEAPU8[((($length)+(1))|0)]<<8)|(HEAPU8[((($length)+(2))|0)]<<16)|(HEAPU8[((($length)+(3))|0)]<<24))|0)); //@line 373 "Utilities.cpp"
 var $4=$pSymbol; //@line 373 "Utilities.cpp"
 var $arrayidx=(($4+$3)|0); //@line 373 "Utilities.cpp"
 HEAP8[($arrayidx)]=$conv3; //@line 373 "Utilities.cpp"
 var $5=((((HEAPU8[($length)])|(HEAPU8[((($length)+(1))|0)]<<8)|(HEAPU8[((($length)+(2))|0)]<<16)|(HEAPU8[((($length)+(3))|0)]<<24))|0)); //@line 374 "Utilities.cpp"
 var $add4=((($5)+(1))|0); //@line 374 "Utilities.cpp"
 var $6=$pSymbol; //@line 374 "Utilities.cpp"
 var $arrayidx5=(($6+$add4)|0); //@line 374 "Utilities.cpp"
 HEAP8[($arrayidx5)]=0; //@line 374 "Utilities.cpp"
 var $7=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 376 "Utilities.cpp"
 var $8=$pSymbol; //@line 376 "Utilities.cpp"
 var $call6=__ZN11Elementizer10FindSymbolEPKc($7,$8); //@line 376 "Utilities.cpp"
 var $9=$type_addr; //@line 378 "Utilities.cpp"
 var $cmp7=($9|0)==80; //@line 378 "Utilities.cpp"
 if($cmp7){label=5;break;}else{label=8;break;} //@line 378 "Utilities.cpp"
 case 5: 
 var $10=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 380 "Utilities.cpp"
 var $call9=__ZN11Elementizer7GetTypeEv($10); //@line 380 "Utilities.cpp"
 var $cmp10=($call9|0)==80; //@line 380 "Utilities.cpp"
 if($cmp10){label=6;break;}else{label=7;break;} //@line 380 "Utilities.cpp"
 case 6: 
 $retval=1; //@line 382 "Utilities.cpp"
 label=17;break; //@line 382 "Utilities.cpp"
 case 7: 
 label=12;break; //@line 384 "Utilities.cpp"
 case 8: 
 var $11=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 387 "Utilities.cpp"
 var $call13=__ZN11Elementizer7GetTypeEv($11); //@line 387 "Utilities.cpp"
 var $cmp14=($call13|0)==81; //@line 387 "Utilities.cpp"
 if($cmp14){label=10;break;}else{label=9;break;} //@line 387 "Utilities.cpp"
 case 9: 
 var $12=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 387 "Utilities.cpp"
 var $call15=__ZN11Elementizer7GetTypeEv($12); //@line 387 "Utilities.cpp"
 var $cmp16=($call15|0)==82; //@line 387 "Utilities.cpp"
 if($cmp16){label=10;break;}else{label=11;break;} //@line 387 "Utilities.cpp"
 case 10: 
 var $13=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 390 "Utilities.cpp"
 __ZN11Elementizer11ObjConToConEv($13); //@line 390 "Utilities.cpp"
 $retval=1; //@line 391 "Utilities.cpp"
 label=17;break; //@line 391 "Utilities.cpp"
 case 11: 
 label=12;break;
 case 12: 
 label=13;break; //@line 394 "Utilities.cpp"
 case 13: 
 var $14=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 396 "Utilities.cpp"
 var $15=$14; //@line 396 "Utilities.cpp"
 var $error=(($15)|0); //@line 396 "Utilities.cpp"
 HEAP8[($error)]=1; //@line 396 "Utilities.cpp"
 var $16=$type_addr; //@line 397 "Utilities.cpp"
 var $cmp21=($16|0)==80; //@line 397 "Utilities.cpp"
 if($cmp21){label=14;break;}else{label=15;break;} //@line 397 "Utilities.cpp"
 case 14: 
 var $17=((((HEAPU8[(104)])|(HEAPU8[(105)]<<8)|(HEAPU8[(106)]<<16)|(HEAPU8[(107)]<<24))|0)); //@line 399 "Utilities.cpp"
 var $18=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 399 "Utilities.cpp"
 var $19=$18; //@line 399 "Utilities.cpp"
 var $error_msg=(($19+4)|0); //@line 399 "Utilities.cpp"
 tempBigInt=$17;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 399 "Utilities.cpp"
 label=16;break; //@line 400 "Utilities.cpp"
 case 15: 
 var $20=((((HEAPU8[(76)])|(HEAPU8[(77)]<<8)|(HEAPU8[(78)]<<16)|(HEAPU8[(79)]<<24))|0)); //@line 403 "Utilities.cpp"
 var $21=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 403 "Utilities.cpp"
 var $22=$21; //@line 403 "Utilities.cpp"
 var $error_msg24=(($22+4)|0); //@line 403 "Utilities.cpp"
 tempBigInt=$20;HEAP8[($error_msg24)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg24)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg24)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg24)+(3))|0)]=tempBigInt&0xff; //@line 403 "Utilities.cpp"
 label=16;break;
 case 16: 
 $retval=0; //@line 406 "Utilities.cpp"
 label=17;break; //@line 406 "Utilities.cpp"
 case 17: 
 var $23=$retval; //@line 407 "Utilities.cpp"
 STACKTOP=sp;return $23; //@line 407 "Utilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z13GetCommaOrEndRb($bComma){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+8)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $bComma_addr;
 var $bEof=sp;
 $bComma_addr=$bComma;
 HEAP8[($bEof)]=0; //@line 411 "Utilities.cpp"
 var $0=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 412 "Utilities.cpp"
 var $call=__ZN11Elementizer7GetNextERb($0,$bEof); //@line 412 "Utilities.cpp"
 var $1=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 413 "Utilities.cpp"
 var $call1=__ZN11Elementizer7GetTypeEv($1); //@line 413 "Utilities.cpp"
 var $cmp=($call1|0)==5; //@line 413 "Utilities.cpp"
 if($cmp){label=2;break;}else{label=3;break;} //@line 413 "Utilities.cpp"
 case 2: 
 var $2=$bComma_addr; //@line 415 "Utilities.cpp"
 HEAP8[($2)]=1; //@line 415 "Utilities.cpp"
 $retval=1; //@line 416 "Utilities.cpp"
 label=6;break; //@line 416 "Utilities.cpp"
 case 3: 
 var $3=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 418 "Utilities.cpp"
 var $call2=__ZN11Elementizer7GetTypeEv($3); //@line 418 "Utilities.cpp"
 var $cmp3=($call2|0)==84; //@line 418 "Utilities.cpp"
 if($cmp3){label=4;break;}else{label=5;break;} //@line 418 "Utilities.cpp"
 case 4: 
 var $4=$bComma_addr; //@line 420 "Utilities.cpp"
 HEAP8[($4)]=0; //@line 420 "Utilities.cpp"
 $retval=1; //@line 421 "Utilities.cpp"
 label=6;break; //@line 421 "Utilities.cpp"
 case 5: 
 var $5=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 424 "Utilities.cpp"
 var $6=$5; //@line 424 "Utilities.cpp"
 var $error=(($6)|0); //@line 424 "Utilities.cpp"
 HEAP8[($error)]=1; //@line 424 "Utilities.cpp"
 var $7=((((HEAPU8[(152)])|(HEAPU8[(153)]<<8)|(HEAPU8[(154)]<<16)|(HEAPU8[(155)]<<24))|0)); //@line 425 "Utilities.cpp"
 var $8=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 425 "Utilities.cpp"
 var $9=$8; //@line 425 "Utilities.cpp"
 var $error_msg=(($9+4)|0); //@line 425 "Utilities.cpp"
 tempBigInt=$7;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 425 "Utilities.cpp"
 $retval=0; //@line 426 "Utilities.cpp"
 label=6;break; //@line 426 "Utilities.cpp"
 case 6: 
 var $10=$retval; //@line 427 "Utilities.cpp"
 STACKTOP=sp;return $10; //@line 427 "Utilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z15GetCommaOrRightRb($bComma){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+8)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $bComma_addr;
 var $bEof=sp;
 $bComma_addr=$bComma;
 HEAP8[($bEof)]=0; //@line 431 "Utilities.cpp"
 var $0=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 432 "Utilities.cpp"
 var $call=__ZN11Elementizer7GetNextERb($0,$bEof); //@line 432 "Utilities.cpp"
 var $1=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 433 "Utilities.cpp"
 var $call1=__ZN11Elementizer7GetTypeEv($1); //@line 433 "Utilities.cpp"
 var $cmp=($call1|0)==5; //@line 433 "Utilities.cpp"
 if($cmp){label=2;break;}else{label=3;break;} //@line 433 "Utilities.cpp"
 case 2: 
 var $2=$bComma_addr; //@line 435 "Utilities.cpp"
 HEAP8[($2)]=1; //@line 435 "Utilities.cpp"
 $retval=1; //@line 436 "Utilities.cpp"
 label=6;break; //@line 436 "Utilities.cpp"
 case 3: 
 var $3=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 438 "Utilities.cpp"
 var $call2=__ZN11Elementizer7GetTypeEv($3); //@line 438 "Utilities.cpp"
 var $cmp3=($call2|0)==2; //@line 438 "Utilities.cpp"
 if($cmp3){label=4;break;}else{label=5;break;} //@line 438 "Utilities.cpp"
 case 4: 
 var $4=$bComma_addr; //@line 440 "Utilities.cpp"
 HEAP8[($4)]=0; //@line 440 "Utilities.cpp"
 $retval=1; //@line 441 "Utilities.cpp"
 label=6;break; //@line 441 "Utilities.cpp"
 case 5: 
 var $5=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 444 "Utilities.cpp"
 var $6=$5; //@line 444 "Utilities.cpp"
 var $error=(($6)|0); //@line 444 "Utilities.cpp"
 HEAP8[($error)]=1; //@line 444 "Utilities.cpp"
 var $7=((((HEAPU8[(164)])|(HEAPU8[(165)]<<8)|(HEAPU8[(166)]<<16)|(HEAPU8[(167)]<<24))|0)); //@line 445 "Utilities.cpp"
 var $8=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 445 "Utilities.cpp"
 var $9=$8; //@line 445 "Utilities.cpp"
 var $error_msg=(($9+4)|0); //@line 445 "Utilities.cpp"
 tempBigInt=$7;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 445 "Utilities.cpp"
 $retval=0; //@line 446 "Utilities.cpp"
 label=6;break; //@line 446 "Utilities.cpp"
 case 6: 
 var $10=$retval; //@line 447 "Utilities.cpp"
 STACKTOP=sp;return $10; //@line 447 "Utilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z12GetPipeOrEndRb($bPipe){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+8)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $bPipe_addr;
 var $bEof=sp;
 $bPipe_addr=$bPipe;
 HEAP8[($bEof)]=0; //@line 451 "Utilities.cpp"
 var $0=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 452 "Utilities.cpp"
 var $call=__ZN11Elementizer7GetNextERb($0,$bEof); //@line 452 "Utilities.cpp"
 var $1=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 453 "Utilities.cpp"
 var $call1=__ZN11Elementizer7GetTypeEv($1); //@line 453 "Utilities.cpp"
 var $cmp=($call1|0)==22; //@line 453 "Utilities.cpp"
 if($cmp){label=2;break;}else{label=4;break;} //@line 453 "Utilities.cpp"
 case 2: 
 var $2=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 453 "Utilities.cpp"
 var $call2=__ZN11Elementizer9GetOpTypeEv($2); //@line 453 "Utilities.cpp"
 var $cmp3=($call2|0)==10; //@line 453 "Utilities.cpp"
 if($cmp3){label=3;break;}else{label=4;break;} //@line 453 "Utilities.cpp"
 case 3: 
 var $3=$bPipe_addr; //@line 455 "Utilities.cpp"
 HEAP8[($3)]=1; //@line 455 "Utilities.cpp"
 $retval=1; //@line 456 "Utilities.cpp"
 label=7;break; //@line 456 "Utilities.cpp"
 case 4: 
 var $4=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 458 "Utilities.cpp"
 var $call4=__ZN11Elementizer7GetTypeEv($4); //@line 458 "Utilities.cpp"
 var $cmp5=($call4|0)==84; //@line 458 "Utilities.cpp"
 if($cmp5){label=5;break;}else{label=6;break;} //@line 458 "Utilities.cpp"
 case 5: 
 var $5=$bPipe_addr; //@line 460 "Utilities.cpp"
 HEAP8[($5)]=0; //@line 460 "Utilities.cpp"
 $retval=1; //@line 461 "Utilities.cpp"
 label=7;break; //@line 461 "Utilities.cpp"
 case 6: 
 var $6=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 464 "Utilities.cpp"
 var $7=$6; //@line 464 "Utilities.cpp"
 var $error=(($7)|0); //@line 464 "Utilities.cpp"
 HEAP8[($error)]=1; //@line 464 "Utilities.cpp"
 var $8=((((HEAPU8[(204)])|(HEAPU8[(205)]<<8)|(HEAPU8[(206)]<<16)|(HEAPU8[(207)]<<24))|0)); //@line 465 "Utilities.cpp"
 var $9=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 465 "Utilities.cpp"
 var $10=$9; //@line 465 "Utilities.cpp"
 var $error_msg=(($10+4)|0); //@line 465 "Utilities.cpp"
 tempBigInt=$8;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 465 "Utilities.cpp"
 $retval=0; //@line 466 "Utilities.cpp"
 label=7;break; //@line 466 "Utilities.cpp"
 case 7: 
 var $11=$retval; //@line 467 "Utilities.cpp"
 STACKTOP=sp;return $11; //@line 467 "Utilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z11GetFilenameRiS_($filenameStart,$filenameFinish){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+8)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $filenameStart_addr;
 var $filenameFinish_addr;
 var $bEof=sp;
 var $filenameOffset;
 var $theChar;
 $filenameStart_addr=$filenameStart;
 $filenameFinish_addr=$filenameFinish;
 HEAP8[($bEof)]=0; //@line 472 "Utilities.cpp"
 $filenameOffset=0; //@line 473 "Utilities.cpp"
 var $0=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 475 "Utilities.cpp"
 var $call=__ZN11Elementizer7GetNextERb($0,$bEof); //@line 475 "Utilities.cpp"
 var $1=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 476 "Utilities.cpp"
 var $2=$1; //@line 476 "Utilities.cpp"
 var $source_start=(($2+16)|0); //@line 476 "Utilities.cpp"
 var $3=((((HEAPU8[($source_start)])|(HEAPU8[((($source_start)+(1))|0)]<<8)|(HEAPU8[((($source_start)+(2))|0)]<<16)|(HEAPU8[((($source_start)+(3))|0)]<<24))|0)); //@line 476 "Utilities.cpp"
 var $4=$filenameStart_addr; //@line 476 "Utilities.cpp"
 tempBigInt=$3;HEAP8[($4)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($4)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($4)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($4)+(3))|0)]=tempBigInt&0xff; //@line 476 "Utilities.cpp"
 var $5=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 477 "Utilities.cpp"
 __ZN11Elementizer6BackupEv($5); //@line 477 "Utilities.cpp"
 label=2;break; //@line 479 "Utilities.cpp"
 case 2: 
 var $6=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 481 "Utilities.cpp"
 var $call1=__ZN11Elementizer7GetNextERb($6,$bEof); //@line 481 "Utilities.cpp"
 var $7=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 482 "Utilities.cpp"
 var $call2=__ZN11Elementizer7GetTypeEv($7); //@line 482 "Utilities.cpp"
 var $cmp=($call2|0)!=67; //@line 482 "Utilities.cpp"
 if($cmp){label=3;break;}else{label=4;break;} //@line 482 "Utilities.cpp"
 case 3: 
 var $8=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 484 "Utilities.cpp"
 var $9=$8; //@line 484 "Utilities.cpp"
 var $error=(($9)|0); //@line 484 "Utilities.cpp"
 HEAP8[($error)]=1; //@line 484 "Utilities.cpp"
 var $10=((((HEAPU8[(276)])|(HEAPU8[(277)]<<8)|(HEAPU8[(278)]<<16)|(HEAPU8[(279)]<<24))|0)); //@line 485 "Utilities.cpp"
 var $11=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 485 "Utilities.cpp"
 var $12=$11; //@line 485 "Utilities.cpp"
 var $error_msg=(($12+4)|0); //@line 485 "Utilities.cpp"
 tempBigInt=$10;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 485 "Utilities.cpp"
 $retval=0; //@line 486 "Utilities.cpp"
 label=21;break; //@line 486 "Utilities.cpp"
 case 4: 
 var $13=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 488 "Utilities.cpp"
 var $call3=__ZN11Elementizer8GetValueEv($13); //@line 488 "Utilities.cpp"
 var $conv=(($call3)&255); //@line 488 "Utilities.cpp"
 $theChar=$conv; //@line 488 "Utilities.cpp"
 var $14=$theChar; //@line 491 "Utilities.cpp"
 var $conv4=(($14<<24)>>24); //@line 491 "Utilities.cpp"
 var $cmp5=($conv4|0)>127; //@line 491 "Utilities.cpp"
 if($cmp5){label=15;break;}else{label=5;break;} //@line 491 "Utilities.cpp"
 case 5: 
 var $15=$theChar; //@line 491 "Utilities.cpp"
 var $conv6=(($15<<24)>>24); //@line 491 "Utilities.cpp"
 var $cmp7=($conv6|0)<32; //@line 491 "Utilities.cpp"
 if($cmp7){label=15;break;}else{label=6;break;} //@line 491 "Utilities.cpp"
 case 6: 
 var $16=$theChar; //@line 491 "Utilities.cpp"
 var $conv9=(($16<<24)>>24); //@line 491 "Utilities.cpp"
 var $cmp10=($conv9|0)==92; //@line 491 "Utilities.cpp"
 if($cmp10){label=15;break;}else{label=7;break;} //@line 491 "Utilities.cpp"
 case 7: 
 var $17=$theChar; //@line 491 "Utilities.cpp"
 var $conv12=(($17<<24)>>24); //@line 491 "Utilities.cpp"
 var $cmp13=($conv12|0)==47; //@line 491 "Utilities.cpp"
 if($cmp13){label=15;break;}else{label=8;break;} //@line 491 "Utilities.cpp"
 case 8: 
 var $18=$theChar; //@line 491 "Utilities.cpp"
 var $conv15=(($18<<24)>>24); //@line 491 "Utilities.cpp"
 var $cmp16=($conv15|0)==58; //@line 491 "Utilities.cpp"
 if($cmp16){label=15;break;}else{label=9;break;} //@line 491 "Utilities.cpp"
 case 9: 
 var $19=$theChar; //@line 491 "Utilities.cpp"
 var $conv18=(($19<<24)>>24); //@line 491 "Utilities.cpp"
 var $cmp19=($conv18|0)==42; //@line 491 "Utilities.cpp"
 if($cmp19){label=15;break;}else{label=10;break;} //@line 491 "Utilities.cpp"
 case 10: 
 var $20=$theChar; //@line 491 "Utilities.cpp"
 var $conv21=(($20<<24)>>24); //@line 491 "Utilities.cpp"
 var $cmp22=($conv21|0)==63; //@line 491 "Utilities.cpp"
 if($cmp22){label=15;break;}else{label=11;break;} //@line 491 "Utilities.cpp"
 case 11: 
 var $21=$theChar; //@line 491 "Utilities.cpp"
 var $conv24=(($21<<24)>>24); //@line 491 "Utilities.cpp"
 var $cmp25=($conv24|0)==34; //@line 491 "Utilities.cpp"
 if($cmp25){label=15;break;}else{label=12;break;} //@line 491 "Utilities.cpp"
 case 12: 
 var $22=$theChar; //@line 491 "Utilities.cpp"
 var $conv27=(($22<<24)>>24); //@line 491 "Utilities.cpp"
 var $cmp28=($conv27|0)==60; //@line 491 "Utilities.cpp"
 if($cmp28){label=15;break;}else{label=13;break;} //@line 491 "Utilities.cpp"
 case 13: 
 var $23=$theChar; //@line 491 "Utilities.cpp"
 var $conv30=(($23<<24)>>24); //@line 491 "Utilities.cpp"
 var $cmp31=($conv30|0)==62; //@line 491 "Utilities.cpp"
 if($cmp31){label=15;break;}else{label=14;break;} //@line 491 "Utilities.cpp"
 case 14: 
 var $24=$theChar; //@line 491 "Utilities.cpp"
 var $conv33=(($24<<24)>>24); //@line 491 "Utilities.cpp"
 var $cmp34=($conv33|0)==124; //@line 491 "Utilities.cpp"
 if($cmp34){label=15;break;}else{label=16;break;} //@line 491 "Utilities.cpp"
 case 15: 
 var $25=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 495 "Utilities.cpp"
 var $26=$25; //@line 495 "Utilities.cpp"
 var $error36=(($26)|0); //@line 495 "Utilities.cpp"
 HEAP8[($error36)]=1; //@line 495 "Utilities.cpp"
 var $27=((((HEAPU8[(272)])|(HEAPU8[(273)]<<8)|(HEAPU8[(274)]<<16)|(HEAPU8[(275)]<<24))|0)); //@line 496 "Utilities.cpp"
 var $28=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 496 "Utilities.cpp"
 var $29=$28; //@line 496 "Utilities.cpp"
 var $error_msg37=(($29+4)|0); //@line 496 "Utilities.cpp"
 tempBigInt=$27;HEAP8[($error_msg37)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg37)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg37)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg37)+(3))|0)]=tempBigInt&0xff; //@line 496 "Utilities.cpp"
 $retval=0; //@line 497 "Utilities.cpp"
 label=21;break; //@line 497 "Utilities.cpp"
 case 16: 
 var $30=$theChar; //@line 501 "Utilities.cpp"
 var $31=$filenameOffset; //@line 501 "Utilities.cpp"
 var $inc=((($31)+(1))|0); //@line 501 "Utilities.cpp"
 $filenameOffset=$inc; //@line 501 "Utilities.cpp"
 var $32=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 501 "Utilities.cpp"
 var $filename=(($32+16979608)|0); //@line 501 "Utilities.cpp"
 var $arrayidx=(($filename+$31)|0); //@line 501 "Utilities.cpp"
 HEAP8[($arrayidx)]=$30; //@line 501 "Utilities.cpp"
 var $33=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 502 "Utilities.cpp"
 var $34=$33; //@line 502 "Utilities.cpp"
 var $source_finish=(($34+20)|0); //@line 502 "Utilities.cpp"
 var $35=((((HEAPU8[($source_finish)])|(HEAPU8[((($source_finish)+(1))|0)]<<8)|(HEAPU8[((($source_finish)+(2))|0)]<<16)|(HEAPU8[((($source_finish)+(3))|0)]<<24))|0)); //@line 502 "Utilities.cpp"
 var $36=$filenameFinish_addr; //@line 502 "Utilities.cpp"
 tempBigInt=$35;HEAP8[($36)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($36)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($36)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($36)+(3))|0)]=tempBigInt&0xff; //@line 502 "Utilities.cpp"
 var $37=$filenameOffset; //@line 505 "Utilities.cpp"
 var $cmp39=($37|0)>253; //@line 505 "Utilities.cpp"
 if($cmp39){label=17;break;}else{label=18;break;} //@line 505 "Utilities.cpp"
 case 17: 
 var $38=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 507 "Utilities.cpp"
 var $39=$38; //@line 507 "Utilities.cpp"
 var $error41=(($39)|0); //@line 507 "Utilities.cpp"
 HEAP8[($error41)]=1; //@line 507 "Utilities.cpp"
 var $40=((((HEAPU8[(240)])|(HEAPU8[(241)]<<8)|(HEAPU8[(242)]<<16)|(HEAPU8[(243)]<<24))|0)); //@line 508 "Utilities.cpp"
 var $41=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 508 "Utilities.cpp"
 var $42=$41; //@line 508 "Utilities.cpp"
 var $error_msg42=(($42+4)|0); //@line 508 "Utilities.cpp"
 tempBigInt=$40;HEAP8[($error_msg42)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg42)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg42)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg42)+(3))|0)]=tempBigInt&0xff; //@line 508 "Utilities.cpp"
 $retval=0; //@line 509 "Utilities.cpp"
 label=21;break; //@line 509 "Utilities.cpp"
 case 18: 
 var $43=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 512 "Utilities.cpp"
 var $call44=__ZN11Elementizer12CheckElementEi($43,5); //@line 512 "Utilities.cpp"
 if($call44){label=20;break;}else{label=19;break;} //@line 512 "Utilities.cpp"
 case 19: 
 var $44=$filenameOffset; //@line 514 "Utilities.cpp"
 var $45=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 514 "Utilities.cpp"
 var $filename46=(($45+16979608)|0); //@line 514 "Utilities.cpp"
 var $arrayidx47=(($filename46+$44)|0); //@line 514 "Utilities.cpp"
 HEAP8[($arrayidx47)]=0; //@line 514 "Utilities.cpp"
 var $46=$filenameStart_addr; //@line 515 "Utilities.cpp"
 var $47=((((HEAPU8[($46)])|(HEAPU8[((($46)+(1))|0)]<<8)|(HEAPU8[((($46)+(2))|0)]<<16)|(HEAPU8[((($46)+(3))|0)]<<24))|0)); //@line 515 "Utilities.cpp"
 var $48=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 515 "Utilities.cpp"
 var $49=$48; //@line 515 "Utilities.cpp"
 var $source_start48=(($49+16)|0); //@line 515 "Utilities.cpp"
 tempBigInt=$47;HEAP8[($source_start48)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_start48)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_start48)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_start48)+(3))|0)]=tempBigInt&0xff; //@line 515 "Utilities.cpp"
 var $50=$filenameFinish_addr; //@line 516 "Utilities.cpp"
 var $51=((((HEAPU8[($50)])|(HEAPU8[((($50)+(1))|0)]<<8)|(HEAPU8[((($50)+(2))|0)]<<16)|(HEAPU8[((($50)+(3))|0)]<<24))|0)); //@line 516 "Utilities.cpp"
 var $52=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 516 "Utilities.cpp"
 var $53=$52; //@line 516 "Utilities.cpp"
 var $source_finish49=(($53+20)|0); //@line 516 "Utilities.cpp"
 tempBigInt=$51;HEAP8[($source_finish49)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_finish49)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_finish49)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_finish49)+(3))|0)]=tempBigInt&0xff; //@line 516 "Utilities.cpp"
 $retval=1; //@line 517 "Utilities.cpp"
 label=21;break; //@line 517 "Utilities.cpp"
 case 20: 
 label=2;break; //@line 519 "Utilities.cpp"
 case 21: 
 var $54=$retval; //@line 522 "Utilities.cpp"
 STACKTOP=sp;return $54; //@line 522 "Utilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z9EnterInfov(){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $index;
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 526 "Utilities.cpp"
 var $1=$0; //@line 526 "Utilities.cpp"
 var $info_count=(($1+16943044)|0); //@line 526 "Utilities.cpp"
 var $2=((((HEAPU8[($info_count)])|(HEAPU8[((($info_count)+(1))|0)]<<8)|(HEAPU8[((($info_count)+(2))|0)]<<16)|(HEAPU8[((($info_count)+(3))|0)]<<24))|0)); //@line 526 "Utilities.cpp"
 $index=$2; //@line 526 "Utilities.cpp"
 var $3=$index; //@line 527 "Utilities.cpp"
 var $cmp=($3|0)>=1000; //@line 527 "Utilities.cpp"
 if($cmp){label=2;break;}else{label=3;break;} //@line 527 "Utilities.cpp"
 case 2: 
 var $4=$index; //@line 529 "Utilities.cpp"
 var $dec=((($4)-(1))|0); //@line 529 "Utilities.cpp"
 $index=$dec; //@line 529 "Utilities.cpp"
 label=4;break; //@line 530 "Utilities.cpp"
 case 3: 
 var $5=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 533 "Utilities.cpp"
 var $6=$5; //@line 533 "Utilities.cpp"
 var $info_count1=(($6+16943044)|0); //@line 533 "Utilities.cpp"
 var $7=((((HEAPU8[($info_count1)])|(HEAPU8[((($info_count1)+(1))|0)]<<8)|(HEAPU8[((($info_count1)+(2))|0)]<<16)|(HEAPU8[((($info_count1)+(3))|0)]<<24))|0)); //@line 533 "Utilities.cpp"
 var $inc=((($7)+(1))|0); //@line 533 "Utilities.cpp"
 tempBigInt=$inc;HEAP8[($info_count1)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($info_count1)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($info_count1)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($info_count1)+(3))|0)]=tempBigInt&0xff; //@line 533 "Utilities.cpp"
 label=4;break;
 case 4: 
 var $8=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 536 "Utilities.cpp"
 var $inf_start=(($8+16979580)|0); //@line 536 "Utilities.cpp"
 var $9=((((HEAPU8[($inf_start)])|(HEAPU8[((($inf_start)+(1))|0)]<<8)|(HEAPU8[((($inf_start)+(2))|0)]<<16)|(HEAPU8[((($inf_start)+(3))|0)]<<24))|0)); //@line 536 "Utilities.cpp"
 var $10=$index; //@line 536 "Utilities.cpp"
 var $11=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 536 "Utilities.cpp"
 var $12=$11; //@line 536 "Utilities.cpp"
 var $info_start=(($12+16943048)|0); //@line 536 "Utilities.cpp"
 var $arrayidx=(($info_start+($10<<2))|0); //@line 536 "Utilities.cpp"
 tempBigInt=$9;HEAP8[($arrayidx)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx)+(3))|0)]=tempBigInt&0xff; //@line 536 "Utilities.cpp"
 var $13=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 537 "Utilities.cpp"
 var $inf_finish=(($13+16979584)|0); //@line 537 "Utilities.cpp"
 var $14=((((HEAPU8[($inf_finish)])|(HEAPU8[((($inf_finish)+(1))|0)]<<8)|(HEAPU8[((($inf_finish)+(2))|0)]<<16)|(HEAPU8[((($inf_finish)+(3))|0)]<<24))|0)); //@line 537 "Utilities.cpp"
 var $15=$index; //@line 537 "Utilities.cpp"
 var $16=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 537 "Utilities.cpp"
 var $17=$16; //@line 537 "Utilities.cpp"
 var $info_finish=(($17+16947048)|0); //@line 537 "Utilities.cpp"
 var $arrayidx2=(($info_finish+($15<<2))|0); //@line 537 "Utilities.cpp"
 tempBigInt=$14;HEAP8[($arrayidx2)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx2)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx2)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx2)+(3))|0)]=tempBigInt&0xff; //@line 537 "Utilities.cpp"
 var $18=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 538 "Utilities.cpp"
 var $inf_type=(($18+16979588)|0); //@line 538 "Utilities.cpp"
 var $19=((((HEAPU8[($inf_type)])|(HEAPU8[((($inf_type)+(1))|0)]<<8)|(HEAPU8[((($inf_type)+(2))|0)]<<16)|(HEAPU8[((($inf_type)+(3))|0)]<<24))|0)); //@line 538 "Utilities.cpp"
 var $20=$index; //@line 538 "Utilities.cpp"
 var $21=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 538 "Utilities.cpp"
 var $22=$21; //@line 538 "Utilities.cpp"
 var $info_type=(($22+16951048)|0); //@line 538 "Utilities.cpp"
 var $arrayidx3=(($info_type+($20<<2))|0); //@line 538 "Utilities.cpp"
 tempBigInt=$19;HEAP8[($arrayidx3)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx3)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx3)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx3)+(3))|0)]=tempBigInt&0xff; //@line 538 "Utilities.cpp"
 var $23=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 539 "Utilities.cpp"
 var $inf_data0=(($23+16979592)|0); //@line 539 "Utilities.cpp"
 var $24=((((HEAPU8[($inf_data0)])|(HEAPU8[((($inf_data0)+(1))|0)]<<8)|(HEAPU8[((($inf_data0)+(2))|0)]<<16)|(HEAPU8[((($inf_data0)+(3))|0)]<<24))|0)); //@line 539 "Utilities.cpp"
 var $25=$index; //@line 539 "Utilities.cpp"
 var $26=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 539 "Utilities.cpp"
 var $27=$26; //@line 539 "Utilities.cpp"
 var $info_data0=(($27+16955048)|0); //@line 539 "Utilities.cpp"
 var $arrayidx4=(($info_data0+($25<<2))|0); //@line 539 "Utilities.cpp"
 tempBigInt=$24;HEAP8[($arrayidx4)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx4)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx4)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx4)+(3))|0)]=tempBigInt&0xff; //@line 539 "Utilities.cpp"
 var $28=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 540 "Utilities.cpp"
 var $inf_data1=(($28+16979596)|0); //@line 540 "Utilities.cpp"
 var $29=((((HEAPU8[($inf_data1)])|(HEAPU8[((($inf_data1)+(1))|0)]<<8)|(HEAPU8[((($inf_data1)+(2))|0)]<<16)|(HEAPU8[((($inf_data1)+(3))|0)]<<24))|0)); //@line 540 "Utilities.cpp"
 var $30=$index; //@line 540 "Utilities.cpp"
 var $31=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 540 "Utilities.cpp"
 var $32=$31; //@line 540 "Utilities.cpp"
 var $info_data1=(($32+16959048)|0); //@line 540 "Utilities.cpp"
 var $arrayidx5=(($info_data1+($30<<2))|0); //@line 540 "Utilities.cpp"
 tempBigInt=$29;HEAP8[($arrayidx5)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx5)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx5)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx5)+(3))|0)]=tempBigInt&0xff; //@line 540 "Utilities.cpp"
 var $33=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 541 "Utilities.cpp"
 var $inf_data2=(($33+16979600)|0); //@line 541 "Utilities.cpp"
 var $34=((((HEAPU8[($inf_data2)])|(HEAPU8[((($inf_data2)+(1))|0)]<<8)|(HEAPU8[((($inf_data2)+(2))|0)]<<16)|(HEAPU8[((($inf_data2)+(3))|0)]<<24))|0)); //@line 541 "Utilities.cpp"
 var $35=$index; //@line 541 "Utilities.cpp"
 var $36=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 541 "Utilities.cpp"
 var $37=$36; //@line 541 "Utilities.cpp"
 var $info_data2=(($37+16963048)|0); //@line 541 "Utilities.cpp"
 var $arrayidx6=(($info_data2+($35<<2))|0); //@line 541 "Utilities.cpp"
 tempBigInt=$34;HEAP8[($arrayidx6)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx6)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx6)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx6)+(3))|0)]=tempBigInt&0xff; //@line 541 "Utilities.cpp"
 var $38=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 542 "Utilities.cpp"
 var $inf_data3=(($38+16979604)|0); //@line 542 "Utilities.cpp"
 var $39=((((HEAPU8[($inf_data3)])|(HEAPU8[((($inf_data3)+(1))|0)]<<8)|(HEAPU8[((($inf_data3)+(2))|0)]<<16)|(HEAPU8[((($inf_data3)+(3))|0)]<<24))|0)); //@line 542 "Utilities.cpp"
 var $40=$index; //@line 542 "Utilities.cpp"
 var $41=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 542 "Utilities.cpp"
 var $42=$41; //@line 542 "Utilities.cpp"
 var $info_data3=(($42+16967048)|0); //@line 542 "Utilities.cpp"
 var $arrayidx7=(($info_data3+($40<<2))|0); //@line 542 "Utilities.cpp"
 tempBigInt=$39;HEAP8[($arrayidx7)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx7)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx7)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx7)+(3))|0)]=tempBigInt&0xff; //@line 542 "Utilities.cpp"
 STACKTOP=sp;return; //@line 543 "Utilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z8EnterObjh($value){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $value_addr;
 $value_addr=$value;
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 547 "Utilities.cpp"
 var $1=$0; //@line 547 "Utilities.cpp"
 var $obj_ptr=(($1+16777264)|0); //@line 547 "Utilities.cpp"
 var $2=((((HEAPU8[($obj_ptr)])|(HEAPU8[((($obj_ptr)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr)+(3))|0)]<<24))|0)); //@line 547 "Utilities.cpp"
 var $cmp=($2|0)<16777216; //@line 547 "Utilities.cpp"
 if($cmp){label=2;break;}else{label=3;break;} //@line 547 "Utilities.cpp"
 case 2: 
 var $3=$value_addr; //@line 549 "Utilities.cpp"
 var $4=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 549 "Utilities.cpp"
 var $5=$4; //@line 549 "Utilities.cpp"
 var $obj_ptr1=(($5+16777264)|0); //@line 549 "Utilities.cpp"
 var $6=((((HEAPU8[($obj_ptr1)])|(HEAPU8[((($obj_ptr1)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr1)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr1)+(3))|0)]<<24))|0)); //@line 549 "Utilities.cpp"
 var $inc=((($6)+(1))|0); //@line 549 "Utilities.cpp"
 tempBigInt=$inc;HEAP8[($obj_ptr1)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_ptr1)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_ptr1)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_ptr1)+(3))|0)]=tempBigInt&0xff; //@line 549 "Utilities.cpp"
 var $7=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 549 "Utilities.cpp"
 var $8=$7; //@line 549 "Utilities.cpp"
 var $obj=(($8+48)|0); //@line 549 "Utilities.cpp"
 var $arrayidx=(($obj+$6)|0); //@line 549 "Utilities.cpp"
 HEAP8[($arrayidx)]=$3; //@line 549 "Utilities.cpp"
 label=4;break; //@line 550 "Utilities.cpp"
 case 3: 
 var $9=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 553 "Utilities.cpp"
 var $10=$9; //@line 553 "Utilities.cpp"
 var $error=(($10)|0); //@line 553 "Utilities.cpp"
 HEAP8[($error)]=1; //@line 553 "Utilities.cpp"
 var $11=((((HEAPU8[(364)])|(HEAPU8[(365)]<<8)|(HEAPU8[(366)]<<16)|(HEAPU8[(367)]<<24))|0)); //@line 554 "Utilities.cpp"
 var $12=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 554 "Utilities.cpp"
 var $13=$12; //@line 554 "Utilities.cpp"
 var $error_msg=(($13+4)|0); //@line 554 "Utilities.cpp"
 tempBigInt=$11;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 554 "Utilities.cpp"
 $retval=0; //@line 555 "Utilities.cpp"
 label=5;break; //@line 555 "Utilities.cpp"
 case 4: 
 $retval=1; //@line 558 "Utilities.cpp"
 label=5;break; //@line 558 "Utilities.cpp"
 case 5: 
 var $14=$retval; //@line 559 "Utilities.cpp"
 STACKTOP=sp;return $14; //@line 559 "Utilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z12EnterObjLongi($value){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $value_addr;
 $value_addr=$value;
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 563 "Utilities.cpp"
 var $1=$0; //@line 563 "Utilities.cpp"
 var $obj_ptr=(($1+16777264)|0); //@line 563 "Utilities.cpp"
 var $2=((((HEAPU8[($obj_ptr)])|(HEAPU8[((($obj_ptr)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr)+(3))|0)]<<24))|0)); //@line 563 "Utilities.cpp"
 var $add=((($2)+(4))|0); //@line 563 "Utilities.cpp"
 var $cmp=($add|0)<16777216; //@line 563 "Utilities.cpp"
 if($cmp){label=2;break;}else{label=3;break;} //@line 563 "Utilities.cpp"
 case 2: 
 var $3=$value_addr; //@line 565 "Utilities.cpp"
 var $conv=(($3)&255); //@line 565 "Utilities.cpp"
 var $4=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 565 "Utilities.cpp"
 var $5=$4; //@line 565 "Utilities.cpp"
 var $obj_ptr1=(($5+16777264)|0); //@line 565 "Utilities.cpp"
 var $6=((((HEAPU8[($obj_ptr1)])|(HEAPU8[((($obj_ptr1)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr1)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr1)+(3))|0)]<<24))|0)); //@line 565 "Utilities.cpp"
 var $inc=((($6)+(1))|0); //@line 565 "Utilities.cpp"
 tempBigInt=$inc;HEAP8[($obj_ptr1)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_ptr1)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_ptr1)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_ptr1)+(3))|0)]=tempBigInt&0xff; //@line 565 "Utilities.cpp"
 var $7=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 565 "Utilities.cpp"
 var $8=$7; //@line 565 "Utilities.cpp"
 var $obj=(($8+48)|0); //@line 565 "Utilities.cpp"
 var $arrayidx=(($obj+$6)|0); //@line 565 "Utilities.cpp"
 HEAP8[($arrayidx)]=$conv; //@line 565 "Utilities.cpp"
 var $9=$value_addr; //@line 566 "Utilities.cpp"
 var $shr=$9>>8; //@line 566 "Utilities.cpp"
 $value_addr=$shr; //@line 566 "Utilities.cpp"
 var $10=$value_addr; //@line 567 "Utilities.cpp"
 var $conv2=(($10)&255); //@line 567 "Utilities.cpp"
 var $11=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 567 "Utilities.cpp"
 var $12=$11; //@line 567 "Utilities.cpp"
 var $obj_ptr3=(($12+16777264)|0); //@line 567 "Utilities.cpp"
 var $13=((((HEAPU8[($obj_ptr3)])|(HEAPU8[((($obj_ptr3)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr3)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr3)+(3))|0)]<<24))|0)); //@line 567 "Utilities.cpp"
 var $inc4=((($13)+(1))|0); //@line 567 "Utilities.cpp"
 tempBigInt=$inc4;HEAP8[($obj_ptr3)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_ptr3)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_ptr3)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_ptr3)+(3))|0)]=tempBigInt&0xff; //@line 567 "Utilities.cpp"
 var $14=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 567 "Utilities.cpp"
 var $15=$14; //@line 567 "Utilities.cpp"
 var $obj5=(($15+48)|0); //@line 567 "Utilities.cpp"
 var $arrayidx6=(($obj5+$13)|0); //@line 567 "Utilities.cpp"
 HEAP8[($arrayidx6)]=$conv2; //@line 567 "Utilities.cpp"
 var $16=$value_addr; //@line 568 "Utilities.cpp"
 var $shr7=$16>>8; //@line 568 "Utilities.cpp"
 $value_addr=$shr7; //@line 568 "Utilities.cpp"
 var $17=$value_addr; //@line 569 "Utilities.cpp"
 var $conv8=(($17)&255); //@line 569 "Utilities.cpp"
 var $18=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 569 "Utilities.cpp"
 var $19=$18; //@line 569 "Utilities.cpp"
 var $obj_ptr9=(($19+16777264)|0); //@line 569 "Utilities.cpp"
 var $20=((((HEAPU8[($obj_ptr9)])|(HEAPU8[((($obj_ptr9)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr9)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr9)+(3))|0)]<<24))|0)); //@line 569 "Utilities.cpp"
 var $inc10=((($20)+(1))|0); //@line 569 "Utilities.cpp"
 tempBigInt=$inc10;HEAP8[($obj_ptr9)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_ptr9)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_ptr9)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_ptr9)+(3))|0)]=tempBigInt&0xff; //@line 569 "Utilities.cpp"
 var $21=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 569 "Utilities.cpp"
 var $22=$21; //@line 569 "Utilities.cpp"
 var $obj11=(($22+48)|0); //@line 569 "Utilities.cpp"
 var $arrayidx12=(($obj11+$20)|0); //@line 569 "Utilities.cpp"
 HEAP8[($arrayidx12)]=$conv8; //@line 569 "Utilities.cpp"
 var $23=$value_addr; //@line 570 "Utilities.cpp"
 var $shr13=$23>>8; //@line 570 "Utilities.cpp"
 $value_addr=$shr13; //@line 570 "Utilities.cpp"
 var $24=$value_addr; //@line 571 "Utilities.cpp"
 var $conv14=(($24)&255); //@line 571 "Utilities.cpp"
 var $25=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 571 "Utilities.cpp"
 var $26=$25; //@line 571 "Utilities.cpp"
 var $obj_ptr15=(($26+16777264)|0); //@line 571 "Utilities.cpp"
 var $27=((((HEAPU8[($obj_ptr15)])|(HEAPU8[((($obj_ptr15)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr15)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr15)+(3))|0)]<<24))|0)); //@line 571 "Utilities.cpp"
 var $inc16=((($27)+(1))|0); //@line 571 "Utilities.cpp"
 tempBigInt=$inc16;HEAP8[($obj_ptr15)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_ptr15)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_ptr15)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_ptr15)+(3))|0)]=tempBigInt&0xff; //@line 571 "Utilities.cpp"
 var $28=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 571 "Utilities.cpp"
 var $29=$28; //@line 571 "Utilities.cpp"
 var $obj17=(($29+48)|0); //@line 571 "Utilities.cpp"
 var $arrayidx18=(($obj17+$27)|0); //@line 571 "Utilities.cpp"
 HEAP8[($arrayidx18)]=$conv14; //@line 571 "Utilities.cpp"
 label=4;break; //@line 572 "Utilities.cpp"
 case 3: 
 var $30=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 575 "Utilities.cpp"
 var $31=$30; //@line 575 "Utilities.cpp"
 var $error=(($31)|0); //@line 575 "Utilities.cpp"
 HEAP8[($error)]=1; //@line 575 "Utilities.cpp"
 var $32=((((HEAPU8[(364)])|(HEAPU8[(365)]<<8)|(HEAPU8[(366)]<<16)|(HEAPU8[(367)]<<24))|0)); //@line 576 "Utilities.cpp"
 var $33=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 576 "Utilities.cpp"
 var $34=$33; //@line 576 "Utilities.cpp"
 var $error_msg=(($34+4)|0); //@line 576 "Utilities.cpp"
 tempBigInt=$32;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 576 "Utilities.cpp"
 $retval=0; //@line 577 "Utilities.cpp"
 label=5;break; //@line 577 "Utilities.cpp"
 case 4: 
 $retval=1; //@line 580 "Utilities.cpp"
 label=5;break; //@line 580 "Utilities.cpp"
 case 5: 
 var $35=$retval; //@line 581 "Utilities.cpp"
 STACKTOP=sp;return $35; //@line 581 "Utilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z17IncrementAsmLocalv(){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $pAsmLocal;
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 585 "Utilities.cpp"
 var $asm_local=(($0+16971112)|0); //@line 585 "Utilities.cpp"
 var $1=$asm_local; //@line 585 "Utilities.cpp"
 $pAsmLocal=$1; //@line 585 "Utilities.cpp"
 var $2=$pAsmLocal; //@line 586 "Utilities.cpp"
 var $3=HEAP8[($2)]; //@line 586 "Utilities.cpp"
 var $inc=((($3)+(1))&255); //@line 586 "Utilities.cpp"
 HEAP8[($2)]=$inc; //@line 586 "Utilities.cpp"
 var $4=$pAsmLocal; //@line 587 "Utilities.cpp"
 var $5=HEAP8[($4)]; //@line 587 "Utilities.cpp"
 var $conv=($5&255); //@line 587 "Utilities.cpp"
 var $and=$conv&31; //@line 587 "Utilities.cpp"
 var $conv1=(($and)&255); //@line 587 "Utilities.cpp"
 HEAP8[($4)]=$conv1; //@line 587 "Utilities.cpp"
 var $6=$pAsmLocal; //@line 588 "Utilities.cpp"
 var $7=HEAP8[($6)]; //@line 588 "Utilities.cpp"
 var $conv2=($7&255); //@line 588 "Utilities.cpp"
 var $cmp=($conv2|0)==0; //@line 588 "Utilities.cpp"
 if($cmp){label=2;break;}else{label=9;break;} //@line 588 "Utilities.cpp"
 case 2: 
 var $8=$pAsmLocal; //@line 590 "Utilities.cpp"
 var $add_ptr=(($8+1)|0); //@line 590 "Utilities.cpp"
 var $9=HEAP8[($add_ptr)]; //@line 590 "Utilities.cpp"
 var $inc3=((($9)+(1))&255); //@line 590 "Utilities.cpp"
 HEAP8[($add_ptr)]=$inc3; //@line 590 "Utilities.cpp"
 var $10=$pAsmLocal; //@line 591 "Utilities.cpp"
 var $add_ptr4=(($10+1)|0); //@line 591 "Utilities.cpp"
 var $11=HEAP8[($add_ptr4)]; //@line 591 "Utilities.cpp"
 var $conv5=($11&255); //@line 591 "Utilities.cpp"
 var $and6=$conv5&31; //@line 591 "Utilities.cpp"
 var $conv7=(($and6)&255); //@line 591 "Utilities.cpp"
 HEAP8[($add_ptr4)]=$conv7; //@line 591 "Utilities.cpp"
 var $12=$pAsmLocal; //@line 592 "Utilities.cpp"
 var $add_ptr8=(($12+1)|0); //@line 592 "Utilities.cpp"
 var $13=HEAP8[($add_ptr8)]; //@line 592 "Utilities.cpp"
 var $conv9=($13&255); //@line 592 "Utilities.cpp"
 var $cmp10=($conv9|0)==0; //@line 592 "Utilities.cpp"
 if($cmp10){label=3;break;}else{label=8;break;} //@line 592 "Utilities.cpp"
 case 3: 
 var $14=$pAsmLocal; //@line 594 "Utilities.cpp"
 var $add_ptr12=(($14+2)|0); //@line 594 "Utilities.cpp"
 var $15=HEAP8[($add_ptr12)]; //@line 594 "Utilities.cpp"
 var $inc13=((($15)+(1))&255); //@line 594 "Utilities.cpp"
 HEAP8[($add_ptr12)]=$inc13; //@line 594 "Utilities.cpp"
 var $16=$pAsmLocal; //@line 595 "Utilities.cpp"
 var $add_ptr14=(($16+2)|0); //@line 595 "Utilities.cpp"
 var $17=HEAP8[($add_ptr14)]; //@line 595 "Utilities.cpp"
 var $conv15=($17&255); //@line 595 "Utilities.cpp"
 var $and16=$conv15&31; //@line 595 "Utilities.cpp"
 var $conv17=(($and16)&255); //@line 595 "Utilities.cpp"
 HEAP8[($add_ptr14)]=$conv17; //@line 595 "Utilities.cpp"
 var $18=$pAsmLocal; //@line 596 "Utilities.cpp"
 var $add_ptr18=(($18+2)|0); //@line 596 "Utilities.cpp"
 var $19=HEAP8[($add_ptr18)]; //@line 596 "Utilities.cpp"
 var $conv19=($19&255); //@line 596 "Utilities.cpp"
 var $cmp20=($conv19|0)==0; //@line 596 "Utilities.cpp"
 if($cmp20){label=4;break;}else{label=7;break;} //@line 596 "Utilities.cpp"
 case 4: 
 var $20=$pAsmLocal; //@line 598 "Utilities.cpp"
 var $add_ptr22=(($20+3)|0); //@line 598 "Utilities.cpp"
 var $21=HEAP8[($add_ptr22)]; //@line 598 "Utilities.cpp"
 var $inc23=((($21)+(1))&255); //@line 598 "Utilities.cpp"
 HEAP8[($add_ptr22)]=$inc23; //@line 598 "Utilities.cpp"
 var $22=$pAsmLocal; //@line 599 "Utilities.cpp"
 var $add_ptr24=(($22+3)|0); //@line 599 "Utilities.cpp"
 var $23=HEAP8[($add_ptr24)]; //@line 599 "Utilities.cpp"
 var $conv25=($23&255); //@line 599 "Utilities.cpp"
 var $and26=$conv25&31; //@line 599 "Utilities.cpp"
 var $conv27=(($and26)&255); //@line 599 "Utilities.cpp"
 HEAP8[($add_ptr24)]=$conv27; //@line 599 "Utilities.cpp"
 var $24=$pAsmLocal; //@line 600 "Utilities.cpp"
 var $add_ptr28=(($24+3)|0); //@line 600 "Utilities.cpp"
 var $25=HEAP8[($add_ptr28)]; //@line 600 "Utilities.cpp"
 var $conv29=($25&255); //@line 600 "Utilities.cpp"
 var $cmp30=($conv29|0)==0; //@line 600 "Utilities.cpp"
 if($cmp30){label=5;break;}else{label=6;break;} //@line 600 "Utilities.cpp"
 case 5: 
 var $26=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 602 "Utilities.cpp"
 var $27=$26; //@line 602 "Utilities.cpp"
 var $error=(($27)|0); //@line 602 "Utilities.cpp"
 HEAP8[($error)]=1; //@line 602 "Utilities.cpp"
 var $28=((((HEAPU8[(320)])|(HEAPU8[(321)]<<8)|(HEAPU8[(322)]<<16)|(HEAPU8[(323)]<<24))|0)); //@line 603 "Utilities.cpp"
 var $29=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 603 "Utilities.cpp"
 var $30=$29; //@line 603 "Utilities.cpp"
 var $error_msg=(($30+4)|0); //@line 603 "Utilities.cpp"
 tempBigInt=$28;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 603 "Utilities.cpp"
 $retval=0; //@line 604 "Utilities.cpp"
 label=10;break; //@line 604 "Utilities.cpp"
 case 6: 
 label=7;break; //@line 606 "Utilities.cpp"
 case 7: 
 label=8;break; //@line 607 "Utilities.cpp"
 case 8: 
 label=9;break; //@line 608 "Utilities.cpp"
 case 9: 
 $retval=1; //@line 609 "Utilities.cpp"
 label=10;break; //@line 609 "Utilities.cpp"
 case 10: 
 var $31=$retval; //@line 610 "Utilities.cpp"
 STACKTOP=sp;return $31; //@line 610 "Utilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z11AddFileNameRiS_PcPiS1_i($fileCount,$fileIndex,$pFilenames,$pNameStart,$pNameFinish,$error){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+16)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $fileCount_addr;
 var $fileIndex_addr;
 var $pFilenames_addr;
 var $pNameStart_addr;
 var $pNameFinish_addr;
 var $error_addr;
 var $filenameStart=sp;
 var $filenameFinish=(sp)+(8);
 var $i;
 $fileCount_addr=$fileCount;
 $fileIndex_addr=$fileIndex;
 $pFilenames_addr=$pFilenames;
 $pNameStart_addr=$pNameStart;
 $pNameFinish_addr=$pNameFinish;
 $error_addr=$error;
 tempBigInt=0;HEAP8[($filenameStart)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($filenameStart)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($filenameStart)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($filenameStart)+(3))|0)]=tempBigInt&0xff; //@line 614 "Utilities.cpp"
 tempBigInt=0;HEAP8[($filenameFinish)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($filenameFinish)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($filenameFinish)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($filenameFinish)+(3))|0)]=tempBigInt&0xff; //@line 615 "Utilities.cpp"
 var $call=__Z11GetFilenameRiS_($filenameStart,$filenameFinish); //@line 616 "Utilities.cpp"
 if($call){label=2;break;}else{label=11;break;} //@line 616 "Utilities.cpp"
 case 2: 
 $i=0; //@line 618 "Utilities.cpp"
 label=3;break; //@line 618 "Utilities.cpp"
 case 3: 
 var $0=$i; //@line 618 "Utilities.cpp"
 var $1=$fileCount_addr; //@line 618 "Utilities.cpp"
 var $2=((((HEAPU8[($1)])|(HEAPU8[((($1)+(1))|0)]<<8)|(HEAPU8[((($1)+(2))|0)]<<16)|(HEAPU8[((($1)+(3))|0)]<<24))|0)); //@line 618 "Utilities.cpp"
 var $cmp=($0|0)<($2|0); //@line 618 "Utilities.cpp"
 if($cmp){label=4;break;}else{label=8;break;} //@line 618 "Utilities.cpp"
 case 4: 
 var $3=$i; //@line 620 "Utilities.cpp"
 var $mul=($3<<8); //@line 620 "Utilities.cpp"
 var $4=$pFilenames_addr; //@line 620 "Utilities.cpp"
 var $arrayidx=(($4+$mul)|0); //@line 620 "Utilities.cpp"
 var $5=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 620 "Utilities.cpp"
 var $filename=(($5+16979608)|0); //@line 620 "Utilities.cpp"
 var $arraydecay=(($filename)|0); //@line 620 "Utilities.cpp"
 var $call1=_strcmp($arrayidx,$arraydecay); //@line 620 "Utilities.cpp"
 var $cmp2=($call1|0)==0; //@line 620 "Utilities.cpp"
 if($cmp2){label=5;break;}else{label=6;break;} //@line 620 "Utilities.cpp"
 case 5: 
 var $6=$i; //@line 623 "Utilities.cpp"
 var $7=$fileIndex_addr; //@line 623 "Utilities.cpp"
 tempBigInt=$6;HEAP8[($7)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($7)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($7)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($7)+(3))|0)]=tempBigInt&0xff; //@line 623 "Utilities.cpp"
 $retval=1; //@line 624 "Utilities.cpp"
 label=12;break; //@line 624 "Utilities.cpp"
 case 6: 
 label=7;break; //@line 626 "Utilities.cpp"
 case 7: 
 var $8=$i; //@line 618 "Utilities.cpp"
 var $inc=((($8)+(1))|0); //@line 618 "Utilities.cpp"
 $i=$inc; //@line 618 "Utilities.cpp"
 label=3;break; //@line 618 "Utilities.cpp"
 case 8: 
 var $9=$fileCount_addr; //@line 629 "Utilities.cpp"
 var $10=((((HEAPU8[($9)])|(HEAPU8[((($9)+(1))|0)]<<8)|(HEAPU8[((($9)+(2))|0)]<<16)|(HEAPU8[((($9)+(3))|0)]<<24))|0)); //@line 629 "Utilities.cpp"
 var $cmp4=($10|0)<32; //@line 629 "Utilities.cpp"
 if($cmp4){label=9;break;}else{label=10;break;} //@line 629 "Utilities.cpp"
 case 9: 
 var $11=((((HEAPU8[($filenameStart)])|(HEAPU8[((($filenameStart)+(1))|0)]<<8)|(HEAPU8[((($filenameStart)+(2))|0)]<<16)|(HEAPU8[((($filenameStart)+(3))|0)]<<24))|0)); //@line 631 "Utilities.cpp"
 var $12=$fileCount_addr; //@line 631 "Utilities.cpp"
 var $13=((((HEAPU8[($12)])|(HEAPU8[((($12)+(1))|0)]<<8)|(HEAPU8[((($12)+(2))|0)]<<16)|(HEAPU8[((($12)+(3))|0)]<<24))|0)); //@line 631 "Utilities.cpp"
 var $14=$pNameStart_addr; //@line 631 "Utilities.cpp"
 var $arrayidx6=(($14+($13<<2))|0); //@line 631 "Utilities.cpp"
 tempBigInt=$11;HEAP8[($arrayidx6)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx6)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx6)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx6)+(3))|0)]=tempBigInt&0xff; //@line 631 "Utilities.cpp"
 var $15=((((HEAPU8[($filenameFinish)])|(HEAPU8[((($filenameFinish)+(1))|0)]<<8)|(HEAPU8[((($filenameFinish)+(2))|0)]<<16)|(HEAPU8[((($filenameFinish)+(3))|0)]<<24))|0)); //@line 632 "Utilities.cpp"
 var $16=$fileCount_addr; //@line 632 "Utilities.cpp"
 var $17=((((HEAPU8[($16)])|(HEAPU8[((($16)+(1))|0)]<<8)|(HEAPU8[((($16)+(2))|0)]<<16)|(HEAPU8[((($16)+(3))|0)]<<24))|0)); //@line 632 "Utilities.cpp"
 var $18=$pNameFinish_addr; //@line 632 "Utilities.cpp"
 var $arrayidx7=(($18+($17<<2))|0); //@line 632 "Utilities.cpp"
 tempBigInt=$15;HEAP8[($arrayidx7)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx7)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx7)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx7)+(3))|0)]=tempBigInt&0xff; //@line 632 "Utilities.cpp"
 var $19=$fileCount_addr; //@line 633 "Utilities.cpp"
 var $20=((((HEAPU8[($19)])|(HEAPU8[((($19)+(1))|0)]<<8)|(HEAPU8[((($19)+(2))|0)]<<16)|(HEAPU8[((($19)+(3))|0)]<<24))|0)); //@line 633 "Utilities.cpp"
 var $mul8=($20<<8); //@line 633 "Utilities.cpp"
 var $21=$pFilenames_addr; //@line 633 "Utilities.cpp"
 var $arrayidx9=(($21+$mul8)|0); //@line 633 "Utilities.cpp"
 var $22=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 633 "Utilities.cpp"
 var $filename10=(($22+16979608)|0); //@line 633 "Utilities.cpp"
 var $arraydecay11=(($filename10)|0); //@line 633 "Utilities.cpp"
 var $call12=_strcpy($arrayidx9,$arraydecay11); //@line 633 "Utilities.cpp"
 var $23=$fileCount_addr; //@line 634 "Utilities.cpp"
 var $24=((((HEAPU8[($23)])|(HEAPU8[((($23)+(1))|0)]<<8)|(HEAPU8[((($23)+(2))|0)]<<16)|(HEAPU8[((($23)+(3))|0)]<<24))|0)); //@line 634 "Utilities.cpp"
 var $25=$fileIndex_addr; //@line 634 "Utilities.cpp"
 tempBigInt=$24;HEAP8[($25)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($25)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($25)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($25)+(3))|0)]=tempBigInt&0xff; //@line 634 "Utilities.cpp"
 var $26=$fileCount_addr; //@line 635 "Utilities.cpp"
 var $27=((((HEAPU8[($26)])|(HEAPU8[((($26)+(1))|0)]<<8)|(HEAPU8[((($26)+(2))|0)]<<16)|(HEAPU8[((($26)+(3))|0)]<<24))|0)); //@line 635 "Utilities.cpp"
 var $inc13=((($27)+(1))|0); //@line 635 "Utilities.cpp"
 tempBigInt=$inc13;HEAP8[($26)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($26)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($26)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($26)+(3))|0)]=tempBigInt&0xff; //@line 635 "Utilities.cpp"
 $retval=1; //@line 636 "Utilities.cpp"
 label=12;break; //@line 636 "Utilities.cpp"
 case 10: 
 var $28=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 639 "Utilities.cpp"
 var $29=$28; //@line 639 "Utilities.cpp"
 var $error15=(($29)|0); //@line 639 "Utilities.cpp"
 HEAP8[($error15)]=1; //@line 639 "Utilities.cpp"
 var $30=$error_addr; //@line 640 "Utilities.cpp"
 var $arrayidx16=((8+($30<<2))|0); //@line 640 "Utilities.cpp"
 var $31=((((HEAPU8[($arrayidx16)])|(HEAPU8[((($arrayidx16)+(1))|0)]<<8)|(HEAPU8[((($arrayidx16)+(2))|0)]<<16)|(HEAPU8[((($arrayidx16)+(3))|0)]<<24))|0)); //@line 640 "Utilities.cpp"
 var $32=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 640 "Utilities.cpp"
 var $33=$32; //@line 640 "Utilities.cpp"
 var $error_msg=(($33+4)|0); //@line 640 "Utilities.cpp"
 tempBigInt=$31;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 640 "Utilities.cpp"
 label=11;break; //@line 641 "Utilities.cpp"
 case 11: 
 $retval=0; //@line 642 "Utilities.cpp"
 label=12;break; //@line 642 "Utilities.cpp"
 case 12: 
 var $34=$retval; //@line 643 "Utilities.cpp"
 STACKTOP=sp;return $34; //@line 643 "Utilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z17AddPubConListBytec($value){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $value_addr;
 $value_addr=$value;
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 647 "Utilities.cpp"
 var $pubcon_list_size=(($0+16979308)|0); //@line 647 "Utilities.cpp"
 var $1=((((HEAPU8[($pubcon_list_size)])|(HEAPU8[((($pubcon_list_size)+(1))|0)]<<8)|(HEAPU8[((($pubcon_list_size)+(2))|0)]<<16)|(HEAPU8[((($pubcon_list_size)+(3))|0)]<<24))|0)); //@line 647 "Utilities.cpp"
 var $cmp=($1|0)<8192; //@line 647 "Utilities.cpp"
 if($cmp){label=2;break;}else{label=3;break;} //@line 647 "Utilities.cpp"
 case 2: 
 var $2=$value_addr; //@line 649 "Utilities.cpp"
 var $3=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 649 "Utilities.cpp"
 var $pubcon_list_size1=(($3+16979308)|0); //@line 649 "Utilities.cpp"
 var $4=((((HEAPU8[($pubcon_list_size1)])|(HEAPU8[((($pubcon_list_size1)+(1))|0)]<<8)|(HEAPU8[((($pubcon_list_size1)+(2))|0)]<<16)|(HEAPU8[((($pubcon_list_size1)+(3))|0)]<<24))|0)); //@line 649 "Utilities.cpp"
 var $5=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 649 "Utilities.cpp"
 var $pubcon_list=(($5+16971116)|0); //@line 649 "Utilities.cpp"
 var $arrayidx=(($pubcon_list+$4)|0); //@line 649 "Utilities.cpp"
 HEAP8[($arrayidx)]=$2; //@line 649 "Utilities.cpp"
 var $6=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 650 "Utilities.cpp"
 var $pubcon_list_size2=(($6+16979308)|0); //@line 650 "Utilities.cpp"
 var $7=((((HEAPU8[($pubcon_list_size2)])|(HEAPU8[((($pubcon_list_size2)+(1))|0)]<<8)|(HEAPU8[((($pubcon_list_size2)+(2))|0)]<<16)|(HEAPU8[((($pubcon_list_size2)+(3))|0)]<<24))|0)); //@line 650 "Utilities.cpp"
 var $inc=((($7)+(1))|0); //@line 650 "Utilities.cpp"
 tempBigInt=$inc;HEAP8[($pubcon_list_size2)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($pubcon_list_size2)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($pubcon_list_size2)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($pubcon_list_size2)+(3))|0)]=tempBigInt&0xff; //@line 650 "Utilities.cpp"
 label=4;break; //@line 651 "Utilities.cpp"
 case 3: 
 var $8=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 654 "Utilities.cpp"
 var $9=$8; //@line 654 "Utilities.cpp"
 var $error=(($9)|0); //@line 654 "Utilities.cpp"
 HEAP8[($error)]=1; //@line 654 "Utilities.cpp"
 var $10=((((HEAPU8[(380)])|(HEAPU8[(381)]<<8)|(HEAPU8[(382)]<<16)|(HEAPU8[(383)]<<24))|0)); //@line 655 "Utilities.cpp"
 var $11=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 655 "Utilities.cpp"
 var $12=$11; //@line 655 "Utilities.cpp"
 var $error_msg=(($12+4)|0); //@line 655 "Utilities.cpp"
 tempBigInt=$10;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 655 "Utilities.cpp"
 $retval=0; //@line 656 "Utilities.cpp"
 label=5;break; //@line 656 "Utilities.cpp"
 case 4: 
 $retval=1; //@line 659 "Utilities.cpp"
 label=5;break; //@line 659 "Utilities.cpp"
 case 5: 
 var $13=$retval; //@line 660 "Utilities.cpp"
 STACKTOP=sp;return $13; //@line 660 "Utilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z21AddSymbolToPubConListv(){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $i;
 $i=0; //@line 664 "Utilities.cpp"
 label=2;break; //@line 664 "Utilities.cpp"
 case 2: 
 var $0=$i; //@line 664 "Utilities.cpp"
 var $1=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 664 "Utilities.cpp"
 var $symbolBackup=(($1+16979312)|0); //@line 664 "Utilities.cpp"
 var $arraydecay=(($symbolBackup)|0); //@line 664 "Utilities.cpp"
 var $call=_strlen($arraydecay); //@line 664 "Utilities.cpp"
 var $cmp=($0>>>0)<($call>>>0); //@line 664 "Utilities.cpp"
 if($cmp){label=3;break;}else{label=7;break;} //@line 664 "Utilities.cpp"
 case 3: 
 var $2=$i; //@line 666 "Utilities.cpp"
 var $3=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 666 "Utilities.cpp"
 var $symbolBackup1=(($3+16979312)|0); //@line 666 "Utilities.cpp"
 var $arrayidx=(($symbolBackup1+$2)|0); //@line 666 "Utilities.cpp"
 var $4=HEAP8[($arrayidx)]; //@line 666 "Utilities.cpp"
 var $call2=__Z17AddPubConListBytec($4); //@line 666 "Utilities.cpp"
 if($call2){label=5;break;}else{label=4;break;} //@line 666 "Utilities.cpp"
 case 4: 
 $retval=0; //@line 668 "Utilities.cpp"
 label=8;break; //@line 668 "Utilities.cpp"
 case 5: 
 label=6;break; //@line 670 "Utilities.cpp"
 case 6: 
 var $5=$i; //@line 664 "Utilities.cpp"
 var $inc=((($5)+(1))|0); //@line 664 "Utilities.cpp"
 $i=$inc; //@line 664 "Utilities.cpp"
 label=2;break; //@line 664 "Utilities.cpp"
 case 7: 
 $retval=1; //@line 671 "Utilities.cpp"
 label=8;break; //@line 671 "Utilities.cpp"
 case 8: 
 var $6=$retval; //@line 672 "Utilities.cpp"
 STACKTOP=sp;return $6; //@line 672 "Utilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z9ConAssignbi($bFloat,$value){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $bFloat_addr;
 var $value_addr;
 var $type;
 var $temp;
 var $i;
 var $frombool=($bFloat&1);
 $bFloat_addr=$frombool;
 $value_addr=$value;
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 676 "Utilities.cpp"
 var $assign_flag=(($0+16979872)|0); //@line 676 "Utilities.cpp"
 var $1=((((HEAPU8[($assign_flag)])|(HEAPU8[((($assign_flag)+(1))|0)]<<8)|(HEAPU8[((($assign_flag)+(2))|0)]<<16)|(HEAPU8[((($assign_flag)+(3))|0)]<<24))|0)); //@line 676 "Utilities.cpp"
 var $cmp=($1|0)==0; //@line 676 "Utilities.cpp"
 if($cmp){label=2;break;}else{label=6;break;} //@line 676 "Utilities.cpp"
 case 2: 
 var $2=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 679 "Utilities.cpp"
 var $inf_start=(($2+16979580)|0); //@line 679 "Utilities.cpp"
 var $3=((((HEAPU8[($inf_start)])|(HEAPU8[((($inf_start)+(1))|0)]<<8)|(HEAPU8[((($inf_start)+(2))|0)]<<16)|(HEAPU8[((($inf_start)+(3))|0)]<<24))|0)); //@line 679 "Utilities.cpp"
 var $4=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 679 "Utilities.cpp"
 var $5=$4; //@line 679 "Utilities.cpp"
 var $source_start=(($5+16)|0); //@line 679 "Utilities.cpp"
 tempBigInt=$3;HEAP8[($source_start)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_start)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_start)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_start)+(3))|0)]=tempBigInt&0xff; //@line 679 "Utilities.cpp"
 var $6=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 680 "Utilities.cpp"
 var $inf_finish=(($6+16979584)|0); //@line 680 "Utilities.cpp"
 var $7=((((HEAPU8[($inf_finish)])|(HEAPU8[((($inf_finish)+(1))|0)]<<8)|(HEAPU8[((($inf_finish)+(2))|0)]<<16)|(HEAPU8[((($inf_finish)+(3))|0)]<<24))|0)); //@line 680 "Utilities.cpp"
 var $8=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 680 "Utilities.cpp"
 var $9=$8; //@line 680 "Utilities.cpp"
 var $source_finish=(($9+20)|0); //@line 680 "Utilities.cpp"
 tempBigInt=$7;HEAP8[($source_finish)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_finish)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_finish)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($source_finish)+(3))|0)]=tempBigInt&0xff; //@line 680 "Utilities.cpp"
 var $10=$bFloat_addr; //@line 682 "Utilities.cpp"
 var $tobool=(($10)&1); //@line 682 "Utilities.cpp"
 var $cond=($tobool?68:67); //@line 682 "Utilities.cpp"
 $type=$cond; //@line 682 "Utilities.cpp"
 var $11=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 683 "Utilities.cpp"
 var $assign_type=(($11+16979876)|0); //@line 683 "Utilities.cpp"
 var $12=((((HEAPU8[($assign_type)])|(HEAPU8[((($assign_type)+(1))|0)]<<8)|(HEAPU8[((($assign_type)+(2))|0)]<<16)|(HEAPU8[((($assign_type)+(3))|0)]<<24))|0)); //@line 683 "Utilities.cpp"
 var $13=$type; //@line 683 "Utilities.cpp"
 var $cmp1=($12|0)!=($13|0); //@line 683 "Utilities.cpp"
 if($cmp1){label=4;break;}else{label=3;break;} //@line 683 "Utilities.cpp"
 case 3: 
 var $14=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 683 "Utilities.cpp"
 var $assign_value=(($14+16979880)|0); //@line 683 "Utilities.cpp"
 var $15=((((HEAPU8[($assign_value)])|(HEAPU8[((($assign_value)+(1))|0)]<<8)|(HEAPU8[((($assign_value)+(2))|0)]<<16)|(HEAPU8[((($assign_value)+(3))|0)]<<24))|0)); //@line 683 "Utilities.cpp"
 var $16=$value_addr; //@line 683 "Utilities.cpp"
 var $cmp2=($15|0)!=($16|0); //@line 683 "Utilities.cpp"
 if($cmp2){label=4;break;}else{label=5;break;} //@line 683 "Utilities.cpp"
 case 4: 
 var $17=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 685 "Utilities.cpp"
 var $18=$17; //@line 685 "Utilities.cpp"
 var $error=(($18)|0); //@line 685 "Utilities.cpp"
 HEAP8[($error)]=1; //@line 685 "Utilities.cpp"
 var $19=((((HEAPU8[(420)])|(HEAPU8[(421)]<<8)|(HEAPU8[(422)]<<16)|(HEAPU8[(423)]<<24))|0)); //@line 686 "Utilities.cpp"
 var $20=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 686 "Utilities.cpp"
 var $21=$20; //@line 686 "Utilities.cpp"
 var $error_msg=(($21+4)|0); //@line 686 "Utilities.cpp"
 tempBigInt=$19;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 686 "Utilities.cpp"
 $retval=0; //@line 687 "Utilities.cpp"
 label=18;break; //@line 687 "Utilities.cpp"
 case 5: 
 label=17;break; //@line 689 "Utilities.cpp"
 case 6: 
 var $22=$bFloat_addr; //@line 692 "Utilities.cpp"
 var $tobool4=(($22)&1); //@line 692 "Utilities.cpp"
 var $cond5=($tobool4?1:0); //@line 692 "Utilities.cpp"
 var $add=(($cond5)|0); //@line 692 "Utilities.cpp"
 var $23=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 692 "Utilities.cpp"
 var $inf_type=(($23+16979588)|0); //@line 692 "Utilities.cpp"
 tempBigInt=$add;HEAP8[($inf_type)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_type)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_type)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_type)+(3))|0)]=tempBigInt&0xff; //@line 692 "Utilities.cpp"
 var $24=$value_addr; //@line 693 "Utilities.cpp"
 var $25=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 693 "Utilities.cpp"
 var $inf_data0=(($25+16979592)|0); //@line 693 "Utilities.cpp"
 tempBigInt=$24;HEAP8[($inf_data0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_data0)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_data0)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_data0)+(3))|0)]=tempBigInt&0xff; //@line 693 "Utilities.cpp"
 __Z9EnterInfov(); //@line 694 "Utilities.cpp"
 var $call=__Z21AddSymbolToPubConListv(); //@line 696 "Utilities.cpp"
 if($call){label=8;break;}else{label=7;break;} //@line 696 "Utilities.cpp"
 case 7: 
 $retval=0; //@line 698 "Utilities.cpp"
 label=18;break; //@line 698 "Utilities.cpp"
 case 8: 
 var $26=$bFloat_addr; //@line 700 "Utilities.cpp"
 var $tobool8=(($26)&1); //@line 700 "Utilities.cpp"
 var $cond9=($tobool8?17:16); //@line 700 "Utilities.cpp"
 var $conv=(($cond9)&255); //@line 700 "Utilities.cpp"
 var $call10=__Z17AddPubConListBytec($conv); //@line 700 "Utilities.cpp"
 if($call10){label=10;break;}else{label=9;break;} //@line 700 "Utilities.cpp"
 case 9: 
 $retval=0; //@line 702 "Utilities.cpp"
 label=18;break; //@line 702 "Utilities.cpp"
 case 10: 
 var $27=$value_addr; //@line 704 "Utilities.cpp"
 $temp=$27; //@line 704 "Utilities.cpp"
 $i=0; //@line 705 "Utilities.cpp"
 label=11;break; //@line 705 "Utilities.cpp"
 case 11: 
 var $28=$i; //@line 705 "Utilities.cpp"
 var $cmp13=($28|0)<4; //@line 705 "Utilities.cpp"
 if($cmp13){label=12;break;}else{label=16;break;} //@line 705 "Utilities.cpp"
 case 12: 
 var $29=$temp; //@line 707 "Utilities.cpp"
 var $and=$29&255; //@line 707 "Utilities.cpp"
 var $conv14=(($and)&255); //@line 707 "Utilities.cpp"
 var $call15=__Z17AddPubConListBytec($conv14); //@line 707 "Utilities.cpp"
 if($call15){label=14;break;}else{label=13;break;} //@line 707 "Utilities.cpp"
 case 13: 
 $retval=0; //@line 709 "Utilities.cpp"
 label=18;break; //@line 709 "Utilities.cpp"
 case 14: 
 var $30=$temp; //@line 711 "Utilities.cpp"
 var $shr=$30>>8; //@line 711 "Utilities.cpp"
 $temp=$shr; //@line 711 "Utilities.cpp"
 label=15;break; //@line 712 "Utilities.cpp"
 case 15: 
 var $31=$i; //@line 705 "Utilities.cpp"
 var $inc=((($31)+(1))|0); //@line 705 "Utilities.cpp"
 $i=$inc; //@line 705 "Utilities.cpp"
 label=11;break; //@line 705 "Utilities.cpp"
 case 16: 
 var $32=((((HEAPU8[(19704)])|(HEAPU8[(19705)]<<8)|(HEAPU8[(19706)]<<16)|(HEAPU8[(19707)]<<24))|0)); //@line 714 "Utilities.cpp"
 var $33=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 714 "Utilities.cpp"
 var $symbolBackup=(($33+16979312)|0); //@line 714 "Utilities.cpp"
 var $arraydecay=(($symbolBackup)|0); //@line 714 "Utilities.cpp"
 var $34=$bFloat_addr; //@line 714 "Utilities.cpp"
 var $tobool18=(($34)&1); //@line 714 "Utilities.cpp"
 var $cond19=($tobool18?68:67); //@line 714 "Utilities.cpp"
 var $35=$value_addr; //@line 714 "Utilities.cpp"
 __ZN12SymbolEngine9AddSymbolEPKc10symbolTypeiib($32,$arraydecay,$cond19,$35,0,0); //@line 714 "Utilities.cpp"
 label=17;break;
 case 17: 
 $retval=1; //@line 721 "Utilities.cpp"
 label=18;break; //@line 721 "Utilities.cpp"
 case 18: 
 var $36=$retval; //@line 722 "Utilities.cpp"
 STACKTOP=sp;return $36; //@line 722 "Utilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z15HandleConSymboli($pass){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+8)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $pass_addr;
 var $bFloat;
 var $bEof=sp;
 var $temp;
 var $temp53;
 $pass_addr=$pass;
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 727 "Utilities.cpp"
 var $1=$0; //@line 727 "Utilities.cpp"
 var $source_start=(($1+16)|0); //@line 727 "Utilities.cpp"
 var $2=((((HEAPU8[($source_start)])|(HEAPU8[((($source_start)+(1))|0)]<<8)|(HEAPU8[((($source_start)+(2))|0)]<<16)|(HEAPU8[((($source_start)+(3))|0)]<<24))|0)); //@line 727 "Utilities.cpp"
 var $3=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 727 "Utilities.cpp"
 var $inf_start=(($3+16979580)|0); //@line 727 "Utilities.cpp"
 tempBigInt=$2;HEAP8[($inf_start)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_start)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_start)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_start)+(3))|0)]=tempBigInt&0xff; //@line 727 "Utilities.cpp"
 var $4=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 728 "Utilities.cpp"
 var $5=$4; //@line 728 "Utilities.cpp"
 var $source_finish=(($5+20)|0); //@line 728 "Utilities.cpp"
 var $6=((((HEAPU8[($source_finish)])|(HEAPU8[((($source_finish)+(1))|0)]<<8)|(HEAPU8[((($source_finish)+(2))|0)]<<16)|(HEAPU8[((($source_finish)+(3))|0)]<<24))|0)); //@line 728 "Utilities.cpp"
 var $7=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 728 "Utilities.cpp"
 var $inf_finish=(($7+16979584)|0); //@line 728 "Utilities.cpp"
 tempBigInt=$6;HEAP8[($inf_finish)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_finish)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_finish)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($inf_finish)+(3))|0)]=tempBigInt&0xff; //@line 728 "Utilities.cpp"
 var $8=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 731 "Utilities.cpp"
 __ZN11Elementizer12BackupSymbolEv($8); //@line 731 "Utilities.cpp"
 $bFloat=0; //@line 733 "Utilities.cpp"
 HEAP8[($bEof)]=0; //@line 735 "Utilities.cpp"
 var $9=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 736 "Utilities.cpp"
 var $call=__ZN11Elementizer7GetNextERb($9,$bEof); //@line 736 "Utilities.cpp"
 var $10=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 737 "Utilities.cpp"
 var $call1=__ZN11Elementizer7GetTypeEv($10); //@line 737 "Utilities.cpp"
 var $cmp=($call1|0)==6; //@line 737 "Utilities.cpp"
 if($cmp){label=2;break;}else{label=11;break;} //@line 737 "Utilities.cpp"
 case 2: 
 var $11=$pass_addr; //@line 740 "Utilities.cpp"
 var $cmp2=($11|0)==1; //@line 740 "Utilities.cpp"
 var $cond=($cmp2?1:0); //@line 740 "Utilities.cpp"
 var $call3=__Z11GetTryValuebbb($cond,0,0); //@line 740 "Utilities.cpp"
 if($call3){label=4;break;}else{label=3;break;} //@line 740 "Utilities.cpp"
 case 3: 
 $retval=0; //@line 742 "Utilities.cpp"
 label=35;break; //@line 742 "Utilities.cpp"
 case 4: 
 var $12=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 744 "Utilities.cpp"
 var $intMode=(($12+16979888)|0); //@line 744 "Utilities.cpp"
 var $13=((((HEAPU8[($intMode)])|(HEAPU8[((($intMode)+(1))|0)]<<8)|(HEAPU8[((($intMode)+(2))|0)]<<16)|(HEAPU8[((($intMode)+(3))|0)]<<24))|0)); //@line 744 "Utilities.cpp"
 var $cmp5=($13|0)==2; //@line 744 "Utilities.cpp"
 if($cmp5){label=5;break;}else{label=6;break;} //@line 744 "Utilities.cpp"
 case 5: 
 $bFloat=1; //@line 746 "Utilities.cpp"
 label=6;break; //@line 747 "Utilities.cpp"
 case 6: 
 var $14=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 748 "Utilities.cpp"
 var $bUndefined=(($14+16979897)|0); //@line 748 "Utilities.cpp"
 var $15=HEAP8[($bUndefined)]; //@line 748 "Utilities.cpp"
 var $tobool=(($15)&1); //@line 748 "Utilities.cpp"
 var $conv=($tobool&1); //@line 748 "Utilities.cpp"
 var $cmp8=($conv|0)==0; //@line 748 "Utilities.cpp"
 if($cmp8){label=7;break;}else{label=10;break;} //@line 748 "Utilities.cpp"
 case 7: 
 var $16=$bFloat; //@line 750 "Utilities.cpp"
 var $tobool10=(($16)&1); //@line 750 "Utilities.cpp"
 var $call11=__Z9GetResultv(); //@line 750 "Utilities.cpp"
 var $call12=__Z9ConAssignbi($tobool10,$call11); //@line 750 "Utilities.cpp"
 if($call12){label=9;break;}else{label=8;break;} //@line 750 "Utilities.cpp"
 case 8: 
 $retval=0; //@line 752 "Utilities.cpp"
 label=35;break; //@line 752 "Utilities.cpp"
 case 9: 
 label=10;break; //@line 754 "Utilities.cpp"
 case 10: 
 label=34;break; //@line 755 "Utilities.cpp"
 case 11: 
 var $17=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 756 "Utilities.cpp"
 var $call16=__ZN11Elementizer7GetTypeEv($17); //@line 756 "Utilities.cpp"
 var $cmp17=($call16|0)==3; //@line 756 "Utilities.cpp"
 if($cmp17){label=12;break;}else{label=24;break;} //@line 756 "Utilities.cpp"
 case 12: 
 var $18=$pass_addr; //@line 759 "Utilities.cpp"
 var $cmp19=($18|0)==1; //@line 759 "Utilities.cpp"
 var $cond20=($cmp19?1:0); //@line 759 "Utilities.cpp"
 var $call21=__Z11GetTryValuebbb($cond20,1,0); //@line 759 "Utilities.cpp"
 if($call21){label=14;break;}else{label=13;break;} //@line 759 "Utilities.cpp"
 case 13: 
 $retval=0; //@line 761 "Utilities.cpp"
 label=35;break; //@line 761 "Utilities.cpp"
 case 14: 
 var $19=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 763 "Utilities.cpp"
 var $call24=__ZN11Elementizer10GetElementEi($19,4); //@line 763 "Utilities.cpp"
 if($call24){label=16;break;}else{label=15;break;} //@line 763 "Utilities.cpp"
 case 15: 
 $retval=0; //@line 765 "Utilities.cpp"
 label=35;break; //@line 765 "Utilities.cpp"
 case 16: 
 var $20=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 767 "Utilities.cpp"
 var $bUndefined27=(($20+16979897)|0); //@line 767 "Utilities.cpp"
 var $21=HEAP8[($bUndefined27)]; //@line 767 "Utilities.cpp"
 var $tobool28=(($21)&1); //@line 767 "Utilities.cpp"
 var $conv29=($tobool28&1); //@line 767 "Utilities.cpp"
 var $cmp30=($conv29|0)==0; //@line 767 "Utilities.cpp"
 if($cmp30){label=17;break;}else{label=22;break;} //@line 767 "Utilities.cpp"
 case 17: 
 var $22=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 769 "Utilities.cpp"
 var $enum_valid=(($22+16979864)|0); //@line 769 "Utilities.cpp"
 var $23=((((HEAPU8[($enum_valid)])|(HEAPU8[((($enum_valid)+(1))|0)]<<8)|(HEAPU8[((($enum_valid)+(2))|0)]<<16)|(HEAPU8[((($enum_valid)+(3))|0)]<<24))|0)); //@line 769 "Utilities.cpp"
 var $cmp32=($23|0)==1; //@line 769 "Utilities.cpp"
 if($cmp32){label=18;break;}else{label=21;break;} //@line 769 "Utilities.cpp"
 case 18: 
 var $24=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 771 "Utilities.cpp"
 var $enum_value=(($24+16979868)|0); //@line 771 "Utilities.cpp"
 var $25=((((HEAPU8[($enum_value)])|(HEAPU8[((($enum_value)+(1))|0)]<<8)|(HEAPU8[((($enum_value)+(2))|0)]<<16)|(HEAPU8[((($enum_value)+(3))|0)]<<24))|0)); //@line 771 "Utilities.cpp"
 $temp=$25; //@line 771 "Utilities.cpp"
 var $call34=__Z9GetResultv(); //@line 772 "Utilities.cpp"
 var $26=$temp; //@line 772 "Utilities.cpp"
 var $add=((($call34)+($26))|0); //@line 772 "Utilities.cpp"
 var $27=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 772 "Utilities.cpp"
 var $enum_value35=(($27+16979868)|0); //@line 772 "Utilities.cpp"
 tempBigInt=$add;HEAP8[($enum_value35)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($enum_value35)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($enum_value35)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($enum_value35)+(3))|0)]=tempBigInt&0xff; //@line 772 "Utilities.cpp"
 var $28=$bFloat; //@line 774 "Utilities.cpp"
 var $tobool36=(($28)&1); //@line 774 "Utilities.cpp"
 var $29=$temp; //@line 774 "Utilities.cpp"
 var $call37=__Z9ConAssignbi($tobool36,$29); //@line 774 "Utilities.cpp"
 if($call37){label=20;break;}else{label=19;break;} //@line 774 "Utilities.cpp"
 case 19: 
 $retval=0; //@line 776 "Utilities.cpp"
 label=35;break; //@line 776 "Utilities.cpp"
 case 20: 
 label=21;break; //@line 778 "Utilities.cpp"
 case 21: 
 label=23;break; //@line 779 "Utilities.cpp"
 case 22: 
 var $30=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 782 "Utilities.cpp"
 var $enum_valid42=(($30+16979864)|0); //@line 782 "Utilities.cpp"
 tempBigInt=0;HEAP8[($enum_valid42)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($enum_valid42)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($enum_valid42)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($enum_valid42)+(3))|0)]=tempBigInt&0xff; //@line 782 "Utilities.cpp"
 label=23;break;
 case 23: 
 label=33;break; //@line 784 "Utilities.cpp"
 case 24: 
 var $31=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 785 "Utilities.cpp"
 var $call45=__ZN11Elementizer7GetTypeEv($31); //@line 785 "Utilities.cpp"
 var $cmp46=($call45|0)==5; //@line 785 "Utilities.cpp"
 if($cmp46){label=26;break;}else{label=25;break;} //@line 785 "Utilities.cpp"
 case 25: 
 var $32=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 786 "Utilities.cpp"
 var $call47=__ZN11Elementizer7GetTypeEv($32); //@line 786 "Utilities.cpp"
 var $cmp48=($call47|0)==84; //@line 786 "Utilities.cpp"
 if($cmp48){label=26;break;}else{label=31;break;} //@line 786 "Utilities.cpp"
 case 26: 
 var $33=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 789 "Utilities.cpp"
 __ZN11Elementizer6BackupEv($33); //@line 789 "Utilities.cpp"
 var $34=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 790 "Utilities.cpp"
 var $enum_valid50=(($34+16979864)|0); //@line 790 "Utilities.cpp"
 var $35=((((HEAPU8[($enum_valid50)])|(HEAPU8[((($enum_valid50)+(1))|0)]<<8)|(HEAPU8[((($enum_valid50)+(2))|0)]<<16)|(HEAPU8[((($enum_valid50)+(3))|0)]<<24))|0)); //@line 790 "Utilities.cpp"
 var $cmp51=($35|0)==1; //@line 790 "Utilities.cpp"
 if($cmp51){label=27;break;}else{label=30;break;} //@line 790 "Utilities.cpp"
 case 27: 
 var $36=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 792 "Utilities.cpp"
 var $enum_value54=(($36+16979868)|0); //@line 792 "Utilities.cpp"
 var $37=((((HEAPU8[($enum_value54)])|(HEAPU8[((($enum_value54)+(1))|0)]<<8)|(HEAPU8[((($enum_value54)+(2))|0)]<<16)|(HEAPU8[((($enum_value54)+(3))|0)]<<24))|0)); //@line 792 "Utilities.cpp"
 $temp53=$37; //@line 792 "Utilities.cpp"
 var $38=$temp53; //@line 793 "Utilities.cpp"
 var $add55=((($38)+(1))|0); //@line 793 "Utilities.cpp"
 var $39=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 793 "Utilities.cpp"
 var $enum_value56=(($39+16979868)|0); //@line 793 "Utilities.cpp"
 tempBigInt=$add55;HEAP8[($enum_value56)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($enum_value56)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($enum_value56)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($enum_value56)+(3))|0)]=tempBigInt&0xff; //@line 793 "Utilities.cpp"
 var $40=$bFloat; //@line 795 "Utilities.cpp"
 var $tobool57=(($40)&1); //@line 795 "Utilities.cpp"
 var $41=$temp53; //@line 795 "Utilities.cpp"
 var $call58=__Z9ConAssignbi($tobool57,$41); //@line 795 "Utilities.cpp"
 if($call58){label=29;break;}else{label=28;break;} //@line 795 "Utilities.cpp"
 case 28: 
 $retval=0; //@line 797 "Utilities.cpp"
 label=35;break; //@line 797 "Utilities.cpp"
 case 29: 
 label=30;break; //@line 799 "Utilities.cpp"
 case 30: 
 label=32;break; //@line 800 "Utilities.cpp"
 case 31: 
 var $42=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 803 "Utilities.cpp"
 var $43=$42; //@line 803 "Utilities.cpp"
 var $error=(($43)|0); //@line 803 "Utilities.cpp"
 HEAP8[($error)]=1; //@line 803 "Utilities.cpp"
 var $44=((((HEAPU8[(180)])|(HEAPU8[(181)]<<8)|(HEAPU8[(182)]<<16)|(HEAPU8[(183)]<<24))|0)); //@line 804 "Utilities.cpp"
 var $45=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 804 "Utilities.cpp"
 var $46=$45; //@line 804 "Utilities.cpp"
 var $error_msg=(($46+4)|0); //@line 804 "Utilities.cpp"
 tempBigInt=$44;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 804 "Utilities.cpp"
 $retval=0; //@line 805 "Utilities.cpp"
 label=35;break; //@line 805 "Utilities.cpp"
 case 32: 
 label=33;break;
 case 33: 
 label=34;break;
 case 34: 
 $retval=1; //@line 808 "Utilities.cpp"
 label=35;break; //@line 808 "Utilities.cpp"
 case 35: 
 var $47=$retval; //@line 809 "Utilities.cpp"
 STACKTOP=sp;return $47; //@line 809 "Utilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z3rolji($value,$places){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $value_addr;
 var $places_addr;
 $value_addr=$value;
 $places_addr=$places;
 var $0=$value_addr; //@line 814 "Utilities.cpp"
 var $1=$places_addr; //@line 814 "Utilities.cpp"
 var $shl=$0<<$1; //@line 814 "Utilities.cpp"
 var $2=$value_addr; //@line 814 "Utilities.cpp"
 var $3=$places_addr; //@line 814 "Utilities.cpp"
 var $sub=(((32)-($3))|0); //@line 814 "Utilities.cpp"
 var $shr=$2>>>($sub>>>0); //@line 814 "Utilities.cpp"
 var $or=$shl|$shr; //@line 814 "Utilities.cpp"
 STACKTOP=sp;return $or; //@line 814 "Utilities.cpp"
}


function __Z3rorji($value,$places){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $value_addr;
 var $places_addr;
 $value_addr=$value;
 $places_addr=$places;
 var $0=$value_addr; //@line 819 "Utilities.cpp"
 var $1=$places_addr; //@line 819 "Utilities.cpp"
 var $shr=$0>>>($1>>>0); //@line 819 "Utilities.cpp"
 var $2=$value_addr; //@line 819 "Utilities.cpp"
 var $3=$places_addr; //@line 819 "Utilities.cpp"
 var $sub=(((32)-($3))|0); //@line 819 "Utilities.cpp"
 var $shl=$2<<$sub; //@line 819 "Utilities.cpp"
 var $or=$shr|$shl; //@line 819 "Utilities.cpp"
 STACKTOP=sp;return $or; //@line 819 "Utilities.cpp"
}


function __Z13BlockNest_Newhi($type,$stackSize){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $type_addr;
 var $stackSize_addr;
 var $i;
 $type_addr=$type;
 $stackSize_addr=$stackSize;
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 30 "BlockNestStackRoutines.cpp"
 var $bnest_ptr=(($0+17048732)|0); //@line 30 "BlockNestStackRoutines.cpp"
 var $1=((((HEAPU8[($bnest_ptr)])|(HEAPU8[((($bnest_ptr)+(1))|0)]<<8)|(HEAPU8[((($bnest_ptr)+(2))|0)]<<16)|(HEAPU8[((($bnest_ptr)+(3))|0)]<<24))|0)); //@line 30 "BlockNestStackRoutines.cpp"
 var $cmp=($1|0)>8; //@line 30 "BlockNestStackRoutines.cpp"
 if($cmp){label=2;break;}else{label=3;break;} //@line 30 "BlockNestStackRoutines.cpp"
 case 2: 
 var $2=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 32 "BlockNestStackRoutines.cpp"
 var $3=$2; //@line 32 "BlockNestStackRoutines.cpp"
 var $error=(($3)|0); //@line 32 "BlockNestStackRoutines.cpp"
 HEAP8[($error)]=1; //@line 32 "BlockNestStackRoutines.cpp"
 var $4=((((HEAPU8[(296)])|(HEAPU8[(297)]<<8)|(HEAPU8[(298)]<<16)|(HEAPU8[(299)]<<24))|0)); //@line 33 "BlockNestStackRoutines.cpp"
 var $5=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 33 "BlockNestStackRoutines.cpp"
 var $6=$5; //@line 33 "BlockNestStackRoutines.cpp"
 var $error_msg=(($6+4)|0); //@line 33 "BlockNestStackRoutines.cpp"
 tempBigInt=$4;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 33 "BlockNestStackRoutines.cpp"
 $retval=0; //@line 34 "BlockNestStackRoutines.cpp"
 label=10;break; //@line 34 "BlockNestStackRoutines.cpp"
 case 3: 
 var $7=$type_addr; //@line 38 "BlockNestStackRoutines.cpp"
 var $8=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 38 "BlockNestStackRoutines.cpp"
 var $bnest_ptr1=(($8+17048732)|0); //@line 38 "BlockNestStackRoutines.cpp"
 var $9=((((HEAPU8[($bnest_ptr1)])|(HEAPU8[((($bnest_ptr1)+(1))|0)]<<8)|(HEAPU8[((($bnest_ptr1)+(2))|0)]<<16)|(HEAPU8[((($bnest_ptr1)+(3))|0)]<<24))|0)); //@line 38 "BlockNestStackRoutines.cpp"
 var $10=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 38 "BlockNestStackRoutines.cpp"
 var $bnest_type=(($10+17048736)|0); //@line 38 "BlockNestStackRoutines.cpp"
 var $arrayidx=(($bnest_type+$9)|0); //@line 38 "BlockNestStackRoutines.cpp"
 HEAP8[($arrayidx)]=$7; //@line 38 "BlockNestStackRoutines.cpp"
 var $11=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 39 "BlockNestStackRoutines.cpp"
 var $bstack_ptr=(($11+17048744)|0); //@line 39 "BlockNestStackRoutines.cpp"
 var $12=((((HEAPU8[($bstack_ptr)])|(HEAPU8[((($bstack_ptr)+(1))|0)]<<8)|(HEAPU8[((($bstack_ptr)+(2))|0)]<<16)|(HEAPU8[((($bstack_ptr)+(3))|0)]<<24))|0)); //@line 39 "BlockNestStackRoutines.cpp"
 var $13=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 39 "BlockNestStackRoutines.cpp"
 var $bnest_ptr2=(($13+17048732)|0); //@line 39 "BlockNestStackRoutines.cpp"
 var $14=((((HEAPU8[($bnest_ptr2)])|(HEAPU8[((($bnest_ptr2)+(1))|0)]<<8)|(HEAPU8[((($bnest_ptr2)+(2))|0)]<<16)|(HEAPU8[((($bnest_ptr2)+(3))|0)]<<24))|0)); //@line 39 "BlockNestStackRoutines.cpp"
 var $inc=((($14)+(1))|0); //@line 39 "BlockNestStackRoutines.cpp"
 tempBigInt=$inc;HEAP8[($bnest_ptr2)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bnest_ptr2)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bnest_ptr2)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bnest_ptr2)+(3))|0)]=tempBigInt&0xff; //@line 39 "BlockNestStackRoutines.cpp"
 var $15=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 39 "BlockNestStackRoutines.cpp"
 var $bstack_base=(($15+17048748)|0); //@line 39 "BlockNestStackRoutines.cpp"
 var $arrayidx3=(($bstack_base+($14<<2))|0); //@line 39 "BlockNestStackRoutines.cpp"
 tempBigInt=$12;HEAP8[($arrayidx3)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx3)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx3)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx3)+(3))|0)]=tempBigInt&0xff; //@line 39 "BlockNestStackRoutines.cpp"
 $i=0; //@line 42 "BlockNestStackRoutines.cpp"
 label=4;break; //@line 42 "BlockNestStackRoutines.cpp"
 case 4: 
 var $16=$i; //@line 42 "BlockNestStackRoutines.cpp"
 var $17=$stackSize_addr; //@line 42 "BlockNestStackRoutines.cpp"
 var $cmp4=($16|0)<($17|0); //@line 42 "BlockNestStackRoutines.cpp"
 if($cmp4){label=5;break;}else{label=7;break;} //@line 42 "BlockNestStackRoutines.cpp"
 case 5: 
 var $18=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 44 "BlockNestStackRoutines.cpp"
 var $bstack_ptr5=(($18+17048744)|0); //@line 44 "BlockNestStackRoutines.cpp"
 var $19=((((HEAPU8[($bstack_ptr5)])|(HEAPU8[((($bstack_ptr5)+(1))|0)]<<8)|(HEAPU8[((($bstack_ptr5)+(2))|0)]<<16)|(HEAPU8[((($bstack_ptr5)+(3))|0)]<<24))|0)); //@line 44 "BlockNestStackRoutines.cpp"
 var $20=$i; //@line 44 "BlockNestStackRoutines.cpp"
 var $add=((($19)+($20))|0); //@line 44 "BlockNestStackRoutines.cpp"
 var $21=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 44 "BlockNestStackRoutines.cpp"
 var $bstack=(($21+17048780)|0); //@line 44 "BlockNestStackRoutines.cpp"
 var $arrayidx6=(($bstack+($add<<2))|0); //@line 44 "BlockNestStackRoutines.cpp"
 tempBigInt=65472;HEAP8[($arrayidx6)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx6)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx6)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx6)+(3))|0)]=tempBigInt&0xff; //@line 44 "BlockNestStackRoutines.cpp"
 label=6;break; //@line 45 "BlockNestStackRoutines.cpp"
 case 6: 
 var $22=$i; //@line 42 "BlockNestStackRoutines.cpp"
 var $inc7=((($22)+(1))|0); //@line 42 "BlockNestStackRoutines.cpp"
 $i=$inc7; //@line 42 "BlockNestStackRoutines.cpp"
 label=4;break; //@line 42 "BlockNestStackRoutines.cpp"
 case 7: 
 var $23=$stackSize_addr; //@line 46 "BlockNestStackRoutines.cpp"
 var $24=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 46 "BlockNestStackRoutines.cpp"
 var $bstack_ptr8=(($24+17048744)|0); //@line 46 "BlockNestStackRoutines.cpp"
 var $25=((((HEAPU8[($bstack_ptr8)])|(HEAPU8[((($bstack_ptr8)+(1))|0)]<<8)|(HEAPU8[((($bstack_ptr8)+(2))|0)]<<16)|(HEAPU8[((($bstack_ptr8)+(3))|0)]<<24))|0)); //@line 46 "BlockNestStackRoutines.cpp"
 var $add9=((($25)+($23))|0); //@line 46 "BlockNestStackRoutines.cpp"
 tempBigInt=$add9;HEAP8[($bstack_ptr8)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bstack_ptr8)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bstack_ptr8)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bstack_ptr8)+(3))|0)]=tempBigInt&0xff; //@line 46 "BlockNestStackRoutines.cpp"
 var $26=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 47 "BlockNestStackRoutines.cpp"
 var $bstack_ptr10=(($26+17048744)|0); //@line 47 "BlockNestStackRoutines.cpp"
 var $27=((((HEAPU8[($bstack_ptr10)])|(HEAPU8[((($bstack_ptr10)+(1))|0)]<<8)|(HEAPU8[((($bstack_ptr10)+(2))|0)]<<16)|(HEAPU8[((($bstack_ptr10)+(3))|0)]<<24))|0)); //@line 47 "BlockNestStackRoutines.cpp"
 var $cmp11=($27|0)>=256; //@line 47 "BlockNestStackRoutines.cpp"
 if($cmp11){label=8;break;}else{label=9;break;} //@line 47 "BlockNestStackRoutines.cpp"
 case 8: 
 var $28=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 49 "BlockNestStackRoutines.cpp"
 var $29=$28; //@line 49 "BlockNestStackRoutines.cpp"
 var $error13=(($29)|0); //@line 49 "BlockNestStackRoutines.cpp"
 HEAP8[($error13)]=1; //@line 49 "BlockNestStackRoutines.cpp"
 var $30=((((HEAPU8[(24)])|(HEAPU8[(25)]<<8)|(HEAPU8[(26)]<<16)|(HEAPU8[(27)]<<24))|0)); //@line 50 "BlockNestStackRoutines.cpp"
 var $31=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 50 "BlockNestStackRoutines.cpp"
 var $32=$31; //@line 50 "BlockNestStackRoutines.cpp"
 var $error_msg14=(($32+4)|0); //@line 50 "BlockNestStackRoutines.cpp"
 tempBigInt=$30;HEAP8[($error_msg14)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg14)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg14)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg14)+(3))|0)]=tempBigInt&0xff; //@line 50 "BlockNestStackRoutines.cpp"
 $retval=0; //@line 51 "BlockNestStackRoutines.cpp"
 label=10;break; //@line 51 "BlockNestStackRoutines.cpp"
 case 9: 
 $retval=1; //@line 54 "BlockNestStackRoutines.cpp"
 label=10;break; //@line 54 "BlockNestStackRoutines.cpp"
 case 10: 
 var $33=$retval; //@line 55 "BlockNestStackRoutines.cpp"
 STACKTOP=sp;return $33; //@line 55 "BlockNestStackRoutines.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z14BlockNest_Redoh($type){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $type_addr;
 $type_addr=$type;
 var $0=$type_addr; //@line 59 "BlockNestStackRoutines.cpp"
 var $1=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 59 "BlockNestStackRoutines.cpp"
 var $bnest_ptr=(($1+17048732)|0); //@line 59 "BlockNestStackRoutines.cpp"
 var $2=((((HEAPU8[($bnest_ptr)])|(HEAPU8[((($bnest_ptr)+(1))|0)]<<8)|(HEAPU8[((($bnest_ptr)+(2))|0)]<<16)|(HEAPU8[((($bnest_ptr)+(3))|0)]<<24))|0)); //@line 59 "BlockNestStackRoutines.cpp"
 var $sub=((($2)-(1))|0); //@line 59 "BlockNestStackRoutines.cpp"
 var $3=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 59 "BlockNestStackRoutines.cpp"
 var $bnest_type=(($3+17048736)|0); //@line 59 "BlockNestStackRoutines.cpp"
 var $arrayidx=(($bnest_type+$sub)|0); //@line 59 "BlockNestStackRoutines.cpp"
 HEAP8[($arrayidx)]=$0; //@line 59 "BlockNestStackRoutines.cpp"
 STACKTOP=sp;return; //@line 60 "BlockNestStackRoutines.cpp"
}


function __Z13BlockNest_Endv(){
 var label=0;


 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 64 "BlockNestStackRoutines.cpp"
 var $bnest_ptr=(($0+17048732)|0); //@line 64 "BlockNestStackRoutines.cpp"
 var $1=((((HEAPU8[($bnest_ptr)])|(HEAPU8[((($bnest_ptr)+(1))|0)]<<8)|(HEAPU8[((($bnest_ptr)+(2))|0)]<<16)|(HEAPU8[((($bnest_ptr)+(3))|0)]<<24))|0)); //@line 64 "BlockNestStackRoutines.cpp"
 var $dec=((($1)-(1))|0); //@line 64 "BlockNestStackRoutines.cpp"
 tempBigInt=$dec;HEAP8[($bnest_ptr)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bnest_ptr)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bnest_ptr)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bnest_ptr)+(3))|0)]=tempBigInt&0xff; //@line 64 "BlockNestStackRoutines.cpp"
 var $2=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 65 "BlockNestStackRoutines.cpp"
 var $bnest_ptr1=(($2+17048732)|0); //@line 65 "BlockNestStackRoutines.cpp"
 var $3=((((HEAPU8[($bnest_ptr1)])|(HEAPU8[((($bnest_ptr1)+(1))|0)]<<8)|(HEAPU8[((($bnest_ptr1)+(2))|0)]<<16)|(HEAPU8[((($bnest_ptr1)+(3))|0)]<<24))|0)); //@line 65 "BlockNestStackRoutines.cpp"
 var $4=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 65 "BlockNestStackRoutines.cpp"
 var $bstack_base=(($4+17048748)|0); //@line 65 "BlockNestStackRoutines.cpp"
 var $arrayidx=(($bstack_base+($3<<2))|0); //@line 65 "BlockNestStackRoutines.cpp"
 var $5=((((HEAPU8[($arrayidx)])|(HEAPU8[((($arrayidx)+(1))|0)]<<8)|(HEAPU8[((($arrayidx)+(2))|0)]<<16)|(HEAPU8[((($arrayidx)+(3))|0)]<<24))|0)); //@line 65 "BlockNestStackRoutines.cpp"
 var $6=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 65 "BlockNestStackRoutines.cpp"
 var $bstack_ptr=(($6+17048744)|0); //@line 65 "BlockNestStackRoutines.cpp"
 tempBigInt=$5;HEAP8[($bstack_ptr)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bstack_ptr)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bstack_ptr)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bstack_ptr)+(3))|0)]=tempBigInt&0xff; //@line 65 "BlockNestStackRoutines.cpp"
 return; //@line 66 "BlockNestStackRoutines.cpp"
}


function __Z16BlockStack_Writeii($address,$value){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $address_addr;
 var $value_addr;
 var $stackAddress;
 $address_addr=$address;
 $value_addr=$value;
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 74 "BlockNestStackRoutines.cpp"
 var $bnest_ptr=(($0+17048732)|0); //@line 74 "BlockNestStackRoutines.cpp"
 var $1=((((HEAPU8[($bnest_ptr)])|(HEAPU8[((($bnest_ptr)+(1))|0)]<<8)|(HEAPU8[((($bnest_ptr)+(2))|0)]<<16)|(HEAPU8[((($bnest_ptr)+(3))|0)]<<24))|0)); //@line 74 "BlockNestStackRoutines.cpp"
 var $sub=((($1)-(1))|0); //@line 74 "BlockNestStackRoutines.cpp"
 var $2=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 74 "BlockNestStackRoutines.cpp"
 var $bstack_base=(($2+17048748)|0); //@line 74 "BlockNestStackRoutines.cpp"
 var $arrayidx=(($bstack_base+($sub<<2))|0); //@line 74 "BlockNestStackRoutines.cpp"
 var $3=((((HEAPU8[($arrayidx)])|(HEAPU8[((($arrayidx)+(1))|0)]<<8)|(HEAPU8[((($arrayidx)+(2))|0)]<<16)|(HEAPU8[((($arrayidx)+(3))|0)]<<24))|0)); //@line 74 "BlockNestStackRoutines.cpp"
 var $4=$address_addr; //@line 74 "BlockNestStackRoutines.cpp"
 var $add=((($3)+($4))|0); //@line 74 "BlockNestStackRoutines.cpp"
 $stackAddress=$add; //@line 74 "BlockNestStackRoutines.cpp"
 var $5=$value_addr; //@line 75 "BlockNestStackRoutines.cpp"
 var $6=$stackAddress; //@line 75 "BlockNestStackRoutines.cpp"
 var $7=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 75 "BlockNestStackRoutines.cpp"
 var $bstack=(($7+17048780)|0); //@line 75 "BlockNestStackRoutines.cpp"
 var $arrayidx1=(($bstack+($6<<2))|0); //@line 75 "BlockNestStackRoutines.cpp"
 tempBigInt=$5;HEAP8[($arrayidx1)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx1)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx1)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx1)+(3))|0)]=tempBigInt&0xff; //@line 75 "BlockNestStackRoutines.cpp"
 STACKTOP=sp;return; //@line 76 "BlockNestStackRoutines.cpp"
}


function __Z15BlockStack_Readi($address){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $address_addr;
 var $stackAddress;
 $address_addr=$address;
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 80 "BlockNestStackRoutines.cpp"
 var $bnest_ptr=(($0+17048732)|0); //@line 80 "BlockNestStackRoutines.cpp"
 var $1=((((HEAPU8[($bnest_ptr)])|(HEAPU8[((($bnest_ptr)+(1))|0)]<<8)|(HEAPU8[((($bnest_ptr)+(2))|0)]<<16)|(HEAPU8[((($bnest_ptr)+(3))|0)]<<24))|0)); //@line 80 "BlockNestStackRoutines.cpp"
 var $sub=((($1)-(1))|0); //@line 80 "BlockNestStackRoutines.cpp"
 var $2=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 80 "BlockNestStackRoutines.cpp"
 var $bstack_base=(($2+17048748)|0); //@line 80 "BlockNestStackRoutines.cpp"
 var $arrayidx=(($bstack_base+($sub<<2))|0); //@line 80 "BlockNestStackRoutines.cpp"
 var $3=((((HEAPU8[($arrayidx)])|(HEAPU8[((($arrayidx)+(1))|0)]<<8)|(HEAPU8[((($arrayidx)+(2))|0)]<<16)|(HEAPU8[((($arrayidx)+(3))|0)]<<24))|0)); //@line 80 "BlockNestStackRoutines.cpp"
 var $4=$address_addr; //@line 80 "BlockNestStackRoutines.cpp"
 var $add=((($3)+($4))|0); //@line 80 "BlockNestStackRoutines.cpp"
 $stackAddress=$add; //@line 80 "BlockNestStackRoutines.cpp"
 var $5=$stackAddress; //@line 81 "BlockNestStackRoutines.cpp"
 var $6=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 81 "BlockNestStackRoutines.cpp"
 var $bstack=(($6+17048780)|0); //@line 81 "BlockNestStackRoutines.cpp"
 var $arrayidx1=(($bstack+($5<<2))|0); //@line 81 "BlockNestStackRoutines.cpp"
 var $7=((((HEAPU8[($arrayidx1)])|(HEAPU8[((($arrayidx1)+(1))|0)]<<8)|(HEAPU8[((($arrayidx1)+(2))|0)]<<16)|(HEAPU8[((($arrayidx1)+(3))|0)]<<24))|0)); //@line 81 "BlockNestStackRoutines.cpp"
 STACKTOP=sp;return $7; //@line 81 "BlockNestStackRoutines.cpp"
}


function __Z25BlockStack_CompileAddressi($address){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $address_addr;
 $address_addr=$address;
 var $0=$address_addr; //@line 86 "BlockNestStackRoutines.cpp"
 var $call=__Z15BlockStack_Readi($0); //@line 86 "BlockNestStackRoutines.cpp"
 var $call1=__Z14CompileAddressi($call); //@line 86 "BlockNestStackRoutines.cpp"
 STACKTOP=sp;return $call1; //@line 86 "BlockNestStackRoutines.cpp"
}


function __Z26BlockStack_CompileConstantv(){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $value;
 var $call=__Z15BlockStack_Readi(0); //@line 91 "BlockNestStackRoutines.cpp"
 $value=$call; //@line 91 "BlockNestStackRoutines.cpp"
 var $0=$value; //@line 93 "BlockNestStackRoutines.cpp"
 var $cmp=($0|0)>=256; //@line 93 "BlockNestStackRoutines.cpp"
 if($cmp){label=2;break;}else{label=7;break;} //@line 93 "BlockNestStackRoutines.cpp"
 case 2: 
 var $call1=__Z8EnterObjh(57); //@line 96 "BlockNestStackRoutines.cpp"
 if($call1){label=4;break;}else{label=3;break;} //@line 96 "BlockNestStackRoutines.cpp"
 case 3: 
 $retval=0; //@line 98 "BlockNestStackRoutines.cpp"
 label=11;break; //@line 98 "BlockNestStackRoutines.cpp"
 case 4: 
 var $1=$value; //@line 100 "BlockNestStackRoutines.cpp"
 var $shr=$1>>8; //@line 100 "BlockNestStackRoutines.cpp"
 var $and=$shr&255; //@line 100 "BlockNestStackRoutines.cpp"
 var $conv=(($and)&255); //@line 100 "BlockNestStackRoutines.cpp"
 var $call3=__Z8EnterObjh($conv); //@line 100 "BlockNestStackRoutines.cpp"
 if($call3){label=6;break;}else{label=5;break;} //@line 100 "BlockNestStackRoutines.cpp"
 case 5: 
 $retval=0; //@line 102 "BlockNestStackRoutines.cpp"
 label=11;break; //@line 102 "BlockNestStackRoutines.cpp"
 case 6: 
 label=10;break; //@line 104 "BlockNestStackRoutines.cpp"
 case 7: 
 var $call6=__Z8EnterObjh(56); //@line 108 "BlockNestStackRoutines.cpp"
 if($call6){label=9;break;}else{label=8;break;} //@line 108 "BlockNestStackRoutines.cpp"
 case 8: 
 $retval=0; //@line 110 "BlockNestStackRoutines.cpp"
 label=11;break; //@line 110 "BlockNestStackRoutines.cpp"
 case 9: 
 label=10;break;
 case 10: 
 var $2=$value; //@line 114 "BlockNestStackRoutines.cpp"
 var $and10=$2&255; //@line 114 "BlockNestStackRoutines.cpp"
 var $conv11=(($and10)&255); //@line 114 "BlockNestStackRoutines.cpp"
 var $call12=__Z8EnterObjh($conv11); //@line 114 "BlockNestStackRoutines.cpp"
 $retval=$call12; //@line 114 "BlockNestStackRoutines.cpp"
 label=11;break; //@line 114 "BlockNestStackRoutines.cpp"
 case 11: 
 var $3=$retval; //@line 115 "BlockNestStackRoutines.cpp"
 STACKTOP=sp;return $3; //@line 115 "BlockNestStackRoutines.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z17CompileExpressionv(){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $call=__Z20CompileTopExpressionv(); //@line 54 "CompileExpression.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 54 "CompileExpression.cpp"
 case 2: 
 $retval=0; //@line 56 "CompileExpression.cpp"
 label=4;break; //@line 56 "CompileExpression.cpp"
 case 3: 
 $retval=1; //@line undefined "CompileExpression.cpp"
 label=4;break; //@line undefined "CompileExpression.cpp"
 case 4: 
 var $0=$retval; //@line 59 "CompileExpression.cpp"
 STACKTOP=sp;return $0; //@line 59 "CompileExpression.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z20CompileTopExpressionv(){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $call=__Z20CompileSubExpressioni(11); //@line 63 "CompileExpression.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 63 "CompileExpression.cpp"
 case 2: 
 $retval=0; //@line 65 "CompileExpression.cpp"
 label=4;break; //@line 65 "CompileExpression.cpp"
 case 3: 
 $retval=1; //@line 67 "CompileExpression.cpp"
 label=4;break; //@line 67 "CompileExpression.cpp"
 case 4: 
 var $0=$retval; //@line 68 "CompileExpression.cpp"
 STACKTOP=sp;return $0; //@line 68 "CompileExpression.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z20CompileSubExpressioni($precedence){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+8)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $precedence_addr;
 var $bEof=sp;
 var $opType;
 $precedence_addr=$precedence;
 var $0=$precedence_addr; //@line 141 "CompileExpression.cpp"
 var $dec=((($0)-(1))|0); //@line 141 "CompileExpression.cpp"
 $precedence_addr=$dec; //@line 141 "CompileExpression.cpp"
 var $1=$precedence_addr; //@line 142 "CompileExpression.cpp"
 var $cmp=($1|0)<0; //@line 142 "CompileExpression.cpp"
 if($cmp){label=2;break;}else{label=5;break;} //@line 142 "CompileExpression.cpp"
 case 2: 
 var $call=__Z25CompileSubExpression_Termv(); //@line 144 "CompileExpression.cpp"
 if($call){label=4;break;}else{label=3;break;} //@line 144 "CompileExpression.cpp"
 case 3: 
 $retval=0; //@line 146 "CompileExpression.cpp"
 label=21;break; //@line 146 "CompileExpression.cpp"
 case 4: 
 $retval=1; //@line 148 "CompileExpression.cpp"
 label=21;break; //@line 148 "CompileExpression.cpp"
 case 5: 
 var $2=$precedence_addr; //@line 152 "CompileExpression.cpp"
 var $call2=__Z20CompileSubExpressioni($2); //@line 152 "CompileExpression.cpp"
 if($call2){label=7;break;}else{label=6;break;} //@line 152 "CompileExpression.cpp"
 case 6: 
 $retval=0; //@line 154 "CompileExpression.cpp"
 label=21;break; //@line 154 "CompileExpression.cpp"
 case 7: 
 label=8;break;
 case 8: 
 label=9;break; //@line 158 "CompileExpression.cpp"
 case 9: 
 HEAP8[($bEof)]=0; //@line 160 "CompileExpression.cpp"
 var $3=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 161 "CompileExpression.cpp"
 var $call6=__ZN11Elementizer7GetNextERb($3,$bEof); //@line 161 "CompileExpression.cpp"
 if($call6){label=11;break;}else{label=10;break;} //@line 161 "CompileExpression.cpp"
 case 10: 
 $retval=0; //@line 163 "CompileExpression.cpp"
 label=21;break; //@line 163 "CompileExpression.cpp"
 case 11: 
 var $4=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 165 "CompileExpression.cpp"
 var $call9=__ZN11Elementizer7GetTypeEv($4); //@line 165 "CompileExpression.cpp"
 var $cmp10=($call9|0)!=22; //@line 165 "CompileExpression.cpp"
 if($cmp10){label=12;break;}else{label=13;break;} //@line 165 "CompileExpression.cpp"
 case 12: 
 var $5=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 167 "CompileExpression.cpp"
 __ZN11Elementizer6BackupEv($5); //@line 167 "CompileExpression.cpp"
 label=20;break; //@line 168 "CompileExpression.cpp"
 case 13: 
 var $6=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 171 "CompileExpression.cpp"
 var $call13=__ZN11Elementizer8GetValueEv($6); //@line 171 "CompileExpression.cpp"
 var $7=$precedence_addr; //@line 171 "CompileExpression.cpp"
 var $cmp14=($call13|0)!=($7|0); //@line 171 "CompileExpression.cpp"
 if($cmp14){label=14;break;}else{label=15;break;} //@line 171 "CompileExpression.cpp"
 case 14: 
 var $8=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 173 "CompileExpression.cpp"
 __ZN11Elementizer6BackupEv($8); //@line 173 "CompileExpression.cpp"
 label=20;break; //@line 174 "CompileExpression.cpp"
 case 15: 
 var $9=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 176 "CompileExpression.cpp"
 var $call17=__ZN11Elementizer9GetOpTypeEv($9); //@line 176 "CompileExpression.cpp"
 $opType=$call17; //@line 176 "CompileExpression.cpp"
 var $10=$precedence_addr; //@line 177 "CompileExpression.cpp"
 var $call18=__Z20CompileSubExpressioni($10); //@line 177 "CompileExpression.cpp"
 if($call18){label=17;break;}else{label=16;break;} //@line 177 "CompileExpression.cpp"
 case 16: 
 $retval=0; //@line 179 "CompileExpression.cpp"
 label=21;break; //@line 179 "CompileExpression.cpp"
 case 17: 
 var $11=$opType; //@line 181 "CompileExpression.cpp"
 var $or=$11|224; //@line 181 "CompileExpression.cpp"
 var $conv=(($or)&255); //@line 181 "CompileExpression.cpp"
 var $call21=__Z8EnterObjh($conv); //@line 181 "CompileExpression.cpp"
 if($call21){label=19;break;}else{label=18;break;} //@line 181 "CompileExpression.cpp"
 case 18: 
 $retval=0; //@line 183 "CompileExpression.cpp"
 label=21;break; //@line 183 "CompileExpression.cpp"
 case 19: 
 label=9;break; //@line 185 "CompileExpression.cpp"
 case 20: 
 $retval=1; //@line 187 "CompileExpression.cpp"
 label=21;break; //@line 187 "CompileExpression.cpp"
 case 21: 
 var $12=$retval; //@line 188 "CompileExpression.cpp"
 STACKTOP=sp;return $12; //@line 188 "CompileExpression.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z25CompileSubExpression_Termv(){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+8)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $bEof=sp;
 var $opType;
 HEAP8[($bEof)]=0; //@line 73 "CompileExpression.cpp"
 label=2;break; //@line 74 "CompileExpression.cpp"
 case 2: 
 var $0=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 76 "CompileExpression.cpp"
 var $call=__ZN11Elementizer7GetNextERb($0,$bEof); //@line 76 "CompileExpression.cpp"
 if($call){label=4;break;}else{label=3;break;} //@line 76 "CompileExpression.cpp"
 case 3: 
 $retval=0; //@line 78 "CompileExpression.cpp"
 label=32;break; //@line 78 "CompileExpression.cpp"
 case 4: 
 label=5;break; //@line 80 "CompileExpression.cpp"
 case 5: 
 var $1=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 80 "CompileExpression.cpp"
 var $call1=__ZN11Elementizer7GetTypeEv($1); //@line 80 "CompileExpression.cpp"
 var $cmp=($call1|0)==22; //@line 80 "CompileExpression.cpp"
 if($cmp){label=6;break;}else{var $3=0;label=7;break;} //@line 80 "CompileExpression.cpp"
 case 6: 
 var $2=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 80 "CompileExpression.cpp"
 var $call2=__ZN11Elementizer9GetOpTypeEv($2); //@line 80 "CompileExpression.cpp"
 var $cmp3=($call2|0)==12; //@line 80 "CompileExpression.cpp"
 var $3=$cmp3;label=7;break;
 case 7: 
 var $3;
 if($3){label=2;break;}else{label=8;break;}
 case 8: 
 var $4=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 82 "CompileExpression.cpp"
 var $call4=__ZN11Elementizer11NegConToConEv($4); //@line 82 "CompileExpression.cpp"
 if($call4){label=10;break;}else{label=9;break;} //@line 82 "CompileExpression.cpp"
 case 9: 
 $retval=0; //@line 84 "CompileExpression.cpp"
 label=32;break; //@line 84 "CompileExpression.cpp"
 case 10: 
 var $5=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 86 "CompileExpression.cpp"
 var $call7=__ZN11Elementizer8SubToNegEv($5); //@line 86 "CompileExpression.cpp"
 var $6=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 88 "CompileExpression.cpp"
 var $call8=__ZN11Elementizer9GetOpTypeEv($6); //@line 88 "CompileExpression.cpp"
 $opType=$call8; //@line 88 "CompileExpression.cpp"
 var $7=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 90 "CompileExpression.cpp"
 var $call9=__ZN11Elementizer7GetTypeEv($7); //@line 90 "CompileExpression.cpp"
 if(($call9|0)==13){ label=11;break;}else if(($call9|0)==21){ label=18;break;}else if(($call9|0)==1){ label=23;break;}else{label=28;break;}
 case 11: 
 var $call10=__Z20CompileSubExpressioni(0); //@line 93 "CompileExpression.cpp"
 if($call10){label=13;break;}else{label=12;break;} //@line 93 "CompileExpression.cpp"
 case 12: 
 $retval=0; //@line 95 "CompileExpression.cpp"
 label=32;break; //@line 95 "CompileExpression.cpp"
 case 13: 
 var $call13=__Z8EnterObjh(-105); //@line 97 "CompileExpression.cpp"
 if($call13){label=15;break;}else{label=14;break;} //@line 97 "CompileExpression.cpp"
 case 14: 
 $retval=0; //@line 99 "CompileExpression.cpp"
 label=32;break; //@line 99 "CompileExpression.cpp"
 case 15: 
 var $call16=__Z8EnterObjh(0); //@line 101 "CompileExpression.cpp"
 if($call16){label=17;break;}else{label=16;break;} //@line 101 "CompileExpression.cpp"
 case 16: 
 $retval=0; //@line 103 "CompileExpression.cpp"
 label=32;break; //@line 103 "CompileExpression.cpp"
 case 17: 
 label=31;break; //@line 105 "CompileExpression.cpp"
 case 18: 
 var $8=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 108 "CompileExpression.cpp"
 var $call20=__ZN11Elementizer8GetValueEv($8); //@line 108 "CompileExpression.cpp"
 var $call21=__Z20CompileSubExpressioni($call20); //@line 108 "CompileExpression.cpp"
 if($call21){label=20;break;}else{label=19;break;} //@line 108 "CompileExpression.cpp"
 case 19: 
 $retval=0; //@line 110 "CompileExpression.cpp"
 label=32;break; //@line 110 "CompileExpression.cpp"
 case 20: 
 var $9=$opType; //@line 112 "CompileExpression.cpp"
 var $conv=(($9)&255); //@line 112 "CompileExpression.cpp"
 var $conv24=($conv&255); //@line 112 "CompileExpression.cpp"
 var $or=$conv24|224; //@line 112 "CompileExpression.cpp"
 var $conv25=(($or)&255); //@line 112 "CompileExpression.cpp"
 var $call26=__Z8EnterObjh($conv25); //@line 112 "CompileExpression.cpp"
 if($call26){label=22;break;}else{label=21;break;} //@line 112 "CompileExpression.cpp"
 case 21: 
 $retval=0; //@line 114 "CompileExpression.cpp"
 label=32;break; //@line 114 "CompileExpression.cpp"
 case 22: 
 label=31;break; //@line 116 "CompileExpression.cpp"
 case 23: 
 var $call30=__Z20CompileTopExpressionv(); //@line 119 "CompileExpression.cpp"
 if($call30){label=25;break;}else{label=24;break;} //@line 119 "CompileExpression.cpp"
 case 24: 
 $retval=0; //@line 121 "CompileExpression.cpp"
 label=32;break; //@line 121 "CompileExpression.cpp"
 case 25: 
 var $10=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 123 "CompileExpression.cpp"
 var $call33=__ZN11Elementizer10GetElementEi($10,2); //@line 123 "CompileExpression.cpp"
 if($call33){label=27;break;}else{label=26;break;} //@line 123 "CompileExpression.cpp"
 case 26: 
 $retval=0; //@line 125 "CompileExpression.cpp"
 label=32;break; //@line 125 "CompileExpression.cpp"
 case 27: 
 label=31;break; //@line 127 "CompileExpression.cpp"
 case 28: 
 var $call36=__Z11CompileTermv(); //@line 130 "CompileExpression.cpp"
 if($call36){label=30;break;}else{label=29;break;} //@line 130 "CompileExpression.cpp"
 case 29: 
 $retval=0; //@line 132 "CompileExpression.cpp"
 label=32;break; //@line 132 "CompileExpression.cpp"
 case 30: 
 label=31;break; //@line 134 "CompileExpression.cpp"
 case 31: 
 $retval=1; //@line 136 "CompileExpression.cpp"
 label=32;break; //@line 136 "CompileExpression.cpp"
 case 32: 
 var $11=$retval; //@line 137 "CompileExpression.cpp"
 STACKTOP=sp;return $11; //@line 137 "CompileExpression.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z11CompileTermv(){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+48)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $type;
 var $value;
 var $varType=sp;
 var $varSize=(sp)+(8);
 var $varAddress=(sp)+(16);
 var $varIndexSourcePtr=(sp)+(24);
 var $bVariable=(sp)+(32);
 var $bEof=(sp)+(40);
 var $varOperator;
 var $0=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 615 "CompileExpression.cpp"
 var $call=__ZN11Elementizer7GetTypeEv($0); //@line 615 "CompileExpression.cpp"
 $type=$call; //@line 615 "CompileExpression.cpp"
 var $1=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 616 "CompileExpression.cpp"
 var $call1=__ZN11Elementizer8GetValueEv($1); //@line 616 "CompileExpression.cpp"
 $value=$call1; //@line 616 "CompileExpression.cpp"
 var $2=$type; //@line 618 "CompileExpression.cpp"
 switch(($2|0)){case 50:{ label=10;break;}case 51:{ label=11;break;}case 52:{ label=12;break;}case 54:{ label=13;break;}case 55:{ label=14;break;}case 57:case 58:{ label=15;break;}case 12:{ label=16;break;}case 17:{ label=17;break;}case 18:{ label=18;break;}case 14:{ label=19;break;}case 67:case 68:{ label=2;break;}case 15:{ label=20;break;}case 16:{ label=21;break;}case 26:{ label=3;break;}case 27:{ label=4;break;}case 23:case 24:case 25:{ label=5;break;}case 9:{ label=6;break;}case 83:{ label=7;break;}case 79:{ label=8;break;}case 49:{ label=9;break;}default:{label=22;break;}}break;
 case 2: 
 var $3=$value; //@line 622 "CompileExpression.cpp"
 var $call2=__Z15CompileConstanti($3); //@line 622 "CompileExpression.cpp"
 $retval=$call2; //@line 622 "CompileExpression.cpp"
 label=43;break; //@line 622 "CompileExpression.cpp"
 case 3: 
 var $call4=__Z18CompileTerm_ConExpv(); //@line 624 "CompileExpression.cpp"
 $retval=$call4; //@line 624 "CompileExpression.cpp"
 label=43;break; //@line 624 "CompileExpression.cpp"
 case 4: 
 var $call6=__Z18CompileTerm_ConStrv(); //@line 626 "CompileExpression.cpp"
 $retval=$call6; //@line 626 "CompileExpression.cpp"
 label=43;break; //@line 626 "CompileExpression.cpp"
 case 5: 
 var $call8=__Z27CompileTerm_FloatRoundTruncv(); //@line 630 "CompileExpression.cpp"
 $retval=$call8; //@line 630 "CompileExpression.cpp"
 label=43;break; //@line 630 "CompileExpression.cpp"
 case 6: 
 var $call10=__Z15CompileTerm_Tryh(2); //@line 632 "CompileExpression.cpp"
 $retval=$call10; //@line 632 "CompileExpression.cpp"
 label=43;break; //@line 632 "CompileExpression.cpp"
 case 7: 
 var $4=$value; //@line 634 "CompileExpression.cpp"
 var $call12=__Z15CompileTerm_Subhi(0,$4); //@line 634 "CompileExpression.cpp"
 $retval=$call12; //@line 634 "CompileExpression.cpp"
 label=43;break; //@line 634 "CompileExpression.cpp"
 case 8: 
 var $5=$value; //@line 636 "CompileExpression.cpp"
 var $call14=__Z21CompileTerm_ObjPubConi($5); //@line 636 "CompileExpression.cpp"
 $retval=$call14; //@line 636 "CompileExpression.cpp"
 label=43;break; //@line 636 "CompileExpression.cpp"
 case 9: 
 var $6=$value; //@line 638 "CompileExpression.cpp"
 var $call16=__Z16CompileTerm_Looki($6); //@line 638 "CompileExpression.cpp"
 $retval=$call16; //@line 638 "CompileExpression.cpp"
 label=43;break; //@line 638 "CompileExpression.cpp"
 case 10: 
 var $call18=__Z19CompileTerm_ClkModev(); //@line 640 "CompileExpression.cpp"
 $retval=$call18; //@line 640 "CompileExpression.cpp"
 label=43;break; //@line 640 "CompileExpression.cpp"
 case 11: 
 var $call20=__Z19CompileTerm_ClkFreqv(); //@line 642 "CompileExpression.cpp"
 $retval=$call20; //@line 642 "CompileExpression.cpp"
 label=43;break; //@line 642 "CompileExpression.cpp"
 case 12: 
 var $call22=__Z19CompileTerm_ChipVerv(); //@line 644 "CompileExpression.cpp"
 $retval=$call22; //@line 644 "CompileExpression.cpp"
 label=43;break; //@line 644 "CompileExpression.cpp"
 case 13: 
 var $call24=__Z17CompileTerm_CogIdv(); //@line 646 "CompileExpression.cpp"
 $retval=$call24; //@line 646 "CompileExpression.cpp"
 label=43;break; //@line 646 "CompileExpression.cpp"
 case 14: 
 var $7=$value; //@line 648 "CompileExpression.cpp"
 var $call26=__Z18CompileTerm_CogNewi($7); //@line 648 "CompileExpression.cpp"
 $retval=$call26; //@line 648 "CompileExpression.cpp"
 label=43;break; //@line 648 "CompileExpression.cpp"
 case 15: 
 var $8=$value; //@line 651 "CompileExpression.cpp"
 var $call28=__Z16CompileTerm_Insti($8); //@line 651 "CompileExpression.cpp"
 $retval=$call28; //@line 651 "CompileExpression.cpp"
 label=43;break; //@line 651 "CompileExpression.cpp"
 case 16: 
 var $call30=__Z14CompileTerm_Atv(); //@line 653 "CompileExpression.cpp"
 $retval=$call30; //@line 653 "CompileExpression.cpp"
 label=43;break; //@line 653 "CompileExpression.cpp"
 case 17: 
 var $call32=__Z27CompileVariable_PreIncOrDech(-96); //@line 655 "CompileExpression.cpp"
 $retval=$call32; //@line 655 "CompileExpression.cpp"
 label=43;break; //@line 655 "CompileExpression.cpp"
 case 18: 
 var $call34=__Z27CompileVariable_PreIncOrDech(-80); //@line 657 "CompileExpression.cpp"
 $retval=$call34; //@line 657 "CompileExpression.cpp"
 label=43;break; //@line 657 "CompileExpression.cpp"
 case 19: 
 var $call36=__Z37CompileVariable_PreSignExtendOrRandomh(-112); //@line 659 "CompileExpression.cpp"
 $retval=$call36; //@line 659 "CompileExpression.cpp"
 label=43;break; //@line 659 "CompileExpression.cpp"
 case 20: 
 var $call38=__Z37CompileVariable_PreSignExtendOrRandomh(-108); //@line 661 "CompileExpression.cpp"
 $retval=$call38; //@line 661 "CompileExpression.cpp"
 label=43;break; //@line 661 "CompileExpression.cpp"
 case 21: 
 var $call40=__Z37CompileVariable_PreSignExtendOrRandomh(-120); //@line 663 "CompileExpression.cpp"
 $retval=$call40; //@line 663 "CompileExpression.cpp"
 label=43;break; //@line 663 "CompileExpression.cpp"
 case 22: 
 HEAP8[($varType)]=0; //@line 666 "CompileExpression.cpp"
 HEAP8[($varSize)]=0; //@line 667 "CompileExpression.cpp"
 tempBigInt=0;HEAP8[($varAddress)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($varAddress)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($varAddress)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($varAddress)+(3))|0)]=tempBigInt&0xff; //@line 668 "CompileExpression.cpp"
 tempBigInt=0;HEAP8[($varIndexSourcePtr)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($varIndexSourcePtr)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($varIndexSourcePtr)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($varIndexSourcePtr)+(3))|0)]=tempBigInt&0xff; //@line 669 "CompileExpression.cpp"
 HEAP8[($bVariable)]=0; //@line 670 "CompileExpression.cpp"
 var $call41=__Z13CheckVariableRbRhS0_RiS1_($bVariable,$varType,$varSize,$varAddress,$varIndexSourcePtr); //@line 671 "CompileExpression.cpp"
 if($call41){label=24;break;}else{label=23;break;} //@line 671 "CompileExpression.cpp"
 case 23: 
 $retval=0; //@line 673 "CompileExpression.cpp"
 label=43;break; //@line 673 "CompileExpression.cpp"
 case 24: 
 var $9=HEAP8[($bVariable)]; //@line 675 "CompileExpression.cpp"
 var $tobool=(($9)&1); //@line 675 "CompileExpression.cpp"
 if($tobool){label=26;break;}else{label=25;break;} //@line 675 "CompileExpression.cpp"
 case 25: 
 var $10=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 677 "CompileExpression.cpp"
 var $11=$10; //@line 677 "CompileExpression.cpp"
 var $error=(($11)|0); //@line 677 "CompileExpression.cpp"
 HEAP8[($error)]=1; //@line 677 "CompileExpression.cpp"
 var $12=((((HEAPU8[(88)])|(HEAPU8[(89)]<<8)|(HEAPU8[(90)]<<16)|(HEAPU8[(91)]<<24))|0)); //@line 678 "CompileExpression.cpp"
 var $13=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 678 "CompileExpression.cpp"
 var $14=$13; //@line 678 "CompileExpression.cpp"
 var $error_msg=(($14+4)|0); //@line 678 "CompileExpression.cpp"
 tempBigInt=$12;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 678 "CompileExpression.cpp"
 $retval=0; //@line 679 "CompileExpression.cpp"
 label=43;break; //@line 679 "CompileExpression.cpp"
 case 26: 
 HEAP8[($bEof)]=0; //@line 683 "CompileExpression.cpp"
 var $15=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 684 "CompileExpression.cpp"
 var $call44=__ZN11Elementizer7GetNextERb($15,$bEof); //@line 684 "CompileExpression.cpp"
 if($call44){label=28;break;}else{label=27;break;} //@line 684 "CompileExpression.cpp"
 case 27: 
 $retval=0; //@line 686 "CompileExpression.cpp"
 label=43;break; //@line 686 "CompileExpression.cpp"
 case 28: 
 var $16=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 688 "CompileExpression.cpp"
 var $call47=__ZN11Elementizer7GetTypeEv($16); //@line 688 "CompileExpression.cpp"
 $type=$call47; //@line 688 "CompileExpression.cpp"
 var $17=$type; //@line 689 "CompileExpression.cpp"
 switch(($17|0)){case 17:{ label=29;break;}case 18:{ label=30;break;}case 16:{ label=31;break;}case 14:{ label=32;break;}case 15:{ label=33;break;}case 19:{ label=34;break;}default:{label=35;break;}}break;
 case 29: 
 var $18=HEAP8[($varType)]; //@line 692 "CompileExpression.cpp"
 var $19=HEAP8[($varSize)]; //@line 692 "CompileExpression.cpp"
 var $20=((((HEAPU8[($varAddress)])|(HEAPU8[((($varAddress)+(1))|0)]<<8)|(HEAPU8[((($varAddress)+(2))|0)]<<16)|(HEAPU8[((($varAddress)+(3))|0)]<<24))|0)); //@line 692 "CompileExpression.cpp"
 var $21=((((HEAPU8[($varIndexSourcePtr)])|(HEAPU8[((($varIndexSourcePtr)+(1))|0)]<<8)|(HEAPU8[((($varIndexSourcePtr)+(2))|0)]<<16)|(HEAPU8[((($varIndexSourcePtr)+(3))|0)]<<24))|0)); //@line 692 "CompileExpression.cpp"
 var $call49=__Z24CompileVariable_IncOrDechhhii(-88,$18,$19,$20,$21); //@line 692 "CompileExpression.cpp"
 $retval=$call49; //@line 692 "CompileExpression.cpp"
 label=43;break; //@line 692 "CompileExpression.cpp"
 case 30: 
 var $22=HEAP8[($varType)]; //@line 694 "CompileExpression.cpp"
 var $23=HEAP8[($varSize)]; //@line 694 "CompileExpression.cpp"
 var $24=((((HEAPU8[($varAddress)])|(HEAPU8[((($varAddress)+(1))|0)]<<8)|(HEAPU8[((($varAddress)+(2))|0)]<<16)|(HEAPU8[((($varAddress)+(3))|0)]<<24))|0)); //@line 694 "CompileExpression.cpp"
 var $25=((((HEAPU8[($varIndexSourcePtr)])|(HEAPU8[((($varIndexSourcePtr)+(1))|0)]<<8)|(HEAPU8[((($varIndexSourcePtr)+(2))|0)]<<16)|(HEAPU8[((($varIndexSourcePtr)+(3))|0)]<<24))|0)); //@line 694 "CompileExpression.cpp"
 var $call51=__Z24CompileVariable_IncOrDechhhii(-72,$22,$23,$24,$25); //@line 694 "CompileExpression.cpp"
 $retval=$call51; //@line 694 "CompileExpression.cpp"
 label=43;break; //@line 694 "CompileExpression.cpp"
 case 31: 
 var $26=HEAP8[($varType)]; //@line 696 "CompileExpression.cpp"
 var $27=HEAP8[($varSize)]; //@line 696 "CompileExpression.cpp"
 var $28=((((HEAPU8[($varAddress)])|(HEAPU8[((($varAddress)+(1))|0)]<<8)|(HEAPU8[((($varAddress)+(2))|0)]<<16)|(HEAPU8[((($varAddress)+(3))|0)]<<24))|0)); //@line 696 "CompileExpression.cpp"
 var $29=((((HEAPU8[($varIndexSourcePtr)])|(HEAPU8[((($varIndexSourcePtr)+(1))|0)]<<8)|(HEAPU8[((($varIndexSourcePtr)+(2))|0)]<<16)|(HEAPU8[((($varIndexSourcePtr)+(3))|0)]<<24))|0)); //@line 696 "CompileExpression.cpp"
 var $call53=__Z22CompileVariable_Assignhhhii(-116,$26,$27,$28,$29); //@line 696 "CompileExpression.cpp"
 $retval=$call53; //@line 696 "CompileExpression.cpp"
 label=43;break; //@line 696 "CompileExpression.cpp"
 case 32: 
 var $30=HEAP8[($varType)]; //@line 698 "CompileExpression.cpp"
 var $31=HEAP8[($varSize)]; //@line 698 "CompileExpression.cpp"
 var $32=((((HEAPU8[($varAddress)])|(HEAPU8[((($varAddress)+(1))|0)]<<8)|(HEAPU8[((($varAddress)+(2))|0)]<<16)|(HEAPU8[((($varAddress)+(3))|0)]<<24))|0)); //@line 698 "CompileExpression.cpp"
 var $33=((((HEAPU8[($varIndexSourcePtr)])|(HEAPU8[((($varIndexSourcePtr)+(1))|0)]<<8)|(HEAPU8[((($varIndexSourcePtr)+(2))|0)]<<16)|(HEAPU8[((($varIndexSourcePtr)+(3))|0)]<<24))|0)); //@line 698 "CompileExpression.cpp"
 var $call55=__Z22CompileVariable_Assignhhhii(-104,$30,$31,$32,$33); //@line 698 "CompileExpression.cpp"
 $retval=$call55; //@line 698 "CompileExpression.cpp"
 label=43;break; //@line 698 "CompileExpression.cpp"
 case 33: 
 var $34=HEAP8[($varType)]; //@line 700 "CompileExpression.cpp"
 var $35=HEAP8[($varSize)]; //@line 700 "CompileExpression.cpp"
 var $36=((((HEAPU8[($varAddress)])|(HEAPU8[((($varAddress)+(1))|0)]<<8)|(HEAPU8[((($varAddress)+(2))|0)]<<16)|(HEAPU8[((($varAddress)+(3))|0)]<<24))|0)); //@line 700 "CompileExpression.cpp"
 var $37=((((HEAPU8[($varIndexSourcePtr)])|(HEAPU8[((($varIndexSourcePtr)+(1))|0)]<<8)|(HEAPU8[((($varIndexSourcePtr)+(2))|0)]<<16)|(HEAPU8[((($varIndexSourcePtr)+(3))|0)]<<24))|0)); //@line 700 "CompileExpression.cpp"
 var $call57=__Z22CompileVariable_Assignhhhii(-100,$34,$35,$36,$37); //@line 700 "CompileExpression.cpp"
 $retval=$call57; //@line 700 "CompileExpression.cpp"
 label=43;break; //@line 700 "CompileExpression.cpp"
 case 34: 
 var $38=HEAP8[($varType)]; //@line 702 "CompileExpression.cpp"
 var $39=HEAP8[($varSize)]; //@line 702 "CompileExpression.cpp"
 var $40=((((HEAPU8[($varAddress)])|(HEAPU8[((($varAddress)+(1))|0)]<<8)|(HEAPU8[((($varAddress)+(2))|0)]<<16)|(HEAPU8[((($varAddress)+(3))|0)]<<24))|0)); //@line 702 "CompileExpression.cpp"
 var $41=((((HEAPU8[($varIndexSourcePtr)])|(HEAPU8[((($varIndexSourcePtr)+(1))|0)]<<8)|(HEAPU8[((($varIndexSourcePtr)+(2))|0)]<<16)|(HEAPU8[((($varIndexSourcePtr)+(3))|0)]<<24))|0)); //@line 702 "CompileExpression.cpp"
 var $call59=__Z26CompileVariable_Expressionhhhii(-128,$38,$39,$40,$41); //@line 702 "CompileExpression.cpp"
 $retval=$call59; //@line 702 "CompileExpression.cpp"
 label=43;break; //@line 702 "CompileExpression.cpp"
 case 35: 
 $varOperator=-128; //@line 705 "CompileExpression.cpp"
 var $42=$type; //@line 707 "CompileExpression.cpp"
 var $cmp=($42|0)==22; //@line 707 "CompileExpression.cpp"
 if($cmp){label=36;break;}else{label=42;break;} //@line 707 "CompileExpression.cpp"
 case 36: 
 $varOperator=-64; //@line 709 "CompileExpression.cpp"
 var $43=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 710 "CompileExpression.cpp"
 var $call62=__ZN11Elementizer9GetOpTypeEv($43); //@line 710 "CompileExpression.cpp"
 var $conv=(($call62)&255); //@line 710 "CompileExpression.cpp"
 var $conv63=($conv&255); //@line 710 "CompileExpression.cpp"
 var $44=$varOperator; //@line 710 "CompileExpression.cpp"
 var $conv64=($44&255); //@line 710 "CompileExpression.cpp"
 var $or=$conv64|$conv63; //@line 710 "CompileExpression.cpp"
 var $conv65=(($or)&255); //@line 710 "CompileExpression.cpp"
 $varOperator=$conv65; //@line 710 "CompileExpression.cpp"
 var $45=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 713 "CompileExpression.cpp"
 var $call66=__ZN11Elementizer7GetNextERb($45,$bEof); //@line 713 "CompileExpression.cpp"
 if($call66){label=38;break;}else{label=37;break;} //@line 713 "CompileExpression.cpp"
 case 37: 
 $retval=0; //@line 715 "CompileExpression.cpp"
 label=43;break; //@line 715 "CompileExpression.cpp"
 case 38: 
 var $46=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 717 "CompileExpression.cpp"
 var $call69=__ZN11Elementizer7GetTypeEv($46); //@line 717 "CompileExpression.cpp"
 var $cmp70=($call69|0)==6; //@line 717 "CompileExpression.cpp"
 if($cmp70){label=39;break;}else{label=40;break;} //@line 717 "CompileExpression.cpp"
 case 39: 
 var $47=$varOperator; //@line 719 "CompileExpression.cpp"
 var $48=HEAP8[($varType)]; //@line 719 "CompileExpression.cpp"
 var $49=HEAP8[($varSize)]; //@line 719 "CompileExpression.cpp"
 var $50=((((HEAPU8[($varAddress)])|(HEAPU8[((($varAddress)+(1))|0)]<<8)|(HEAPU8[((($varAddress)+(2))|0)]<<16)|(HEAPU8[((($varAddress)+(3))|0)]<<24))|0)); //@line 719 "CompileExpression.cpp"
 var $51=((((HEAPU8[($varIndexSourcePtr)])|(HEAPU8[((($varIndexSourcePtr)+(1))|0)]<<8)|(HEAPU8[((($varIndexSourcePtr)+(2))|0)]<<16)|(HEAPU8[((($varIndexSourcePtr)+(3))|0)]<<24))|0)); //@line 719 "CompileExpression.cpp"
 var $call72=__Z26CompileVariable_Expressionhhhii($47,$48,$49,$50,$51); //@line 719 "CompileExpression.cpp"
 $retval=$call72; //@line 719 "CompileExpression.cpp"
 label=43;break; //@line 719 "CompileExpression.cpp"
 case 40: 
 var $52=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 723 "CompileExpression.cpp"
 __ZN11Elementizer6BackupEv($52); //@line 723 "CompileExpression.cpp"
 label=41;break;
 case 41: 
 label=42;break; //@line 725 "CompileExpression.cpp"
 case 42: 
 var $53=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 726 "CompileExpression.cpp"
 __ZN11Elementizer6BackupEv($53); //@line 726 "CompileExpression.cpp"
 var $54=$varOperator; //@line 727 "CompileExpression.cpp"
 var $55=HEAP8[($varType)]; //@line 727 "CompileExpression.cpp"
 var $56=HEAP8[($varSize)]; //@line 727 "CompileExpression.cpp"
 var $57=((((HEAPU8[($varAddress)])|(HEAPU8[((($varAddress)+(1))|0)]<<8)|(HEAPU8[((($varAddress)+(2))|0)]<<16)|(HEAPU8[((($varAddress)+(3))|0)]<<24))|0)); //@line 727 "CompileExpression.cpp"
 var $58=((((HEAPU8[($varIndexSourcePtr)])|(HEAPU8[((($varIndexSourcePtr)+(1))|0)]<<8)|(HEAPU8[((($varIndexSourcePtr)+(2))|0)]<<16)|(HEAPU8[((($varIndexSourcePtr)+(3))|0)]<<24))|0)); //@line 727 "CompileExpression.cpp"
 var $call75=__Z15CompileVariablehhhhii(0,$54,$55,$56,$57,$58); //@line 727 "CompileExpression.cpp"
 $retval=$call75; //@line 727 "CompileExpression.cpp"
 label=43;break; //@line 727 "CompileExpression.cpp"
 case 43: 
 var $59=$retval; //@line 728 "CompileExpression.cpp"
 STACKTOP=sp;return $59; //@line 728 "CompileExpression.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z18CompileTerm_ConExpv(){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $0=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 199 "CompileExpression.cpp"
 var $call=__ZN11Elementizer10GetElementEi($0,1); //@line 199 "CompileExpression.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 199 "CompileExpression.cpp"
 case 2: 
 $retval=0; //@line 201 "CompileExpression.cpp"
 label=8;break; //@line 201 "CompileExpression.cpp"
 case 3: 
 var $call1=__Z11GetTryValuebbb(1,0,0); //@line 203 "CompileExpression.cpp"
 if($call1){label=5;break;}else{label=4;break;} //@line 203 "CompileExpression.cpp"
 case 4: 
 $retval=0; //@line 205 "CompileExpression.cpp"
 label=8;break; //@line 205 "CompileExpression.cpp"
 case 5: 
 var $call4=__Z9GetResultv(); //@line 207 "CompileExpression.cpp"
 var $call5=__Z15CompileConstanti($call4); //@line 207 "CompileExpression.cpp"
 if($call5){label=7;break;}else{label=6;break;} //@line 207 "CompileExpression.cpp"
 case 6: 
 $retval=0; //@line 209 "CompileExpression.cpp"
 label=8;break; //@line 209 "CompileExpression.cpp"
 case 7: 
 var $1=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 211 "CompileExpression.cpp"
 var $call8=__ZN11Elementizer10GetElementEi($1,2); //@line 211 "CompileExpression.cpp"
 $retval=$call8; //@line 211 "CompileExpression.cpp"
 label=8;break; //@line 211 "CompileExpression.cpp"
 case 8: 
 var $2=$retval; //@line 212 "CompileExpression.cpp"
 STACKTOP=sp;return $2; //@line 212 "CompileExpression.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z18CompileTerm_ConStrv(){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+8)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $value;
 var $bComma=sp;
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 217 "CompileExpression.cpp"
 var $str_enable=(($0+17012876)|0); //@line 217 "CompileExpression.cpp"
 var $1=HEAP8[($str_enable)]; //@line 217 "CompileExpression.cpp"
 var $tobool=(($1)&1); //@line 217 "CompileExpression.cpp"
 var $conv=($tobool&1); //@line 217 "CompileExpression.cpp"
 var $cmp=($conv|0)==0; //@line 217 "CompileExpression.cpp"
 if($cmp){label=2;break;}else{label=3;break;} //@line 217 "CompileExpression.cpp"
 case 2: 
 var $2=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 219 "CompileExpression.cpp"
 var $3=$2; //@line 219 "CompileExpression.cpp"
 var $error=(($3)|0); //@line 219 "CompileExpression.cpp"
 HEAP8[($error)]=1; //@line 219 "CompileExpression.cpp"
 var $4=((((HEAPU8[(424)])|(HEAPU8[(425)]<<8)|(HEAPU8[(426)]<<16)|(HEAPU8[(427)]<<24))|0)); //@line 220 "CompileExpression.cpp"
 var $5=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 220 "CompileExpression.cpp"
 var $6=$5; //@line 220 "CompileExpression.cpp"
 var $error_msg=(($6+4)|0); //@line 220 "CompileExpression.cpp"
 tempBigInt=$4;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 220 "CompileExpression.cpp"
 $retval=0; //@line 221 "CompileExpression.cpp"
 label=26;break; //@line 221 "CompileExpression.cpp"
 case 3: 
 var $7=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 223 "CompileExpression.cpp"
 var $call=__ZN11Elementizer10GetElementEi($7,1); //@line 223 "CompileExpression.cpp"
 if($call){label=5;break;}else{label=4;break;} //@line 223 "CompileExpression.cpp"
 case 4: 
 $retval=0; //@line 225 "CompileExpression.cpp"
 label=26;break; //@line 225 "CompileExpression.cpp"
 case 5: 
 var $call3=__Z23StringConstant_GetIndexv(); //@line 227 "CompileExpression.cpp"
 if($call3){label=7;break;}else{label=6;break;} //@line 227 "CompileExpression.cpp"
 case 6: 
 $retval=0; //@line 229 "CompileExpression.cpp"
 label=26;break; //@line 229 "CompileExpression.cpp"
 case 7: 
 label=8;break; //@line 233 "CompileExpression.cpp"
 case 8: 
 var $call6=__Z11GetTryValuebbb(1,0,0); //@line 235 "CompileExpression.cpp"
 if($call6){label=10;break;}else{label=9;break;} //@line 235 "CompileExpression.cpp"
 case 9: 
 $retval=0; //@line 237 "CompileExpression.cpp"
 label=26;break; //@line 237 "CompileExpression.cpp"
 case 10: 
 var $call9=__Z9GetResultv(); //@line 239 "CompileExpression.cpp"
 $value=$call9; //@line 239 "CompileExpression.cpp"
 var $8=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 240 "CompileExpression.cpp"
 var $intMode=(($8+16979888)|0); //@line 240 "CompileExpression.cpp"
 var $9=((((HEAPU8[($intMode)])|(HEAPU8[((($intMode)+(1))|0)]<<8)|(HEAPU8[((($intMode)+(2))|0)]<<16)|(HEAPU8[((($intMode)+(3))|0)]<<24))|0)); //@line 240 "CompileExpression.cpp"
 var $cmp10=($9|0)==2; //@line 240 "CompileExpression.cpp"
 if($cmp10){label=13;break;}else{label=11;break;} //@line 240 "CompileExpression.cpp"
 case 11: 
 var $10=$value; //@line 240 "CompileExpression.cpp"
 var $cmp11=($10|0)==0; //@line 240 "CompileExpression.cpp"
 if($cmp11){label=13;break;}else{label=12;break;} //@line 240 "CompileExpression.cpp"
 case 12: 
 var $11=$value; //@line 240 "CompileExpression.cpp"
 var $cmp13=($11|0)>255; //@line 240 "CompileExpression.cpp"
 if($cmp13){label=13;break;}else{label=14;break;} //@line 240 "CompileExpression.cpp"
 case 13: 
 var $12=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 242 "CompileExpression.cpp"
 var $13=$12; //@line 242 "CompileExpression.cpp"
 var $error15=(($13)|0); //@line 242 "CompileExpression.cpp"
 HEAP8[($error15)]=1; //@line 242 "CompileExpression.cpp"
 var $14=((((HEAPU8[(408)])|(HEAPU8[(409)]<<8)|(HEAPU8[(410)]<<16)|(HEAPU8[(411)]<<24))|0)); //@line 243 "CompileExpression.cpp"
 var $15=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 243 "CompileExpression.cpp"
 var $16=$15; //@line 243 "CompileExpression.cpp"
 var $error_msg16=(($16+4)|0); //@line 243 "CompileExpression.cpp"
 tempBigInt=$14;HEAP8[($error_msg16)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg16)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg16)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg16)+(3))|0)]=tempBigInt&0xff; //@line 243 "CompileExpression.cpp"
 $retval=0; //@line 244 "CompileExpression.cpp"
 label=26;break; //@line 244 "CompileExpression.cpp"
 case 14: 
 var $17=$value; //@line 246 "CompileExpression.cpp"
 var $and=$17&255; //@line 246 "CompileExpression.cpp"
 var $conv18=(($and)&255); //@line 246 "CompileExpression.cpp"
 var $call19=__Z24StringConstant_EnterCharh($conv18); //@line 246 "CompileExpression.cpp"
 if($call19){label=16;break;}else{label=15;break;} //@line 246 "CompileExpression.cpp"
 case 15: 
 $retval=0; //@line 248 "CompileExpression.cpp"
 label=26;break; //@line 248 "CompileExpression.cpp"
 case 16: 
 HEAP8[($bComma)]=0; //@line 251 "CompileExpression.cpp"
 var $call22=__Z15GetCommaOrRightRb($bComma); //@line 252 "CompileExpression.cpp"
 if($call22){label=18;break;}else{label=17;break;} //@line 252 "CompileExpression.cpp"
 case 17: 
 $retval=0; //@line 254 "CompileExpression.cpp"
 label=26;break; //@line 254 "CompileExpression.cpp"
 case 18: 
 var $18=HEAP8[($bComma)]; //@line 256 "CompileExpression.cpp"
 var $tobool25=(($18)&1); //@line 256 "CompileExpression.cpp"
 if($tobool25){label=20;break;}else{label=19;break;} //@line 256 "CompileExpression.cpp"
 case 19: 
 label=21;break; //@line 259 "CompileExpression.cpp"
 case 20: 
 label=8;break; //@line 261 "CompileExpression.cpp"
 case 21: 
 var $call28=__Z24StringConstant_EnterCharh(0); //@line 262 "CompileExpression.cpp"
 var $call29=__Z8EnterObjh(-121); //@line 264 "CompileExpression.cpp"
 if($call29){label=23;break;}else{label=22;break;} //@line 264 "CompileExpression.cpp"
 case 22: 
 $retval=0; //@line 266 "CompileExpression.cpp"
 label=26;break; //@line 266 "CompileExpression.cpp"
 case 23: 
 __Z25StringConstant_EnterPatchv(); //@line 269 "CompileExpression.cpp"
 var $call32=__Z8EnterObjh(-128); //@line 272 "CompileExpression.cpp"
 if($call32){label=25;break;}else{label=24;break;} //@line 272 "CompileExpression.cpp"
 case 24: 
 $retval=0; //@line 274 "CompileExpression.cpp"
 label=26;break; //@line 274 "CompileExpression.cpp"
 case 25: 
 var $call35=__Z8EnterObjh(0); //@line 276 "CompileExpression.cpp"
 $retval=$call35; //@line 276 "CompileExpression.cpp"
 label=26;break; //@line 276 "CompileExpression.cpp"
 case 26: 
 var $19=$retval; //@line 277 "CompileExpression.cpp"
 STACKTOP=sp;return $19; //@line 277 "CompileExpression.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z27CompileTerm_FloatRoundTruncv(){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $0=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 282 "CompileExpression.cpp"
 __ZN11Elementizer6BackupEv($0); //@line 282 "CompileExpression.cpp"
 var $call=__Z11GetTryValuebbb(1,0,0); //@line 284 "CompileExpression.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 284 "CompileExpression.cpp"
 case 2: 
 $retval=0; //@line 286 "CompileExpression.cpp"
 label=4;break; //@line 286 "CompileExpression.cpp"
 case 3: 
 var $call1=__Z9GetResultv(); //@line 288 "CompileExpression.cpp"
 var $call2=__Z15CompileConstanti($call1); //@line 288 "CompileExpression.cpp"
 $retval=$call2; //@line 288 "CompileExpression.cpp"
 label=4;break; //@line 288 "CompileExpression.cpp"
 case 4: 
 var $1=$retval; //@line 289 "CompileExpression.cpp"
 STACKTOP=sp;return $1; //@line 289 "CompileExpression.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z15CompileTerm_Subhi($anchor,$value){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $anchor_addr;
 var $value_addr;
 $anchor_addr=$anchor;
 $value_addr=$value;
 var $0=$anchor_addr; //@line 293 "CompileExpression.cpp"
 var $call=__Z8EnterObjh($0); //@line 293 "CompileExpression.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 293 "CompileExpression.cpp"
 case 2: 
 $retval=0; //@line 295 "CompileExpression.cpp"
 label=8;break; //@line 295 "CompileExpression.cpp"
 case 3: 
 var $1=$value_addr; //@line 297 "CompileExpression.cpp"
 var $and=$1&65280; //@line 297 "CompileExpression.cpp"
 var $shr=$and>>8; //@line 297 "CompileExpression.cpp"
 var $call1=__Z17CompileParametersi($shr); //@line 297 "CompileExpression.cpp"
 if($call1){label=5;break;}else{label=4;break;} //@line 297 "CompileExpression.cpp"
 case 4: 
 $retval=0; //@line 299 "CompileExpression.cpp"
 label=8;break; //@line 299 "CompileExpression.cpp"
 case 5: 
 var $call4=__Z8EnterObjh(5); //@line 301 "CompileExpression.cpp"
 if($call4){label=7;break;}else{label=6;break;} //@line 301 "CompileExpression.cpp"
 case 6: 
 $retval=0; //@line 303 "CompileExpression.cpp"
 label=8;break; //@line 303 "CompileExpression.cpp"
 case 7: 
 var $2=$value_addr; //@line 305 "CompileExpression.cpp"
 var $and7=$2&255; //@line 305 "CompileExpression.cpp"
 var $conv=(($and7)&255); //@line 305 "CompileExpression.cpp"
 var $call8=__Z8EnterObjh($conv); //@line 305 "CompileExpression.cpp"
 $retval=$call8; //@line 305 "CompileExpression.cpp"
 label=8;break; //@line 305 "CompileExpression.cpp"
 case 8: 
 var $3=$retval; //@line 306 "CompileExpression.cpp"
 STACKTOP=sp;return $3; //@line 306 "CompileExpression.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z18CompileTerm_ObjPubhi($anchor,$value){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+16)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $anchor_addr;
 var $value_addr;
 var $bIndex=sp;
 var $expSourcePtr=(sp)+(8);
 var $objPubValue;
 var $byteCode;
 $anchor_addr=$anchor;
 $value_addr=$value;
 var $0=$anchor_addr; //@line 311 "CompileExpression.cpp"
 var $call=__Z8EnterObjh($0); //@line 311 "CompileExpression.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 311 "CompileExpression.cpp"
 case 2: 
 $retval=0; //@line 313 "CompileExpression.cpp"
 label=20;break; //@line 313 "CompileExpression.cpp"
 case 3: 
 HEAP8[($bIndex)]=0; //@line 317 "CompileExpression.cpp"
 tempBigInt=0;HEAP8[($expSourcePtr)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($expSourcePtr)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($expSourcePtr)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($expSourcePtr)+(3))|0)]=tempBigInt&0xff; //@line 318 "CompileExpression.cpp"
 var $call1=__Z10CheckIndexRbRi($bIndex,$expSourcePtr); //@line 319 "CompileExpression.cpp"
 if($call1){label=5;break;}else{label=4;break;} //@line 319 "CompileExpression.cpp"
 case 4: 
 $retval=0; //@line 321 "CompileExpression.cpp"
 label=20;break; //@line 321 "CompileExpression.cpp"
 case 5: 
 var $1=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 324 "CompileExpression.cpp"
 var $call4=__ZN11Elementizer10GetElementEi($1,10); //@line 324 "CompileExpression.cpp"
 if($call4){label=7;break;}else{label=6;break;} //@line 324 "CompileExpression.cpp"
 case 6: 
 $retval=0; //@line 326 "CompileExpression.cpp"
 label=20;break; //@line 326 "CompileExpression.cpp"
 case 7: 
 var $2=$value_addr; //@line 330 "CompileExpression.cpp"
 var $and=$2&65280; //@line 330 "CompileExpression.cpp"
 var $shr=$and>>8; //@line 330 "CompileExpression.cpp"
 var $conv=(($shr)&255); //@line 330 "CompileExpression.cpp"
 var $call7=__Z12GetObjSymbolic(80,$conv); //@line 330 "CompileExpression.cpp"
 if($call7){label=9;break;}else{label=8;break;} //@line 330 "CompileExpression.cpp"
 case 8: 
 $retval=0; //@line 332 "CompileExpression.cpp"
 label=20;break; //@line 332 "CompileExpression.cpp"
 case 9: 
 var $3=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 335 "CompileExpression.cpp"
 var $call10=__ZN11Elementizer8GetValueEv($3); //@line 335 "CompileExpression.cpp"
 $objPubValue=$call10; //@line 335 "CompileExpression.cpp"
 var $4=$objPubValue; //@line 338 "CompileExpression.cpp"
 var $and11=$4&65280; //@line 338 "CompileExpression.cpp"
 var $shr12=$and11>>8; //@line 338 "CompileExpression.cpp"
 var $call13=__Z17CompileParametersi($shr12); //@line 338 "CompileExpression.cpp"
 if($call13){label=11;break;}else{label=10;break;} //@line 338 "CompileExpression.cpp"
 case 10: 
 $retval=0; //@line 340 "CompileExpression.cpp"
 label=20;break; //@line 340 "CompileExpression.cpp"
 case 11: 
 $byteCode=6; //@line 343 "CompileExpression.cpp"
 var $5=HEAP8[($bIndex)]; //@line 344 "CompileExpression.cpp"
 var $tobool=(($5)&1); //@line 344 "CompileExpression.cpp"
 if($tobool){label=12;break;}else{label=15;break;} //@line 344 "CompileExpression.cpp"
 case 12: 
 var $6=((((HEAPU8[($expSourcePtr)])|(HEAPU8[((($expSourcePtr)+(1))|0)]<<8)|(HEAPU8[((($expSourcePtr)+(2))|0)]<<16)|(HEAPU8[((($expSourcePtr)+(3))|0)]<<24))|0)); //@line 346 "CompileExpression.cpp"
 var $call17=__Z30CompileOutOfSequenceExpressioni($6); //@line 346 "CompileExpression.cpp"
 if($call17){label=14;break;}else{label=13;break;} //@line 346 "CompileExpression.cpp"
 case 13: 
 $retval=0; //@line 348 "CompileExpression.cpp"
 label=20;break; //@line 348 "CompileExpression.cpp"
 case 14: 
 $byteCode=7; //@line 350 "CompileExpression.cpp"
 label=15;break; //@line 351 "CompileExpression.cpp"
 case 15: 
 var $7=$byteCode; //@line 352 "CompileExpression.cpp"
 var $call21=__Z8EnterObjh($7); //@line 352 "CompileExpression.cpp"
 if($call21){label=17;break;}else{label=16;break;} //@line 352 "CompileExpression.cpp"
 case 16: 
 $retval=0; //@line 354 "CompileExpression.cpp"
 label=20;break; //@line 354 "CompileExpression.cpp"
 case 17: 
 var $8=$value_addr; //@line 357 "CompileExpression.cpp"
 var $and24=$8&255; //@line 357 "CompileExpression.cpp"
 var $conv25=(($and24)&255); //@line 357 "CompileExpression.cpp"
 var $call26=__Z8EnterObjh($conv25); //@line 357 "CompileExpression.cpp"
 if($call26){label=19;break;}else{label=18;break;} //@line 357 "CompileExpression.cpp"
 case 18: 
 $retval=0; //@line 359 "CompileExpression.cpp"
 label=20;break; //@line 359 "CompileExpression.cpp"
 case 19: 
 var $9=$objPubValue; //@line 361 "CompileExpression.cpp"
 var $and29=$9&255; //@line 361 "CompileExpression.cpp"
 var $conv30=(($and29)&255); //@line 361 "CompileExpression.cpp"
 var $call31=__Z8EnterObjh($conv30); //@line 361 "CompileExpression.cpp"
 $retval=$call31; //@line 361 "CompileExpression.cpp"
 label=20;break; //@line 361 "CompileExpression.cpp"
 case 20: 
 var $10=$retval; //@line 362 "CompileExpression.cpp"
 STACKTOP=sp;return $10; //@line 362 "CompileExpression.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z21CompileTerm_ObjPubConi($value){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $value_addr;
 $value_addr=$value;
 var $0=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 367 "CompileExpression.cpp"
 var $call=__ZN11Elementizer12CheckElementEi($0,7); //@line 367 "CompileExpression.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 367 "CompileExpression.cpp"
 case 2: 
 var $1=$value_addr; //@line 370 "CompileExpression.cpp"
 var $call1=__Z18CompileTerm_ObjPubhi(0,$1); //@line 370 "CompileExpression.cpp"
 $retval=$call1; //@line 370 "CompileExpression.cpp"
 label=6;break; //@line 370 "CompileExpression.cpp"
 case 3: 
 var $2=$value_addr; //@line 373 "CompileExpression.cpp"
 var $and=$2&65280; //@line 373 "CompileExpression.cpp"
 var $shr=$and>>8; //@line 373 "CompileExpression.cpp"
 var $conv=(($shr)&255); //@line 373 "CompileExpression.cpp"
 var $call2=__Z12GetObjSymbolic(81,$conv); //@line 373 "CompileExpression.cpp"
 if($call2){label=5;break;}else{label=4;break;} //@line 373 "CompileExpression.cpp"
 case 4: 
 $retval=0; //@line 375 "CompileExpression.cpp"
 label=6;break; //@line 375 "CompileExpression.cpp"
 case 5: 
 var $3=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 377 "CompileExpression.cpp"
 var $call5=__ZN11Elementizer8GetValueEv($3); //@line 377 "CompileExpression.cpp"
 var $call6=__Z15CompileConstanti($call5); //@line 377 "CompileExpression.cpp"
 $retval=$call6; //@line 377 "CompileExpression.cpp"
 label=6;break; //@line 377 "CompileExpression.cpp"
 case 6: 
 var $4=$retval; //@line 378 "CompileExpression.cpp"
 STACKTOP=sp;return $4; //@line 378 "CompileExpression.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z15CompileTerm_Tryh($anchor){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+8)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $anchor_addr;
 var $bEof=sp;
 $anchor_addr=$anchor;
 HEAP8[($bEof)]=0; //@line 383 "CompileExpression.cpp"
 var $0=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 384 "CompileExpression.cpp"
 var $call=__ZN11Elementizer7GetNextERb($0,$bEof); //@line 384 "CompileExpression.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 384 "CompileExpression.cpp"
 case 2: 
 $retval=0; //@line 386 "CompileExpression.cpp"
 label=9;break; //@line 386 "CompileExpression.cpp"
 case 3: 
 var $1=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 388 "CompileExpression.cpp"
 var $call1=__ZN11Elementizer7GetTypeEv($1); //@line 388 "CompileExpression.cpp"
 var $cmp=($call1|0)==83; //@line 388 "CompileExpression.cpp"
 if($cmp){label=4;break;}else{label=5;break;} //@line 388 "CompileExpression.cpp"
 case 4: 
 var $2=$anchor_addr; //@line 390 "CompileExpression.cpp"
 var $3=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 390 "CompileExpression.cpp"
 var $call3=__ZN11Elementizer8GetValueEv($3); //@line 390 "CompileExpression.cpp"
 var $call4=__Z15CompileTerm_Subhi($2,$call3); //@line 390 "CompileExpression.cpp"
 $retval=$call4; //@line 390 "CompileExpression.cpp"
 label=9;break; //@line 390 "CompileExpression.cpp"
 case 5: 
 var $4=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 392 "CompileExpression.cpp"
 var $call5=__ZN11Elementizer7GetTypeEv($4); //@line 392 "CompileExpression.cpp"
 var $cmp6=($call5|0)==79; //@line 392 "CompileExpression.cpp"
 if($cmp6){label=6;break;}else{label=7;break;} //@line 392 "CompileExpression.cpp"
 case 6: 
 var $5=$anchor_addr; //@line 394 "CompileExpression.cpp"
 var $6=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 394 "CompileExpression.cpp"
 var $call8=__ZN11Elementizer8GetValueEv($6); //@line 394 "CompileExpression.cpp"
 var $call9=__Z18CompileTerm_ObjPubhi($5,$call8); //@line 394 "CompileExpression.cpp"
 $retval=$call9; //@line 394 "CompileExpression.cpp"
 label=9;break; //@line 394 "CompileExpression.cpp"
 case 7: 
 label=8;break;
 case 8: 
 var $7=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 397 "CompileExpression.cpp"
 var $8=$7; //@line 397 "CompileExpression.cpp"
 var $error=(($8)|0); //@line 397 "CompileExpression.cpp"
 HEAP8[($error)]=1; //@line 397 "CompileExpression.cpp"
 var $9=((((HEAPU8[(108)])|(HEAPU8[(109)]<<8)|(HEAPU8[(110)]<<16)|(HEAPU8[(111)]<<24))|0)); //@line 398 "CompileExpression.cpp"
 var $10=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 398 "CompileExpression.cpp"
 var $11=$10; //@line 398 "CompileExpression.cpp"
 var $error_msg=(($11+4)|0); //@line 398 "CompileExpression.cpp"
 tempBigInt=$9;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 398 "CompileExpression.cpp"
 $retval=0; //@line 399 "CompileExpression.cpp"
 label=9;break; //@line 399 "CompileExpression.cpp"
 case 9: 
 var $12=$retval; //@line 400 "CompileExpression.cpp"
 STACKTOP=sp;return $12; //@line 400 "CompileExpression.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z11CompileLookii($column,$param){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+16)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $column_addr;
 var $param_addr;
 var $byteCode;
 var $bRange=sp;
 var $bComma=(sp)+(8);
 $column_addr=$column;
 $param_addr=$param;
 var $0=$column_addr; //@line 404 "CompileExpression.cpp"
 $column_addr=$0; //@line 404 "CompileExpression.cpp"
 var $1=$param_addr; //@line 406 "CompileExpression.cpp"
 var $and=$1&255; //@line 406 "CompileExpression.cpp"
 $param_addr=$and; //@line 406 "CompileExpression.cpp"
 $byteCode=53; //@line 408 "CompileExpression.cpp"
 var $2=$param_addr; //@line 409 "CompileExpression.cpp"
 var $cmp=($2|0)<128; //@line 409 "CompileExpression.cpp"
 if($cmp){label=2;break;}else{label=3;break;} //@line 409 "CompileExpression.cpp"
 case 2: 
 var $3=$byteCode; //@line 411 "CompileExpression.cpp"
 var $conv=($3&255); //@line 411 "CompileExpression.cpp"
 var $add=((($conv)+(1))|0); //@line 411 "CompileExpression.cpp"
 var $conv1=(($add)&255); //@line 411 "CompileExpression.cpp"
 $byteCode=$conv1; //@line 411 "CompileExpression.cpp"
 label=3;break; //@line 412 "CompileExpression.cpp"
 case 3: 
 var $4=$byteCode; //@line 413 "CompileExpression.cpp"
 var $call=__Z8EnterObjh($4); //@line 413 "CompileExpression.cpp"
 if($call){label=5;break;}else{label=4;break;} //@line 413 "CompileExpression.cpp"
 case 4: 
 $retval=0; //@line 415 "CompileExpression.cpp"
 label=28;break; //@line 415 "CompileExpression.cpp"
 case 5: 
 var $call4=__Z26BlockStack_CompileConstantv(); //@line 418 "CompileExpression.cpp"
 if($call4){label=7;break;}else{label=6;break;} //@line 418 "CompileExpression.cpp"
 case 6: 
 $retval=0; //@line 420 "CompileExpression.cpp"
 label=28;break; //@line 420 "CompileExpression.cpp"
 case 7: 
 var $5=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 423 "CompileExpression.cpp"
 var $call7=__ZN11Elementizer10GetElementEi($5,1); //@line 423 "CompileExpression.cpp"
 if($call7){label=9;break;}else{label=8;break;} //@line 423 "CompileExpression.cpp"
 case 8: 
 $retval=0; //@line 425 "CompileExpression.cpp"
 label=28;break; //@line 425 "CompileExpression.cpp"
 case 9: 
 var $call10=__Z17CompileExpressionv(); //@line 427 "CompileExpression.cpp"
 if($call10){label=11;break;}else{label=10;break;} //@line 427 "CompileExpression.cpp"
 case 10: 
 $retval=0; //@line 429 "CompileExpression.cpp"
 label=28;break; //@line 429 "CompileExpression.cpp"
 case 11: 
 var $6=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 431 "CompileExpression.cpp"
 var $call13=__ZN11Elementizer10GetElementEi($6,8); //@line 431 "CompileExpression.cpp"
 if($call13){label=13;break;}else{label=12;break;} //@line 431 "CompileExpression.cpp"
 case 12: 
 $retval=0; //@line 433 "CompileExpression.cpp"
 label=28;break; //@line 433 "CompileExpression.cpp"
 case 13: 
 label=14;break; //@line 436 "CompileExpression.cpp"
 case 14: 
 HEAP8[($bRange)]=0; //@line 438 "CompileExpression.cpp"
 var $call16=__Z12CompileRangeRb($bRange); //@line 439 "CompileExpression.cpp"
 if($call16){label=16;break;}else{label=15;break;} //@line 439 "CompileExpression.cpp"
 case 15: 
 $retval=0; //@line 441 "CompileExpression.cpp"
 label=28;break; //@line 441 "CompileExpression.cpp"
 case 16: 
 var $7=$param_addr; //@line 443 "CompileExpression.cpp"
 var $conv19=(($7)&255); //@line 443 "CompileExpression.cpp"
 $byteCode=$conv19; //@line 443 "CompileExpression.cpp"
 var $8=HEAP8[($bRange)]; //@line 444 "CompileExpression.cpp"
 var $tobool=(($8)&1); //@line 444 "CompileExpression.cpp"
 if($tobool){label=17;break;}else{label=18;break;} //@line 444 "CompileExpression.cpp"
 case 17: 
 var $9=$byteCode; //@line 446 "CompileExpression.cpp"
 var $conv21=($9&255); //@line 446 "CompileExpression.cpp"
 var $or=$conv21|2; //@line 446 "CompileExpression.cpp"
 var $conv22=(($or)&255); //@line 446 "CompileExpression.cpp"
 $byteCode=$conv22; //@line 446 "CompileExpression.cpp"
 label=18;break; //@line 447 "CompileExpression.cpp"
 case 18: 
 var $10=$byteCode; //@line 448 "CompileExpression.cpp"
 var $conv24=($10&255); //@line 448 "CompileExpression.cpp"
 var $and25=$conv24&127; //@line 448 "CompileExpression.cpp"
 var $conv26=(($and25)&255); //@line 448 "CompileExpression.cpp"
 var $call27=__Z8EnterObjh($conv26); //@line 448 "CompileExpression.cpp"
 if($call27){label=20;break;}else{label=19;break;} //@line 448 "CompileExpression.cpp"
 case 19: 
 $retval=0; //@line 450 "CompileExpression.cpp"
 label=28;break; //@line 450 "CompileExpression.cpp"
 case 20: 
 HEAP8[($bComma)]=0; //@line 452 "CompileExpression.cpp"
 var $call30=__Z15GetCommaOrRightRb($bComma); //@line 453 "CompileExpression.cpp"
 if($call30){label=22;break;}else{label=21;break;} //@line 453 "CompileExpression.cpp"
 case 21: 
 $retval=0; //@line 455 "CompileExpression.cpp"
 label=28;break; //@line 455 "CompileExpression.cpp"
 case 22: 
 var $11=HEAP8[($bComma)]; //@line 457 "CompileExpression.cpp"
 var $tobool33=(($11)&1); //@line 457 "CompileExpression.cpp"
 if($tobool33){label=24;break;}else{label=23;break;} //@line 457 "CompileExpression.cpp"
 case 23: 
 label=25;break; //@line 459 "CompileExpression.cpp"
 case 24: 
 label=14;break; //@line 461 "CompileExpression.cpp"
 case 25: 
 var $call36=__Z8EnterObjh(15); //@line 463 "CompileExpression.cpp"
 if($call36){label=27;break;}else{label=26;break;} //@line 463 "CompileExpression.cpp"
 case 26: 
 $retval=0; //@line 465 "CompileExpression.cpp"
 label=28;break; //@line 465 "CompileExpression.cpp"
 case 27: 
 var $12=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 468 "CompileExpression.cpp"
 var $13=$12; //@line 468 "CompileExpression.cpp"
 var $obj_ptr=(($13+16777264)|0); //@line 468 "CompileExpression.cpp"
 var $14=((((HEAPU8[($obj_ptr)])|(HEAPU8[((($obj_ptr)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr)+(3))|0)]<<24))|0)); //@line 468 "CompileExpression.cpp"
 __Z16BlockStack_Writeii(0,$14); //@line 468 "CompileExpression.cpp"
 $retval=1; //@line 469 "CompileExpression.cpp"
 label=28;break; //@line 469 "CompileExpression.cpp"
 case 28: 
 var $15=$retval; //@line 470 "CompileExpression.cpp"
 STACKTOP=sp;return $15; //@line 470 "CompileExpression.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z16CompileTerm_Looki($value){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $value_addr;
 $value_addr=$value;
 var $call=__Z13BlockNest_Newhi(49,1); //@line 476 "CompileExpression.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 476 "CompileExpression.cpp"
 case 2: 
 $retval=0; //@line 478 "CompileExpression.cpp"
 label=6;break; //@line 478 "CompileExpression.cpp"
 case 3: 
 var $0=$value_addr; //@line 481 "CompileExpression.cpp"
 var $call1=__Z13OptimizeBlockiiPFbiiE(0,$0,46); //@line 481 "CompileExpression.cpp"
 if($call1){label=5;break;}else{label=4;break;} //@line 481 "CompileExpression.cpp"
 case 4: 
 $retval=0; //@line 483 "CompileExpression.cpp"
 label=6;break; //@line 483 "CompileExpression.cpp"
 case 5: 
 __Z13BlockNest_Endv(); //@line 486 "CompileExpression.cpp"
 $retval=1; //@line 487 "CompileExpression.cpp"
 label=6;break; //@line 487 "CompileExpression.cpp"
 case 6: 
 var $1=$retval; //@line 488 "CompileExpression.cpp"
 STACKTOP=sp;return $1; //@line 488 "CompileExpression.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z19CompileTerm_ClkModev(){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $call=__Z8EnterObjh(56); //@line 492 "CompileExpression.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 492 "CompileExpression.cpp"
 case 2: 
 $retval=0; //@line 494 "CompileExpression.cpp"
 label=6;break; //@line 494 "CompileExpression.cpp"
 case 3: 
 var $call1=__Z8EnterObjh(4); //@line 496 "CompileExpression.cpp"
 if($call1){label=5;break;}else{label=4;break;} //@line 496 "CompileExpression.cpp"
 case 4: 
 $retval=0; //@line 498 "CompileExpression.cpp"
 label=6;break; //@line 498 "CompileExpression.cpp"
 case 5: 
 var $call4=__Z8EnterObjh(-128); //@line 500 "CompileExpression.cpp"
 $retval=$call4; //@line 500 "CompileExpression.cpp"
 label=6;break; //@line 500 "CompileExpression.cpp"
 case 6: 
 var $0=$retval; //@line 501 "CompileExpression.cpp"
 STACKTOP=sp;return $0; //@line 501 "CompileExpression.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z19CompileTerm_ClkFreqv(){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $call=__Z8EnterObjh(53); //@line 505 "CompileExpression.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 505 "CompileExpression.cpp"
 case 2: 
 $retval=0; //@line 507 "CompileExpression.cpp"
 label=4;break; //@line 507 "CompileExpression.cpp"
 case 3: 
 var $call1=__Z8EnterObjh(-64); //@line 509 "CompileExpression.cpp"
 $retval=$call1; //@line 509 "CompileExpression.cpp"
 label=4;break; //@line 509 "CompileExpression.cpp"
 case 4: 
 var $0=$retval; //@line 510 "CompileExpression.cpp"
 STACKTOP=sp;return $0; //@line 510 "CompileExpression.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z19CompileTerm_ChipVerv(){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $call=__Z8EnterObjh(52); //@line 514 "CompileExpression.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 514 "CompileExpression.cpp"
 case 2: 
 $retval=0; //@line 516 "CompileExpression.cpp"
 label=4;break; //@line 516 "CompileExpression.cpp"
 case 3: 
 var $call1=__Z8EnterObjh(-128); //@line 518 "CompileExpression.cpp"
 $retval=$call1; //@line 518 "CompileExpression.cpp"
 label=4;break; //@line 518 "CompileExpression.cpp"
 case 4: 
 var $0=$retval; //@line 519 "CompileExpression.cpp"
 STACKTOP=sp;return $0; //@line 519 "CompileExpression.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z17CompileTerm_CogIdv(){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $call=__Z8EnterObjh(63); //@line 523 "CompileExpression.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 523 "CompileExpression.cpp"
 case 2: 
 $retval=0; //@line 525 "CompileExpression.cpp"
 label=4;break; //@line 525 "CompileExpression.cpp"
 case 3: 
 var $call1=__Z8EnterObjh(-119); //@line 527 "CompileExpression.cpp"
 $retval=$call1; //@line 527 "CompileExpression.cpp"
 label=4;break; //@line 527 "CompileExpression.cpp"
 case 4: 
 var $0=$retval; //@line 528 "CompileExpression.cpp"
 STACKTOP=sp;return $0; //@line 528 "CompileExpression.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z16CompileTerm_Insti($value){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $value_addr;
 $value_addr=$value;
 var $0=$value_addr; //@line 532 "CompileExpression.cpp"
 var $and=$0&255; //@line 532 "CompileExpression.cpp"
 var $shr=$and>>6; //@line 532 "CompileExpression.cpp"
 var $call=__Z17CompileParametersi($shr); //@line 532 "CompileExpression.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 532 "CompileExpression.cpp"
 case 2: 
 $retval=0; //@line 534 "CompileExpression.cpp"
 label=4;break; //@line 534 "CompileExpression.cpp"
 case 3: 
 var $1=$value_addr; //@line 536 "CompileExpression.cpp"
 var $and1=$1&63; //@line 536 "CompileExpression.cpp"
 var $conv=(($and1)&255); //@line 536 "CompileExpression.cpp"
 var $call2=__Z8EnterObjh($conv); //@line 536 "CompileExpression.cpp"
 $retval=$call2; //@line 536 "CompileExpression.cpp"
 label=4;break; //@line 536 "CompileExpression.cpp"
 case 4: 
 var $2=$retval; //@line 537 "CompileExpression.cpp"
 STACKTOP=sp;return $2; //@line 537 "CompileExpression.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z18CompileTerm_CogNewi($value){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+8)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $value_addr;
 var $bEof=sp;
 var $subConstant;
 $value_addr=$value;
 var $0=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 542 "CompileExpression.cpp"
 var $call=__ZN11Elementizer10GetElementEi($0,1); //@line 542 "CompileExpression.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 542 "CompileExpression.cpp"
 case 2: 
 $retval=0; //@line 544 "CompileExpression.cpp"
 label=22;break; //@line 544 "CompileExpression.cpp"
 case 3: 
 HEAP8[($bEof)]=0; //@line 546 "CompileExpression.cpp"
 var $1=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 547 "CompileExpression.cpp"
 var $call1=__ZN11Elementizer7GetNextERb($1,$bEof); //@line 547 "CompileExpression.cpp"
 if($call1){label=5;break;}else{label=4;break;} //@line 547 "CompileExpression.cpp"
 case 4: 
 $retval=0; //@line 549 "CompileExpression.cpp"
 label=22;break; //@line 549 "CompileExpression.cpp"
 case 5: 
 var $2=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 551 "CompileExpression.cpp"
 var $call4=__ZN11Elementizer7GetTypeEv($2); //@line 551 "CompileExpression.cpp"
 var $cmp=($call4|0)==83; //@line 551 "CompileExpression.cpp"
 if($cmp){label=6;break;}else{label=19;break;} //@line 551 "CompileExpression.cpp"
 case 6: 
 var $3=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 553 "CompileExpression.cpp"
 var $call6=__ZN11Elementizer8GetValueEv($3); //@line 553 "CompileExpression.cpp"
 $subConstant=$call6; //@line 553 "CompileExpression.cpp"
 var $4=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 555 "CompileExpression.cpp"
 var $call7=__ZN11Elementizer8GetValueEv($4); //@line 555 "CompileExpression.cpp"
 var $and=$call7&65280; //@line 555 "CompileExpression.cpp"
 var $shr=$and>>8; //@line 555 "CompileExpression.cpp"
 var $call8=__Z17CompileParametersi($shr); //@line 555 "CompileExpression.cpp"
 if($call8){label=8;break;}else{label=7;break;} //@line 555 "CompileExpression.cpp"
 case 7: 
 $retval=0; //@line 557 "CompileExpression.cpp"
 label=22;break; //@line 557 "CompileExpression.cpp"
 case 8: 
 var $5=$subConstant; //@line 559 "CompileExpression.cpp"
 var $call11=__Z15CompileConstanti($5); //@line 559 "CompileExpression.cpp"
 if($call11){label=10;break;}else{label=9;break;} //@line 559 "CompileExpression.cpp"
 case 9: 
 $retval=0; //@line 561 "CompileExpression.cpp"
 label=22;break; //@line 561 "CompileExpression.cpp"
 case 10: 
 var $6=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 563 "CompileExpression.cpp"
 var $call14=__ZN11Elementizer10GetElementEi($6,5); //@line 563 "CompileExpression.cpp"
 if($call14){label=12;break;}else{label=11;break;} //@line 563 "CompileExpression.cpp"
 case 11: 
 $retval=0; //@line 565 "CompileExpression.cpp"
 label=22;break; //@line 565 "CompileExpression.cpp"
 case 12: 
 var $call17=__Z17CompileExpressionv(); //@line 567 "CompileExpression.cpp"
 if($call17){label=14;break;}else{label=13;break;} //@line 567 "CompileExpression.cpp"
 case 13: 
 $retval=0; //@line 569 "CompileExpression.cpp"
 label=22;break; //@line 569 "CompileExpression.cpp"
 case 14: 
 var $7=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 571 "CompileExpression.cpp"
 var $call20=__ZN11Elementizer10GetElementEi($7,2); //@line 571 "CompileExpression.cpp"
 if($call20){label=16;break;}else{label=15;break;} //@line 571 "CompileExpression.cpp"
 case 15: 
 $retval=0; //@line 573 "CompileExpression.cpp"
 label=22;break; //@line 573 "CompileExpression.cpp"
 case 16: 
 var $call23=__Z8EnterObjh(21); //@line 575 "CompileExpression.cpp"
 if($call23){label=18;break;}else{label=17;break;} //@line 575 "CompileExpression.cpp"
 case 17: 
 $retval=0; //@line 577 "CompileExpression.cpp"
 label=22;break; //@line 577 "CompileExpression.cpp"
 case 18: 
 var $8=$value_addr; //@line 579 "CompileExpression.cpp"
 var $and26=$8&63; //@line 579 "CompileExpression.cpp"
 var $conv=(($and26)&255); //@line 579 "CompileExpression.cpp"
 var $call27=__Z8EnterObjh($conv); //@line 579 "CompileExpression.cpp"
 $retval=$call27; //@line 579 "CompileExpression.cpp"
 label=22;break; //@line 579 "CompileExpression.cpp"
 case 19: 
 var $9=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 583 "CompileExpression.cpp"
 __ZN11Elementizer6BackupEv($9); //@line 583 "CompileExpression.cpp"
 var $10=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 584 "CompileExpression.cpp"
 __ZN11Elementizer6BackupEv($10); //@line 584 "CompileExpression.cpp"
 var $call29=__Z8EnterObjh(52); //@line 586 "CompileExpression.cpp"
 if($call29){label=21;break;}else{label=20;break;} //@line 586 "CompileExpression.cpp"
 case 20: 
 $retval=0; //@line 588 "CompileExpression.cpp"
 label=22;break; //@line 588 "CompileExpression.cpp"
 case 21: 
 var $11=$value_addr; //@line 590 "CompileExpression.cpp"
 var $call32=__Z16CompileTerm_Insti($11); //@line 590 "CompileExpression.cpp"
 $retval=$call32; //@line 590 "CompileExpression.cpp"
 label=22;break; //@line 590 "CompileExpression.cpp"
 case 22: 
 var $12=$retval; //@line 591 "CompileExpression.cpp"
 STACKTOP=sp;return $12; //@line 591 "CompileExpression.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z14CompileTerm_Atv(){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+32)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $varType=sp;
 var $varSize=(sp)+(8);
 var $varAddress=(sp)+(16);
 var $varIndexSourcePtr=(sp)+(24);
 HEAP8[($varType)]=0; //@line 596 "CompileExpression.cpp"
 HEAP8[($varSize)]=0; //@line 597 "CompileExpression.cpp"
 tempBigInt=0;HEAP8[($varAddress)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($varAddress)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($varAddress)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($varAddress)+(3))|0)]=tempBigInt&0xff; //@line 598 "CompileExpression.cpp"
 tempBigInt=0;HEAP8[($varIndexSourcePtr)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($varIndexSourcePtr)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($varIndexSourcePtr)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($varIndexSourcePtr)+(3))|0)]=tempBigInt&0xff; //@line 599 "CompileExpression.cpp"
 var $call=__Z11GetVariableRhS_RiS0_($varType,$varSize,$varAddress,$varIndexSourcePtr); //@line 600 "CompileExpression.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 600 "CompileExpression.cpp"
 case 2: 
 $retval=0; //@line 602 "CompileExpression.cpp"
 label=7;break; //@line 602 "CompileExpression.cpp"
 case 3: 
 var $0=HEAP8[($varType)]; //@line 604 "CompileExpression.cpp"
 var $conv=($0&255); //@line 604 "CompileExpression.cpp"
 var $cmp=($conv|0)==66; //@line 604 "CompileExpression.cpp"
 if($cmp){label=5;break;}else{label=4;break;} //@line 604 "CompileExpression.cpp"
 case 4: 
 var $1=HEAP8[($varType)]; //@line 604 "CompileExpression.cpp"
 var $conv1=($1&255); //@line 604 "CompileExpression.cpp"
 var $cmp2=($conv1|0)==20; //@line 604 "CompileExpression.cpp"
 if($cmp2){label=5;break;}else{label=6;break;} //@line 604 "CompileExpression.cpp"
 case 5: 
 var $2=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 606 "CompileExpression.cpp"
 var $3=$2; //@line 606 "CompileExpression.cpp"
 var $error=(($3)|0); //@line 606 "CompileExpression.cpp"
 HEAP8[($error)]=1; //@line 606 "CompileExpression.cpp"
 var $4=((((HEAPU8[(100)])|(HEAPU8[(101)]<<8)|(HEAPU8[(102)]<<16)|(HEAPU8[(103)]<<24))|0)); //@line 607 "CompileExpression.cpp"
 var $5=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 607 "CompileExpression.cpp"
 var $6=$5; //@line 607 "CompileExpression.cpp"
 var $error_msg=(($6+4)|0); //@line 607 "CompileExpression.cpp"
 tempBigInt=$4;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 607 "CompileExpression.cpp"
 $retval=0; //@line 608 "CompileExpression.cpp"
 label=7;break; //@line 608 "CompileExpression.cpp"
 case 6: 
 var $7=HEAP8[($varType)]; //@line 610 "CompileExpression.cpp"
 var $8=HEAP8[($varSize)]; //@line 610 "CompileExpression.cpp"
 var $9=((((HEAPU8[($varAddress)])|(HEAPU8[((($varAddress)+(1))|0)]<<8)|(HEAPU8[((($varAddress)+(2))|0)]<<16)|(HEAPU8[((($varAddress)+(3))|0)]<<24))|0)); //@line 610 "CompileExpression.cpp"
 var $10=((((HEAPU8[($varIndexSourcePtr)])|(HEAPU8[((($varIndexSourcePtr)+(1))|0)]<<8)|(HEAPU8[((($varIndexSourcePtr)+(2))|0)]<<16)|(HEAPU8[((($varIndexSourcePtr)+(3))|0)]<<24))|0)); //@line 610 "CompileExpression.cpp"
 var $call5=__Z15CompileVariablehhhhii(3,0,$7,$8,$9,$10); //@line 610 "CompileExpression.cpp"
 $retval=$call5; //@line 610 "CompileExpression.cpp"
 label=7;break; //@line 610 "CompileExpression.cpp"
 case 7: 
 var $11=$retval; //@line 611 "CompileExpression.cpp"
 STACKTOP=sp;return $11; //@line 611 "CompileExpression.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z20CompileInst_NextQuiti($value){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $value_addr;
 var $blockNestPtr;
 var $byteCode;
 var $caseDepth;
 var $blockNestType;
 var $blockStackPtr;
 $value_addr=$value;
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 33 "CompileInstruction.cpp"
 var $bnest_ptr=(($0+17048732)|0); //@line 33 "CompileInstruction.cpp"
 var $1=((((HEAPU8[($bnest_ptr)])|(HEAPU8[((($bnest_ptr)+(1))|0)]<<8)|(HEAPU8[((($bnest_ptr)+(2))|0)]<<16)|(HEAPU8[((($bnest_ptr)+(3))|0)]<<24))|0)); //@line 33 "CompileInstruction.cpp"
 $blockNestPtr=$1; //@line 33 "CompileInstruction.cpp"
 $byteCode=0; //@line 35 "CompileInstruction.cpp"
 $caseDepth=0; //@line 36 "CompileInstruction.cpp"
 label=2;break; //@line 39 "CompileInstruction.cpp"
 case 2: 
 var $2=$blockNestPtr; //@line 41 "CompileInstruction.cpp"
 var $cmp=($2|0)==0; //@line 41 "CompileInstruction.cpp"
 if($cmp){label=3;break;}else{label=4;break;} //@line 41 "CompileInstruction.cpp"
 case 3: 
 var $3=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 43 "CompileInstruction.cpp"
 var $4=$3; //@line 43 "CompileInstruction.cpp"
 var $error=(($4)|0); //@line 43 "CompileInstruction.cpp"
 HEAP8[($error)]=1; //@line 43 "CompileInstruction.cpp"
 var $5=((((HEAPU8[(448)])|(HEAPU8[(449)]<<8)|(HEAPU8[(450)]<<16)|(HEAPU8[(451)]<<24))|0)); //@line 44 "CompileInstruction.cpp"
 var $6=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 44 "CompileInstruction.cpp"
 var $7=$6; //@line 44 "CompileInstruction.cpp"
 var $error_msg=(($7+4)|0); //@line 44 "CompileInstruction.cpp"
 tempBigInt=$5;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 44 "CompileInstruction.cpp"
 $retval=0; //@line 45 "CompileInstruction.cpp"
 label=30;break; //@line 45 "CompileInstruction.cpp"
 case 4: 
 var $8=$blockNestPtr; //@line 48 "CompileInstruction.cpp"
 var $sub=((($8)-(1))|0); //@line 48 "CompileInstruction.cpp"
 var $9=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 48 "CompileInstruction.cpp"
 var $bnest_type=(($9+17048736)|0); //@line 48 "CompileInstruction.cpp"
 var $arrayidx=(($bnest_type+$sub)|0); //@line 48 "CompileInstruction.cpp"
 var $10=HEAP8[($arrayidx)]; //@line 48 "CompileInstruction.cpp"
 $blockNestType=$10; //@line 48 "CompileInstruction.cpp"
 var $11=$blockNestType; //@line 50 "CompileInstruction.cpp"
 var $conv=($11&255); //@line 50 "CompileInstruction.cpp"
 var $cmp1=($conv|0)==40; //@line 50 "CompileInstruction.cpp"
 if($cmp1){label=5;break;}else{label=6;break;} //@line 50 "CompileInstruction.cpp"
 case 5: 
 $byteCode=4; //@line 52 "CompileInstruction.cpp"
 label=17;break; //@line 53 "CompileInstruction.cpp"
 case 6: 
 var $12=$blockNestType; //@line 55 "CompileInstruction.cpp"
 var $conv3=($12&255); //@line 55 "CompileInstruction.cpp"
 var $cmp4=($conv3|0)==41; //@line 55 "CompileInstruction.cpp"
 if($cmp4){label=7;break;}else{label=8;break;} //@line 55 "CompileInstruction.cpp"
 case 7: 
 $byteCode=11; //@line 57 "CompileInstruction.cpp"
 label=17;break; //@line undefined "CompileInstruction.cpp"
 case 8: 
 var $13=$blockNestType; //@line 60 "CompileInstruction.cpp"
 var $conv7=($13&255); //@line 60 "CompileInstruction.cpp"
 var $cmp8=($conv7|0)==33; //@line 60 "CompileInstruction.cpp"
 if($cmp8){label=9;break;}else{label=10;break;} //@line 60 "CompileInstruction.cpp"
 case 9: 
 label=14;break; //@line 63 "CompileInstruction.cpp"
 case 10: 
 var $14=$blockNestType; //@line 64 "CompileInstruction.cpp"
 var $conv11=($14&255); //@line 64 "CompileInstruction.cpp"
 var $cmp12=($conv11|0)==38; //@line 64 "CompileInstruction.cpp"
 if($cmp12){label=11;break;}else{label=12;break;} //@line 64 "CompileInstruction.cpp"
 case 11: 
 var $15=$caseDepth; //@line 66 "CompileInstruction.cpp"
 var $add=((($15)+(8))|0); //@line 66 "CompileInstruction.cpp"
 $caseDepth=$add; //@line 66 "CompileInstruction.cpp"
 label=13;break; //@line 67 "CompileInstruction.cpp"
 case 12: 
 var $16=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 70 "CompileInstruction.cpp"
 var $17=$16; //@line 70 "CompileInstruction.cpp"
 var $error15=(($17)|0); //@line 70 "CompileInstruction.cpp"
 HEAP8[($error15)]=1; //@line 70 "CompileInstruction.cpp"
 var $18=((((HEAPU8[(284)])|(HEAPU8[(285)]<<8)|(HEAPU8[(286)]<<16)|(HEAPU8[(287)]<<24))|0)); //@line 71 "CompileInstruction.cpp"
 var $19=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 71 "CompileInstruction.cpp"
 var $20=$19; //@line 71 "CompileInstruction.cpp"
 var $error_msg16=(($20+4)|0); //@line 71 "CompileInstruction.cpp"
 tempBigInt=$18;HEAP8[($error_msg16)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg16)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg16)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg16)+(3))|0)]=tempBigInt&0xff; //@line 71 "CompileInstruction.cpp"
 $retval=0; //@line 72 "CompileInstruction.cpp"
 label=30;break; //@line 72 "CompileInstruction.cpp"
 case 13: 
 label=14;break;
 case 14: 
 label=15;break;
 case 15: 
 label=16;break;
 case 16: 
 var $21=$blockNestPtr; //@line 74 "CompileInstruction.cpp"
 var $dec=((($21)-(1))|0); //@line 74 "CompileInstruction.cpp"
 $blockNestPtr=$dec; //@line 74 "CompileInstruction.cpp"
 label=2;break; //@line 75 "CompileInstruction.cpp"
 case 17: 
 var $22=$caseDepth; //@line 77 "CompileInstruction.cpp"
 var $cmp21=($22|0)>0; //@line 77 "CompileInstruction.cpp"
 if($cmp21){label=18;break;}else{label=23;break;} //@line 77 "CompileInstruction.cpp"
 case 18: 
 var $23=$caseDepth; //@line 79 "CompileInstruction.cpp"
 var $call=__Z15CompileConstanti($23); //@line 79 "CompileInstruction.cpp"
 if($call){label=20;break;}else{label=19;break;} //@line 79 "CompileInstruction.cpp"
 case 19: 
 $retval=0; //@line 81 "CompileInstruction.cpp"
 label=30;break; //@line 81 "CompileInstruction.cpp"
 case 20: 
 var $call25=__Z8EnterObjh(20); //@line 83 "CompileInstruction.cpp"
 if($call25){label=22;break;}else{label=21;break;} //@line 83 "CompileInstruction.cpp"
 case 21: 
 $retval=0; //@line 85 "CompileInstruction.cpp"
 label=30;break; //@line 85 "CompileInstruction.cpp"
 case 22: 
 label=23;break; //@line 87 "CompileInstruction.cpp"
 case 23: 
 var $24=$blockNestPtr; //@line 89 "CompileInstruction.cpp"
 var $sub29=((($24)-(1))|0); //@line 89 "CompileInstruction.cpp"
 var $25=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 89 "CompileInstruction.cpp"
 var $bstack_base=(($25+17048748)|0); //@line 89 "CompileInstruction.cpp"
 var $arrayidx30=(($bstack_base+($sub29<<2))|0); //@line 89 "CompileInstruction.cpp"
 var $26=((((HEAPU8[($arrayidx30)])|(HEAPU8[((($arrayidx30)+(1))|0)]<<8)|(HEAPU8[((($arrayidx30)+(2))|0)]<<16)|(HEAPU8[((($arrayidx30)+(3))|0)]<<24))|0)); //@line 89 "CompileInstruction.cpp"
 $blockStackPtr=$26; //@line 89 "CompileInstruction.cpp"
 var $27=$value_addr; //@line 91 "CompileInstruction.cpp"
 var $and=$27&255; //@line 91 "CompileInstruction.cpp"
 var $cmp31=($and|0)==0; //@line 91 "CompileInstruction.cpp"
 if($cmp31){label=24;break;}else{label=27;break;} //@line 91 "CompileInstruction.cpp"
 case 24: 
 var $call33=__Z8EnterObjh(4); //@line 94 "CompileInstruction.cpp"
 if($call33){label=26;break;}else{label=25;break;} //@line 94 "CompileInstruction.cpp"
 case 25: 
 $retval=0; //@line 96 "CompileInstruction.cpp"
 label=30;break; //@line 96 "CompileInstruction.cpp"
 case 26: 
 var $28=$blockStackPtr; //@line 98 "CompileInstruction.cpp"
 var $29=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 98 "CompileInstruction.cpp"
 var $bstack=(($29+17048780)|0); //@line 98 "CompileInstruction.cpp"
 var $arrayidx36=(($bstack+($28<<2))|0); //@line 98 "CompileInstruction.cpp"
 var $30=((((HEAPU8[($arrayidx36)])|(HEAPU8[((($arrayidx36)+(1))|0)]<<8)|(HEAPU8[((($arrayidx36)+(2))|0)]<<16)|(HEAPU8[((($arrayidx36)+(3))|0)]<<24))|0)); //@line 98 "CompileInstruction.cpp"
 var $call37=__Z14CompileAddressi($30); //@line 98 "CompileInstruction.cpp"
 $retval=$call37; //@line 98 "CompileInstruction.cpp"
 label=30;break; //@line 98 "CompileInstruction.cpp"
 case 27: 
 var $31=$byteCode; //@line 102 "CompileInstruction.cpp"
 var $call39=__Z8EnterObjh($31); //@line 102 "CompileInstruction.cpp"
 if($call39){label=29;break;}else{label=28;break;} //@line 102 "CompileInstruction.cpp"
 case 28: 
 $retval=0; //@line 104 "CompileInstruction.cpp"
 label=30;break; //@line 104 "CompileInstruction.cpp"
 case 29: 
 var $32=$blockStackPtr; //@line 106 "CompileInstruction.cpp"
 var $add42=((($32)+(1))|0); //@line 106 "CompileInstruction.cpp"
 var $33=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 106 "CompileInstruction.cpp"
 var $bstack43=(($33+17048780)|0); //@line 106 "CompileInstruction.cpp"
 var $arrayidx44=(($bstack43+($add42<<2))|0); //@line 106 "CompileInstruction.cpp"
 var $34=((((HEAPU8[($arrayidx44)])|(HEAPU8[((($arrayidx44)+(1))|0)]<<8)|(HEAPU8[((($arrayidx44)+(2))|0)]<<16)|(HEAPU8[((($arrayidx44)+(3))|0)]<<24))|0)); //@line 106 "CompileInstruction.cpp"
 var $call45=__Z14CompileAddressi($34); //@line 106 "CompileInstruction.cpp"
 $retval=$call45; //@line 106 "CompileInstruction.cpp"
 label=30;break; //@line 106 "CompileInstruction.cpp"
 case 30: 
 var $35=$retval; //@line 107 "CompileInstruction.cpp"
 STACKTOP=sp;return $35; //@line 107 "CompileInstruction.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z23CompileInst_AbortReturni($value){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+8)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $value_addr;
 var $bEof=sp;
 $value_addr=$value;
 HEAP8[($bEof)]=0; //@line 112 "CompileInstruction.cpp"
 var $0=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 113 "CompileInstruction.cpp"
 var $call=__ZN11Elementizer7GetNextERb($0,$bEof); //@line 113 "CompileInstruction.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 113 "CompileInstruction.cpp"
 case 2: 
 $retval=0; //@line 115 "CompileInstruction.cpp"
 label=8;break; //@line 115 "CompileInstruction.cpp"
 case 3: 
 var $1=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 117 "CompileInstruction.cpp"
 __ZN11Elementizer6BackupEv($1); //@line 117 "CompileInstruction.cpp"
 var $2=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 119 "CompileInstruction.cpp"
 var $call1=__ZN11Elementizer7GetTypeEv($2); //@line 119 "CompileInstruction.cpp"
 var $cmp=($call1|0)!=84; //@line 119 "CompileInstruction.cpp"
 if($cmp){label=4;break;}else{label=7;break;} //@line 119 "CompileInstruction.cpp"
 case 4: 
 var $call3=__Z17CompileExpressionv(); //@line 122 "CompileInstruction.cpp"
 if($call3){label=6;break;}else{label=5;break;} //@line 122 "CompileInstruction.cpp"
 case 5: 
 $retval=0; //@line 124 "CompileInstruction.cpp"
 label=8;break; //@line 124 "CompileInstruction.cpp"
 case 6: 
 var $3=$value_addr; //@line 126 "CompileInstruction.cpp"
 var $or=$3|1; //@line 126 "CompileInstruction.cpp"
 $value_addr=$or; //@line 126 "CompileInstruction.cpp"
 label=7;break; //@line 127 "CompileInstruction.cpp"
 case 7: 
 var $4=$value_addr; //@line 128 "CompileInstruction.cpp"
 var $and=$4&255; //@line 128 "CompileInstruction.cpp"
 var $conv=(($and)&255); //@line 128 "CompileInstruction.cpp"
 var $call7=__Z8EnterObjh($conv); //@line 128 "CompileInstruction.cpp"
 $retval=$call7; //@line 128 "CompileInstruction.cpp"
 label=8;break; //@line 128 "CompileInstruction.cpp"
 case 8: 
 var $5=$retval; //@line 129 "CompileInstruction.cpp"
 STACKTOP=sp;return $5; //@line 129 "CompileInstruction.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z18CompileInst_Rebootv(){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $call=__Z8EnterObjh(55); //@line 133 "CompileInstruction.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 133 "CompileInstruction.cpp"
 case 2: 
 $retval=0; //@line 135 "CompileInstruction.cpp"
 label=8;break; //@line 135 "CompileInstruction.cpp"
 case 3: 
 var $call1=__Z8EnterObjh(6); //@line 137 "CompileInstruction.cpp"
 if($call1){label=5;break;}else{label=4;break;} //@line 137 "CompileInstruction.cpp"
 case 4: 
 $retval=0; //@line 139 "CompileInstruction.cpp"
 label=8;break; //@line 139 "CompileInstruction.cpp"
 case 5: 
 var $call4=__Z8EnterObjh(53); //@line 142 "CompileInstruction.cpp"
 if($call4){label=7;break;}else{label=6;break;} //@line 142 "CompileInstruction.cpp"
 case 6: 
 $retval=0; //@line 144 "CompileInstruction.cpp"
 label=8;break; //@line 144 "CompileInstruction.cpp"
 case 7: 
 var $call7=__Z8EnterObjh(32); //@line 147 "CompileInstruction.cpp"
 $retval=$call7; //@line 147 "CompileInstruction.cpp"
 label=8;break; //@line 147 "CompileInstruction.cpp"
 case 8: 
 var $0=$retval; //@line 148 "CompileInstruction.cpp"
 STACKTOP=sp;return $0; //@line 148 "CompileInstruction.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z18CompileInst_CogNewi($value){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $value_addr;
 $value_addr=$value;
 var $0=$value_addr; //@line 152 "CompileInstruction.cpp"
 var $xor=$0^4; //@line 152 "CompileInstruction.cpp"
 var $call=__Z18CompileTerm_CogNewi($xor); //@line 152 "CompileInstruction.cpp"
 STACKTOP=sp;return $call; //@line 152 "CompileInstruction.cpp"
}


function __Z19CompileInst_CogIniti($value){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+8)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $value_addr;
 var $savedSourcePtr;
 var $cogidSourcePtr;
 var $bEof=sp;
 var $subConstant;
 $value_addr=$value;
 var $0=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 157 "CompileInstruction.cpp"
 var $call=__ZN11Elementizer12GetSourcePtrEv($0); //@line 157 "CompileInstruction.cpp"
 $savedSourcePtr=$call; //@line 157 "CompileInstruction.cpp"
 var $1=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 159 "CompileInstruction.cpp"
 var $call1=__ZN11Elementizer10GetElementEi($1,1); //@line 159 "CompileInstruction.cpp"
 if($call1){label=3;break;}else{label=2;break;} //@line 159 "CompileInstruction.cpp"
 case 2: 
 $retval=0; //@line 161 "CompileInstruction.cpp"
 label=36;break; //@line 161 "CompileInstruction.cpp"
 case 3: 
 var $2=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 163 "CompileInstruction.cpp"
 var $call2=__ZN11Elementizer12GetSourcePtrEv($2); //@line 163 "CompileInstruction.cpp"
 $cogidSourcePtr=$call2; //@line 163 "CompileInstruction.cpp"
 var $call3=__Z14SkipExpressionv(); //@line 164 "CompileInstruction.cpp"
 if($call3){label=5;break;}else{label=4;break;} //@line 164 "CompileInstruction.cpp"
 case 4: 
 $retval=0; //@line 166 "CompileInstruction.cpp"
 label=36;break; //@line 166 "CompileInstruction.cpp"
 case 5: 
 var $3=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 168 "CompileInstruction.cpp"
 var $call6=__ZN11Elementizer10GetElementEi($3,5); //@line 168 "CompileInstruction.cpp"
 if($call6){label=7;break;}else{label=6;break;} //@line 168 "CompileInstruction.cpp"
 case 6: 
 $retval=0; //@line 170 "CompileInstruction.cpp"
 label=36;break; //@line 170 "CompileInstruction.cpp"
 case 7: 
 HEAP8[($bEof)]=0; //@line 174 "CompileInstruction.cpp"
 var $4=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 175 "CompileInstruction.cpp"
 var $call9=__ZN11Elementizer7GetNextERb($4,$bEof); //@line 175 "CompileInstruction.cpp"
 if($call9){label=9;break;}else{label=8;break;} //@line 175 "CompileInstruction.cpp"
 case 8: 
 $retval=0; //@line 177 "CompileInstruction.cpp"
 label=36;break; //@line 177 "CompileInstruction.cpp"
 case 9: 
 var $5=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 179 "CompileInstruction.cpp"
 var $call12=__ZN11Elementizer7GetTypeEv($5); //@line 179 "CompileInstruction.cpp"
 var $cmp=($call12|0)!=83; //@line 179 "CompileInstruction.cpp"
 if($cmp){label=10;break;}else{label=11;break;} //@line 179 "CompileInstruction.cpp"
 case 10: 
 var $6=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 182 "CompileInstruction.cpp"
 var $7=$savedSourcePtr; //@line 182 "CompileInstruction.cpp"
 __ZN11Elementizer12SetSourcePtrEi($6,$7); //@line 182 "CompileInstruction.cpp"
 var $8=$value_addr; //@line 184 "CompileInstruction.cpp"
 var $call14=__Z16CompileTerm_Insti($8); //@line 184 "CompileInstruction.cpp"
 $retval=$call14; //@line 184 "CompileInstruction.cpp"
 label=36;break; //@line 184 "CompileInstruction.cpp"
 case 11: 
 var $9=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 188 "CompileInstruction.cpp"
 var $call16=__ZN11Elementizer8GetValueEv($9); //@line 188 "CompileInstruction.cpp"
 $subConstant=$call16; //@line 188 "CompileInstruction.cpp"
 var $10=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 189 "CompileInstruction.cpp"
 var $call17=__ZN11Elementizer8GetValueEv($10); //@line 189 "CompileInstruction.cpp"
 var $and=$call17&65280; //@line 189 "CompileInstruction.cpp"
 var $shr=$and>>8; //@line 189 "CompileInstruction.cpp"
 var $call18=__Z17CompileParametersi($shr); //@line 189 "CompileInstruction.cpp"
 if($call18){label=13;break;}else{label=12;break;} //@line 189 "CompileInstruction.cpp"
 case 12: 
 $retval=0; //@line 191 "CompileInstruction.cpp"
 label=36;break; //@line 191 "CompileInstruction.cpp"
 case 13: 
 var $11=$subConstant; //@line 193 "CompileInstruction.cpp"
 var $call21=__Z15CompileConstanti($11); //@line 193 "CompileInstruction.cpp"
 if($call21){label=15;break;}else{label=14;break;} //@line 193 "CompileInstruction.cpp"
 case 14: 
 $retval=0; //@line 195 "CompileInstruction.cpp"
 label=36;break; //@line 195 "CompileInstruction.cpp"
 case 15: 
 var $12=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 197 "CompileInstruction.cpp"
 var $call24=__ZN11Elementizer10GetElementEi($12,5); //@line 197 "CompileInstruction.cpp"
 if($call24){label=17;break;}else{label=16;break;} //@line 197 "CompileInstruction.cpp"
 case 16: 
 $retval=0; //@line 199 "CompileInstruction.cpp"
 label=36;break; //@line 199 "CompileInstruction.cpp"
 case 17: 
 var $call27=__Z17CompileExpressionv(); //@line 201 "CompileInstruction.cpp"
 if($call27){label=19;break;}else{label=18;break;} //@line 201 "CompileInstruction.cpp"
 case 18: 
 $retval=0; //@line 203 "CompileInstruction.cpp"
 label=36;break; //@line 203 "CompileInstruction.cpp"
 case 19: 
 var $13=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 205 "CompileInstruction.cpp"
 var $call30=__ZN11Elementizer10GetElementEi($13,2); //@line 205 "CompileInstruction.cpp"
 if($call30){label=21;break;}else{label=20;break;} //@line 205 "CompileInstruction.cpp"
 case 20: 
 $retval=0; //@line 207 "CompileInstruction.cpp"
 label=36;break; //@line 207 "CompileInstruction.cpp"
 case 21: 
 var $call33=__Z8EnterObjh(21); //@line 209 "CompileInstruction.cpp"
 if($call33){label=23;break;}else{label=22;break;} //@line 209 "CompileInstruction.cpp"
 case 22: 
 $retval=0; //@line 211 "CompileInstruction.cpp"
 label=36;break; //@line 211 "CompileInstruction.cpp"
 case 23: 
 var $14=$cogidSourcePtr; //@line 215 "CompileInstruction.cpp"
 var $call36=__Z30CompileOutOfSequenceExpressioni($14); //@line 215 "CompileInstruction.cpp"
 if($call36){label=25;break;}else{label=24;break;} //@line 215 "CompileInstruction.cpp"
 case 24: 
 $retval=0; //@line 217 "CompileInstruction.cpp"
 label=36;break; //@line 217 "CompileInstruction.cpp"
 case 25: 
 var $call39=__Z8EnterObjh(63); //@line 220 "CompileInstruction.cpp"
 if($call39){label=27;break;}else{label=26;break;} //@line 220 "CompileInstruction.cpp"
 case 26: 
 $retval=0; //@line 222 "CompileInstruction.cpp"
 label=36;break; //@line 222 "CompileInstruction.cpp"
 case 27: 
 var $call42=__Z8EnterObjh(-113); //@line 224 "CompileInstruction.cpp"
 if($call42){label=29;break;}else{label=28;break;} //@line 224 "CompileInstruction.cpp"
 case 28: 
 $retval=0; //@line 226 "CompileInstruction.cpp"
 label=36;break; //@line 226 "CompileInstruction.cpp"
 case 29: 
 var $call45=__Z8EnterObjh(55); //@line 228 "CompileInstruction.cpp"
 if($call45){label=31;break;}else{label=30;break;} //@line 228 "CompileInstruction.cpp"
 case 30: 
 $retval=0; //@line 230 "CompileInstruction.cpp"
 label=36;break; //@line 230 "CompileInstruction.cpp"
 case 31: 
 var $call48=__Z8EnterObjh(97); //@line 232 "CompileInstruction.cpp"
 if($call48){label=33;break;}else{label=32;break;} //@line 232 "CompileInstruction.cpp"
 case 32: 
 $retval=0; //@line 234 "CompileInstruction.cpp"
 label=36;break; //@line 234 "CompileInstruction.cpp"
 case 33: 
 var $call51=__Z8EnterObjh(-47); //@line 236 "CompileInstruction.cpp"
 if($call51){label=35;break;}else{label=34;break;} //@line 236 "CompileInstruction.cpp"
 case 34: 
 $retval=0; //@line 238 "CompileInstruction.cpp"
 label=36;break; //@line 238 "CompileInstruction.cpp"
 case 35: 
 var $call54=__Z8EnterObjh(44); //@line 240 "CompileInstruction.cpp"
 $retval=$call54; //@line 240 "CompileInstruction.cpp"
 label=36;break; //@line 240 "CompileInstruction.cpp"
 case 36: 
 var $15=$retval; //@line 241 "CompileInstruction.cpp"
 STACKTOP=sp;return $15; //@line 241 "CompileInstruction.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z18CompileInst_InstCri($value){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $value_addr;
 $value_addr=$value;
 var $0=$value_addr; //@line 245 "CompileInstruction.cpp"
 var $xor=$0^4; //@line 245 "CompileInstruction.cpp"
 var $call=__Z16CompileTerm_Insti($xor); //@line 245 "CompileInstruction.cpp"
 STACKTOP=sp;return $call; //@line 245 "CompileInstruction.cpp"
}


function __Z17CompileInst_Unaryi($value){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $value_addr;
 $value_addr=$value;
 var $0=$value_addr; //@line 250 "CompileInstruction.cpp"
 var $and=$0&255; //@line 250 "CompileInstruction.cpp"
 var $or=64|$and; //@line 250 "CompileInstruction.cpp"
 var $conv=(($or)&255); //@line 250 "CompileInstruction.cpp"
 var $call=__Z37CompileVariable_PreSignExtendOrRandomh($conv); //@line 250 "CompileInstruction.cpp"
 STACKTOP=sp;return $call; //@line 250 "CompileInstruction.cpp"
}


function __Z18CompileInst_Assignhhhii($vOperator,$type,$size,$address,$indexSourcePtr){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $vOperator_addr;
 var $type_addr;
 var $size_addr;
 var $address_addr;
 var $indexSourcePtr_addr;
 $vOperator_addr=$vOperator;
 $type_addr=$type;
 $size_addr=$size;
 $address_addr=$address;
 $indexSourcePtr_addr=$indexSourcePtr;
 var $call=__Z17CompileExpressionv(); //@line 255 "CompileInstruction.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 255 "CompileInstruction.cpp"
 case 2: 
 $retval=0; //@line 257 "CompileInstruction.cpp"
 label=4;break; //@line 257 "CompileInstruction.cpp"
 case 3: 
 var $0=$vOperator_addr; //@line 260 "CompileInstruction.cpp"
 var $1=$type_addr; //@line 260 "CompileInstruction.cpp"
 var $2=$size_addr; //@line 260 "CompileInstruction.cpp"
 var $3=$address_addr; //@line 260 "CompileInstruction.cpp"
 var $4=$indexSourcePtr_addr; //@line 260 "CompileInstruction.cpp"
 var $call1=__Z15CompileVariablehhhhii(1,$0,$1,$2,$3,$4); //@line 260 "CompileInstruction.cpp"
 $retval=$call1; //@line 260 "CompileInstruction.cpp"
 label=4;break; //@line 260 "CompileInstruction.cpp"
 case 4: 
 var $5=$retval; //@line 261 "CompileInstruction.cpp"
 STACKTOP=sp;return $5; //@line 261 "CompileInstruction.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z18CompileInstructionv(){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+48)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $type;
 var $value;
 var $varType=sp;
 var $varSize=(sp)+(8);
 var $varAddress=(sp)+(16);
 var $varIndexSourcePtr=(sp)+(24);
 var $bVariable=(sp)+(32);
 var $bEof=(sp)+(40);
 var $varOperator;
 var $0=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 265 "CompileInstruction.cpp"
 var $call=__ZN11Elementizer7GetTypeEv($0); //@line 265 "CompileInstruction.cpp"
 $type=$call; //@line 265 "CompileInstruction.cpp"
 var $1=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 266 "CompileInstruction.cpp"
 var $call1=__ZN11Elementizer8GetValueEv($1); //@line 266 "CompileInstruction.cpp"
 $value=$call1; //@line 266 "CompileInstruction.cpp"
 var $2=$type; //@line 268 "CompileInstruction.cpp"
 switch(($2|0)){case 58:{ label=10;break;}case 59:{ label=11;break;}case 17:{ label=12;break;}case 18:{ label=13;break;}case 14:{ label=14;break;}case 15:{ label=15;break;}case 16:{ label=16;break;}case 9:{ label=2;break;}case 83:{ label=3;break;}case 79:{ label=4;break;}case 47:{ label=5;break;}case 48:{ label=6;break;}case 53:{ label=7;break;}case 55:{ label=8;break;}case 56:{ label=9;break;}default:{label=17;break;}}break;
 case 2: 
 var $call2=__Z15CompileTerm_Tryh(3); //@line 271 "CompileInstruction.cpp"
 $retval=$call2; //@line 271 "CompileInstruction.cpp"
 label=40;break; //@line 271 "CompileInstruction.cpp"
 case 3: 
 var $3=$value; //@line 273 "CompileInstruction.cpp"
 var $call4=__Z15CompileTerm_Subhi(1,$3); //@line 273 "CompileInstruction.cpp"
 $retval=$call4; //@line 273 "CompileInstruction.cpp"
 label=40;break; //@line 273 "CompileInstruction.cpp"
 case 4: 
 var $4=$value; //@line 275 "CompileInstruction.cpp"
 var $call6=__Z18CompileTerm_ObjPubhi(1,$4); //@line 275 "CompileInstruction.cpp"
 $retval=$call6; //@line 275 "CompileInstruction.cpp"
 label=40;break; //@line 275 "CompileInstruction.cpp"
 case 5: 
 var $5=$value; //@line 277 "CompileInstruction.cpp"
 var $call8=__Z20CompileInst_NextQuiti($5); //@line 277 "CompileInstruction.cpp"
 $retval=$call8; //@line 277 "CompileInstruction.cpp"
 label=40;break; //@line 277 "CompileInstruction.cpp"
 case 6: 
 var $6=$value; //@line 279 "CompileInstruction.cpp"
 var $call10=__Z23CompileInst_AbortReturni($6); //@line 279 "CompileInstruction.cpp"
 $retval=$call10; //@line 279 "CompileInstruction.cpp"
 label=40;break; //@line 279 "CompileInstruction.cpp"
 case 7: 
 var $call12=__Z18CompileInst_Rebootv(); //@line 281 "CompileInstruction.cpp"
 $retval=$call12; //@line 281 "CompileInstruction.cpp"
 label=40;break; //@line 281 "CompileInstruction.cpp"
 case 8: 
 var $7=$value; //@line 283 "CompileInstruction.cpp"
 var $call14=__Z18CompileInst_CogNewi($7); //@line 283 "CompileInstruction.cpp"
 $retval=$call14; //@line 283 "CompileInstruction.cpp"
 label=40;break; //@line 283 "CompileInstruction.cpp"
 case 9: 
 var $8=$value; //@line 285 "CompileInstruction.cpp"
 var $call16=__Z19CompileInst_CogIniti($8); //@line 285 "CompileInstruction.cpp"
 $retval=$call16; //@line 285 "CompileInstruction.cpp"
 label=40;break; //@line 285 "CompileInstruction.cpp"
 case 10: 
 var $9=$value; //@line 287 "CompileInstruction.cpp"
 var $call18=__Z18CompileInst_InstCri($9); //@line 287 "CompileInstruction.cpp"
 $retval=$call18; //@line 287 "CompileInstruction.cpp"
 label=40;break; //@line 287 "CompileInstruction.cpp"
 case 11: 
 var $10=$value; //@line 289 "CompileInstruction.cpp"
 var $call20=__Z16CompileTerm_Insti($10); //@line 289 "CompileInstruction.cpp"
 $retval=$call20; //@line 289 "CompileInstruction.cpp"
 label=40;break; //@line 289 "CompileInstruction.cpp"
 case 12: 
 var $call22=__Z27CompileVariable_PreIncOrDech(32); //@line 292 "CompileInstruction.cpp"
 $retval=$call22; //@line 292 "CompileInstruction.cpp"
 label=40;break; //@line 292 "CompileInstruction.cpp"
 case 13: 
 var $call24=__Z27CompileVariable_PreIncOrDech(48); //@line 294 "CompileInstruction.cpp"
 $retval=$call24; //@line 294 "CompileInstruction.cpp"
 label=40;break; //@line 294 "CompileInstruction.cpp"
 case 14: 
 var $call26=__Z37CompileVariable_PreSignExtendOrRandomh(16); //@line 296 "CompileInstruction.cpp"
 $retval=$call26; //@line 296 "CompileInstruction.cpp"
 label=40;break; //@line 296 "CompileInstruction.cpp"
 case 15: 
 var $call28=__Z37CompileVariable_PreSignExtendOrRandomh(20); //@line 298 "CompileInstruction.cpp"
 $retval=$call28; //@line 298 "CompileInstruction.cpp"
 label=40;break; //@line 298 "CompileInstruction.cpp"
 case 16: 
 var $call30=__Z37CompileVariable_PreSignExtendOrRandomh(8); //@line 300 "CompileInstruction.cpp"
 $retval=$call30; //@line 300 "CompileInstruction.cpp"
 label=40;break; //@line 300 "CompileInstruction.cpp"
 case 17: 
 var $11=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 303 "CompileInstruction.cpp"
 var $call31=__ZN11Elementizer8SubToNegEv($11); //@line 303 "CompileInstruction.cpp"
 var $12=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 304 "CompileInstruction.cpp"
 var $call32=__ZN11Elementizer7GetTypeEv($12); //@line 304 "CompileInstruction.cpp"
 var $cmp=($call32|0)==21; //@line 304 "CompileInstruction.cpp"
 if($cmp){label=18;break;}else{label=19;break;} //@line 304 "CompileInstruction.cpp"
 case 18: 
 var $13=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 306 "CompileInstruction.cpp"
 var $call33=__ZN11Elementizer9GetOpTypeEv($13); //@line 306 "CompileInstruction.cpp"
 var $call34=__Z17CompileInst_Unaryi($call33); //@line 306 "CompileInstruction.cpp"
 $retval=$call34; //@line 306 "CompileInstruction.cpp"
 label=40;break; //@line 306 "CompileInstruction.cpp"
 case 19: 
 HEAP8[($varType)]=0; //@line 309 "CompileInstruction.cpp"
 HEAP8[($varSize)]=0; //@line 310 "CompileInstruction.cpp"
 tempBigInt=0;HEAP8[($varAddress)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($varAddress)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($varAddress)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($varAddress)+(3))|0)]=tempBigInt&0xff; //@line 311 "CompileInstruction.cpp"
 tempBigInt=0;HEAP8[($varIndexSourcePtr)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($varIndexSourcePtr)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($varIndexSourcePtr)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($varIndexSourcePtr)+(3))|0)]=tempBigInt&0xff; //@line 312 "CompileInstruction.cpp"
 HEAP8[($bVariable)]=0; //@line 313 "CompileInstruction.cpp"
 var $call35=__Z13CheckVariableRbRhS0_RiS1_($bVariable,$varType,$varSize,$varAddress,$varIndexSourcePtr); //@line 314 "CompileInstruction.cpp"
 if($call35){label=21;break;}else{label=20;break;} //@line 314 "CompileInstruction.cpp"
 case 20: 
 $retval=0; //@line 316 "CompileInstruction.cpp"
 label=40;break; //@line 316 "CompileInstruction.cpp"
 case 21: 
 var $14=HEAP8[($bVariable)]; //@line 318 "CompileInstruction.cpp"
 var $tobool=(($14)&1); //@line 318 "CompileInstruction.cpp"
 if($tobool){label=23;break;}else{label=22;break;} //@line 318 "CompileInstruction.cpp"
 case 22: 
 var $15=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 320 "CompileInstruction.cpp"
 var $16=$15; //@line 320 "CompileInstruction.cpp"
 var $error=(($16)|0); //@line 320 "CompileInstruction.cpp"
 HEAP8[($error)]=1; //@line 320 "CompileInstruction.cpp"
 var $17=((((HEAPU8[(92)])|(HEAPU8[(93)]<<8)|(HEAPU8[(94)]<<16)|(HEAPU8[(95)]<<24))|0)); //@line 321 "CompileInstruction.cpp"
 var $18=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 321 "CompileInstruction.cpp"
 var $19=$18; //@line 321 "CompileInstruction.cpp"
 var $error_msg=(($19+4)|0); //@line 321 "CompileInstruction.cpp"
 tempBigInt=$17;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 321 "CompileInstruction.cpp"
 $retval=0; //@line 322 "CompileInstruction.cpp"
 label=40;break; //@line 322 "CompileInstruction.cpp"
 case 23: 
 HEAP8[($bEof)]=0; //@line 326 "CompileInstruction.cpp"
 var $20=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 327 "CompileInstruction.cpp"
 var $call40=__ZN11Elementizer7GetNextERb($20,$bEof); //@line 327 "CompileInstruction.cpp"
 if($call40){label=25;break;}else{label=24;break;} //@line 327 "CompileInstruction.cpp"
 case 24: 
 $retval=0; //@line 329 "CompileInstruction.cpp"
 label=40;break; //@line 329 "CompileInstruction.cpp"
 case 25: 
 var $21=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 331 "CompileInstruction.cpp"
 var $call43=__ZN11Elementizer7GetTypeEv($21); //@line 331 "CompileInstruction.cpp"
 $type=$call43; //@line 331 "CompileInstruction.cpp"
 var $22=$type; //@line 332 "CompileInstruction.cpp"
 switch(($22|0)){case 17:{ label=26;break;}case 18:{ label=27;break;}case 16:{ label=28;break;}case 14:{ label=29;break;}case 15:{ label=30;break;}case 19:{ label=31;break;}default:{label=32;break;}}break;
 case 26: 
 var $23=HEAP8[($varType)]; //@line 335 "CompileInstruction.cpp"
 var $24=HEAP8[($varSize)]; //@line 335 "CompileInstruction.cpp"
 var $25=((((HEAPU8[($varAddress)])|(HEAPU8[((($varAddress)+(1))|0)]<<8)|(HEAPU8[((($varAddress)+(2))|0)]<<16)|(HEAPU8[((($varAddress)+(3))|0)]<<24))|0)); //@line 335 "CompileInstruction.cpp"
 var $26=((((HEAPU8[($varIndexSourcePtr)])|(HEAPU8[((($varIndexSourcePtr)+(1))|0)]<<8)|(HEAPU8[((($varIndexSourcePtr)+(2))|0)]<<16)|(HEAPU8[((($varIndexSourcePtr)+(3))|0)]<<24))|0)); //@line 335 "CompileInstruction.cpp"
 var $call45=__Z24CompileVariable_IncOrDechhhii(40,$23,$24,$25,$26); //@line 335 "CompileInstruction.cpp"
 $retval=$call45; //@line 335 "CompileInstruction.cpp"
 label=40;break; //@line 335 "CompileInstruction.cpp"
 case 27: 
 var $27=HEAP8[($varType)]; //@line 337 "CompileInstruction.cpp"
 var $28=HEAP8[($varSize)]; //@line 337 "CompileInstruction.cpp"
 var $29=((((HEAPU8[($varAddress)])|(HEAPU8[((($varAddress)+(1))|0)]<<8)|(HEAPU8[((($varAddress)+(2))|0)]<<16)|(HEAPU8[((($varAddress)+(3))|0)]<<24))|0)); //@line 337 "CompileInstruction.cpp"
 var $30=((((HEAPU8[($varIndexSourcePtr)])|(HEAPU8[((($varIndexSourcePtr)+(1))|0)]<<8)|(HEAPU8[((($varIndexSourcePtr)+(2))|0)]<<16)|(HEAPU8[((($varIndexSourcePtr)+(3))|0)]<<24))|0)); //@line 337 "CompileInstruction.cpp"
 var $call47=__Z24CompileVariable_IncOrDechhhii(56,$27,$28,$29,$30); //@line 337 "CompileInstruction.cpp"
 $retval=$call47; //@line 337 "CompileInstruction.cpp"
 label=40;break; //@line 337 "CompileInstruction.cpp"
 case 28: 
 var $31=HEAP8[($varType)]; //@line 339 "CompileInstruction.cpp"
 var $32=HEAP8[($varSize)]; //@line 339 "CompileInstruction.cpp"
 var $33=((((HEAPU8[($varAddress)])|(HEAPU8[((($varAddress)+(1))|0)]<<8)|(HEAPU8[((($varAddress)+(2))|0)]<<16)|(HEAPU8[((($varAddress)+(3))|0)]<<24))|0)); //@line 339 "CompileInstruction.cpp"
 var $34=((((HEAPU8[($varIndexSourcePtr)])|(HEAPU8[((($varIndexSourcePtr)+(1))|0)]<<8)|(HEAPU8[((($varIndexSourcePtr)+(2))|0)]<<16)|(HEAPU8[((($varIndexSourcePtr)+(3))|0)]<<24))|0)); //@line 339 "CompileInstruction.cpp"
 var $call49=__Z22CompileVariable_Assignhhhii(12,$31,$32,$33,$34); //@line 339 "CompileInstruction.cpp"
 $retval=$call49; //@line 339 "CompileInstruction.cpp"
 label=40;break; //@line 339 "CompileInstruction.cpp"
 case 29: 
 var $35=HEAP8[($varType)]; //@line 341 "CompileInstruction.cpp"
 var $36=HEAP8[($varSize)]; //@line 341 "CompileInstruction.cpp"
 var $37=((((HEAPU8[($varAddress)])|(HEAPU8[((($varAddress)+(1))|0)]<<8)|(HEAPU8[((($varAddress)+(2))|0)]<<16)|(HEAPU8[((($varAddress)+(3))|0)]<<24))|0)); //@line 341 "CompileInstruction.cpp"
 var $38=((((HEAPU8[($varIndexSourcePtr)])|(HEAPU8[((($varIndexSourcePtr)+(1))|0)]<<8)|(HEAPU8[((($varIndexSourcePtr)+(2))|0)]<<16)|(HEAPU8[((($varIndexSourcePtr)+(3))|0)]<<24))|0)); //@line 341 "CompileInstruction.cpp"
 var $call51=__Z22CompileVariable_Assignhhhii(24,$35,$36,$37,$38); //@line 341 "CompileInstruction.cpp"
 $retval=$call51; //@line 341 "CompileInstruction.cpp"
 label=40;break; //@line 341 "CompileInstruction.cpp"
 case 30: 
 var $39=HEAP8[($varType)]; //@line 343 "CompileInstruction.cpp"
 var $40=HEAP8[($varSize)]; //@line 343 "CompileInstruction.cpp"
 var $41=((((HEAPU8[($varAddress)])|(HEAPU8[((($varAddress)+(1))|0)]<<8)|(HEAPU8[((($varAddress)+(2))|0)]<<16)|(HEAPU8[((($varAddress)+(3))|0)]<<24))|0)); //@line 343 "CompileInstruction.cpp"
 var $42=((((HEAPU8[($varIndexSourcePtr)])|(HEAPU8[((($varIndexSourcePtr)+(1))|0)]<<8)|(HEAPU8[((($varIndexSourcePtr)+(2))|0)]<<16)|(HEAPU8[((($varIndexSourcePtr)+(3))|0)]<<24))|0)); //@line 343 "CompileInstruction.cpp"
 var $call53=__Z22CompileVariable_Assignhhhii(28,$39,$40,$41,$42); //@line 343 "CompileInstruction.cpp"
 $retval=$call53; //@line 343 "CompileInstruction.cpp"
 label=40;break; //@line 343 "CompileInstruction.cpp"
 case 31: 
 var $43=HEAP8[($varType)]; //@line 345 "CompileInstruction.cpp"
 var $44=HEAP8[($varSize)]; //@line 345 "CompileInstruction.cpp"
 var $45=((((HEAPU8[($varAddress)])|(HEAPU8[((($varAddress)+(1))|0)]<<8)|(HEAPU8[((($varAddress)+(2))|0)]<<16)|(HEAPU8[((($varAddress)+(3))|0)]<<24))|0)); //@line 345 "CompileInstruction.cpp"
 var $46=((((HEAPU8[($varIndexSourcePtr)])|(HEAPU8[((($varIndexSourcePtr)+(1))|0)]<<8)|(HEAPU8[((($varIndexSourcePtr)+(2))|0)]<<16)|(HEAPU8[((($varIndexSourcePtr)+(3))|0)]<<24))|0)); //@line 345 "CompileInstruction.cpp"
 var $call55=__Z18CompileInst_Assignhhhii(28,$43,$44,$45,$46); //@line 345 "CompileInstruction.cpp"
 $retval=$call55; //@line 345 "CompileInstruction.cpp"
 label=40;break; //@line 345 "CompileInstruction.cpp"
 case 32: 
 var $47=$type; //@line 349 "CompileInstruction.cpp"
 var $cmp57=($47|0)==22; //@line 349 "CompileInstruction.cpp"
 if($cmp57){label=33;break;}else{label=39;break;} //@line 349 "CompileInstruction.cpp"
 case 33: 
 $varOperator=64; //@line 351 "CompileInstruction.cpp"
 var $48=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 352 "CompileInstruction.cpp"
 var $call59=__ZN11Elementizer9GetOpTypeEv($48); //@line 352 "CompileInstruction.cpp"
 var $conv=(($call59)&255); //@line 352 "CompileInstruction.cpp"
 var $conv60=($conv&255); //@line 352 "CompileInstruction.cpp"
 var $49=$varOperator; //@line 352 "CompileInstruction.cpp"
 var $conv61=($49&255); //@line 352 "CompileInstruction.cpp"
 var $or=$conv61|$conv60; //@line 352 "CompileInstruction.cpp"
 var $conv62=(($or)&255); //@line 352 "CompileInstruction.cpp"
 $varOperator=$conv62; //@line 352 "CompileInstruction.cpp"
 var $50=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 355 "CompileInstruction.cpp"
 var $call63=__ZN11Elementizer7GetNextERb($50,$bEof); //@line 355 "CompileInstruction.cpp"
 if($call63){label=35;break;}else{label=34;break;} //@line 355 "CompileInstruction.cpp"
 case 34: 
 $retval=0; //@line 357 "CompileInstruction.cpp"
 label=40;break; //@line 357 "CompileInstruction.cpp"
 case 35: 
 var $51=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 359 "CompileInstruction.cpp"
 var $call66=__ZN11Elementizer7GetTypeEv($51); //@line 359 "CompileInstruction.cpp"
 var $cmp67=($call66|0)==6; //@line 359 "CompileInstruction.cpp"
 if($cmp67){label=36;break;}else{label=37;break;} //@line 359 "CompileInstruction.cpp"
 case 36: 
 var $52=$varOperator; //@line 361 "CompileInstruction.cpp"
 var $53=HEAP8[($varType)]; //@line 361 "CompileInstruction.cpp"
 var $54=HEAP8[($varSize)]; //@line 361 "CompileInstruction.cpp"
 var $55=((((HEAPU8[($varAddress)])|(HEAPU8[((($varAddress)+(1))|0)]<<8)|(HEAPU8[((($varAddress)+(2))|0)]<<16)|(HEAPU8[((($varAddress)+(3))|0)]<<24))|0)); //@line 361 "CompileInstruction.cpp"
 var $56=((((HEAPU8[($varIndexSourcePtr)])|(HEAPU8[((($varIndexSourcePtr)+(1))|0)]<<8)|(HEAPU8[((($varIndexSourcePtr)+(2))|0)]<<16)|(HEAPU8[((($varIndexSourcePtr)+(3))|0)]<<24))|0)); //@line 361 "CompileInstruction.cpp"
 var $call69=__Z26CompileVariable_Expressionhhhii($52,$53,$54,$55,$56); //@line 361 "CompileInstruction.cpp"
 $retval=$call69; //@line 361 "CompileInstruction.cpp"
 label=40;break; //@line 361 "CompileInstruction.cpp"
 case 37: 
 var $57=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 365 "CompileInstruction.cpp"
 __ZN11Elementizer6BackupEv($57); //@line 365 "CompileInstruction.cpp"
 label=38;break;
 case 38: 
 label=39;break; //@line 367 "CompileInstruction.cpp"
 case 39: 
 var $58=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 368 "CompileInstruction.cpp"
 __ZN11Elementizer6BackupEv($58); //@line 368 "CompileInstruction.cpp"
 var $59=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 371 "CompileInstruction.cpp"
 __ZN11Elementizer6BackupEv($59); //@line 371 "CompileInstruction.cpp"
 var $60=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 372 "CompileInstruction.cpp"
 var $call72=__ZN11Elementizer7GetNextERb($60,$bEof); //@line 372 "CompileInstruction.cpp"
 var $61=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 374 "CompileInstruction.cpp"
 var $62=$61; //@line 374 "CompileInstruction.cpp"
 var $error73=(($62)|0); //@line 374 "CompileInstruction.cpp"
 HEAP8[($error73)]=1; //@line 374 "CompileInstruction.cpp"
 var $63=((((HEAPU8[(476)])|(HEAPU8[(477)]<<8)|(HEAPU8[(478)]<<16)|(HEAPU8[(479)]<<24))|0)); //@line 375 "CompileInstruction.cpp"
 var $64=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 375 "CompileInstruction.cpp"
 var $65=$64; //@line 375 "CompileInstruction.cpp"
 var $error_msg74=(($65+4)|0); //@line 375 "CompileInstruction.cpp"
 tempBigInt=$63;HEAP8[($error_msg74)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg74)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg74)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg74)+(3))|0)]=tempBigInt&0xff; //@line 375 "CompileInstruction.cpp"
 $retval=0; //@line 376 "CompileInstruction.cpp"
 label=40;break; //@line 376 "CompileInstruction.cpp"
 case 40: 
 var $66=$retval; //@line 377 "CompileInstruction.cpp"
 STACKTOP=sp;return $66; //@line 377 "CompileInstruction.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z9SkipBlocki($column){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $column_addr;
 var $savedObjPtr;
 var $savedStringPatchEnable;
 $column_addr=$column;
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 26 "CompileUtilities.cpp"
 var $1=$0; //@line 26 "CompileUtilities.cpp"
 var $obj_ptr=(($1+16777264)|0); //@line 26 "CompileUtilities.cpp"
 var $2=((((HEAPU8[($obj_ptr)])|(HEAPU8[((($obj_ptr)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr)+(3))|0)]<<24))|0)); //@line 26 "CompileUtilities.cpp"
 $savedObjPtr=$2; //@line 26 "CompileUtilities.cpp"
 var $3=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 27 "CompileUtilities.cpp"
 var $str_patch_enable=(($3+17012877)|0); //@line 27 "CompileUtilities.cpp"
 var $4=HEAP8[($str_patch_enable)]; //@line 27 "CompileUtilities.cpp"
 var $tobool=(($4)&1); //@line 27 "CompileUtilities.cpp"
 var $frombool=($tobool&1); //@line 27 "CompileUtilities.cpp"
 $savedStringPatchEnable=$frombool; //@line 27 "CompileUtilities.cpp"
 var $5=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 28 "CompileUtilities.cpp"
 var $str_patch_enable1=(($5+17012877)|0); //@line 28 "CompileUtilities.cpp"
 HEAP8[($str_patch_enable1)]=0; //@line 28 "CompileUtilities.cpp"
 var $6=$column_addr; //@line 29 "CompileUtilities.cpp"
 var $call=__Z12CompileBlocki($6); //@line 29 "CompileUtilities.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 29 "CompileUtilities.cpp"
 case 2: 
 $retval=0; //@line 31 "CompileUtilities.cpp"
 label=4;break; //@line 31 "CompileUtilities.cpp"
 case 3: 
 var $7=$savedStringPatchEnable; //@line 33 "CompileUtilities.cpp"
 var $tobool2=(($7)&1); //@line 33 "CompileUtilities.cpp"
 var $8=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 33 "CompileUtilities.cpp"
 var $str_patch_enable3=(($8+17012877)|0); //@line 33 "CompileUtilities.cpp"
 var $frombool4=($tobool2&1); //@line 33 "CompileUtilities.cpp"
 HEAP8[($str_patch_enable3)]=$frombool4; //@line 33 "CompileUtilities.cpp"
 var $9=$savedObjPtr; //@line 34 "CompileUtilities.cpp"
 var $10=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 34 "CompileUtilities.cpp"
 var $11=$10; //@line 34 "CompileUtilities.cpp"
 var $obj_ptr5=(($11+16777264)|0); //@line 34 "CompileUtilities.cpp"
 tempBigInt=$9;HEAP8[($obj_ptr5)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_ptr5)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_ptr5)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_ptr5)+(3))|0)]=tempBigInt&0xff; //@line 34 "CompileUtilities.cpp"
 $retval=1; //@line 35 "CompileUtilities.cpp"
 label=4;break; //@line 35 "CompileUtilities.cpp"
 case 4: 
 var $12=$retval; //@line 36 "CompileUtilities.cpp"
 STACKTOP=sp;return $12; //@line 36 "CompileUtilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z9SkipRangev(){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+8)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $savedObjPtr;
 var $savedStringPatchEnable;
 var $bRange=sp;
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 40 "CompileUtilities.cpp"
 var $1=$0; //@line 40 "CompileUtilities.cpp"
 var $obj_ptr=(($1+16777264)|0); //@line 40 "CompileUtilities.cpp"
 var $2=((((HEAPU8[($obj_ptr)])|(HEAPU8[((($obj_ptr)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr)+(3))|0)]<<24))|0)); //@line 40 "CompileUtilities.cpp"
 $savedObjPtr=$2; //@line 40 "CompileUtilities.cpp"
 var $3=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 41 "CompileUtilities.cpp"
 var $str_patch_enable=(($3+17012877)|0); //@line 41 "CompileUtilities.cpp"
 var $4=HEAP8[($str_patch_enable)]; //@line 41 "CompileUtilities.cpp"
 var $tobool=(($4)&1); //@line 41 "CompileUtilities.cpp"
 var $frombool=($tobool&1); //@line 41 "CompileUtilities.cpp"
 $savedStringPatchEnable=$frombool; //@line 41 "CompileUtilities.cpp"
 var $5=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 42 "CompileUtilities.cpp"
 var $str_patch_enable1=(($5+17012877)|0); //@line 42 "CompileUtilities.cpp"
 HEAP8[($str_patch_enable1)]=0; //@line 42 "CompileUtilities.cpp"
 var $call=__Z12CompileRangeRb($bRange); //@line 44 "CompileUtilities.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 44 "CompileUtilities.cpp"
 case 2: 
 $retval=0; //@line 46 "CompileUtilities.cpp"
 label=4;break; //@line 46 "CompileUtilities.cpp"
 case 3: 
 var $6=$savedStringPatchEnable; //@line 48 "CompileUtilities.cpp"
 var $tobool2=(($6)&1); //@line 48 "CompileUtilities.cpp"
 var $7=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 48 "CompileUtilities.cpp"
 var $str_patch_enable3=(($7+17012877)|0); //@line 48 "CompileUtilities.cpp"
 var $frombool4=($tobool2&1); //@line 48 "CompileUtilities.cpp"
 HEAP8[($str_patch_enable3)]=$frombool4; //@line 48 "CompileUtilities.cpp"
 var $8=$savedObjPtr; //@line 49 "CompileUtilities.cpp"
 var $9=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 49 "CompileUtilities.cpp"
 var $10=$9; //@line 49 "CompileUtilities.cpp"
 var $obj_ptr5=(($10+16777264)|0); //@line 49 "CompileUtilities.cpp"
 tempBigInt=$8;HEAP8[($obj_ptr5)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_ptr5)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_ptr5)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_ptr5)+(3))|0)]=tempBigInt&0xff; //@line 49 "CompileUtilities.cpp"
 $retval=1; //@line 50 "CompileUtilities.cpp"
 label=4;break; //@line 50 "CompileUtilities.cpp"
 case 4: 
 var $11=$retval; //@line 51 "CompileUtilities.cpp"
 STACKTOP=sp;return $11; //@line 51 "CompileUtilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z12CompileRangeRb($bRange){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $bRange_addr;
 $bRange_addr=$bRange;
 var $call=__Z17CompileExpressionv(); //@line 621 "CompileUtilities.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 621 "CompileUtilities.cpp"
 case 2: 
 $retval=0; //@line 623 "CompileUtilities.cpp"
 label=9;break; //@line 623 "CompileUtilities.cpp"
 case 3: 
 var $0=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 626 "CompileUtilities.cpp"
 var $call1=__ZN11Elementizer12CheckElementEi($0,11); //@line 626 "CompileUtilities.cpp"
 if($call1){label=4;break;}else{label=7;break;} //@line 626 "CompileUtilities.cpp"
 case 4: 
 var $call3=__Z17CompileExpressionv(); //@line 628 "CompileUtilities.cpp"
 if($call3){label=6;break;}else{label=5;break;} //@line 628 "CompileUtilities.cpp"
 case 5: 
 $retval=0; //@line 630 "CompileUtilities.cpp"
 label=9;break; //@line 630 "CompileUtilities.cpp"
 case 6: 
 var $1=$bRange_addr; //@line 632 "CompileUtilities.cpp"
 HEAP8[($1)]=1; //@line 632 "CompileUtilities.cpp"
 label=8;break; //@line 633 "CompileUtilities.cpp"
 case 7: 
 var $2=$bRange_addr; //@line 636 "CompileUtilities.cpp"
 HEAP8[($2)]=0; //@line 636 "CompileUtilities.cpp"
 label=8;break;
 case 8: 
 $retval=1; //@line 639 "CompileUtilities.cpp"
 label=9;break; //@line 639 "CompileUtilities.cpp"
 case 9: 
 var $3=$retval; //@line 640 "CompileUtilities.cpp"
 STACKTOP=sp;return $3; //@line 640 "CompileUtilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z14SkipExpressionv(){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $savedObjPtr;
 var $savedStringPatchEnable;
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 55 "CompileUtilities.cpp"
 var $1=$0; //@line 55 "CompileUtilities.cpp"
 var $obj_ptr=(($1+16777264)|0); //@line 55 "CompileUtilities.cpp"
 var $2=((((HEAPU8[($obj_ptr)])|(HEAPU8[((($obj_ptr)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr)+(3))|0)]<<24))|0)); //@line 55 "CompileUtilities.cpp"
 $savedObjPtr=$2; //@line 55 "CompileUtilities.cpp"
 var $3=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 56 "CompileUtilities.cpp"
 var $str_patch_enable=(($3+17012877)|0); //@line 56 "CompileUtilities.cpp"
 var $4=HEAP8[($str_patch_enable)]; //@line 56 "CompileUtilities.cpp"
 var $tobool=(($4)&1); //@line 56 "CompileUtilities.cpp"
 var $frombool=($tobool&1); //@line 56 "CompileUtilities.cpp"
 $savedStringPatchEnable=$frombool; //@line 56 "CompileUtilities.cpp"
 var $5=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 57 "CompileUtilities.cpp"
 var $str_patch_enable1=(($5+17012877)|0); //@line 57 "CompileUtilities.cpp"
 HEAP8[($str_patch_enable1)]=0; //@line 57 "CompileUtilities.cpp"
 var $call=__Z17CompileExpressionv(); //@line undefined "CompileUtilities.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line undefined "CompileUtilities.cpp"
 case 2: 
 $retval=0; //@line 60 "CompileUtilities.cpp"
 label=4;break; //@line 60 "CompileUtilities.cpp"
 case 3: 
 var $6=$savedStringPatchEnable; //@line 62 "CompileUtilities.cpp"
 var $tobool2=(($6)&1); //@line 62 "CompileUtilities.cpp"
 var $7=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 62 "CompileUtilities.cpp"
 var $str_patch_enable3=(($7+17012877)|0); //@line 62 "CompileUtilities.cpp"
 var $frombool4=($tobool2&1); //@line 62 "CompileUtilities.cpp"
 HEAP8[($str_patch_enable3)]=$frombool4; //@line 62 "CompileUtilities.cpp"
 var $8=$savedObjPtr; //@line 63 "CompileUtilities.cpp"
 var $9=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 63 "CompileUtilities.cpp"
 var $10=$9; //@line 63 "CompileUtilities.cpp"
 var $obj_ptr5=(($10+16777264)|0); //@line 63 "CompileUtilities.cpp"
 tempBigInt=$8;HEAP8[($obj_ptr5)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_ptr5)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_ptr5)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($obj_ptr5)+(3))|0)]=tempBigInt&0xff; //@line 63 "CompileUtilities.cpp"
 $retval=1; //@line 64 "CompileUtilities.cpp"
 label=4;break; //@line 64 "CompileUtilities.cpp"
 case 4: 
 var $11=$retval; //@line 65 "CompileUtilities.cpp"
 STACKTOP=sp;return $11; //@line 65 "CompileUtilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z10CheckIndexRbRi($bIndex,$expSourcePtr){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $bIndex_addr;
 var $expSourcePtr_addr;
 $bIndex_addr=$bIndex;
 $expSourcePtr_addr=$expSourcePtr;
 var $0=$bIndex_addr; //@line 69 "CompileUtilities.cpp"
 HEAP8[($0)]=0; //@line 69 "CompileUtilities.cpp"
 var $1=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 70 "CompileUtilities.cpp"
 var $call=__ZN11Elementizer12CheckElementEi($1,3); //@line 70 "CompileUtilities.cpp"
 if($call){label=2;break;}else{label=7;break;} //@line 70 "CompileUtilities.cpp"
 case 2: 
 var $2=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 72 "CompileUtilities.cpp"
 var $call1=__ZN11Elementizer12GetSourcePtrEv($2); //@line 72 "CompileUtilities.cpp"
 var $3=$expSourcePtr_addr; //@line 72 "CompileUtilities.cpp"
 tempBigInt=$call1;HEAP8[($3)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($3)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($3)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($3)+(3))|0)]=tempBigInt&0xff; //@line 72 "CompileUtilities.cpp"
 var $call2=__Z14SkipExpressionv(); //@line 73 "CompileUtilities.cpp"
 if($call2){label=4;break;}else{label=3;break;} //@line 73 "CompileUtilities.cpp"
 case 3: 
 $retval=0; //@line 75 "CompileUtilities.cpp"
 label=8;break; //@line 75 "CompileUtilities.cpp"
 case 4: 
 var $4=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 77 "CompileUtilities.cpp"
 var $call4=__ZN11Elementizer10GetElementEi($4,4); //@line 77 "CompileUtilities.cpp"
 if($call4){label=6;break;}else{label=5;break;} //@line 77 "CompileUtilities.cpp"
 case 5: 
 $retval=0; //@line 79 "CompileUtilities.cpp"
 label=8;break; //@line 79 "CompileUtilities.cpp"
 case 6: 
 var $5=$bIndex_addr; //@line 81 "CompileUtilities.cpp"
 HEAP8[($5)]=1; //@line 81 "CompileUtilities.cpp"
 label=7;break; //@line 82 "CompileUtilities.cpp"
 case 7: 
 $retval=1; //@line 83 "CompileUtilities.cpp"
 label=8;break; //@line 83 "CompileUtilities.cpp"
 case 8: 
 var $6=$retval; //@line 84 "CompileUtilities.cpp"
 STACKTOP=sp;return $6; //@line 84 "CompileUtilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z15CheckIndexRangeRbRi($bIndex,$expSourcePtr){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $bIndex_addr;
 var $expSourcePtr_addr;
 $bIndex_addr=$bIndex;
 $expSourcePtr_addr=$expSourcePtr;
 var $0=$bIndex_addr; //@line 88 "CompileUtilities.cpp"
 HEAP8[($0)]=0; //@line 88 "CompileUtilities.cpp"
 var $1=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 89 "CompileUtilities.cpp"
 var $call=__ZN11Elementizer12CheckElementEi($1,3); //@line 89 "CompileUtilities.cpp"
 if($call){label=2;break;}else{label=11;break;} //@line 89 "CompileUtilities.cpp"
 case 2: 
 var $2=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 91 "CompileUtilities.cpp"
 var $call1=__ZN11Elementizer12GetSourcePtrEv($2); //@line 91 "CompileUtilities.cpp"
 var $3=$expSourcePtr_addr; //@line 91 "CompileUtilities.cpp"
 tempBigInt=$call1;HEAP8[($3)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($3)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($3)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($3)+(3))|0)]=tempBigInt&0xff; //@line 91 "CompileUtilities.cpp"
 var $call2=__Z14SkipExpressionv(); //@line 92 "CompileUtilities.cpp"
 if($call2){label=4;break;}else{label=3;break;} //@line 92 "CompileUtilities.cpp"
 case 3: 
 $retval=0; //@line 94 "CompileUtilities.cpp"
 label=12;break; //@line 94 "CompileUtilities.cpp"
 case 4: 
 var $4=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 96 "CompileUtilities.cpp"
 var $call4=__ZN11Elementizer12CheckElementEi($4,11); //@line 96 "CompileUtilities.cpp"
 if($call4){label=5;break;}else{label=8;break;} //@line 96 "CompileUtilities.cpp"
 case 5: 
 var $call6=__Z14SkipExpressionv(); //@line 98 "CompileUtilities.cpp"
 if($call6){label=7;break;}else{label=6;break;} //@line 98 "CompileUtilities.cpp"
 case 6: 
 $retval=0; //@line 100 "CompileUtilities.cpp"
 label=12;break; //@line 100 "CompileUtilities.cpp"
 case 7: 
 label=8;break; //@line 102 "CompileUtilities.cpp"
 case 8: 
 var $5=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 103 "CompileUtilities.cpp"
 var $call10=__ZN11Elementizer10GetElementEi($5,4); //@line 103 "CompileUtilities.cpp"
 if($call10){label=10;break;}else{label=9;break;} //@line 103 "CompileUtilities.cpp"
 case 9: 
 $retval=0; //@line 105 "CompileUtilities.cpp"
 label=12;break; //@line 105 "CompileUtilities.cpp"
 case 10: 
 var $6=$bIndex_addr; //@line 107 "CompileUtilities.cpp"
 HEAP8[($6)]=1; //@line 107 "CompileUtilities.cpp"
 label=11;break; //@line 108 "CompileUtilities.cpp"
 case 11: 
 $retval=1; //@line 109 "CompileUtilities.cpp"
 label=12;break; //@line 109 "CompileUtilities.cpp"
 case 12: 
 var $7=$retval; //@line 110 "CompileUtilities.cpp"
 STACKTOP=sp;return $7; //@line 110 "CompileUtilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z31CheckVariable_AddressExpressionRi($expSourcePtr){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+8)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $expSourcePtr_addr;
 var $bIndex=sp;
 $expSourcePtr_addr=$expSourcePtr;
 HEAP8[($bIndex)]=0; //@line 114 "CompileUtilities.cpp"
 var $0=$expSourcePtr_addr; //@line 115 "CompileUtilities.cpp"
 var $call=__Z10CheckIndexRbRi($bIndex,$0); //@line 115 "CompileUtilities.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 115 "CompileUtilities.cpp"
 case 2: 
 $retval=0; //@line 117 "CompileUtilities.cpp"
 label=6;break; //@line 117 "CompileUtilities.cpp"
 case 3: 
 var $1=HEAP8[($bIndex)]; //@line 119 "CompileUtilities.cpp"
 var $tobool=(($1)&1); //@line 119 "CompileUtilities.cpp"
 if($tobool){label=5;break;}else{label=4;break;} //@line 119 "CompileUtilities.cpp"
 case 4: 
 var $2=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 121 "CompileUtilities.cpp"
 var $3=$2; //@line 121 "CompileUtilities.cpp"
 var $error=(($3)|0); //@line 121 "CompileUtilities.cpp"
 HEAP8[($error)]=1; //@line 121 "CompileUtilities.cpp"
 var $4=((((HEAPU8[(196)])|(HEAPU8[(197)]<<8)|(HEAPU8[(198)]<<16)|(HEAPU8[(199)]<<24))|0)); //@line 122 "CompileUtilities.cpp"
 var $5=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 122 "CompileUtilities.cpp"
 var $6=$5; //@line 122 "CompileUtilities.cpp"
 var $error_msg=(($6+4)|0); //@line 122 "CompileUtilities.cpp"
 tempBigInt=$4;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 122 "CompileUtilities.cpp"
 $retval=0; //@line 123 "CompileUtilities.cpp"
 label=6;break; //@line 123 "CompileUtilities.cpp"
 case 5: 
 $retval=1; //@line 125 "CompileUtilities.cpp"
 label=6;break; //@line 125 "CompileUtilities.cpp"
 case 6: 
 var $7=$retval; //@line 126 "CompileUtilities.cpp"
 STACKTOP=sp;return $7; //@line 126 "CompileUtilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z13CheckVariableRbRhS0_RiS1_($bVariable,$type,$size,$address,$indexSourcePtr){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+40)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $bVariable_addr;
 var $type_addr;
 var $size_addr;
 var $address_addr;
 var $indexSourcePtr_addr;
 var $varType;
 var $bIndex=sp;
 var $bIndex50=(sp)+(8);
 var $bIndex63=(sp)+(16);
 var $bEof=(sp)+(24);
 var $bIndex89=(sp)+(32);
 $bVariable_addr=$bVariable;
 $type_addr=$type;
 $size_addr=$size;
 $address_addr=$address;
 $indexSourcePtr_addr=$indexSourcePtr;
 var $0=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 130 "CompileUtilities.cpp"
 var $call=__ZN11Elementizer8GetValueEv($0); //@line 130 "CompileUtilities.cpp"
 var $1=$address_addr; //@line 130 "CompileUtilities.cpp"
 tempBigInt=$call;HEAP8[($1)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($1)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($1)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($1)+(3))|0)]=tempBigInt&0xff; //@line 130 "CompileUtilities.cpp"
 var $2=$indexSourcePtr_addr; //@line 131 "CompileUtilities.cpp"
 tempBigInt=0;HEAP8[($2)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($2)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($2)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($2)+(3))|0)]=tempBigInt&0xff; //@line 131 "CompileUtilities.cpp"
 var $3=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 133 "CompileUtilities.cpp"
 var $call1=__ZN11Elementizer7GetTypeEv($3); //@line 133 "CompileUtilities.cpp"
 var $and=$call1&255; //@line 133 "CompileUtilities.cpp"
 var $conv=(($and)&255); //@line 133 "CompileUtilities.cpp"
 $varType=$conv; //@line 133 "CompileUtilities.cpp"
 var $4=$varType; //@line 135 "CompileUtilities.cpp"
 var $conv2=($4&255); //@line 135 "CompileUtilities.cpp"
 var $cmp=($conv2|0)>=69; //@line 135 "CompileUtilities.cpp"
 if($cmp){label=2;break;}else{label=8;break;} //@line 135 "CompileUtilities.cpp"
 case 2: 
 var $5=$varType; //@line 135 "CompileUtilities.cpp"
 var $conv3=($5&255); //@line 135 "CompileUtilities.cpp"
 var $cmp4=($conv3|0)<=71; //@line 135 "CompileUtilities.cpp"
 if($cmp4){label=3;break;}else{label=8;break;} //@line 135 "CompileUtilities.cpp"
 case 3: 
 var $6=$type_addr; //@line 137 "CompileUtilities.cpp"
 HEAP8[($6)]=69; //@line 137 "CompileUtilities.cpp"
 var $7=$varType; //@line 139 "CompileUtilities.cpp"
 var $conv5=($7&255); //@line 139 "CompileUtilities.cpp"
 var $cmp6=($conv5|0)<71; //@line 139 "CompileUtilities.cpp"
 if($cmp6){label=4;break;}else{label=5;break;} //@line 139 "CompileUtilities.cpp"
 case 4: 
 var $8=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 141 "CompileUtilities.cpp"
 var $var_long=(($8+16971096)|0); //@line 141 "CompileUtilities.cpp"
 var $9=((((HEAPU8[($var_long)])|(HEAPU8[((($var_long)+(1))|0)]<<8)|(HEAPU8[((($var_long)+(2))|0)]<<16)|(HEAPU8[((($var_long)+(3))|0)]<<24))|0)); //@line 141 "CompileUtilities.cpp"
 var $10=$address_addr; //@line 141 "CompileUtilities.cpp"
 var $11=((((HEAPU8[($10)])|(HEAPU8[((($10)+(1))|0)]<<8)|(HEAPU8[((($10)+(2))|0)]<<16)|(HEAPU8[((($10)+(3))|0)]<<24))|0)); //@line 141 "CompileUtilities.cpp"
 var $add=((($11)+($9))|0); //@line 141 "CompileUtilities.cpp"
 tempBigInt=$add;HEAP8[($10)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($10)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($10)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($10)+(3))|0)]=tempBigInt&0xff; //@line 141 "CompileUtilities.cpp"
 label=5;break; //@line 142 "CompileUtilities.cpp"
 case 5: 
 var $12=$varType; //@line 143 "CompileUtilities.cpp"
 var $conv8=($12&255); //@line 143 "CompileUtilities.cpp"
 var $cmp9=($conv8|0)==69; //@line 143 "CompileUtilities.cpp"
 if($cmp9){label=6;break;}else{label=7;break;} //@line 143 "CompileUtilities.cpp"
 case 6: 
 var $13=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 145 "CompileUtilities.cpp"
 var $var_word=(($13+16971092)|0); //@line 145 "CompileUtilities.cpp"
 var $14=((((HEAPU8[($var_word)])|(HEAPU8[((($var_word)+(1))|0)]<<8)|(HEAPU8[((($var_word)+(2))|0)]<<16)|(HEAPU8[((($var_word)+(3))|0)]<<24))|0)); //@line 145 "CompileUtilities.cpp"
 var $15=$address_addr; //@line 145 "CompileUtilities.cpp"
 var $16=((((HEAPU8[($15)])|(HEAPU8[((($15)+(1))|0)]<<8)|(HEAPU8[((($15)+(2))|0)]<<16)|(HEAPU8[((($15)+(3))|0)]<<24))|0)); //@line 145 "CompileUtilities.cpp"
 var $add11=((($16)+($14))|0); //@line 145 "CompileUtilities.cpp"
 tempBigInt=$add11;HEAP8[($15)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($15)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($15)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($15)+(3))|0)]=tempBigInt&0xff; //@line 145 "CompileUtilities.cpp"
 label=7;break; //@line 146 "CompileUtilities.cpp"
 case 7: 
 label=33;break; //@line 147 "CompileUtilities.cpp"
 case 8: 
 var $17=$varType; //@line 148 "CompileUtilities.cpp"
 var $conv13=($17&255); //@line 148 "CompileUtilities.cpp"
 var $cmp14=($conv13|0)>=72; //@line 148 "CompileUtilities.cpp"
 if($cmp14){label=9;break;}else{label=11;break;} //@line 148 "CompileUtilities.cpp"
 case 9: 
 var $18=$varType; //@line 148 "CompileUtilities.cpp"
 var $conv16=($18&255); //@line 148 "CompileUtilities.cpp"
 var $cmp17=($conv16|0)<=74; //@line 148 "CompileUtilities.cpp"
 if($cmp17){label=10;break;}else{label=11;break;} //@line 148 "CompileUtilities.cpp"
 case 10: 
 var $19=$type_addr; //@line 150 "CompileUtilities.cpp"
 HEAP8[($19)]=72; //@line 150 "CompileUtilities.cpp"
 label=32;break; //@line 151 "CompileUtilities.cpp"
 case 11: 
 var $20=$varType; //@line 152 "CompileUtilities.cpp"
 var $conv20=($20&255); //@line 152 "CompileUtilities.cpp"
 var $cmp21=($conv20|0)>=76; //@line 152 "CompileUtilities.cpp"
 if($cmp21){label=12;break;}else{label=14;break;} //@line 152 "CompileUtilities.cpp"
 case 12: 
 var $21=$varType; //@line 152 "CompileUtilities.cpp"
 var $conv23=($21&255); //@line 152 "CompileUtilities.cpp"
 var $cmp24=($conv23|0)<=78; //@line 152 "CompileUtilities.cpp"
 if($cmp24){label=13;break;}else{label=14;break;} //@line 152 "CompileUtilities.cpp"
 case 13: 
 var $22=$type_addr; //@line 154 "CompileUtilities.cpp"
 HEAP8[($22)]=76; //@line 154 "CompileUtilities.cpp"
 label=31;break; //@line 155 "CompileUtilities.cpp"
 case 14: 
 var $23=$varType; //@line 158 "CompileUtilities.cpp"
 var $24=$type_addr; //@line 158 "CompileUtilities.cpp"
 HEAP8[($24)]=$23; //@line 158 "CompileUtilities.cpp"
 var $25=$varType; //@line 159 "CompileUtilities.cpp"
 var $conv27=($25&255); //@line 159 "CompileUtilities.cpp"
 var $cmp28=($conv27|0)==29; //@line 159 "CompileUtilities.cpp"
 if($cmp28){label=15;break;}else{label=20;break;} //@line 159 "CompileUtilities.cpp"
 case 15: 
 var $26=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 161 "CompileUtilities.cpp"
 var $call30=__ZN11Elementizer8GetValueEv($26); //@line 161 "CompileUtilities.cpp"
 var $and31=$call30&255; //@line 161 "CompileUtilities.cpp"
 var $conv32=(($and31)&255); //@line 161 "CompileUtilities.cpp"
 var $27=$size_addr; //@line 161 "CompileUtilities.cpp"
 HEAP8[($27)]=$conv32; //@line 161 "CompileUtilities.cpp"
 var $28=$address_addr; //@line 162 "CompileUtilities.cpp"
 var $call33=__Z31CheckVariable_AddressExpressionRi($28); //@line 162 "CompileUtilities.cpp"
 if($call33){label=17;break;}else{label=16;break;} //@line 162 "CompileUtilities.cpp"
 case 16: 
 $retval=0; //@line 164 "CompileUtilities.cpp"
 label=48;break; //@line 164 "CompileUtilities.cpp"
 case 17: 
 HEAP8[($bIndex)]=0; //@line 166 "CompileUtilities.cpp"
 var $29=$indexSourcePtr_addr; //@line 167 "CompileUtilities.cpp"
 var $call36=__Z10CheckIndexRbRi($bIndex,$29); //@line 167 "CompileUtilities.cpp"
 if($call36){label=19;break;}else{label=18;break;} //@line 167 "CompileUtilities.cpp"
 case 18: 
 $retval=0; //@line 169 "CompileUtilities.cpp"
 label=48;break; //@line 169 "CompileUtilities.cpp"
 case 19: 
 var $30=$bVariable_addr; //@line 171 "CompileUtilities.cpp"
 HEAP8[($30)]=1; //@line 171 "CompileUtilities.cpp"
 $retval=1; //@line 172 "CompileUtilities.cpp"
 label=48;break; //@line 172 "CompileUtilities.cpp"
 case 20: 
 var $31=$size_addr; //@line 176 "CompileUtilities.cpp"
 HEAP8[($31)]=2; //@line 176 "CompileUtilities.cpp"
 var $32=$varType; //@line 177 "CompileUtilities.cpp"
 var $conv40=($32&255); //@line 177 "CompileUtilities.cpp"
 var $cmp41=($conv40|0)==20; //@line 177 "CompileUtilities.cpp"
 if($cmp41){label=21;break;}else{label=24;break;} //@line 177 "CompileUtilities.cpp"
 case 21: 
 var $33=$address_addr; //@line 179 "CompileUtilities.cpp"
 var $call43=__Z31CheckVariable_AddressExpressionRi($33); //@line 179 "CompileUtilities.cpp"
 if($call43){label=23;break;}else{label=22;break;} //@line 179 "CompileUtilities.cpp"
 case 22: 
 $retval=0; //@line 181 "CompileUtilities.cpp"
 label=48;break; //@line 181 "CompileUtilities.cpp"
 case 23: 
 var $34=$bVariable_addr; //@line 183 "CompileUtilities.cpp"
 HEAP8[($34)]=1; //@line 183 "CompileUtilities.cpp"
 $retval=1; //@line 184 "CompileUtilities.cpp"
 label=48;break; //@line 184 "CompileUtilities.cpp"
 case 24: 
 var $35=$varType; //@line 186 "CompileUtilities.cpp"
 var $conv47=($35&255); //@line 186 "CompileUtilities.cpp"
 var $cmp48=($conv47|0)==66; //@line 186 "CompileUtilities.cpp"
 if($cmp48){label=25;break;}else{label=30;break;} //@line 186 "CompileUtilities.cpp"
 case 25: 
 HEAP8[($bIndex50)]=0; //@line 188 "CompileUtilities.cpp"
 var $36=$indexSourcePtr_addr; //@line 189 "CompileUtilities.cpp"
 var $call51=__Z15CheckIndexRangeRbRi($bIndex50,$36); //@line 189 "CompileUtilities.cpp"
 if($call51){label=27;break;}else{label=26;break;} //@line 189 "CompileUtilities.cpp"
 case 26: 
 $retval=0; //@line 191 "CompileUtilities.cpp"
 label=48;break; //@line 191 "CompileUtilities.cpp"
 case 27: 
 var $37=HEAP8[($bIndex50)]; //@line 193 "CompileUtilities.cpp"
 var $tobool=(($37)&1); //@line 193 "CompileUtilities.cpp"
 if($tobool){label=28;break;}else{label=29;break;} //@line 193 "CompileUtilities.cpp"
 case 28: 
 var $38=$size_addr; //@line 195 "CompileUtilities.cpp"
 HEAP8[($38)]=3; //@line 195 "CompileUtilities.cpp"
 label=29;break; //@line 196 "CompileUtilities.cpp"
 case 29: 
 var $39=$bVariable_addr; //@line 197 "CompileUtilities.cpp"
 HEAP8[($39)]=1; //@line 197 "CompileUtilities.cpp"
 $retval=1; //@line 198 "CompileUtilities.cpp"
 label=48;break; //@line 198 "CompileUtilities.cpp"
 case 30: 
 var $40=$bVariable_addr; //@line 202 "CompileUtilities.cpp"
 HEAP8[($40)]=0; //@line 202 "CompileUtilities.cpp"
 $retval=1; //@line 203 "CompileUtilities.cpp"
 label=48;break; //@line 203 "CompileUtilities.cpp"
 case 31: 
 label=32;break;
 case 32: 
 label=33;break;
 case 33: 
 var $41=$varType; //@line 209 "CompileUtilities.cpp"
 var $42=$size_addr; //@line 209 "CompileUtilities.cpp"
 HEAP8[($42)]=$41; //@line 209 "CompileUtilities.cpp"
 var $43=$type_addr; //@line 210 "CompileUtilities.cpp"
 var $44=HEAP8[($43)]; //@line 210 "CompileUtilities.cpp"
 var $conv60=($44&255); //@line 210 "CompileUtilities.cpp"
 var $45=$size_addr; //@line 210 "CompileUtilities.cpp"
 var $46=HEAP8[($45)]; //@line 210 "CompileUtilities.cpp"
 var $conv61=($46&255); //@line 210 "CompileUtilities.cpp"
 var $sub=((($conv61)-($conv60))|0); //@line 210 "CompileUtilities.cpp"
 var $conv62=(($sub)&255); //@line 210 "CompileUtilities.cpp"
 HEAP8[($45)]=$conv62; //@line 210 "CompileUtilities.cpp"
 HEAP8[($bIndex63)]=0; //@line 211 "CompileUtilities.cpp"
 var $47=$indexSourcePtr_addr; //@line 212 "CompileUtilities.cpp"
 var $call64=__Z10CheckIndexRbRi($bIndex63,$47); //@line 212 "CompileUtilities.cpp"
 if($call64){label=35;break;}else{label=34;break;} //@line 212 "CompileUtilities.cpp"
 case 34: 
 $retval=0; //@line 214 "CompileUtilities.cpp"
 label=48;break; //@line 214 "CompileUtilities.cpp"
 case 35: 
 var $48=HEAP8[($bIndex63)]; //@line 216 "CompileUtilities.cpp"
 var $tobool67=(($48)&1); //@line 216 "CompileUtilities.cpp"
 if($tobool67){label=47;break;}else{label=36;break;} //@line 216 "CompileUtilities.cpp"
 case 36: 
 var $49=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 219 "CompileUtilities.cpp"
 var $call69=__ZN11Elementizer12CheckElementEi($49,10); //@line 219 "CompileUtilities.cpp"
 if($call69){label=37;break;}else{label=46;break;} //@line 219 "CompileUtilities.cpp"
 case 37: 
 HEAP8[($bEof)]=0; //@line 221 "CompileUtilities.cpp"
 var $50=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 222 "CompileUtilities.cpp"
 var $call71=__ZN11Elementizer7GetNextERb($50,$bEof); //@line 222 "CompileUtilities.cpp"
 if($call71){label=39;break;}else{label=38;break;} //@line 222 "CompileUtilities.cpp"
 case 38: 
 $retval=0; //@line 224 "CompileUtilities.cpp"
 label=48;break; //@line 224 "CompileUtilities.cpp"
 case 39: 
 var $51=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 226 "CompileUtilities.cpp"
 var $call74=__ZN11Elementizer7GetTypeEv($51); //@line 226 "CompileUtilities.cpp"
 var $cmp75=($call74|0)!=29; //@line 226 "CompileUtilities.cpp"
 if($cmp75){label=40;break;}else{label=41;break;} //@line 226 "CompileUtilities.cpp"
 case 40: 
 var $52=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 228 "CompileUtilities.cpp"
 var $53=$52; //@line 228 "CompileUtilities.cpp"
 var $error=(($53)|0); //@line 228 "CompileUtilities.cpp"
 HEAP8[($error)]=1; //@line 228 "CompileUtilities.cpp"
 var $54=((((HEAPU8[(148)])|(HEAPU8[(149)]<<8)|(HEAPU8[(150)]<<16)|(HEAPU8[(151)]<<24))|0)); //@line 229 "CompileUtilities.cpp"
 var $55=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 229 "CompileUtilities.cpp"
 var $56=$55; //@line 229 "CompileUtilities.cpp"
 var $error_msg=(($56+4)|0); //@line 229 "CompileUtilities.cpp"
 tempBigInt=$54;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 229 "CompileUtilities.cpp"
 $retval=0; //@line 230 "CompileUtilities.cpp"
 label=48;break; //@line 230 "CompileUtilities.cpp"
 case 41: 
 var $57=$size_addr; //@line 232 "CompileUtilities.cpp"
 var $58=HEAP8[($57)]; //@line 232 "CompileUtilities.cpp"
 var $conv78=($58&255); //@line 232 "CompileUtilities.cpp"
 var $59=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 232 "CompileUtilities.cpp"
 var $call79=__ZN11Elementizer8GetValueEv($59); //@line 232 "CompileUtilities.cpp"
 var $and80=$call79&255; //@line 232 "CompileUtilities.cpp"
 var $cmp81=($conv78|0)<($and80|0); //@line 232 "CompileUtilities.cpp"
 if($cmp81){label=42;break;}else{label=43;break;} //@line 232 "CompileUtilities.cpp"
 case 42: 
 var $60=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 234 "CompileUtilities.cpp"
 var $61=$60; //@line 234 "CompileUtilities.cpp"
 var $error83=(($61)|0); //@line 234 "CompileUtilities.cpp"
 HEAP8[($error83)]=1; //@line 234 "CompileUtilities.cpp"
 var $62=((((HEAPU8[(432)])|(HEAPU8[(433)]<<8)|(HEAPU8[(434)]<<16)|(HEAPU8[(435)]<<24))|0)); //@line 235 "CompileUtilities.cpp"
 var $63=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 235 "CompileUtilities.cpp"
 var $64=$63; //@line 235 "CompileUtilities.cpp"
 var $error_msg84=(($64+4)|0); //@line 235 "CompileUtilities.cpp"
 tempBigInt=$62;HEAP8[($error_msg84)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg84)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg84)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg84)+(3))|0)]=tempBigInt&0xff; //@line 235 "CompileUtilities.cpp"
 $retval=0; //@line 236 "CompileUtilities.cpp"
 label=48;break; //@line 236 "CompileUtilities.cpp"
 case 43: 
 var $65=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 238 "CompileUtilities.cpp"
 var $call86=__ZN11Elementizer8GetValueEv($65); //@line 238 "CompileUtilities.cpp"
 var $and87=$call86&255; //@line 238 "CompileUtilities.cpp"
 var $conv88=(($and87)&255); //@line 238 "CompileUtilities.cpp"
 var $66=$size_addr; //@line 238 "CompileUtilities.cpp"
 HEAP8[($66)]=$conv88; //@line 238 "CompileUtilities.cpp"
 HEAP8[($bIndex89)]=0; //@line 240 "CompileUtilities.cpp"
 var $67=$indexSourcePtr_addr; //@line 241 "CompileUtilities.cpp"
 var $call90=__Z10CheckIndexRbRi($bIndex89,$67); //@line 241 "CompileUtilities.cpp"
 if($call90){label=45;break;}else{label=44;break;} //@line 241 "CompileUtilities.cpp"
 case 44: 
 $retval=0; //@line 243 "CompileUtilities.cpp"
 label=48;break; //@line 243 "CompileUtilities.cpp"
 case 45: 
 label=46;break; //@line 245 "CompileUtilities.cpp"
 case 46: 
 label=47;break; //@line 246 "CompileUtilities.cpp"
 case 47: 
 var $68=$bVariable_addr; //@line 247 "CompileUtilities.cpp"
 HEAP8[($68)]=1; //@line 247 "CompileUtilities.cpp"
 $retval=1; //@line 248 "CompileUtilities.cpp"
 label=48;break; //@line 248 "CompileUtilities.cpp"
 case 48: 
 var $69=$retval; //@line 249 "CompileUtilities.cpp"
 STACKTOP=sp;return $69; //@line 249 "CompileUtilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z11GetVariableRhS_RiS0_($type,$size,$address,$indexSourcePtr){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+16)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $type_addr;
 var $size_addr;
 var $address_addr;
 var $indexSourcePtr_addr;
 var $bEof=sp;
 var $bVariable=(sp)+(8);
 $type_addr=$type;
 $size_addr=$size;
 $address_addr=$address;
 $indexSourcePtr_addr=$indexSourcePtr;
 HEAP8[($bEof)]=0; //@line 253 "CompileUtilities.cpp"
 var $0=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 254 "CompileUtilities.cpp"
 var $call=__ZN11Elementizer7GetNextERb($0,$bEof); //@line 254 "CompileUtilities.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 254 "CompileUtilities.cpp"
 case 2: 
 $retval=0; //@line 256 "CompileUtilities.cpp"
 label=8;break; //@line 256 "CompileUtilities.cpp"
 case 3: 
 HEAP8[($bVariable)]=0; //@line 258 "CompileUtilities.cpp"
 var $1=$type_addr; //@line 259 "CompileUtilities.cpp"
 var $2=$size_addr; //@line 259 "CompileUtilities.cpp"
 var $3=$address_addr; //@line 259 "CompileUtilities.cpp"
 var $4=$indexSourcePtr_addr; //@line 259 "CompileUtilities.cpp"
 var $call1=__Z13CheckVariableRbRhS0_RiS1_($bVariable,$1,$2,$3,$4); //@line 259 "CompileUtilities.cpp"
 if($call1){label=5;break;}else{label=4;break;} //@line 259 "CompileUtilities.cpp"
 case 4: 
 $retval=0; //@line 261 "CompileUtilities.cpp"
 label=8;break; //@line 261 "CompileUtilities.cpp"
 case 5: 
 var $5=HEAP8[($bVariable)]; //@line 263 "CompileUtilities.cpp"
 var $tobool=(($5)&1); //@line 263 "CompileUtilities.cpp"
 if($tobool){label=7;break;}else{label=6;break;} //@line 263 "CompileUtilities.cpp"
 case 6: 
 var $6=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 265 "CompileUtilities.cpp"
 var $7=$6; //@line 265 "CompileUtilities.cpp"
 var $error=(($7)|0); //@line 265 "CompileUtilities.cpp"
 HEAP8[($error)]=1; //@line 265 "CompileUtilities.cpp"
 var $8=((((HEAPU8[(120)])|(HEAPU8[(121)]<<8)|(HEAPU8[(122)]<<16)|(HEAPU8[(123)]<<24))|0)); //@line 266 "CompileUtilities.cpp"
 var $9=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 266 "CompileUtilities.cpp"
 var $10=$9; //@line 266 "CompileUtilities.cpp"
 var $error_msg=(($10+4)|0); //@line 266 "CompileUtilities.cpp"
 tempBigInt=$8;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 266 "CompileUtilities.cpp"
 $retval=0; //@line 267 "CompileUtilities.cpp"
 label=8;break; //@line 267 "CompileUtilities.cpp"
 case 7: 
 $retval=1; //@line 269 "CompileUtilities.cpp"
 label=8;break; //@line 269 "CompileUtilities.cpp"
 case 8: 
 var $11=$retval; //@line 270 "CompileUtilities.cpp"
 STACKTOP=sp;return $11; //@line 270 "CompileUtilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z15CompileVariablehhhhii($vOperation,$vOperator,$type,$size,$address,$indexSourcePtr){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+8)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $vOperation_addr;
 var $vOperator_addr;
 var $type_addr;
 var $size_addr;
 var $address_addr;
 var $indexSourcePtr_addr;
 var $byteCode;
 var $bRange=sp;
 $vOperation_addr=$vOperation;
 $vOperator_addr=$vOperator;
 $type_addr=$type;
 $size_addr=$size;
 $address_addr=$address;
 $indexSourcePtr_addr=$indexSourcePtr;
 var $0=$type_addr; //@line 275 "CompileUtilities.cpp"
 var $conv=($0&255); //@line 275 "CompileUtilities.cpp"
 var $cmp=($conv|0)!=66; //@line 275 "CompileUtilities.cpp"
 if($cmp){label=2;break;}else{label=14;break;} //@line 275 "CompileUtilities.cpp"
 case 2: 
 var $1=$type_addr; //@line 277 "CompileUtilities.cpp"
 var $conv1=($1&255); //@line 277 "CompileUtilities.cpp"
 var $cmp2=($conv1|0)==20; //@line 277 "CompileUtilities.cpp"
 if($cmp2){label=4;break;}else{label=3;break;} //@line 277 "CompileUtilities.cpp"
 case 3: 
 var $2=$type_addr; //@line 277 "CompileUtilities.cpp"
 var $conv3=($2&255); //@line 277 "CompileUtilities.cpp"
 var $cmp4=($conv3|0)==29; //@line 277 "CompileUtilities.cpp"
 if($cmp4){label=4;break;}else{label=7;break;} //@line 277 "CompileUtilities.cpp"
 case 4: 
 var $3=$address_addr; //@line 279 "CompileUtilities.cpp"
 var $call=__Z30CompileOutOfSequenceExpressioni($3); //@line 279 "CompileUtilities.cpp"
 if($call){label=6;break;}else{label=5;break;} //@line 279 "CompileUtilities.cpp"
 case 5: 
 $retval=0; //@line 281 "CompileUtilities.cpp"
 label=62;break; //@line 281 "CompileUtilities.cpp"
 case 6: 
 label=7;break; //@line 283 "CompileUtilities.cpp"
 case 7: 
 var $4=$type_addr; //@line 284 "CompileUtilities.cpp"
 var $conv8=($4&255); //@line 284 "CompileUtilities.cpp"
 var $cmp9=($conv8|0)!=20; //@line 284 "CompileUtilities.cpp"
 if($cmp9){label=8;break;}else{label=13;break;} //@line 284 "CompileUtilities.cpp"
 case 8: 
 var $5=$indexSourcePtr_addr; //@line 286 "CompileUtilities.cpp"
 var $cmp11=($5|0)!=0; //@line 286 "CompileUtilities.cpp"
 if($cmp11){label=9;break;}else{label=12;break;} //@line 286 "CompileUtilities.cpp"
 case 9: 
 var $6=$indexSourcePtr_addr; //@line 288 "CompileUtilities.cpp"
 var $call13=__Z30CompileOutOfSequenceExpressioni($6); //@line 288 "CompileUtilities.cpp"
 if($call13){label=11;break;}else{label=10;break;} //@line 288 "CompileUtilities.cpp"
 case 10: 
 $retval=0; //@line 290 "CompileUtilities.cpp"
 label=62;break; //@line 290 "CompileUtilities.cpp"
 case 11: 
 label=12;break; //@line 292 "CompileUtilities.cpp"
 case 12: 
 label=13;break; //@line 293 "CompileUtilities.cpp"
 case 13: 
 label=14;break; //@line 294 "CompileUtilities.cpp"
 case 14: 
 $byteCode=0; //@line 296 "CompileUtilities.cpp"
 var $7=$type_addr; //@line 298 "CompileUtilities.cpp"
 var $conv19=($7&255); //@line 298 "CompileUtilities.cpp"
 var $cmp20=($conv19|0)==20; //@line 298 "CompileUtilities.cpp"
 if($cmp20){label=15;break;}else{label=16;break;} //@line 298 "CompileUtilities.cpp"
 case 15: 
 var $8=$vOperation_addr; //@line 300 "CompileUtilities.cpp"
 var $conv22=($8&255); //@line 300 "CompileUtilities.cpp"
 var $or=36|$conv22; //@line 300 "CompileUtilities.cpp"
 var $conv23=(($or)&255); //@line 300 "CompileUtilities.cpp"
 $byteCode=$conv23; //@line 300 "CompileUtilities.cpp"
 label=55;break; //@line 301 "CompileUtilities.cpp"
 case 16: 
 var $9=$type_addr; //@line 302 "CompileUtilities.cpp"
 var $conv24=($9&255); //@line 302 "CompileUtilities.cpp"
 var $cmp25=($conv24|0)==66; //@line 302 "CompileUtilities.cpp"
 if($cmp25){label=17;break;}else{label=27;break;} //@line 302 "CompileUtilities.cpp"
 case 17: 
 $byteCode=63; //@line 304 "CompileUtilities.cpp"
 var $10=$size_addr; //@line 305 "CompileUtilities.cpp"
 var $conv27=($10&255); //@line 305 "CompileUtilities.cpp"
 var $cmp28=($conv27|0)!=2; //@line 305 "CompileUtilities.cpp"
 if($cmp28){label=18;break;}else{label=24;break;} //@line 305 "CompileUtilities.cpp"
 case 18: 
 HEAP8[($bRange)]=0; //@line 307 "CompileUtilities.cpp"
 var $11=$indexSourcePtr_addr; //@line 308 "CompileUtilities.cpp"
 var $call30=__Z25CompileOutOfSequenceRangeiRb($11,$bRange); //@line 308 "CompileUtilities.cpp"
 if($call30){label=20;break;}else{label=19;break;} //@line 308 "CompileUtilities.cpp"
 case 19: 
 $retval=0; //@line 310 "CompileUtilities.cpp"
 label=62;break; //@line 310 "CompileUtilities.cpp"
 case 20: 
 var $12=HEAP8[($bRange)]; //@line 312 "CompileUtilities.cpp"
 var $tobool=(($12)&1); //@line 312 "CompileUtilities.cpp"
 if($tobool){label=21;break;}else{label=22;break;} //@line 312 "CompileUtilities.cpp"
 case 21: 
 $byteCode=62; //@line 314 "CompileUtilities.cpp"
 label=23;break; //@line 315 "CompileUtilities.cpp"
 case 22: 
 $byteCode=61; //@line 318 "CompileUtilities.cpp"
 label=23;break;
 case 23: 
 label=24;break; //@line 320 "CompileUtilities.cpp"
 case 24: 
 var $13=$byteCode; //@line 321 "CompileUtilities.cpp"
 var $call37=__Z8EnterObjh($13); //@line 321 "CompileUtilities.cpp"
 if($call37){label=26;break;}else{label=25;break;} //@line 321 "CompileUtilities.cpp"
 case 25: 
 $retval=0; //@line 323 "CompileUtilities.cpp"
 label=62;break; //@line 323 "CompileUtilities.cpp"
 case 26: 
 var $14=$vOperation_addr; //@line 326 "CompileUtilities.cpp"
 var $conv40=($14&255); //@line 326 "CompileUtilities.cpp"
 var $and=$conv40&3; //@line 326 "CompileUtilities.cpp"
 var $shl=$and<<5; //@line 326 "CompileUtilities.cpp"
 var $or41=128|$shl; //@line 326 "CompileUtilities.cpp"
 var $15=$address_addr; //@line 326 "CompileUtilities.cpp"
 var $and42=$15&31; //@line 326 "CompileUtilities.cpp"
 var $or43=$or41|$and42; //@line 326 "CompileUtilities.cpp"
 var $conv44=(($or43)&255); //@line 326 "CompileUtilities.cpp"
 $byteCode=$conv44; //@line 326 "CompileUtilities.cpp"
 label=54;break; //@line 327 "CompileUtilities.cpp"
 case 27: 
 var $16=$type_addr; //@line 330 "CompileUtilities.cpp"
 var $conv46=($16&255); //@line 330 "CompileUtilities.cpp"
 var $cmp47=($conv46|0)!=69; //@line 330 "CompileUtilities.cpp"
 if($cmp47){label=28;break;}else{label=29;break;} //@line 330 "CompileUtilities.cpp"
 case 28: 
 var $17=$type_addr; //@line 330 "CompileUtilities.cpp"
 var $conv48=($17&255); //@line 330 "CompileUtilities.cpp"
 var $cmp49=($conv48|0)!=76; //@line 330 "CompileUtilities.cpp"
 if($cmp49){label=32;break;}else{label=29;break;} //@line 330 "CompileUtilities.cpp"
 case 29: 
 var $18=$size_addr; //@line 330 "CompileUtilities.cpp"
 var $conv51=($18&255); //@line 330 "CompileUtilities.cpp"
 var $cmp52=($conv51|0)!=2; //@line 330 "CompileUtilities.cpp"
 if($cmp52){label=32;break;}else{label=30;break;} //@line 330 "CompileUtilities.cpp"
 case 30: 
 var $19=$address_addr; //@line 330 "CompileUtilities.cpp"
 var $cmp54=($19|0)>=32; //@line 330 "CompileUtilities.cpp"
 if($cmp54){label=32;break;}else{label=31;break;} //@line 330 "CompileUtilities.cpp"
 case 31: 
 var $20=$indexSourcePtr_addr; //@line 330 "CompileUtilities.cpp"
 var $cmp56=($20|0)!=0; //@line 330 "CompileUtilities.cpp"
 if($cmp56){label=32;break;}else{label=52;break;} //@line 330 "CompileUtilities.cpp"
 case 32: 
 var $21=$size_addr; //@line 333 "CompileUtilities.cpp"
 var $conv58=($21&255); //@line 333 "CompileUtilities.cpp"
 var $shl59=$conv58<<5; //@line 333 "CompileUtilities.cpp"
 var $or60=128|$shl59; //@line 333 "CompileUtilities.cpp"
 var $conv61=(($or60)&255); //@line 333 "CompileUtilities.cpp"
 $byteCode=$conv61; //@line 333 "CompileUtilities.cpp"
 var $22=$indexSourcePtr_addr; //@line 334 "CompileUtilities.cpp"
 var $cmp62=($22|0)!=0; //@line 334 "CompileUtilities.cpp"
 if($cmp62){label=33;break;}else{label=34;break;} //@line 334 "CompileUtilities.cpp"
 case 33: 
 var $23=$byteCode; //@line 336 "CompileUtilities.cpp"
 var $conv64=($23&255); //@line 336 "CompileUtilities.cpp"
 var $or65=$conv64|16; //@line 336 "CompileUtilities.cpp"
 var $conv66=(($or65)&255); //@line 336 "CompileUtilities.cpp"
 $byteCode=$conv66; //@line 336 "CompileUtilities.cpp"
 label=34;break; //@line 337 "CompileUtilities.cpp"
 case 34: 
 var $24=$vOperation_addr; //@line 338 "CompileUtilities.cpp"
 var $conv68=($24&255); //@line 338 "CompileUtilities.cpp"
 var $25=$byteCode; //@line 338 "CompileUtilities.cpp"
 var $conv69=($25&255); //@line 338 "CompileUtilities.cpp"
 var $or70=$conv69|$conv68; //@line 338 "CompileUtilities.cpp"
 var $conv71=(($or70)&255); //@line 338 "CompileUtilities.cpp"
 $byteCode=$conv71; //@line 338 "CompileUtilities.cpp"
 var $26=$type_addr; //@line 339 "CompileUtilities.cpp"
 var $conv72=($26&255); //@line 339 "CompileUtilities.cpp"
 var $cmp73=($conv72|0)!=29; //@line 339 "CompileUtilities.cpp"
 if($cmp73){label=35;break;}else{label=51;break;} //@line 339 "CompileUtilities.cpp"
 case 35: 
 var $27=$type_addr; //@line 341 "CompileUtilities.cpp"
 var $conv75=($27&255); //@line 341 "CompileUtilities.cpp"
 var $cmp76=($conv75|0)==72; //@line 341 "CompileUtilities.cpp"
 if($cmp76){label=36;break;}else{label=37;break;} //@line 341 "CompileUtilities.cpp"
 case 36: 
 var $28=$byteCode; //@line 343 "CompileUtilities.cpp"
 var $conv78=($28&255); //@line 343 "CompileUtilities.cpp"
 var $add=((($conv78)+(4))|0); //@line 343 "CompileUtilities.cpp"
 var $conv79=(($add)&255); //@line 343 "CompileUtilities.cpp"
 $byteCode=$conv79; //@line 343 "CompileUtilities.cpp"
 label=44;break; //@line 344 "CompileUtilities.cpp"
 case 37: 
 var $29=$type_addr; //@line 345 "CompileUtilities.cpp"
 var $conv81=($29&255); //@line 345 "CompileUtilities.cpp"
 var $cmp82=($conv81|0)==69; //@line 345 "CompileUtilities.cpp"
 if($cmp82){label=38;break;}else{label=39;break;} //@line 345 "CompileUtilities.cpp"
 case 38: 
 var $30=$byteCode; //@line 347 "CompileUtilities.cpp"
 var $conv84=($30&255); //@line 347 "CompileUtilities.cpp"
 var $add85=((($conv84)+(8))|0); //@line 347 "CompileUtilities.cpp"
 var $conv86=(($add85)&255); //@line 347 "CompileUtilities.cpp"
 $byteCode=$conv86; //@line 347 "CompileUtilities.cpp"
 label=43;break; //@line 348 "CompileUtilities.cpp"
 case 39: 
 var $31=$type_addr; //@line 349 "CompileUtilities.cpp"
 var $conv88=($31&255); //@line 349 "CompileUtilities.cpp"
 var $cmp89=($conv88|0)==76; //@line 349 "CompileUtilities.cpp"
 if($cmp89){label=40;break;}else{label=41;break;} //@line 349 "CompileUtilities.cpp"
 case 40: 
 var $32=$byteCode; //@line 351 "CompileUtilities.cpp"
 var $conv91=($32&255); //@line 351 "CompileUtilities.cpp"
 var $add92=((($conv91)+(12))|0); //@line 351 "CompileUtilities.cpp"
 var $conv93=(($add92)&255); //@line 351 "CompileUtilities.cpp"
 $byteCode=$conv93; //@line 351 "CompileUtilities.cpp"
 label=42;break; //@line 352 "CompileUtilities.cpp"
 case 41: 
 var $33=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 355 "CompileUtilities.cpp"
 var $34=$33; //@line 355 "CompileUtilities.cpp"
 var $error=(($34)|0); //@line 355 "CompileUtilities.cpp"
 HEAP8[($error)]=1; //@line 355 "CompileUtilities.cpp"
 var $35=((((HEAPU8[(284)])|(HEAPU8[(285)]<<8)|(HEAPU8[(286)]<<16)|(HEAPU8[(287)]<<24))|0)); //@line 356 "CompileUtilities.cpp"
 var $36=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 356 "CompileUtilities.cpp"
 var $37=$36; //@line 356 "CompileUtilities.cpp"
 var $error_msg=(($37+4)|0); //@line 356 "CompileUtilities.cpp"
 tempBigInt=$35;HEAP8[($error_msg)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($error_msg)+(3))|0)]=tempBigInt&0xff; //@line 356 "CompileUtilities.cpp"
 $retval=0; //@line 357 "CompileUtilities.cpp"
 label=62;break; //@line 357 "CompileUtilities.cpp"
 case 42: 
 label=43;break;
 case 43: 
 label=44;break;
 case 44: 
 var $38=$byteCode; //@line 359 "CompileUtilities.cpp"
 var $call98=__Z8EnterObjh($38); //@line 359 "CompileUtilities.cpp"
 if($call98){label=46;break;}else{label=45;break;} //@line 359 "CompileUtilities.cpp"
 case 45: 
 $retval=0; //@line 361 "CompileUtilities.cpp"
 label=62;break; //@line 361 "CompileUtilities.cpp"
 case 46: 
 var $39=$address_addr; //@line 363 "CompileUtilities.cpp"
 var $cmp101=($39|0)>127; //@line 363 "CompileUtilities.cpp"
 if($cmp101){label=47;break;}else{label=50;break;} //@line 363 "CompileUtilities.cpp"
 case 47: 
 var $40=$address_addr; //@line 366 "CompileUtilities.cpp"
 var $shr=$40>>8; //@line 366 "CompileUtilities.cpp"
 var $conv103=(($shr)&255); //@line 366 "CompileUtilities.cpp"
 var $conv104=($conv103&255); //@line 366 "CompileUtilities.cpp"
 var $or105=$conv104|128; //@line 366 "CompileUtilities.cpp"
 var $conv106=(($or105)&255); //@line 366 "CompileUtilities.cpp"
 $byteCode=$conv106; //@line 366 "CompileUtilities.cpp"
 var $41=$byteCode; //@line 367 "CompileUtilities.cpp"
 var $call107=__Z8EnterObjh($41); //@line 367 "CompileUtilities.cpp"
 if($call107){label=49;break;}else{label=48;break;} //@line 367 "CompileUtilities.cpp"
 case 48: 
 $retval=0; //@line 369 "CompileUtilities.cpp"
 label=62;break; //@line 369 "CompileUtilities.cpp"
 case 49: 
 label=50;break; //@line 371 "CompileUtilities.cpp"
 case 50: 
 var $42=$address_addr; //@line 372 "CompileUtilities.cpp"
 var $conv111=(($42)&255); //@line 372 "CompileUtilities.cpp"
 $byteCode=$conv111; //@line 372 "CompileUtilities.cpp"
 label=51;break; //@line 373 "CompileUtilities.cpp"
 case 51: 
 label=53;break; //@line 374 "CompileUtilities.cpp"
 case 52: 
 var $43=$type_addr; //@line 378 "CompileUtilities.cpp"
 var $conv114=($43&255); //@line 378 "CompileUtilities.cpp"
 var $cmp115=($conv114|0)==69; //@line 378 "CompileUtilities.cpp"
 var $cond=($cmp115?64:96); //@line 378 "CompileUtilities.cpp"
 var $conv116=(($cond)&255); //@line 378 "CompileUtilities.cpp"
 $byteCode=$conv116; //@line 378 "CompileUtilities.cpp"
 var $44=$address_addr; //@line 379 "CompileUtilities.cpp"
 var $conv117=(($44)&255); //@line 379 "CompileUtilities.cpp"
 var $conv118=($conv117&255); //@line 379 "CompileUtilities.cpp"
 var $45=$byteCode; //@line 379 "CompileUtilities.cpp"
 var $conv119=($45&255); //@line 379 "CompileUtilities.cpp"
 var $or120=$conv119|$conv118; //@line 379 "CompileUtilities.cpp"
 var $conv121=(($or120)&255); //@line 379 "CompileUtilities.cpp"
 $byteCode=$conv121; //@line 379 "CompileUtilities.cpp"
 var $46=$vOperation_addr; //@line 380 "CompileUtilities.cpp"
 var $conv122=($46&255); //@line 380 "CompileUtilities.cpp"
 var $47=$byteCode; //@line 380 "CompileUtilities.cpp"
 var $conv123=($47&255); //@line 380 "CompileUtilities.cpp"
 var $or124=$conv123|$conv122; //@line 380 "CompileUtilities.cpp"
 var $conv125=(($or124)&255); //@line 380 "CompileUtilities.cpp"
 $byteCode=$conv125; //@line 380 "CompileUtilities.cpp"
 label=53;break;
 case 53: 
 label=54;break;
 case 54: 
 label=55;break;
 case 55: 
 var $48=$byteCode; //@line 384 "CompileUtilities.cpp"
 var $call129=__Z8EnterObjh($48); //@line 384 "CompileUtilities.cpp"
 if($call129){label=57;break;}else{label=56;break;} //@line 384 "CompileUtilities.cpp"
 case 56: 
 $retval=0; //@line 386 "CompileUtilities.cpp"
 label=62;break; //@line 386 "CompileUtilities.cpp"
 case 57: 
 var $49=$vOperation_addr; //@line 388 "CompileUtilities.cpp"
 var $conv132=($49&255); //@line 388 "CompileUtilities.cpp"
 var $cmp133=($conv132|0)==2; //@line 388 "CompileUtilities.cpp"
 if($cmp133){label=58;break;}else{label=61;break;} //@line 388 "CompileUtilities.cpp"
 case 58: 
 var $50=$vOperator_addr; //@line 390 "CompileUtilities.cpp"
 var $call135=__Z8EnterObjh($50); //@line 390 "CompileUtilities.cpp"
 if($call135){label=60;break;}else{label=59;break;} //@line 390 "CompileUtilities.cpp"
 case 59: 
 $retval=0; //@line 392 "CompileUtilities.cpp"
 label=62;break; //@line 392 "CompileUtilities.cpp"
 case 60: 
 label=61;break; //@line 394 "CompileUtilities.cpp"
 case 61: 
 $retval=1; //@line 395 "CompileUtilities.cpp"
 label=62;break; //@line 395 "CompileUtilities.cpp"
 case 62: 
 var $51=$retval; //@line 396 "CompileUtilities.cpp"
 STACKTOP=sp;return $51; //@line 396 "CompileUtilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z30CompileOutOfSequenceExpressioni($sourcePtr){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $sourcePtr_addr;
 var $savedSourcePtr;
 $sourcePtr_addr=$sourcePtr;
 var $0=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 596 "CompileUtilities.cpp"
 var $call=__ZN11Elementizer12GetSourcePtrEv($0); //@line 596 "CompileUtilities.cpp"
 $savedSourcePtr=$call; //@line 596 "CompileUtilities.cpp"
 var $1=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 597 "CompileUtilities.cpp"
 var $2=$sourcePtr_addr; //@line 597 "CompileUtilities.cpp"
 __ZN11Elementizer12SetSourcePtrEi($1,$2); //@line 597 "CompileUtilities.cpp"
 var $call1=__Z17CompileExpressionv(); //@line 598 "CompileUtilities.cpp"
 if($call1){label=3;break;}else{label=2;break;} //@line 598 "CompileUtilities.cpp"
 case 2: 
 $retval=0; //@line 600 "CompileUtilities.cpp"
 label=4;break; //@line 600 "CompileUtilities.cpp"
 case 3: 
 var $3=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 602 "CompileUtilities.cpp"
 var $4=$savedSourcePtr; //@line 602 "CompileUtilities.cpp"
 __ZN11Elementizer12SetSourcePtrEi($3,$4); //@line 602 "CompileUtilities.cpp"
 $retval=1; //@line 603 "CompileUtilities.cpp"
 label=4;break; //@line 603 "CompileUtilities.cpp"
 case 4: 
 var $5=$retval; //@line 604 "CompileUtilities.cpp"
 STACKTOP=sp;return $5; //@line 604 "CompileUtilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z25CompileOutOfSequenceRangeiRb($sourcePtr,$bRange){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $sourcePtr_addr;
 var $bRange_addr;
 var $savedSourcePtr;
 $sourcePtr_addr=$sourcePtr;
 $bRange_addr=$bRange;
 var $0=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 608 "CompileUtilities.cpp"
 var $call=__ZN11Elementizer12GetSourcePtrEv($0); //@line 608 "CompileUtilities.cpp"
 $savedSourcePtr=$call; //@line 608 "CompileUtilities.cpp"
 var $1=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 609 "CompileUtilities.cpp"
 var $2=$sourcePtr_addr; //@line 609 "CompileUtilities.cpp"
 __ZN11Elementizer12SetSourcePtrEi($1,$2); //@line 609 "CompileUtilities.cpp"
 var $3=$bRange_addr; //@line 610 "CompileUtilities.cpp"
 var $call1=__Z12CompileRangeRb($3); //@line 610 "CompileUtilities.cpp"
 if($call1){label=3;break;}else{label=2;break;} //@line 610 "CompileUtilities.cpp"
 case 2: 
 $retval=0; //@line 612 "CompileUtilities.cpp"
 label=4;break; //@line 612 "CompileUtilities.cpp"
 case 3: 
 var $4=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 614 "CompileUtilities.cpp"
 var $5=$savedSourcePtr; //@line 614 "CompileUtilities.cpp"
 __ZN11Elementizer12SetSourcePtrEi($4,$5); //@line 614 "CompileUtilities.cpp"
 $retval=1; //@line 615 "CompileUtilities.cpp"
 label=4;break; //@line 615 "CompileUtilities.cpp"
 case 4: 
 var $6=$retval; //@line 616 "CompileUtilities.cpp"
 STACKTOP=sp;return $6; //@line 616 "CompileUtilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z22CompileVariable_Assignhhhii($vOperator,$type,$size,$address,$indexSourcePtr){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $vOperator_addr;
 var $type_addr;
 var $size_addr;
 var $address_addr;
 var $indexSourcePtr_addr;
 $vOperator_addr=$vOperator;
 $type_addr=$type;
 $size_addr=$size;
 $address_addr=$address;
 $indexSourcePtr_addr=$indexSourcePtr;
 var $0=$vOperator_addr; //@line 400 "CompileUtilities.cpp"
 var $1=$type_addr; //@line 400 "CompileUtilities.cpp"
 var $2=$size_addr; //@line 400 "CompileUtilities.cpp"
 var $3=$address_addr; //@line 400 "CompileUtilities.cpp"
 var $4=$indexSourcePtr_addr; //@line 400 "CompileUtilities.cpp"
 var $call=__Z15CompileVariablehhhhii(2,$0,$1,$2,$3,$4); //@line 400 "CompileUtilities.cpp"
 STACKTOP=sp;return $call; //@line 400 "CompileUtilities.cpp"
}


function __Z26CompileVariable_Expressionhhhii($vOperator,$type,$size,$address,$indexSourcePtr){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $vOperator_addr;
 var $type_addr;
 var $size_addr;
 var $address_addr;
 var $indexSourcePtr_addr;
 $vOperator_addr=$vOperator;
 $type_addr=$type;
 $size_addr=$size;
 $address_addr=$address;
 $indexSourcePtr_addr=$indexSourcePtr;
 var $call=__Z17CompileExpressionv(); //@line 405 "CompileUtilities.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 405 "CompileUtilities.cpp"
 case 2: 
 $retval=0; //@line 407 "CompileUtilities.cpp"
 label=4;break; //@line 407 "CompileUtilities.cpp"
 case 3: 
 var $0=$vOperator_addr; //@line 409 "CompileUtilities.cpp"
 var $1=$type_addr; //@line 409 "CompileUtilities.cpp"
 var $2=$size_addr; //@line 409 "CompileUtilities.cpp"
 var $3=$address_addr; //@line 409 "CompileUtilities.cpp"
 var $4=$indexSourcePtr_addr; //@line 409 "CompileUtilities.cpp"
 var $call1=__Z15CompileVariablehhhhii(2,$0,$1,$2,$3,$4); //@line 409 "CompileUtilities.cpp"
 $retval=$call1; //@line 409 "CompileUtilities.cpp"
 label=4;break; //@line 409 "CompileUtilities.cpp"
 case 4: 
 var $5=$retval; //@line 410 "CompileUtilities.cpp"
 STACKTOP=sp;return $5; //@line 410 "CompileUtilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z37CompileVariable_PreSignExtendOrRandomh($vOperator){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+32)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $vOperator_addr;
 var $varType=sp;
 var $varSize=(sp)+(8);
 var $varAddress=(sp)+(16);
 var $varIndexSourcePtr=(sp)+(24);
 $vOperator_addr=$vOperator;
 HEAP8[($varType)]=0; //@line 414 "CompileUtilities.cpp"
 HEAP8[($varSize)]=0; //@line 415 "CompileUtilities.cpp"
 tempBigInt=0;HEAP8[($varAddress)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($varAddress)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($varAddress)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($varAddress)+(3))|0)]=tempBigInt&0xff; //@line 416 "CompileUtilities.cpp"
 tempBigInt=0;HEAP8[($varIndexSourcePtr)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($varIndexSourcePtr)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($varIndexSourcePtr)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($varIndexSourcePtr)+(3))|0)]=tempBigInt&0xff; //@line 417 "CompileUtilities.cpp"
 var $call=__Z11GetVariableRhS_RiS0_($varType,$varSize,$varAddress,$varIndexSourcePtr); //@line 418 "CompileUtilities.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 418 "CompileUtilities.cpp"
 case 2: 
 $retval=0; //@line 420 "CompileUtilities.cpp"
 label=4;break; //@line 420 "CompileUtilities.cpp"
 case 3: 
 var $0=$vOperator_addr; //@line 423 "CompileUtilities.cpp"
 var $1=HEAP8[($varType)]; //@line 423 "CompileUtilities.cpp"
 var $2=HEAP8[($varSize)]; //@line 423 "CompileUtilities.cpp"
 var $3=((((HEAPU8[($varAddress)])|(HEAPU8[((($varAddress)+(1))|0)]<<8)|(HEAPU8[((($varAddress)+(2))|0)]<<16)|(HEAPU8[((($varAddress)+(3))|0)]<<24))|0)); //@line 423 "CompileUtilities.cpp"
 var $4=((((HEAPU8[($varIndexSourcePtr)])|(HEAPU8[((($varIndexSourcePtr)+(1))|0)]<<8)|(HEAPU8[((($varIndexSourcePtr)+(2))|0)]<<16)|(HEAPU8[((($varIndexSourcePtr)+(3))|0)]<<24))|0)); //@line 423 "CompileUtilities.cpp"
 var $call1=__Z22CompileVariable_Assignhhhii($0,$1,$2,$3,$4); //@line 423 "CompileUtilities.cpp"
 $retval=$call1; //@line 423 "CompileUtilities.cpp"
 label=4;break; //@line 423 "CompileUtilities.cpp"
 case 4: 
 var $5=$retval; //@line 424 "CompileUtilities.cpp"
 STACKTOP=sp;return $5; //@line 424 "CompileUtilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z24CompileVariable_IncOrDechhhii($vOperator,$type,$size,$address,$indexSourcePtr){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);

 var $vOperator_addr;
 var $type_addr;
 var $size_addr;
 var $address_addr;
 var $indexSourcePtr_addr;
 $vOperator_addr=$vOperator;
 $type_addr=$type;
 $size_addr=$size;
 $address_addr=$address;
 $indexSourcePtr_addr=$indexSourcePtr;
 var $0=$vOperator_addr; //@line 428 "CompileUtilities.cpp"
 var $conv=($0&255); //@line 428 "CompileUtilities.cpp"
 var $1=$size_addr; //@line 428 "CompileUtilities.cpp"
 var $conv1=($1&255); //@line 428 "CompileUtilities.cpp"
 var $add=((($conv1)+(1))|0); //@line 428 "CompileUtilities.cpp"
 var $and=$add&3; //@line 428 "CompileUtilities.cpp"
 var $shl=$and<<1; //@line 428 "CompileUtilities.cpp"
 var $or=$conv|$shl; //@line 428 "CompileUtilities.cpp"
 var $conv2=(($or)&255); //@line 428 "CompileUtilities.cpp"
 var $2=$type_addr; //@line 428 "CompileUtilities.cpp"
 var $3=$size_addr; //@line 428 "CompileUtilities.cpp"
 var $4=$address_addr; //@line 428 "CompileUtilities.cpp"
 var $5=$indexSourcePtr_addr; //@line 428 "CompileUtilities.cpp"
 var $call=__Z15CompileVariablehhhhii(2,$conv2,$2,$3,$4,$5); //@line 428 "CompileUtilities.cpp"
 STACKTOP=sp;return $call; //@line 428 "CompileUtilities.cpp"
}


function __Z27CompileVariable_PreIncOrDech($vOperator){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+32)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $vOperator_addr;
 var $varType=sp;
 var $varSize=(sp)+(8);
 var $varAddress=(sp)+(16);
 var $varIndexSourcePtr=(sp)+(24);
 $vOperator_addr=$vOperator;
 HEAP8[($varType)]=0; //@line 433 "CompileUtilities.cpp"
 HEAP8[($varSize)]=0; //@line 434 "CompileUtilities.cpp"
 tempBigInt=0;HEAP8[($varAddress)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($varAddress)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($varAddress)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($varAddress)+(3))|0)]=tempBigInt&0xff; //@line 435 "CompileUtilities.cpp"
 tempBigInt=0;HEAP8[($varIndexSourcePtr)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($varIndexSourcePtr)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($varIndexSourcePtr)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($varIndexSourcePtr)+(3))|0)]=tempBigInt&0xff; //@line 436 "CompileUtilities.cpp"
 var $call=__Z11GetVariableRhS_RiS0_($varType,$varSize,$varAddress,$varIndexSourcePtr); //@line 437 "CompileUtilities.cpp"
 if($call){label=3;break;}else{label=2;break;} //@line 437 "CompileUtilities.cpp"
 case 2: 
 $retval=0; //@line 439 "CompileUtilities.cpp"
 label=4;break; //@line 439 "CompileUtilities.cpp"
 case 3: 
 var $0=$vOperator_addr; //@line 442 "CompileUtilities.cpp"
 var $1=HEAP8[($varType)]; //@line 442 "CompileUtilities.cpp"
 var $2=HEAP8[($varSize)]; //@line 442 "CompileUtilities.cpp"
 var $3=((((HEAPU8[($varAddress)])|(HEAPU8[((($varAddress)+(1))|0)]<<8)|(HEAPU8[((($varAddress)+(2))|0)]<<16)|(HEAPU8[((($varAddress)+(3))|0)]<<24))|0)); //@line 442 "CompileUtilities.cpp"
 var $4=((((HEAPU8[($varIndexSourcePtr)])|(HEAPU8[((($varIndexSourcePtr)+(1))|0)]<<8)|(HEAPU8[((($varIndexSourcePtr)+(2))|0)]<<16)|(HEAPU8[((($varIndexSourcePtr)+(3))|0)]<<24))|0)); //@line 442 "CompileUtilities.cpp"
 var $call1=__Z24CompileVariable_IncOrDechhhii($0,$1,$2,$3,$4); //@line 442 "CompileUtilities.cpp"
 $retval=$call1; //@line 442 "CompileUtilities.cpp"
 label=4;break; //@line 442 "CompileUtilities.cpp"
 case 4: 
 var $5=$retval; //@line 443 "CompileUtilities.cpp"
 STACKTOP=sp;return $5; //@line 443 "CompileUtilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z17CompileParametersi($numParameters){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $numParameters_addr;
 var $i;
 $numParameters_addr=$numParameters;
 var $0=$numParameters_addr; //@line 447 "CompileUtilities.cpp"
 var $cmp=($0|0)>0; //@line 447 "CompileUtilities.cpp"
 if($cmp){label=2;break;}else{label=17;break;} //@line 447 "CompileUtilities.cpp"
 case 2: 
 var $1=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 449 "CompileUtilities.cpp"
 var $call=__ZN11Elementizer10GetElementEi($1,1); //@line 449 "CompileUtilities.cpp"
 if($call){label=4;break;}else{label=3;break;} //@line 449 "CompileUtilities.cpp"
 case 3: 
 $retval=0; //@line 451 "CompileUtilities.cpp"
 label=18;break; //@line 451 "CompileUtilities.cpp"
 case 4: 
 $i=0; //@line 453 "CompileUtilities.cpp"
 label=5;break; //@line 453 "CompileUtilities.cpp"
 case 5: 
 var $2=$i; //@line 453 "CompileUtilities.cpp"
 var $3=$numParameters_addr; //@line 453 "CompileUtilities.cpp"
 var $cmp2=($2|0)<($3|0); //@line 453 "CompileUtilities.cpp"
 if($cmp2){label=6;break;}else{label=14;break;} //@line 453 "CompileUtilities.cpp"
 case 6: 
 var $call3=__Z17CompileExpressionv(); //@line 455 "CompileUtilities.cpp"
 if($call3){label=8;break;}else{label=7;break;} //@line 455 "CompileUtilities.cpp"
 case 7: 
 $retval=0; //@line 457 "CompileUtilities.cpp"
 label=18;break; //@line 457 "CompileUtilities.cpp"
 case 8: 
 var $4=$i; //@line 459 "CompileUtilities.cpp"
 var $5=$numParameters_addr; //@line 459 "CompileUtilities.cpp"
 var $sub=((($5)-(1))|0); //@line 459 "CompileUtilities.cpp"
 var $cmp6=($4|0)<($sub|0); //@line 459 "CompileUtilities.cpp"
 if($cmp6){label=9;break;}else{label=12;break;} //@line 459 "CompileUtilities.cpp"
 case 9: 
 var $6=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 461 "CompileUtilities.cpp"
 var $call8=__ZN11Elementizer10GetElementEi($6,5); //@line 461 "CompileUtilities.cpp"
 if($call8){label=11;break;}else{label=10;break;} //@line 461 "CompileUtilities.cpp"
 case 10: 
 $retval=0; //@line 463 "CompileUtilities.cpp"
 label=18;break; //@line 463 "CompileUtilities.cpp"
 case 11: 
 label=12;break; //@line 465 "CompileUtilities.cpp"
 case 12: 
 label=13;break; //@line 466 "CompileUtilities.cpp"
 case 13: 
 var $7=$i; //@line 453 "CompileUtilities.cpp"
 var $inc=((($7)+(1))|0); //@line 453 "CompileUtilities.cpp"
 $i=$inc; //@line 453 "CompileUtilities.cpp"
 label=5;break; //@line 453 "CompileUtilities.cpp"
 case 14: 
 var $8=((((HEAPU8[(19712)])|(HEAPU8[(19713)]<<8)|(HEAPU8[(19714)]<<16)|(HEAPU8[(19715)]<<24))|0)); //@line 467 "CompileUtilities.cpp"
 var $call12=__ZN11Elementizer10GetElementEi($8,2); //@line 467 "CompileUtilities.cpp"
 if($call12){label=16;break;}else{label=15;break;} //@line 467 "CompileUtilities.cpp"
 case 15: 
 $retval=0; //@line 469 "CompileUtilities.cpp"
 label=18;break; //@line 469 "CompileUtilities.cpp"
 case 16: 
 label=17;break; //@line 471 "CompileUtilities.cpp"
 case 17: 
 $retval=1; //@line 472 "CompileUtilities.cpp"
 label=18;break; //@line 472 "CompileUtilities.cpp"
 case 18: 
 var $9=$retval; //@line 473 "CompileUtilities.cpp"
 STACKTOP=sp;return $9; //@line 473 "CompileUtilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z15CompileConstanti($value){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $value_addr;
 var $byteCode;
 var $i;
 var $testVal;
 var $byteCode33;
 var $byteCode51;
 var $size;
 var $byteCode87;
 var $i94;
 $value_addr=$value;
 var $0=$value_addr; //@line 477 "CompileUtilities.cpp"
 var $cmp=($0|0)>=-1; //@line 477 "CompileUtilities.cpp"
 if($cmp){label=2;break;}else{label=6;break;} //@line 477 "CompileUtilities.cpp"
 case 2: 
 var $1=$value_addr; //@line 477 "CompileUtilities.cpp"
 var $cmp1=($1|0)<=1; //@line 477 "CompileUtilities.cpp"
 if($cmp1){label=3;break;}else{label=6;break;} //@line 477 "CompileUtilities.cpp"
 case 3: 
 var $2=$value_addr; //@line 480 "CompileUtilities.cpp"
 var $add=((($2)+(1))|0); //@line 480 "CompileUtilities.cpp"
 var $conv=(($add)&255); //@line 480 "CompileUtilities.cpp"
 var $conv2=($conv&255); //@line 480 "CompileUtilities.cpp"
 var $or=$conv2|52; //@line 480 "CompileUtilities.cpp"
 var $conv3=(($or)&255); //@line 480 "CompileUtilities.cpp"
 $byteCode=$conv3; //@line 480 "CompileUtilities.cpp"
 var $3=$byteCode; //@line 481 "CompileUtilities.cpp"
 var $call=__Z8EnterObjh($3); //@line 481 "CompileUtilities.cpp"
 if($call){label=5;break;}else{label=4;break;} //@line 481 "CompileUtilities.cpp"
 case 4: 
 $retval=0; //@line 483 "CompileUtilities.cpp"
 label=56;break; //@line 483 "CompileUtilities.cpp"
 case 5: 
 $retval=1; //@line 485 "CompileUtilities.cpp"
 label=56;break; //@line 485 "CompileUtilities.cpp"
 case 6: 
 $i=0; //@line 493 "CompileUtilities.cpp"
 label=7;break; //@line 493 "CompileUtilities.cpp"
 case 7: 
 var $4=$i; //@line 493 "CompileUtilities.cpp"
 var $conv6=($4&255); //@line 493 "CompileUtilities.cpp"
 var $cmp7=($conv6|0)<128; //@line 493 "CompileUtilities.cpp"
 if($cmp7){label=8;break;}else{label=20;break;} //@line 493 "CompileUtilities.cpp"
 case 8: 
 $testVal=2; //@line 495 "CompileUtilities.cpp"
 var $5=$i; //@line 496 "CompileUtilities.cpp"
 var $conv8=($5&255); //@line 496 "CompileUtilities.cpp"
 var $and=$conv8&31; //@line 496 "CompileUtilities.cpp"
 var $6=$testVal; //@line 496 "CompileUtilities.cpp"
 var $shl=$6<<$and; //@line 496 "CompileUtilities.cpp"
 $testVal=$shl; //@line 496 "CompileUtilities.cpp"
 var $7=$i; //@line 498 "CompileUtilities.cpp"
 var $conv9=($7&255); //@line 498 "CompileUtilities.cpp"
 var $and10=$conv9&32; //@line 498 "CompileUtilities.cpp"
 var $tobool=($and10|0)!=0; //@line 498 "CompileUtilities.cpp"
 if($tobool){label=9;break;}else{label=10;break;} //@line 498 "CompileUtilities.cpp"
 case 9: 
 var $8=$testVal; //@line 500 "CompileUtilities.cpp"
 var $dec=((($8)-(1))|0); //@line 500 "CompileUtilities.cpp"
 $testVal=$dec; //@line 500 "CompileUtilities.cpp"
 label=10;break; //@line 501 "CompileUtilities.cpp"
 case 10: 
 var $9=$i; //@line 502 "CompileUtilities.cpp"
 var $conv13=($9&255); //@line 502 "CompileUtilities.cpp"
 var $and14=$conv13&64; //@line 502 "CompileUtilities.cpp"
 var $tobool15=($and14|0)!=0; //@line 502 "CompileUtilities.cpp"
 if($tobool15){label=11;break;}else{label=12;break;} //@line 502 "CompileUtilities.cpp"
 case 11: 
 var $10=$testVal; //@line 504 "CompileUtilities.cpp"
 var $neg=$10^-1; //@line 504 "CompileUtilities.cpp"
 $testVal=$neg; //@line 504 "CompileUtilities.cpp"
 label=12;break; //@line 505 "CompileUtilities.cpp"
 case 12: 
 var $11=$testVal; //@line 507 "CompileUtilities.cpp"
 var $12=$value_addr; //@line 507 "CompileUtilities.cpp"
 var $cmp18=($11|0)==($12|0); //@line 507 "CompileUtilities.cpp"
 if($cmp18){label=13;break;}else{label=18;break;} //@line 507 "CompileUtilities.cpp"
 case 13: 
 var $call20=__Z8EnterObjh(55); //@line 509 "CompileUtilities.cpp"
 if($call20){label=15;break;}else{label=14;break;} //@line 509 "CompileUtilities.cpp"
 case 14: 
 $retval=0; //@line 511 "CompileUtilities.cpp"
 label=56;break; //@line 511 "CompileUtilities.cpp"
 case 15: 
 var $13=$i; //@line 513 "CompileUtilities.cpp"
 var $call23=__Z8EnterObjh($13); //@line 513 "CompileUtilities.cpp"
 if($call23){label=17;break;}else{label=16;break;} //@line 513 "CompileUtilities.cpp"
 case 16: 
 $retval=0; //@line 515 "CompileUtilities.cpp"
 label=56;break; //@line 515 "CompileUtilities.cpp"
 case 17: 
 $retval=1; //@line 517 "CompileUtilities.cpp"
 label=56;break; //@line 517 "CompileUtilities.cpp"
 case 18: 
 label=19;break; //@line 519 "CompileUtilities.cpp"
 case 19: 
 var $14=$i; //@line 493 "CompileUtilities.cpp"
 var $inc=((($14)+(1))&255); //@line 493 "CompileUtilities.cpp"
 $i=$inc; //@line 493 "CompileUtilities.cpp"
 label=7;break; //@line 493 "CompileUtilities.cpp"
 case 20: 
 var $15=$value_addr; //@line 522 "CompileUtilities.cpp"
 var $and27=$15&-256; //@line 522 "CompileUtilities.cpp"
 var $cmp28=($and27|0)==-256; //@line 522 "CompileUtilities.cpp"
 if($cmp28){label=21;break;}else{label=28;break;} //@line 522 "CompileUtilities.cpp"
 case 21: 
 var $call30=__Z8EnterObjh(56); //@line 525 "CompileUtilities.cpp"
 if($call30){label=23;break;}else{label=22;break;} //@line 525 "CompileUtilities.cpp"
 case 22: 
 $retval=0; //@line 527 "CompileUtilities.cpp"
 label=56;break; //@line 527 "CompileUtilities.cpp"
 case 23: 
 var $16=$value_addr; //@line 529 "CompileUtilities.cpp"
 var $and34=$16&255; //@line 529 "CompileUtilities.cpp"
 var $conv35=(($and34)&255); //@line 529 "CompileUtilities.cpp"
 $byteCode33=$conv35; //@line 529 "CompileUtilities.cpp"
 var $17=$byteCode33; //@line 530 "CompileUtilities.cpp"
 var $conv36=($17&255); //@line 530 "CompileUtilities.cpp"
 var $neg37=$conv36^-1; //@line 530 "CompileUtilities.cpp"
 var $conv38=(($neg37)&255); //@line 530 "CompileUtilities.cpp"
 var $call39=__Z8EnterObjh($conv38); //@line 530 "CompileUtilities.cpp"
 if($call39){label=25;break;}else{label=24;break;} //@line 530 "CompileUtilities.cpp"
 case 24: 
 $retval=0; //@line 532 "CompileUtilities.cpp"
 label=56;break; //@line 532 "CompileUtilities.cpp"
 case 25: 
 var $call42=__Z8EnterObjh(-25); //@line 534 "CompileUtilities.cpp"
 if($call42){label=27;break;}else{label=26;break;} //@line 534 "CompileUtilities.cpp"
 case 26: 
 $retval=0; //@line 536 "CompileUtilities.cpp"
 label=56;break; //@line 536 "CompileUtilities.cpp"
 case 27: 
 $retval=1; //@line 538 "CompileUtilities.cpp"
 label=56;break; //@line 538 "CompileUtilities.cpp"
 case 28: 
 var $18=$value_addr; //@line 540 "CompileUtilities.cpp"
 var $and45=$18&-65536; //@line 540 "CompileUtilities.cpp"
 var $cmp46=($and45|0)==-65536; //@line 540 "CompileUtilities.cpp"
 if($cmp46){label=29;break;}else{label=38;break;} //@line 540 "CompileUtilities.cpp"
 case 29: 
 var $call48=__Z8EnterObjh(57); //@line 543 "CompileUtilities.cpp"
 if($call48){label=31;break;}else{label=30;break;} //@line 543 "CompileUtilities.cpp"
 case 30: 
 $retval=0; //@line 545 "CompileUtilities.cpp"
 label=56;break; //@line 545 "CompileUtilities.cpp"
 case 31: 
 var $19=$value_addr; //@line 547 "CompileUtilities.cpp"
 var $shr=$19>>8; //@line 547 "CompileUtilities.cpp"
 var $and52=$shr&255; //@line 547 "CompileUtilities.cpp"
 var $conv53=(($and52)&255); //@line 547 "CompileUtilities.cpp"
 $byteCode51=$conv53; //@line 547 "CompileUtilities.cpp"
 var $20=$byteCode51; //@line 548 "CompileUtilities.cpp"
 var $conv54=($20&255); //@line 548 "CompileUtilities.cpp"
 var $neg55=$conv54^-1; //@line 548 "CompileUtilities.cpp"
 var $conv56=(($neg55)&255); //@line 548 "CompileUtilities.cpp"
 var $call57=__Z8EnterObjh($conv56); //@line 548 "CompileUtilities.cpp"
 if($call57){label=33;break;}else{label=32;break;} //@line 548 "CompileUtilities.cpp"
 case 32: 
 $retval=0; //@line 550 "CompileUtilities.cpp"
 label=56;break; //@line 550 "CompileUtilities.cpp"
 case 33: 
 var $21=$value_addr; //@line 552 "CompileUtilities.cpp"
 var $and60=$21&255; //@line 552 "CompileUtilities.cpp"
 var $conv61=(($and60)&255); //@line 552 "CompileUtilities.cpp"
 $byteCode51=$conv61; //@line 552 "CompileUtilities.cpp"
 var $22=$byteCode51; //@line 553 "CompileUtilities.cpp"
 var $conv62=($22&255); //@line 553 "CompileUtilities.cpp"
 var $neg63=$conv62^-1; //@line 553 "CompileUtilities.cpp"
 var $conv64=(($neg63)&255); //@line 553 "CompileUtilities.cpp"
 var $call65=__Z8EnterObjh($conv64); //@line 553 "CompileUtilities.cpp"
 if($call65){label=35;break;}else{label=34;break;} //@line 553 "CompileUtilities.cpp"
 case 34: 
 $retval=0; //@line 555 "CompileUtilities.cpp"
 label=56;break; //@line 555 "CompileUtilities.cpp"
 case 35: 
 var $call68=__Z8EnterObjh(-25); //@line 557 "CompileUtilities.cpp"
 if($call68){label=37;break;}else{label=36;break;} //@line 557 "CompileUtilities.cpp"
 case 36: 
 $retval=0; //@line 559 "CompileUtilities.cpp"
 label=56;break; //@line 559 "CompileUtilities.cpp"
 case 37: 
 $retval=1; //@line 561 "CompileUtilities.cpp"
 label=56;break; //@line 561 "CompileUtilities.cpp"
 case 38: 
 label=39;break;
 case 39: 
 $size=1; //@line 565 "CompileUtilities.cpp"
 var $23=$value_addr; //@line 566 "CompileUtilities.cpp"
 var $and73=$23&-16777216; //@line 566 "CompileUtilities.cpp"
 var $tobool74=($and73|0)!=0; //@line 566 "CompileUtilities.cpp"
 if($tobool74){label=40;break;}else{label=41;break;} //@line 566 "CompileUtilities.cpp"
 case 40: 
 $size=4; //@line 568 "CompileUtilities.cpp"
 label=47;break; //@line 569 "CompileUtilities.cpp"
 case 41: 
 var $24=$value_addr; //@line 570 "CompileUtilities.cpp"
 var $and77=$24&16711680; //@line 570 "CompileUtilities.cpp"
 var $tobool78=($and77|0)!=0; //@line 570 "CompileUtilities.cpp"
 if($tobool78){label=42;break;}else{label=43;break;} //@line 570 "CompileUtilities.cpp"
 case 42: 
 $size=3; //@line 572 "CompileUtilities.cpp"
 label=46;break; //@line 573 "CompileUtilities.cpp"
 case 43: 
 var $25=$value_addr; //@line 574 "CompileUtilities.cpp"
 var $and81=$25&65280; //@line 574 "CompileUtilities.cpp"
 var $tobool82=($and81|0)!=0; //@line 574 "CompileUtilities.cpp"
 if($tobool82){label=44;break;}else{label=45;break;} //@line 574 "CompileUtilities.cpp"
 case 44: 
 $size=2; //@line 576 "CompileUtilities.cpp"
 label=45;break; //@line 577 "CompileUtilities.cpp"
 case 45: 
 label=46;break;
 case 46: 
 label=47;break;
 case 47: 
 var $26=$size; //@line 578 "CompileUtilities.cpp"
 var $conv88=($26&255); //@line 578 "CompileUtilities.cpp"
 var $add89=((($conv88)+(55))|0); //@line 578 "CompileUtilities.cpp"
 var $conv90=(($add89)&255); //@line 578 "CompileUtilities.cpp"
 $byteCode87=$conv90; //@line 578 "CompileUtilities.cpp"
 var $27=$byteCode87; //@line 579 "CompileUtilities.cpp"
 var $call91=__Z8EnterObjh($27); //@line 579 "CompileUtilities.cpp"
 if($call91){label=49;break;}else{label=48;break;} //@line 579 "CompileUtilities.cpp"
 case 48: 
 $retval=0; //@line 581 "CompileUtilities.cpp"
 label=56;break; //@line 581 "CompileUtilities.cpp"
 case 49: 
 var $28=$size; //@line 583 "CompileUtilities.cpp"
 $i94=$28; //@line 583 "CompileUtilities.cpp"
 label=50;break; //@line 583 "CompileUtilities.cpp"
 case 50: 
 var $29=$i94; //@line 583 "CompileUtilities.cpp"
 var $conv96=($29&255); //@line 583 "CompileUtilities.cpp"
 var $cmp97=($conv96|0)>0; //@line 583 "CompileUtilities.cpp"
 if($cmp97){label=51;break;}else{label=55;break;} //@line 583 "CompileUtilities.cpp"
 case 51: 
 var $30=$value_addr; //@line 585 "CompileUtilities.cpp"
 var $31=$i94; //@line 585 "CompileUtilities.cpp"
 var $conv99=($31&255); //@line 585 "CompileUtilities.cpp"
 var $sub=((($conv99)-(1))|0); //@line 585 "CompileUtilities.cpp"
 var $mul=($sub<<3); //@line 585 "CompileUtilities.cpp"
 var $shr100=$30>>($mul|0); //@line 585 "CompileUtilities.cpp"
 var $and101=$shr100&255; //@line 585 "CompileUtilities.cpp"
 var $conv102=(($and101)&255); //@line 585 "CompileUtilities.cpp"
 $byteCode87=$conv102; //@line 585 "CompileUtilities.cpp"
 var $32=$byteCode87; //@line 586 "CompileUtilities.cpp"
 var $call103=__Z8EnterObjh($32); //@line 586 "CompileUtilities.cpp"
 if($call103){label=53;break;}else{label=52;break;} //@line 586 "CompileUtilities.cpp"
 case 52: 
 $retval=0; //@line 588 "CompileUtilities.cpp"
 label=56;break; //@line 588 "CompileUtilities.cpp"
 case 53: 
 label=54;break; //@line 590 "CompileUtilities.cpp"
 case 54: 
 var $33=$i94; //@line 583 "CompileUtilities.cpp"
 var $dec107=((($33)-(1))&255); //@line 583 "CompileUtilities.cpp"
 $i94=$dec107; //@line 583 "CompileUtilities.cpp"
 label=50;break; //@line 583 "CompileUtilities.cpp"
 case 55: 
 $retval=1; //@line 591 "CompileUtilities.cpp"
 label=56;break; //@line 591 "CompileUtilities.cpp"
 case 56: 
 var $34=$retval; //@line 592 "CompileUtilities.cpp"
 STACKTOP=sp;return $34; //@line 592 "CompileUtilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __Z14CompileAddressi($address){
 var label=0;
 var sp=STACKTOP; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $retval;
 var $address_addr;
 $address_addr=$address;
 var $0=((((HEAPU8[(19720)])|(HEAPU8[(19721)]<<8)|(HEAPU8[(19722)]<<16)|(HEAPU8[(19723)]<<24))|0)); //@line 645 "CompileUtilities.cpp"
 var $1=$0; //@line 645 "CompileUtilities.cpp"
 var $obj_ptr=(($1+16777264)|0); //@line 645 "CompileUtilities.cpp"
 var $2=((((HEAPU8[($obj_ptr)])|(HEAPU8[((($obj_ptr)+(1))|0)]<<8)|(HEAPU8[((($obj_ptr)+(2))|0)]<<16)|(HEAPU8[((($obj_ptr)+(3))|0)]<<24))|0)); //@line 645 "CompileUtilities.cpp"
 var $3=$address_addr; //@line 645 "CompileUtilities.cpp"
 var $sub=((($3)-($2))|0); //@line 645 "CompileUtilities.cpp"
 $address_addr=$sub; //@line 645 "CompileUtilities.cpp"
 var $4=$address_addr; //@line 646 "CompileUtilities.cpp"
 var $dec=((($4)-(1))|0); //@line 646 "CompileUtilities.cpp"
 $address_addr=$dec; //@line 646 "CompileUtilities.cpp"
 var $5=$address_addr; //@line 648 "CompileUtilities.cpp"
 var $cmp=($5|0)<0; //@line 648 "CompileUtilities.cpp"
 if($cmp){label=2;break;}else{label=3;break;} //@line 648 "CompileUtilities.cpp"
 case 2: 
 var $6=$address_addr; //@line 648 "CompileUtilities.cpp"
 var $call=Math_abs($6); //@line 648 "CompileUtilities.cpp"
 var $cmp1=($call|0)<=64; //@line 648 "CompileUtilities.cpp"
 if($cmp1){label=5;break;}else{label=3;break;} //@line 648 "CompileUtilities.cpp"
 case 3: 
 var $7=$address_addr; //@line 648 "CompileUtilities.cpp"
 var $cmp2=($7|0)>=0; //@line 648 "CompileUtilities.cpp"
 if($cmp2){label=4;break;}else{label=6;break;} //@line 648 "CompileUtilities.cpp"
 case 4: 
 var $8=$address_addr; //@line 648 "CompileUtilities.cpp"
 var $cmp4=($8|0)<64; //@line 648 "CompileUtilities.cpp"
 if($cmp4){label=5;break;}else{label=6;break;} //@line 648 "CompileUtilities.cpp"
 case 5: 
 var $9=$address_addr; //@line 651 "CompileUtilities.cpp"
 var $and=$9&127; //@line 651 "CompileUtilities.cpp"
 $address_addr=$and; //@line 651 "CompileUtilities.cpp"
 label=9;break; //@line 652 "CompileUtilities.cpp"
 case 6: 
 var $10=$address_addr; //@line 656 "CompileUtilities.cpp"
 var $dec5=((($10)-(1))|0); //@line 656 "CompileUtilities.cpp"
 $address_addr=$dec5; //@line 656 "CompileUtilities.cpp"
 var $11=$address_addr; //@line 657 "CompileUtilities.cpp"
 var $shr=$11>>8; //@line 657 "CompileUtilities.cpp"
 var $or=$shr|128; //@line 657 "CompileUtilities.cpp"
 var $conv=(($or)&255); //@line 657 "CompileUtilities.cpp"
 var $call6=__Z8EnterObjh($conv); //@line 657 "CompileUtilities.cpp"
 if($call6){label=8;break;}else{label=7;break;} //@line 657 "CompileUtilities.cpp"
 case 7: 
 $retval=0; //@line 659 "CompileUtilities.cpp"
 label=10;break; //@line 659 "CompileUtilities.cpp"
 case 8: 
 var $12=$address_addr; //@line 661 "CompileUtilities.cpp"
 var $and8=$12&255; //@line 661 "CompileUtilities.cpp"
 $address_addr=$and8; //@line 661 "CompileUtilities.cpp"
 label=9;break;
 case 9: 
 var $13=$address_addr; //@line 664 "CompileUtilities.cpp"
 var $conv10=(($13)&255); //@line 664 "CompileUtilities.cpp"
 var $call11=__Z8EnterObjh($conv10); //@line 664 "CompileUtilities.cpp"
 $retval=$call11; //@line 664 "CompileUtilities.cpp"
 label=10;break; //@line 664 "CompileUtilities.cpp"
 case 10: 
 var $14=$retval; //@line 665 "CompileUtilities.cpp"
 STACKTOP=sp;return $14; //@line 665 "CompileUtilities.cpp"
  default: assert(0, "bad label: " + label);
 }

}


function __ZNSt9type_infoD2Ev($this){
 var label=0;


 return;
}


function __ZNK10__cxxabiv116__shim_type_info5noop1Ev($this){
 var label=0;


 return;
}


function __ZNK10__cxxabiv116__shim_type_info5noop2Ev($this){
 var label=0;


 return;
}


function __ZN10__cxxabiv117__class_type_infoD2Ev($this){
 var label=0;


 var $0=(($this)|0);
 __ZNSt9type_infoD2Ev($0);
 return;
}


function __ZN10__cxxabiv117__class_type_infoD0Ev($this){
 var label=0;


 var $0=(($this)|0);
 __ZNSt9type_infoD2Ev($0);
 var $1=$this;
 __ZdlPv($1);
 return;
}


function __ZN10__cxxabiv120__si_class_type_infoD2Ev($this){
 var label=0;


 var $0=(($this)|0);
 __ZNSt9type_infoD2Ev($0);
 return;
}


function __ZN10__cxxabiv120__si_class_type_infoD0Ev($this){
 var label=0;


 var $0=(($this)|0);
 __ZNSt9type_infoD2Ev($0);
 var $1=$this;
 __ZdlPv($1);
 return;
}


function __ZNK10__cxxabiv117__class_type_info9can_catchEPKNS_16__shim_type_infoERPv($this,$thrown_type,$adjustedPtr){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+56)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $info=sp;
 var $0=(($this)|0);
 var $1=(($thrown_type)|0);
 var $cmp_i=($0|0)==($1|0);
 if($cmp_i){var $retval_0=1;label=6;break;}else{label=2;break;}
 case 2: 
 var $2=($thrown_type|0)==0;
 if($2){var $retval_0=0;label=6;break;}else{label=3;break;}
 case 3: 
 var $3=$thrown_type;
 var $4=___dynamic_cast($3,12264,12248,0);
 var $5=$4;
 var $cmp=($4|0)==0;
 if($cmp){var $retval_0=0;label=6;break;}else{label=4;break;}
 case 4: 
 var $6=$info;
 _memset($6, 0, 56)|0;
 var $dst_type=(($info)|0);
 tempBigInt=$5;HEAP8[($dst_type)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($dst_type)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($dst_type)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($dst_type)+(3))|0)]=tempBigInt&0xff;
 var $static_type=(($info+8)|0);
 tempBigInt=$this;HEAP8[($static_type)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($static_type)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($static_type)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($static_type)+(3))|0)]=tempBigInt&0xff;
 var $src2dst_offset=(($info+12)|0);
 tempBigInt=-1;HEAP8[($src2dst_offset)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($src2dst_offset)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($src2dst_offset)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($src2dst_offset)+(3))|0)]=tempBigInt&0xff;
 var $number_of_dst_type=(($info+48)|0);
 tempBigInt=1;HEAP8[($number_of_dst_type)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($number_of_dst_type)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($number_of_dst_type)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($number_of_dst_type)+(3))|0)]=tempBigInt&0xff;
 var $7=$4;
 var $vtable=((((HEAPU8[($7)])|(HEAPU8[((($7)+(1))|0)]<<8)|(HEAPU8[((($7)+(2))|0)]<<16)|(HEAPU8[((($7)+(3))|0)]<<24))|0));
 var $vfn=(($vtable+28)|0);
 var $8=((((HEAPU8[($vfn)])|(HEAPU8[((($vfn)+(1))|0)]<<8)|(HEAPU8[((($vfn)+(2))|0)]<<16)|(HEAPU8[((($vfn)+(3))|0)]<<24))|0));
 var $9=((((HEAPU8[($adjustedPtr)])|(HEAPU8[((($adjustedPtr)+(1))|0)]<<8)|(HEAPU8[((($adjustedPtr)+(2))|0)]<<16)|(HEAPU8[((($adjustedPtr)+(3))|0)]<<24))|0));
 FUNCTION_TABLE[$8]($5,$info,$9,1);
 var $path_dst_ptr_to_static_ptr=(($info+24)|0);
 var $10=((((HEAPU8[($path_dst_ptr_to_static_ptr)])|(HEAPU8[((($path_dst_ptr_to_static_ptr)+(1))|0)]<<8)|(HEAPU8[((($path_dst_ptr_to_static_ptr)+(2))|0)]<<16)|(HEAPU8[((($path_dst_ptr_to_static_ptr)+(3))|0)]<<24))|0));
 var $cmp4=($10|0)==1;
 if($cmp4){label=5;break;}else{var $retval_0=0;label=6;break;}
 case 5: 
 var $dst_ptr_leading_to_static_ptr=(($info+16)|0);
 var $11=((((HEAPU8[($dst_ptr_leading_to_static_ptr)])|(HEAPU8[((($dst_ptr_leading_to_static_ptr)+(1))|0)]<<8)|(HEAPU8[((($dst_ptr_leading_to_static_ptr)+(2))|0)]<<16)|(HEAPU8[((($dst_ptr_leading_to_static_ptr)+(3))|0)]<<24))|0));
 tempBigInt=$11;HEAP8[($adjustedPtr)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($adjustedPtr)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($adjustedPtr)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($adjustedPtr)+(3))|0)]=tempBigInt&0xff;
 var $retval_0=1;label=6;break;
 case 6: 
 var $retval_0;
 STACKTOP=sp;return $retval_0;
  default: assert(0, "bad label: " + label);
 }

}


function __ZNK10__cxxabiv117__class_type_info27has_unambiguous_public_baseEPNS_19__dynamic_cast_infoEPvi($this,$info,$adjustedPtr,$path_below){
 var label=0;

 label = 1; 
 while(1)switch(label){
 case 1: 
 var $static_type=(($info+8)|0);
 var $0=((((HEAPU8[($static_type)])|(HEAPU8[((($static_type)+(1))|0)]<<8)|(HEAPU8[((($static_type)+(2))|0)]<<16)|(HEAPU8[((($static_type)+(3))|0)]<<24))|0));
 var $cmp_i=($0|0)==($this|0);
 if($cmp_i){label=2;break;}else{label=8;break;}
 case 2: 
 var $dst_ptr_leading_to_static_ptr_i=(($info+16)|0);
 var $1=((((HEAPU8[($dst_ptr_leading_to_static_ptr_i)])|(HEAPU8[((($dst_ptr_leading_to_static_ptr_i)+(1))|0)]<<8)|(HEAPU8[((($dst_ptr_leading_to_static_ptr_i)+(2))|0)]<<16)|(HEAPU8[((($dst_ptr_leading_to_static_ptr_i)+(3))|0)]<<24))|0));
 var $cmp_i2=($1|0)==0;
 if($cmp_i2){label=3;break;}else{label=4;break;}
 case 3: 
 tempBigInt=$adjustedPtr;HEAP8[($dst_ptr_leading_to_static_ptr_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($dst_ptr_leading_to_static_ptr_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($dst_ptr_leading_to_static_ptr_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($dst_ptr_leading_to_static_ptr_i)+(3))|0)]=tempBigInt&0xff;
 var $path_dst_ptr_to_static_ptr_i=(($info+24)|0);
 tempBigInt=$path_below;HEAP8[($path_dst_ptr_to_static_ptr_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dst_ptr_to_static_ptr_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dst_ptr_to_static_ptr_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dst_ptr_to_static_ptr_i)+(3))|0)]=tempBigInt&0xff;
 var $number_to_static_ptr_i=(($info+36)|0);
 tempBigInt=1;HEAP8[($number_to_static_ptr_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($number_to_static_ptr_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($number_to_static_ptr_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($number_to_static_ptr_i)+(3))|0)]=tempBigInt&0xff;
 label=8;break;
 case 4: 
 var $cmp4_i=($1|0)==($adjustedPtr|0);
 if($cmp4_i){label=5;break;}else{label=7;break;}
 case 5: 
 var $path_dst_ptr_to_static_ptr6_i=(($info+24)|0);
 var $2=((((HEAPU8[($path_dst_ptr_to_static_ptr6_i)])|(HEAPU8[((($path_dst_ptr_to_static_ptr6_i)+(1))|0)]<<8)|(HEAPU8[((($path_dst_ptr_to_static_ptr6_i)+(2))|0)]<<16)|(HEAPU8[((($path_dst_ptr_to_static_ptr6_i)+(3))|0)]<<24))|0));
 var $cmp7_i=($2|0)==2;
 if($cmp7_i){label=6;break;}else{label=8;break;}
 case 6: 
 tempBigInt=$path_below;HEAP8[($path_dst_ptr_to_static_ptr6_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dst_ptr_to_static_ptr6_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dst_ptr_to_static_ptr6_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dst_ptr_to_static_ptr6_i)+(3))|0)]=tempBigInt&0xff;
 label=8;break;
 case 7: 
 var $number_to_static_ptr11_i=(($info+36)|0);
 var $3=((((HEAPU8[($number_to_static_ptr11_i)])|(HEAPU8[((($number_to_static_ptr11_i)+(1))|0)]<<8)|(HEAPU8[((($number_to_static_ptr11_i)+(2))|0)]<<16)|(HEAPU8[((($number_to_static_ptr11_i)+(3))|0)]<<24))|0));
 var $add_i=((($3)+(1))|0);
 tempBigInt=$add_i;HEAP8[($number_to_static_ptr11_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($number_to_static_ptr11_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($number_to_static_ptr11_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($number_to_static_ptr11_i)+(3))|0)]=tempBigInt&0xff;
 var $path_dst_ptr_to_static_ptr12_i=(($info+24)|0);
 tempBigInt=2;HEAP8[($path_dst_ptr_to_static_ptr12_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dst_ptr_to_static_ptr12_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dst_ptr_to_static_ptr12_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dst_ptr_to_static_ptr12_i)+(3))|0)]=tempBigInt&0xff;
 var $search_done_i=(($info+54)|0);
 HEAP8[($search_done_i)]=1;
 label=8;break;
 case 8: 
 return;
  default: assert(0, "bad label: " + label);
 }

}


function __ZNK10__cxxabiv120__si_class_type_info27has_unambiguous_public_baseEPNS_19__dynamic_cast_infoEPvi($this,$info,$adjustedPtr,$path_below){
 var label=0;

 label = 1; 
 while(1)switch(label){
 case 1: 
 var $0=(($this)|0);
 var $static_type=(($info+8)|0);
 var $1=((((HEAPU8[($static_type)])|(HEAPU8[((($static_type)+(1))|0)]<<8)|(HEAPU8[((($static_type)+(2))|0)]<<16)|(HEAPU8[((($static_type)+(3))|0)]<<24))|0));
 var $2=(($1)|0);
 var $cmp_i=($0|0)==($2|0);
 if($cmp_i){label=2;break;}else{label=8;break;}
 case 2: 
 var $dst_ptr_leading_to_static_ptr_i=(($info+16)|0);
 var $3=((((HEAPU8[($dst_ptr_leading_to_static_ptr_i)])|(HEAPU8[((($dst_ptr_leading_to_static_ptr_i)+(1))|0)]<<8)|(HEAPU8[((($dst_ptr_leading_to_static_ptr_i)+(2))|0)]<<16)|(HEAPU8[((($dst_ptr_leading_to_static_ptr_i)+(3))|0)]<<24))|0));
 var $cmp_i5=($3|0)==0;
 if($cmp_i5){label=3;break;}else{label=4;break;}
 case 3: 
 tempBigInt=$adjustedPtr;HEAP8[($dst_ptr_leading_to_static_ptr_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($dst_ptr_leading_to_static_ptr_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($dst_ptr_leading_to_static_ptr_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($dst_ptr_leading_to_static_ptr_i)+(3))|0)]=tempBigInt&0xff;
 var $path_dst_ptr_to_static_ptr_i=(($info+24)|0);
 tempBigInt=$path_below;HEAP8[($path_dst_ptr_to_static_ptr_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dst_ptr_to_static_ptr_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dst_ptr_to_static_ptr_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dst_ptr_to_static_ptr_i)+(3))|0)]=tempBigInt&0xff;
 var $number_to_static_ptr_i=(($info+36)|0);
 tempBigInt=1;HEAP8[($number_to_static_ptr_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($number_to_static_ptr_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($number_to_static_ptr_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($number_to_static_ptr_i)+(3))|0)]=tempBigInt&0xff;
 label=9;break;
 case 4: 
 var $cmp4_i=($3|0)==($adjustedPtr|0);
 if($cmp4_i){label=5;break;}else{label=7;break;}
 case 5: 
 var $path_dst_ptr_to_static_ptr6_i=(($info+24)|0);
 var $4=((((HEAPU8[($path_dst_ptr_to_static_ptr6_i)])|(HEAPU8[((($path_dst_ptr_to_static_ptr6_i)+(1))|0)]<<8)|(HEAPU8[((($path_dst_ptr_to_static_ptr6_i)+(2))|0)]<<16)|(HEAPU8[((($path_dst_ptr_to_static_ptr6_i)+(3))|0)]<<24))|0));
 var $cmp7_i=($4|0)==2;
 if($cmp7_i){label=6;break;}else{label=9;break;}
 case 6: 
 tempBigInt=$path_below;HEAP8[($path_dst_ptr_to_static_ptr6_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dst_ptr_to_static_ptr6_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dst_ptr_to_static_ptr6_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dst_ptr_to_static_ptr6_i)+(3))|0)]=tempBigInt&0xff;
 label=9;break;
 case 7: 
 var $number_to_static_ptr11_i=(($info+36)|0);
 var $5=((((HEAPU8[($number_to_static_ptr11_i)])|(HEAPU8[((($number_to_static_ptr11_i)+(1))|0)]<<8)|(HEAPU8[((($number_to_static_ptr11_i)+(2))|0)]<<16)|(HEAPU8[((($number_to_static_ptr11_i)+(3))|0)]<<24))|0));
 var $add_i=((($5)+(1))|0);
 tempBigInt=$add_i;HEAP8[($number_to_static_ptr11_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($number_to_static_ptr11_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($number_to_static_ptr11_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($number_to_static_ptr11_i)+(3))|0)]=tempBigInt&0xff;
 var $path_dst_ptr_to_static_ptr12_i=(($info+24)|0);
 tempBigInt=2;HEAP8[($path_dst_ptr_to_static_ptr12_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dst_ptr_to_static_ptr12_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dst_ptr_to_static_ptr12_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dst_ptr_to_static_ptr12_i)+(3))|0)]=tempBigInt&0xff;
 var $search_done_i=(($info+54)|0);
 HEAP8[($search_done_i)]=1;
 label=9;break;
 case 8: 
 var $__base_type=(($this+8)|0);
 var $6=((((HEAPU8[($__base_type)])|(HEAPU8[((($__base_type)+(1))|0)]<<8)|(HEAPU8[((($__base_type)+(2))|0)]<<16)|(HEAPU8[((($__base_type)+(3))|0)]<<24))|0));
 var $7=$6;
 var $vtable=((((HEAPU8[($7)])|(HEAPU8[((($7)+(1))|0)]<<8)|(HEAPU8[((($7)+(2))|0)]<<16)|(HEAPU8[((($7)+(3))|0)]<<24))|0));
 var $vfn=(($vtable+28)|0);
 var $8=((((HEAPU8[($vfn)])|(HEAPU8[((($vfn)+(1))|0)]<<8)|(HEAPU8[((($vfn)+(2))|0)]<<16)|(HEAPU8[((($vfn)+(3))|0)]<<24))|0));
 FUNCTION_TABLE[$8]($6,$info,$adjustedPtr,$path_below);
 label=9;break;
 case 9: 
 return;
  default: assert(0, "bad label: " + label);
 }

}


function ___dynamic_cast($static_ptr,$static_type,$dst_type,$src2dst_offset){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+56)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $info=sp;
 var $0=$static_ptr;
 var $1=((((HEAPU8[($0)])|(HEAPU8[((($0)+(1))|0)]<<8)|(HEAPU8[((($0)+(2))|0)]<<16)|(HEAPU8[((($0)+(3))|0)]<<24))|0));
 var $arrayidx=((($1)-(8))|0);
 var $2=((((HEAPU8[($arrayidx)])|(HEAPU8[((($arrayidx)+(1))|0)]<<8)|(HEAPU8[((($arrayidx)+(2))|0)]<<16)|(HEAPU8[((($arrayidx)+(3))|0)]<<24))|0));
 var $3=$2;
 var $add_ptr=(($static_ptr+$3)|0);
 var $arrayidx1=((($1)-(4))|0);
 var $4=((((HEAPU8[($arrayidx1)])|(HEAPU8[((($arrayidx1)+(1))|0)]<<8)|(HEAPU8[((($arrayidx1)+(2))|0)]<<16)|(HEAPU8[((($arrayidx1)+(3))|0)]<<24))|0));
 var $5=$4;
 var $dst_type2=(($info)|0);
 tempBigInt=$dst_type;HEAP8[($dst_type2)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($dst_type2)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($dst_type2)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($dst_type2)+(3))|0)]=tempBigInt&0xff;
 var $static_ptr3=(($info+4)|0);
 tempBigInt=$static_ptr;HEAP8[($static_ptr3)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($static_ptr3)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($static_ptr3)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($static_ptr3)+(3))|0)]=tempBigInt&0xff;
 var $static_type4=(($info+8)|0);
 tempBigInt=$static_type;HEAP8[($static_type4)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($static_type4)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($static_type4)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($static_type4)+(3))|0)]=tempBigInt&0xff;
 var $src2dst_offset5=(($info+12)|0);
 tempBigInt=$src2dst_offset;HEAP8[($src2dst_offset5)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($src2dst_offset5)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($src2dst_offset5)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($src2dst_offset5)+(3))|0)]=tempBigInt&0xff;
 var $dst_ptr_leading_to_static_ptr=(($info+16)|0);
 var $dst_ptr_not_leading_to_static_ptr=(($info+20)|0);
 var $path_dst_ptr_to_static_ptr=(($info+24)|0);
 var $path_dynamic_ptr_to_static_ptr=(($info+28)|0);
 var $path_dynamic_ptr_to_dst_ptr=(($info+32)|0);
 var $number_to_dst_ptr=(($info+40)|0);
 var $6=$4;
 var $7=(($dst_type)|0);
 var $cmp_i=($6|0)==($7|0);
 var $8=$dst_ptr_leading_to_static_ptr;
 _memset($8, 0, 39)|0;
 if($cmp_i){label=2;break;}else{label=3;break;}
 case 2: 
 var $number_of_dst_type=(($info+48)|0);
 tempBigInt=1;HEAP8[($number_of_dst_type)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($number_of_dst_type)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($number_of_dst_type)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($number_of_dst_type)+(3))|0)]=tempBigInt&0xff;
 var $9=$4;
 var $vtable7=((((HEAPU8[($9)])|(HEAPU8[((($9)+(1))|0)]<<8)|(HEAPU8[((($9)+(2))|0)]<<16)|(HEAPU8[((($9)+(3))|0)]<<24))|0));
 var $vfn=(($vtable7+20)|0);
 var $10=((((HEAPU8[($vfn)])|(HEAPU8[((($vfn)+(1))|0)]<<8)|(HEAPU8[((($vfn)+(2))|0)]<<16)|(HEAPU8[((($vfn)+(3))|0)]<<24))|0));
 FUNCTION_TABLE[$10]($5,$info,$add_ptr,$add_ptr,1,0);
 var $11=((((HEAPU8[($path_dst_ptr_to_static_ptr)])|(HEAPU8[((($path_dst_ptr_to_static_ptr)+(1))|0)]<<8)|(HEAPU8[((($path_dst_ptr_to_static_ptr)+(2))|0)]<<16)|(HEAPU8[((($path_dst_ptr_to_static_ptr)+(3))|0)]<<24))|0));
 var $cmp=($11|0)==1;
 var $add_ptr_=($cmp?$add_ptr:0);
 STACKTOP=sp;return $add_ptr_;
 case 3: 
 var $number_to_static_ptr=(($info+36)|0);
 var $12=$4;
 var $vtable10=((((HEAPU8[($12)])|(HEAPU8[((($12)+(1))|0)]<<8)|(HEAPU8[((($12)+(2))|0)]<<16)|(HEAPU8[((($12)+(3))|0)]<<24))|0));
 var $vfn11=(($vtable10+24)|0);
 var $13=((((HEAPU8[($vfn11)])|(HEAPU8[((($vfn11)+(1))|0)]<<8)|(HEAPU8[((($vfn11)+(2))|0)]<<16)|(HEAPU8[((($vfn11)+(3))|0)]<<24))|0));
 FUNCTION_TABLE[$13]($5,$info,$add_ptr,1,0);
 var $14=((((HEAPU8[($number_to_static_ptr)])|(HEAPU8[((($number_to_static_ptr)+(1))|0)]<<8)|(HEAPU8[((($number_to_static_ptr)+(2))|0)]<<16)|(HEAPU8[((($number_to_static_ptr)+(3))|0)]<<24))|0));
 if(($14|0)==0){ label=4;break;}else if(($14|0)==1){ label=5;break;}else{var $dst_ptr_0=0;label=8;break;}
 case 4: 
 var $15=((((HEAPU8[($number_to_dst_ptr)])|(HEAPU8[((($number_to_dst_ptr)+(1))|0)]<<8)|(HEAPU8[((($number_to_dst_ptr)+(2))|0)]<<16)|(HEAPU8[((($number_to_dst_ptr)+(3))|0)]<<24))|0));
 var $cmp14=($15|0)==1;
 var $16=((((HEAPU8[($path_dynamic_ptr_to_static_ptr)])|(HEAPU8[((($path_dynamic_ptr_to_static_ptr)+(1))|0)]<<8)|(HEAPU8[((($path_dynamic_ptr_to_static_ptr)+(2))|0)]<<16)|(HEAPU8[((($path_dynamic_ptr_to_static_ptr)+(3))|0)]<<24))|0));
 var $cmp16=($16|0)==1;
 var $or_cond=$cmp14&$cmp16;
 var $17=((((HEAPU8[($path_dynamic_ptr_to_dst_ptr)])|(HEAPU8[((($path_dynamic_ptr_to_dst_ptr)+(1))|0)]<<8)|(HEAPU8[((($path_dynamic_ptr_to_dst_ptr)+(2))|0)]<<16)|(HEAPU8[((($path_dynamic_ptr_to_dst_ptr)+(3))|0)]<<24))|0));
 var $cmp19=($17|0)==1;
 var $or_cond10=$or_cond&$cmp19;
 var $18=((((HEAPU8[($dst_ptr_not_leading_to_static_ptr)])|(HEAPU8[((($dst_ptr_not_leading_to_static_ptr)+(1))|0)]<<8)|(HEAPU8[((($dst_ptr_not_leading_to_static_ptr)+(2))|0)]<<16)|(HEAPU8[((($dst_ptr_not_leading_to_static_ptr)+(3))|0)]<<24))|0));
 var $_=($or_cond10?$18:0);
 STACKTOP=sp;return $_;
 case 5: 
 var $19=((((HEAPU8[($path_dst_ptr_to_static_ptr)])|(HEAPU8[((($path_dst_ptr_to_static_ptr)+(1))|0)]<<8)|(HEAPU8[((($path_dst_ptr_to_static_ptr)+(2))|0)]<<16)|(HEAPU8[((($path_dst_ptr_to_static_ptr)+(3))|0)]<<24))|0));
 var $cmp25=($19|0)==1;
 if($cmp25){label=7;break;}else{label=6;break;}
 case 6: 
 var $20=((((HEAPU8[($number_to_dst_ptr)])|(HEAPU8[((($number_to_dst_ptr)+(1))|0)]<<8)|(HEAPU8[((($number_to_dst_ptr)+(2))|0)]<<16)|(HEAPU8[((($number_to_dst_ptr)+(3))|0)]<<24))|0));
 var $cmp27=($20|0)==0;
 var $21=((((HEAPU8[($path_dynamic_ptr_to_static_ptr)])|(HEAPU8[((($path_dynamic_ptr_to_static_ptr)+(1))|0)]<<8)|(HEAPU8[((($path_dynamic_ptr_to_static_ptr)+(2))|0)]<<16)|(HEAPU8[((($path_dynamic_ptr_to_static_ptr)+(3))|0)]<<24))|0));
 var $cmp30=($21|0)==1;
 var $or_cond11=$cmp27&$cmp30;
 var $22=((((HEAPU8[($path_dynamic_ptr_to_dst_ptr)])|(HEAPU8[((($path_dynamic_ptr_to_dst_ptr)+(1))|0)]<<8)|(HEAPU8[((($path_dynamic_ptr_to_dst_ptr)+(2))|0)]<<16)|(HEAPU8[((($path_dynamic_ptr_to_dst_ptr)+(3))|0)]<<24))|0));
 var $cmp33=($22|0)==1;
 var $or_cond12=$or_cond11&$cmp33;
 if($or_cond12){label=7;break;}else{var $dst_ptr_0=0;label=8;break;}
 case 7: 
 var $23=((((HEAPU8[($dst_ptr_leading_to_static_ptr)])|(HEAPU8[((($dst_ptr_leading_to_static_ptr)+(1))|0)]<<8)|(HEAPU8[((($dst_ptr_leading_to_static_ptr)+(2))|0)]<<16)|(HEAPU8[((($dst_ptr_leading_to_static_ptr)+(3))|0)]<<24))|0));
 var $dst_ptr_0=$23;label=8;break;
 case 8: 
 var $dst_ptr_0;
 STACKTOP=sp;return $dst_ptr_0;
  default: assert(0, "bad label: " + label);
 }

}


function __ZNK10__cxxabiv120__si_class_type_info16search_below_dstEPNS_19__dynamic_cast_infoEPKvib($this,$info,$current_ptr,$path_below,$use_strcmp){
 var label=0;

 label = 1; 
 while(1)switch(label){
 case 1: 
 var $0=(($this)|0);
 var $static_type=(($info+8)|0);
 var $1=((((HEAPU8[($static_type)])|(HEAPU8[((($static_type)+(1))|0)]<<8)|(HEAPU8[((($static_type)+(2))|0)]<<16)|(HEAPU8[((($static_type)+(3))|0)]<<24))|0));
 var $2=(($1)|0);
 var $cmp_i=($0|0)==($2|0);
 if($cmp_i){label=2;break;}else{label=5;break;}
 case 2: 
 var $static_ptr_i=(($info+4)|0);
 var $3=((((HEAPU8[($static_ptr_i)])|(HEAPU8[((($static_ptr_i)+(1))|0)]<<8)|(HEAPU8[((($static_ptr_i)+(2))|0)]<<16)|(HEAPU8[((($static_ptr_i)+(3))|0)]<<24))|0));
 var $cmp_i32=($3|0)==($current_ptr|0);
 if($cmp_i32){label=3;break;}else{label=20;break;}
 case 3: 
 var $path_dynamic_ptr_to_static_ptr_i=(($info+28)|0);
 var $4=((((HEAPU8[($path_dynamic_ptr_to_static_ptr_i)])|(HEAPU8[((($path_dynamic_ptr_to_static_ptr_i)+(1))|0)]<<8)|(HEAPU8[((($path_dynamic_ptr_to_static_ptr_i)+(2))|0)]<<16)|(HEAPU8[((($path_dynamic_ptr_to_static_ptr_i)+(3))|0)]<<24))|0));
 var $cmp2_i=($4|0)==1;
 if($cmp2_i){label=20;break;}else{label=4;break;}
 case 4: 
 tempBigInt=$path_below;HEAP8[($path_dynamic_ptr_to_static_ptr_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dynamic_ptr_to_static_ptr_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dynamic_ptr_to_static_ptr_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dynamic_ptr_to_static_ptr_i)+(3))|0)]=tempBigInt&0xff;
 label=20;break;
 case 5: 
 var $dst_type=(($info)|0);
 var $5=((((HEAPU8[($dst_type)])|(HEAPU8[((($dst_type)+(1))|0)]<<8)|(HEAPU8[((($dst_type)+(2))|0)]<<16)|(HEAPU8[((($dst_type)+(3))|0)]<<24))|0));
 var $6=(($5)|0);
 var $cmp_i33=($0|0)==($6|0);
 if($cmp_i33){label=6;break;}else{label=19;break;}
 case 6: 
 var $dst_ptr_leading_to_static_ptr=(($info+16)|0);
 var $7=((((HEAPU8[($dst_ptr_leading_to_static_ptr)])|(HEAPU8[((($dst_ptr_leading_to_static_ptr)+(1))|0)]<<8)|(HEAPU8[((($dst_ptr_leading_to_static_ptr)+(2))|0)]<<16)|(HEAPU8[((($dst_ptr_leading_to_static_ptr)+(3))|0)]<<24))|0));
 var $cmp=($7|0)==($current_ptr|0);
 if($cmp){label=8;break;}else{label=7;break;}
 case 7: 
 var $dst_ptr_not_leading_to_static_ptr=(($info+20)|0);
 var $8=((((HEAPU8[($dst_ptr_not_leading_to_static_ptr)])|(HEAPU8[((($dst_ptr_not_leading_to_static_ptr)+(1))|0)]<<8)|(HEAPU8[((($dst_ptr_not_leading_to_static_ptr)+(2))|0)]<<16)|(HEAPU8[((($dst_ptr_not_leading_to_static_ptr)+(3))|0)]<<24))|0));
 var $cmp5=($8|0)==($current_ptr|0);
 if($cmp5){label=8;break;}else{label=10;break;}
 case 8: 
 var $cmp7=($path_below|0)==1;
 if($cmp7){label=9;break;}else{label=20;break;}
 case 9: 
 var $path_dynamic_ptr_to_dst_ptr=(($info+32)|0);
 tempBigInt=1;HEAP8[($path_dynamic_ptr_to_dst_ptr)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dynamic_ptr_to_dst_ptr)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dynamic_ptr_to_dst_ptr)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dynamic_ptr_to_dst_ptr)+(3))|0)]=tempBigInt&0xff;
 label=20;break;
 case 10: 
 var $path_dynamic_ptr_to_dst_ptr10=(($info+32)|0);
 tempBigInt=$path_below;HEAP8[($path_dynamic_ptr_to_dst_ptr10)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dynamic_ptr_to_dst_ptr10)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dynamic_ptr_to_dst_ptr10)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dynamic_ptr_to_dst_ptr10)+(3))|0)]=tempBigInt&0xff;
 var $is_dst_type_derived_from_static_type=(($info+44)|0);
 var $9=((((HEAPU8[($is_dst_type_derived_from_static_type)])|(HEAPU8[((($is_dst_type_derived_from_static_type)+(1))|0)]<<8)|(HEAPU8[((($is_dst_type_derived_from_static_type)+(2))|0)]<<16)|(HEAPU8[((($is_dst_type_derived_from_static_type)+(3))|0)]<<24))|0));
 var $cmp11=($9|0)==4;
 if($cmp11){label=20;break;}else{label=11;break;}
 case 11: 
 var $found_our_static_ptr=(($info+52)|0);
 HEAP8[($found_our_static_ptr)]=0;
 var $found_any_static_type=(($info+53)|0);
 HEAP8[($found_any_static_type)]=0;
 var $__base_type=(($this+8)|0);
 var $10=((((HEAPU8[($__base_type)])|(HEAPU8[((($__base_type)+(1))|0)]<<8)|(HEAPU8[((($__base_type)+(2))|0)]<<16)|(HEAPU8[((($__base_type)+(3))|0)]<<24))|0));
 var $11=$10;
 var $vtable=((((HEAPU8[($11)])|(HEAPU8[((($11)+(1))|0)]<<8)|(HEAPU8[((($11)+(2))|0)]<<16)|(HEAPU8[((($11)+(3))|0)]<<24))|0));
 var $vfn=(($vtable+20)|0);
 var $12=((((HEAPU8[($vfn)])|(HEAPU8[((($vfn)+(1))|0)]<<8)|(HEAPU8[((($vfn)+(2))|0)]<<16)|(HEAPU8[((($vfn)+(3))|0)]<<24))|0));
 FUNCTION_TABLE[$12]($10,$info,$current_ptr,$current_ptr,1,$use_strcmp);
 var $13=HEAP8[($found_any_static_type)];
 var $14=$13&1;
 var $tobool16=(($14<<24)>>24)==0;
 if($tobool16){var $is_dst_type_derived_from_static_type13_0_off034=0;label=13;break;}else{label=12;break;}
 case 12: 
 var $15=HEAP8[($found_our_static_ptr)];
 var $16=$15&1;
 var $not_tobool19=(($16<<24)>>24)==0;
 if($not_tobool19){var $is_dst_type_derived_from_static_type13_0_off034=1;label=13;break;}else{label=17;break;}
 case 13: 
 var $is_dst_type_derived_from_static_type13_0_off034;
 tempBigInt=$current_ptr;HEAP8[($dst_ptr_not_leading_to_static_ptr)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($dst_ptr_not_leading_to_static_ptr)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($dst_ptr_not_leading_to_static_ptr)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($dst_ptr_not_leading_to_static_ptr)+(3))|0)]=tempBigInt&0xff;
 var $number_to_dst_ptr=(($info+40)|0);
 var $17=((((HEAPU8[($number_to_dst_ptr)])|(HEAPU8[((($number_to_dst_ptr)+(1))|0)]<<8)|(HEAPU8[((($number_to_dst_ptr)+(2))|0)]<<16)|(HEAPU8[((($number_to_dst_ptr)+(3))|0)]<<24))|0));
 var $add=((($17)+(1))|0);
 tempBigInt=$add;HEAP8[($number_to_dst_ptr)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($number_to_dst_ptr)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($number_to_dst_ptr)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($number_to_dst_ptr)+(3))|0)]=tempBigInt&0xff;
 var $number_to_static_ptr=(($info+36)|0);
 var $18=((((HEAPU8[($number_to_static_ptr)])|(HEAPU8[((($number_to_static_ptr)+(1))|0)]<<8)|(HEAPU8[((($number_to_static_ptr)+(2))|0)]<<16)|(HEAPU8[((($number_to_static_ptr)+(3))|0)]<<24))|0));
 var $cmp26=($18|0)==1;
 if($cmp26){label=14;break;}else{label=16;break;}
 case 14: 
 var $path_dst_ptr_to_static_ptr=(($info+24)|0);
 var $19=((((HEAPU8[($path_dst_ptr_to_static_ptr)])|(HEAPU8[((($path_dst_ptr_to_static_ptr)+(1))|0)]<<8)|(HEAPU8[((($path_dst_ptr_to_static_ptr)+(2))|0)]<<16)|(HEAPU8[((($path_dst_ptr_to_static_ptr)+(3))|0)]<<24))|0));
 var $cmp27=($19|0)==2;
 if($cmp27){label=15;break;}else{label=16;break;}
 case 15: 
 var $search_done=(($info+54)|0);
 HEAP8[($search_done)]=1;
 if($is_dst_type_derived_from_static_type13_0_off034){label=17;break;}else{label=18;break;}
 case 16: 
 if($is_dst_type_derived_from_static_type13_0_off034){label=17;break;}else{label=18;break;}
 case 17: 
 tempBigInt=3;HEAP8[($is_dst_type_derived_from_static_type)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($is_dst_type_derived_from_static_type)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($is_dst_type_derived_from_static_type)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($is_dst_type_derived_from_static_type)+(3))|0)]=tempBigInt&0xff;
 label=20;break;
 case 18: 
 tempBigInt=4;HEAP8[($is_dst_type_derived_from_static_type)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($is_dst_type_derived_from_static_type)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($is_dst_type_derived_from_static_type)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($is_dst_type_derived_from_static_type)+(3))|0)]=tempBigInt&0xff;
 label=20;break;
 case 19: 
 var $__base_type40=(($this+8)|0);
 var $20=((((HEAPU8[($__base_type40)])|(HEAPU8[((($__base_type40)+(1))|0)]<<8)|(HEAPU8[((($__base_type40)+(2))|0)]<<16)|(HEAPU8[((($__base_type40)+(3))|0)]<<24))|0));
 var $21=$20;
 var $vtable41=((((HEAPU8[($21)])|(HEAPU8[((($21)+(1))|0)]<<8)|(HEAPU8[((($21)+(2))|0)]<<16)|(HEAPU8[((($21)+(3))|0)]<<24))|0));
 var $vfn42=(($vtable41+24)|0);
 var $22=((((HEAPU8[($vfn42)])|(HEAPU8[((($vfn42)+(1))|0)]<<8)|(HEAPU8[((($vfn42)+(2))|0)]<<16)|(HEAPU8[((($vfn42)+(3))|0)]<<24))|0));
 FUNCTION_TABLE[$22]($20,$info,$current_ptr,$path_below,$use_strcmp);
 label=20;break;
 case 20: 
 return;
  default: assert(0, "bad label: " + label);
 }

}


function __ZNK10__cxxabiv117__class_type_info16search_below_dstEPNS_19__dynamic_cast_infoEPKvib($this,$info,$current_ptr,$path_below,$use_strcmp){
 var label=0;

 label = 1; 
 while(1)switch(label){
 case 1: 
 var $static_type=(($info+8)|0);
 var $0=((((HEAPU8[($static_type)])|(HEAPU8[((($static_type)+(1))|0)]<<8)|(HEAPU8[((($static_type)+(2))|0)]<<16)|(HEAPU8[((($static_type)+(3))|0)]<<24))|0));
 var $cmp_i=($0|0)==($this|0);
 if($cmp_i){label=2;break;}else{label=5;break;}
 case 2: 
 var $static_ptr_i=(($info+4)|0);
 var $1=((((HEAPU8[($static_ptr_i)])|(HEAPU8[((($static_ptr_i)+(1))|0)]<<8)|(HEAPU8[((($static_ptr_i)+(2))|0)]<<16)|(HEAPU8[((($static_ptr_i)+(3))|0)]<<24))|0));
 var $cmp_i20=($1|0)==($current_ptr|0);
 if($cmp_i20){label=3;break;}else{label=14;break;}
 case 3: 
 var $path_dynamic_ptr_to_static_ptr_i=(($info+28)|0);
 var $2=((((HEAPU8[($path_dynamic_ptr_to_static_ptr_i)])|(HEAPU8[((($path_dynamic_ptr_to_static_ptr_i)+(1))|0)]<<8)|(HEAPU8[((($path_dynamic_ptr_to_static_ptr_i)+(2))|0)]<<16)|(HEAPU8[((($path_dynamic_ptr_to_static_ptr_i)+(3))|0)]<<24))|0));
 var $cmp2_i=($2|0)==1;
 if($cmp2_i){label=14;break;}else{label=4;break;}
 case 4: 
 tempBigInt=$path_below;HEAP8[($path_dynamic_ptr_to_static_ptr_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dynamic_ptr_to_static_ptr_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dynamic_ptr_to_static_ptr_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dynamic_ptr_to_static_ptr_i)+(3))|0)]=tempBigInt&0xff;
 label=14;break;
 case 5: 
 var $dst_type=(($info)|0);
 var $3=((((HEAPU8[($dst_type)])|(HEAPU8[((($dst_type)+(1))|0)]<<8)|(HEAPU8[((($dst_type)+(2))|0)]<<16)|(HEAPU8[((($dst_type)+(3))|0)]<<24))|0));
 var $cmp_i19=($3|0)==($this|0);
 if($cmp_i19){label=6;break;}else{label=14;break;}
 case 6: 
 var $dst_ptr_leading_to_static_ptr=(($info+16)|0);
 var $4=((((HEAPU8[($dst_ptr_leading_to_static_ptr)])|(HEAPU8[((($dst_ptr_leading_to_static_ptr)+(1))|0)]<<8)|(HEAPU8[((($dst_ptr_leading_to_static_ptr)+(2))|0)]<<16)|(HEAPU8[((($dst_ptr_leading_to_static_ptr)+(3))|0)]<<24))|0));
 var $cmp=($4|0)==($current_ptr|0);
 if($cmp){label=8;break;}else{label=7;break;}
 case 7: 
 var $dst_ptr_not_leading_to_static_ptr=(($info+20)|0);
 var $5=((((HEAPU8[($dst_ptr_not_leading_to_static_ptr)])|(HEAPU8[((($dst_ptr_not_leading_to_static_ptr)+(1))|0)]<<8)|(HEAPU8[((($dst_ptr_not_leading_to_static_ptr)+(2))|0)]<<16)|(HEAPU8[((($dst_ptr_not_leading_to_static_ptr)+(3))|0)]<<24))|0));
 var $cmp5=($5|0)==($current_ptr|0);
 if($cmp5){label=8;break;}else{label=10;break;}
 case 8: 
 var $cmp7=($path_below|0)==1;
 if($cmp7){label=9;break;}else{label=14;break;}
 case 9: 
 var $path_dynamic_ptr_to_dst_ptr=(($info+32)|0);
 tempBigInt=1;HEAP8[($path_dynamic_ptr_to_dst_ptr)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dynamic_ptr_to_dst_ptr)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dynamic_ptr_to_dst_ptr)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dynamic_ptr_to_dst_ptr)+(3))|0)]=tempBigInt&0xff;
 label=14;break;
 case 10: 
 var $path_dynamic_ptr_to_dst_ptr10=(($info+32)|0);
 tempBigInt=$path_below;HEAP8[($path_dynamic_ptr_to_dst_ptr10)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dynamic_ptr_to_dst_ptr10)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dynamic_ptr_to_dst_ptr10)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dynamic_ptr_to_dst_ptr10)+(3))|0)]=tempBigInt&0xff;
 tempBigInt=$current_ptr;HEAP8[($dst_ptr_not_leading_to_static_ptr)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($dst_ptr_not_leading_to_static_ptr)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($dst_ptr_not_leading_to_static_ptr)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($dst_ptr_not_leading_to_static_ptr)+(3))|0)]=tempBigInt&0xff;
 var $number_to_dst_ptr=(($info+40)|0);
 var $6=((((HEAPU8[($number_to_dst_ptr)])|(HEAPU8[((($number_to_dst_ptr)+(1))|0)]<<8)|(HEAPU8[((($number_to_dst_ptr)+(2))|0)]<<16)|(HEAPU8[((($number_to_dst_ptr)+(3))|0)]<<24))|0));
 var $add=((($6)+(1))|0);
 tempBigInt=$add;HEAP8[($number_to_dst_ptr)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($number_to_dst_ptr)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($number_to_dst_ptr)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($number_to_dst_ptr)+(3))|0)]=tempBigInt&0xff;
 var $number_to_static_ptr=(($info+36)|0);
 var $7=((((HEAPU8[($number_to_static_ptr)])|(HEAPU8[((($number_to_static_ptr)+(1))|0)]<<8)|(HEAPU8[((($number_to_static_ptr)+(2))|0)]<<16)|(HEAPU8[((($number_to_static_ptr)+(3))|0)]<<24))|0));
 var $cmp12=($7|0)==1;
 if($cmp12){label=11;break;}else{label=13;break;}
 case 11: 
 var $path_dst_ptr_to_static_ptr=(($info+24)|0);
 var $8=((((HEAPU8[($path_dst_ptr_to_static_ptr)])|(HEAPU8[((($path_dst_ptr_to_static_ptr)+(1))|0)]<<8)|(HEAPU8[((($path_dst_ptr_to_static_ptr)+(2))|0)]<<16)|(HEAPU8[((($path_dst_ptr_to_static_ptr)+(3))|0)]<<24))|0));
 var $cmp13=($8|0)==2;
 if($cmp13){label=12;break;}else{label=13;break;}
 case 12: 
 var $search_done=(($info+54)|0);
 HEAP8[($search_done)]=1;
 label=13;break;
 case 13: 
 var $is_dst_type_derived_from_static_type=(($info+44)|0);
 tempBigInt=4;HEAP8[($is_dst_type_derived_from_static_type)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($is_dst_type_derived_from_static_type)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($is_dst_type_derived_from_static_type)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($is_dst_type_derived_from_static_type)+(3))|0)]=tempBigInt&0xff;
 label=14;break;
 case 14: 
 return;
  default: assert(0, "bad label: " + label);
 }

}


function __ZNK10__cxxabiv120__si_class_type_info16search_above_dstEPNS_19__dynamic_cast_infoEPKvS4_ib($this,$info,$dst_ptr,$current_ptr,$path_below,$use_strcmp){
 var label=0;

 label = 1; 
 while(1)switch(label){
 case 1: 
 var $0=(($this)|0);
 var $static_type=(($info+8)|0);
 var $1=((((HEAPU8[($static_type)])|(HEAPU8[((($static_type)+(1))|0)]<<8)|(HEAPU8[((($static_type)+(2))|0)]<<16)|(HEAPU8[((($static_type)+(3))|0)]<<24))|0));
 var $2=(($1)|0);
 var $cmp_i=($0|0)==($2|0);
 if($cmp_i){label=2;break;}else{label=12;break;}
 case 2: 
 var $found_any_static_type_i=(($info+53)|0);
 HEAP8[($found_any_static_type_i)]=1;
 var $static_ptr_i=(($info+4)|0);
 var $3=((((HEAPU8[($static_ptr_i)])|(HEAPU8[((($static_ptr_i)+(1))|0)]<<8)|(HEAPU8[((($static_ptr_i)+(2))|0)]<<16)|(HEAPU8[((($static_ptr_i)+(3))|0)]<<24))|0));
 var $cmp_i7=($3|0)==($current_ptr|0);
 if($cmp_i7){label=3;break;}else{label=13;break;}
 case 3: 
 var $found_our_static_ptr_i=(($info+52)|0);
 HEAP8[($found_our_static_ptr_i)]=1;
 var $dst_ptr_leading_to_static_ptr_i=(($info+16)|0);
 var $4=((((HEAPU8[($dst_ptr_leading_to_static_ptr_i)])|(HEAPU8[((($dst_ptr_leading_to_static_ptr_i)+(1))|0)]<<8)|(HEAPU8[((($dst_ptr_leading_to_static_ptr_i)+(2))|0)]<<16)|(HEAPU8[((($dst_ptr_leading_to_static_ptr_i)+(3))|0)]<<24))|0));
 var $cmp2_i=($4|0)==0;
 if($cmp2_i){label=4;break;}else{label=6;break;}
 case 4: 
 tempBigInt=$dst_ptr;HEAP8[($dst_ptr_leading_to_static_ptr_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($dst_ptr_leading_to_static_ptr_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($dst_ptr_leading_to_static_ptr_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($dst_ptr_leading_to_static_ptr_i)+(3))|0)]=tempBigInt&0xff;
 var $path_dst_ptr_to_static_ptr_i=(($info+24)|0);
 tempBigInt=$path_below;HEAP8[($path_dst_ptr_to_static_ptr_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dst_ptr_to_static_ptr_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dst_ptr_to_static_ptr_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dst_ptr_to_static_ptr_i)+(3))|0)]=tempBigInt&0xff;
 var $number_to_static_ptr_i=(($info+36)|0);
 tempBigInt=1;HEAP8[($number_to_static_ptr_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($number_to_static_ptr_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($number_to_static_ptr_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($number_to_static_ptr_i)+(3))|0)]=tempBigInt&0xff;
 var $number_of_dst_type_i=(($info+48)|0);
 var $5=((((HEAPU8[($number_of_dst_type_i)])|(HEAPU8[((($number_of_dst_type_i)+(1))|0)]<<8)|(HEAPU8[((($number_of_dst_type_i)+(2))|0)]<<16)|(HEAPU8[((($number_of_dst_type_i)+(3))|0)]<<24))|0));
 var $cmp5_i=($5|0)==1;
 var $cmp7_i=($path_below|0)==1;
 var $or_cond_i=$cmp5_i&$cmp7_i;
 if($or_cond_i){label=5;break;}else{label=13;break;}
 case 5: 
 var $search_done_i=(($info+54)|0);
 HEAP8[($search_done_i)]=1;
 label=13;break;
 case 6: 
 var $cmp10_i=($4|0)==($dst_ptr|0);
 if($cmp10_i){label=7;break;}else{label=11;break;}
 case 7: 
 var $path_dst_ptr_to_static_ptr12_i=(($info+24)|0);
 var $6=((((HEAPU8[($path_dst_ptr_to_static_ptr12_i)])|(HEAPU8[((($path_dst_ptr_to_static_ptr12_i)+(1))|0)]<<8)|(HEAPU8[((($path_dst_ptr_to_static_ptr12_i)+(2))|0)]<<16)|(HEAPU8[((($path_dst_ptr_to_static_ptr12_i)+(3))|0)]<<24))|0));
 var $cmp13_i=($6|0)==2;
 if($cmp13_i){label=8;break;}else{var $7=$6;label=9;break;}
 case 8: 
 tempBigInt=$path_below;HEAP8[($path_dst_ptr_to_static_ptr12_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dst_ptr_to_static_ptr12_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dst_ptr_to_static_ptr12_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dst_ptr_to_static_ptr12_i)+(3))|0)]=tempBigInt&0xff;
 var $7=$path_below;label=9;break;
 case 9: 
 var $7;
 var $number_of_dst_type17_i=(($info+48)|0);
 var $8=((((HEAPU8[($number_of_dst_type17_i)])|(HEAPU8[((($number_of_dst_type17_i)+(1))|0)]<<8)|(HEAPU8[((($number_of_dst_type17_i)+(2))|0)]<<16)|(HEAPU8[((($number_of_dst_type17_i)+(3))|0)]<<24))|0));
 var $cmp18_i=($8|0)==1;
 var $cmp21_i=($7|0)==1;
 var $or_cond19_i=$cmp18_i&$cmp21_i;
 if($or_cond19_i){label=10;break;}else{label=13;break;}
 case 10: 
 var $search_done23_i=(($info+54)|0);
 HEAP8[($search_done23_i)]=1;
 label=13;break;
 case 11: 
 var $number_to_static_ptr26_i=(($info+36)|0);
 var $9=((((HEAPU8[($number_to_static_ptr26_i)])|(HEAPU8[((($number_to_static_ptr26_i)+(1))|0)]<<8)|(HEAPU8[((($number_to_static_ptr26_i)+(2))|0)]<<16)|(HEAPU8[((($number_to_static_ptr26_i)+(3))|0)]<<24))|0));
 var $add_i=((($9)+(1))|0);
 tempBigInt=$add_i;HEAP8[($number_to_static_ptr26_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($number_to_static_ptr26_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($number_to_static_ptr26_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($number_to_static_ptr26_i)+(3))|0)]=tempBigInt&0xff;
 var $search_done27_i=(($info+54)|0);
 HEAP8[($search_done27_i)]=1;
 label=13;break;
 case 12: 
 var $__base_type=(($this+8)|0);
 var $10=((((HEAPU8[($__base_type)])|(HEAPU8[((($__base_type)+(1))|0)]<<8)|(HEAPU8[((($__base_type)+(2))|0)]<<16)|(HEAPU8[((($__base_type)+(3))|0)]<<24))|0));
 var $11=$10;
 var $vtable=((((HEAPU8[($11)])|(HEAPU8[((($11)+(1))|0)]<<8)|(HEAPU8[((($11)+(2))|0)]<<16)|(HEAPU8[((($11)+(3))|0)]<<24))|0));
 var $vfn=(($vtable+20)|0);
 var $12=((((HEAPU8[($vfn)])|(HEAPU8[((($vfn)+(1))|0)]<<8)|(HEAPU8[((($vfn)+(2))|0)]<<16)|(HEAPU8[((($vfn)+(3))|0)]<<24))|0));
 FUNCTION_TABLE[$12]($10,$info,$dst_ptr,$current_ptr,$path_below,$use_strcmp);
 label=13;break;
 case 13: 
 return;
  default: assert(0, "bad label: " + label);
 }

}


function __ZNK10__cxxabiv117__class_type_info16search_above_dstEPNS_19__dynamic_cast_infoEPKvS4_ib($this,$info,$dst_ptr,$current_ptr,$path_below,$use_strcmp){
 var label=0;

 label = 1; 
 while(1)switch(label){
 case 1: 
 var $static_type=(($info+8)|0);
 var $0=((((HEAPU8[($static_type)])|(HEAPU8[((($static_type)+(1))|0)]<<8)|(HEAPU8[((($static_type)+(2))|0)]<<16)|(HEAPU8[((($static_type)+(3))|0)]<<24))|0));
 var $cmp_i=($0|0)==($this|0);
 if($cmp_i){label=2;break;}else{label=12;break;}
 case 2: 
 var $found_any_static_type_i=(($info+53)|0);
 HEAP8[($found_any_static_type_i)]=1;
 var $static_ptr_i=(($info+4)|0);
 var $1=((((HEAPU8[($static_ptr_i)])|(HEAPU8[((($static_ptr_i)+(1))|0)]<<8)|(HEAPU8[((($static_ptr_i)+(2))|0)]<<16)|(HEAPU8[((($static_ptr_i)+(3))|0)]<<24))|0));
 var $cmp_i2=($1|0)==($current_ptr|0);
 if($cmp_i2){label=3;break;}else{label=12;break;}
 case 3: 
 var $found_our_static_ptr_i=(($info+52)|0);
 HEAP8[($found_our_static_ptr_i)]=1;
 var $dst_ptr_leading_to_static_ptr_i=(($info+16)|0);
 var $2=((((HEAPU8[($dst_ptr_leading_to_static_ptr_i)])|(HEAPU8[((($dst_ptr_leading_to_static_ptr_i)+(1))|0)]<<8)|(HEAPU8[((($dst_ptr_leading_to_static_ptr_i)+(2))|0)]<<16)|(HEAPU8[((($dst_ptr_leading_to_static_ptr_i)+(3))|0)]<<24))|0));
 var $cmp2_i=($2|0)==0;
 if($cmp2_i){label=4;break;}else{label=6;break;}
 case 4: 
 tempBigInt=$dst_ptr;HEAP8[($dst_ptr_leading_to_static_ptr_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($dst_ptr_leading_to_static_ptr_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($dst_ptr_leading_to_static_ptr_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($dst_ptr_leading_to_static_ptr_i)+(3))|0)]=tempBigInt&0xff;
 var $path_dst_ptr_to_static_ptr_i=(($info+24)|0);
 tempBigInt=$path_below;HEAP8[($path_dst_ptr_to_static_ptr_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dst_ptr_to_static_ptr_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dst_ptr_to_static_ptr_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dst_ptr_to_static_ptr_i)+(3))|0)]=tempBigInt&0xff;
 var $number_to_static_ptr_i=(($info+36)|0);
 tempBigInt=1;HEAP8[($number_to_static_ptr_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($number_to_static_ptr_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($number_to_static_ptr_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($number_to_static_ptr_i)+(3))|0)]=tempBigInt&0xff;
 var $number_of_dst_type_i=(($info+48)|0);
 var $3=((((HEAPU8[($number_of_dst_type_i)])|(HEAPU8[((($number_of_dst_type_i)+(1))|0)]<<8)|(HEAPU8[((($number_of_dst_type_i)+(2))|0)]<<16)|(HEAPU8[((($number_of_dst_type_i)+(3))|0)]<<24))|0));
 var $cmp5_i=($3|0)==1;
 var $cmp7_i=($path_below|0)==1;
 var $or_cond_i=$cmp5_i&$cmp7_i;
 if($or_cond_i){label=5;break;}else{label=12;break;}
 case 5: 
 var $search_done_i=(($info+54)|0);
 HEAP8[($search_done_i)]=1;
 label=12;break;
 case 6: 
 var $cmp10_i=($2|0)==($dst_ptr|0);
 if($cmp10_i){label=7;break;}else{label=11;break;}
 case 7: 
 var $path_dst_ptr_to_static_ptr12_i=(($info+24)|0);
 var $4=((((HEAPU8[($path_dst_ptr_to_static_ptr12_i)])|(HEAPU8[((($path_dst_ptr_to_static_ptr12_i)+(1))|0)]<<8)|(HEAPU8[((($path_dst_ptr_to_static_ptr12_i)+(2))|0)]<<16)|(HEAPU8[((($path_dst_ptr_to_static_ptr12_i)+(3))|0)]<<24))|0));
 var $cmp13_i=($4|0)==2;
 if($cmp13_i){label=8;break;}else{var $5=$4;label=9;break;}
 case 8: 
 tempBigInt=$path_below;HEAP8[($path_dst_ptr_to_static_ptr12_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dst_ptr_to_static_ptr12_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dst_ptr_to_static_ptr12_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($path_dst_ptr_to_static_ptr12_i)+(3))|0)]=tempBigInt&0xff;
 var $5=$path_below;label=9;break;
 case 9: 
 var $5;
 var $number_of_dst_type17_i=(($info+48)|0);
 var $6=((((HEAPU8[($number_of_dst_type17_i)])|(HEAPU8[((($number_of_dst_type17_i)+(1))|0)]<<8)|(HEAPU8[((($number_of_dst_type17_i)+(2))|0)]<<16)|(HEAPU8[((($number_of_dst_type17_i)+(3))|0)]<<24))|0));
 var $cmp18_i=($6|0)==1;
 var $cmp21_i=($5|0)==1;
 var $or_cond19_i=$cmp18_i&$cmp21_i;
 if($or_cond19_i){label=10;break;}else{label=12;break;}
 case 10: 
 var $search_done23_i=(($info+54)|0);
 HEAP8[($search_done23_i)]=1;
 label=12;break;
 case 11: 
 var $number_to_static_ptr26_i=(($info+36)|0);
 var $7=((((HEAPU8[($number_to_static_ptr26_i)])|(HEAPU8[((($number_to_static_ptr26_i)+(1))|0)]<<8)|(HEAPU8[((($number_to_static_ptr26_i)+(2))|0)]<<16)|(HEAPU8[((($number_to_static_ptr26_i)+(3))|0)]<<24))|0));
 var $add_i=((($7)+(1))|0);
 tempBigInt=$add_i;HEAP8[($number_to_static_ptr26_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($number_to_static_ptr26_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($number_to_static_ptr26_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($number_to_static_ptr26_i)+(3))|0)]=tempBigInt&0xff;
 var $search_done27_i=(($info+54)|0);
 HEAP8[($search_done27_i)]=1;
 label=12;break;
 case 12: 
 return;
  default: assert(0, "bad label: " + label);
 }

}


function _malloc($bytes){
 var label=0;

 label = 1; 
 while(1)switch(label){
 case 1: 
 var $cmp=($bytes>>>0)<245;
 if($cmp){label=2;break;}else{label=78;break;}
 case 2: 
 var $cmp1=($bytes>>>0)<11;
 if($cmp1){var $cond=16;label=4;break;}else{label=3;break;}
 case 3: 
 var $add2=((($bytes)+(11))|0);
 var $and=$add2&-8;
 var $cond=$and;label=4;break;
 case 4: 
 var $cond;
 var $shr=$cond>>>3;
 var $0=((((HEAPU8[(19744)])|(HEAPU8[(19745)]<<8)|(HEAPU8[(19746)]<<16)|(HEAPU8[(19747)]<<24))|0));
 var $shr3=$0>>>($shr>>>0);
 var $and4=$shr3&3;
 var $cmp5=($and4|0)==0;
 if($cmp5){label=12;break;}else{label=5;break;}
 case 5: 
 var $neg=$shr3&1;
 var $and7=$neg^1;
 var $add8=((($and7)+($shr))|0);
 var $shl=$add8<<1;
 var $arrayidx=((19784+($shl<<2))|0);
 var $1=$arrayidx;
 var $arrayidx_sum=((($shl)+(2))|0);
 var $2=((19784+($arrayidx_sum<<2))|0);
 var $3=((((HEAPU8[($2)])|(HEAPU8[((($2)+(1))|0)]<<8)|(HEAPU8[((($2)+(2))|0)]<<16)|(HEAPU8[((($2)+(3))|0)]<<24))|0));
 var $fd9=(($3+8)|0);
 var $4=((((HEAPU8[($fd9)])|(HEAPU8[((($fd9)+(1))|0)]<<8)|(HEAPU8[((($fd9)+(2))|0)]<<16)|(HEAPU8[((($fd9)+(3))|0)]<<24))|0));
 var $cmp10=($1|0)==($4|0);
 if($cmp10){label=6;break;}else{label=7;break;}
 case 6: 
 var $shl12=1<<$add8;
 var $neg13=$shl12^-1;
 var $and14=$0&$neg13;
 tempBigInt=$and14;HEAP8[(19744)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19745)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19746)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19747)]=tempBigInt&0xff;
 label=11;break;
 case 7: 
 var $5=$4;
 var $6=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp15=($5>>>0)<($6>>>0);
 if($cmp15){label=10;break;}else{label=8;break;}
 case 8: 
 var $bk=(($4+12)|0);
 var $7=((((HEAPU8[($bk)])|(HEAPU8[((($bk)+(1))|0)]<<8)|(HEAPU8[((($bk)+(2))|0)]<<16)|(HEAPU8[((($bk)+(3))|0)]<<24))|0));
 var $cmp16=($7|0)==($3|0);
 if($cmp16){label=9;break;}else{label=10;break;}
 case 9: 
 tempBigInt=$1;HEAP8[($bk)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk)+(3))|0)]=tempBigInt&0xff;
 tempBigInt=$4;HEAP8[($2)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($2)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($2)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($2)+(3))|0)]=tempBigInt&0xff;
 label=11;break;
 case 10: 
 _abort();
 throw "Reached an unreachable!";
 case 11: 
 var $shl22=$add8<<3;
 var $or23=$shl22|3;
 var $head=(($3+4)|0);
 tempBigInt=$or23;HEAP8[($head)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head)+(3))|0)]=tempBigInt&0xff;
 var $8=$3;
 var $add_ptr_sum106=$shl22|4;
 var $head25=(($8+$add_ptr_sum106)|0);
 var $9=$head25;
 var $10=((((HEAPU8[($9)])|(HEAPU8[((($9)+(1))|0)]<<8)|(HEAPU8[((($9)+(2))|0)]<<16)|(HEAPU8[((($9)+(3))|0)]<<24))|0));
 var $or26=$10|1;
 tempBigInt=$or26;HEAP8[($9)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($9)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($9)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($9)+(3))|0)]=tempBigInt&0xff;
 var $11=$fd9;
 var $mem_0=$11;label=341;break;
 case 12: 
 var $12=((((HEAPU8[(19752)])|(HEAPU8[(19753)]<<8)|(HEAPU8[(19754)]<<16)|(HEAPU8[(19755)]<<24))|0));
 var $cmp29=($cond>>>0)>($12>>>0);
 if($cmp29){label=13;break;}else{var $nb_0=$cond;label=160;break;}
 case 13: 
 var $cmp31=($shr3|0)==0;
 if($cmp31){label=27;break;}else{label=14;break;}
 case 14: 
 var $shl35=$shr3<<$shr;
 var $shl37=2<<$shr;
 var $sub=(((-$shl37))|0);
 var $or40=$shl37|$sub;
 var $and41=$shl35&$or40;
 var $sub42=(((-$and41))|0);
 var $and43=$and41&$sub42;
 var $sub44=((($and43)-(1))|0);
 var $shr45=$sub44>>>12;
 var $and46=$shr45&16;
 var $shr47=$sub44>>>($and46>>>0);
 var $shr48=$shr47>>>5;
 var $and49=$shr48&8;
 var $add50=$and49|$and46;
 var $shr51=$shr47>>>($and49>>>0);
 var $shr52=$shr51>>>2;
 var $and53=$shr52&4;
 var $add54=$add50|$and53;
 var $shr55=$shr51>>>($and53>>>0);
 var $shr56=$shr55>>>1;
 var $and57=$shr56&2;
 var $add58=$add54|$and57;
 var $shr59=$shr55>>>($and57>>>0);
 var $shr60=$shr59>>>1;
 var $and61=$shr60&1;
 var $add62=$add58|$and61;
 var $shr63=$shr59>>>($and61>>>0);
 var $add64=((($add62)+($shr63))|0);
 var $shl65=$add64<<1;
 var $arrayidx66=((19784+($shl65<<2))|0);
 var $13=$arrayidx66;
 var $arrayidx66_sum=((($shl65)+(2))|0);
 var $14=((19784+($arrayidx66_sum<<2))|0);
 var $15=((((HEAPU8[($14)])|(HEAPU8[((($14)+(1))|0)]<<8)|(HEAPU8[((($14)+(2))|0)]<<16)|(HEAPU8[((($14)+(3))|0)]<<24))|0));
 var $fd69=(($15+8)|0);
 var $16=((((HEAPU8[($fd69)])|(HEAPU8[((($fd69)+(1))|0)]<<8)|(HEAPU8[((($fd69)+(2))|0)]<<16)|(HEAPU8[((($fd69)+(3))|0)]<<24))|0));
 var $cmp70=($13|0)==($16|0);
 if($cmp70){label=15;break;}else{label=16;break;}
 case 15: 
 var $shl72=1<<$add64;
 var $neg73=$shl72^-1;
 var $and74=$0&$neg73;
 tempBigInt=$and74;HEAP8[(19744)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19745)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19746)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19747)]=tempBigInt&0xff;
 label=20;break;
 case 16: 
 var $17=$16;
 var $18=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp76=($17>>>0)<($18>>>0);
 if($cmp76){label=19;break;}else{label=17;break;}
 case 17: 
 var $bk78=(($16+12)|0);
 var $19=((((HEAPU8[($bk78)])|(HEAPU8[((($bk78)+(1))|0)]<<8)|(HEAPU8[((($bk78)+(2))|0)]<<16)|(HEAPU8[((($bk78)+(3))|0)]<<24))|0));
 var $cmp79=($19|0)==($15|0);
 if($cmp79){label=18;break;}else{label=19;break;}
 case 18: 
 tempBigInt=$13;HEAP8[($bk78)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk78)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk78)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk78)+(3))|0)]=tempBigInt&0xff;
 tempBigInt=$16;HEAP8[($14)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($14)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($14)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($14)+(3))|0)]=tempBigInt&0xff;
 label=20;break;
 case 19: 
 _abort();
 throw "Reached an unreachable!";
 case 20: 
 var $shl90=$add64<<3;
 var $sub91=((($shl90)-($cond))|0);
 var $or93=$cond|3;
 var $head94=(($15+4)|0);
 tempBigInt=$or93;HEAP8[($head94)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head94)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head94)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head94)+(3))|0)]=tempBigInt&0xff;
 var $20=$15;
 var $add_ptr95=(($20+$cond)|0);
 var $21=$add_ptr95;
 var $or96=$sub91|1;
 var $add_ptr95_sum103=$cond|4;
 var $head97=(($20+$add_ptr95_sum103)|0);
 var $22=$head97;
 tempBigInt=$or96;HEAP8[($22)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($22)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($22)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($22)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr98=(($20+$shl90)|0);
 var $prev_foot=$add_ptr98;
 tempBigInt=$sub91;HEAP8[($prev_foot)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot)+(3))|0)]=tempBigInt&0xff;
 var $23=((((HEAPU8[(19752)])|(HEAPU8[(19753)]<<8)|(HEAPU8[(19754)]<<16)|(HEAPU8[(19755)]<<24))|0));
 var $cmp99=($23|0)==0;
 if($cmp99){label=26;break;}else{label=21;break;}
 case 21: 
 var $24=((((HEAPU8[(19764)])|(HEAPU8[(19765)]<<8)|(HEAPU8[(19766)]<<16)|(HEAPU8[(19767)]<<24))|0));
 var $shr101=$23>>>3;
 var $shl102=$shr101<<1;
 var $arrayidx103=((19784+($shl102<<2))|0);
 var $25=$arrayidx103;
 var $26=((((HEAPU8[(19744)])|(HEAPU8[(19745)]<<8)|(HEAPU8[(19746)]<<16)|(HEAPU8[(19747)]<<24))|0));
 var $shl105=1<<$shr101;
 var $and106=$26&$shl105;
 var $tobool107=($and106|0)==0;
 if($tobool107){label=22;break;}else{label=23;break;}
 case 22: 
 var $or110=$26|$shl105;
 tempBigInt=$or110;HEAP8[(19744)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19745)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19746)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19747)]=tempBigInt&0xff;
 var $arrayidx103_sum_pre=((($shl102)+(2))|0);
 var $_pre=((19784+($arrayidx103_sum_pre<<2))|0);
 var $F104_0=$25;var $_pre_phi=$_pre;label=25;break;
 case 23: 
 var $arrayidx103_sum104=((($shl102)+(2))|0);
 var $27=((19784+($arrayidx103_sum104<<2))|0);
 var $28=((((HEAPU8[($27)])|(HEAPU8[((($27)+(1))|0)]<<8)|(HEAPU8[((($27)+(2))|0)]<<16)|(HEAPU8[((($27)+(3))|0)]<<24))|0));
 var $29=$28;
 var $30=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp113=($29>>>0)<($30>>>0);
 if($cmp113){label=24;break;}else{var $F104_0=$28;var $_pre_phi=$27;label=25;break;}
 case 24: 
 _abort();
 throw "Reached an unreachable!";
 case 25: 
 var $_pre_phi;
 var $F104_0;
 tempBigInt=$24;HEAP8[($_pre_phi)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($_pre_phi)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($_pre_phi)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($_pre_phi)+(3))|0)]=tempBigInt&0xff;
 var $bk122=(($F104_0+12)|0);
 tempBigInt=$24;HEAP8[($bk122)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk122)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk122)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk122)+(3))|0)]=tempBigInt&0xff;
 var $fd123=(($24+8)|0);
 tempBigInt=$F104_0;HEAP8[($fd123)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd123)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd123)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd123)+(3))|0)]=tempBigInt&0xff;
 var $bk124=(($24+12)|0);
 tempBigInt=$25;HEAP8[($bk124)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk124)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk124)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk124)+(3))|0)]=tempBigInt&0xff;
 label=26;break;
 case 26: 
 tempBigInt=$sub91;HEAP8[(19752)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19753)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19754)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19755)]=tempBigInt&0xff;
 tempBigInt=$21;HEAP8[(19764)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19765)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19766)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19767)]=tempBigInt&0xff;
 var $31=$fd69;
 var $mem_0=$31;label=341;break;
 case 27: 
 var $32=((((HEAPU8[(19748)])|(HEAPU8[(19749)]<<8)|(HEAPU8[(19750)]<<16)|(HEAPU8[(19751)]<<24))|0));
 var $cmp128=($32|0)==0;
 if($cmp128){var $nb_0=$cond;label=160;break;}else{label=28;break;}
 case 28: 
 var $sub_i=(((-$32))|0);
 var $and_i=$32&$sub_i;
 var $sub2_i=((($and_i)-(1))|0);
 var $shr_i=$sub2_i>>>12;
 var $and3_i=$shr_i&16;
 var $shr4_i=$sub2_i>>>($and3_i>>>0);
 var $shr5_i=$shr4_i>>>5;
 var $and6_i=$shr5_i&8;
 var $add_i=$and6_i|$and3_i;
 var $shr7_i=$shr4_i>>>($and6_i>>>0);
 var $shr8_i=$shr7_i>>>2;
 var $and9_i=$shr8_i&4;
 var $add10_i=$add_i|$and9_i;
 var $shr11_i=$shr7_i>>>($and9_i>>>0);
 var $shr12_i=$shr11_i>>>1;
 var $and13_i=$shr12_i&2;
 var $add14_i=$add10_i|$and13_i;
 var $shr15_i=$shr11_i>>>($and13_i>>>0);
 var $shr16_i=$shr15_i>>>1;
 var $and17_i=$shr16_i&1;
 var $add18_i=$add14_i|$and17_i;
 var $shr19_i=$shr15_i>>>($and17_i>>>0);
 var $add20_i=((($add18_i)+($shr19_i))|0);
 var $arrayidx_i=((20048+($add20_i<<2))|0);
 var $33=((((HEAPU8[($arrayidx_i)])|(HEAPU8[((($arrayidx_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx_i)+(3))|0)]<<24))|0));
 var $head_i=(($33+4)|0);
 var $34=((((HEAPU8[($head_i)])|(HEAPU8[((($head_i)+(1))|0)]<<8)|(HEAPU8[((($head_i)+(2))|0)]<<16)|(HEAPU8[((($head_i)+(3))|0)]<<24))|0));
 var $and21_i=$34&-8;
 var $sub22_i=((($and21_i)-($cond))|0);
 var $t_0_i=$33;var $v_0_i=$33;var $rsize_0_i=$sub22_i;label=29;break;
 case 29: 
 var $rsize_0_i;
 var $v_0_i;
 var $t_0_i;
 var $arrayidx23_i=(($t_0_i+16)|0);
 var $35=((((HEAPU8[($arrayidx23_i)])|(HEAPU8[((($arrayidx23_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx23_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx23_i)+(3))|0)]<<24))|0));
 var $cmp_i=($35|0)==0;
 if($cmp_i){label=30;break;}else{var $cond7_i=$35;label=31;break;}
 case 30: 
 var $arrayidx27_i=(($t_0_i+20)|0);
 var $36=((((HEAPU8[($arrayidx27_i)])|(HEAPU8[((($arrayidx27_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx27_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx27_i)+(3))|0)]<<24))|0));
 var $cmp28_i=($36|0)==0;
 if($cmp28_i){label=32;break;}else{var $cond7_i=$36;label=31;break;}
 case 31: 
 var $cond7_i;
 var $head29_i=(($cond7_i+4)|0);
 var $37=((((HEAPU8[($head29_i)])|(HEAPU8[((($head29_i)+(1))|0)]<<8)|(HEAPU8[((($head29_i)+(2))|0)]<<16)|(HEAPU8[((($head29_i)+(3))|0)]<<24))|0));
 var $and30_i=$37&-8;
 var $sub31_i=((($and30_i)-($cond))|0);
 var $cmp32_i=($sub31_i>>>0)<($rsize_0_i>>>0);
 var $sub31_rsize_0_i=($cmp32_i?$sub31_i:$rsize_0_i);
 var $cond_v_0_i=($cmp32_i?$cond7_i:$v_0_i);
 var $t_0_i=$cond7_i;var $v_0_i=$cond_v_0_i;var $rsize_0_i=$sub31_rsize_0_i;label=29;break;
 case 32: 
 var $38=$v_0_i;
 var $39=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp33_i=($38>>>0)<($39>>>0);
 if($cmp33_i){label=76;break;}else{label=33;break;}
 case 33: 
 var $add_ptr_i=(($38+$cond)|0);
 var $40=$add_ptr_i;
 var $cmp35_i=($38>>>0)<($add_ptr_i>>>0);
 if($cmp35_i){label=34;break;}else{label=76;break;}
 case 34: 
 var $parent_i=(($v_0_i+24)|0);
 var $41=((((HEAPU8[($parent_i)])|(HEAPU8[((($parent_i)+(1))|0)]<<8)|(HEAPU8[((($parent_i)+(2))|0)]<<16)|(HEAPU8[((($parent_i)+(3))|0)]<<24))|0));
 var $bk_i=(($v_0_i+12)|0);
 var $42=((((HEAPU8[($bk_i)])|(HEAPU8[((($bk_i)+(1))|0)]<<8)|(HEAPU8[((($bk_i)+(2))|0)]<<16)|(HEAPU8[((($bk_i)+(3))|0)]<<24))|0));
 var $cmp40_i=($42|0)==($v_0_i|0);
 if($cmp40_i){label=40;break;}else{label=35;break;}
 case 35: 
 var $fd_i=(($v_0_i+8)|0);
 var $43=((((HEAPU8[($fd_i)])|(HEAPU8[((($fd_i)+(1))|0)]<<8)|(HEAPU8[((($fd_i)+(2))|0)]<<16)|(HEAPU8[((($fd_i)+(3))|0)]<<24))|0));
 var $44=$43;
 var $cmp45_i=($44>>>0)<($39>>>0);
 if($cmp45_i){label=39;break;}else{label=36;break;}
 case 36: 
 var $bk47_i=(($43+12)|0);
 var $45=((((HEAPU8[($bk47_i)])|(HEAPU8[((($bk47_i)+(1))|0)]<<8)|(HEAPU8[((($bk47_i)+(2))|0)]<<16)|(HEAPU8[((($bk47_i)+(3))|0)]<<24))|0));
 var $cmp48_i=($45|0)==($v_0_i|0);
 if($cmp48_i){label=37;break;}else{label=39;break;}
 case 37: 
 var $fd50_i=(($42+8)|0);
 var $46=((((HEAPU8[($fd50_i)])|(HEAPU8[((($fd50_i)+(1))|0)]<<8)|(HEAPU8[((($fd50_i)+(2))|0)]<<16)|(HEAPU8[((($fd50_i)+(3))|0)]<<24))|0));
 var $cmp51_i=($46|0)==($v_0_i|0);
 if($cmp51_i){label=38;break;}else{label=39;break;}
 case 38: 
 tempBigInt=$42;HEAP8[($bk47_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk47_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk47_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk47_i)+(3))|0)]=tempBigInt&0xff;
 tempBigInt=$43;HEAP8[($fd50_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd50_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd50_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd50_i)+(3))|0)]=tempBigInt&0xff;
 var $R_1_i=$42;label=47;break;
 case 39: 
 _abort();
 throw "Reached an unreachable!";
 case 40: 
 var $arrayidx61_i=(($v_0_i+20)|0);
 var $47=((((HEAPU8[($arrayidx61_i)])|(HEAPU8[((($arrayidx61_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx61_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx61_i)+(3))|0)]<<24))|0));
 var $cmp62_i=($47|0)==0;
 if($cmp62_i){label=41;break;}else{var $R_0_i=$47;var $RP_0_i=$arrayidx61_i;label=42;break;}
 case 41: 
 var $arrayidx65_i=(($v_0_i+16)|0);
 var $48=((((HEAPU8[($arrayidx65_i)])|(HEAPU8[((($arrayidx65_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx65_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx65_i)+(3))|0)]<<24))|0));
 var $cmp66_i=($48|0)==0;
 if($cmp66_i){var $R_1_i=0;label=47;break;}else{var $R_0_i=$48;var $RP_0_i=$arrayidx65_i;label=42;break;}
 case 42: 
 var $RP_0_i;
 var $R_0_i;
 var $arrayidx71_i=(($R_0_i+20)|0);
 var $49=((((HEAPU8[($arrayidx71_i)])|(HEAPU8[((($arrayidx71_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx71_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx71_i)+(3))|0)]<<24))|0));
 var $cmp72_i=($49|0)==0;
 if($cmp72_i){label=43;break;}else{var $R_0_i=$49;var $RP_0_i=$arrayidx71_i;label=42;break;}
 case 43: 
 var $arrayidx75_i=(($R_0_i+16)|0);
 var $50=((((HEAPU8[($arrayidx75_i)])|(HEAPU8[((($arrayidx75_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx75_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx75_i)+(3))|0)]<<24))|0));
 var $cmp76_i=($50|0)==0;
 if($cmp76_i){label=44;break;}else{var $R_0_i=$50;var $RP_0_i=$arrayidx75_i;label=42;break;}
 case 44: 
 var $51=$RP_0_i;
 var $cmp81_i=($51>>>0)<($39>>>0);
 if($cmp81_i){label=46;break;}else{label=45;break;}
 case 45: 
 tempBigInt=0;HEAP8[($RP_0_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($RP_0_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($RP_0_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($RP_0_i)+(3))|0)]=tempBigInt&0xff;
 var $R_1_i=$R_0_i;label=47;break;
 case 46: 
 _abort();
 throw "Reached an unreachable!";
 case 47: 
 var $R_1_i;
 var $cmp90_i=($41|0)==0;
 if($cmp90_i){label=67;break;}else{label=48;break;}
 case 48: 
 var $index_i=(($v_0_i+28)|0);
 var $52=((((HEAPU8[($index_i)])|(HEAPU8[((($index_i)+(1))|0)]<<8)|(HEAPU8[((($index_i)+(2))|0)]<<16)|(HEAPU8[((($index_i)+(3))|0)]<<24))|0));
 var $arrayidx94_i=((20048+($52<<2))|0);
 var $53=((((HEAPU8[($arrayidx94_i)])|(HEAPU8[((($arrayidx94_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx94_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx94_i)+(3))|0)]<<24))|0));
 var $cmp95_i=($v_0_i|0)==($53|0);
 if($cmp95_i){label=49;break;}else{label=51;break;}
 case 49: 
 tempBigInt=$R_1_i;HEAP8[($arrayidx94_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx94_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx94_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx94_i)+(3))|0)]=tempBigInt&0xff;
 var $cond5_i=($R_1_i|0)==0;
 if($cond5_i){label=50;break;}else{label=57;break;}
 case 50: 
 var $54=((((HEAPU8[($index_i)])|(HEAPU8[((($index_i)+(1))|0)]<<8)|(HEAPU8[((($index_i)+(2))|0)]<<16)|(HEAPU8[((($index_i)+(3))|0)]<<24))|0));
 var $shl_i=1<<$54;
 var $neg_i=$shl_i^-1;
 var $55=((((HEAPU8[(19748)])|(HEAPU8[(19749)]<<8)|(HEAPU8[(19750)]<<16)|(HEAPU8[(19751)]<<24))|0));
 var $and103_i=$55&$neg_i;
 tempBigInt=$and103_i;HEAP8[(19748)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19749)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19750)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19751)]=tempBigInt&0xff;
 label=67;break;
 case 51: 
 var $56=$41;
 var $57=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp107_i=($56>>>0)<($57>>>0);
 if($cmp107_i){label=55;break;}else{label=52;break;}
 case 52: 
 var $arrayidx113_i=(($41+16)|0);
 var $58=((((HEAPU8[($arrayidx113_i)])|(HEAPU8[((($arrayidx113_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx113_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx113_i)+(3))|0)]<<24))|0));
 var $cmp114_i=($58|0)==($v_0_i|0);
 if($cmp114_i){label=53;break;}else{label=54;break;}
 case 53: 
 tempBigInt=$R_1_i;HEAP8[($arrayidx113_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx113_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx113_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx113_i)+(3))|0)]=tempBigInt&0xff;
 label=56;break;
 case 54: 
 var $arrayidx121_i=(($41+20)|0);
 tempBigInt=$R_1_i;HEAP8[($arrayidx121_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx121_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx121_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx121_i)+(3))|0)]=tempBigInt&0xff;
 label=56;break;
 case 55: 
 _abort();
 throw "Reached an unreachable!";
 case 56: 
 var $cmp126_i=($R_1_i|0)==0;
 if($cmp126_i){label=67;break;}else{label=57;break;}
 case 57: 
 var $59=$R_1_i;
 var $60=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp130_i=($59>>>0)<($60>>>0);
 if($cmp130_i){label=66;break;}else{label=58;break;}
 case 58: 
 var $parent135_i=(($R_1_i+24)|0);
 tempBigInt=$41;HEAP8[($parent135_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent135_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent135_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent135_i)+(3))|0)]=tempBigInt&0xff;
 var $arrayidx137_i=(($v_0_i+16)|0);
 var $61=((((HEAPU8[($arrayidx137_i)])|(HEAPU8[((($arrayidx137_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx137_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx137_i)+(3))|0)]<<24))|0));
 var $cmp138_i=($61|0)==0;
 if($cmp138_i){label=62;break;}else{label=59;break;}
 case 59: 
 var $62=$61;
 var $63=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp142_i=($62>>>0)<($63>>>0);
 if($cmp142_i){label=61;break;}else{label=60;break;}
 case 60: 
 var $arrayidx148_i=(($R_1_i+16)|0);
 tempBigInt=$61;HEAP8[($arrayidx148_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx148_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx148_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx148_i)+(3))|0)]=tempBigInt&0xff;
 var $parent149_i=(($61+24)|0);
 tempBigInt=$R_1_i;HEAP8[($parent149_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent149_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent149_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent149_i)+(3))|0)]=tempBigInt&0xff;
 label=62;break;
 case 61: 
 _abort();
 throw "Reached an unreachable!";
 case 62: 
 var $arrayidx154_i=(($v_0_i+20)|0);
 var $64=((((HEAPU8[($arrayidx154_i)])|(HEAPU8[((($arrayidx154_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx154_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx154_i)+(3))|0)]<<24))|0));
 var $cmp155_i=($64|0)==0;
 if($cmp155_i){label=67;break;}else{label=63;break;}
 case 63: 
 var $65=$64;
 var $66=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp159_i=($65>>>0)<($66>>>0);
 if($cmp159_i){label=65;break;}else{label=64;break;}
 case 64: 
 var $arrayidx165_i=(($R_1_i+20)|0);
 tempBigInt=$64;HEAP8[($arrayidx165_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx165_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx165_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx165_i)+(3))|0)]=tempBigInt&0xff;
 var $parent166_i=(($64+24)|0);
 tempBigInt=$R_1_i;HEAP8[($parent166_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent166_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent166_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent166_i)+(3))|0)]=tempBigInt&0xff;
 label=67;break;
 case 65: 
 _abort();
 throw "Reached an unreachable!";
 case 66: 
 _abort();
 throw "Reached an unreachable!";
 case 67: 
 var $cmp174_i=($rsize_0_i>>>0)<16;
 if($cmp174_i){label=68;break;}else{label=69;break;}
 case 68: 
 var $add177_i=((($rsize_0_i)+($cond))|0);
 var $or178_i=$add177_i|3;
 var $head179_i=(($v_0_i+4)|0);
 tempBigInt=$or178_i;HEAP8[($head179_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head179_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head179_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head179_i)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr181_sum_i=((($add177_i)+(4))|0);
 var $head182_i=(($38+$add_ptr181_sum_i)|0);
 var $67=$head182_i;
 var $68=((((HEAPU8[($67)])|(HEAPU8[((($67)+(1))|0)]<<8)|(HEAPU8[((($67)+(2))|0)]<<16)|(HEAPU8[((($67)+(3))|0)]<<24))|0));
 var $or183_i=$68|1;
 tempBigInt=$or183_i;HEAP8[($67)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($67)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($67)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($67)+(3))|0)]=tempBigInt&0xff;
 label=77;break;
 case 69: 
 var $or186_i=$cond|3;
 var $head187_i=(($v_0_i+4)|0);
 tempBigInt=$or186_i;HEAP8[($head187_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head187_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head187_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head187_i)+(3))|0)]=tempBigInt&0xff;
 var $or188_i=$rsize_0_i|1;
 var $add_ptr_sum_i186=$cond|4;
 var $head189_i=(($38+$add_ptr_sum_i186)|0);
 var $69=$head189_i;
 tempBigInt=$or188_i;HEAP8[($69)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($69)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($69)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($69)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr_sum1_i=((($rsize_0_i)+($cond))|0);
 var $add_ptr190_i=(($38+$add_ptr_sum1_i)|0);
 var $prev_foot_i=$add_ptr190_i;
 tempBigInt=$rsize_0_i;HEAP8[($prev_foot_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot_i)+(3))|0)]=tempBigInt&0xff;
 var $70=((((HEAPU8[(19752)])|(HEAPU8[(19753)]<<8)|(HEAPU8[(19754)]<<16)|(HEAPU8[(19755)]<<24))|0));
 var $cmp191_i=($70|0)==0;
 if($cmp191_i){label=75;break;}else{label=70;break;}
 case 70: 
 var $71=((((HEAPU8[(19764)])|(HEAPU8[(19765)]<<8)|(HEAPU8[(19766)]<<16)|(HEAPU8[(19767)]<<24))|0));
 var $shr194_i=$70>>>3;
 var $shl195_i=$shr194_i<<1;
 var $arrayidx196_i=((19784+($shl195_i<<2))|0);
 var $72=$arrayidx196_i;
 var $73=((((HEAPU8[(19744)])|(HEAPU8[(19745)]<<8)|(HEAPU8[(19746)]<<16)|(HEAPU8[(19747)]<<24))|0));
 var $shl198_i=1<<$shr194_i;
 var $and199_i=$73&$shl198_i;
 var $tobool200_i=($and199_i|0)==0;
 if($tobool200_i){label=71;break;}else{label=72;break;}
 case 71: 
 var $or204_i=$73|$shl198_i;
 tempBigInt=$or204_i;HEAP8[(19744)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19745)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19746)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19747)]=tempBigInt&0xff;
 var $arrayidx196_sum_pre_i=((($shl195_i)+(2))|0);
 var $_pre_i=((19784+($arrayidx196_sum_pre_i<<2))|0);
 var $F197_0_i=$72;var $_pre_phi_i=$_pre_i;label=74;break;
 case 72: 
 var $arrayidx196_sum2_i=((($shl195_i)+(2))|0);
 var $74=((19784+($arrayidx196_sum2_i<<2))|0);
 var $75=((((HEAPU8[($74)])|(HEAPU8[((($74)+(1))|0)]<<8)|(HEAPU8[((($74)+(2))|0)]<<16)|(HEAPU8[((($74)+(3))|0)]<<24))|0));
 var $76=$75;
 var $77=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp208_i=($76>>>0)<($77>>>0);
 if($cmp208_i){label=73;break;}else{var $F197_0_i=$75;var $_pre_phi_i=$74;label=74;break;}
 case 73: 
 _abort();
 throw "Reached an unreachable!";
 case 74: 
 var $_pre_phi_i;
 var $F197_0_i;
 tempBigInt=$71;HEAP8[($_pre_phi_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($_pre_phi_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($_pre_phi_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($_pre_phi_i)+(3))|0)]=tempBigInt&0xff;
 var $bk218_i=(($F197_0_i+12)|0);
 tempBigInt=$71;HEAP8[($bk218_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk218_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk218_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk218_i)+(3))|0)]=tempBigInt&0xff;
 var $fd219_i=(($71+8)|0);
 tempBigInt=$F197_0_i;HEAP8[($fd219_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd219_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd219_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd219_i)+(3))|0)]=tempBigInt&0xff;
 var $bk220_i=(($71+12)|0);
 tempBigInt=$72;HEAP8[($bk220_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk220_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk220_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk220_i)+(3))|0)]=tempBigInt&0xff;
 label=75;break;
 case 75: 
 tempBigInt=$rsize_0_i;HEAP8[(19752)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19753)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19754)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19755)]=tempBigInt&0xff;
 tempBigInt=$40;HEAP8[(19764)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19765)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19766)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19767)]=tempBigInt&0xff;
 label=77;break;
 case 76: 
 _abort();
 throw "Reached an unreachable!";
 case 77: 
 var $add_ptr225_i=(($v_0_i+8)|0);
 var $78=$add_ptr225_i;
 var $mem_0=$78;label=341;break;
 case 78: 
 var $cmp138=($bytes>>>0)>4294967231;
 if($cmp138){var $nb_0=-1;label=160;break;}else{label=79;break;}
 case 79: 
 var $add143=((($bytes)+(11))|0);
 var $and144=$add143&-8;
 var $79=((((HEAPU8[(19748)])|(HEAPU8[(19749)]<<8)|(HEAPU8[(19750)]<<16)|(HEAPU8[(19751)]<<24))|0));
 var $cmp145=($79|0)==0;
 if($cmp145){var $nb_0=$and144;label=160;break;}else{label=80;break;}
 case 80: 
 var $sub_i107=(((-$and144))|0);
 var $shr_i108=$add143>>>8;
 var $cmp_i109=($shr_i108|0)==0;
 if($cmp_i109){var $idx_0_i=0;label=83;break;}else{label=81;break;}
 case 81: 
 var $cmp1_i=($and144>>>0)>16777215;
 if($cmp1_i){var $idx_0_i=31;label=83;break;}else{label=82;break;}
 case 82: 
 var $sub4_i=((($shr_i108)+(1048320))|0);
 var $shr5_i111=$sub4_i>>>16;
 var $and_i112=$shr5_i111&8;
 var $shl_i113=$shr_i108<<$and_i112;
 var $sub6_i=((($shl_i113)+(520192))|0);
 var $shr7_i114=$sub6_i>>>16;
 var $and8_i=$shr7_i114&4;
 var $add_i115=$and8_i|$and_i112;
 var $shl9_i=$shl_i113<<$and8_i;
 var $sub10_i=((($shl9_i)+(245760))|0);
 var $shr11_i116=$sub10_i>>>16;
 var $and12_i=$shr11_i116&2;
 var $add13_i=$add_i115|$and12_i;
 var $sub14_i=(((14)-($add13_i))|0);
 var $shl15_i=$shl9_i<<$and12_i;
 var $shr16_i117=$shl15_i>>>15;
 var $add17_i=((($sub14_i)+($shr16_i117))|0);
 var $shl18_i=$add17_i<<1;
 var $add19_i=((($add17_i)+(7))|0);
 var $shr20_i=$and144>>>($add19_i>>>0);
 var $and21_i118=$shr20_i&1;
 var $add22_i=$and21_i118|$shl18_i;
 var $idx_0_i=$add22_i;label=83;break;
 case 83: 
 var $idx_0_i;
 var $arrayidx_i119=((20048+($idx_0_i<<2))|0);
 var $80=((((HEAPU8[($arrayidx_i119)])|(HEAPU8[((($arrayidx_i119)+(1))|0)]<<8)|(HEAPU8[((($arrayidx_i119)+(2))|0)]<<16)|(HEAPU8[((($arrayidx_i119)+(3))|0)]<<24))|0));
 var $cmp24_i=($80|0)==0;
 if($cmp24_i){var $v_2_i=0;var $rsize_2_i=$sub_i107;var $t_1_i=0;label=90;break;}else{label=84;break;}
 case 84: 
 var $cmp26_i=($idx_0_i|0)==31;
 if($cmp26_i){var $cond_i=0;label=86;break;}else{label=85;break;}
 case 85: 
 var $shr27_i=$idx_0_i>>>1;
 var $sub30_i=(((25)-($shr27_i))|0);
 var $cond_i=$sub30_i;label=86;break;
 case 86: 
 var $cond_i;
 var $shl31_i=$and144<<$cond_i;
 var $v_0_i123=0;var $rsize_0_i122=$sub_i107;var $t_0_i121=$80;var $sizebits_0_i=$shl31_i;var $rst_0_i=0;label=87;break;
 case 87: 
 var $rst_0_i;
 var $sizebits_0_i;
 var $t_0_i121;
 var $rsize_0_i122;
 var $v_0_i123;
 var $head_i124=(($t_0_i121+4)|0);
 var $81=((((HEAPU8[($head_i124)])|(HEAPU8[((($head_i124)+(1))|0)]<<8)|(HEAPU8[((($head_i124)+(2))|0)]<<16)|(HEAPU8[((($head_i124)+(3))|0)]<<24))|0));
 var $and32_i=$81&-8;
 var $sub33_i=((($and32_i)-($and144))|0);
 var $cmp34_i=($sub33_i>>>0)<($rsize_0_i122>>>0);
 if($cmp34_i){label=88;break;}else{var $v_1_i=$v_0_i123;var $rsize_1_i=$rsize_0_i122;label=89;break;}
 case 88: 
 var $cmp36_i=($and32_i|0)==($and144|0);
 if($cmp36_i){var $v_2_i=$t_0_i121;var $rsize_2_i=$sub33_i;var $t_1_i=$t_0_i121;label=90;break;}else{var $v_1_i=$t_0_i121;var $rsize_1_i=$sub33_i;label=89;break;}
 case 89: 
 var $rsize_1_i;
 var $v_1_i;
 var $arrayidx40_i=(($t_0_i121+20)|0);
 var $82=((((HEAPU8[($arrayidx40_i)])|(HEAPU8[((($arrayidx40_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx40_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx40_i)+(3))|0)]<<24))|0));
 var $shr41_i=$sizebits_0_i>>>31;
 var $arrayidx44_i=(($t_0_i121+16+($shr41_i<<2))|0);
 var $83=((((HEAPU8[($arrayidx44_i)])|(HEAPU8[((($arrayidx44_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx44_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx44_i)+(3))|0)]<<24))|0));
 var $cmp45_i125=($82|0)==0;
 var $cmp46_i=($82|0)==($83|0);
 var $or_cond18_i=$cmp45_i125|$cmp46_i;
 var $rst_1_i=($or_cond18_i?$rst_0_i:$82);
 var $cmp49_i=($83|0)==0;
 var $shl52_i=$sizebits_0_i<<1;
 if($cmp49_i){var $v_2_i=$v_1_i;var $rsize_2_i=$rsize_1_i;var $t_1_i=$rst_1_i;label=90;break;}else{var $v_0_i123=$v_1_i;var $rsize_0_i122=$rsize_1_i;var $t_0_i121=$83;var $sizebits_0_i=$shl52_i;var $rst_0_i=$rst_1_i;label=87;break;}
 case 90: 
 var $t_1_i;
 var $rsize_2_i;
 var $v_2_i;
 var $cmp54_i=($t_1_i|0)==0;
 var $cmp56_i=($v_2_i|0)==0;
 var $or_cond_i=$cmp54_i&$cmp56_i;
 if($or_cond_i){label=91;break;}else{var $t_2_ph_i=$t_1_i;label=93;break;}
 case 91: 
 var $shl59_i=2<<$idx_0_i;
 var $sub62_i=(((-$shl59_i))|0);
 var $or_i=$shl59_i|$sub62_i;
 var $and63_i=$79&$or_i;
 var $cmp64_i=($and63_i|0)==0;
 if($cmp64_i){var $nb_0=$and144;label=160;break;}else{label=92;break;}
 case 92: 
 var $sub66_i=(((-$and63_i))|0);
 var $and67_i=$and63_i&$sub66_i;
 var $sub69_i=((($and67_i)-(1))|0);
 var $shr71_i=$sub69_i>>>12;
 var $and72_i=$shr71_i&16;
 var $shr74_i=$sub69_i>>>($and72_i>>>0);
 var $shr75_i=$shr74_i>>>5;
 var $and76_i=$shr75_i&8;
 var $add77_i=$and76_i|$and72_i;
 var $shr78_i=$shr74_i>>>($and76_i>>>0);
 var $shr79_i=$shr78_i>>>2;
 var $and80_i=$shr79_i&4;
 var $add81_i=$add77_i|$and80_i;
 var $shr82_i=$shr78_i>>>($and80_i>>>0);
 var $shr83_i=$shr82_i>>>1;
 var $and84_i=$shr83_i&2;
 var $add85_i=$add81_i|$and84_i;
 var $shr86_i=$shr82_i>>>($and84_i>>>0);
 var $shr87_i=$shr86_i>>>1;
 var $and88_i=$shr87_i&1;
 var $add89_i=$add85_i|$and88_i;
 var $shr90_i=$shr86_i>>>($and88_i>>>0);
 var $add91_i=((($add89_i)+($shr90_i))|0);
 var $arrayidx93_i=((20048+($add91_i<<2))|0);
 var $84=((((HEAPU8[($arrayidx93_i)])|(HEAPU8[((($arrayidx93_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx93_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx93_i)+(3))|0)]<<24))|0));
 var $t_2_ph_i=$84;label=93;break;
 case 93: 
 var $t_2_ph_i;
 var $cmp9629_i=($t_2_ph_i|0)==0;
 if($cmp9629_i){var $rsize_3_lcssa_i=$rsize_2_i;var $v_3_lcssa_i=$v_2_i;label=96;break;}else{var $t_230_i=$t_2_ph_i;var $rsize_331_i=$rsize_2_i;var $v_332_i=$v_2_i;label=94;break;}
 case 94: 
 var $v_332_i;
 var $rsize_331_i;
 var $t_230_i;
 var $head98_i=(($t_230_i+4)|0);
 var $85=((((HEAPU8[($head98_i)])|(HEAPU8[((($head98_i)+(1))|0)]<<8)|(HEAPU8[((($head98_i)+(2))|0)]<<16)|(HEAPU8[((($head98_i)+(3))|0)]<<24))|0));
 var $and99_i=$85&-8;
 var $sub100_i=((($and99_i)-($and144))|0);
 var $cmp101_i=($sub100_i>>>0)<($rsize_331_i>>>0);
 var $sub100_rsize_3_i=($cmp101_i?$sub100_i:$rsize_331_i);
 var $t_2_v_3_i=($cmp101_i?$t_230_i:$v_332_i);
 var $arrayidx105_i=(($t_230_i+16)|0);
 var $86=((((HEAPU8[($arrayidx105_i)])|(HEAPU8[((($arrayidx105_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx105_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx105_i)+(3))|0)]<<24))|0));
 var $cmp106_i=($86|0)==0;
 if($cmp106_i){label=95;break;}else{var $t_230_i=$86;var $rsize_331_i=$sub100_rsize_3_i;var $v_332_i=$t_2_v_3_i;label=94;break;}
 case 95: 
 var $arrayidx112_i=(($t_230_i+20)|0);
 var $87=((((HEAPU8[($arrayidx112_i)])|(HEAPU8[((($arrayidx112_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx112_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx112_i)+(3))|0)]<<24))|0));
 var $cmp96_i=($87|0)==0;
 if($cmp96_i){var $rsize_3_lcssa_i=$sub100_rsize_3_i;var $v_3_lcssa_i=$t_2_v_3_i;label=96;break;}else{var $t_230_i=$87;var $rsize_331_i=$sub100_rsize_3_i;var $v_332_i=$t_2_v_3_i;label=94;break;}
 case 96: 
 var $v_3_lcssa_i;
 var $rsize_3_lcssa_i;
 var $cmp115_i=($v_3_lcssa_i|0)==0;
 if($cmp115_i){var $nb_0=$and144;label=160;break;}else{label=97;break;}
 case 97: 
 var $88=((((HEAPU8[(19752)])|(HEAPU8[(19753)]<<8)|(HEAPU8[(19754)]<<16)|(HEAPU8[(19755)]<<24))|0));
 var $sub117_i=((($88)-($and144))|0);
 var $cmp118_i=($rsize_3_lcssa_i>>>0)<($sub117_i>>>0);
 if($cmp118_i){label=98;break;}else{var $nb_0=$and144;label=160;break;}
 case 98: 
 var $89=$v_3_lcssa_i;
 var $90=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp120_i=($89>>>0)<($90>>>0);
 if($cmp120_i){label=158;break;}else{label=99;break;}
 case 99: 
 var $add_ptr_i128=(($89+$and144)|0);
 var $91=$add_ptr_i128;
 var $cmp122_i=($89>>>0)<($add_ptr_i128>>>0);
 if($cmp122_i){label=100;break;}else{label=158;break;}
 case 100: 
 var $parent_i129=(($v_3_lcssa_i+24)|0);
 var $92=((((HEAPU8[($parent_i129)])|(HEAPU8[((($parent_i129)+(1))|0)]<<8)|(HEAPU8[((($parent_i129)+(2))|0)]<<16)|(HEAPU8[((($parent_i129)+(3))|0)]<<24))|0));
 var $bk_i130=(($v_3_lcssa_i+12)|0);
 var $93=((((HEAPU8[($bk_i130)])|(HEAPU8[((($bk_i130)+(1))|0)]<<8)|(HEAPU8[((($bk_i130)+(2))|0)]<<16)|(HEAPU8[((($bk_i130)+(3))|0)]<<24))|0));
 var $cmp127_i=($93|0)==($v_3_lcssa_i|0);
 if($cmp127_i){label=106;break;}else{label=101;break;}
 case 101: 
 var $fd_i131=(($v_3_lcssa_i+8)|0);
 var $94=((((HEAPU8[($fd_i131)])|(HEAPU8[((($fd_i131)+(1))|0)]<<8)|(HEAPU8[((($fd_i131)+(2))|0)]<<16)|(HEAPU8[((($fd_i131)+(3))|0)]<<24))|0));
 var $95=$94;
 var $cmp132_i=($95>>>0)<($90>>>0);
 if($cmp132_i){label=105;break;}else{label=102;break;}
 case 102: 
 var $bk135_i=(($94+12)|0);
 var $96=((((HEAPU8[($bk135_i)])|(HEAPU8[((($bk135_i)+(1))|0)]<<8)|(HEAPU8[((($bk135_i)+(2))|0)]<<16)|(HEAPU8[((($bk135_i)+(3))|0)]<<24))|0));
 var $cmp136_i=($96|0)==($v_3_lcssa_i|0);
 if($cmp136_i){label=103;break;}else{label=105;break;}
 case 103: 
 var $fd138_i=(($93+8)|0);
 var $97=((((HEAPU8[($fd138_i)])|(HEAPU8[((($fd138_i)+(1))|0)]<<8)|(HEAPU8[((($fd138_i)+(2))|0)]<<16)|(HEAPU8[((($fd138_i)+(3))|0)]<<24))|0));
 var $cmp139_i=($97|0)==($v_3_lcssa_i|0);
 if($cmp139_i){label=104;break;}else{label=105;break;}
 case 104: 
 tempBigInt=$93;HEAP8[($bk135_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk135_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk135_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk135_i)+(3))|0)]=tempBigInt&0xff;
 tempBigInt=$94;HEAP8[($fd138_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd138_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd138_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd138_i)+(3))|0)]=tempBigInt&0xff;
 var $R_1_i139=$93;label=113;break;
 case 105: 
 _abort();
 throw "Reached an unreachable!";
 case 106: 
 var $arrayidx150_i=(($v_3_lcssa_i+20)|0);
 var $98=((((HEAPU8[($arrayidx150_i)])|(HEAPU8[((($arrayidx150_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx150_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx150_i)+(3))|0)]<<24))|0));
 var $cmp151_i=($98|0)==0;
 if($cmp151_i){label=107;break;}else{var $R_0_i137=$98;var $RP_0_i136=$arrayidx150_i;label=108;break;}
 case 107: 
 var $arrayidx154_i133=(($v_3_lcssa_i+16)|0);
 var $99=((((HEAPU8[($arrayidx154_i133)])|(HEAPU8[((($arrayidx154_i133)+(1))|0)]<<8)|(HEAPU8[((($arrayidx154_i133)+(2))|0)]<<16)|(HEAPU8[((($arrayidx154_i133)+(3))|0)]<<24))|0));
 var $cmp155_i134=($99|0)==0;
 if($cmp155_i134){var $R_1_i139=0;label=113;break;}else{var $R_0_i137=$99;var $RP_0_i136=$arrayidx154_i133;label=108;break;}
 case 108: 
 var $RP_0_i136;
 var $R_0_i137;
 var $arrayidx160_i=(($R_0_i137+20)|0);
 var $100=((((HEAPU8[($arrayidx160_i)])|(HEAPU8[((($arrayidx160_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx160_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx160_i)+(3))|0)]<<24))|0));
 var $cmp161_i=($100|0)==0;
 if($cmp161_i){label=109;break;}else{var $R_0_i137=$100;var $RP_0_i136=$arrayidx160_i;label=108;break;}
 case 109: 
 var $arrayidx164_i=(($R_0_i137+16)|0);
 var $101=((((HEAPU8[($arrayidx164_i)])|(HEAPU8[((($arrayidx164_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx164_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx164_i)+(3))|0)]<<24))|0));
 var $cmp165_i=($101|0)==0;
 if($cmp165_i){label=110;break;}else{var $R_0_i137=$101;var $RP_0_i136=$arrayidx164_i;label=108;break;}
 case 110: 
 var $102=$RP_0_i136;
 var $cmp170_i=($102>>>0)<($90>>>0);
 if($cmp170_i){label=112;break;}else{label=111;break;}
 case 111: 
 tempBigInt=0;HEAP8[($RP_0_i136)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($RP_0_i136)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($RP_0_i136)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($RP_0_i136)+(3))|0)]=tempBigInt&0xff;
 var $R_1_i139=$R_0_i137;label=113;break;
 case 112: 
 _abort();
 throw "Reached an unreachable!";
 case 113: 
 var $R_1_i139;
 var $cmp179_i=($92|0)==0;
 if($cmp179_i){label=133;break;}else{label=114;break;}
 case 114: 
 var $index_i140=(($v_3_lcssa_i+28)|0);
 var $103=((((HEAPU8[($index_i140)])|(HEAPU8[((($index_i140)+(1))|0)]<<8)|(HEAPU8[((($index_i140)+(2))|0)]<<16)|(HEAPU8[((($index_i140)+(3))|0)]<<24))|0));
 var $arrayidx183_i=((20048+($103<<2))|0);
 var $104=((((HEAPU8[($arrayidx183_i)])|(HEAPU8[((($arrayidx183_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx183_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx183_i)+(3))|0)]<<24))|0));
 var $cmp184_i=($v_3_lcssa_i|0)==($104|0);
 if($cmp184_i){label=115;break;}else{label=117;break;}
 case 115: 
 tempBigInt=$R_1_i139;HEAP8[($arrayidx183_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx183_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx183_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx183_i)+(3))|0)]=tempBigInt&0xff;
 var $cond20_i=($R_1_i139|0)==0;
 if($cond20_i){label=116;break;}else{label=123;break;}
 case 116: 
 var $105=((((HEAPU8[($index_i140)])|(HEAPU8[((($index_i140)+(1))|0)]<<8)|(HEAPU8[((($index_i140)+(2))|0)]<<16)|(HEAPU8[((($index_i140)+(3))|0)]<<24))|0));
 var $shl191_i=1<<$105;
 var $neg_i141=$shl191_i^-1;
 var $106=((((HEAPU8[(19748)])|(HEAPU8[(19749)]<<8)|(HEAPU8[(19750)]<<16)|(HEAPU8[(19751)]<<24))|0));
 var $and193_i=$106&$neg_i141;
 tempBigInt=$and193_i;HEAP8[(19748)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19749)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19750)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19751)]=tempBigInt&0xff;
 label=133;break;
 case 117: 
 var $107=$92;
 var $108=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp197_i=($107>>>0)<($108>>>0);
 if($cmp197_i){label=121;break;}else{label=118;break;}
 case 118: 
 var $arrayidx203_i=(($92+16)|0);
 var $109=((((HEAPU8[($arrayidx203_i)])|(HEAPU8[((($arrayidx203_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx203_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx203_i)+(3))|0)]<<24))|0));
 var $cmp204_i=($109|0)==($v_3_lcssa_i|0);
 if($cmp204_i){label=119;break;}else{label=120;break;}
 case 119: 
 tempBigInt=$R_1_i139;HEAP8[($arrayidx203_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx203_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx203_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx203_i)+(3))|0)]=tempBigInt&0xff;
 label=122;break;
 case 120: 
 var $arrayidx211_i=(($92+20)|0);
 tempBigInt=$R_1_i139;HEAP8[($arrayidx211_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx211_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx211_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx211_i)+(3))|0)]=tempBigInt&0xff;
 label=122;break;
 case 121: 
 _abort();
 throw "Reached an unreachable!";
 case 122: 
 var $cmp216_i=($R_1_i139|0)==0;
 if($cmp216_i){label=133;break;}else{label=123;break;}
 case 123: 
 var $110=$R_1_i139;
 var $111=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp220_i=($110>>>0)<($111>>>0);
 if($cmp220_i){label=132;break;}else{label=124;break;}
 case 124: 
 var $parent225_i=(($R_1_i139+24)|0);
 tempBigInt=$92;HEAP8[($parent225_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent225_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent225_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent225_i)+(3))|0)]=tempBigInt&0xff;
 var $arrayidx227_i=(($v_3_lcssa_i+16)|0);
 var $112=((((HEAPU8[($arrayidx227_i)])|(HEAPU8[((($arrayidx227_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx227_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx227_i)+(3))|0)]<<24))|0));
 var $cmp228_i=($112|0)==0;
 if($cmp228_i){label=128;break;}else{label=125;break;}
 case 125: 
 var $113=$112;
 var $114=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp232_i=($113>>>0)<($114>>>0);
 if($cmp232_i){label=127;break;}else{label=126;break;}
 case 126: 
 var $arrayidx238_i=(($R_1_i139+16)|0);
 tempBigInt=$112;HEAP8[($arrayidx238_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx238_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx238_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx238_i)+(3))|0)]=tempBigInt&0xff;
 var $parent239_i=(($112+24)|0);
 tempBigInt=$R_1_i139;HEAP8[($parent239_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent239_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent239_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent239_i)+(3))|0)]=tempBigInt&0xff;
 label=128;break;
 case 127: 
 _abort();
 throw "Reached an unreachable!";
 case 128: 
 var $arrayidx244_i=(($v_3_lcssa_i+20)|0);
 var $115=((((HEAPU8[($arrayidx244_i)])|(HEAPU8[((($arrayidx244_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx244_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx244_i)+(3))|0)]<<24))|0));
 var $cmp245_i=($115|0)==0;
 if($cmp245_i){label=133;break;}else{label=129;break;}
 case 129: 
 var $116=$115;
 var $117=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp249_i=($116>>>0)<($117>>>0);
 if($cmp249_i){label=131;break;}else{label=130;break;}
 case 130: 
 var $arrayidx255_i=(($R_1_i139+20)|0);
 tempBigInt=$115;HEAP8[($arrayidx255_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx255_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx255_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx255_i)+(3))|0)]=tempBigInt&0xff;
 var $parent256_i=(($115+24)|0);
 tempBigInt=$R_1_i139;HEAP8[($parent256_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent256_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent256_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent256_i)+(3))|0)]=tempBigInt&0xff;
 label=133;break;
 case 131: 
 _abort();
 throw "Reached an unreachable!";
 case 132: 
 _abort();
 throw "Reached an unreachable!";
 case 133: 
 var $cmp264_i=($rsize_3_lcssa_i>>>0)<16;
 if($cmp264_i){label=134;break;}else{label=135;break;}
 case 134: 
 var $add267_i=((($rsize_3_lcssa_i)+($and144))|0);
 var $or269_i=$add267_i|3;
 var $head270_i=(($v_3_lcssa_i+4)|0);
 tempBigInt=$or269_i;HEAP8[($head270_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head270_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head270_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head270_i)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr272_sum_i=((($add267_i)+(4))|0);
 var $head273_i=(($89+$add_ptr272_sum_i)|0);
 var $118=$head273_i;
 var $119=((((HEAPU8[($118)])|(HEAPU8[((($118)+(1))|0)]<<8)|(HEAPU8[((($118)+(2))|0)]<<16)|(HEAPU8[((($118)+(3))|0)]<<24))|0));
 var $or274_i=$119|1;
 tempBigInt=$or274_i;HEAP8[($118)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($118)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($118)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($118)+(3))|0)]=tempBigInt&0xff;
 label=159;break;
 case 135: 
 var $or277_i=$and144|3;
 var $head278_i=(($v_3_lcssa_i+4)|0);
 tempBigInt=$or277_i;HEAP8[($head278_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head278_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head278_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head278_i)+(3))|0)]=tempBigInt&0xff;
 var $or279_i=$rsize_3_lcssa_i|1;
 var $add_ptr_sum_i143185=$and144|4;
 var $head280_i=(($89+$add_ptr_sum_i143185)|0);
 var $120=$head280_i;
 tempBigInt=$or279_i;HEAP8[($120)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($120)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($120)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($120)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr_sum1_i144=((($rsize_3_lcssa_i)+($and144))|0);
 var $add_ptr281_i=(($89+$add_ptr_sum1_i144)|0);
 var $prev_foot_i145=$add_ptr281_i;
 tempBigInt=$rsize_3_lcssa_i;HEAP8[($prev_foot_i145)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot_i145)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot_i145)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot_i145)+(3))|0)]=tempBigInt&0xff;
 var $shr282_i=$rsize_3_lcssa_i>>>3;
 var $cmp283_i=($rsize_3_lcssa_i>>>0)<256;
 if($cmp283_i){label=136;break;}else{label=141;break;}
 case 136: 
 var $shl287_i=$shr282_i<<1;
 var $arrayidx288_i=((19784+($shl287_i<<2))|0);
 var $121=$arrayidx288_i;
 var $122=((((HEAPU8[(19744)])|(HEAPU8[(19745)]<<8)|(HEAPU8[(19746)]<<16)|(HEAPU8[(19747)]<<24))|0));
 var $shl290_i=1<<$shr282_i;
 var $and291_i=$122&$shl290_i;
 var $tobool292_i=($and291_i|0)==0;
 if($tobool292_i){label=137;break;}else{label=138;break;}
 case 137: 
 var $or296_i=$122|$shl290_i;
 tempBigInt=$or296_i;HEAP8[(19744)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19745)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19746)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19747)]=tempBigInt&0xff;
 var $arrayidx288_sum_pre_i=((($shl287_i)+(2))|0);
 var $_pre_i146=((19784+($arrayidx288_sum_pre_i<<2))|0);
 var $F289_0_i=$121;var $_pre_phi_i147=$_pre_i146;label=140;break;
 case 138: 
 var $arrayidx288_sum16_i=((($shl287_i)+(2))|0);
 var $123=((19784+($arrayidx288_sum16_i<<2))|0);
 var $124=((((HEAPU8[($123)])|(HEAPU8[((($123)+(1))|0)]<<8)|(HEAPU8[((($123)+(2))|0)]<<16)|(HEAPU8[((($123)+(3))|0)]<<24))|0));
 var $125=$124;
 var $126=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp300_i=($125>>>0)<($126>>>0);
 if($cmp300_i){label=139;break;}else{var $F289_0_i=$124;var $_pre_phi_i147=$123;label=140;break;}
 case 139: 
 _abort();
 throw "Reached an unreachable!";
 case 140: 
 var $_pre_phi_i147;
 var $F289_0_i;
 tempBigInt=$91;HEAP8[($_pre_phi_i147)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($_pre_phi_i147)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($_pre_phi_i147)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($_pre_phi_i147)+(3))|0)]=tempBigInt&0xff;
 var $bk310_i=(($F289_0_i+12)|0);
 tempBigInt=$91;HEAP8[($bk310_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk310_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk310_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk310_i)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr_sum14_i=((($and144)+(8))|0);
 var $fd311_i=(($89+$add_ptr_sum14_i)|0);
 var $127=$fd311_i;
 tempBigInt=$F289_0_i;HEAP8[($127)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($127)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($127)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($127)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr_sum15_i=((($and144)+(12))|0);
 var $bk312_i=(($89+$add_ptr_sum15_i)|0);
 var $128=$bk312_i;
 tempBigInt=$121;HEAP8[($128)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($128)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($128)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($128)+(3))|0)]=tempBigInt&0xff;
 label=159;break;
 case 141: 
 var $129=$add_ptr_i128;
 var $shr317_i=$rsize_3_lcssa_i>>>8;
 var $cmp318_i=($shr317_i|0)==0;
 if($cmp318_i){var $I315_0_i=0;label=144;break;}else{label=142;break;}
 case 142: 
 var $cmp322_i=($rsize_3_lcssa_i>>>0)>16777215;
 if($cmp322_i){var $I315_0_i=31;label=144;break;}else{label=143;break;}
 case 143: 
 var $sub328_i=((($shr317_i)+(1048320))|0);
 var $shr329_i=$sub328_i>>>16;
 var $and330_i=$shr329_i&8;
 var $shl332_i=$shr317_i<<$and330_i;
 var $sub333_i=((($shl332_i)+(520192))|0);
 var $shr334_i=$sub333_i>>>16;
 var $and335_i=$shr334_i&4;
 var $add336_i=$and335_i|$and330_i;
 var $shl337_i=$shl332_i<<$and335_i;
 var $sub338_i=((($shl337_i)+(245760))|0);
 var $shr339_i=$sub338_i>>>16;
 var $and340_i=$shr339_i&2;
 var $add341_i=$add336_i|$and340_i;
 var $sub342_i=(((14)-($add341_i))|0);
 var $shl343_i=$shl337_i<<$and340_i;
 var $shr344_i=$shl343_i>>>15;
 var $add345_i=((($sub342_i)+($shr344_i))|0);
 var $shl346_i=$add345_i<<1;
 var $add347_i=((($add345_i)+(7))|0);
 var $shr348_i=$rsize_3_lcssa_i>>>($add347_i>>>0);
 var $and349_i=$shr348_i&1;
 var $add350_i=$and349_i|$shl346_i;
 var $I315_0_i=$add350_i;label=144;break;
 case 144: 
 var $I315_0_i;
 var $arrayidx354_i=((20048+($I315_0_i<<2))|0);
 var $add_ptr_sum2_i=((($and144)+(28))|0);
 var $index355_i=(($89+$add_ptr_sum2_i)|0);
 var $130=$index355_i;
 tempBigInt=$I315_0_i;HEAP8[($130)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($130)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($130)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($130)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr_sum3_i=((($and144)+(16))|0);
 var $child356_i=(($89+$add_ptr_sum3_i)|0);
 var $child356_sum_i=((($and144)+(20))|0);
 var $arrayidx357_i=(($89+$child356_sum_i)|0);
 var $131=$arrayidx357_i;
 tempBigInt=0;HEAP8[($131)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($131)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($131)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($131)+(3))|0)]=tempBigInt&0xff;
 var $arrayidx359_i=$child356_i;
 tempBigInt=0;HEAP8[($arrayidx359_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx359_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx359_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx359_i)+(3))|0)]=tempBigInt&0xff;
 var $132=((((HEAPU8[(19748)])|(HEAPU8[(19749)]<<8)|(HEAPU8[(19750)]<<16)|(HEAPU8[(19751)]<<24))|0));
 var $shl361_i=1<<$I315_0_i;
 var $and362_i=$132&$shl361_i;
 var $tobool363_i=($and362_i|0)==0;
 if($tobool363_i){label=145;break;}else{label=146;break;}
 case 145: 
 var $or367_i=$132|$shl361_i;
 tempBigInt=$or367_i;HEAP8[(19748)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19749)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19750)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19751)]=tempBigInt&0xff;
 tempBigInt=$129;HEAP8[($arrayidx354_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx354_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx354_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx354_i)+(3))|0)]=tempBigInt&0xff;
 var $133=$arrayidx354_i;
 var $add_ptr_sum4_i=((($and144)+(24))|0);
 var $parent368_i=(($89+$add_ptr_sum4_i)|0);
 var $134=$parent368_i;
 tempBigInt=$133;HEAP8[($134)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($134)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($134)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($134)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr_sum5_i=((($and144)+(12))|0);
 var $bk369_i=(($89+$add_ptr_sum5_i)|0);
 var $135=$bk369_i;
 tempBigInt=$129;HEAP8[($135)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($135)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($135)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($135)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr_sum6_i=((($and144)+(8))|0);
 var $fd370_i=(($89+$add_ptr_sum6_i)|0);
 var $136=$fd370_i;
 tempBigInt=$129;HEAP8[($136)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($136)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($136)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($136)+(3))|0)]=tempBigInt&0xff;
 label=159;break;
 case 146: 
 var $137=((((HEAPU8[($arrayidx354_i)])|(HEAPU8[((($arrayidx354_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx354_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx354_i)+(3))|0)]<<24))|0));
 var $cmp373_i=($I315_0_i|0)==31;
 if($cmp373_i){var $cond382_i=0;label=148;break;}else{label=147;break;}
 case 147: 
 var $shr377_i=$I315_0_i>>>1;
 var $sub380_i=(((25)-($shr377_i))|0);
 var $cond382_i=$sub380_i;label=148;break;
 case 148: 
 var $cond382_i;
 var $head38523_i=(($137+4)|0);
 var $138=((((HEAPU8[($head38523_i)])|(HEAPU8[((($head38523_i)+(1))|0)]<<8)|(HEAPU8[((($head38523_i)+(2))|0)]<<16)|(HEAPU8[((($head38523_i)+(3))|0)]<<24))|0));
 var $and38624_i=$138&-8;
 var $cmp38725_i=($and38624_i|0)==($rsize_3_lcssa_i|0);
 if($cmp38725_i){var $T_0_lcssa_i=$137;label=155;break;}else{label=149;break;}
 case 149: 
 var $shl383_i=$rsize_3_lcssa_i<<$cond382_i;
 var $T_026_i=$137;var $K372_027_i=$shl383_i;label=151;break;
 case 150: 
 var $shl394_i=$K372_027_i<<1;
 var $head385_i=(($140+4)|0);
 var $139=((((HEAPU8[($head385_i)])|(HEAPU8[((($head385_i)+(1))|0)]<<8)|(HEAPU8[((($head385_i)+(2))|0)]<<16)|(HEAPU8[((($head385_i)+(3))|0)]<<24))|0));
 var $and386_i=$139&-8;
 var $cmp387_i=($and386_i|0)==($rsize_3_lcssa_i|0);
 if($cmp387_i){var $T_0_lcssa_i=$140;label=155;break;}else{var $T_026_i=$140;var $K372_027_i=$shl394_i;label=151;break;}
 case 151: 
 var $K372_027_i;
 var $T_026_i;
 var $shr390_i=$K372_027_i>>>31;
 var $arrayidx393_i=(($T_026_i+16+($shr390_i<<2))|0);
 var $140=((((HEAPU8[($arrayidx393_i)])|(HEAPU8[((($arrayidx393_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx393_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx393_i)+(3))|0)]<<24))|0));
 var $cmp395_i=($140|0)==0;
 if($cmp395_i){label=152;break;}else{label=150;break;}
 case 152: 
 var $141=$arrayidx393_i;
 var $142=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp400_i=($141>>>0)<($142>>>0);
 if($cmp400_i){label=154;break;}else{label=153;break;}
 case 153: 
 tempBigInt=$129;HEAP8[($arrayidx393_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx393_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx393_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx393_i)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr_sum11_i=((($and144)+(24))|0);
 var $parent405_i=(($89+$add_ptr_sum11_i)|0);
 var $143=$parent405_i;
 tempBigInt=$T_026_i;HEAP8[($143)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($143)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($143)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($143)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr_sum12_i=((($and144)+(12))|0);
 var $bk406_i=(($89+$add_ptr_sum12_i)|0);
 var $144=$bk406_i;
 tempBigInt=$129;HEAP8[($144)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($144)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($144)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($144)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr_sum13_i=((($and144)+(8))|0);
 var $fd407_i=(($89+$add_ptr_sum13_i)|0);
 var $145=$fd407_i;
 tempBigInt=$129;HEAP8[($145)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($145)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($145)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($145)+(3))|0)]=tempBigInt&0xff;
 label=159;break;
 case 154: 
 _abort();
 throw "Reached an unreachable!";
 case 155: 
 var $T_0_lcssa_i;
 var $fd412_i=(($T_0_lcssa_i+8)|0);
 var $146=((((HEAPU8[($fd412_i)])|(HEAPU8[((($fd412_i)+(1))|0)]<<8)|(HEAPU8[((($fd412_i)+(2))|0)]<<16)|(HEAPU8[((($fd412_i)+(3))|0)]<<24))|0));
 var $147=$T_0_lcssa_i;
 var $148=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp414_i=($147>>>0)>=($148>>>0);
 var $149=$146;
 var $cmp418_i=($149>>>0)>=($148>>>0);
 var $or_cond21_i=$cmp414_i&$cmp418_i;
 if($or_cond21_i){label=156;break;}else{label=157;break;}
 case 156: 
 var $bk425_i=(($146+12)|0);
 tempBigInt=$129;HEAP8[($bk425_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk425_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk425_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk425_i)+(3))|0)]=tempBigInt&0xff;
 tempBigInt=$129;HEAP8[($fd412_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd412_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd412_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd412_i)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr_sum8_i=((($and144)+(8))|0);
 var $fd427_i=(($89+$add_ptr_sum8_i)|0);
 var $150=$fd427_i;
 tempBigInt=$146;HEAP8[($150)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($150)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($150)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($150)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr_sum9_i=((($and144)+(12))|0);
 var $bk428_i=(($89+$add_ptr_sum9_i)|0);
 var $151=$bk428_i;
 tempBigInt=$T_0_lcssa_i;HEAP8[($151)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($151)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($151)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($151)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr_sum10_i=((($and144)+(24))|0);
 var $parent429_i=(($89+$add_ptr_sum10_i)|0);
 var $152=$parent429_i;
 tempBigInt=0;HEAP8[($152)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($152)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($152)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($152)+(3))|0)]=tempBigInt&0xff;
 label=159;break;
 case 157: 
 _abort();
 throw "Reached an unreachable!";
 case 158: 
 _abort();
 throw "Reached an unreachable!";
 case 159: 
 var $add_ptr436_i=(($v_3_lcssa_i+8)|0);
 var $153=$add_ptr436_i;
 var $mem_0=$153;label=341;break;
 case 160: 
 var $nb_0;
 var $154=((((HEAPU8[(19752)])|(HEAPU8[(19753)]<<8)|(HEAPU8[(19754)]<<16)|(HEAPU8[(19755)]<<24))|0));
 var $cmp155=($154>>>0)<($nb_0>>>0);
 if($cmp155){label=165;break;}else{label=161;break;}
 case 161: 
 var $sub159=((($154)-($nb_0))|0);
 var $155=((((HEAPU8[(19764)])|(HEAPU8[(19765)]<<8)|(HEAPU8[(19766)]<<16)|(HEAPU8[(19767)]<<24))|0));
 var $cmp161=($sub159>>>0)>15;
 if($cmp161){label=162;break;}else{label=163;break;}
 case 162: 
 var $156=$155;
 var $add_ptr165=(($156+$nb_0)|0);
 var $157=$add_ptr165;
 tempBigInt=$157;HEAP8[(19764)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19765)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19766)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19767)]=tempBigInt&0xff;
 tempBigInt=$sub159;HEAP8[(19752)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19753)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19754)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19755)]=tempBigInt&0xff;
 var $or166=$sub159|1;
 var $add_ptr165_sum=((($nb_0)+(4))|0);
 var $head167=(($156+$add_ptr165_sum)|0);
 var $158=$head167;
 tempBigInt=$or166;HEAP8[($158)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($158)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($158)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($158)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr168=(($156+$154)|0);
 var $prev_foot169=$add_ptr168;
 tempBigInt=$sub159;HEAP8[($prev_foot169)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot169)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot169)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot169)+(3))|0)]=tempBigInt&0xff;
 var $or171=$nb_0|3;
 var $head172=(($155+4)|0);
 tempBigInt=$or171;HEAP8[($head172)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head172)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head172)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head172)+(3))|0)]=tempBigInt&0xff;
 label=164;break;
 case 163: 
 tempBigInt=0;HEAP8[(19752)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19753)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19754)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19755)]=tempBigInt&0xff;
 tempBigInt=0;HEAP8[(19764)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19765)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19766)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19767)]=tempBigInt&0xff;
 var $or175=$154|3;
 var $head176=(($155+4)|0);
 tempBigInt=$or175;HEAP8[($head176)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head176)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head176)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head176)+(3))|0)]=tempBigInt&0xff;
 var $159=$155;
 var $add_ptr177_sum=((($154)+(4))|0);
 var $head178=(($159+$add_ptr177_sum)|0);
 var $160=$head178;
 var $161=((((HEAPU8[($160)])|(HEAPU8[((($160)+(1))|0)]<<8)|(HEAPU8[((($160)+(2))|0)]<<16)|(HEAPU8[((($160)+(3))|0)]<<24))|0));
 var $or179=$161|1;
 tempBigInt=$or179;HEAP8[($160)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($160)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($160)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($160)+(3))|0)]=tempBigInt&0xff;
 label=164;break;
 case 164: 
 var $add_ptr181=(($155+8)|0);
 var $162=$add_ptr181;
 var $mem_0=$162;label=341;break;
 case 165: 
 var $163=((((HEAPU8[(19756)])|(HEAPU8[(19757)]<<8)|(HEAPU8[(19758)]<<16)|(HEAPU8[(19759)]<<24))|0));
 var $cmp183=($163>>>0)>($nb_0>>>0);
 if($cmp183){label=166;break;}else{label=167;break;}
 case 166: 
 var $sub187=((($163)-($nb_0))|0);
 tempBigInt=$sub187;HEAP8[(19756)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19757)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19758)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19759)]=tempBigInt&0xff;
 var $164=((((HEAPU8[(19768)])|(HEAPU8[(19769)]<<8)|(HEAPU8[(19770)]<<16)|(HEAPU8[(19771)]<<24))|0));
 var $165=$164;
 var $add_ptr190=(($165+$nb_0)|0);
 var $166=$add_ptr190;
 tempBigInt=$166;HEAP8[(19768)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19769)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19770)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19771)]=tempBigInt&0xff;
 var $or191=$sub187|1;
 var $add_ptr190_sum=((($nb_0)+(4))|0);
 var $head192=(($165+$add_ptr190_sum)|0);
 var $167=$head192;
 tempBigInt=$or191;HEAP8[($167)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($167)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($167)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($167)+(3))|0)]=tempBigInt&0xff;
 var $or194=$nb_0|3;
 var $head195=(($164+4)|0);
 tempBigInt=$or194;HEAP8[($head195)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head195)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head195)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head195)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr196=(($164+8)|0);
 var $168=$add_ptr196;
 var $mem_0=$168;label=341;break;
 case 167: 
 var $169=((((HEAPU8[(19680)])|(HEAPU8[(19681)]<<8)|(HEAPU8[(19682)]<<16)|(HEAPU8[(19683)]<<24))|0));
 var $cmp_i148=($169|0)==0;
 if($cmp_i148){label=168;break;}else{label=171;break;}
 case 168: 
 var $call_i_i=_sysconf(30);
 var $sub_i_i=((($call_i_i)-(1))|0);
 var $and_i_i=$sub_i_i&$call_i_i;
 var $cmp1_i_i=($and_i_i|0)==0;
 if($cmp1_i_i){label=170;break;}else{label=169;break;}
 case 169: 
 _abort();
 throw "Reached an unreachable!";
 case 170: 
 tempBigInt=$call_i_i;HEAP8[(19688)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19689)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19690)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19691)]=tempBigInt&0xff;
 tempBigInt=$call_i_i;HEAP8[(19684)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19685)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19686)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19687)]=tempBigInt&0xff;
 tempBigInt=-1;HEAP8[(19692)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19693)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19694)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19695)]=tempBigInt&0xff;
 tempBigInt=-1;HEAP8[(19696)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19697)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19698)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19699)]=tempBigInt&0xff;
 tempBigInt=0;HEAP8[(19700)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19701)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19702)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19703)]=tempBigInt&0xff;
 tempBigInt=0;HEAP8[(20188)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20189)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20190)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20191)]=tempBigInt&0xff;
 var $call6_i_i=_time(0);
 var $xor_i_i=$call6_i_i&-16;
 var $and7_i_i=$xor_i_i^1431655768;
 tempBigInt=$and7_i_i;HEAP8[(19680)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19681)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19682)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19683)]=tempBigInt&0xff;
 label=171;break;
 case 171: 
 var $add_i149=((($nb_0)+(48))|0);
 var $170=((((HEAPU8[(19688)])|(HEAPU8[(19689)]<<8)|(HEAPU8[(19690)]<<16)|(HEAPU8[(19691)]<<24))|0));
 var $sub_i150=((($nb_0)+(47))|0);
 var $add9_i=((($170)+($sub_i150))|0);
 var $neg_i151=(((-$170))|0);
 var $and11_i=$add9_i&$neg_i151;
 var $cmp12_i=($and11_i>>>0)>($nb_0>>>0);
 if($cmp12_i){label=172;break;}else{var $mem_0=0;label=341;break;}
 case 172: 
 var $171=((((HEAPU8[(20184)])|(HEAPU8[(20185)]<<8)|(HEAPU8[(20186)]<<16)|(HEAPU8[(20187)]<<24))|0));
 var $cmp15_i=($171|0)==0;
 if($cmp15_i){label=174;break;}else{label=173;break;}
 case 173: 
 var $172=((((HEAPU8[(20176)])|(HEAPU8[(20177)]<<8)|(HEAPU8[(20178)]<<16)|(HEAPU8[(20179)]<<24))|0));
 var $add17_i152=((($172)+($and11_i))|0);
 var $cmp19_i=($add17_i152>>>0)<=($172>>>0);
 var $cmp21_i=($add17_i152>>>0)>($171>>>0);
 var $or_cond4_i=$cmp19_i|$cmp21_i;
 if($or_cond4_i){var $mem_0=0;label=341;break;}else{label=174;break;}
 case 174: 
 var $173=((((HEAPU8[(20188)])|(HEAPU8[(20189)]<<8)|(HEAPU8[(20190)]<<16)|(HEAPU8[(20191)]<<24))|0));
 var $and26_i=$173&4;
 var $tobool27_i=($and26_i|0)==0;
 if($tobool27_i){label=175;break;}else{var $tsize_1_i=0;label=198;break;}
 case 175: 
 var $174=((((HEAPU8[(19768)])|(HEAPU8[(19769)]<<8)|(HEAPU8[(19770)]<<16)|(HEAPU8[(19771)]<<24))|0));
 var $cmp29_i=($174|0)==0;
 if($cmp29_i){label=181;break;}else{label=176;break;}
 case 176: 
 var $175=$174;
 var $sp_0_i_i=20192;label=177;break;
 case 177: 
 var $sp_0_i_i;
 var $base_i_i=(($sp_0_i_i)|0);
 var $176=((((HEAPU8[($base_i_i)])|(HEAPU8[((($base_i_i)+(1))|0)]<<8)|(HEAPU8[((($base_i_i)+(2))|0)]<<16)|(HEAPU8[((($base_i_i)+(3))|0)]<<24))|0));
 var $cmp_i9_i=($176>>>0)>($175>>>0);
 if($cmp_i9_i){label=179;break;}else{label=178;break;}
 case 178: 
 var $size_i_i=(($sp_0_i_i+4)|0);
 var $177=((((HEAPU8[($size_i_i)])|(HEAPU8[((($size_i_i)+(1))|0)]<<8)|(HEAPU8[((($size_i_i)+(2))|0)]<<16)|(HEAPU8[((($size_i_i)+(3))|0)]<<24))|0));
 var $add_ptr_i_i=(($176+$177)|0);
 var $cmp2_i_i=($add_ptr_i_i>>>0)>($175>>>0);
 if($cmp2_i_i){label=180;break;}else{label=179;break;}
 case 179: 
 var $next_i_i=(($sp_0_i_i+8)|0);
 var $178=((((HEAPU8[($next_i_i)])|(HEAPU8[((($next_i_i)+(1))|0)]<<8)|(HEAPU8[((($next_i_i)+(2))|0)]<<16)|(HEAPU8[((($next_i_i)+(3))|0)]<<24))|0));
 var $cmp3_i_i=($178|0)==0;
 if($cmp3_i_i){label=181;break;}else{var $sp_0_i_i=$178;label=177;break;}
 case 180: 
 var $cmp32_i154=($sp_0_i_i|0)==0;
 if($cmp32_i154){label=181;break;}else{label=188;break;}
 case 181: 
 var $call34_i=_sbrk(0);
 var $cmp35_i156=($call34_i|0)==-1;
 if($cmp35_i156){var $tsize_07588_i=0;label=197;break;}else{label=182;break;}
 case 182: 
 var $179=$call34_i;
 var $180=((((HEAPU8[(19684)])|(HEAPU8[(19685)]<<8)|(HEAPU8[(19686)]<<16)|(HEAPU8[(19687)]<<24))|0));
 var $sub38_i=((($180)-(1))|0);
 var $and39_i=$sub38_i&$179;
 var $cmp40_i157=($and39_i|0)==0;
 if($cmp40_i157){var $ssize_0_i=$and11_i;label=184;break;}else{label=183;break;}
 case 183: 
 var $add43_i=((($sub38_i)+($179))|0);
 var $neg45_i=(((-$180))|0);
 var $and46_i=$add43_i&$neg45_i;
 var $sub47_i=((($and11_i)-($179))|0);
 var $add48_i=((($sub47_i)+($and46_i))|0);
 var $ssize_0_i=$add48_i;label=184;break;
 case 184: 
 var $ssize_0_i;
 var $181=((((HEAPU8[(20176)])|(HEAPU8[(20177)]<<8)|(HEAPU8[(20178)]<<16)|(HEAPU8[(20179)]<<24))|0));
 var $add51_i=((($181)+($ssize_0_i))|0);
 var $cmp52_i=($ssize_0_i>>>0)>($nb_0>>>0);
 var $cmp54_i158=($ssize_0_i>>>0)<2147483647;
 var $or_cond_i159=$cmp52_i&$cmp54_i158;
 if($or_cond_i159){label=185;break;}else{var $tsize_07588_i=0;label=197;break;}
 case 185: 
 var $182=((((HEAPU8[(20184)])|(HEAPU8[(20185)]<<8)|(HEAPU8[(20186)]<<16)|(HEAPU8[(20187)]<<24))|0));
 var $cmp57_i=($182|0)==0;
 if($cmp57_i){label=187;break;}else{label=186;break;}
 case 186: 
 var $cmp60_i=($add51_i>>>0)<=($181>>>0);
 var $cmp63_i=($add51_i>>>0)>($182>>>0);
 var $or_cond5_i=$cmp60_i|$cmp63_i;
 if($or_cond5_i){var $tsize_07588_i=0;label=197;break;}else{label=187;break;}
 case 187: 
 var $call65_i=_sbrk($ssize_0_i);
 var $cmp66_i160=($call65_i|0)==($call34_i|0);
 if($cmp66_i160){var $br_0_i=$call34_i;var $ssize_1_i=$ssize_0_i;label=190;break;}else{var $ssize_173_i=$ssize_0_i;var $br_074_i=$call65_i;label=191;break;}
 case 188: 
 var $183=((((HEAPU8[(19756)])|(HEAPU8[(19757)]<<8)|(HEAPU8[(19758)]<<16)|(HEAPU8[(19759)]<<24))|0));
 var $add74_i=((($add9_i)-($183))|0);
 var $and77_i=$add74_i&$neg_i151;
 var $cmp78_i=($and77_i>>>0)<2147483647;
 if($cmp78_i){label=189;break;}else{var $tsize_07588_i=0;label=197;break;}
 case 189: 
 var $call80_i=_sbrk($and77_i);
 var $184=((((HEAPU8[($base_i_i)])|(HEAPU8[((($base_i_i)+(1))|0)]<<8)|(HEAPU8[((($base_i_i)+(2))|0)]<<16)|(HEAPU8[((($base_i_i)+(3))|0)]<<24))|0));
 var $185=((((HEAPU8[($size_i_i)])|(HEAPU8[((($size_i_i)+(1))|0)]<<8)|(HEAPU8[((($size_i_i)+(2))|0)]<<16)|(HEAPU8[((($size_i_i)+(3))|0)]<<24))|0));
 var $add_ptr_i162=(($184+$185)|0);
 var $cmp82_i=($call80_i|0)==($add_ptr_i162|0);
 if($cmp82_i){var $br_0_i=$call80_i;var $ssize_1_i=$and77_i;label=190;break;}else{var $ssize_173_i=$and77_i;var $br_074_i=$call80_i;label=191;break;}
 case 190: 
 var $ssize_1_i;
 var $br_0_i;
 var $cmp86_i=($br_0_i|0)==-1;
 if($cmp86_i){var $tsize_07588_i=$ssize_1_i;label=197;break;}else{var $tsize_293_i=$ssize_1_i;var $tbase_294_i=$br_0_i;label=201;break;}
 case 191: 
 var $br_074_i;
 var $ssize_173_i;
 var $sub109_i=(((-$ssize_173_i))|0);
 var $cmp88_i=($br_074_i|0)!=-1;
 var $cmp90_i163=($ssize_173_i>>>0)<2147483647;
 var $or_cond2_i=$cmp88_i&$cmp90_i163;
 var $cmp93_i=($add_i149>>>0)>($ssize_173_i>>>0);
 var $or_cond6_i=$or_cond2_i&$cmp93_i;
 if($or_cond6_i){label=192;break;}else{var $ssize_2_i=$ssize_173_i;label=196;break;}
 case 192: 
 var $186=((((HEAPU8[(19688)])|(HEAPU8[(19689)]<<8)|(HEAPU8[(19690)]<<16)|(HEAPU8[(19691)]<<24))|0));
 var $sub96_i=((($sub_i150)-($ssize_173_i))|0);
 var $add98_i=((($sub96_i)+($186))|0);
 var $neg100_i=(((-$186))|0);
 var $and101_i=$add98_i&$neg100_i;
 var $cmp102_i=($and101_i>>>0)<2147483647;
 if($cmp102_i){label=193;break;}else{var $ssize_2_i=$ssize_173_i;label=196;break;}
 case 193: 
 var $call104_i=_sbrk($and101_i);
 var $cmp105_i=($call104_i|0)==-1;
 if($cmp105_i){label=195;break;}else{label=194;break;}
 case 194: 
 var $add107_i=((($and101_i)+($ssize_173_i))|0);
 var $ssize_2_i=$add107_i;label=196;break;
 case 195: 
 var $call110_i=_sbrk($sub109_i);
 var $tsize_07588_i=0;label=197;break;
 case 196: 
 var $ssize_2_i;
 var $cmp115_i164=($br_074_i|0)==-1;
 if($cmp115_i164){var $tsize_07588_i=0;label=197;break;}else{var $tsize_293_i=$ssize_2_i;var $tbase_294_i=$br_074_i;label=201;break;}
 case 197: 
 var $tsize_07588_i;
 var $187=((((HEAPU8[(20188)])|(HEAPU8[(20189)]<<8)|(HEAPU8[(20190)]<<16)|(HEAPU8[(20191)]<<24))|0));
 var $or_i165=$187|4;
 tempBigInt=$or_i165;HEAP8[(20188)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20189)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20190)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20191)]=tempBigInt&0xff;
 var $tsize_1_i=$tsize_07588_i;label=198;break;
 case 198: 
 var $tsize_1_i;
 var $cmp124_i=($and11_i>>>0)<2147483647;
 if($cmp124_i){label=199;break;}else{label=340;break;}
 case 199: 
 var $call128_i=_sbrk($and11_i);
 var $call129_i=_sbrk(0);
 var $cmp130_i166=($call128_i|0)!=-1;
 var $cmp132_i167=($call129_i|0)!=-1;
 var $or_cond1_i=$cmp130_i166&$cmp132_i167;
 var $cmp134_i=($call128_i>>>0)<($call129_i>>>0);
 var $or_cond7_i=$or_cond1_i&$cmp134_i;
 if($or_cond7_i){label=200;break;}else{label=340;break;}
 case 200: 
 var $sub_ptr_lhs_cast_i=$call129_i;
 var $sub_ptr_rhs_cast_i=$call128_i;
 var $sub_ptr_sub_i=((($sub_ptr_lhs_cast_i)-($sub_ptr_rhs_cast_i))|0);
 var $add137_i=((($nb_0)+(40))|0);
 var $cmp138_i168=($sub_ptr_sub_i>>>0)>($add137_i>>>0);
 var $sub_ptr_sub_tsize_1_i=($cmp138_i168?$sub_ptr_sub_i:$tsize_1_i);
 if($cmp138_i168){var $tsize_293_i=$sub_ptr_sub_tsize_1_i;var $tbase_294_i=$call128_i;label=201;break;}else{label=340;break;}
 case 201: 
 var $tbase_294_i;
 var $tsize_293_i;
 var $188=((((HEAPU8[(20176)])|(HEAPU8[(20177)]<<8)|(HEAPU8[(20178)]<<16)|(HEAPU8[(20179)]<<24))|0));
 var $add147_i=((($188)+($tsize_293_i))|0);
 tempBigInt=$add147_i;HEAP8[(20176)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20177)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20178)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20179)]=tempBigInt&0xff;
 var $189=((((HEAPU8[(20180)])|(HEAPU8[(20181)]<<8)|(HEAPU8[(20182)]<<16)|(HEAPU8[(20183)]<<24))|0));
 var $cmp148_i=($add147_i>>>0)>($189>>>0);
 if($cmp148_i){label=202;break;}else{label=203;break;}
 case 202: 
 tempBigInt=$add147_i;HEAP8[(20180)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20181)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20182)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20183)]=tempBigInt&0xff;
 label=203;break;
 case 203: 
 var $190=((((HEAPU8[(19768)])|(HEAPU8[(19769)]<<8)|(HEAPU8[(19770)]<<16)|(HEAPU8[(19771)]<<24))|0));
 var $cmp154_i=($190|0)==0;
 if($cmp154_i){label=204;break;}else{var $sp_0112_i=20192;label=211;break;}
 case 204: 
 var $191=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp156_i=($191|0)==0;
 var $cmp159_i170=($tbase_294_i>>>0)<($191>>>0);
 var $or_cond8_i=$cmp156_i|$cmp159_i170;
 if($or_cond8_i){label=205;break;}else{label=206;break;}
 case 205: 
 tempBigInt=$tbase_294_i;HEAP8[(19760)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19761)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19762)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19763)]=tempBigInt&0xff;
 label=206;break;
 case 206: 
 tempBigInt=$tbase_294_i;HEAP8[(20192)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20193)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20194)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20195)]=tempBigInt&0xff;
 tempBigInt=$tsize_293_i;HEAP8[(20196)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20197)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20198)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20199)]=tempBigInt&0xff;
 tempBigInt=0;HEAP8[(20204)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20205)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20206)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20207)]=tempBigInt&0xff;
 var $192=((((HEAPU8[(19680)])|(HEAPU8[(19681)]<<8)|(HEAPU8[(19682)]<<16)|(HEAPU8[(19683)]<<24))|0));
 tempBigInt=$192;HEAP8[(19780)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19781)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19782)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19783)]=tempBigInt&0xff;
 tempBigInt=-1;HEAP8[(19776)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19777)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19778)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19779)]=tempBigInt&0xff;
 var $i_02_i_i=0;label=207;break;
 case 207: 
 var $i_02_i_i;
 var $shl_i_i=$i_02_i_i<<1;
 var $arrayidx_i_i=((19784+($shl_i_i<<2))|0);
 var $193=$arrayidx_i_i;
 var $arrayidx_sum_i_i=((($shl_i_i)+(3))|0);
 var $194=((19784+($arrayidx_sum_i_i<<2))|0);
 tempBigInt=$193;HEAP8[($194)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($194)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($194)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($194)+(3))|0)]=tempBigInt&0xff;
 var $arrayidx_sum1_i_i=((($shl_i_i)+(2))|0);
 var $195=((19784+($arrayidx_sum1_i_i<<2))|0);
 tempBigInt=$193;HEAP8[($195)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($195)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($195)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($195)+(3))|0)]=tempBigInt&0xff;
 var $inc_i_i=((($i_02_i_i)+(1))|0);
 var $cmp_i11_i=($inc_i_i>>>0)<32;
 if($cmp_i11_i){var $i_02_i_i=$inc_i_i;label=207;break;}else{label=208;break;}
 case 208: 
 var $sub169_i=((($tsize_293_i)-(40))|0);
 var $add_ptr_i12_i=(($tbase_294_i+8)|0);
 var $196=$add_ptr_i12_i;
 var $and_i13_i=$196&7;
 var $cmp_i14_i=($and_i13_i|0)==0;
 if($cmp_i14_i){var $cond_i_i=0;label=210;break;}else{label=209;break;}
 case 209: 
 var $197=(((-$196))|0);
 var $and3_i_i=$197&7;
 var $cond_i_i=$and3_i_i;label=210;break;
 case 210: 
 var $cond_i_i;
 var $add_ptr4_i_i=(($tbase_294_i+$cond_i_i)|0);
 var $198=$add_ptr4_i_i;
 var $sub5_i_i=((($sub169_i)-($cond_i_i))|0);
 tempBigInt=$198;HEAP8[(19768)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19769)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19770)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19771)]=tempBigInt&0xff;
 tempBigInt=$sub5_i_i;HEAP8[(19756)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19757)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19758)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19759)]=tempBigInt&0xff;
 var $or_i_i=$sub5_i_i|1;
 var $add_ptr4_sum_i_i=((($cond_i_i)+(4))|0);
 var $head_i_i=(($tbase_294_i+$add_ptr4_sum_i_i)|0);
 var $199=$head_i_i;
 tempBigInt=$or_i_i;HEAP8[($199)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($199)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($199)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($199)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr6_sum_i_i=((($tsize_293_i)-(36))|0);
 var $head7_i_i=(($tbase_294_i+$add_ptr6_sum_i_i)|0);
 var $200=$head7_i_i;
 tempBigInt=40;HEAP8[($200)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($200)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($200)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($200)+(3))|0)]=tempBigInt&0xff;
 var $201=((((HEAPU8[(19696)])|(HEAPU8[(19697)]<<8)|(HEAPU8[(19698)]<<16)|(HEAPU8[(19699)]<<24))|0));
 tempBigInt=$201;HEAP8[(19772)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19773)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19774)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19775)]=tempBigInt&0xff;
 label=338;break;
 case 211: 
 var $sp_0112_i;
 var $base184_i=(($sp_0112_i)|0);
 var $202=((((HEAPU8[($base184_i)])|(HEAPU8[((($base184_i)+(1))|0)]<<8)|(HEAPU8[((($base184_i)+(2))|0)]<<16)|(HEAPU8[((($base184_i)+(3))|0)]<<24))|0));
 var $size185_i=(($sp_0112_i+4)|0);
 var $203=((((HEAPU8[($size185_i)])|(HEAPU8[((($size185_i)+(1))|0)]<<8)|(HEAPU8[((($size185_i)+(2))|0)]<<16)|(HEAPU8[((($size185_i)+(3))|0)]<<24))|0));
 var $add_ptr186_i=(($202+$203)|0);
 var $cmp187_i=($tbase_294_i|0)==($add_ptr186_i|0);
 if($cmp187_i){label=213;break;}else{label=212;break;}
 case 212: 
 var $next_i=(($sp_0112_i+8)|0);
 var $204=((((HEAPU8[($next_i)])|(HEAPU8[((($next_i)+(1))|0)]<<8)|(HEAPU8[((($next_i)+(2))|0)]<<16)|(HEAPU8[((($next_i)+(3))|0)]<<24))|0));
 var $cmp183_i=($204|0)==0;
 if($cmp183_i){label=218;break;}else{var $sp_0112_i=$204;label=211;break;}
 case 213: 
 var $sflags190_i=(($sp_0112_i+12)|0);
 var $205=((((HEAPU8[($sflags190_i)])|(HEAPU8[((($sflags190_i)+(1))|0)]<<8)|(HEAPU8[((($sflags190_i)+(2))|0)]<<16)|(HEAPU8[((($sflags190_i)+(3))|0)]<<24))|0));
 var $and191_i=$205&8;
 var $tobool192_i=($and191_i|0)==0;
 if($tobool192_i){label=214;break;}else{label=218;break;}
 case 214: 
 var $206=$190;
 var $cmp200_i=($206>>>0)>=($202>>>0);
 var $cmp206_i=($206>>>0)<($tbase_294_i>>>0);
 var $or_cond96_i=$cmp200_i&$cmp206_i;
 if($or_cond96_i){label=215;break;}else{label=218;break;}
 case 215: 
 var $add209_i=((($203)+($tsize_293_i))|0);
 tempBigInt=$add209_i;HEAP8[($size185_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($size185_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($size185_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($size185_i)+(3))|0)]=tempBigInt&0xff;
 var $207=((((HEAPU8[(19768)])|(HEAPU8[(19769)]<<8)|(HEAPU8[(19770)]<<16)|(HEAPU8[(19771)]<<24))|0));
 var $208=((((HEAPU8[(19756)])|(HEAPU8[(19757)]<<8)|(HEAPU8[(19758)]<<16)|(HEAPU8[(19759)]<<24))|0));
 var $add212_i=((($208)+($tsize_293_i))|0);
 var $209=$207;
 var $add_ptr_i23_i=(($207+8)|0);
 var $210=$add_ptr_i23_i;
 var $and_i24_i=$210&7;
 var $cmp_i25_i=($and_i24_i|0)==0;
 if($cmp_i25_i){var $cond_i28_i=0;label=217;break;}else{label=216;break;}
 case 216: 
 var $211=(((-$210))|0);
 var $and3_i26_i=$211&7;
 var $cond_i28_i=$and3_i26_i;label=217;break;
 case 217: 
 var $cond_i28_i;
 var $add_ptr4_i29_i=(($209+$cond_i28_i)|0);
 var $212=$add_ptr4_i29_i;
 var $sub5_i30_i=((($add212_i)-($cond_i28_i))|0);
 tempBigInt=$212;HEAP8[(19768)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19769)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19770)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19771)]=tempBigInt&0xff;
 tempBigInt=$sub5_i30_i;HEAP8[(19756)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19757)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19758)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19759)]=tempBigInt&0xff;
 var $or_i31_i=$sub5_i30_i|1;
 var $add_ptr4_sum_i32_i=((($cond_i28_i)+(4))|0);
 var $head_i33_i=(($209+$add_ptr4_sum_i32_i)|0);
 var $213=$head_i33_i;
 tempBigInt=$or_i31_i;HEAP8[($213)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($213)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($213)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($213)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr6_sum_i34_i=((($add212_i)+(4))|0);
 var $head7_i35_i=(($209+$add_ptr6_sum_i34_i)|0);
 var $214=$head7_i35_i;
 tempBigInt=40;HEAP8[($214)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($214)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($214)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($214)+(3))|0)]=tempBigInt&0xff;
 var $215=((((HEAPU8[(19696)])|(HEAPU8[(19697)]<<8)|(HEAPU8[(19698)]<<16)|(HEAPU8[(19699)]<<24))|0));
 tempBigInt=$215;HEAP8[(19772)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19773)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19774)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19775)]=tempBigInt&0xff;
 label=338;break;
 case 218: 
 var $216=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp215_i=($tbase_294_i>>>0)<($216>>>0);
 if($cmp215_i){label=219;break;}else{label=220;break;}
 case 219: 
 tempBigInt=$tbase_294_i;HEAP8[(19760)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19761)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19762)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19763)]=tempBigInt&0xff;
 label=220;break;
 case 220: 
 var $add_ptr224_i=(($tbase_294_i+$tsize_293_i)|0);
 var $sp_1108_i=20192;label=221;break;
 case 221: 
 var $sp_1108_i;
 var $base223_i=(($sp_1108_i)|0);
 var $217=((((HEAPU8[($base223_i)])|(HEAPU8[((($base223_i)+(1))|0)]<<8)|(HEAPU8[((($base223_i)+(2))|0)]<<16)|(HEAPU8[((($base223_i)+(3))|0)]<<24))|0));
 var $cmp225_i=($217|0)==($add_ptr224_i|0);
 if($cmp225_i){label=223;break;}else{label=222;break;}
 case 222: 
 var $next228_i=(($sp_1108_i+8)|0);
 var $218=((((HEAPU8[($next228_i)])|(HEAPU8[((($next228_i)+(1))|0)]<<8)|(HEAPU8[((($next228_i)+(2))|0)]<<16)|(HEAPU8[((($next228_i)+(3))|0)]<<24))|0));
 var $cmp221_i=($218|0)==0;
 if($cmp221_i){label=304;break;}else{var $sp_1108_i=$218;label=221;break;}
 case 223: 
 var $sflags232_i=(($sp_1108_i+12)|0);
 var $219=((((HEAPU8[($sflags232_i)])|(HEAPU8[((($sflags232_i)+(1))|0)]<<8)|(HEAPU8[((($sflags232_i)+(2))|0)]<<16)|(HEAPU8[((($sflags232_i)+(3))|0)]<<24))|0));
 var $and233_i=$219&8;
 var $tobool234_i=($and233_i|0)==0;
 if($tobool234_i){label=224;break;}else{label=304;break;}
 case 224: 
 tempBigInt=$tbase_294_i;HEAP8[($base223_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($base223_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($base223_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($base223_i)+(3))|0)]=tempBigInt&0xff;
 var $size242_i=(($sp_1108_i+4)|0);
 var $220=((((HEAPU8[($size242_i)])|(HEAPU8[((($size242_i)+(1))|0)]<<8)|(HEAPU8[((($size242_i)+(2))|0)]<<16)|(HEAPU8[((($size242_i)+(3))|0)]<<24))|0));
 var $add243_i=((($220)+($tsize_293_i))|0);
 tempBigInt=$add243_i;HEAP8[($size242_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($size242_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($size242_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($size242_i)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr_i38_i=(($tbase_294_i+8)|0);
 var $221=$add_ptr_i38_i;
 var $and_i39_i=$221&7;
 var $cmp_i40_i=($and_i39_i|0)==0;
 if($cmp_i40_i){var $cond_i43_i=0;label=226;break;}else{label=225;break;}
 case 225: 
 var $222=(((-$221))|0);
 var $and3_i41_i=$222&7;
 var $cond_i43_i=$and3_i41_i;label=226;break;
 case 226: 
 var $cond_i43_i;
 var $add_ptr4_i44_i=(($tbase_294_i+$cond_i43_i)|0);
 var $add_ptr224_sum_i=((($tsize_293_i)+(8))|0);
 var $add_ptr5_i_i=(($tbase_294_i+$add_ptr224_sum_i)|0);
 var $223=$add_ptr5_i_i;
 var $and6_i45_i=$223&7;
 var $cmp7_i_i=($and6_i45_i|0)==0;
 if($cmp7_i_i){var $cond15_i_i=0;label=228;break;}else{label=227;break;}
 case 227: 
 var $224=(((-$223))|0);
 var $and13_i_i=$224&7;
 var $cond15_i_i=$and13_i_i;label=228;break;
 case 228: 
 var $cond15_i_i;
 var $add_ptr224_sum134_i=((($cond15_i_i)+($tsize_293_i))|0);
 var $add_ptr16_i_i=(($tbase_294_i+$add_ptr224_sum134_i)|0);
 var $225=$add_ptr16_i_i;
 var $sub_ptr_lhs_cast_i47_i=$add_ptr16_i_i;
 var $sub_ptr_rhs_cast_i48_i=$add_ptr4_i44_i;
 var $sub_ptr_sub_i49_i=((($sub_ptr_lhs_cast_i47_i)-($sub_ptr_rhs_cast_i48_i))|0);
 var $add_ptr4_sum_i50_i=((($cond_i43_i)+($nb_0))|0);
 var $add_ptr17_i_i=(($tbase_294_i+$add_ptr4_sum_i50_i)|0);
 var $226=$add_ptr17_i_i;
 var $sub18_i_i=((($sub_ptr_sub_i49_i)-($nb_0))|0);
 var $or19_i_i=$nb_0|3;
 var $add_ptr4_sum1_i_i=((($cond_i43_i)+(4))|0);
 var $head_i51_i=(($tbase_294_i+$add_ptr4_sum1_i_i)|0);
 var $227=$head_i51_i;
 tempBigInt=$or19_i_i;HEAP8[($227)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($227)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($227)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($227)+(3))|0)]=tempBigInt&0xff;
 var $228=((((HEAPU8[(19768)])|(HEAPU8[(19769)]<<8)|(HEAPU8[(19770)]<<16)|(HEAPU8[(19771)]<<24))|0));
 var $cmp20_i_i=($225|0)==($228|0);
 if($cmp20_i_i){label=229;break;}else{label=230;break;}
 case 229: 
 var $229=((((HEAPU8[(19756)])|(HEAPU8[(19757)]<<8)|(HEAPU8[(19758)]<<16)|(HEAPU8[(19759)]<<24))|0));
 var $add_i_i=((($229)+($sub18_i_i))|0);
 tempBigInt=$add_i_i;HEAP8[(19756)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19757)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19758)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19759)]=tempBigInt&0xff;
 tempBigInt=$226;HEAP8[(19768)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19769)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19770)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19771)]=tempBigInt&0xff;
 var $or22_i_i=$add_i_i|1;
 var $add_ptr17_sum39_i_i=((($add_ptr4_sum_i50_i)+(4))|0);
 var $head23_i_i=(($tbase_294_i+$add_ptr17_sum39_i_i)|0);
 var $230=$head23_i_i;
 tempBigInt=$or22_i_i;HEAP8[($230)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($230)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($230)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($230)+(3))|0)]=tempBigInt&0xff;
 label=303;break;
 case 230: 
 var $231=((((HEAPU8[(19764)])|(HEAPU8[(19765)]<<8)|(HEAPU8[(19766)]<<16)|(HEAPU8[(19767)]<<24))|0));
 var $cmp24_i_i=($225|0)==($231|0);
 if($cmp24_i_i){label=231;break;}else{label=232;break;}
 case 231: 
 var $232=((((HEAPU8[(19752)])|(HEAPU8[(19753)]<<8)|(HEAPU8[(19754)]<<16)|(HEAPU8[(19755)]<<24))|0));
 var $add26_i_i=((($232)+($sub18_i_i))|0);
 tempBigInt=$add26_i_i;HEAP8[(19752)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19753)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19754)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19755)]=tempBigInt&0xff;
 tempBigInt=$226;HEAP8[(19764)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19765)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19766)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19767)]=tempBigInt&0xff;
 var $or28_i_i=$add26_i_i|1;
 var $add_ptr17_sum37_i_i=((($add_ptr4_sum_i50_i)+(4))|0);
 var $head29_i_i=(($tbase_294_i+$add_ptr17_sum37_i_i)|0);
 var $233=$head29_i_i;
 tempBigInt=$or28_i_i;HEAP8[($233)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($233)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($233)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($233)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr17_sum38_i_i=((($add26_i_i)+($add_ptr4_sum_i50_i))|0);
 var $add_ptr30_i53_i=(($tbase_294_i+$add_ptr17_sum38_i_i)|0);
 var $prev_foot_i54_i=$add_ptr30_i53_i;
 tempBigInt=$add26_i_i;HEAP8[($prev_foot_i54_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot_i54_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot_i54_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot_i54_i)+(3))|0)]=tempBigInt&0xff;
 label=303;break;
 case 232: 
 var $add_ptr16_sum_i_i=((($tsize_293_i)+(4))|0);
 var $add_ptr224_sum135_i=((($add_ptr16_sum_i_i)+($cond15_i_i))|0);
 var $head32_i_i=(($tbase_294_i+$add_ptr224_sum135_i)|0);
 var $234=$head32_i_i;
 var $235=((((HEAPU8[($234)])|(HEAPU8[((($234)+(1))|0)]<<8)|(HEAPU8[((($234)+(2))|0)]<<16)|(HEAPU8[((($234)+(3))|0)]<<24))|0));
 var $and33_i_i=$235&3;
 var $cmp34_i_i=($and33_i_i|0)==1;
 if($cmp34_i_i){label=233;break;}else{var $oldfirst_0_i_i=$225;var $qsize_0_i_i=$sub18_i_i;label=280;break;}
 case 233: 
 var $and37_i_i=$235&-8;
 var $shr_i55_i=$235>>>3;
 var $cmp38_i_i=($235>>>0)<256;
 if($cmp38_i_i){label=234;break;}else{label=246;break;}
 case 234: 
 var $add_ptr16_sum3233_i_i=$cond15_i_i|8;
 var $add_ptr224_sum145_i=((($add_ptr16_sum3233_i_i)+($tsize_293_i))|0);
 var $fd_i_i=(($tbase_294_i+$add_ptr224_sum145_i)|0);
 var $236=$fd_i_i;
 var $237=((((HEAPU8[($236)])|(HEAPU8[((($236)+(1))|0)]<<8)|(HEAPU8[((($236)+(2))|0)]<<16)|(HEAPU8[((($236)+(3))|0)]<<24))|0));
 var $add_ptr16_sum34_i_i=((($tsize_293_i)+(12))|0);
 var $add_ptr224_sum146_i=((($add_ptr16_sum34_i_i)+($cond15_i_i))|0);
 var $bk_i56_i=(($tbase_294_i+$add_ptr224_sum146_i)|0);
 var $238=$bk_i56_i;
 var $239=((((HEAPU8[($238)])|(HEAPU8[((($238)+(1))|0)]<<8)|(HEAPU8[((($238)+(2))|0)]<<16)|(HEAPU8[((($238)+(3))|0)]<<24))|0));
 var $shl_i57_i=$shr_i55_i<<1;
 var $arrayidx_i58_i=((19784+($shl_i57_i<<2))|0);
 var $240=$arrayidx_i58_i;
 var $cmp41_i_i=($237|0)==($240|0);
 if($cmp41_i_i){label=237;break;}else{label=235;break;}
 case 235: 
 var $241=$237;
 var $242=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp42_i_i=($241>>>0)<($242>>>0);
 if($cmp42_i_i){label=245;break;}else{label=236;break;}
 case 236: 
 var $bk43_i_i=(($237+12)|0);
 var $243=((((HEAPU8[($bk43_i_i)])|(HEAPU8[((($bk43_i_i)+(1))|0)]<<8)|(HEAPU8[((($bk43_i_i)+(2))|0)]<<16)|(HEAPU8[((($bk43_i_i)+(3))|0)]<<24))|0));
 var $cmp44_i_i=($243|0)==($225|0);
 if($cmp44_i_i){label=237;break;}else{label=245;break;}
 case 237: 
 var $cmp46_i59_i=($239|0)==($237|0);
 if($cmp46_i59_i){label=238;break;}else{label=239;break;}
 case 238: 
 var $shl48_i_i=1<<$shr_i55_i;
 var $neg_i_i=$shl48_i_i^-1;
 var $244=((((HEAPU8[(19744)])|(HEAPU8[(19745)]<<8)|(HEAPU8[(19746)]<<16)|(HEAPU8[(19747)]<<24))|0));
 var $and49_i_i=$244&$neg_i_i;
 tempBigInt=$and49_i_i;HEAP8[(19744)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19745)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19746)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19747)]=tempBigInt&0xff;
 label=279;break;
 case 239: 
 var $cmp54_i_i=($239|0)==($240|0);
 if($cmp54_i_i){label=240;break;}else{label=241;break;}
 case 240: 
 var $fd68_pre_i_i=(($239+8)|0);
 var $fd68_pre_phi_i_i=$fd68_pre_i_i;label=243;break;
 case 241: 
 var $245=$239;
 var $246=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp57_i_i=($245>>>0)<($246>>>0);
 if($cmp57_i_i){label=244;break;}else{label=242;break;}
 case 242: 
 var $fd59_i_i=(($239+8)|0);
 var $247=((((HEAPU8[($fd59_i_i)])|(HEAPU8[((($fd59_i_i)+(1))|0)]<<8)|(HEAPU8[((($fd59_i_i)+(2))|0)]<<16)|(HEAPU8[((($fd59_i_i)+(3))|0)]<<24))|0));
 var $cmp60_i_i=($247|0)==($225|0);
 if($cmp60_i_i){var $fd68_pre_phi_i_i=$fd59_i_i;label=243;break;}else{label=244;break;}
 case 243: 
 var $fd68_pre_phi_i_i;
 var $bk67_i_i=(($237+12)|0);
 tempBigInt=$239;HEAP8[($bk67_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk67_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk67_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk67_i_i)+(3))|0)]=tempBigInt&0xff;
 tempBigInt=$237;HEAP8[($fd68_pre_phi_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd68_pre_phi_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd68_pre_phi_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd68_pre_phi_i_i)+(3))|0)]=tempBigInt&0xff;
 label=279;break;
 case 244: 
 _abort();
 throw "Reached an unreachable!";
 case 245: 
 _abort();
 throw "Reached an unreachable!";
 case 246: 
 var $248=$add_ptr16_i_i;
 var $add_ptr16_sum23_i_i=$cond15_i_i|24;
 var $add_ptr224_sum136_i=((($add_ptr16_sum23_i_i)+($tsize_293_i))|0);
 var $parent_i61_i=(($tbase_294_i+$add_ptr224_sum136_i)|0);
 var $249=$parent_i61_i;
 var $250=((((HEAPU8[($249)])|(HEAPU8[((($249)+(1))|0)]<<8)|(HEAPU8[((($249)+(2))|0)]<<16)|(HEAPU8[((($249)+(3))|0)]<<24))|0));
 var $add_ptr16_sum4_i_i=((($tsize_293_i)+(12))|0);
 var $add_ptr224_sum137_i=((($add_ptr16_sum4_i_i)+($cond15_i_i))|0);
 var $bk74_i_i=(($tbase_294_i+$add_ptr224_sum137_i)|0);
 var $251=$bk74_i_i;
 var $252=((((HEAPU8[($251)])|(HEAPU8[((($251)+(1))|0)]<<8)|(HEAPU8[((($251)+(2))|0)]<<16)|(HEAPU8[((($251)+(3))|0)]<<24))|0));
 var $cmp75_i_i=($252|0)==($248|0);
 if($cmp75_i_i){label=252;break;}else{label=247;break;}
 case 247: 
 var $add_ptr16_sum2930_i_i=$cond15_i_i|8;
 var $add_ptr224_sum138_i=((($add_ptr16_sum2930_i_i)+($tsize_293_i))|0);
 var $fd78_i_i=(($tbase_294_i+$add_ptr224_sum138_i)|0);
 var $253=$fd78_i_i;
 var $254=((((HEAPU8[($253)])|(HEAPU8[((($253)+(1))|0)]<<8)|(HEAPU8[((($253)+(2))|0)]<<16)|(HEAPU8[((($253)+(3))|0)]<<24))|0));
 var $255=$254;
 var $256=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp81_i_i=($255>>>0)<($256>>>0);
 if($cmp81_i_i){label=251;break;}else{label=248;break;}
 case 248: 
 var $bk82_i_i=(($254+12)|0);
 var $257=((((HEAPU8[($bk82_i_i)])|(HEAPU8[((($bk82_i_i)+(1))|0)]<<8)|(HEAPU8[((($bk82_i_i)+(2))|0)]<<16)|(HEAPU8[((($bk82_i_i)+(3))|0)]<<24))|0));
 var $cmp83_i_i=($257|0)==($248|0);
 if($cmp83_i_i){label=249;break;}else{label=251;break;}
 case 249: 
 var $fd85_i_i=(($252+8)|0);
 var $258=((((HEAPU8[($fd85_i_i)])|(HEAPU8[((($fd85_i_i)+(1))|0)]<<8)|(HEAPU8[((($fd85_i_i)+(2))|0)]<<16)|(HEAPU8[((($fd85_i_i)+(3))|0)]<<24))|0));
 var $cmp86_i_i=($258|0)==($248|0);
 if($cmp86_i_i){label=250;break;}else{label=251;break;}
 case 250: 
 tempBigInt=$252;HEAP8[($bk82_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk82_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk82_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk82_i_i)+(3))|0)]=tempBigInt&0xff;
 tempBigInt=$254;HEAP8[($fd85_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd85_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd85_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd85_i_i)+(3))|0)]=tempBigInt&0xff;
 var $R_1_i_i=$252;label=259;break;
 case 251: 
 _abort();
 throw "Reached an unreachable!";
 case 252: 
 var $add_ptr16_sum56_i_i=$cond15_i_i|16;
 var $add_ptr224_sum143_i=((($add_ptr16_sum_i_i)+($add_ptr16_sum56_i_i))|0);
 var $arrayidx96_i_i=(($tbase_294_i+$add_ptr224_sum143_i)|0);
 var $259=$arrayidx96_i_i;
 var $260=((((HEAPU8[($259)])|(HEAPU8[((($259)+(1))|0)]<<8)|(HEAPU8[((($259)+(2))|0)]<<16)|(HEAPU8[((($259)+(3))|0)]<<24))|0));
 var $cmp97_i_i=($260|0)==0;
 if($cmp97_i_i){label=253;break;}else{var $R_0_i_i=$260;var $RP_0_i_i=$259;label=254;break;}
 case 253: 
 var $add_ptr224_sum144_i=((($add_ptr16_sum56_i_i)+($tsize_293_i))|0);
 var $child_i_i=(($tbase_294_i+$add_ptr224_sum144_i)|0);
 var $arrayidx99_i_i=$child_i_i;
 var $261=((((HEAPU8[($arrayidx99_i_i)])|(HEAPU8[((($arrayidx99_i_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx99_i_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx99_i_i)+(3))|0)]<<24))|0));
 var $cmp100_i_i=($261|0)==0;
 if($cmp100_i_i){var $R_1_i_i=0;label=259;break;}else{var $R_0_i_i=$261;var $RP_0_i_i=$arrayidx99_i_i;label=254;break;}
 case 254: 
 var $RP_0_i_i;
 var $R_0_i_i;
 var $arrayidx103_i_i=(($R_0_i_i+20)|0);
 var $262=((((HEAPU8[($arrayidx103_i_i)])|(HEAPU8[((($arrayidx103_i_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx103_i_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx103_i_i)+(3))|0)]<<24))|0));
 var $cmp104_i_i=($262|0)==0;
 if($cmp104_i_i){label=255;break;}else{var $R_0_i_i=$262;var $RP_0_i_i=$arrayidx103_i_i;label=254;break;}
 case 255: 
 var $arrayidx107_i_i=(($R_0_i_i+16)|0);
 var $263=((((HEAPU8[($arrayidx107_i_i)])|(HEAPU8[((($arrayidx107_i_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx107_i_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx107_i_i)+(3))|0)]<<24))|0));
 var $cmp108_i_i=($263|0)==0;
 if($cmp108_i_i){label=256;break;}else{var $R_0_i_i=$263;var $RP_0_i_i=$arrayidx107_i_i;label=254;break;}
 case 256: 
 var $264=$RP_0_i_i;
 var $265=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp112_i_i=($264>>>0)<($265>>>0);
 if($cmp112_i_i){label=258;break;}else{label=257;break;}
 case 257: 
 tempBigInt=0;HEAP8[($RP_0_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($RP_0_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($RP_0_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($RP_0_i_i)+(3))|0)]=tempBigInt&0xff;
 var $R_1_i_i=$R_0_i_i;label=259;break;
 case 258: 
 _abort();
 throw "Reached an unreachable!";
 case 259: 
 var $R_1_i_i;
 var $cmp120_i63_i=($250|0)==0;
 if($cmp120_i63_i){label=279;break;}else{label=260;break;}
 case 260: 
 var $add_ptr16_sum26_i_i=((($tsize_293_i)+(28))|0);
 var $add_ptr224_sum139_i=((($add_ptr16_sum26_i_i)+($cond15_i_i))|0);
 var $index_i64_i=(($tbase_294_i+$add_ptr224_sum139_i)|0);
 var $266=$index_i64_i;
 var $267=((((HEAPU8[($266)])|(HEAPU8[((($266)+(1))|0)]<<8)|(HEAPU8[((($266)+(2))|0)]<<16)|(HEAPU8[((($266)+(3))|0)]<<24))|0));
 var $arrayidx123_i_i=((20048+($267<<2))|0);
 var $268=((((HEAPU8[($arrayidx123_i_i)])|(HEAPU8[((($arrayidx123_i_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx123_i_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx123_i_i)+(3))|0)]<<24))|0));
 var $cmp124_i_i=($248|0)==($268|0);
 if($cmp124_i_i){label=261;break;}else{label=263;break;}
 case 261: 
 tempBigInt=$R_1_i_i;HEAP8[($arrayidx123_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx123_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx123_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx123_i_i)+(3))|0)]=tempBigInt&0xff;
 var $cond41_i_i=($R_1_i_i|0)==0;
 if($cond41_i_i){label=262;break;}else{label=269;break;}
 case 262: 
 var $269=((((HEAPU8[($266)])|(HEAPU8[((($266)+(1))|0)]<<8)|(HEAPU8[((($266)+(2))|0)]<<16)|(HEAPU8[((($266)+(3))|0)]<<24))|0));
 var $shl131_i_i=1<<$269;
 var $neg132_i_i=$shl131_i_i^-1;
 var $270=((((HEAPU8[(19748)])|(HEAPU8[(19749)]<<8)|(HEAPU8[(19750)]<<16)|(HEAPU8[(19751)]<<24))|0));
 var $and133_i_i=$270&$neg132_i_i;
 tempBigInt=$and133_i_i;HEAP8[(19748)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19749)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19750)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19751)]=tempBigInt&0xff;
 label=279;break;
 case 263: 
 var $271=$250;
 var $272=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp137_i_i=($271>>>0)<($272>>>0);
 if($cmp137_i_i){label=267;break;}else{label=264;break;}
 case 264: 
 var $arrayidx143_i_i=(($250+16)|0);
 var $273=((((HEAPU8[($arrayidx143_i_i)])|(HEAPU8[((($arrayidx143_i_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx143_i_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx143_i_i)+(3))|0)]<<24))|0));
 var $cmp144_i_i=($273|0)==($248|0);
 if($cmp144_i_i){label=265;break;}else{label=266;break;}
 case 265: 
 tempBigInt=$R_1_i_i;HEAP8[($arrayidx143_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx143_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx143_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx143_i_i)+(3))|0)]=tempBigInt&0xff;
 label=268;break;
 case 266: 
 var $arrayidx151_i_i=(($250+20)|0);
 tempBigInt=$R_1_i_i;HEAP8[($arrayidx151_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx151_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx151_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx151_i_i)+(3))|0)]=tempBigInt&0xff;
 label=268;break;
 case 267: 
 _abort();
 throw "Reached an unreachable!";
 case 268: 
 var $cmp156_i_i=($R_1_i_i|0)==0;
 if($cmp156_i_i){label=279;break;}else{label=269;break;}
 case 269: 
 var $274=$R_1_i_i;
 var $275=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp160_i_i=($274>>>0)<($275>>>0);
 if($cmp160_i_i){label=278;break;}else{label=270;break;}
 case 270: 
 var $parent165_i_i=(($R_1_i_i+24)|0);
 tempBigInt=$250;HEAP8[($parent165_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent165_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent165_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent165_i_i)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr16_sum2728_i_i=$cond15_i_i|16;
 var $add_ptr224_sum140_i=((($add_ptr16_sum2728_i_i)+($tsize_293_i))|0);
 var $child166_i_i=(($tbase_294_i+$add_ptr224_sum140_i)|0);
 var $arrayidx167_i_i=$child166_i_i;
 var $276=((((HEAPU8[($arrayidx167_i_i)])|(HEAPU8[((($arrayidx167_i_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx167_i_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx167_i_i)+(3))|0)]<<24))|0));
 var $cmp168_i_i=($276|0)==0;
 if($cmp168_i_i){label=274;break;}else{label=271;break;}
 case 271: 
 var $277=$276;
 var $278=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp172_i_i=($277>>>0)<($278>>>0);
 if($cmp172_i_i){label=273;break;}else{label=272;break;}
 case 272: 
 var $arrayidx178_i_i=(($R_1_i_i+16)|0);
 tempBigInt=$276;HEAP8[($arrayidx178_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx178_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx178_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx178_i_i)+(3))|0)]=tempBigInt&0xff;
 var $parent179_i_i=(($276+24)|0);
 tempBigInt=$R_1_i_i;HEAP8[($parent179_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent179_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent179_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent179_i_i)+(3))|0)]=tempBigInt&0xff;
 label=274;break;
 case 273: 
 _abort();
 throw "Reached an unreachable!";
 case 274: 
 var $add_ptr224_sum141_i=((($add_ptr16_sum_i_i)+($add_ptr16_sum2728_i_i))|0);
 var $arrayidx184_i_i=(($tbase_294_i+$add_ptr224_sum141_i)|0);
 var $279=$arrayidx184_i_i;
 var $280=((((HEAPU8[($279)])|(HEAPU8[((($279)+(1))|0)]<<8)|(HEAPU8[((($279)+(2))|0)]<<16)|(HEAPU8[((($279)+(3))|0)]<<24))|0));
 var $cmp185_i_i=($280|0)==0;
 if($cmp185_i_i){label=279;break;}else{label=275;break;}
 case 275: 
 var $281=$280;
 var $282=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp189_i_i=($281>>>0)<($282>>>0);
 if($cmp189_i_i){label=277;break;}else{label=276;break;}
 case 276: 
 var $arrayidx195_i_i=(($R_1_i_i+20)|0);
 tempBigInt=$280;HEAP8[($arrayidx195_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx195_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx195_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx195_i_i)+(3))|0)]=tempBigInt&0xff;
 var $parent196_i_i=(($280+24)|0);
 tempBigInt=$R_1_i_i;HEAP8[($parent196_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent196_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent196_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent196_i_i)+(3))|0)]=tempBigInt&0xff;
 label=279;break;
 case 277: 
 _abort();
 throw "Reached an unreachable!";
 case 278: 
 _abort();
 throw "Reached an unreachable!";
 case 279: 
 var $add_ptr16_sum7_i_i=$and37_i_i|$cond15_i_i;
 var $add_ptr224_sum142_i=((($add_ptr16_sum7_i_i)+($tsize_293_i))|0);
 var $add_ptr205_i_i=(($tbase_294_i+$add_ptr224_sum142_i)|0);
 var $283=$add_ptr205_i_i;
 var $add206_i_i=((($and37_i_i)+($sub18_i_i))|0);
 var $oldfirst_0_i_i=$283;var $qsize_0_i_i=$add206_i_i;label=280;break;
 case 280: 
 var $qsize_0_i_i;
 var $oldfirst_0_i_i;
 var $head208_i_i=(($oldfirst_0_i_i+4)|0);
 var $284=((((HEAPU8[($head208_i_i)])|(HEAPU8[((($head208_i_i)+(1))|0)]<<8)|(HEAPU8[((($head208_i_i)+(2))|0)]<<16)|(HEAPU8[((($head208_i_i)+(3))|0)]<<24))|0));
 var $and209_i_i=$284&-2;
 tempBigInt=$and209_i_i;HEAP8[($head208_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head208_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head208_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head208_i_i)+(3))|0)]=tempBigInt&0xff;
 var $or210_i_i=$qsize_0_i_i|1;
 var $add_ptr17_sum_i_i=((($add_ptr4_sum_i50_i)+(4))|0);
 var $head211_i_i=(($tbase_294_i+$add_ptr17_sum_i_i)|0);
 var $285=$head211_i_i;
 tempBigInt=$or210_i_i;HEAP8[($285)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($285)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($285)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($285)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr17_sum8_i_i=((($qsize_0_i_i)+($add_ptr4_sum_i50_i))|0);
 var $add_ptr212_i_i=(($tbase_294_i+$add_ptr17_sum8_i_i)|0);
 var $prev_foot213_i_i=$add_ptr212_i_i;
 tempBigInt=$qsize_0_i_i;HEAP8[($prev_foot213_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot213_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot213_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot213_i_i)+(3))|0)]=tempBigInt&0xff;
 var $shr214_i_i=$qsize_0_i_i>>>3;
 var $cmp215_i_i=($qsize_0_i_i>>>0)<256;
 if($cmp215_i_i){label=281;break;}else{label=286;break;}
 case 281: 
 var $shl221_i_i=$shr214_i_i<<1;
 var $arrayidx223_i_i=((19784+($shl221_i_i<<2))|0);
 var $286=$arrayidx223_i_i;
 var $287=((((HEAPU8[(19744)])|(HEAPU8[(19745)]<<8)|(HEAPU8[(19746)]<<16)|(HEAPU8[(19747)]<<24))|0));
 var $shl226_i_i=1<<$shr214_i_i;
 var $and227_i_i=$287&$shl226_i_i;
 var $tobool228_i_i=($and227_i_i|0)==0;
 if($tobool228_i_i){label=282;break;}else{label=283;break;}
 case 282: 
 var $or232_i_i=$287|$shl226_i_i;
 tempBigInt=$or232_i_i;HEAP8[(19744)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19745)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19746)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19747)]=tempBigInt&0xff;
 var $arrayidx223_sum_pre_i_i=((($shl221_i_i)+(2))|0);
 var $_pre_i66_i=((19784+($arrayidx223_sum_pre_i_i<<2))|0);
 var $F224_0_i_i=$286;var $_pre_phi_i67_i=$_pre_i66_i;label=285;break;
 case 283: 
 var $arrayidx223_sum25_i_i=((($shl221_i_i)+(2))|0);
 var $288=((19784+($arrayidx223_sum25_i_i<<2))|0);
 var $289=((((HEAPU8[($288)])|(HEAPU8[((($288)+(1))|0)]<<8)|(HEAPU8[((($288)+(2))|0)]<<16)|(HEAPU8[((($288)+(3))|0)]<<24))|0));
 var $290=$289;
 var $291=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp236_i_i=($290>>>0)<($291>>>0);
 if($cmp236_i_i){label=284;break;}else{var $F224_0_i_i=$289;var $_pre_phi_i67_i=$288;label=285;break;}
 case 284: 
 _abort();
 throw "Reached an unreachable!";
 case 285: 
 var $_pre_phi_i67_i;
 var $F224_0_i_i;
 tempBigInt=$226;HEAP8[($_pre_phi_i67_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($_pre_phi_i67_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($_pre_phi_i67_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($_pre_phi_i67_i)+(3))|0)]=tempBigInt&0xff;
 var $bk246_i_i=(($F224_0_i_i+12)|0);
 tempBigInt=$226;HEAP8[($bk246_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk246_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk246_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk246_i_i)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr17_sum23_i_i=((($add_ptr4_sum_i50_i)+(8))|0);
 var $fd247_i_i=(($tbase_294_i+$add_ptr17_sum23_i_i)|0);
 var $292=$fd247_i_i;
 tempBigInt=$F224_0_i_i;HEAP8[($292)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($292)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($292)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($292)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr17_sum24_i_i=((($add_ptr4_sum_i50_i)+(12))|0);
 var $bk248_i_i=(($tbase_294_i+$add_ptr17_sum24_i_i)|0);
 var $293=$bk248_i_i;
 tempBigInt=$286;HEAP8[($293)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($293)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($293)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($293)+(3))|0)]=tempBigInt&0xff;
 label=303;break;
 case 286: 
 var $294=$add_ptr17_i_i;
 var $shr253_i_i=$qsize_0_i_i>>>8;
 var $cmp254_i_i=($shr253_i_i|0)==0;
 if($cmp254_i_i){var $I252_0_i_i=0;label=289;break;}else{label=287;break;}
 case 287: 
 var $cmp258_i_i=($qsize_0_i_i>>>0)>16777215;
 if($cmp258_i_i){var $I252_0_i_i=31;label=289;break;}else{label=288;break;}
 case 288: 
 var $sub262_i_i=((($shr253_i_i)+(1048320))|0);
 var $shr263_i_i=$sub262_i_i>>>16;
 var $and264_i_i=$shr263_i_i&8;
 var $shl265_i_i=$shr253_i_i<<$and264_i_i;
 var $sub266_i_i=((($shl265_i_i)+(520192))|0);
 var $shr267_i_i=$sub266_i_i>>>16;
 var $and268_i_i=$shr267_i_i&4;
 var $add269_i_i=$and268_i_i|$and264_i_i;
 var $shl270_i_i=$shl265_i_i<<$and268_i_i;
 var $sub271_i_i=((($shl270_i_i)+(245760))|0);
 var $shr272_i_i=$sub271_i_i>>>16;
 var $and273_i_i=$shr272_i_i&2;
 var $add274_i_i=$add269_i_i|$and273_i_i;
 var $sub275_i_i=(((14)-($add274_i_i))|0);
 var $shl276_i_i=$shl270_i_i<<$and273_i_i;
 var $shr277_i_i=$shl276_i_i>>>15;
 var $add278_i_i=((($sub275_i_i)+($shr277_i_i))|0);
 var $shl279_i_i=$add278_i_i<<1;
 var $add280_i_i=((($add278_i_i)+(7))|0);
 var $shr281_i_i=$qsize_0_i_i>>>($add280_i_i>>>0);
 var $and282_i_i=$shr281_i_i&1;
 var $add283_i_i=$and282_i_i|$shl279_i_i;
 var $I252_0_i_i=$add283_i_i;label=289;break;
 case 289: 
 var $I252_0_i_i;
 var $arrayidx287_i_i=((20048+($I252_0_i_i<<2))|0);
 var $add_ptr17_sum9_i_i=((($add_ptr4_sum_i50_i)+(28))|0);
 var $index288_i_i=(($tbase_294_i+$add_ptr17_sum9_i_i)|0);
 var $295=$index288_i_i;
 tempBigInt=$I252_0_i_i;HEAP8[($295)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($295)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($295)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($295)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr17_sum10_i_i=((($add_ptr4_sum_i50_i)+(16))|0);
 var $child289_i_i=(($tbase_294_i+$add_ptr17_sum10_i_i)|0);
 var $child289_sum_i_i=((($add_ptr4_sum_i50_i)+(20))|0);
 var $arrayidx290_i_i=(($tbase_294_i+$child289_sum_i_i)|0);
 var $296=$arrayidx290_i_i;
 tempBigInt=0;HEAP8[($296)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($296)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($296)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($296)+(3))|0)]=tempBigInt&0xff;
 var $arrayidx292_i_i=$child289_i_i;
 tempBigInt=0;HEAP8[($arrayidx292_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx292_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx292_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx292_i_i)+(3))|0)]=tempBigInt&0xff;
 var $297=((((HEAPU8[(19748)])|(HEAPU8[(19749)]<<8)|(HEAPU8[(19750)]<<16)|(HEAPU8[(19751)]<<24))|0));
 var $shl294_i_i=1<<$I252_0_i_i;
 var $and295_i_i=$297&$shl294_i_i;
 var $tobool296_i_i=($and295_i_i|0)==0;
 if($tobool296_i_i){label=290;break;}else{label=291;break;}
 case 290: 
 var $or300_i_i=$297|$shl294_i_i;
 tempBigInt=$or300_i_i;HEAP8[(19748)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19749)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19750)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19751)]=tempBigInt&0xff;
 tempBigInt=$294;HEAP8[($arrayidx287_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx287_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx287_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx287_i_i)+(3))|0)]=tempBigInt&0xff;
 var $298=$arrayidx287_i_i;
 var $add_ptr17_sum11_i_i=((($add_ptr4_sum_i50_i)+(24))|0);
 var $parent301_i_i=(($tbase_294_i+$add_ptr17_sum11_i_i)|0);
 var $299=$parent301_i_i;
 tempBigInt=$298;HEAP8[($299)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($299)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($299)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($299)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr17_sum12_i_i=((($add_ptr4_sum_i50_i)+(12))|0);
 var $bk302_i_i=(($tbase_294_i+$add_ptr17_sum12_i_i)|0);
 var $300=$bk302_i_i;
 tempBigInt=$294;HEAP8[($300)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($300)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($300)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($300)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr17_sum13_i_i=((($add_ptr4_sum_i50_i)+(8))|0);
 var $fd303_i_i=(($tbase_294_i+$add_ptr17_sum13_i_i)|0);
 var $301=$fd303_i_i;
 tempBigInt=$294;HEAP8[($301)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($301)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($301)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($301)+(3))|0)]=tempBigInt&0xff;
 label=303;break;
 case 291: 
 var $302=((((HEAPU8[($arrayidx287_i_i)])|(HEAPU8[((($arrayidx287_i_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx287_i_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx287_i_i)+(3))|0)]<<24))|0));
 var $cmp306_i_i=($I252_0_i_i|0)==31;
 if($cmp306_i_i){var $cond315_i_i=0;label=293;break;}else{label=292;break;}
 case 292: 
 var $shr310_i_i=$I252_0_i_i>>>1;
 var $sub313_i_i=(((25)-($shr310_i_i))|0);
 var $cond315_i_i=$sub313_i_i;label=293;break;
 case 293: 
 var $cond315_i_i;
 var $head31743_i_i=(($302+4)|0);
 var $303=((((HEAPU8[($head31743_i_i)])|(HEAPU8[((($head31743_i_i)+(1))|0)]<<8)|(HEAPU8[((($head31743_i_i)+(2))|0)]<<16)|(HEAPU8[((($head31743_i_i)+(3))|0)]<<24))|0));
 var $and31844_i_i=$303&-8;
 var $cmp31945_i_i=($and31844_i_i|0)==($qsize_0_i_i|0);
 if($cmp31945_i_i){var $T_0_lcssa_i69_i=$302;label=300;break;}else{label=294;break;}
 case 294: 
 var $shl316_i_i=$qsize_0_i_i<<$cond315_i_i;
 var $T_046_i_i=$302;var $K305_047_i_i=$shl316_i_i;label=296;break;
 case 295: 
 var $shl326_i_i=$K305_047_i_i<<1;
 var $head317_i_i=(($305+4)|0);
 var $304=((((HEAPU8[($head317_i_i)])|(HEAPU8[((($head317_i_i)+(1))|0)]<<8)|(HEAPU8[((($head317_i_i)+(2))|0)]<<16)|(HEAPU8[((($head317_i_i)+(3))|0)]<<24))|0));
 var $and318_i_i=$304&-8;
 var $cmp319_i_i=($and318_i_i|0)==($qsize_0_i_i|0);
 if($cmp319_i_i){var $T_0_lcssa_i69_i=$305;label=300;break;}else{var $T_046_i_i=$305;var $K305_047_i_i=$shl326_i_i;label=296;break;}
 case 296: 
 var $K305_047_i_i;
 var $T_046_i_i;
 var $shr322_i_i=$K305_047_i_i>>>31;
 var $arrayidx325_i_i=(($T_046_i_i+16+($shr322_i_i<<2))|0);
 var $305=((((HEAPU8[($arrayidx325_i_i)])|(HEAPU8[((($arrayidx325_i_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx325_i_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx325_i_i)+(3))|0)]<<24))|0));
 var $cmp327_i_i=($305|0)==0;
 if($cmp327_i_i){label=297;break;}else{label=295;break;}
 case 297: 
 var $306=$arrayidx325_i_i;
 var $307=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp332_i_i=($306>>>0)<($307>>>0);
 if($cmp332_i_i){label=299;break;}else{label=298;break;}
 case 298: 
 tempBigInt=$294;HEAP8[($arrayidx325_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx325_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx325_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx325_i_i)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr17_sum20_i_i=((($add_ptr4_sum_i50_i)+(24))|0);
 var $parent337_i_i=(($tbase_294_i+$add_ptr17_sum20_i_i)|0);
 var $308=$parent337_i_i;
 tempBigInt=$T_046_i_i;HEAP8[($308)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($308)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($308)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($308)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr17_sum21_i_i=((($add_ptr4_sum_i50_i)+(12))|0);
 var $bk338_i_i=(($tbase_294_i+$add_ptr17_sum21_i_i)|0);
 var $309=$bk338_i_i;
 tempBigInt=$294;HEAP8[($309)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($309)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($309)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($309)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr17_sum22_i_i=((($add_ptr4_sum_i50_i)+(8))|0);
 var $fd339_i_i=(($tbase_294_i+$add_ptr17_sum22_i_i)|0);
 var $310=$fd339_i_i;
 tempBigInt=$294;HEAP8[($310)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($310)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($310)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($310)+(3))|0)]=tempBigInt&0xff;
 label=303;break;
 case 299: 
 _abort();
 throw "Reached an unreachable!";
 case 300: 
 var $T_0_lcssa_i69_i;
 var $fd344_i_i=(($T_0_lcssa_i69_i+8)|0);
 var $311=((((HEAPU8[($fd344_i_i)])|(HEAPU8[((($fd344_i_i)+(1))|0)]<<8)|(HEAPU8[((($fd344_i_i)+(2))|0)]<<16)|(HEAPU8[((($fd344_i_i)+(3))|0)]<<24))|0));
 var $312=$T_0_lcssa_i69_i;
 var $313=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp346_i_i=($312>>>0)>=($313>>>0);
 var $314=$311;
 var $cmp350_i_i=($314>>>0)>=($313>>>0);
 var $or_cond_i70_i=$cmp346_i_i&$cmp350_i_i;
 if($or_cond_i70_i){label=301;break;}else{label=302;break;}
 case 301: 
 var $bk357_i_i=(($311+12)|0);
 tempBigInt=$294;HEAP8[($bk357_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk357_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk357_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk357_i_i)+(3))|0)]=tempBigInt&0xff;
 tempBigInt=$294;HEAP8[($fd344_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd344_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd344_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd344_i_i)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr17_sum17_i_i=((($add_ptr4_sum_i50_i)+(8))|0);
 var $fd359_i_i=(($tbase_294_i+$add_ptr17_sum17_i_i)|0);
 var $315=$fd359_i_i;
 tempBigInt=$311;HEAP8[($315)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($315)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($315)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($315)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr17_sum18_i_i=((($add_ptr4_sum_i50_i)+(12))|0);
 var $bk360_i_i=(($tbase_294_i+$add_ptr17_sum18_i_i)|0);
 var $316=$bk360_i_i;
 tempBigInt=$T_0_lcssa_i69_i;HEAP8[($316)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($316)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($316)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($316)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr17_sum19_i_i=((($add_ptr4_sum_i50_i)+(24))|0);
 var $parent361_i_i=(($tbase_294_i+$add_ptr17_sum19_i_i)|0);
 var $317=$parent361_i_i;
 tempBigInt=0;HEAP8[($317)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($317)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($317)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($317)+(3))|0)]=tempBigInt&0xff;
 label=303;break;
 case 302: 
 _abort();
 throw "Reached an unreachable!";
 case 303: 
 var $add_ptr4_sum1415_i_i=$cond_i43_i|8;
 var $add_ptr368_i_i=(($tbase_294_i+$add_ptr4_sum1415_i_i)|0);
 var $mem_0=$add_ptr368_i_i;label=341;break;
 case 304: 
 var $318=$190;
 var $sp_0_i_i_i=20192;label=305;break;
 case 305: 
 var $sp_0_i_i_i;
 var $base_i_i_i=(($sp_0_i_i_i)|0);
 var $319=((((HEAPU8[($base_i_i_i)])|(HEAPU8[((($base_i_i_i)+(1))|0)]<<8)|(HEAPU8[((($base_i_i_i)+(2))|0)]<<16)|(HEAPU8[((($base_i_i_i)+(3))|0)]<<24))|0));
 var $cmp_i_i_i=($319>>>0)>($318>>>0);
 if($cmp_i_i_i){label=307;break;}else{label=306;break;}
 case 306: 
 var $size_i_i_i=(($sp_0_i_i_i+4)|0);
 var $320=((((HEAPU8[($size_i_i_i)])|(HEAPU8[((($size_i_i_i)+(1))|0)]<<8)|(HEAPU8[((($size_i_i_i)+(2))|0)]<<16)|(HEAPU8[((($size_i_i_i)+(3))|0)]<<24))|0));
 var $add_ptr_i_i_i=(($319+$320)|0);
 var $cmp2_i_i_i=($add_ptr_i_i_i>>>0)>($318>>>0);
 if($cmp2_i_i_i){label=308;break;}else{label=307;break;}
 case 307: 
 var $next_i_i_i=(($sp_0_i_i_i+8)|0);
 var $321=((((HEAPU8[($next_i_i_i)])|(HEAPU8[((($next_i_i_i)+(1))|0)]<<8)|(HEAPU8[((($next_i_i_i)+(2))|0)]<<16)|(HEAPU8[((($next_i_i_i)+(3))|0)]<<24))|0));
 var $sp_0_i_i_i=$321;label=305;break;
 case 308: 
 var $add_ptr_sum_i_i=((($320)-(47))|0);
 var $add_ptr2_sum_i_i=((($320)-(39))|0);
 var $add_ptr3_i_i=(($319+$add_ptr2_sum_i_i)|0);
 var $322=$add_ptr3_i_i;
 var $and_i15_i=$322&7;
 var $cmp_i16_i=($and_i15_i|0)==0;
 if($cmp_i16_i){var $cond_i18_i=0;label=310;break;}else{label=309;break;}
 case 309: 
 var $323=(((-$322))|0);
 var $and6_i_i=$323&7;
 var $cond_i18_i=$and6_i_i;label=310;break;
 case 310: 
 var $cond_i18_i;
 var $add_ptr2_sum1_i_i=((($add_ptr_sum_i_i)+($cond_i18_i))|0);
 var $add_ptr7_i_i=(($319+$add_ptr2_sum1_i_i)|0);
 var $add_ptr82_i_i=(($190+16)|0);
 var $add_ptr8_i_i=$add_ptr82_i_i;
 var $cmp9_i_i=($add_ptr7_i_i>>>0)<($add_ptr8_i_i>>>0);
 var $cond13_i_i=($cmp9_i_i?$318:$add_ptr7_i_i);
 var $add_ptr14_i_i=(($cond13_i_i+8)|0);
 var $324=$add_ptr14_i_i;
 var $sub16_i_i=((($tsize_293_i)-(40))|0);
 var $add_ptr_i11_i_i=(($tbase_294_i+8)|0);
 var $325=$add_ptr_i11_i_i;
 var $and_i_i_i=$325&7;
 var $cmp_i12_i_i=($and_i_i_i|0)==0;
 if($cmp_i12_i_i){var $cond_i_i_i=0;label=312;break;}else{label=311;break;}
 case 311: 
 var $326=(((-$325))|0);
 var $and3_i_i_i=$326&7;
 var $cond_i_i_i=$and3_i_i_i;label=312;break;
 case 312: 
 var $cond_i_i_i;
 var $add_ptr4_i_i_i=(($tbase_294_i+$cond_i_i_i)|0);
 var $327=$add_ptr4_i_i_i;
 var $sub5_i_i_i=((($sub16_i_i)-($cond_i_i_i))|0);
 tempBigInt=$327;HEAP8[(19768)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19769)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19770)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19771)]=tempBigInt&0xff;
 tempBigInt=$sub5_i_i_i;HEAP8[(19756)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19757)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19758)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19759)]=tempBigInt&0xff;
 var $or_i_i_i=$sub5_i_i_i|1;
 var $add_ptr4_sum_i_i_i=((($cond_i_i_i)+(4))|0);
 var $head_i_i_i=(($tbase_294_i+$add_ptr4_sum_i_i_i)|0);
 var $328=$head_i_i_i;
 tempBigInt=$or_i_i_i;HEAP8[($328)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($328)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($328)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($328)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr6_sum_i_i_i=((($tsize_293_i)-(36))|0);
 var $head7_i_i_i=(($tbase_294_i+$add_ptr6_sum_i_i_i)|0);
 var $329=$head7_i_i_i;
 tempBigInt=40;HEAP8[($329)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($329)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($329)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($329)+(3))|0)]=tempBigInt&0xff;
 var $330=((((HEAPU8[(19696)])|(HEAPU8[(19697)]<<8)|(HEAPU8[(19698)]<<16)|(HEAPU8[(19699)]<<24))|0));
 tempBigInt=$330;HEAP8[(19772)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19773)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19774)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19775)]=tempBigInt&0xff;
 var $head_i19_i=(($cond13_i_i+4)|0);
 var $331=$head_i19_i;
 tempBigInt=27;HEAP8[($331)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($331)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($331)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($331)+(3))|0)]=tempBigInt&0xff;
 assert(16 % 1 === 0);tempBigInt=((((HEAPU8[(20192)])|(HEAPU8[(20193)]<<8)|(HEAPU8[(20194)]<<16)|(HEAPU8[(20195)]<<24))|0));HEAP8[($add_ptr14_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($add_ptr14_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($add_ptr14_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($add_ptr14_i_i)+(3))|0)]=tempBigInt&0xff;tempBigInt=((((HEAPU8[(20196)])|(HEAPU8[(20197)]<<8)|(HEAPU8[(20198)]<<16)|(HEAPU8[(20199)]<<24))|0));HEAP8[((($add_ptr14_i_i)+(4))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($add_ptr14_i_i)+(5))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($add_ptr14_i_i)+(6))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($add_ptr14_i_i)+(7))|0)]=tempBigInt&0xff;tempBigInt=((((HEAPU8[(20200)])|(HEAPU8[(20201)]<<8)|(HEAPU8[(20202)]<<16)|(HEAPU8[(20203)]<<24))|0));HEAP8[((($add_ptr14_i_i)+(8))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($add_ptr14_i_i)+(9))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($add_ptr14_i_i)+(10))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($add_ptr14_i_i)+(11))|0)]=tempBigInt&0xff;tempBigInt=((((HEAPU8[(20204)])|(HEAPU8[(20205)]<<8)|(HEAPU8[(20206)]<<16)|(HEAPU8[(20207)]<<24))|0));HEAP8[((($add_ptr14_i_i)+(12))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($add_ptr14_i_i)+(13))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($add_ptr14_i_i)+(14))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($add_ptr14_i_i)+(15))|0)]=tempBigInt&0xff;
 tempBigInt=$tbase_294_i;HEAP8[(20192)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20193)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20194)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20195)]=tempBigInt&0xff;
 tempBigInt=$tsize_293_i;HEAP8[(20196)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20197)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20198)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20199)]=tempBigInt&0xff;
 tempBigInt=0;HEAP8[(20204)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20205)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20206)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20207)]=tempBigInt&0xff;
 tempBigInt=$324;HEAP8[(20200)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20201)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20202)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(20203)]=tempBigInt&0xff;
 var $add_ptr2419_i_i=(($cond13_i_i+28)|0);
 var $332=$add_ptr2419_i_i;
 tempBigInt=7;HEAP8[($332)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($332)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($332)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($332)+(3))|0)]=tempBigInt&0xff;
 var $333=(($cond13_i_i+32)|0);
 var $cmp2720_i_i=($333>>>0)<($add_ptr_i_i_i>>>0);
 if($cmp2720_i_i){var $add_ptr2421_i_i=$332;label=313;break;}else{label=314;break;}
 case 313: 
 var $add_ptr2421_i_i;
 var $334=(($add_ptr2421_i_i+4)|0);
 tempBigInt=7;HEAP8[($334)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($334)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($334)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($334)+(3))|0)]=tempBigInt&0xff;
 var $335=(($add_ptr2421_i_i+8)|0);
 var $336=$335;
 var $cmp27_i_i=($336>>>0)<($add_ptr_i_i_i>>>0);
 if($cmp27_i_i){var $add_ptr2421_i_i=$334;label=313;break;}else{label=314;break;}
 case 314: 
 var $cmp28_i_i=($cond13_i_i|0)==($318|0);
 if($cmp28_i_i){label=338;break;}else{label=315;break;}
 case 315: 
 var $sub_ptr_lhs_cast_i_i=$cond13_i_i;
 var $sub_ptr_rhs_cast_i_i=$190;
 var $sub_ptr_sub_i_i=((($sub_ptr_lhs_cast_i_i)-($sub_ptr_rhs_cast_i_i))|0);
 var $add_ptr30_i_i=(($318+$sub_ptr_sub_i_i)|0);
 var $add_ptr30_sum_i_i=((($sub_ptr_sub_i_i)+(4))|0);
 var $head31_i_i=(($318+$add_ptr30_sum_i_i)|0);
 var $337=$head31_i_i;
 var $338=((((HEAPU8[($337)])|(HEAPU8[((($337)+(1))|0)]<<8)|(HEAPU8[((($337)+(2))|0)]<<16)|(HEAPU8[((($337)+(3))|0)]<<24))|0));
 var $and32_i_i=$338&-2;
 tempBigInt=$and32_i_i;HEAP8[($337)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($337)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($337)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($337)+(3))|0)]=tempBigInt&0xff;
 var $or33_i_i=$sub_ptr_sub_i_i|1;
 var $head34_i_i=(($190+4)|0);
 tempBigInt=$or33_i_i;HEAP8[($head34_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head34_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head34_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head34_i_i)+(3))|0)]=tempBigInt&0xff;
 var $prev_foot_i_i=$add_ptr30_i_i;
 tempBigInt=$sub_ptr_sub_i_i;HEAP8[($prev_foot_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot_i_i)+(3))|0)]=tempBigInt&0xff;
 var $shr_i_i=$sub_ptr_sub_i_i>>>3;
 var $cmp36_i_i=($sub_ptr_sub_i_i>>>0)<256;
 if($cmp36_i_i){label=316;break;}else{label=321;break;}
 case 316: 
 var $shl_i21_i=$shr_i_i<<1;
 var $arrayidx_i22_i=((19784+($shl_i21_i<<2))|0);
 var $339=$arrayidx_i22_i;
 var $340=((((HEAPU8[(19744)])|(HEAPU8[(19745)]<<8)|(HEAPU8[(19746)]<<16)|(HEAPU8[(19747)]<<24))|0));
 var $shl39_i_i=1<<$shr_i_i;
 var $and40_i_i=$340&$shl39_i_i;
 var $tobool_i_i=($and40_i_i|0)==0;
 if($tobool_i_i){label=317;break;}else{label=318;break;}
 case 317: 
 var $or44_i_i=$340|$shl39_i_i;
 tempBigInt=$or44_i_i;HEAP8[(19744)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19745)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19746)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19747)]=tempBigInt&0xff;
 var $arrayidx_sum_pre_i_i=((($shl_i21_i)+(2))|0);
 var $_pre_i_i=((19784+($arrayidx_sum_pre_i_i<<2))|0);
 var $F_0_i_i=$339;var $_pre_phi_i_i=$_pre_i_i;label=320;break;
 case 318: 
 var $arrayidx_sum10_i_i=((($shl_i21_i)+(2))|0);
 var $341=((19784+($arrayidx_sum10_i_i<<2))|0);
 var $342=((((HEAPU8[($341)])|(HEAPU8[((($341)+(1))|0)]<<8)|(HEAPU8[((($341)+(2))|0)]<<16)|(HEAPU8[((($341)+(3))|0)]<<24))|0));
 var $343=$342;
 var $344=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp46_i_i=($343>>>0)<($344>>>0);
 if($cmp46_i_i){label=319;break;}else{var $F_0_i_i=$342;var $_pre_phi_i_i=$341;label=320;break;}
 case 319: 
 _abort();
 throw "Reached an unreachable!";
 case 320: 
 var $_pre_phi_i_i;
 var $F_0_i_i;
 tempBigInt=$190;HEAP8[($_pre_phi_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($_pre_phi_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($_pre_phi_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($_pre_phi_i_i)+(3))|0)]=tempBigInt&0xff;
 var $bk_i_i=(($F_0_i_i+12)|0);
 tempBigInt=$190;HEAP8[($bk_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk_i_i)+(3))|0)]=tempBigInt&0xff;
 var $fd54_i_i=(($190+8)|0);
 tempBigInt=$F_0_i_i;HEAP8[($fd54_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd54_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd54_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd54_i_i)+(3))|0)]=tempBigInt&0xff;
 var $bk55_i_i=(($190+12)|0);
 tempBigInt=$339;HEAP8[($bk55_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk55_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk55_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk55_i_i)+(3))|0)]=tempBigInt&0xff;
 label=338;break;
 case 321: 
 var $345=$190;
 var $shr58_i_i=$sub_ptr_sub_i_i>>>8;
 var $cmp59_i_i=($shr58_i_i|0)==0;
 if($cmp59_i_i){var $I57_0_i_i=0;label=324;break;}else{label=322;break;}
 case 322: 
 var $cmp63_i_i=($sub_ptr_sub_i_i>>>0)>16777215;
 if($cmp63_i_i){var $I57_0_i_i=31;label=324;break;}else{label=323;break;}
 case 323: 
 var $sub67_i_i=((($shr58_i_i)+(1048320))|0);
 var $shr68_i_i=$sub67_i_i>>>16;
 var $and69_i_i=$shr68_i_i&8;
 var $shl70_i_i=$shr58_i_i<<$and69_i_i;
 var $sub71_i_i=((($shl70_i_i)+(520192))|0);
 var $shr72_i_i=$sub71_i_i>>>16;
 var $and73_i_i=$shr72_i_i&4;
 var $add74_i_i=$and73_i_i|$and69_i_i;
 var $shl75_i_i=$shl70_i_i<<$and73_i_i;
 var $sub76_i_i=((($shl75_i_i)+(245760))|0);
 var $shr77_i_i=$sub76_i_i>>>16;
 var $and78_i_i=$shr77_i_i&2;
 var $add79_i_i=$add74_i_i|$and78_i_i;
 var $sub80_i_i=(((14)-($add79_i_i))|0);
 var $shl81_i_i=$shl75_i_i<<$and78_i_i;
 var $shr82_i_i=$shl81_i_i>>>15;
 var $add83_i_i=((($sub80_i_i)+($shr82_i_i))|0);
 var $shl84_i_i=$add83_i_i<<1;
 var $add85_i_i=((($add83_i_i)+(7))|0);
 var $shr86_i_i=$sub_ptr_sub_i_i>>>($add85_i_i>>>0);
 var $and87_i_i=$shr86_i_i&1;
 var $add88_i_i=$and87_i_i|$shl84_i_i;
 var $I57_0_i_i=$add88_i_i;label=324;break;
 case 324: 
 var $I57_0_i_i;
 var $arrayidx91_i_i=((20048+($I57_0_i_i<<2))|0);
 var $index_i_i=(($190+28)|0);
 var $I57_0_c_i_i=$I57_0_i_i;
 tempBigInt=$I57_0_c_i_i;HEAP8[($index_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($index_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($index_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($index_i_i)+(3))|0)]=tempBigInt&0xff;
 var $arrayidx92_i_i=(($190+20)|0);
 tempBigInt=0;HEAP8[($arrayidx92_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx92_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx92_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx92_i_i)+(3))|0)]=tempBigInt&0xff;
 var $346=(($190+16)|0);
 tempBigInt=0;HEAP8[($346)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($346)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($346)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($346)+(3))|0)]=tempBigInt&0xff;
 var $347=((((HEAPU8[(19748)])|(HEAPU8[(19749)]<<8)|(HEAPU8[(19750)]<<16)|(HEAPU8[(19751)]<<24))|0));
 var $shl95_i_i=1<<$I57_0_i_i;
 var $and96_i_i=$347&$shl95_i_i;
 var $tobool97_i_i=($and96_i_i|0)==0;
 if($tobool97_i_i){label=325;break;}else{label=326;break;}
 case 325: 
 var $or101_i_i=$347|$shl95_i_i;
 tempBigInt=$or101_i_i;HEAP8[(19748)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19749)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19750)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19751)]=tempBigInt&0xff;
 tempBigInt=$345;HEAP8[($arrayidx91_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx91_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx91_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx91_i_i)+(3))|0)]=tempBigInt&0xff;
 var $parent_i_i=(($190+24)|0);
 var $_c_i_i=$arrayidx91_i_i;
 tempBigInt=$_c_i_i;HEAP8[($parent_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent_i_i)+(3))|0)]=tempBigInt&0xff;
 var $bk102_i_i=(($190+12)|0);
 tempBigInt=$190;HEAP8[($bk102_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk102_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk102_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk102_i_i)+(3))|0)]=tempBigInt&0xff;
 var $fd103_i_i=(($190+8)|0);
 tempBigInt=$190;HEAP8[($fd103_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd103_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd103_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd103_i_i)+(3))|0)]=tempBigInt&0xff;
 label=338;break;
 case 326: 
 var $348=((((HEAPU8[($arrayidx91_i_i)])|(HEAPU8[((($arrayidx91_i_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx91_i_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx91_i_i)+(3))|0)]<<24))|0));
 var $cmp106_i_i=($I57_0_i_i|0)==31;
 if($cmp106_i_i){var $cond115_i_i=0;label=328;break;}else{label=327;break;}
 case 327: 
 var $shr110_i_i=$I57_0_i_i>>>1;
 var $sub113_i_i=(((25)-($shr110_i_i))|0);
 var $cond115_i_i=$sub113_i_i;label=328;break;
 case 328: 
 var $cond115_i_i;
 var $head11814_i_i=(($348+4)|0);
 var $349=((((HEAPU8[($head11814_i_i)])|(HEAPU8[((($head11814_i_i)+(1))|0)]<<8)|(HEAPU8[((($head11814_i_i)+(2))|0)]<<16)|(HEAPU8[((($head11814_i_i)+(3))|0)]<<24))|0));
 var $and11915_i_i=$349&-8;
 var $cmp12016_i_i=($and11915_i_i|0)==($sub_ptr_sub_i_i|0);
 if($cmp12016_i_i){var $T_0_lcssa_i_i=$348;label=335;break;}else{label=329;break;}
 case 329: 
 var $shl116_i_i=$sub_ptr_sub_i_i<<$cond115_i_i;
 var $T_017_i_i=$348;var $K105_018_i_i=$shl116_i_i;label=331;break;
 case 330: 
 var $shl127_i_i=$K105_018_i_i<<1;
 var $head118_i_i=(($351+4)|0);
 var $350=((((HEAPU8[($head118_i_i)])|(HEAPU8[((($head118_i_i)+(1))|0)]<<8)|(HEAPU8[((($head118_i_i)+(2))|0)]<<16)|(HEAPU8[((($head118_i_i)+(3))|0)]<<24))|0));
 var $and119_i_i=$350&-8;
 var $cmp120_i_i=($and119_i_i|0)==($sub_ptr_sub_i_i|0);
 if($cmp120_i_i){var $T_0_lcssa_i_i=$351;label=335;break;}else{var $T_017_i_i=$351;var $K105_018_i_i=$shl127_i_i;label=331;break;}
 case 331: 
 var $K105_018_i_i;
 var $T_017_i_i;
 var $shr123_i_i=$K105_018_i_i>>>31;
 var $arrayidx126_i_i=(($T_017_i_i+16+($shr123_i_i<<2))|0);
 var $351=((((HEAPU8[($arrayidx126_i_i)])|(HEAPU8[((($arrayidx126_i_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx126_i_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx126_i_i)+(3))|0)]<<24))|0));
 var $cmp128_i_i=($351|0)==0;
 if($cmp128_i_i){label=332;break;}else{label=330;break;}
 case 332: 
 var $352=$arrayidx126_i_i;
 var $353=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp133_i_i=($352>>>0)<($353>>>0);
 if($cmp133_i_i){label=334;break;}else{label=333;break;}
 case 333: 
 tempBigInt=$345;HEAP8[($arrayidx126_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx126_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx126_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx126_i_i)+(3))|0)]=tempBigInt&0xff;
 var $parent138_i_i=(($190+24)|0);
 var $T_0_c7_i_i=$T_017_i_i;
 tempBigInt=$T_0_c7_i_i;HEAP8[($parent138_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent138_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent138_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent138_i_i)+(3))|0)]=tempBigInt&0xff;
 var $bk139_i_i=(($190+12)|0);
 tempBigInt=$190;HEAP8[($bk139_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk139_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk139_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk139_i_i)+(3))|0)]=tempBigInt&0xff;
 var $fd140_i_i=(($190+8)|0);
 tempBigInt=$190;HEAP8[($fd140_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd140_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd140_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd140_i_i)+(3))|0)]=tempBigInt&0xff;
 label=338;break;
 case 334: 
 _abort();
 throw "Reached an unreachable!";
 case 335: 
 var $T_0_lcssa_i_i;
 var $fd145_i_i=(($T_0_lcssa_i_i+8)|0);
 var $354=((((HEAPU8[($fd145_i_i)])|(HEAPU8[((($fd145_i_i)+(1))|0)]<<8)|(HEAPU8[((($fd145_i_i)+(2))|0)]<<16)|(HEAPU8[((($fd145_i_i)+(3))|0)]<<24))|0));
 var $355=$T_0_lcssa_i_i;
 var $356=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp147_i_i=($355>>>0)>=($356>>>0);
 var $357=$354;
 var $cmp150_i_i=($357>>>0)>=($356>>>0);
 var $or_cond_i_i=$cmp147_i_i&$cmp150_i_i;
 if($or_cond_i_i){label=336;break;}else{label=337;break;}
 case 336: 
 var $bk155_i_i=(($354+12)|0);
 tempBigInt=$345;HEAP8[($bk155_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk155_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk155_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk155_i_i)+(3))|0)]=tempBigInt&0xff;
 tempBigInt=$345;HEAP8[($fd145_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd145_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd145_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd145_i_i)+(3))|0)]=tempBigInt&0xff;
 var $fd157_i_i=(($190+8)|0);
 var $_c6_i_i=$354;
 tempBigInt=$_c6_i_i;HEAP8[($fd157_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd157_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd157_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd157_i_i)+(3))|0)]=tempBigInt&0xff;
 var $bk158_i_i=(($190+12)|0);
 var $T_0_c_i_i=$T_0_lcssa_i_i;
 tempBigInt=$T_0_c_i_i;HEAP8[($bk158_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk158_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk158_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk158_i_i)+(3))|0)]=tempBigInt&0xff;
 var $parent159_i_i=(($190+24)|0);
 tempBigInt=0;HEAP8[($parent159_i_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent159_i_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent159_i_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent159_i_i)+(3))|0)]=tempBigInt&0xff;
 label=338;break;
 case 337: 
 _abort();
 throw "Reached an unreachable!";
 case 338: 
 var $358=((((HEAPU8[(19756)])|(HEAPU8[(19757)]<<8)|(HEAPU8[(19758)]<<16)|(HEAPU8[(19759)]<<24))|0));
 var $cmp250_i=($358>>>0)>($nb_0>>>0);
 if($cmp250_i){label=339;break;}else{label=340;break;}
 case 339: 
 var $sub253_i=((($358)-($nb_0))|0);
 tempBigInt=$sub253_i;HEAP8[(19756)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19757)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19758)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19759)]=tempBigInt&0xff;
 var $359=((((HEAPU8[(19768)])|(HEAPU8[(19769)]<<8)|(HEAPU8[(19770)]<<16)|(HEAPU8[(19771)]<<24))|0));
 var $360=$359;
 var $add_ptr255_i=(($360+$nb_0)|0);
 var $361=$add_ptr255_i;
 tempBigInt=$361;HEAP8[(19768)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19769)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19770)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19771)]=tempBigInt&0xff;
 var $or257_i=$sub253_i|1;
 var $add_ptr255_sum_i=((($nb_0)+(4))|0);
 var $head258_i=(($360+$add_ptr255_sum_i)|0);
 var $362=$head258_i;
 tempBigInt=$or257_i;HEAP8[($362)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($362)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($362)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($362)+(3))|0)]=tempBigInt&0xff;
 var $or260_i=$nb_0|3;
 var $head261_i=(($359+4)|0);
 tempBigInt=$or260_i;HEAP8[($head261_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head261_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head261_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head261_i)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr262_i=(($359+8)|0);
 var $363=$add_ptr262_i;
 var $mem_0=$363;label=341;break;
 case 340: 
 var $call265_i=___errno_location();
 tempBigInt=12;HEAP8[($call265_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($call265_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($call265_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($call265_i)+(3))|0)]=tempBigInt&0xff;
 var $mem_0=0;label=341;break;
 case 341: 
 var $mem_0;
 return $mem_0;
  default: assert(0, "bad label: " + label);
 }

}
Module["_malloc"] = _malloc;

function _free($mem){
 var label=0;

 label = 1; 
 while(1)switch(label){
 case 1: 
 var $cmp=($mem|0)==0;
 if($cmp){label=140;break;}else{label=2;break;}
 case 2: 
 var $add_ptr=((($mem)-(8))|0);
 var $0=$add_ptr;
 var $1=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp1=($add_ptr>>>0)<($1>>>0);
 if($cmp1){label=139;break;}else{label=3;break;}
 case 3: 
 var $head=((($mem)-(4))|0);
 var $2=$head;
 var $3=((((HEAPU8[($2)])|(HEAPU8[((($2)+(1))|0)]<<8)|(HEAPU8[((($2)+(2))|0)]<<16)|(HEAPU8[((($2)+(3))|0)]<<24))|0));
 var $and=$3&3;
 var $cmp2=($and|0)==1;
 if($cmp2){label=139;break;}else{label=4;break;}
 case 4: 
 var $and5=$3&-8;
 var $add_ptr_sum=((($and5)-(8))|0);
 var $add_ptr6=(($mem+$add_ptr_sum)|0);
 var $4=$add_ptr6;
 var $and8=$3&1;
 var $tobool9=($and8|0)==0;
 if($tobool9){label=5;break;}else{var $p_0=$0;var $psize_0=$and5;label=56;break;}
 case 5: 
 var $prev_foot=$add_ptr;
 var $5=((((HEAPU8[($prev_foot)])|(HEAPU8[((($prev_foot)+(1))|0)]<<8)|(HEAPU8[((($prev_foot)+(2))|0)]<<16)|(HEAPU8[((($prev_foot)+(3))|0)]<<24))|0));
 var $cmp13=($and|0)==0;
 if($cmp13){label=140;break;}else{label=6;break;}
 case 6: 
 var $add_ptr_sum231=(((-8)-($5))|0);
 var $add_ptr16=(($mem+$add_ptr_sum231)|0);
 var $6=$add_ptr16;
 var $add17=((($5)+($and5))|0);
 var $cmp18=($add_ptr16>>>0)<($1>>>0);
 if($cmp18){label=139;break;}else{label=7;break;}
 case 7: 
 var $7=((((HEAPU8[(19764)])|(HEAPU8[(19765)]<<8)|(HEAPU8[(19766)]<<16)|(HEAPU8[(19767)]<<24))|0));
 var $cmp22=($6|0)==($7|0);
 if($cmp22){label=54;break;}else{label=8;break;}
 case 8: 
 var $shr=$5>>>3;
 var $cmp25=($5>>>0)<256;
 if($cmp25){label=9;break;}else{label=21;break;}
 case 9: 
 var $add_ptr16_sum268=((($add_ptr_sum231)+(8))|0);
 var $fd=(($mem+$add_ptr16_sum268)|0);
 var $8=$fd;
 var $9=((((HEAPU8[($8)])|(HEAPU8[((($8)+(1))|0)]<<8)|(HEAPU8[((($8)+(2))|0)]<<16)|(HEAPU8[((($8)+(3))|0)]<<24))|0));
 var $add_ptr16_sum269=((($add_ptr_sum231)+(12))|0);
 var $bk=(($mem+$add_ptr16_sum269)|0);
 var $10=$bk;
 var $11=((((HEAPU8[($10)])|(HEAPU8[((($10)+(1))|0)]<<8)|(HEAPU8[((($10)+(2))|0)]<<16)|(HEAPU8[((($10)+(3))|0)]<<24))|0));
 var $shl=$shr<<1;
 var $arrayidx=((19784+($shl<<2))|0);
 var $12=$arrayidx;
 var $cmp29=($9|0)==($12|0);
 if($cmp29){label=12;break;}else{label=10;break;}
 case 10: 
 var $13=$9;
 var $cmp31=($13>>>0)<($1>>>0);
 if($cmp31){label=20;break;}else{label=11;break;}
 case 11: 
 var $bk34=(($9+12)|0);
 var $14=((((HEAPU8[($bk34)])|(HEAPU8[((($bk34)+(1))|0)]<<8)|(HEAPU8[((($bk34)+(2))|0)]<<16)|(HEAPU8[((($bk34)+(3))|0)]<<24))|0));
 var $cmp35=($14|0)==($6|0);
 if($cmp35){label=12;break;}else{label=20;break;}
 case 12: 
 var $cmp42=($11|0)==($9|0);
 if($cmp42){label=13;break;}else{label=14;break;}
 case 13: 
 var $shl45=1<<$shr;
 var $neg=$shl45^-1;
 var $15=((((HEAPU8[(19744)])|(HEAPU8[(19745)]<<8)|(HEAPU8[(19746)]<<16)|(HEAPU8[(19747)]<<24))|0));
 var $and46=$15&$neg;
 tempBigInt=$and46;HEAP8[(19744)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19745)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19746)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19747)]=tempBigInt&0xff;
 var $p_0=$6;var $psize_0=$add17;label=56;break;
 case 14: 
 var $cmp50=($11|0)==($12|0);
 if($cmp50){label=15;break;}else{label=16;break;}
 case 15: 
 var $fd67_pre=(($11+8)|0);
 var $fd67_pre_phi=$fd67_pre;label=18;break;
 case 16: 
 var $16=$11;
 var $cmp53=($16>>>0)<($1>>>0);
 if($cmp53){label=19;break;}else{label=17;break;}
 case 17: 
 var $fd56=(($11+8)|0);
 var $17=((((HEAPU8[($fd56)])|(HEAPU8[((($fd56)+(1))|0)]<<8)|(HEAPU8[((($fd56)+(2))|0)]<<16)|(HEAPU8[((($fd56)+(3))|0)]<<24))|0));
 var $cmp57=($17|0)==($6|0);
 if($cmp57){var $fd67_pre_phi=$fd56;label=18;break;}else{label=19;break;}
 case 18: 
 var $fd67_pre_phi;
 var $bk66=(($9+12)|0);
 tempBigInt=$11;HEAP8[($bk66)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk66)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk66)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk66)+(3))|0)]=tempBigInt&0xff;
 tempBigInt=$9;HEAP8[($fd67_pre_phi)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd67_pre_phi)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd67_pre_phi)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd67_pre_phi)+(3))|0)]=tempBigInt&0xff;
 var $p_0=$6;var $psize_0=$add17;label=56;break;
 case 19: 
 _abort();
 throw "Reached an unreachable!";
 case 20: 
 _abort();
 throw "Reached an unreachable!";
 case 21: 
 var $18=$add_ptr16;
 var $add_ptr16_sum260=((($add_ptr_sum231)+(24))|0);
 var $parent=(($mem+$add_ptr16_sum260)|0);
 var $19=$parent;
 var $20=((((HEAPU8[($19)])|(HEAPU8[((($19)+(1))|0)]<<8)|(HEAPU8[((($19)+(2))|0)]<<16)|(HEAPU8[((($19)+(3))|0)]<<24))|0));
 var $add_ptr16_sum261=((($add_ptr_sum231)+(12))|0);
 var $bk73=(($mem+$add_ptr16_sum261)|0);
 var $21=$bk73;
 var $22=((((HEAPU8[($21)])|(HEAPU8[((($21)+(1))|0)]<<8)|(HEAPU8[((($21)+(2))|0)]<<16)|(HEAPU8[((($21)+(3))|0)]<<24))|0));
 var $cmp74=($22|0)==($18|0);
 if($cmp74){label=27;break;}else{label=22;break;}
 case 22: 
 var $add_ptr16_sum265=((($add_ptr_sum231)+(8))|0);
 var $fd78=(($mem+$add_ptr16_sum265)|0);
 var $23=$fd78;
 var $24=((((HEAPU8[($23)])|(HEAPU8[((($23)+(1))|0)]<<8)|(HEAPU8[((($23)+(2))|0)]<<16)|(HEAPU8[((($23)+(3))|0)]<<24))|0));
 var $25=$24;
 var $cmp80=($25>>>0)<($1>>>0);
 if($cmp80){label=26;break;}else{label=23;break;}
 case 23: 
 var $bk82=(($24+12)|0);
 var $26=((((HEAPU8[($bk82)])|(HEAPU8[((($bk82)+(1))|0)]<<8)|(HEAPU8[((($bk82)+(2))|0)]<<16)|(HEAPU8[((($bk82)+(3))|0)]<<24))|0));
 var $cmp83=($26|0)==($18|0);
 if($cmp83){label=24;break;}else{label=26;break;}
 case 24: 
 var $fd86=(($22+8)|0);
 var $27=((((HEAPU8[($fd86)])|(HEAPU8[((($fd86)+(1))|0)]<<8)|(HEAPU8[((($fd86)+(2))|0)]<<16)|(HEAPU8[((($fd86)+(3))|0)]<<24))|0));
 var $cmp87=($27|0)==($18|0);
 if($cmp87){label=25;break;}else{label=26;break;}
 case 25: 
 tempBigInt=$22;HEAP8[($bk82)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk82)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk82)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk82)+(3))|0)]=tempBigInt&0xff;
 tempBigInt=$24;HEAP8[($fd86)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd86)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd86)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd86)+(3))|0)]=tempBigInt&0xff;
 var $R_1=$22;label=34;break;
 case 26: 
 _abort();
 throw "Reached an unreachable!";
 case 27: 
 var $child_sum=((($add_ptr_sum231)+(20))|0);
 var $arrayidx99=(($mem+$child_sum)|0);
 var $28=$arrayidx99;
 var $29=((((HEAPU8[($28)])|(HEAPU8[((($28)+(1))|0)]<<8)|(HEAPU8[((($28)+(2))|0)]<<16)|(HEAPU8[((($28)+(3))|0)]<<24))|0));
 var $cmp100=($29|0)==0;
 if($cmp100){label=28;break;}else{var $R_0=$29;var $RP_0=$28;label=29;break;}
 case 28: 
 var $add_ptr16_sum262=((($add_ptr_sum231)+(16))|0);
 var $child=(($mem+$add_ptr16_sum262)|0);
 var $arrayidx103=$child;
 var $30=((((HEAPU8[($arrayidx103)])|(HEAPU8[((($arrayidx103)+(1))|0)]<<8)|(HEAPU8[((($arrayidx103)+(2))|0)]<<16)|(HEAPU8[((($arrayidx103)+(3))|0)]<<24))|0));
 var $cmp104=($30|0)==0;
 if($cmp104){var $R_1=0;label=34;break;}else{var $R_0=$30;var $RP_0=$arrayidx103;label=29;break;}
 case 29: 
 var $RP_0;
 var $R_0;
 var $arrayidx108=(($R_0+20)|0);
 var $31=((((HEAPU8[($arrayidx108)])|(HEAPU8[((($arrayidx108)+(1))|0)]<<8)|(HEAPU8[((($arrayidx108)+(2))|0)]<<16)|(HEAPU8[((($arrayidx108)+(3))|0)]<<24))|0));
 var $cmp109=($31|0)==0;
 if($cmp109){label=30;break;}else{var $R_0=$31;var $RP_0=$arrayidx108;label=29;break;}
 case 30: 
 var $arrayidx113=(($R_0+16)|0);
 var $32=((((HEAPU8[($arrayidx113)])|(HEAPU8[((($arrayidx113)+(1))|0)]<<8)|(HEAPU8[((($arrayidx113)+(2))|0)]<<16)|(HEAPU8[((($arrayidx113)+(3))|0)]<<24))|0));
 var $cmp114=($32|0)==0;
 if($cmp114){label=31;break;}else{var $R_0=$32;var $RP_0=$arrayidx113;label=29;break;}
 case 31: 
 var $33=$RP_0;
 var $cmp118=($33>>>0)<($1>>>0);
 if($cmp118){label=33;break;}else{label=32;break;}
 case 32: 
 tempBigInt=0;HEAP8[($RP_0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($RP_0)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($RP_0)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($RP_0)+(3))|0)]=tempBigInt&0xff;
 var $R_1=$R_0;label=34;break;
 case 33: 
 _abort();
 throw "Reached an unreachable!";
 case 34: 
 var $R_1;
 var $cmp127=($20|0)==0;
 if($cmp127){var $p_0=$6;var $psize_0=$add17;label=56;break;}else{label=35;break;}
 case 35: 
 var $add_ptr16_sum263=((($add_ptr_sum231)+(28))|0);
 var $index=(($mem+$add_ptr16_sum263)|0);
 var $34=$index;
 var $35=((((HEAPU8[($34)])|(HEAPU8[((($34)+(1))|0)]<<8)|(HEAPU8[((($34)+(2))|0)]<<16)|(HEAPU8[((($34)+(3))|0)]<<24))|0));
 var $arrayidx130=((20048+($35<<2))|0);
 var $36=((((HEAPU8[($arrayidx130)])|(HEAPU8[((($arrayidx130)+(1))|0)]<<8)|(HEAPU8[((($arrayidx130)+(2))|0)]<<16)|(HEAPU8[((($arrayidx130)+(3))|0)]<<24))|0));
 var $cmp131=($18|0)==($36|0);
 if($cmp131){label=36;break;}else{label=38;break;}
 case 36: 
 tempBigInt=$R_1;HEAP8[($arrayidx130)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx130)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx130)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx130)+(3))|0)]=tempBigInt&0xff;
 var $cond278=($R_1|0)==0;
 if($cond278){label=37;break;}else{label=44;break;}
 case 37: 
 var $37=((((HEAPU8[($34)])|(HEAPU8[((($34)+(1))|0)]<<8)|(HEAPU8[((($34)+(2))|0)]<<16)|(HEAPU8[((($34)+(3))|0)]<<24))|0));
 var $shl138=1<<$37;
 var $neg139=$shl138^-1;
 var $38=((((HEAPU8[(19748)])|(HEAPU8[(19749)]<<8)|(HEAPU8[(19750)]<<16)|(HEAPU8[(19751)]<<24))|0));
 var $and140=$38&$neg139;
 tempBigInt=$and140;HEAP8[(19748)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19749)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19750)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19751)]=tempBigInt&0xff;
 var $p_0=$6;var $psize_0=$add17;label=56;break;
 case 38: 
 var $39=$20;
 var $40=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp143=($39>>>0)<($40>>>0);
 if($cmp143){label=42;break;}else{label=39;break;}
 case 39: 
 var $arrayidx149=(($20+16)|0);
 var $41=((((HEAPU8[($arrayidx149)])|(HEAPU8[((($arrayidx149)+(1))|0)]<<8)|(HEAPU8[((($arrayidx149)+(2))|0)]<<16)|(HEAPU8[((($arrayidx149)+(3))|0)]<<24))|0));
 var $cmp150=($41|0)==($18|0);
 if($cmp150){label=40;break;}else{label=41;break;}
 case 40: 
 tempBigInt=$R_1;HEAP8[($arrayidx149)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx149)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx149)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx149)+(3))|0)]=tempBigInt&0xff;
 label=43;break;
 case 41: 
 var $arrayidx157=(($20+20)|0);
 tempBigInt=$R_1;HEAP8[($arrayidx157)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx157)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx157)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx157)+(3))|0)]=tempBigInt&0xff;
 label=43;break;
 case 42: 
 _abort();
 throw "Reached an unreachable!";
 case 43: 
 var $cmp162=($R_1|0)==0;
 if($cmp162){var $p_0=$6;var $psize_0=$add17;label=56;break;}else{label=44;break;}
 case 44: 
 var $42=$R_1;
 var $43=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp165=($42>>>0)<($43>>>0);
 if($cmp165){label=53;break;}else{label=45;break;}
 case 45: 
 var $parent170=(($R_1+24)|0);
 tempBigInt=$20;HEAP8[($parent170)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent170)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent170)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent170)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr16_sum264=((($add_ptr_sum231)+(16))|0);
 var $child171=(($mem+$add_ptr16_sum264)|0);
 var $arrayidx172=$child171;
 var $44=((((HEAPU8[($arrayidx172)])|(HEAPU8[((($arrayidx172)+(1))|0)]<<8)|(HEAPU8[((($arrayidx172)+(2))|0)]<<16)|(HEAPU8[((($arrayidx172)+(3))|0)]<<24))|0));
 var $cmp173=($44|0)==0;
 if($cmp173){label=49;break;}else{label=46;break;}
 case 46: 
 var $45=$44;
 var $46=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp176=($45>>>0)<($46>>>0);
 if($cmp176){label=48;break;}else{label=47;break;}
 case 47: 
 var $arrayidx182=(($R_1+16)|0);
 tempBigInt=$44;HEAP8[($arrayidx182)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx182)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx182)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx182)+(3))|0)]=tempBigInt&0xff;
 var $parent183=(($44+24)|0);
 tempBigInt=$R_1;HEAP8[($parent183)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent183)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent183)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent183)+(3))|0)]=tempBigInt&0xff;
 label=49;break;
 case 48: 
 _abort();
 throw "Reached an unreachable!";
 case 49: 
 var $child171_sum=((($add_ptr_sum231)+(20))|0);
 var $arrayidx188=(($mem+$child171_sum)|0);
 var $47=$arrayidx188;
 var $48=((((HEAPU8[($47)])|(HEAPU8[((($47)+(1))|0)]<<8)|(HEAPU8[((($47)+(2))|0)]<<16)|(HEAPU8[((($47)+(3))|0)]<<24))|0));
 var $cmp189=($48|0)==0;
 if($cmp189){var $p_0=$6;var $psize_0=$add17;label=56;break;}else{label=50;break;}
 case 50: 
 var $49=$48;
 var $50=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp192=($49>>>0)<($50>>>0);
 if($cmp192){label=52;break;}else{label=51;break;}
 case 51: 
 var $arrayidx198=(($R_1+20)|0);
 tempBigInt=$48;HEAP8[($arrayidx198)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx198)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx198)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx198)+(3))|0)]=tempBigInt&0xff;
 var $parent199=(($48+24)|0);
 tempBigInt=$R_1;HEAP8[($parent199)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent199)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent199)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent199)+(3))|0)]=tempBigInt&0xff;
 var $p_0=$6;var $psize_0=$add17;label=56;break;
 case 52: 
 _abort();
 throw "Reached an unreachable!";
 case 53: 
 _abort();
 throw "Reached an unreachable!";
 case 54: 
 var $add_ptr6_sum=((($and5)-(4))|0);
 var $head209=(($mem+$add_ptr6_sum)|0);
 var $51=$head209;
 var $52=((((HEAPU8[($51)])|(HEAPU8[((($51)+(1))|0)]<<8)|(HEAPU8[((($51)+(2))|0)]<<16)|(HEAPU8[((($51)+(3))|0)]<<24))|0));
 var $and210=$52&3;
 var $cmp211=($and210|0)==3;
 if($cmp211){label=55;break;}else{var $p_0=$6;var $psize_0=$add17;label=56;break;}
 case 55: 
 tempBigInt=$add17;HEAP8[(19752)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19753)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19754)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19755)]=tempBigInt&0xff;
 var $53=((((HEAPU8[($51)])|(HEAPU8[((($51)+(1))|0)]<<8)|(HEAPU8[((($51)+(2))|0)]<<16)|(HEAPU8[((($51)+(3))|0)]<<24))|0));
 var $and215=$53&-2;
 tempBigInt=$and215;HEAP8[($51)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($51)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($51)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($51)+(3))|0)]=tempBigInt&0xff;
 var $or=$add17|1;
 var $add_ptr16_sum=((($add_ptr_sum231)+(4))|0);
 var $head216=(($mem+$add_ptr16_sum)|0);
 var $54=$head216;
 tempBigInt=$or;HEAP8[($54)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($54)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($54)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($54)+(3))|0)]=tempBigInt&0xff;
 var $prev_foot218=$add_ptr6;
 tempBigInt=$add17;HEAP8[($prev_foot218)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot218)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot218)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot218)+(3))|0)]=tempBigInt&0xff;
 label=140;break;
 case 56: 
 var $psize_0;
 var $p_0;
 var $55=$p_0;
 var $cmp225=($55>>>0)<($add_ptr6>>>0);
 if($cmp225){label=57;break;}else{label=139;break;}
 case 57: 
 var $add_ptr6_sum258=((($and5)-(4))|0);
 var $head228=(($mem+$add_ptr6_sum258)|0);
 var $56=$head228;
 var $57=((((HEAPU8[($56)])|(HEAPU8[((($56)+(1))|0)]<<8)|(HEAPU8[((($56)+(2))|0)]<<16)|(HEAPU8[((($56)+(3))|0)]<<24))|0));
 var $and229=$57&1;
 var $phitmp=($and229|0)==0;
 if($phitmp){label=139;break;}else{label=58;break;}
 case 58: 
 var $and237=$57&2;
 var $tobool238=($and237|0)==0;
 if($tobool238){label=59;break;}else{label=112;break;}
 case 59: 
 var $58=((((HEAPU8[(19768)])|(HEAPU8[(19769)]<<8)|(HEAPU8[(19770)]<<16)|(HEAPU8[(19771)]<<24))|0));
 var $cmp240=($4|0)==($58|0);
 if($cmp240){label=60;break;}else{label=62;break;}
 case 60: 
 var $59=((((HEAPU8[(19756)])|(HEAPU8[(19757)]<<8)|(HEAPU8[(19758)]<<16)|(HEAPU8[(19759)]<<24))|0));
 var $add243=((($59)+($psize_0))|0);
 tempBigInt=$add243;HEAP8[(19756)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19757)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19758)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19759)]=tempBigInt&0xff;
 tempBigInt=$p_0;HEAP8[(19768)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19769)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19770)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19771)]=tempBigInt&0xff;
 var $or244=$add243|1;
 var $head245=(($p_0+4)|0);
 tempBigInt=$or244;HEAP8[($head245)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head245)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head245)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head245)+(3))|0)]=tempBigInt&0xff;
 var $60=((((HEAPU8[(19764)])|(HEAPU8[(19765)]<<8)|(HEAPU8[(19766)]<<16)|(HEAPU8[(19767)]<<24))|0));
 var $cmp246=($p_0|0)==($60|0);
 if($cmp246){label=61;break;}else{label=140;break;}
 case 61: 
 tempBigInt=0;HEAP8[(19764)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19765)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19766)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19767)]=tempBigInt&0xff;
 tempBigInt=0;HEAP8[(19752)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19753)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19754)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19755)]=tempBigInt&0xff;
 label=140;break;
 case 62: 
 var $61=((((HEAPU8[(19764)])|(HEAPU8[(19765)]<<8)|(HEAPU8[(19766)]<<16)|(HEAPU8[(19767)]<<24))|0));
 var $cmp251=($4|0)==($61|0);
 if($cmp251){label=63;break;}else{label=64;break;}
 case 63: 
 var $62=((((HEAPU8[(19752)])|(HEAPU8[(19753)]<<8)|(HEAPU8[(19754)]<<16)|(HEAPU8[(19755)]<<24))|0));
 var $add254=((($62)+($psize_0))|0);
 tempBigInt=$add254;HEAP8[(19752)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19753)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19754)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19755)]=tempBigInt&0xff;
 tempBigInt=$p_0;HEAP8[(19764)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19765)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19766)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19767)]=tempBigInt&0xff;
 var $or255=$add254|1;
 var $head256=(($p_0+4)|0);
 tempBigInt=$or255;HEAP8[($head256)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head256)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head256)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head256)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr257=(($55+$add254)|0);
 var $prev_foot258=$add_ptr257;
 tempBigInt=$add254;HEAP8[($prev_foot258)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot258)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot258)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot258)+(3))|0)]=tempBigInt&0xff;
 label=140;break;
 case 64: 
 var $and261=$57&-8;
 var $add262=((($and261)+($psize_0))|0);
 var $shr263=$57>>>3;
 var $cmp264=($57>>>0)<256;
 if($cmp264){label=65;break;}else{label=77;break;}
 case 65: 
 var $fd268=(($mem+$and5)|0);
 var $63=$fd268;
 var $64=((((HEAPU8[($63)])|(HEAPU8[((($63)+(1))|0)]<<8)|(HEAPU8[((($63)+(2))|0)]<<16)|(HEAPU8[((($63)+(3))|0)]<<24))|0));
 var $add_ptr6_sum252253=$and5|4;
 var $bk270=(($mem+$add_ptr6_sum252253)|0);
 var $65=$bk270;
 var $66=((((HEAPU8[($65)])|(HEAPU8[((($65)+(1))|0)]<<8)|(HEAPU8[((($65)+(2))|0)]<<16)|(HEAPU8[((($65)+(3))|0)]<<24))|0));
 var $shl273=$shr263<<1;
 var $arrayidx274=((19784+($shl273<<2))|0);
 var $67=$arrayidx274;
 var $cmp275=($64|0)==($67|0);
 if($cmp275){label=68;break;}else{label=66;break;}
 case 66: 
 var $68=$64;
 var $69=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp278=($68>>>0)<($69>>>0);
 if($cmp278){label=76;break;}else{label=67;break;}
 case 67: 
 var $bk281=(($64+12)|0);
 var $70=((((HEAPU8[($bk281)])|(HEAPU8[((($bk281)+(1))|0)]<<8)|(HEAPU8[((($bk281)+(2))|0)]<<16)|(HEAPU8[((($bk281)+(3))|0)]<<24))|0));
 var $cmp282=($70|0)==($4|0);
 if($cmp282){label=68;break;}else{label=76;break;}
 case 68: 
 var $cmp291=($66|0)==($64|0);
 if($cmp291){label=69;break;}else{label=70;break;}
 case 69: 
 var $shl294=1<<$shr263;
 var $neg295=$shl294^-1;
 var $71=((((HEAPU8[(19744)])|(HEAPU8[(19745)]<<8)|(HEAPU8[(19746)]<<16)|(HEAPU8[(19747)]<<24))|0));
 var $and296=$71&$neg295;
 tempBigInt=$and296;HEAP8[(19744)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19745)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19746)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19747)]=tempBigInt&0xff;
 label=110;break;
 case 70: 
 var $cmp300=($66|0)==($67|0);
 if($cmp300){label=71;break;}else{label=72;break;}
 case 71: 
 var $fd317_pre=(($66+8)|0);
 var $fd317_pre_phi=$fd317_pre;label=74;break;
 case 72: 
 var $72=$66;
 var $73=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp303=($72>>>0)<($73>>>0);
 if($cmp303){label=75;break;}else{label=73;break;}
 case 73: 
 var $fd306=(($66+8)|0);
 var $74=((((HEAPU8[($fd306)])|(HEAPU8[((($fd306)+(1))|0)]<<8)|(HEAPU8[((($fd306)+(2))|0)]<<16)|(HEAPU8[((($fd306)+(3))|0)]<<24))|0));
 var $cmp307=($74|0)==($4|0);
 if($cmp307){var $fd317_pre_phi=$fd306;label=74;break;}else{label=75;break;}
 case 74: 
 var $fd317_pre_phi;
 var $bk316=(($64+12)|0);
 tempBigInt=$66;HEAP8[($bk316)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk316)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk316)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk316)+(3))|0)]=tempBigInt&0xff;
 tempBigInt=$64;HEAP8[($fd317_pre_phi)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd317_pre_phi)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd317_pre_phi)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd317_pre_phi)+(3))|0)]=tempBigInt&0xff;
 label=110;break;
 case 75: 
 _abort();
 throw "Reached an unreachable!";
 case 76: 
 _abort();
 throw "Reached an unreachable!";
 case 77: 
 var $75=$add_ptr6;
 var $add_ptr6_sum233=((($and5)+(16))|0);
 var $parent326=(($mem+$add_ptr6_sum233)|0);
 var $76=$parent326;
 var $77=((((HEAPU8[($76)])|(HEAPU8[((($76)+(1))|0)]<<8)|(HEAPU8[((($76)+(2))|0)]<<16)|(HEAPU8[((($76)+(3))|0)]<<24))|0));
 var $add_ptr6_sum234235=$and5|4;
 var $bk328=(($mem+$add_ptr6_sum234235)|0);
 var $78=$bk328;
 var $79=((((HEAPU8[($78)])|(HEAPU8[((($78)+(1))|0)]<<8)|(HEAPU8[((($78)+(2))|0)]<<16)|(HEAPU8[((($78)+(3))|0)]<<24))|0));
 var $cmp329=($79|0)==($75|0);
 if($cmp329){label=83;break;}else{label=78;break;}
 case 78: 
 var $fd333=(($mem+$and5)|0);
 var $80=$fd333;
 var $81=((((HEAPU8[($80)])|(HEAPU8[((($80)+(1))|0)]<<8)|(HEAPU8[((($80)+(2))|0)]<<16)|(HEAPU8[((($80)+(3))|0)]<<24))|0));
 var $82=$81;
 var $83=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp335=($82>>>0)<($83>>>0);
 if($cmp335){label=82;break;}else{label=79;break;}
 case 79: 
 var $bk338=(($81+12)|0);
 var $84=((((HEAPU8[($bk338)])|(HEAPU8[((($bk338)+(1))|0)]<<8)|(HEAPU8[((($bk338)+(2))|0)]<<16)|(HEAPU8[((($bk338)+(3))|0)]<<24))|0));
 var $cmp339=($84|0)==($75|0);
 if($cmp339){label=80;break;}else{label=82;break;}
 case 80: 
 var $fd342=(($79+8)|0);
 var $85=((((HEAPU8[($fd342)])|(HEAPU8[((($fd342)+(1))|0)]<<8)|(HEAPU8[((($fd342)+(2))|0)]<<16)|(HEAPU8[((($fd342)+(3))|0)]<<24))|0));
 var $cmp343=($85|0)==($75|0);
 if($cmp343){label=81;break;}else{label=82;break;}
 case 81: 
 tempBigInt=$79;HEAP8[($bk338)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk338)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk338)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk338)+(3))|0)]=tempBigInt&0xff;
 tempBigInt=$81;HEAP8[($fd342)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd342)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd342)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd342)+(3))|0)]=tempBigInt&0xff;
 var $R327_1=$79;label=90;break;
 case 82: 
 _abort();
 throw "Reached an unreachable!";
 case 83: 
 var $child356_sum=((($and5)+(12))|0);
 var $arrayidx357=(($mem+$child356_sum)|0);
 var $86=$arrayidx357;
 var $87=((((HEAPU8[($86)])|(HEAPU8[((($86)+(1))|0)]<<8)|(HEAPU8[((($86)+(2))|0)]<<16)|(HEAPU8[((($86)+(3))|0)]<<24))|0));
 var $cmp358=($87|0)==0;
 if($cmp358){label=84;break;}else{var $R327_0=$87;var $RP355_0=$86;label=85;break;}
 case 84: 
 var $add_ptr6_sum236=((($and5)+(8))|0);
 var $child356=(($mem+$add_ptr6_sum236)|0);
 var $arrayidx362=$child356;
 var $88=((((HEAPU8[($arrayidx362)])|(HEAPU8[((($arrayidx362)+(1))|0)]<<8)|(HEAPU8[((($arrayidx362)+(2))|0)]<<16)|(HEAPU8[((($arrayidx362)+(3))|0)]<<24))|0));
 var $cmp363=($88|0)==0;
 if($cmp363){var $R327_1=0;label=90;break;}else{var $R327_0=$88;var $RP355_0=$arrayidx362;label=85;break;}
 case 85: 
 var $RP355_0;
 var $R327_0;
 var $arrayidx369=(($R327_0+20)|0);
 var $89=((((HEAPU8[($arrayidx369)])|(HEAPU8[((($arrayidx369)+(1))|0)]<<8)|(HEAPU8[((($arrayidx369)+(2))|0)]<<16)|(HEAPU8[((($arrayidx369)+(3))|0)]<<24))|0));
 var $cmp370=($89|0)==0;
 if($cmp370){label=86;break;}else{var $R327_0=$89;var $RP355_0=$arrayidx369;label=85;break;}
 case 86: 
 var $arrayidx374=(($R327_0+16)|0);
 var $90=((((HEAPU8[($arrayidx374)])|(HEAPU8[((($arrayidx374)+(1))|0)]<<8)|(HEAPU8[((($arrayidx374)+(2))|0)]<<16)|(HEAPU8[((($arrayidx374)+(3))|0)]<<24))|0));
 var $cmp375=($90|0)==0;
 if($cmp375){label=87;break;}else{var $R327_0=$90;var $RP355_0=$arrayidx374;label=85;break;}
 case 87: 
 var $91=$RP355_0;
 var $92=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp381=($91>>>0)<($92>>>0);
 if($cmp381){label=89;break;}else{label=88;break;}
 case 88: 
 tempBigInt=0;HEAP8[($RP355_0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($RP355_0)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($RP355_0)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($RP355_0)+(3))|0)]=tempBigInt&0xff;
 var $R327_1=$R327_0;label=90;break;
 case 89: 
 _abort();
 throw "Reached an unreachable!";
 case 90: 
 var $R327_1;
 var $cmp390=($77|0)==0;
 if($cmp390){label=110;break;}else{label=91;break;}
 case 91: 
 var $add_ptr6_sum246=((($and5)+(20))|0);
 var $index394=(($mem+$add_ptr6_sum246)|0);
 var $93=$index394;
 var $94=((((HEAPU8[($93)])|(HEAPU8[((($93)+(1))|0)]<<8)|(HEAPU8[((($93)+(2))|0)]<<16)|(HEAPU8[((($93)+(3))|0)]<<24))|0));
 var $arrayidx395=((20048+($94<<2))|0);
 var $95=((((HEAPU8[($arrayidx395)])|(HEAPU8[((($arrayidx395)+(1))|0)]<<8)|(HEAPU8[((($arrayidx395)+(2))|0)]<<16)|(HEAPU8[((($arrayidx395)+(3))|0)]<<24))|0));
 var $cmp396=($75|0)==($95|0);
 if($cmp396){label=92;break;}else{label=94;break;}
 case 92: 
 tempBigInt=$R327_1;HEAP8[($arrayidx395)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx395)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx395)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx395)+(3))|0)]=tempBigInt&0xff;
 var $cond279=($R327_1|0)==0;
 if($cond279){label=93;break;}else{label=100;break;}
 case 93: 
 var $96=((((HEAPU8[($93)])|(HEAPU8[((($93)+(1))|0)]<<8)|(HEAPU8[((($93)+(2))|0)]<<16)|(HEAPU8[((($93)+(3))|0)]<<24))|0));
 var $shl403=1<<$96;
 var $neg404=$shl403^-1;
 var $97=((((HEAPU8[(19748)])|(HEAPU8[(19749)]<<8)|(HEAPU8[(19750)]<<16)|(HEAPU8[(19751)]<<24))|0));
 var $and405=$97&$neg404;
 tempBigInt=$and405;HEAP8[(19748)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19749)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19750)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19751)]=tempBigInt&0xff;
 label=110;break;
 case 94: 
 var $98=$77;
 var $99=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp408=($98>>>0)<($99>>>0);
 if($cmp408){label=98;break;}else{label=95;break;}
 case 95: 
 var $arrayidx414=(($77+16)|0);
 var $100=((((HEAPU8[($arrayidx414)])|(HEAPU8[((($arrayidx414)+(1))|0)]<<8)|(HEAPU8[((($arrayidx414)+(2))|0)]<<16)|(HEAPU8[((($arrayidx414)+(3))|0)]<<24))|0));
 var $cmp415=($100|0)==($75|0);
 if($cmp415){label=96;break;}else{label=97;break;}
 case 96: 
 tempBigInt=$R327_1;HEAP8[($arrayidx414)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx414)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx414)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx414)+(3))|0)]=tempBigInt&0xff;
 label=99;break;
 case 97: 
 var $arrayidx422=(($77+20)|0);
 tempBigInt=$R327_1;HEAP8[($arrayidx422)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx422)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx422)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx422)+(3))|0)]=tempBigInt&0xff;
 label=99;break;
 case 98: 
 _abort();
 throw "Reached an unreachable!";
 case 99: 
 var $cmp427=($R327_1|0)==0;
 if($cmp427){label=110;break;}else{label=100;break;}
 case 100: 
 var $101=$R327_1;
 var $102=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp430=($101>>>0)<($102>>>0);
 if($cmp430){label=109;break;}else{label=101;break;}
 case 101: 
 var $parent437=(($R327_1+24)|0);
 tempBigInt=$77;HEAP8[($parent437)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent437)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent437)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent437)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr6_sum247=((($and5)+(8))|0);
 var $child438=(($mem+$add_ptr6_sum247)|0);
 var $arrayidx439=$child438;
 var $103=((((HEAPU8[($arrayidx439)])|(HEAPU8[((($arrayidx439)+(1))|0)]<<8)|(HEAPU8[((($arrayidx439)+(2))|0)]<<16)|(HEAPU8[((($arrayidx439)+(3))|0)]<<24))|0));
 var $cmp440=($103|0)==0;
 if($cmp440){label=105;break;}else{label=102;break;}
 case 102: 
 var $104=$103;
 var $105=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp443=($104>>>0)<($105>>>0);
 if($cmp443){label=104;break;}else{label=103;break;}
 case 103: 
 var $arrayidx449=(($R327_1+16)|0);
 tempBigInt=$103;HEAP8[($arrayidx449)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx449)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx449)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx449)+(3))|0)]=tempBigInt&0xff;
 var $parent450=(($103+24)|0);
 tempBigInt=$R327_1;HEAP8[($parent450)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent450)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent450)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent450)+(3))|0)]=tempBigInt&0xff;
 label=105;break;
 case 104: 
 _abort();
 throw "Reached an unreachable!";
 case 105: 
 var $child438_sum=((($and5)+(12))|0);
 var $arrayidx455=(($mem+$child438_sum)|0);
 var $106=$arrayidx455;
 var $107=((((HEAPU8[($106)])|(HEAPU8[((($106)+(1))|0)]<<8)|(HEAPU8[((($106)+(2))|0)]<<16)|(HEAPU8[((($106)+(3))|0)]<<24))|0));
 var $cmp456=($107|0)==0;
 if($cmp456){label=110;break;}else{label=106;break;}
 case 106: 
 var $108=$107;
 var $109=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp459=($108>>>0)<($109>>>0);
 if($cmp459){label=108;break;}else{label=107;break;}
 case 107: 
 var $arrayidx465=(($R327_1+20)|0);
 tempBigInt=$107;HEAP8[($arrayidx465)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx465)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx465)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx465)+(3))|0)]=tempBigInt&0xff;
 var $parent466=(($107+24)|0);
 tempBigInt=$R327_1;HEAP8[($parent466)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent466)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent466)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent466)+(3))|0)]=tempBigInt&0xff;
 label=110;break;
 case 108: 
 _abort();
 throw "Reached an unreachable!";
 case 109: 
 _abort();
 throw "Reached an unreachable!";
 case 110: 
 var $or475=$add262|1;
 var $head476=(($p_0+4)|0);
 tempBigInt=$or475;HEAP8[($head476)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head476)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head476)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head476)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr477=(($55+$add262)|0);
 var $prev_foot478=$add_ptr477;
 tempBigInt=$add262;HEAP8[($prev_foot478)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot478)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot478)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot478)+(3))|0)]=tempBigInt&0xff;
 var $110=((((HEAPU8[(19764)])|(HEAPU8[(19765)]<<8)|(HEAPU8[(19766)]<<16)|(HEAPU8[(19767)]<<24))|0));
 var $cmp479=($p_0|0)==($110|0);
 if($cmp479){label=111;break;}else{var $psize_1=$add262;label=113;break;}
 case 111: 
 tempBigInt=$add262;HEAP8[(19752)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19753)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19754)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19755)]=tempBigInt&0xff;
 label=140;break;
 case 112: 
 var $and487=$57&-2;
 tempBigInt=$and487;HEAP8[($56)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($56)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($56)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($56)+(3))|0)]=tempBigInt&0xff;
 var $or488=$psize_0|1;
 var $head489=(($p_0+4)|0);
 tempBigInt=$or488;HEAP8[($head489)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head489)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head489)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head489)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr490=(($55+$psize_0)|0);
 var $prev_foot491=$add_ptr490;
 tempBigInt=$psize_0;HEAP8[($prev_foot491)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot491)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot491)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot491)+(3))|0)]=tempBigInt&0xff;
 var $psize_1=$psize_0;label=113;break;
 case 113: 
 var $psize_1;
 var $shr493=$psize_1>>>3;
 var $cmp494=($psize_1>>>0)<256;
 if($cmp494){label=114;break;}else{label=119;break;}
 case 114: 
 var $shl500=$shr493<<1;
 var $arrayidx501=((19784+($shl500<<2))|0);
 var $111=$arrayidx501;
 var $112=((((HEAPU8[(19744)])|(HEAPU8[(19745)]<<8)|(HEAPU8[(19746)]<<16)|(HEAPU8[(19747)]<<24))|0));
 var $shl503=1<<$shr493;
 var $and504=$112&$shl503;
 var $tobool505=($and504|0)==0;
 if($tobool505){label=115;break;}else{label=116;break;}
 case 115: 
 var $or508=$112|$shl503;
 tempBigInt=$or508;HEAP8[(19744)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19745)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19746)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19747)]=tempBigInt&0xff;
 var $arrayidx501_sum_pre=((($shl500)+(2))|0);
 var $_pre=((19784+($arrayidx501_sum_pre<<2))|0);
 var $F502_0=$111;var $_pre_phi=$_pre;label=118;break;
 case 116: 
 var $arrayidx501_sum245=((($shl500)+(2))|0);
 var $113=((19784+($arrayidx501_sum245<<2))|0);
 var $114=((((HEAPU8[($113)])|(HEAPU8[((($113)+(1))|0)]<<8)|(HEAPU8[((($113)+(2))|0)]<<16)|(HEAPU8[((($113)+(3))|0)]<<24))|0));
 var $115=$114;
 var $116=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp511=($115>>>0)<($116>>>0);
 if($cmp511){label=117;break;}else{var $F502_0=$114;var $_pre_phi=$113;label=118;break;}
 case 117: 
 _abort();
 throw "Reached an unreachable!";
 case 118: 
 var $_pre_phi;
 var $F502_0;
 tempBigInt=$p_0;HEAP8[($_pre_phi)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($_pre_phi)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($_pre_phi)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($_pre_phi)+(3))|0)]=tempBigInt&0xff;
 var $bk521=(($F502_0+12)|0);
 tempBigInt=$p_0;HEAP8[($bk521)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk521)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk521)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk521)+(3))|0)]=tempBigInt&0xff;
 var $fd522=(($p_0+8)|0);
 tempBigInt=$F502_0;HEAP8[($fd522)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd522)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd522)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd522)+(3))|0)]=tempBigInt&0xff;
 var $bk523=(($p_0+12)|0);
 tempBigInt=$111;HEAP8[($bk523)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk523)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk523)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk523)+(3))|0)]=tempBigInt&0xff;
 label=140;break;
 case 119: 
 var $117=$p_0;
 var $shr527=$psize_1>>>8;
 var $cmp528=($shr527|0)==0;
 if($cmp528){var $I526_0=0;label=122;break;}else{label=120;break;}
 case 120: 
 var $cmp532=($psize_1>>>0)>16777215;
 if($cmp532){var $I526_0=31;label=122;break;}else{label=121;break;}
 case 121: 
 var $sub=((($shr527)+(1048320))|0);
 var $shr536=$sub>>>16;
 var $and537=$shr536&8;
 var $shl538=$shr527<<$and537;
 var $sub539=((($shl538)+(520192))|0);
 var $shr540=$sub539>>>16;
 var $and541=$shr540&4;
 var $add542=$and541|$and537;
 var $shl543=$shl538<<$and541;
 var $sub544=((($shl543)+(245760))|0);
 var $shr545=$sub544>>>16;
 var $and546=$shr545&2;
 var $add547=$add542|$and546;
 var $sub548=(((14)-($add547))|0);
 var $shl549=$shl543<<$and546;
 var $shr550=$shl549>>>15;
 var $add551=((($sub548)+($shr550))|0);
 var $shl552=$add551<<1;
 var $add553=((($add551)+(7))|0);
 var $shr554=$psize_1>>>($add553>>>0);
 var $and555=$shr554&1;
 var $add556=$and555|$shl552;
 var $I526_0=$add556;label=122;break;
 case 122: 
 var $I526_0;
 var $arrayidx559=((20048+($I526_0<<2))|0);
 var $index560=(($p_0+28)|0);
 var $I526_0_c=$I526_0;
 tempBigInt=$I526_0_c;HEAP8[($index560)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($index560)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($index560)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($index560)+(3))|0)]=tempBigInt&0xff;
 var $arrayidx562=(($p_0+20)|0);
 tempBigInt=0;HEAP8[($arrayidx562)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx562)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx562)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx562)+(3))|0)]=tempBigInt&0xff;
 var $118=(($p_0+16)|0);
 tempBigInt=0;HEAP8[($118)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($118)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($118)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($118)+(3))|0)]=tempBigInt&0xff;
 var $119=((((HEAPU8[(19748)])|(HEAPU8[(19749)]<<8)|(HEAPU8[(19750)]<<16)|(HEAPU8[(19751)]<<24))|0));
 var $shl565=1<<$I526_0;
 var $and566=$119&$shl565;
 var $tobool567=($and566|0)==0;
 if($tobool567){label=123;break;}else{label=124;break;}
 case 123: 
 var $or570=$119|$shl565;
 tempBigInt=$or570;HEAP8[(19748)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19749)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19750)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19751)]=tempBigInt&0xff;
 tempBigInt=$117;HEAP8[($arrayidx559)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx559)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx559)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx559)+(3))|0)]=tempBigInt&0xff;
 var $parent571=(($p_0+24)|0);
 var $_c=$arrayidx559;
 tempBigInt=$_c;HEAP8[($parent571)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent571)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent571)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent571)+(3))|0)]=tempBigInt&0xff;
 var $bk572=(($p_0+12)|0);
 tempBigInt=$p_0;HEAP8[($bk572)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk572)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk572)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk572)+(3))|0)]=tempBigInt&0xff;
 var $fd573=(($p_0+8)|0);
 tempBigInt=$p_0;HEAP8[($fd573)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd573)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd573)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd573)+(3))|0)]=tempBigInt&0xff;
 label=136;break;
 case 124: 
 var $120=((((HEAPU8[($arrayidx559)])|(HEAPU8[((($arrayidx559)+(1))|0)]<<8)|(HEAPU8[((($arrayidx559)+(2))|0)]<<16)|(HEAPU8[((($arrayidx559)+(3))|0)]<<24))|0));
 var $cmp576=($I526_0|0)==31;
 if($cmp576){var $cond=0;label=126;break;}else{label=125;break;}
 case 125: 
 var $shr578=$I526_0>>>1;
 var $sub581=(((25)-($shr578))|0);
 var $cond=$sub581;label=126;break;
 case 126: 
 var $cond;
 var $head583281=(($120+4)|0);
 var $121=((((HEAPU8[($head583281)])|(HEAPU8[((($head583281)+(1))|0)]<<8)|(HEAPU8[((($head583281)+(2))|0)]<<16)|(HEAPU8[((($head583281)+(3))|0)]<<24))|0));
 var $and584282=$121&-8;
 var $cmp585283=($and584282|0)==($psize_1|0);
 if($cmp585283){var $T_0_lcssa=$120;label=133;break;}else{label=127;break;}
 case 127: 
 var $shl582=$psize_1<<$cond;
 var $T_0284=$120;var $K575_0285=$shl582;label=129;break;
 case 128: 
 var $shl592=$K575_0285<<1;
 var $head583=(($123+4)|0);
 var $122=((((HEAPU8[($head583)])|(HEAPU8[((($head583)+(1))|0)]<<8)|(HEAPU8[((($head583)+(2))|0)]<<16)|(HEAPU8[((($head583)+(3))|0)]<<24))|0));
 var $and584=$122&-8;
 var $cmp585=($and584|0)==($psize_1|0);
 if($cmp585){var $T_0_lcssa=$123;label=133;break;}else{var $T_0284=$123;var $K575_0285=$shl592;label=129;break;}
 case 129: 
 var $K575_0285;
 var $T_0284;
 var $shr588=$K575_0285>>>31;
 var $arrayidx591=(($T_0284+16+($shr588<<2))|0);
 var $123=((((HEAPU8[($arrayidx591)])|(HEAPU8[((($arrayidx591)+(1))|0)]<<8)|(HEAPU8[((($arrayidx591)+(2))|0)]<<16)|(HEAPU8[((($arrayidx591)+(3))|0)]<<24))|0));
 var $cmp593=($123|0)==0;
 if($cmp593){label=130;break;}else{label=128;break;}
 case 130: 
 var $124=$arrayidx591;
 var $125=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp597=($124>>>0)<($125>>>0);
 if($cmp597){label=132;break;}else{label=131;break;}
 case 131: 
 tempBigInt=$117;HEAP8[($arrayidx591)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx591)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx591)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx591)+(3))|0)]=tempBigInt&0xff;
 var $parent602=(($p_0+24)|0);
 var $T_0_c242=$T_0284;
 tempBigInt=$T_0_c242;HEAP8[($parent602)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent602)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent602)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent602)+(3))|0)]=tempBigInt&0xff;
 var $bk603=(($p_0+12)|0);
 tempBigInt=$p_0;HEAP8[($bk603)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk603)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk603)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk603)+(3))|0)]=tempBigInt&0xff;
 var $fd604=(($p_0+8)|0);
 tempBigInt=$p_0;HEAP8[($fd604)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd604)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd604)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd604)+(3))|0)]=tempBigInt&0xff;
 label=136;break;
 case 132: 
 _abort();
 throw "Reached an unreachable!";
 case 133: 
 var $T_0_lcssa;
 var $fd609=(($T_0_lcssa+8)|0);
 var $126=((((HEAPU8[($fd609)])|(HEAPU8[((($fd609)+(1))|0)]<<8)|(HEAPU8[((($fd609)+(2))|0)]<<16)|(HEAPU8[((($fd609)+(3))|0)]<<24))|0));
 var $127=$T_0_lcssa;
 var $128=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp610=($127>>>0)>=($128>>>0);
 var $129=$126;
 var $cmp613=($129>>>0)>=($128>>>0);
 var $or_cond=$cmp610&$cmp613;
 if($or_cond){label=134;break;}else{label=135;break;}
 case 134: 
 var $bk620=(($126+12)|0);
 tempBigInt=$117;HEAP8[($bk620)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk620)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk620)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk620)+(3))|0)]=tempBigInt&0xff;
 tempBigInt=$117;HEAP8[($fd609)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd609)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd609)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd609)+(3))|0)]=tempBigInt&0xff;
 var $fd622=(($p_0+8)|0);
 var $_c241=$126;
 tempBigInt=$_c241;HEAP8[($fd622)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd622)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd622)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd622)+(3))|0)]=tempBigInt&0xff;
 var $bk623=(($p_0+12)|0);
 var $T_0_c=$T_0_lcssa;
 tempBigInt=$T_0_c;HEAP8[($bk623)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk623)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk623)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk623)+(3))|0)]=tempBigInt&0xff;
 var $parent624=(($p_0+24)|0);
 tempBigInt=0;HEAP8[($parent624)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent624)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent624)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent624)+(3))|0)]=tempBigInt&0xff;
 label=136;break;
 case 135: 
 _abort();
 throw "Reached an unreachable!";
 case 136: 
 var $130=((((HEAPU8[(19776)])|(HEAPU8[(19777)]<<8)|(HEAPU8[(19778)]<<16)|(HEAPU8[(19779)]<<24))|0));
 var $dec=((($130)-(1))|0);
 tempBigInt=$dec;HEAP8[(19776)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19777)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19778)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19779)]=tempBigInt&0xff;
 var $cmp628=($dec|0)==0;
 if($cmp628){var $sp_0_in_i=20200;label=137;break;}else{label=140;break;}
 case 137: 
 var $sp_0_in_i;
 var $sp_0_i=((((HEAPU8[($sp_0_in_i)])|(HEAPU8[((($sp_0_in_i)+(1))|0)]<<8)|(HEAPU8[((($sp_0_in_i)+(2))|0)]<<16)|(HEAPU8[((($sp_0_in_i)+(3))|0)]<<24))|0));
 var $cmp_i=($sp_0_i|0)==0;
 var $next4_i=(($sp_0_i+8)|0);
 if($cmp_i){label=138;break;}else{var $sp_0_in_i=$next4_i;label=137;break;}
 case 138: 
 tempBigInt=-1;HEAP8[(19776)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19777)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19778)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19779)]=tempBigInt&0xff;
 label=140;break;
 case 139: 
 _abort();
 throw "Reached an unreachable!";
 case 140: 
 return;
  default: assert(0, "bad label: " + label);
 }

}
Module["_free"] = _free;

function _calloc($n_elements,$elem_size){
 var label=0;

 label = 1; 
 while(1)switch(label){
 case 1: 
 var $cmp=($n_elements|0)==0;
 if($cmp){var $req_0=0;label=4;break;}else{label=2;break;}
 case 2: 
 var $mul=(Math_imul($elem_size,$n_elements)|0);
 var $or=$elem_size|$n_elements;
 var $tobool=($or>>>0)>65535;
 if($tobool){label=3;break;}else{var $req_0=$mul;label=4;break;}
 case 3: 
 var $div=(((($mul>>>0))/(($n_elements>>>0)))&-1);
 var $cmp1=($div|0)==($elem_size|0);
 var $mul_=($cmp1?$mul:-1);
 var $req_0=$mul_;label=4;break;
 case 4: 
 var $req_0;
 var $call=_malloc($req_0);
 var $cmp4=($call|0)==0;
 if($cmp4){label=7;break;}else{label=5;break;}
 case 5: 
 var $head=((($call)-(4))|0);
 var $0=$head;
 var $1=((((HEAPU8[($0)])|(HEAPU8[((($0)+(1))|0)]<<8)|(HEAPU8[((($0)+(2))|0)]<<16)|(HEAPU8[((($0)+(3))|0)]<<24))|0));
 var $and6=$1&3;
 var $cmp7=($and6|0)==0;
 if($cmp7){label=7;break;}else{label=6;break;}
 case 6: 
 _memset($call, 0, $req_0)|0;
 label=7;break;
 case 7: 
 return $call;
  default: assert(0, "bad label: " + label);
 }

}
Module["_calloc"] = _calloc;

function _realloc($oldmem,$bytes){
 var label=0;

 label = 1; 
 while(1)switch(label){
 case 1: 
 var $cmp=($oldmem|0)==0;
 if($cmp){label=2;break;}else{label=3;break;}
 case 2: 
 var $call=_malloc($bytes);
 var $mem_0=$call;label=11;break;
 case 3: 
 var $cmp1=($bytes>>>0)>4294967231;
 if($cmp1){label=4;break;}else{label=5;break;}
 case 4: 
 var $call3=___errno_location();
 tempBigInt=12;HEAP8[($call3)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($call3)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($call3)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($call3)+(3))|0)]=tempBigInt&0xff;
 var $mem_0=0;label=11;break;
 case 5: 
 var $cmp5=($bytes>>>0)<11;
 if($cmp5){var $cond=16;label=7;break;}else{label=6;break;}
 case 6: 
 var $add6=((($bytes)+(11))|0);
 var $and=$add6&-8;
 var $cond=$and;label=7;break;
 case 7: 
 var $cond;
 var $add_ptr=((($oldmem)-(8))|0);
 var $0=$add_ptr;
 var $call7=_try_realloc_chunk($0,$cond);
 var $cmp8=($call7|0)==0;
 if($cmp8){label=9;break;}else{label=8;break;}
 case 8: 
 var $add_ptr10=(($call7+8)|0);
 var $1=$add_ptr10;
 var $mem_0=$1;label=11;break;
 case 9: 
 var $call12=_malloc($bytes);
 var $cmp13=($call12|0)==0;
 if($cmp13){var $mem_0=0;label=11;break;}else{label=10;break;}
 case 10: 
 var $head=((($oldmem)-(4))|0);
 var $2=$head;
 var $3=((((HEAPU8[($2)])|(HEAPU8[((($2)+(1))|0)]<<8)|(HEAPU8[((($2)+(2))|0)]<<16)|(HEAPU8[((($2)+(3))|0)]<<24))|0));
 var $and15=$3&-8;
 var $and17=$3&3;
 var $cmp18=($and17|0)==0;
 var $cond19=($cmp18?8:4);
 var $sub=((($and15)-($cond19))|0);
 var $cmp20=($sub>>>0)<($bytes>>>0);
 var $cond24=($cmp20?$sub:$bytes);
 assert($cond24 % 1 === 0);(_memcpy($call12, $oldmem, $cond24)|0);
 _free($oldmem);
 var $mem_0=$call12;label=11;break;
 case 11: 
 var $mem_0;
 return $mem_0;
  default: assert(0, "bad label: " + label);
 }

}
Module["_realloc"] = _realloc;

function __Znwj($size){
 var label=0;

 label = 1; 
 while(1)switch(label){
 case 1: 
 var $cmp=($size|0)==0;
 var $_size=($cmp?1:$size);
 label=2;break;
 case 2: 
 var $call=_malloc($_size);
 var $cmp1=($call|0)==0;
 if($cmp1){label=3;break;}else{label=10;break;}
 case 3: 
 var $0=(tempValue=((((HEAPU8[(18894608)])|(HEAPU8[(18894609)]<<8)|(HEAPU8[(18894610)]<<16)|(HEAPU8[(18894611)]<<24))|0)),tempBigInt=tempValue+0,HEAP8[(18894608)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(18894609)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(18894610)]=tempBigInt&0xff,tempBigInt = tempBigInt>>8,HEAP8[(18894611)]=tempBigInt&0xff,tempValue);
 var $tobool=($0|0)==0;
 if($tobool){label=9;break;}else{label=4;break;}
 case 4: 
 var $1=$0;
 (function() { try { __THREW__ = 0; return FUNCTION_TABLE[$1]() } catch(e) { if (typeof e != "number") throw e; if (ABORT) throw e; __THREW__ = 1; return null } })();if (!__THREW__) { label=2;break; } else { label=5;break; }
 case 5: 
 var $lpad_loopexit4$0 = ___cxa_find_matching_catch(-1, -1); var $lpad_loopexit4$1 = tempRet0;
 var $lpad_phi$1=$lpad_loopexit4$1;var $lpad_phi$0=$lpad_loopexit4$0;label=7;break;
 case 6: 
 var $lpad_nonloopexit5$0 = ___cxa_find_matching_catch(-1, -1); var $lpad_nonloopexit5$1 = tempRet0;
 var $lpad_phi$1=$lpad_nonloopexit5$1;var $lpad_phi$0=$lpad_nonloopexit5$0;label=7;break;
 case 7: 
 var $lpad_phi$0;
 var $lpad_phi$1;
 var $2=$lpad_phi$1;
 var $ehspec_fails=($2|0)<0;
 if($ehspec_fails){label=8;break;}else{label=11;break;}
 case 8: 
 var $3=$lpad_phi$0;
 ___cxa_call_unexpected($3);
 throw "Reached an unreachable!";
 case 9: 
 var $exception=___cxa_allocate_exception(4);
 var $4=$exception;
 tempBigInt=11944;HEAP8[($4)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($4)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($4)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($4)+(3))|0)]=tempBigInt&0xff;
 (function() { try { __THREW__ = 0; return ___cxa_throw($exception,12216,(28)) } catch(e) { if (typeof e != "number") throw e; if (ABORT) throw e; __THREW__ = 1; return null } })();if (!__THREW__) { label=12;break; } else { label=6;break; }
 case 10: 
 return $call;
 case 11: 
 ___resumeException($lpad_phi$0)
 case 12: 
 throw "Reached an unreachable!";
  default: assert(0, "bad label: " + label);
 }

}


function __Znaj($size){
 var label=0;

 label = 1; 
 while(1)switch(label){
 case 1: 
 var $call=(function() { try { __THREW__ = 0; return __Znwj($size) } catch(e) { if (typeof e != "number") throw e; if (ABORT) throw e; __THREW__ = 1; return null } })();if (!__THREW__) { label=2;break; } else { label=3;break; }
 case 2: 
 return $call;
 case 3: 
 var $0$0 = ___cxa_find_matching_catch(-1, -1); var $0$1 = tempRet0;
 var $1=$0$1;
 var $ehspec_fails=($1|0)<0;
 if($ehspec_fails){label=4;break;}else{label=5;break;}
 case 4: 
 var $2=$0$0;
 ___cxa_call_unexpected($2);
 throw "Reached an unreachable!";
 case 5: 
 ___resumeException($0$0)
  default: assert(0, "bad label: " + label);
 }

}


function __ZdlPv($ptr){
 var label=0;

 label = 1; 
 while(1)switch(label){
 case 1: 
 var $tobool=($ptr|0)==0;
 if($tobool){label=3;break;}else{label=2;break;}
 case 2: 
 _free($ptr);
 label=3;break;
 case 3: 
 return;
  default: assert(0, "bad label: " + label);
 }

}


function __ZdaPv($ptr){
 var label=0;


 __ZdlPv($ptr);
 return;
}


function __ZNSt9bad_allocD2Ev($this){
 var label=0;


 var $0=(($this)|0);

 return;
}


function __ZNSt9bad_allocD0Ev($this){
 var label=0;


 var $0=(($this)|0);

 var $1=$this;
 __ZdlPv($1);
 return;
}


function __ZNKSt9bad_alloc4whatEv($this){
 var label=0;


 return 5224;
}


function ___floatscan($f,$prec,$pok){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+512)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $x_i=sp;
 if(($prec|0)==1){ label=2;break;}else if(($prec|0)==2){ label=3;break;}else if(($prec|0)==0){ var $emin_0_ph=-149;var $bits_0_ph=24;label=4;break;}else{var $retval_0=0;label=267;break;}
 case 2: 
 var $emin_0_ph=-1074;var $bits_0_ph=53;label=4;break;
 case 3: 
 var $emin_0_ph=-1074;var $bits_0_ph=53;label=4;break;
 case 4: 
 var $bits_0_ph;
 var $emin_0_ph;
 var $rpos=(($f+4)|0);
 var $shend=(($f+100)|0);
 label=5;break;
 case 5: 
 var $0=((((HEAPU8[($rpos)])|(HEAPU8[((($rpos)+(1))|0)]<<8)|(HEAPU8[((($rpos)+(2))|0)]<<16)|(HEAPU8[((($rpos)+(3))|0)]<<24))|0));
 var $1=((((HEAPU8[($shend)])|(HEAPU8[((($shend)+(1))|0)]<<8)|(HEAPU8[((($shend)+(2))|0)]<<16)|(HEAPU8[((($shend)+(3))|0)]<<24))|0));
 var $cmp=($0>>>0)<($1>>>0);
 if($cmp){label=6;break;}else{label=7;break;}
 case 6: 
 var $incdec_ptr=(($0+1)|0);
 tempBigInt=$incdec_ptr;HEAP8[($rpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(3))|0)]=tempBigInt&0xff;
 var $2=HEAP8[($0)];
 var $conv=($2&255);
 var $cond=$conv;label=8;break;
 case 7: 
 var $call=___shgetc($f);
 var $cond=$call;label=8;break;
 case 8: 
 var $cond;
 var $call6=_isspace($cond);
 var $tobool=($call6|0)==0;
 if($tobool){label=9;break;}else{label=5;break;}
 case 9: 
 var $cmp9=($cond|0)==45;
 if(($cond|0)==45|($cond|0)==43){ label=10;break;}else{var $c_0=$cond;var $sign_0=1;label=13;break;}
 case 10: 
 var $conv12=($cmp9&1);
 var $mul=$conv12<<1;
 var $sub13=(((1)-($mul))|0);
 var $3=((((HEAPU8[($rpos)])|(HEAPU8[((($rpos)+(1))|0)]<<8)|(HEAPU8[((($rpos)+(2))|0)]<<16)|(HEAPU8[((($rpos)+(3))|0)]<<24))|0));
 var $4=((((HEAPU8[($shend)])|(HEAPU8[((($shend)+(1))|0)]<<8)|(HEAPU8[((($shend)+(2))|0)]<<16)|(HEAPU8[((($shend)+(3))|0)]<<24))|0));
 var $cmp16=($3>>>0)<($4>>>0);
 if($cmp16){label=11;break;}else{label=12;break;}
 case 11: 
 var $incdec_ptr20=(($3+1)|0);
 tempBigInt=$incdec_ptr20;HEAP8[($rpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(3))|0)]=tempBigInt&0xff;
 var $5=HEAP8[($3)];
 var $conv21=($5&255);
 var $c_0=$conv21;var $sign_0=$sub13;label=13;break;
 case 12: 
 var $call23=___shgetc($f);
 var $c_0=$call23;var $sign_0=$sub13;label=13;break;
 case 13: 
 var $sign_0;
 var $c_0;
 var $i_0154=0;var $c_1155=$c_0;label=14;break;
 case 14: 
 var $c_1155;
 var $i_0154;
 var $or=$c_1155|32;
 var $arrayidx=((2584+$i_0154)|0);
 var $6=HEAP8[($arrayidx)];
 var $conv28=(($6<<24)>>24);
 var $cmp29=($or|0)==($conv28|0);
 if($cmp29){label=15;break;}else{var $i_0_lcssa=$i_0154;var $c_1_lcssa=$c_1155;label=20;break;}
 case 15: 
 var $cmp31=($i_0154>>>0)<7;
 if($cmp31){label=16;break;}else{var $c_2=$c_1155;label=19;break;}
 case 16: 
 var $7=((((HEAPU8[($rpos)])|(HEAPU8[((($rpos)+(1))|0)]<<8)|(HEAPU8[((($rpos)+(2))|0)]<<16)|(HEAPU8[((($rpos)+(3))|0)]<<24))|0));
 var $8=((((HEAPU8[($shend)])|(HEAPU8[((($shend)+(1))|0)]<<8)|(HEAPU8[((($shend)+(2))|0)]<<16)|(HEAPU8[((($shend)+(3))|0)]<<24))|0));
 var $cmp36=($7>>>0)<($8>>>0);
 if($cmp36){label=17;break;}else{label=18;break;}
 case 17: 
 var $incdec_ptr40=(($7+1)|0);
 tempBigInt=$incdec_ptr40;HEAP8[($rpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(3))|0)]=tempBigInt&0xff;
 var $9=HEAP8[($7)];
 var $conv41=($9&255);
 var $c_2=$conv41;label=19;break;
 case 18: 
 var $call43=___shgetc($f);
 var $c_2=$call43;label=19;break;
 case 19: 
 var $c_2;
 var $inc=((($i_0154)+(1))|0);
 var $cmp26=($inc>>>0)<8;
 if($cmp26){var $i_0154=$inc;var $c_1155=$c_2;label=14;break;}else{var $i_0_lcssa=$inc;var $c_1_lcssa=$c_2;label=20;break;}
 case 20: 
 var $c_1_lcssa;
 var $i_0_lcssa;
 if(($i_0_lcssa|0)==3){ label=23;break;}else if(($i_0_lcssa|0)==8){ label=27;break;}else{label=21;break;}
 case 21: 
 var $cmp53=($i_0_lcssa>>>0)>3;
 var $tobool55=($pok|0)!=0;
 var $or_cond2=$cmp53&$tobool55;
 if($or_cond2){label=22;break;}else{label=28;break;}
 case 22: 
 var $cmp57=($i_0_lcssa|0)==8;
 if($cmp57){label=27;break;}else{label=23;break;}
 case 23: 
 var $10=((((HEAPU8[($shend)])|(HEAPU8[((($shend)+(1))|0)]<<8)|(HEAPU8[((($shend)+(2))|0)]<<16)|(HEAPU8[((($shend)+(3))|0)]<<24))|0));
 var $tobool61=($10|0)==0;
 if($tobool61){label=25;break;}else{label=24;break;}
 case 24: 
 var $11=((((HEAPU8[($rpos)])|(HEAPU8[((($rpos)+(1))|0)]<<8)|(HEAPU8[((($rpos)+(2))|0)]<<16)|(HEAPU8[((($rpos)+(3))|0)]<<24))|0));
 var $incdec_ptr64=((($11)-(1))|0);
 tempBigInt=$incdec_ptr64;HEAP8[($rpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(3))|0)]=tempBigInt&0xff;
 label=25;break;
 case 25: 
 var $notlhs=($pok|0)==0;
 var $notrhs=($i_0_lcssa>>>0)<4;
 var $or_cond4_not=$notrhs|$notlhs;
 var $brmerge=$or_cond4_not|$tobool61;
 if($brmerge){label=27;break;}else{var $i_1=$i_0_lcssa;label=26;break;}
 case 26: 
 var $i_1;
 var $12=((((HEAPU8[($rpos)])|(HEAPU8[((($rpos)+(1))|0)]<<8)|(HEAPU8[((($rpos)+(2))|0)]<<16)|(HEAPU8[((($rpos)+(3))|0)]<<24))|0));
 var $incdec_ptr77=((($12)-(1))|0);
 tempBigInt=$incdec_ptr77;HEAP8[($rpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(3))|0)]=tempBigInt&0xff;
 var $dec=((($i_1)-(1))|0);
 var $cmp70_old=($dec>>>0)>3;
 if($cmp70_old){var $i_1=$dec;label=26;break;}else{label=27;break;}
 case 27: 
 var $conv84=($sign_0|0);
 var $mul85=($conv84)*(Infinity);
 var $conv86=$mul85;
 var $retval_0=$conv86;label=267;break;
 case 28: 
 var $tobool88=($i_0_lcssa|0)==0;
 if($tobool88){var $i_2152=0;var $c_3153=$c_1_lcssa;label=29;break;}else{var $c_5=$c_1_lcssa;var $i_3=$i_0_lcssa;label=35;break;}
 case 29: 
 var $c_3153;
 var $i_2152;
 var $or94=$c_3153|32;
 var $arrayidx95=((7536+$i_2152)|0);
 var $13=HEAP8[($arrayidx95)];
 var $conv96=(($13<<24)>>24);
 var $cmp97=($or94|0)==($conv96|0);
 if($cmp97){label=30;break;}else{var $c_5=$c_3153;var $i_3=$i_2152;label=35;break;}
 case 30: 
 var $cmp101=($i_2152>>>0)<2;
 if($cmp101){label=31;break;}else{var $c_4=$c_3153;label=34;break;}
 case 31: 
 var $14=((((HEAPU8[($rpos)])|(HEAPU8[((($rpos)+(1))|0)]<<8)|(HEAPU8[((($rpos)+(2))|0)]<<16)|(HEAPU8[((($rpos)+(3))|0)]<<24))|0));
 var $15=((((HEAPU8[($shend)])|(HEAPU8[((($shend)+(1))|0)]<<8)|(HEAPU8[((($shend)+(2))|0)]<<16)|(HEAPU8[((($shend)+(3))|0)]<<24))|0));
 var $cmp106=($14>>>0)<($15>>>0);
 if($cmp106){label=32;break;}else{label=33;break;}
 case 32: 
 var $incdec_ptr110=(($14+1)|0);
 tempBigInt=$incdec_ptr110;HEAP8[($rpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(3))|0)]=tempBigInt&0xff;
 var $16=HEAP8[($14)];
 var $conv111=($16&255);
 var $c_4=$conv111;label=34;break;
 case 33: 
 var $call113=___shgetc($f);
 var $c_4=$call113;label=34;break;
 case 34: 
 var $c_4;
 var $inc118=((($i_2152)+(1))|0);
 var $cmp91=($inc118>>>0)<3;
 if($cmp91){var $i_2152=$inc118;var $c_3153=$c_4;label=29;break;}else{var $c_5=$c_4;var $i_3=$inc118;label=35;break;}
 case 35: 
 var $i_3;
 var $c_5;
 if(($i_3|0)==3){ label=36;break;}else if(($i_3|0)==0){ label=58;break;}else{label=55;break;}
 case 36: 
 var $17=((((HEAPU8[($rpos)])|(HEAPU8[((($rpos)+(1))|0)]<<8)|(HEAPU8[((($rpos)+(2))|0)]<<16)|(HEAPU8[((($rpos)+(3))|0)]<<24))|0));
 var $18=((((HEAPU8[($shend)])|(HEAPU8[((($shend)+(1))|0)]<<8)|(HEAPU8[((($shend)+(2))|0)]<<16)|(HEAPU8[((($shend)+(3))|0)]<<24))|0));
 var $cmp126=($17>>>0)<($18>>>0);
 if($cmp126){label=37;break;}else{label=38;break;}
 case 37: 
 var $incdec_ptr130=(($17+1)|0);
 tempBigInt=$incdec_ptr130;HEAP8[($rpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(3))|0)]=tempBigInt&0xff;
 var $19=HEAP8[($17)];
 var $conv131=($19&255);
 var $cond135=$conv131;label=39;break;
 case 38: 
 var $call133=___shgetc($f);
 var $cond135=$call133;label=39;break;
 case 39: 
 var $cond135;
 var $cmp136=($cond135|0)==40;
 if($cmp136){var $i_4=1;label=42;break;}else{label=40;break;}
 case 40: 
 var $20=((((HEAPU8[($shend)])|(HEAPU8[((($shend)+(1))|0)]<<8)|(HEAPU8[((($shend)+(2))|0)]<<16)|(HEAPU8[((($shend)+(3))|0)]<<24))|0));
 var $tobool140=($20|0)==0;
 if($tobool140){var $retval_0=NaN;label=267;break;}else{label=41;break;}
 case 41: 
 var $21=((((HEAPU8[($rpos)])|(HEAPU8[((($rpos)+(1))|0)]<<8)|(HEAPU8[((($rpos)+(2))|0)]<<16)|(HEAPU8[((($rpos)+(3))|0)]<<24))|0));
 var $incdec_ptr143=((($21)-(1))|0);
 tempBigInt=$incdec_ptr143;HEAP8[($rpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(3))|0)]=tempBigInt&0xff;
 var $retval_0=NaN;label=267;break;
 case 42: 
 var $i_4;
 var $22=((((HEAPU8[($rpos)])|(HEAPU8[((($rpos)+(1))|0)]<<8)|(HEAPU8[((($rpos)+(2))|0)]<<16)|(HEAPU8[((($rpos)+(3))|0)]<<24))|0));
 var $23=((((HEAPU8[($shend)])|(HEAPU8[((($shend)+(1))|0)]<<8)|(HEAPU8[((($shend)+(2))|0)]<<16)|(HEAPU8[((($shend)+(3))|0)]<<24))|0));
 var $cmp150=($22>>>0)<($23>>>0);
 if($cmp150){label=43;break;}else{label=44;break;}
 case 43: 
 var $incdec_ptr154=(($22+1)|0);
 tempBigInt=$incdec_ptr154;HEAP8[($rpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(3))|0)]=tempBigInt&0xff;
 var $24=HEAP8[($22)];
 var $conv155=($24&255);
 var $cond159=$conv155;label=45;break;
 case 44: 
 var $call157=___shgetc($f);
 var $cond159=$call157;label=45;break;
 case 45: 
 var $cond159;
 var $sub160=((($cond159)-(48))|0);
 var $cmp161=($sub160>>>0)<10;
 var $sub164=((($cond159)-(65))|0);
 var $cmp165=($sub164>>>0)<26;
 var $or_cond=$cmp161|$cmp165;
 if($or_cond){label=54;break;}else{label=46;break;}
 case 46: 
 var $sub168=((($cond159)-(97))|0);
 var $cmp169=($sub168>>>0)<26;
 var $cmp172=($cond159|0)==95;
 var $or_cond3=$cmp169|$cmp172;
 if($or_cond3){label=54;break;}else{label=47;break;}
 case 47: 
 var $cmp176=($cond159|0)==41;
 if($cmp176){var $retval_0=NaN;label=267;break;}else{label=48;break;}
 case 48: 
 var $25=((((HEAPU8[($shend)])|(HEAPU8[((($shend)+(1))|0)]<<8)|(HEAPU8[((($shend)+(2))|0)]<<16)|(HEAPU8[((($shend)+(3))|0)]<<24))|0));
 var $tobool181=($25|0)==0;
 if($tobool181){label=50;break;}else{label=49;break;}
 case 49: 
 var $26=((((HEAPU8[($rpos)])|(HEAPU8[((($rpos)+(1))|0)]<<8)|(HEAPU8[((($rpos)+(2))|0)]<<16)|(HEAPU8[((($rpos)+(3))|0)]<<24))|0));
 var $incdec_ptr184=((($26)-(1))|0);
 tempBigInt=$incdec_ptr184;HEAP8[($rpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(3))|0)]=tempBigInt&0xff;
 label=50;break;
 case 50: 
 if($tobool55){label=51;break;}else{label=52;break;}
 case 51: 
 var $tobool193127=($i_4|0)==0;
 var $brmerge175=$tobool193127|$tobool181;
 if($brmerge175){var $retval_0=NaN;label=267;break;}else{var $dec192128_in=$i_4;label=53;break;}
 case 52: 
 var $call189=___errno_location();
 tempBigInt=22;HEAP8[($call189)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($call189)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($call189)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($call189)+(3))|0)]=tempBigInt&0xff;
 ___shlim($f,0);
 var $retval_0=0;label=267;break;
 case 53: 
 var $dec192128_in;
 var $dec192128=((($dec192128_in)-(1))|0);
 var $27=((((HEAPU8[($rpos)])|(HEAPU8[((($rpos)+(1))|0)]<<8)|(HEAPU8[((($rpos)+(2))|0)]<<16)|(HEAPU8[((($rpos)+(3))|0)]<<24))|0));
 var $incdec_ptr199=((($27)-(1))|0);
 tempBigInt=$incdec_ptr199;HEAP8[($rpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(3))|0)]=tempBigInt&0xff;
 var $tobool193=($dec192128|0)==0;
 if($tobool193){var $retval_0=NaN;label=267;break;}else{var $dec192128_in=$dec192128;label=53;break;}
 case 54: 
 var $inc204=((($i_4)+(1))|0);
 var $i_4=$inc204;label=42;break;
 case 55: 
 var $28=((((HEAPU8[($shend)])|(HEAPU8[((($shend)+(1))|0)]<<8)|(HEAPU8[((($shend)+(2))|0)]<<16)|(HEAPU8[((($shend)+(3))|0)]<<24))|0));
 var $tobool209=($28|0)==0;
 if($tobool209){label=57;break;}else{label=56;break;}
 case 56: 
 var $29=((((HEAPU8[($rpos)])|(HEAPU8[((($rpos)+(1))|0)]<<8)|(HEAPU8[((($rpos)+(2))|0)]<<16)|(HEAPU8[((($rpos)+(3))|0)]<<24))|0));
 var $incdec_ptr212=((($29)-(1))|0);
 tempBigInt=$incdec_ptr212;HEAP8[($rpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(3))|0)]=tempBigInt&0xff;
 label=57;break;
 case 57: 
 var $call215=___errno_location();
 tempBigInt=22;HEAP8[($call215)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($call215)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($call215)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($call215)+(3))|0)]=tempBigInt&0xff;
 ___shlim($f,0);
 var $retval_0=0;label=267;break;
 case 58: 
 var $cmp217=($c_5|0)==48;
 if($cmp217){label=59;break;}else{var $c_6=$c_5;label=132;break;}
 case 59: 
 var $30=((((HEAPU8[($rpos)])|(HEAPU8[((($rpos)+(1))|0)]<<8)|(HEAPU8[((($rpos)+(2))|0)]<<16)|(HEAPU8[((($rpos)+(3))|0)]<<24))|0));
 var $31=((((HEAPU8[($shend)])|(HEAPU8[((($shend)+(1))|0)]<<8)|(HEAPU8[((($shend)+(2))|0)]<<16)|(HEAPU8[((($shend)+(3))|0)]<<24))|0));
 var $cmp222=($30>>>0)<($31>>>0);
 if($cmp222){label=60;break;}else{label=61;break;}
 case 60: 
 var $incdec_ptr226=(($30+1)|0);
 tempBigInt=$incdec_ptr226;HEAP8[($rpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(3))|0)]=tempBigInt&0xff;
 var $32=HEAP8[($30)];
 var $conv227=($32&255);
 var $cond231=$conv227;label=62;break;
 case 61: 
 var $call229=___shgetc($f);
 var $cond231=$call229;label=62;break;
 case 62: 
 var $cond231;
 var $or232=$cond231|32;
 var $cmp233=($or232|0)==120;
 if($cmp233){label=63;break;}else{label=130;break;}
 case 63: 
 var $33=((((HEAPU8[($rpos)])|(HEAPU8[((($rpos)+(1))|0)]<<8)|(HEAPU8[((($rpos)+(2))|0)]<<16)|(HEAPU8[((($rpos)+(3))|0)]<<24))|0));
 var $34=((((HEAPU8[($shend)])|(HEAPU8[((($shend)+(1))|0)]<<8)|(HEAPU8[((($shend)+(2))|0)]<<16)|(HEAPU8[((($shend)+(3))|0)]<<24))|0));
 var $cmp_i=($33>>>0)<($34>>>0);
 if($cmp_i){label=64;break;}else{label=65;break;}
 case 64: 
 var $incdec_ptr_i=(($33+1)|0);
 tempBigInt=$incdec_ptr_i;HEAP8[($rpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(3))|0)]=tempBigInt&0xff;
 var $35=HEAP8[($33)];
 var $conv_i=($35&255);
 var $c_0_i=$conv_i;var $gotdig_0_i=0;label=66;break;
 case 65: 
 var $call_i=___shgetc($f);
 var $c_0_i=$call_i;var $gotdig_0_i=0;label=66;break;
 case 66: 
 var $gotdig_0_i;
 var $c_0_i;
 if(($c_0_i|0)==48){ label=67;break;}else if(($c_0_i|0)==46){ label=70;break;}else{var $c_2_i=$c_0_i;var $dc_0_i$1=0;var $dc_0_i$0=0;var $rp_1_i$1=0;var $rp_1_i$0=0;var $gotdig_2_i=$gotdig_0_i;var $gotrad_0_i=0;var $gottail_0_i=0;var $scale_0_i=1;var $y_0_i=0;var $x_0_i=0;label=78;break;}
 case 67: 
 var $36=((((HEAPU8[($rpos)])|(HEAPU8[((($rpos)+(1))|0)]<<8)|(HEAPU8[((($rpos)+(2))|0)]<<16)|(HEAPU8[((($rpos)+(3))|0)]<<24))|0));
 var $37=((((HEAPU8[($shend)])|(HEAPU8[((($shend)+(1))|0)]<<8)|(HEAPU8[((($shend)+(2))|0)]<<16)|(HEAPU8[((($shend)+(3))|0)]<<24))|0));
 var $cmp6_i=($36>>>0)<($37>>>0);
 if($cmp6_i){label=68;break;}else{label=69;break;}
 case 68: 
 var $incdec_ptr10_i=(($36+1)|0);
 tempBigInt=$incdec_ptr10_i;HEAP8[($rpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(3))|0)]=tempBigInt&0xff;
 var $38=HEAP8[($36)];
 var $conv11_i=($38&255);
 var $c_0_i=$conv11_i;var $gotdig_0_i=1;label=66;break;
 case 69: 
 var $call13_i=___shgetc($f);
 var $c_0_i=$call13_i;var $gotdig_0_i=1;label=66;break;
 case 70: 
 var $39=((((HEAPU8[($rpos)])|(HEAPU8[((($rpos)+(1))|0)]<<8)|(HEAPU8[((($rpos)+(2))|0)]<<16)|(HEAPU8[((($rpos)+(3))|0)]<<24))|0));
 var $40=((((HEAPU8[($shend)])|(HEAPU8[((($shend)+(1))|0)]<<8)|(HEAPU8[((($shend)+(2))|0)]<<16)|(HEAPU8[((($shend)+(3))|0)]<<24))|0));
 var $cmp20_i=($39>>>0)<($40>>>0);
 if($cmp20_i){label=71;break;}else{label=72;break;}
 case 71: 
 var $incdec_ptr24_i=(($39+1)|0);
 tempBigInt=$incdec_ptr24_i;HEAP8[($rpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(3))|0)]=tempBigInt&0xff;
 var $41=HEAP8[($39)];
 var $conv25_i=($41&255);
 var $c_1_ph_i=$conv25_i;label=73;break;
 case 72: 
 var $call27_i=___shgetc($f);
 var $c_1_ph_i=$call27_i;label=73;break;
 case 73: 
 var $c_1_ph_i;
 var $cmp31107_i=($c_1_ph_i|0)==48;
 if($cmp31107_i){var $rp_0108_i$1=0;var $rp_0108_i$0=0;label=74;break;}else{var $c_2_i=$c_1_ph_i;var $dc_0_i$1=0;var $dc_0_i$0=0;var $rp_1_i$1=0;var $rp_1_i$0=0;var $gotdig_2_i=$gotdig_0_i;var $gotrad_0_i=1;var $gottail_0_i=0;var $scale_0_i=1;var $y_0_i=0;var $x_0_i=0;label=78;break;}
 case 74: 
 var $rp_0108_i$0;
 var $rp_0108_i$1;
 var $42=((((HEAPU8[($rpos)])|(HEAPU8[((($rpos)+(1))|0)]<<8)|(HEAPU8[((($rpos)+(2))|0)]<<16)|(HEAPU8[((($rpos)+(3))|0)]<<24))|0));
 var $43=((((HEAPU8[($shend)])|(HEAPU8[((($shend)+(1))|0)]<<8)|(HEAPU8[((($shend)+(2))|0)]<<16)|(HEAPU8[((($shend)+(3))|0)]<<24))|0));
 var $cmp37_i=($42>>>0)<($43>>>0);
 if($cmp37_i){label=75;break;}else{label=76;break;}
 case 75: 
 var $incdec_ptr41_i=(($42+1)|0);
 tempBigInt=$incdec_ptr41_i;HEAP8[($rpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(3))|0)]=tempBigInt&0xff;
 var $44=HEAP8[($42)];
 var $conv42_i=($44&255);
 var $cond46_i=$conv42_i;label=77;break;
 case 76: 
 var $call44_i=___shgetc($f);
 var $cond46_i=$call44_i;label=77;break;
 case 77: 
 var $cond46_i;
 var $$etemp$0$0=-1;
 var $$etemp$0$1=-1;
 var $dec_i$0=_i64Add($rp_0108_i$0,$rp_0108_i$1,$$etemp$0$0,$$etemp$0$1);var $dec_i$1=tempRet0;
 var $cmp31_i=($cond46_i|0)==48;
 if($cmp31_i){var $rp_0108_i$1=$dec_i$1;var $rp_0108_i$0=$dec_i$0;label=74;break;}else{var $c_2_i=$cond46_i;var $dc_0_i$1=0;var $dc_0_i$0=0;var $rp_1_i$1=$dec_i$1;var $rp_1_i$0=$dec_i$0;var $gotdig_2_i=1;var $gotrad_0_i=1;var $gottail_0_i=0;var $scale_0_i=1;var $y_0_i=0;var $x_0_i=0;label=78;break;}
 case 78: 
 var $x_0_i;
 var $y_0_i;
 var $scale_0_i;
 var $gottail_0_i;
 var $gotrad_0_i;
 var $gotdig_2_i;
 var $rp_1_i$0;
 var $rp_1_i$1;
 var $dc_0_i$0;
 var $dc_0_i$1;
 var $c_2_i;
 var $sub_i=((($c_2_i)-(48))|0);
 var $cmp49_i=($sub_i>>>0)<10;
 if($cmp49_i){var $d_0_i=$sub_i;label=83;break;}else{label=79;break;}
 case 79: 
 var $or_i=$c_2_i|32;
 var $sub51_i=((($or_i)-(97))|0);
 var $cmp52_i=($sub51_i>>>0)<6;
 var $cmp54_i=($c_2_i|0)==46;
 var $or_cond3_i=$cmp52_i|$cmp54_i;
 if($or_cond3_i){label=80;break;}else{var $c_2_lcssa_i=$c_2_i;label=93;break;}
 case 80: 
 if($cmp54_i){label=81;break;}else{label=82;break;}
 case 81: 
 var $tobool_i=($gotrad_0_i|0)==0;
 if($tobool_i){var $dc_1_i$1=$dc_0_i$1;var $dc_1_i$0=$dc_0_i$0;var $rp_2_i$1=$dc_0_i$1;var $rp_2_i$0=$dc_0_i$0;var $gotdig_3_i=$gotdig_2_i;var $gotrad_1_i=1;var $gottail_2_i=$gottail_0_i;var $scale_2_i=$scale_0_i;var $y_2_i=$y_0_i;var $x_2_i=$x_0_i;label=90;break;}else{var $c_2_lcssa_i=46;label=93;break;}
 case 82: 
 var $cmp62_i=($c_2_i|0)>57;
 var $sub66_i=((($or_i)-(87))|0);
 var $sub66_sub_i=($cmp62_i?$sub66_i:$sub_i);
 var $d_0_i=$sub66_sub_i;label=83;break;
 case 83: 
 var $d_0_i;
 var $$etemp$1$0=8;
 var $$etemp$1$1=0;
 var $cmp70_i=(($dc_0_i$1|0) < ($$etemp$1$1|0)) | (((($dc_0_i$1|0) == ($$etemp$1$1|0) & ($dc_0_i$0>>>0) <  ($$etemp$1$0>>>0))));
 if($cmp70_i){label=84;break;}else{label=85;break;}
 case 84: 
 var $mul_i=$x_0_i<<4;
 var $add73_i=((($d_0_i)+($mul_i))|0);
 var $gottail_1_i=$gottail_0_i;var $scale_1_i=$scale_0_i;var $y_1_i=$y_0_i;var $x_1_i=$add73_i;label=89;break;
 case 85: 
 var $$etemp$2$0=14;
 var $$etemp$2$1=0;
 var $cmp75_i=(($dc_0_i$1|0) < ($$etemp$2$1|0)) | (((($dc_0_i$1|0) == ($$etemp$2$1|0) & ($dc_0_i$0>>>0) <  ($$etemp$2$0>>>0))));
 if($cmp75_i){label=86;break;}else{label=87;break;}
 case 86: 
 var $conv78_i=($d_0_i|0);
 var $div_i=($scale_0_i)*((0.0625));
 var $mul79_i=($div_i)*($conv78_i);
 var $add80_i=($y_0_i)+($mul79_i);
 var $gottail_1_i=$gottail_0_i;var $scale_1_i=$div_i;var $y_1_i=$add80_i;var $x_1_i=$x_0_i;label=89;break;
 case 87: 
 var $tobool82_i=($d_0_i|0)==0;
 var $tobool83_i=($gottail_0_i|0)!=0;
 var $or_cond_i=$tobool82_i|$tobool83_i;
 if($or_cond_i){var $gottail_1_i=$gottail_0_i;var $scale_1_i=$scale_0_i;var $y_1_i=$y_0_i;var $x_1_i=$x_0_i;label=89;break;}else{label=88;break;}
 case 88: 
 var $mul85_i=($scale_0_i)*((0.5));
 var $add86_i=($y_0_i)+($mul85_i);
 var $gottail_1_i=1;var $scale_1_i=$scale_0_i;var $y_1_i=$add86_i;var $x_1_i=$x_0_i;label=89;break;
 case 89: 
 var $x_1_i;
 var $y_1_i;
 var $scale_1_i;
 var $gottail_1_i;
 var $$etemp$3$0=1;
 var $$etemp$3$1=0;
 var $inc_i$0=_i64Add($dc_0_i$0,$dc_0_i$1,$$etemp$3$0,$$etemp$3$1);var $inc_i$1=tempRet0;
 var $dc_1_i$1=$inc_i$1;var $dc_1_i$0=$inc_i$0;var $rp_2_i$1=$rp_1_i$1;var $rp_2_i$0=$rp_1_i$0;var $gotdig_3_i=1;var $gotrad_1_i=$gotrad_0_i;var $gottail_2_i=$gottail_1_i;var $scale_2_i=$scale_1_i;var $y_2_i=$y_1_i;var $x_2_i=$x_1_i;label=90;break;
 case 90: 
 var $x_2_i;
 var $y_2_i;
 var $scale_2_i;
 var $gottail_2_i;
 var $gotrad_1_i;
 var $gotdig_3_i;
 var $rp_2_i$0;
 var $rp_2_i$1;
 var $dc_1_i$0;
 var $dc_1_i$1;
 var $45=((((HEAPU8[($rpos)])|(HEAPU8[((($rpos)+(1))|0)]<<8)|(HEAPU8[((($rpos)+(2))|0)]<<16)|(HEAPU8[((($rpos)+(3))|0)]<<24))|0));
 var $46=((((HEAPU8[($shend)])|(HEAPU8[((($shend)+(1))|0)]<<8)|(HEAPU8[((($shend)+(2))|0)]<<16)|(HEAPU8[((($shend)+(3))|0)]<<24))|0));
 var $cmp94_i=($45>>>0)<($46>>>0);
 if($cmp94_i){label=91;break;}else{label=92;break;}
 case 91: 
 var $incdec_ptr98_i=(($45+1)|0);
 tempBigInt=$incdec_ptr98_i;HEAP8[($rpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(3))|0)]=tempBigInt&0xff;
 var $47=HEAP8[($45)];
 var $conv99_i=($47&255);
 var $c_2_i=$conv99_i;var $dc_0_i$1=$dc_1_i$1;var $dc_0_i$0=$dc_1_i$0;var $rp_1_i$1=$rp_2_i$1;var $rp_1_i$0=$rp_2_i$0;var $gotdig_2_i=$gotdig_3_i;var $gotrad_0_i=$gotrad_1_i;var $gottail_0_i=$gottail_2_i;var $scale_0_i=$scale_2_i;var $y_0_i=$y_2_i;var $x_0_i=$x_2_i;label=78;break;
 case 92: 
 var $call101_i=___shgetc($f);
 var $c_2_i=$call101_i;var $dc_0_i$1=$dc_1_i$1;var $dc_0_i$0=$dc_1_i$0;var $rp_1_i$1=$rp_2_i$1;var $rp_1_i$0=$rp_2_i$0;var $gotdig_2_i=$gotdig_3_i;var $gotrad_0_i=$gotrad_1_i;var $gottail_0_i=$gottail_2_i;var $scale_0_i=$scale_2_i;var $y_0_i=$y_2_i;var $x_0_i=$x_2_i;label=78;break;
 case 93: 
 var $c_2_lcssa_i;
 var $tobool105_i=($gotdig_2_i|0)==0;
 if($tobool105_i){label=94;break;}else{label=102;break;}
 case 94: 
 var $48=((((HEAPU8[($shend)])|(HEAPU8[((($shend)+(1))|0)]<<8)|(HEAPU8[((($shend)+(2))|0)]<<16)|(HEAPU8[((($shend)+(3))|0)]<<24))|0));
 var $tobool108_i=($48|0)==0;
 if($tobool108_i){label=96;break;}else{label=95;break;}
 case 95: 
 var $49=((((HEAPU8[($rpos)])|(HEAPU8[((($rpos)+(1))|0)]<<8)|(HEAPU8[((($rpos)+(2))|0)]<<16)|(HEAPU8[((($rpos)+(3))|0)]<<24))|0));
 var $incdec_ptr111_i=((($49)-(1))|0);
 tempBigInt=$incdec_ptr111_i;HEAP8[($rpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(3))|0)]=tempBigInt&0xff;
 label=96;break;
 case 96: 
 var $tobool114_i=($pok|0)==0;
 if($tobool114_i){label=100;break;}else{label=97;break;}
 case 97: 
 if($tobool108_i){label=101;break;}else{label=98;break;}
 case 98: 
 var $50=((((HEAPU8[($rpos)])|(HEAPU8[((($rpos)+(1))|0)]<<8)|(HEAPU8[((($rpos)+(2))|0)]<<16)|(HEAPU8[((($rpos)+(3))|0)]<<24))|0));
 var $incdec_ptr120_i=((($50)-(1))|0);
 tempBigInt=$incdec_ptr120_i;HEAP8[($rpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(3))|0)]=tempBigInt&0xff;
 var $tobool123_i=($gotrad_0_i|0)==0;
 if($tobool123_i){label=101;break;}else{label=99;break;}
 case 99: 
 var $incdec_ptr129_i=((($50)-(2))|0);
 tempBigInt=$incdec_ptr129_i;HEAP8[($rpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(3))|0)]=tempBigInt&0xff;
 label=101;break;
 case 100: 
 ___shlim($f,0);
 label=101;break;
 case 101: 
 var $conv135_i=($sign_0|0);
 var $mul136_i=($conv135_i)*(0);
 var $retval_0=$mul136_i;label=267;break;
 case 102: 
 var $tobool138_i=($gotrad_0_i|0)==0;
 var $dc_0_rp_1_i$0=($tobool138_i?$dc_0_i$0:$rp_1_i$0);
 var $dc_0_rp_1_i$1=($tobool138_i?$dc_0_i$1:$rp_1_i$1);
 var $$etemp$4$0=8;
 var $$etemp$4$1=0;
 var $cmp141103_i=(($dc_0_i$1|0) < ($$etemp$4$1|0)) | (((($dc_0_i$1|0) == ($$etemp$4$1|0) & ($dc_0_i$0>>>0) <  ($$etemp$4$0>>>0))));
 if($cmp141103_i){var $x_3104_i=$x_0_i;var $dc_2105_i$1=$dc_0_i$1;var $dc_2105_i$0=$dc_0_i$0;label=103;break;}else{var $x_3_lcssa_i=$x_0_i;label=104;break;}
 case 103: 
 var $dc_2105_i$0;
 var $dc_2105_i$1;
 var $x_3104_i;
 var $mul143_i=$x_3104_i<<4;
 var $$etemp$5$0=1;
 var $$etemp$5$1=0;
 var $inc144_i$0=_i64Add($dc_2105_i$0,$dc_2105_i$1,$$etemp$5$0,$$etemp$5$1);var $inc144_i$1=tempRet0;
 var $$etemp$6$0=8;
 var $$etemp$6$1=0;
 var $cmp141_i=(($inc144_i$1|0) < ($$etemp$6$1|0)) | (((($inc144_i$1|0) == ($$etemp$6$1|0) & ($inc144_i$0>>>0) <  ($$etemp$6$0>>>0))));
 if($cmp141_i){var $x_3104_i=$mul143_i;var $dc_2105_i$1=$inc144_i$1;var $dc_2105_i$0=$inc144_i$0;label=103;break;}else{var $x_3_lcssa_i=$mul143_i;label=104;break;}
 case 104: 
 var $x_3_lcssa_i;
 var $or145_i=$c_2_lcssa_i|32;
 var $cmp146_i=($or145_i|0)==112;
 if($cmp146_i){label=105;break;}else{label=110;break;}
 case 105: 
 var $call149_i$0=_scanexp($f,$pok);
 var $call149_i$1=tempRet0;
 var $$etemp$7$0=0;
 var $$etemp$7$1=-2147483648;
 var $cmp150_i=(($call149_i$0|0) == ($$etemp$7$0|0)) & (($call149_i$1|0) == ($$etemp$7$1|0));
 if($cmp150_i){label=106;break;}else{var $e2_0_i$1=$call149_i$1;var $e2_0_i$0=$call149_i$0;label=112;break;}
 case 106: 
 var $tobool153_i=($pok|0)==0;
 if($tobool153_i){label=109;break;}else{label=107;break;}
 case 107: 
 var $51=((((HEAPU8[($shend)])|(HEAPU8[((($shend)+(1))|0)]<<8)|(HEAPU8[((($shend)+(2))|0)]<<16)|(HEAPU8[((($shend)+(3))|0)]<<24))|0));
 var $tobool156_i=($51|0)==0;
 if($tobool156_i){var $e2_0_i$1=0;var $e2_0_i$0=0;label=112;break;}else{label=108;break;}
 case 108: 
 var $52=((((HEAPU8[($rpos)])|(HEAPU8[((($rpos)+(1))|0)]<<8)|(HEAPU8[((($rpos)+(2))|0)]<<16)|(HEAPU8[((($rpos)+(3))|0)]<<24))|0));
 var $incdec_ptr159_i=((($52)-(1))|0);
 tempBigInt=$incdec_ptr159_i;HEAP8[($rpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(3))|0)]=tempBigInt&0xff;
 var $e2_0_i$1=0;var $e2_0_i$0=0;label=112;break;
 case 109: 
 ___shlim($f,0);
 var $retval_0=0;label=267;break;
 case 110: 
 var $53=((((HEAPU8[($shend)])|(HEAPU8[((($shend)+(1))|0)]<<8)|(HEAPU8[((($shend)+(2))|0)]<<16)|(HEAPU8[((($shend)+(3))|0)]<<24))|0));
 var $tobool167_i=($53|0)==0;
 if($tobool167_i){var $e2_0_i$1=0;var $e2_0_i$0=0;label=112;break;}else{label=111;break;}
 case 111: 
 var $54=((((HEAPU8[($rpos)])|(HEAPU8[((($rpos)+(1))|0)]<<8)|(HEAPU8[((($rpos)+(2))|0)]<<16)|(HEAPU8[((($rpos)+(3))|0)]<<24))|0));
 var $incdec_ptr170_i=((($54)-(1))|0);
 tempBigInt=$incdec_ptr170_i;HEAP8[($rpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(3))|0)]=tempBigInt&0xff;
 var $e2_0_i$1=0;var $e2_0_i$0=0;label=112;break;
 case 112: 
 var $e2_0_i$0;
 var $e2_0_i$1;
 var $mul174_i$0=($dc_0_rp_1_i$0<<2)|(0>>>30);
 var $mul174_i$1=($dc_0_rp_1_i$1<<2)|($dc_0_rp_1_i$0>>>30);
 var $$etemp$8$0=-32;
 var $$etemp$8$1=-1;
 var $sub175_i$0=_i64Add($mul174_i$0,$mul174_i$1,$$etemp$8$0,$$etemp$8$1);var $sub175_i$1=tempRet0;
 var $add176_i$0=_i64Add($sub175_i$0,$sub175_i$1,$e2_0_i$0,$e2_0_i$1);var $add176_i$1=tempRet0;
 var $tobool177_i=($x_3_lcssa_i|0)==0;
 if($tobool177_i){label=113;break;}else{label=114;break;}
 case 113: 
 var $conv179_i=($sign_0|0);
 var $mul180_i=($conv179_i)*(0);
 var $retval_0=$mul180_i;label=267;break;
 case 114: 
 var $sub182_i=(((-$emin_0_ph))|0);
 var $conv183_i124$0=$sub182_i;
 var $conv183_i124$1=0;
 var $cmp184_i=(($add176_i$1|0) > ($conv183_i124$1|0)) | (((($add176_i$1|0) == ($conv183_i124$1|0) & ($add176_i$0>>>0) >  ($conv183_i124$0>>>0))));
 if($cmp184_i){label=115;break;}else{label=116;break;}
 case 115: 
 var $call187_i=___errno_location();
 tempBigInt=34;HEAP8[($call187_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($call187_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($call187_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($call187_i)+(3))|0)]=tempBigInt&0xff;
 var $conv188_i=($sign_0|0);
 var $mul189_i=($conv188_i)*((1.7976931348623157e+308));
 var $mul190_i=($mul189_i)*((1.7976931348623157e+308));
 var $retval_0=$mul190_i;label=267;break;
 case 116: 
 var $sub192_i=((($emin_0_ph)-(106))|0);
 var $conv193_i$0=$sub192_i;
 var $conv193_i$1=((((($sub192_i|0)<0))|0)?-1:0);
 var $cmp194_i=(($add176_i$1|0) < ($conv193_i$1|0)) | (((($add176_i$1|0) == ($conv193_i$1|0) & ($add176_i$0>>>0) <  ($conv193_i$0>>>0))));
 if($cmp194_i){label=118;break;}else{label=117;break;}
 case 117: 
 var $cmp20397_i=($x_3_lcssa_i|0)>-1;
 if($cmp20397_i){var $x_498_i=$x_3_lcssa_i;var $y_399_i=$y_0_i;var $e2_1100_i$1=$add176_i$1;var $e2_1100_i$0=$add176_i$0;label=119;break;}else{var $x_4_lcssa_i=$x_3_lcssa_i;var $y_3_lcssa_i=$y_0_i;var $e2_1_lcssa_i$1=$add176_i$1;var $e2_1_lcssa_i$0=$add176_i$0;label=122;break;}
 case 118: 
 var $call197_i=___errno_location();
 tempBigInt=34;HEAP8[($call197_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($call197_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($call197_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($call197_i)+(3))|0)]=tempBigInt&0xff;
 var $conv198_i=($sign_0|0);
 var $mul199_i=($conv198_i)*((2.2250738585072014e-308));
 var $mul200_i=($mul199_i)*((2.2250738585072014e-308));
 var $retval_0=$mul200_i;label=267;break;
 case 119: 
 var $e2_1100_i$0;
 var $e2_1100_i$1;
 var $y_399_i;
 var $x_498_i;
 var $cmp206_i=$y_399_i<(0.5);
 var $add214_i=$x_498_i<<1;
 if($cmp206_i){var $sub211_pn_i=$y_399_i;var $x_5_i=$add214_i;label=121;break;}else{label=120;break;}
 case 120: 
 var $add210115_i=$add214_i|1;
 var $sub211_i=($y_399_i)-(1);
 var $sub211_pn_i=$sub211_i;var $x_5_i=$add210115_i;label=121;break;
 case 121: 
 var $x_5_i;
 var $sub211_pn_i;
 var $y_4_i=($y_399_i)+($sub211_pn_i);
 var $$etemp$9$0=-1;
 var $$etemp$9$1=-1;
 var $dec217_i$0=_i64Add($e2_1100_i$0,$e2_1100_i$1,$$etemp$9$0,$$etemp$9$1);var $dec217_i$1=tempRet0;
 var $cmp203_i=($x_5_i|0)>-1;
 if($cmp203_i){var $x_498_i=$x_5_i;var $y_399_i=$y_4_i;var $e2_1100_i$1=$dec217_i$1;var $e2_1100_i$0=$dec217_i$0;label=119;break;}else{var $x_4_lcssa_i=$x_5_i;var $y_3_lcssa_i=$y_4_i;var $e2_1_lcssa_i$1=$dec217_i$1;var $e2_1_lcssa_i$0=$dec217_i$0;label=122;break;}
 case 122: 
 var $e2_1_lcssa_i$0;
 var $e2_1_lcssa_i$1;
 var $y_3_lcssa_i;
 var $x_4_lcssa_i;
 var $conv219_i125$0=$bits_0_ph;
 var $conv219_i125$1=0;
 var $conv221_i$0=$emin_0_ph;
 var $conv221_i$1=((((($emin_0_ph|0)<0))|0)?-1:0);
 var $$etemp$10$0=32;
 var $$etemp$10$1=0;
 var $add220_i$0=_i64Subtract($$etemp$10$0,$$etemp$10$1,$conv221_i$0,$conv221_i$1);var $add220_i$1=tempRet0;
 var $sub222_i$0=_i64Add($e2_1_lcssa_i$0,$e2_1_lcssa_i$1,$add220_i$0,$add220_i$1);var $sub222_i$1=tempRet0;
 var $cmp223_i=(($conv219_i125$1|0) > ($sub222_i$1|0)) | (((($conv219_i125$1|0) == ($sub222_i$1|0) & ($conv219_i125$0>>>0) >  ($sub222_i$0>>>0))));
 if($cmp223_i){label=123;break;}else{var $bits_addr_0_i=$bits_0_ph;label=124;break;}
 case 123: 
 var $conv229_i$0=$sub222_i$0;
 var $conv229_i=$conv229_i$0;
 var $cmp230_i=($conv229_i|0)<0;
 if($cmp230_i){var $bits_addr_095_i=0;label=126;break;}else{var $bits_addr_0_i=$conv229_i;label=124;break;}
 case 124: 
 var $bits_addr_0_i;
 var $cmp235_i=($bits_addr_0_i|0)<53;
 if($cmp235_i){var $bits_addr_095_i=$bits_addr_0_i;label=126;break;}else{label=125;break;}
 case 125: 
 var $conv253_pre_i=($sign_0|0);
 var $bias_0_i=0;var $bits_addr_096_i=$bits_addr_0_i;var $conv253_pre_phi_i=$conv253_pre_i;label=127;break;
 case 126: 
 var $bits_addr_095_i;
 var $sub239_i=(((84)-($bits_addr_095_i))|0);
 var $call240_i=_scalbn(1,$sub239_i);
 var $conv241_i=($sign_0|0);
 var $call242_i=_copysign($call240_i,$conv241_i);
 var $bias_0_i=$call242_i;var $bits_addr_096_i=$bits_addr_095_i;var $conv253_pre_phi_i=$conv241_i;label=127;break;
 case 127: 
 var $conv253_pre_phi_i;
 var $bits_addr_096_i;
 var $bias_0_i;
 var $cmp244_i=($bits_addr_096_i|0)<32;
 var $tobool247_i=$y_3_lcssa_i!=0;
 var $or_cond2_i=$cmp244_i&$tobool247_i;
 var $and_i=$x_4_lcssa_i&1;
 var $tobool249_i=($and_i|0)==0;
 var $or_cond91_i=$or_cond2_i&$tobool249_i;
 var $inc251_i=($or_cond91_i&1);
 var $x_6_i=((($inc251_i)+($x_4_lcssa_i))|0);
 var $y_5_i=($or_cond91_i?0:$y_3_lcssa_i);
 var $conv254_i=($x_6_i>>>0);
 var $mul255_i=($conv253_pre_phi_i)*($conv254_i);
 var $add256_i=($bias_0_i)+($mul255_i);
 var $mul258_i=($conv253_pre_phi_i)*($y_5_i);
 var $add259_i=($mul258_i)+($add256_i);
 var $sub260_i=($add259_i)-($bias_0_i);
 var $tobool261_i=$sub260_i!=0;
 if($tobool261_i){label=129;break;}else{label=128;break;}
 case 128: 
 var $call263_i=___errno_location();
 tempBigInt=34;HEAP8[($call263_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($call263_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($call263_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($call263_i)+(3))|0)]=tempBigInt&0xff;
 label=129;break;
 case 129: 
 var $conv265_i$0=$e2_1_lcssa_i$0;
 var $conv265_i=$conv265_i$0;
 var $call266_i=_scalbnl($sub260_i,$conv265_i);
 var $retval_0=$call266_i;label=267;break;
 case 130: 
 var $55=((((HEAPU8[($shend)])|(HEAPU8[((($shend)+(1))|0)]<<8)|(HEAPU8[((($shend)+(2))|0)]<<16)|(HEAPU8[((($shend)+(3))|0)]<<24))|0));
 var $tobool239=($55|0)==0;
 if($tobool239){var $c_6=48;label=132;break;}else{label=131;break;}
 case 131: 
 var $56=((((HEAPU8[($rpos)])|(HEAPU8[((($rpos)+(1))|0)]<<8)|(HEAPU8[((($rpos)+(2))|0)]<<16)|(HEAPU8[((($rpos)+(3))|0)]<<24))|0));
 var $incdec_ptr242=((($56)-(1))|0);
 tempBigInt=$incdec_ptr242;HEAP8[($rpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(3))|0)]=tempBigInt&0xff;
 var $c_6=48;label=132;break;
 case 132: 
 var $c_6;
 var $57=$x_i;
 var $$etemp$11$0=512;
 var $$etemp$11$1=0;

 var $sum_i=((($emin_0_ph)+($bits_0_ph))|0);
 var $sub1_i=(((-$sum_i))|0);
 var $c_addr_0_i=$c_6;var $gotdig_0_i86=0;label=133;break;
 case 133: 
 var $gotdig_0_i86;
 var $c_addr_0_i;
 if(($c_addr_0_i|0)==48){ label=134;break;}else if(($c_addr_0_i|0)==46){ label=137;break;}else{var $c_addr_2_i=$c_addr_0_i;var $gotrad_0_i97=0;var $gotdig_2_i96=$gotdig_0_i86;var $lrp_1_i$1=0;var $lrp_1_i$0=0;label=145;break;}
 case 134: 
 var $58=((((HEAPU8[($rpos)])|(HEAPU8[((($rpos)+(1))|0)]<<8)|(HEAPU8[((($rpos)+(2))|0)]<<16)|(HEAPU8[((($rpos)+(3))|0)]<<24))|0));
 var $59=((((HEAPU8[($shend)])|(HEAPU8[((($shend)+(1))|0)]<<8)|(HEAPU8[((($shend)+(2))|0)]<<16)|(HEAPU8[((($shend)+(3))|0)]<<24))|0));
 var $cmp2_i=($58>>>0)<($59>>>0);
 if($cmp2_i){label=135;break;}else{label=136;break;}
 case 135: 
 var $incdec_ptr_i89=(($58+1)|0);
 tempBigInt=$incdec_ptr_i89;HEAP8[($rpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(3))|0)]=tempBigInt&0xff;
 var $60=HEAP8[($58)];
 var $conv_i90=($60&255);
 var $c_addr_0_i=$conv_i90;var $gotdig_0_i86=1;label=133;break;
 case 136: 
 var $call_i92=___shgetc($f);
 var $c_addr_0_i=$call_i92;var $gotdig_0_i86=1;label=133;break;
 case 137: 
 var $61=((((HEAPU8[($rpos)])|(HEAPU8[((($rpos)+(1))|0)]<<8)|(HEAPU8[((($rpos)+(2))|0)]<<16)|(HEAPU8[((($rpos)+(3))|0)]<<24))|0));
 var $62=((((HEAPU8[($shend)])|(HEAPU8[((($shend)+(1))|0)]<<8)|(HEAPU8[((($shend)+(2))|0)]<<16)|(HEAPU8[((($shend)+(3))|0)]<<24))|0));
 var $cmp8_i=($61>>>0)<($62>>>0);
 if($cmp8_i){label=138;break;}else{label=139;break;}
 case 138: 
 var $incdec_ptr12_i=(($61+1)|0);
 tempBigInt=$incdec_ptr12_i;HEAP8[($rpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(3))|0)]=tempBigInt&0xff;
 var $63=HEAP8[($61)];
 var $conv13_i=($63&255);
 var $c_addr_1_ph_i=$conv13_i;label=140;break;
 case 139: 
 var $call15_i=___shgetc($f);
 var $c_addr_1_ph_i=$call15_i;label=140;break;
 case 140: 
 var $c_addr_1_ph_i;
 var $cmp19368_i=($c_addr_1_ph_i|0)==48;
 if($cmp19368_i){var $lrp_0369_i$1=0;var $lrp_0369_i$0=0;label=141;break;}else{var $c_addr_2_i=$c_addr_1_ph_i;var $gotrad_0_i97=1;var $gotdig_2_i96=$gotdig_0_i86;var $lrp_1_i$1=0;var $lrp_1_i$0=0;label=145;break;}
 case 141: 
 var $lrp_0369_i$0;
 var $lrp_0369_i$1;
 var $$etemp$12$0=-1;
 var $$etemp$12$1=-1;
 var $dec_i95$0=_i64Add($lrp_0369_i$0,$lrp_0369_i$1,$$etemp$12$0,$$etemp$12$1);var $dec_i95$1=tempRet0;
 var $64=((((HEAPU8[($rpos)])|(HEAPU8[((($rpos)+(1))|0)]<<8)|(HEAPU8[((($rpos)+(2))|0)]<<16)|(HEAPU8[((($rpos)+(3))|0)]<<24))|0));
 var $65=((((HEAPU8[($shend)])|(HEAPU8[((($shend)+(1))|0)]<<8)|(HEAPU8[((($shend)+(2))|0)]<<16)|(HEAPU8[((($shend)+(3))|0)]<<24))|0));
 var $cmp25_i=($64>>>0)<($65>>>0);
 if($cmp25_i){label=142;break;}else{label=143;break;}
 case 142: 
 var $incdec_ptr29_i=(($64+1)|0);
 tempBigInt=$incdec_ptr29_i;HEAP8[($rpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(3))|0)]=tempBigInt&0xff;
 var $66=HEAP8[($64)];
 var $conv30_i=($66&255);
 var $c_addr_1_be_i=$conv30_i;label=144;break;
 case 143: 
 var $call32_i=___shgetc($f);
 var $c_addr_1_be_i=$call32_i;label=144;break;
 case 144: 
 var $c_addr_1_be_i;
 var $cmp19_i=($c_addr_1_be_i|0)==48;
 if($cmp19_i){var $lrp_0369_i$1=$dec_i95$1;var $lrp_0369_i$0=$dec_i95$0;label=141;break;}else{var $c_addr_2_i=$c_addr_1_be_i;var $gotrad_0_i97=1;var $gotdig_2_i96=1;var $lrp_1_i$1=$dec_i95$1;var $lrp_1_i$0=$dec_i95$0;label=145;break;}
 case 145: 
 var $lrp_1_i$0;
 var $lrp_1_i$1;
 var $gotdig_2_i96;
 var $gotrad_0_i97;
 var $c_addr_2_i;
 var $arrayidx_i=(($x_i)|0);
 tempBigInt=0;HEAP8[($arrayidx_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx_i)+(3))|0)]=tempBigInt&0xff;
 var $sub37346_i=((($c_addr_2_i)-(48))|0);
 var $cmp38347_i=($sub37346_i>>>0)<10;
 var $cmp40348_i=($c_addr_2_i|0)==46;
 var $or_cond4349_i=$cmp38347_i|$cmp40348_i;
 if($or_cond4349_i){label=146;break;}else{var $lrp_2_lcssa_i$1=$lrp_1_i$1;var $lrp_2_lcssa_i$0=$lrp_1_i$0;var $dc_0_lcssa_i$1=0;var $dc_0_lcssa_i$0=0;var $lnz_0_lcssa_i=0;var $gotdig_3_lcssa_i=$gotdig_2_i96;var $gotrad_1_lcssa_i=$gotrad_0_i97;var $k_0_lcssa_i=0;var $j_0_lcssa_i=0;var $c_addr_3_lcssa_i=$c_addr_2_i;label=160;break;}
 case 146: 
 var $arrayidx77_i=(($x_i+496)|0);
 var $lrp_2350_i$1=$lrp_1_i$1;var $lrp_2350_i$0=$lrp_1_i$0;var $dc_0351_i$1=0;var $dc_0351_i$0=0;var $lnz_0352_i=0;var $gotdig_3353_i=$gotdig_2_i96;var $gotrad_1354_i=$gotrad_0_i97;var $k_0355_i=0;var $j_0356_i=0;var $c_addr_3357_i=$c_addr_2_i;var $sub37358_i=$sub37346_i;var $cmp40359_i=$cmp40348_i;label=147;break;
 case 147: 
 var $cmp40359_i;
 var $sub37358_i;
 var $c_addr_3357_i;
 var $j_0356_i;
 var $k_0355_i;
 var $gotrad_1354_i;
 var $gotdig_3353_i;
 var $lnz_0352_i;
 var $dc_0351_i$0;
 var $dc_0351_i$1;
 var $lrp_2350_i$0;
 var $lrp_2350_i$1;
 if($cmp40359_i){label=148;break;}else{label=150;break;}
 case 148: 
 var $cond_i=($gotrad_1354_i|0)==0;
 if($cond_i){var $j_2_i=$j_0356_i;var $k_2_i=$k_0355_i;var $gotrad_2_i=1;var $gotdig_4_i=$gotdig_3353_i;var $lnz_2_i=$lnz_0352_i;var $dc_1_i102$1=$dc_0351_i$1;var $dc_1_i102$0=$dc_0351_i$0;var $lrp_3_i$1=$dc_0351_i$1;var $lrp_3_i$0=$dc_0351_i$0;label=156;break;}else{label=149;break;}
 case 149: 
 var $tobool98231_i=($gotdig_3353_i|0)!=0;
 var $tobool98237239_i=$tobool98231_i;var $lrp_4235240_i$1=$lrp_2350_i$1;var $lrp_4235240_i$0=$lrp_2350_i$0;var $dc_0330_i$1=$dc_0351_i$1;var $dc_0330_i$0=$dc_0351_i$0;var $lnz_0334_i=$lnz_0352_i;var $k_0340_i=$k_0355_i;var $j_0344_i=$j_0356_i;label=168;break;
 case 150: 
 var $cmp48_i=($k_0355_i|0)<125;
 var $$etemp$13$0=1;
 var $$etemp$13$1=0;
 var $inc_i98$0=_i64Add($dc_0351_i$0,$dc_0351_i$1,$$etemp$13$0,$$etemp$13$1);var $inc_i98$1=tempRet0;
 var $cmp51_i=($c_addr_3357_i|0)!=48;
 if($cmp48_i){label=151;break;}else{label=154;break;}
 case 151: 
 var $conv54_i$0=$inc_i98$0;
 var $conv54_i=$conv54_i$0;
 var $conv54_lnz_0_i=($cmp51_i?$conv54_i:$lnz_0352_i);
 var $tobool56_i=($j_0356_i|0)==0;
 var $arrayidx64_i=(($x_i+($k_0355_i<<2))|0);
 if($tobool56_i){var $storemerge_i=$sub37358_i;label=153;break;}else{label=152;break;}
 case 152: 
 var $67=((((HEAPU8[($arrayidx64_i)])|(HEAPU8[((($arrayidx64_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx64_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx64_i)+(3))|0)]<<24))|0));
 var $mul_i100=((($67)*(10))&-1);
 var $add59_i=((($c_addr_3357_i)-(48))|0);
 var $sub60_i=((($add59_i)+($mul_i100))|0);
 var $storemerge_i=$sub60_i;label=153;break;
 case 153: 
 var $storemerge_i;
 tempBigInt=$storemerge_i;HEAP8[($arrayidx64_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx64_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx64_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx64_i)+(3))|0)]=tempBigInt&0xff;
 var $inc66_i=((($j_0356_i)+(1))|0);
 var $cmp67_i=($inc66_i|0)==9;
 var $inc70_i=($cmp67_i&1);
 var $inc70_k_0_i=((($inc70_i)+($k_0355_i))|0);
 var $_inc66_i=($cmp67_i?0:$inc66_i);
 var $j_2_i=$_inc66_i;var $k_2_i=$inc70_k_0_i;var $gotrad_2_i=$gotrad_1354_i;var $gotdig_4_i=1;var $lnz_2_i=$conv54_lnz_0_i;var $dc_1_i102$1=$inc_i98$1;var $dc_1_i102$0=$inc_i98$0;var $lrp_3_i$1=$lrp_2350_i$1;var $lrp_3_i$0=$lrp_2350_i$0;label=156;break;
 case 154: 
 if($cmp51_i){label=155;break;}else{var $j_2_i=$j_0356_i;var $k_2_i=$k_0355_i;var $gotrad_2_i=$gotrad_1354_i;var $gotdig_4_i=$gotdig_3353_i;var $lnz_2_i=$lnz_0352_i;var $dc_1_i102$1=$inc_i98$1;var $dc_1_i102$0=$inc_i98$0;var $lrp_3_i$1=$lrp_2350_i$1;var $lrp_3_i$0=$lrp_2350_i$0;label=156;break;}
 case 155: 
 var $68=((((HEAPU8[($arrayidx77_i)])|(HEAPU8[((($arrayidx77_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx77_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx77_i)+(3))|0)]<<24))|0));
 var $or_i101=$68|1;
 tempBigInt=$or_i101;HEAP8[($arrayidx77_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx77_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx77_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx77_i)+(3))|0)]=tempBigInt&0xff;
 var $j_2_i=$j_0356_i;var $k_2_i=$k_0355_i;var $gotrad_2_i=$gotrad_1354_i;var $gotdig_4_i=$gotdig_3353_i;var $lnz_2_i=$lnz_0352_i;var $dc_1_i102$1=$inc_i98$1;var $dc_1_i102$0=$inc_i98$0;var $lrp_3_i$1=$lrp_2350_i$1;var $lrp_3_i$0=$lrp_2350_i$0;label=156;break;
 case 156: 
 var $lrp_3_i$0;
 var $lrp_3_i$1;
 var $dc_1_i102$0;
 var $dc_1_i102$1;
 var $lnz_2_i;
 var $gotdig_4_i;
 var $gotrad_2_i;
 var $k_2_i;
 var $j_2_i;
 var $69=((((HEAPU8[($rpos)])|(HEAPU8[((($rpos)+(1))|0)]<<8)|(HEAPU8[((($rpos)+(2))|0)]<<16)|(HEAPU8[((($rpos)+(3))|0)]<<24))|0));
 var $70=((((HEAPU8[($shend)])|(HEAPU8[((($shend)+(1))|0)]<<8)|(HEAPU8[((($shend)+(2))|0)]<<16)|(HEAPU8[((($shend)+(3))|0)]<<24))|0));
 var $cmp84_i=($69>>>0)<($70>>>0);
 if($cmp84_i){label=157;break;}else{label=158;break;}
 case 157: 
 var $incdec_ptr88_i=(($69+1)|0);
 tempBigInt=$incdec_ptr88_i;HEAP8[($rpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(3))|0)]=tempBigInt&0xff;
 var $71=HEAP8[($69)];
 var $conv89_i=($71&255);
 var $c_addr_3_be_i=$conv89_i;label=159;break;
 case 158: 
 var $call91_i=___shgetc($f);
 var $c_addr_3_be_i=$call91_i;label=159;break;
 case 159: 
 var $c_addr_3_be_i;
 var $sub37_i=((($c_addr_3_be_i)-(48))|0);
 var $cmp38_i=($sub37_i>>>0)<10;
 var $cmp40_i=($c_addr_3_be_i|0)==46;
 var $or_cond4_i=$cmp38_i|$cmp40_i;
 if($or_cond4_i){var $lrp_2350_i$1=$lrp_3_i$1;var $lrp_2350_i$0=$lrp_3_i$0;var $dc_0351_i$1=$dc_1_i102$1;var $dc_0351_i$0=$dc_1_i102$0;var $lnz_0352_i=$lnz_2_i;var $gotdig_3353_i=$gotdig_4_i;var $gotrad_1354_i=$gotrad_2_i;var $k_0355_i=$k_2_i;var $j_0356_i=$j_2_i;var $c_addr_3357_i=$c_addr_3_be_i;var $sub37358_i=$sub37_i;var $cmp40359_i=$cmp40_i;label=147;break;}else{var $lrp_2_lcssa_i$1=$lrp_3_i$1;var $lrp_2_lcssa_i$0=$lrp_3_i$0;var $dc_0_lcssa_i$1=$dc_1_i102$1;var $dc_0_lcssa_i$0=$dc_1_i102$0;var $lnz_0_lcssa_i=$lnz_2_i;var $gotdig_3_lcssa_i=$gotdig_4_i;var $gotrad_1_lcssa_i=$gotrad_2_i;var $k_0_lcssa_i=$k_2_i;var $j_0_lcssa_i=$j_2_i;var $c_addr_3_lcssa_i=$c_addr_3_be_i;label=160;break;}
 case 160: 
 var $c_addr_3_lcssa_i;
 var $j_0_lcssa_i;
 var $k_0_lcssa_i;
 var $gotrad_1_lcssa_i;
 var $gotdig_3_lcssa_i;
 var $lnz_0_lcssa_i;
 var $dc_0_lcssa_i$0;
 var $dc_0_lcssa_i$1;
 var $lrp_2_lcssa_i$0;
 var $lrp_2_lcssa_i$1;
 var $tobool95_i=($gotrad_1_lcssa_i|0)==0;
 var $dc_0_lrp_2_i$0=($tobool95_i?$dc_0_lcssa_i$0:$lrp_2_lcssa_i$0);
 var $dc_0_lrp_2_i$1=($tobool95_i?$dc_0_lcssa_i$1:$lrp_2_lcssa_i$1);
 var $tobool98_i=($gotdig_3_lcssa_i|0)!=0;
 var $or99_i=$c_addr_3_lcssa_i|32;
 var $cmp100_i=($or99_i|0)==101;
 var $or_cond225_i=$tobool98_i&$cmp100_i;
 if($or_cond225_i){label=161;break;}else{label=167;break;}
 case 161: 
 var $call103_i$0=_scanexp($f,$pok);
 var $call103_i$1=tempRet0;
 var $$etemp$14$0=0;
 var $$etemp$14$1=-2147483648;
 var $cmp104_i=(($call103_i$0|0) == ($$etemp$14$0|0)) & (($call103_i$1|0) == ($$etemp$14$1|0));
 if($cmp104_i){label=162;break;}else{var $e10_0_i$1=$call103_i$1;var $e10_0_i$0=$call103_i$0;label=166;break;}
 case 162: 
 var $tobool107_i=($pok|0)==0;
 if($tobool107_i){label=165;break;}else{label=163;break;}
 case 163: 
 var $72=((((HEAPU8[($shend)])|(HEAPU8[((($shend)+(1))|0)]<<8)|(HEAPU8[((($shend)+(2))|0)]<<16)|(HEAPU8[((($shend)+(3))|0)]<<24))|0));
 var $tobool110_i=($72|0)==0;
 if($tobool110_i){var $e10_0_i$1=0;var $e10_0_i$0=0;label=166;break;}else{label=164;break;}
 case 164: 
 var $73=((((HEAPU8[($rpos)])|(HEAPU8[((($rpos)+(1))|0)]<<8)|(HEAPU8[((($rpos)+(2))|0)]<<16)|(HEAPU8[((($rpos)+(3))|0)]<<24))|0));
 var $incdec_ptr113_i=((($73)-(1))|0);
 tempBigInt=$incdec_ptr113_i;HEAP8[($rpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(3))|0)]=tempBigInt&0xff;
 var $e10_0_i$1=0;var $e10_0_i$0=0;label=166;break;
 case 165: 
 ___shlim($f,0);
 var $retval_0=0;label=267;break;
 case 166: 
 var $e10_0_i$0;
 var $e10_0_i$1;
 var $add119_i$0=_i64Add($e10_0_i$0,$e10_0_i$1,$dc_0_lrp_2_i$0,$dc_0_lrp_2_i$1);var $add119_i$1=tempRet0;
 var $lrp_5241_i$1=$add119_i$1;var $lrp_5241_i$0=$add119_i$0;var $dc_0328_i$1=$dc_0_lcssa_i$1;var $dc_0328_i$0=$dc_0_lcssa_i$0;var $lnz_0332_i=$lnz_0_lcssa_i;var $k_0338_i=$k_0_lcssa_i;var $j_0342_i=$j_0_lcssa_i;label=172;break;
 case 167: 
 var $cmp121_i=($c_addr_3_lcssa_i|0)>-1;
 if($cmp121_i){var $tobool98237239_i=$tobool98_i;var $lrp_4235240_i$1=$dc_0_lrp_2_i$1;var $lrp_4235240_i$0=$dc_0_lrp_2_i$0;var $dc_0330_i$1=$dc_0_lcssa_i$1;var $dc_0330_i$0=$dc_0_lcssa_i$0;var $lnz_0334_i=$lnz_0_lcssa_i;var $k_0340_i=$k_0_lcssa_i;var $j_0344_i=$j_0_lcssa_i;label=168;break;}else{var $lrp_5_i$1=$dc_0_lrp_2_i$1;var $lrp_5_i$0=$dc_0_lrp_2_i$0;var $tobool98236_i=$tobool98_i;var $dc_0329_i$1=$dc_0_lcssa_i$1;var $dc_0329_i$0=$dc_0_lcssa_i$0;var $lnz_0333_i=$lnz_0_lcssa_i;var $k_0339_i=$k_0_lcssa_i;var $j_0343_i=$j_0_lcssa_i;label=170;break;}
 case 168: 
 var $j_0344_i;
 var $k_0340_i;
 var $lnz_0334_i;
 var $dc_0330_i$0;
 var $dc_0330_i$1;
 var $lrp_4235240_i$0;
 var $lrp_4235240_i$1;
 var $tobool98237239_i;
 var $74=((((HEAPU8[($shend)])|(HEAPU8[((($shend)+(1))|0)]<<8)|(HEAPU8[((($shend)+(2))|0)]<<16)|(HEAPU8[((($shend)+(3))|0)]<<24))|0));
 var $tobool125_i=($74|0)==0;
 if($tobool125_i){var $lrp_5_i$1=$lrp_4235240_i$1;var $lrp_5_i$0=$lrp_4235240_i$0;var $tobool98236_i=$tobool98237239_i;var $dc_0329_i$1=$dc_0330_i$1;var $dc_0329_i$0=$dc_0330_i$0;var $lnz_0333_i=$lnz_0334_i;var $k_0339_i=$k_0340_i;var $j_0343_i=$j_0344_i;label=170;break;}else{label=169;break;}
 case 169: 
 var $75=((((HEAPU8[($rpos)])|(HEAPU8[((($rpos)+(1))|0)]<<8)|(HEAPU8[((($rpos)+(2))|0)]<<16)|(HEAPU8[((($rpos)+(3))|0)]<<24))|0));
 var $incdec_ptr128_i=((($75)-(1))|0);
 tempBigInt=$incdec_ptr128_i;HEAP8[($rpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(3))|0)]=tempBigInt&0xff;
 if($tobool98237239_i){var $lrp_5241_i$1=$lrp_4235240_i$1;var $lrp_5241_i$0=$lrp_4235240_i$0;var $dc_0328_i$1=$dc_0330_i$1;var $dc_0328_i$0=$dc_0330_i$0;var $lnz_0332_i=$lnz_0334_i;var $k_0338_i=$k_0340_i;var $j_0342_i=$j_0344_i;label=172;break;}else{label=171;break;}
 case 170: 
 var $j_0343_i;
 var $k_0339_i;
 var $lnz_0333_i;
 var $dc_0329_i$0;
 var $dc_0329_i$1;
 var $tobool98236_i;
 var $lrp_5_i$0;
 var $lrp_5_i$1;
 if($tobool98236_i){var $lrp_5241_i$1=$lrp_5_i$1;var $lrp_5241_i$0=$lrp_5_i$0;var $dc_0328_i$1=$dc_0329_i$1;var $dc_0328_i$0=$dc_0329_i$0;var $lnz_0332_i=$lnz_0333_i;var $k_0338_i=$k_0339_i;var $j_0342_i=$j_0343_i;label=172;break;}else{label=171;break;}
 case 171: 
 var $call135_i=___errno_location();
 tempBigInt=22;HEAP8[($call135_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($call135_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($call135_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($call135_i)+(3))|0)]=tempBigInt&0xff;
 ___shlim($f,0);
 var $retval_0=0;label=267;break;
 case 172: 
 var $j_0342_i;
 var $k_0338_i;
 var $lnz_0332_i;
 var $dc_0328_i$0;
 var $dc_0328_i$1;
 var $lrp_5241_i$0;
 var $lrp_5241_i$1;
 var $76=((((HEAPU8[($arrayidx_i)])|(HEAPU8[((($arrayidx_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx_i)+(3))|0)]<<24))|0));
 var $tobool138_i104=($76|0)==0;
 if($tobool138_i104){label=173;break;}else{label=174;break;}
 case 173: 
 var $conv140_i=($sign_0|0);
 var $mul141_i=($conv140_i)*(0);
 var $retval_0=$mul141_i;label=267;break;
 case 174: 
 var $cmp143_i=(($lrp_5241_i$0|0) == ($dc_0328_i$0|0)) & (($lrp_5241_i$1|0) == ($dc_0328_i$1|0));
 var $$etemp$15$0=10;
 var $$etemp$15$1=0;
 var $cmp146_i105=(($dc_0328_i$1|0) < ($$etemp$15$1|0)) | (((($dc_0328_i$1|0) == ($$etemp$15$1|0) & ($dc_0328_i$0>>>0) <  ($$etemp$15$0>>>0))));
 var $or_cond_i106=$cmp143_i&$cmp146_i105;
 if($or_cond_i106){label=175;break;}else{label=177;break;}
 case 175: 
 var $cmp149_i=($bits_0_ph>>>0)>30;
 var $shr_i=$76>>>($bits_0_ph>>>0);
 var $cmp152_i=($shr_i|0)==0;
 var $or_cond226_i=$cmp149_i|$cmp152_i;
 if($or_cond226_i){label=176;break;}else{label=177;break;}
 case 176: 
 var $conv155_i=($sign_0|0);
 var $conv157_i=($76>>>0);
 var $mul158_i=($conv155_i)*($conv157_i);
 var $retval_0=$mul158_i;label=267;break;
 case 177: 
 var $div_i108=(((($emin_0_ph|0))/(-2))&-1);
 var $conv161_i$0=$div_i108;
 var $conv161_i$1=((((($div_i108|0)<0))|0)?-1:0);
 var $cmp162_i=(($lrp_5241_i$1|0) > ($conv161_i$1|0)) | (((($lrp_5241_i$1|0) == ($conv161_i$1|0) & ($lrp_5241_i$0>>>0) >  ($conv161_i$0>>>0))));
 if($cmp162_i){label=178;break;}else{label=179;break;}
 case 178: 
 var $call165_i=___errno_location();
 tempBigInt=34;HEAP8[($call165_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($call165_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($call165_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($call165_i)+(3))|0)]=tempBigInt&0xff;
 var $conv166_i=($sign_0|0);
 var $mul167_i=($conv166_i)*((1.7976931348623157e+308));
 var $mul168_i=($mul167_i)*((1.7976931348623157e+308));
 var $retval_0=$mul168_i;label=267;break;
 case 179: 
 var $sub170_i=((($emin_0_ph)-(106))|0);
 var $conv171_i$0=$sub170_i;
 var $conv171_i$1=((((($sub170_i|0)<0))|0)?-1:0);
 var $cmp172_i=(($lrp_5241_i$1|0) < ($conv171_i$1|0)) | (((($lrp_5241_i$1|0) == ($conv171_i$1|0) & ($lrp_5241_i$0>>>0) <  ($conv171_i$0>>>0))));
 if($cmp172_i){label=180;break;}else{label=181;break;}
 case 180: 
 var $call175_i=___errno_location();
 tempBigInt=34;HEAP8[($call175_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($call175_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($call175_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($call175_i)+(3))|0)]=tempBigInt&0xff;
 var $conv176_i=($sign_0|0);
 var $mul177_i=($conv176_i)*((2.2250738585072014e-308));
 var $mul178_i=($mul177_i)*((2.2250738585072014e-308));
 var $retval_0=$mul178_i;label=267;break;
 case 181: 
 var $tobool180_i=($j_0342_i|0)==0;
 if($tobool180_i){var $k_3_i=$k_0338_i;label=187;break;}else{label=182;break;}
 case 182: 
 var $cmp183323_i=($j_0342_i|0)<9;
 if($cmp183323_i){label=183;break;}else{label=186;break;}
 case 183: 
 var $arrayidx186_i=(($x_i+($k_0338_i<<2))|0);
 var $arrayidx186_promoted_i=((((HEAPU8[($arrayidx186_i)])|(HEAPU8[((($arrayidx186_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx186_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx186_i)+(3))|0)]<<24))|0));
 var $j_3324_i=$j_0342_i;var $mul187325_i=$arrayidx186_promoted_i;label=184;break;
 case 184: 
 var $mul187325_i;
 var $j_3324_i;
 var $mul187_i=((($mul187325_i)*(10))&-1);
 var $inc189_i=((($j_3324_i)+(1))|0);
 var $cmp183_i=($inc189_i|0)<9;
 if($cmp183_i){var $j_3324_i=$inc189_i;var $mul187325_i=$mul187_i;label=184;break;}else{label=185;break;}
 case 185: 
 tempBigInt=$mul187_i;HEAP8[($arrayidx186_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx186_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx186_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx186_i)+(3))|0)]=tempBigInt&0xff;
 label=186;break;
 case 186: 
 var $inc191_i=((($k_0338_i)+(1))|0);
 var $k_3_i=$inc191_i;label=187;break;
 case 187: 
 var $k_3_i;
 var $conv193_i109$0=$lrp_5241_i$0;
 var $conv193_i109=$conv193_i109$0;
 var $cmp194_i110=($lnz_0332_i|0)<9;
 if($cmp194_i110){label=188;break;}else{label=195;break;}
 case 188: 
 var $cmp197_i=($lnz_0332_i|0)<=($conv193_i109|0);
 var $cmp200_i=($conv193_i109|0)<18;
 var $or_cond1_i=$cmp197_i&$cmp200_i;
 if($or_cond1_i){label=189;break;}else{label=195;break;}
 case 189: 
 var $cmp203_i111=($conv193_i109|0)==9;
 if($cmp203_i111){label=190;break;}else{label=191;break;}
 case 190: 
 var $conv206_i=($sign_0|0);
 var $77=((((HEAPU8[($arrayidx_i)])|(HEAPU8[((($arrayidx_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx_i)+(3))|0)]<<24))|0));
 var $conv208_i=($77>>>0);
 var $mul209_i=($conv206_i)*($conv208_i);
 var $retval_0=$mul209_i;label=267;break;
 case 191: 
 var $cmp211_i=($conv193_i109|0)<9;
 if($cmp211_i){label=192;break;}else{label=193;break;}
 case 192: 
 var $conv214_i=($sign_0|0);
 var $78=((((HEAPU8[($arrayidx_i)])|(HEAPU8[((($arrayidx_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx_i)+(3))|0)]<<24))|0));
 var $conv216_i=($78>>>0);
 var $mul217_i=($conv214_i)*($conv216_i);
 var $sub218_i=(((8)-($conv193_i109))|0);
 var $arrayidx219_i=((488+($sub218_i<<2))|0);
 var $79=((((HEAPU8[($arrayidx219_i)])|(HEAPU8[((($arrayidx219_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx219_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx219_i)+(3))|0)]<<24))|0));
 var $conv220_i=($79|0);
 var $div221_i=($mul217_i)/($conv220_i);
 var $retval_0=$div221_i;label=267;break;
 case 193: 
 var $80=((($conv193_i109)*(-3))&-1);
 var $mul224_neg_i=((($bits_0_ph)+(27))|0);
 var $sub225_i=((($mul224_neg_i)+($80))|0);
 var $cmp226_i=($sub225_i|0)>30;
 var $_pre_i=((((HEAPU8[($arrayidx_i)])|(HEAPU8[((($arrayidx_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx_i)+(3))|0)]<<24))|0));
 var $shr230_i=$_pre_i>>>($sub225_i>>>0);
 var $cmp231_i=($shr230_i|0)==0;
 var $or_cond405_i=$cmp226_i|$cmp231_i;
 if($or_cond405_i){label=194;break;}else{label=195;break;}
 case 194: 
 var $conv234_i=($sign_0|0);
 var $conv236_i=($_pre_i>>>0);
 var $mul237_i=($conv234_i)*($conv236_i);
 var $sub238_i=((($conv193_i109)-(10))|0);
 var $arrayidx239_i=((488+($sub238_i<<2))|0);
 var $81=((((HEAPU8[($arrayidx239_i)])|(HEAPU8[((($arrayidx239_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx239_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx239_i)+(3))|0)]<<24))|0));
 var $conv240_i=($81|0);
 var $mul241_i=($mul237_i)*($conv240_i);
 var $retval_0=$mul241_i;label=267;break;
 case 195: 
 var $rem_i=(((($conv193_i109|0))%(9))&-1);
 var $tobool244_i=($rem_i|0)==0;
 if($tobool244_i){var $a_2_ph268_i=0;var $z_1_ph267_i=$k_3_i;var $e2_0_ph_i=0;var $rp_2_ph266_i=$conv193_i109;label=204;break;}else{label=196;break;}
 case 196: 
 var $cmp246_i=($conv193_i109|0)>-1;
 var $add252_i=((($rem_i)+(9))|0);
 var $cond254_i=($cmp246_i?$rem_i:$add252_i);
 var $sub255_i=(((8)-($cond254_i))|0);
 var $arrayidx256_i=((488+($sub255_i<<2))|0);
 var $82=((((HEAPU8[($arrayidx256_i)])|(HEAPU8[((($arrayidx256_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx256_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx256_i)+(3))|0)]<<24))|0));
 var $cmp258315_i=($k_3_i|0)==0;
 if($cmp258315_i){var $z_0_i=0;var $a_0_lcssa400_i=0;var $rp_0_lcssa401_i=$conv193_i109;label=203;break;}else{label=197;break;}
 case 197: 
 var $div267_i=(((1000000000)/(($82|0)))&-1);
 var $rp_0316_i=$conv193_i109;var $a_0317_i=0;var $k_4318_i=0;var $carry_0319_i=0;label=198;break;
 case 198: 
 var $carry_0319_i;
 var $k_4318_i;
 var $a_0317_i;
 var $rp_0316_i;
 var $arrayidx261_i=(($x_i+($k_4318_i<<2))|0);
 var $83=((((HEAPU8[($arrayidx261_i)])|(HEAPU8[((($arrayidx261_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx261_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx261_i)+(3))|0)]<<24))|0));
 var $rem262_i=(((($83>>>0))%(($82>>>0)))&-1);
 var $div264_i=(((($83>>>0))/(($82>>>0)))&-1);
 var $add265_i=((($div264_i)+($carry_0319_i))|0);
 tempBigInt=$add265_i;HEAP8[($arrayidx261_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx261_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx261_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx261_i)+(3))|0)]=tempBigInt&0xff;
 var $mul268_i=(Math_imul($rem262_i,$div267_i)|0);
 var $cmp269_i=($k_4318_i|0)==($a_0317_i|0);
 var $tobool273_i=($add265_i|0)==0;
 var $or_cond227_i=$cmp269_i&$tobool273_i;
 var $add275_i=((($k_4318_i)+(1))|0);
 if($or_cond227_i){label=199;break;}else{var $a_1_i=$a_0317_i;var $rp_1_i114=$rp_0316_i;label=200;break;}
 case 199: 
 var $and_i113=$add275_i&127;
 var $sub276_i=((($rp_0316_i)-(9))|0);
 var $a_1_i=$and_i113;var $rp_1_i114=$sub276_i;label=200;break;
 case 200: 
 var $rp_1_i114;
 var $a_1_i;
 var $cmp258_i=($add275_i|0)==($k_3_i|0);
 if($cmp258_i){label=201;break;}else{var $rp_0316_i=$rp_1_i114;var $a_0317_i=$a_1_i;var $k_4318_i=$add275_i;var $carry_0319_i=$mul268_i;label=198;break;}
 case 201: 
 var $tobool281_i=($mul268_i|0)==0;
 if($tobool281_i){var $z_0_i=$k_3_i;var $a_0_lcssa400_i=$a_1_i;var $rp_0_lcssa401_i=$rp_1_i114;label=203;break;}else{label=202;break;}
 case 202: 
 var $inc283_i=((($k_3_i)+(1))|0);
 var $arrayidx284_i=(($x_i+($k_3_i<<2))|0);
 tempBigInt=$mul268_i;HEAP8[($arrayidx284_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx284_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx284_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx284_i)+(3))|0)]=tempBigInt&0xff;
 var $z_0_i=$inc283_i;var $a_0_lcssa400_i=$a_1_i;var $rp_0_lcssa401_i=$rp_1_i114;label=203;break;
 case 203: 
 var $rp_0_lcssa401_i;
 var $a_0_lcssa400_i;
 var $z_0_i;
 var $sub286_i=(((9)-($cond254_i))|0);
 var $add287_i=((($sub286_i)+($rp_0_lcssa401_i))|0);
 var $a_2_ph268_i=$a_0_lcssa400_i;var $z_1_ph267_i=$z_0_i;var $e2_0_ph_i=0;var $rp_2_ph266_i=$add287_i;label=204;break;
 case 204: 
 var $rp_2_ph266_i;
 var $e2_0_ph_i;
 var $z_1_ph267_i;
 var $a_2_ph268_i;
 var $cmp289_i=($rp_2_ph266_i|0)<18;
 var $arrayidx294_i=(($x_i+($a_2_ph268_i<<2))|0);
 if($cmp289_i){var $z_1_us_i=$z_1_ph267_i;var $e2_0_us_i=$e2_0_ph_i;label=206;break;}else{label=205;break;}
 case 205: 
 var $cmp292_i=($rp_2_ph266_i|0)==18;
 if($cmp292_i){var $z_1_us273_i=$z_1_ph267_i;var $e2_0_us272_i=$e2_0_ph_i;label=213;break;}else{var $a_3_ph_i=$a_2_ph268_i;var $z_5_ph_i=$z_1_ph267_i;var $e2_1_ph_i=$e2_0_ph_i;var $rp_3_ph263_i=$rp_2_ph266_i;label=237;break;}
 case 206: 
 var $e2_0_us_i;
 var $z_1_us_i;
 var $sub301_us_i=((($z_1_us_i)+(127))|0);
 var $carry299_0_us_i=0;var $k_5_in_us_i=$sub301_us_i;var $z_2_us_i=$z_1_us_i;label=207;break;
 case 207: 
 var $z_2_us_i;
 var $k_5_in_us_i;
 var $carry299_0_us_i;
 var $k_5_us_i=$k_5_in_us_i&127;
 var $arrayidx306_us_i=(($x_i+($k_5_us_i<<2))|0);
 var $84=((((HEAPU8[($arrayidx306_us_i)])|(HEAPU8[((($arrayidx306_us_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx306_us_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx306_us_i)+(3))|0)]<<24))|0));
 var $conv307_us_i$0=$84;
 var $conv307_us_i$1=0;
 var $shl_us_i$0=($conv307_us_i$0<<29)|(0>>>3);
 var $shl_us_i$1=($conv307_us_i$1<<29)|($conv307_us_i$0>>>3);
 var $conv308_us_i$0=$carry299_0_us_i;
 var $conv308_us_i$1=0;
 var $add309_us_i$0=_i64Add($shl_us_i$0,$shl_us_i$1,$conv308_us_i$0,$conv308_us_i$1);var $add309_us_i$1=tempRet0;
 var $$etemp$16$0=1000000000;
 var $$etemp$16$1=0;
 var $cmp310_us_i=(($add309_us_i$1>>>0) > ($$etemp$16$1>>>0)) | (((($add309_us_i$1>>>0) == ($$etemp$16$1>>>0) & ($add309_us_i$0>>>0) >  ($$etemp$16$0>>>0))));
 var $extract_t250_us_i$0=$add309_us_i$0;
 var $extract_t250_us_i=$extract_t250_us_i$0;
 if($cmp310_us_i){label=208;break;}else{var $carry299_1_us_i=0;var $rem315_sink_off0_us_i=$extract_t250_us_i;label=209;break;}
 case 208: 
 var $$etemp$17$0=1000000000;
 var $$etemp$17$1=0;
 var $div313_us_i$0=___udivdi3($add309_us_i$0,$add309_us_i$1,$$etemp$17$0,$$etemp$17$1);var $div313_us_i$1=tempRet0;
 var $conv314_us_i$0=$div313_us_i$0;
 var $conv314_us_i=$conv314_us_i$0;
 var $$etemp$18$0=1000000000;
 var $$etemp$18$1=0;
 var $rem315_us_i$0=___uremdi3($add309_us_i$0,$add309_us_i$1,$$etemp$18$0,$$etemp$18$1);var $rem315_us_i$1=tempRet0;
 var $extract_t_us_i$0=$rem315_us_i$0;
 var $extract_t_us_i=$extract_t_us_i$0;
 var $carry299_1_us_i=$conv314_us_i;var $rem315_sink_off0_us_i=$extract_t_us_i;label=209;break;
 case 209: 
 var $rem315_sink_off0_us_i;
 var $carry299_1_us_i;
 tempBigInt=$rem315_sink_off0_us_i;HEAP8[($arrayidx306_us_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx306_us_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx306_us_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx306_us_i)+(3))|0)]=tempBigInt&0xff;
 var $sub322_us_i=((($z_2_us_i)+(127))|0);
 var $and323_us_i=$sub322_us_i&127;
 var $cmp324_us_i=($k_5_us_i|0)!=($and323_us_i|0);
 var $cmp327_us_i=($k_5_us_i|0)==($a_2_ph268_i|0);
 var $or_cond228_us_i=$cmp324_us_i|$cmp327_us_i;
 if($or_cond228_us_i){var $z_3_us_i=$z_2_us_i;label=211;break;}else{label=210;break;}
 case 210: 
 var $tobool331_us_i=($rem315_sink_off0_us_i|0)==0;
 var $k_5_z_2_us_i=($tobool331_us_i?$k_5_us_i:$z_2_us_i);
 var $z_3_us_i=$k_5_z_2_us_i;label=211;break;
 case 211: 
 var $z_3_us_i;
 var $sub339_us_i=((($k_5_us_i)-(1))|0);
 if($cmp327_us_i){label=212;break;}else{var $carry299_0_us_i=$carry299_1_us_i;var $k_5_in_us_i=$sub339_us_i;var $z_2_us_i=$z_3_us_i;label=207;break;}
 case 212: 
 var $sub300_us_i=((($e2_0_us_i)-(29))|0);
 var $tobool342_us_i=($carry299_1_us_i|0)==0;
 if($tobool342_us_i){var $z_1_us_i=$z_3_us_i;var $e2_0_us_i=$sub300_us_i;label=206;break;}else{var $sub300_lcssa_i=$sub300_us_i;var $z_3_lcssa_lcssa_i=$z_3_us_i;var $carry299_1_lcssa_lcssa_i=$carry299_1_us_i;label=221;break;}
 case 213: 
 var $e2_0_us272_i;
 var $z_1_us273_i;
 var $85=((((HEAPU8[($arrayidx294_i)])|(HEAPU8[((($arrayidx294_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx294_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx294_i)+(3))|0)]<<24))|0));
 var $cmp295_us276_i=($85>>>0)<9007199;
 if($cmp295_us276_i){label=214;break;}else{var $a_3_ph_i=$a_2_ph268_i;var $z_5_ph_i=$z_1_us273_i;var $e2_1_ph_i=$e2_0_us272_i;var $rp_3_ph263_i=18;label=237;break;}
 case 214: 
 var $sub301_us279_i=((($z_1_us273_i)+(127))|0);
 var $carry299_0_us283_i=0;var $k_5_in_us282_i=$sub301_us279_i;var $z_2_us281_i=$z_1_us273_i;label=215;break;
 case 215: 
 var $z_2_us281_i;
 var $k_5_in_us282_i;
 var $carry299_0_us283_i;
 var $k_5_us284_i=$k_5_in_us282_i&127;
 var $arrayidx306_us285_i=(($x_i+($k_5_us284_i<<2))|0);
 var $86=((((HEAPU8[($arrayidx306_us285_i)])|(HEAPU8[((($arrayidx306_us285_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx306_us285_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx306_us285_i)+(3))|0)]<<24))|0));
 var $conv307_us286_i$0=$86;
 var $conv307_us286_i$1=0;
 var $shl_us287_i$0=($conv307_us286_i$0<<29)|(0>>>3);
 var $shl_us287_i$1=($conv307_us286_i$1<<29)|($conv307_us286_i$0>>>3);
 var $conv308_us288_i$0=$carry299_0_us283_i;
 var $conv308_us288_i$1=0;
 var $add309_us289_i$0=_i64Add($shl_us287_i$0,$shl_us287_i$1,$conv308_us288_i$0,$conv308_us288_i$1);var $add309_us289_i$1=tempRet0;
 var $$etemp$19$0=1000000000;
 var $$etemp$19$1=0;
 var $cmp310_us290_i=(($add309_us289_i$1>>>0) > ($$etemp$19$1>>>0)) | (((($add309_us289_i$1>>>0) == ($$etemp$19$1>>>0) & ($add309_us289_i$0>>>0) >  ($$etemp$19$0>>>0))));
 var $extract_t250_us291_i$0=$add309_us289_i$0;
 var $extract_t250_us291_i=$extract_t250_us291_i$0;
 if($cmp310_us290_i){label=216;break;}else{var $carry299_1_us299_i=0;var $rem315_sink_off0_us298_i=$extract_t250_us291_i;label=217;break;}
 case 216: 
 var $$etemp$20$0=1000000000;
 var $$etemp$20$1=0;
 var $div313_us293_i$0=___udivdi3($add309_us289_i$0,$add309_us289_i$1,$$etemp$20$0,$$etemp$20$1);var $div313_us293_i$1=tempRet0;
 var $conv314_us294_i$0=$div313_us293_i$0;
 var $conv314_us294_i=$conv314_us294_i$0;
 var $$etemp$21$0=1000000000;
 var $$etemp$21$1=0;
 var $rem315_us295_i$0=___uremdi3($add309_us289_i$0,$add309_us289_i$1,$$etemp$21$0,$$etemp$21$1);var $rem315_us295_i$1=tempRet0;
 var $extract_t_us296_i$0=$rem315_us295_i$0;
 var $extract_t_us296_i=$extract_t_us296_i$0;
 var $carry299_1_us299_i=$conv314_us294_i;var $rem315_sink_off0_us298_i=$extract_t_us296_i;label=217;break;
 case 217: 
 var $rem315_sink_off0_us298_i;
 var $carry299_1_us299_i;
 tempBigInt=$rem315_sink_off0_us298_i;HEAP8[($arrayidx306_us285_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx306_us285_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx306_us285_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx306_us285_i)+(3))|0)]=tempBigInt&0xff;
 var $sub322_us300_i=((($z_2_us281_i)+(127))|0);
 var $and323_us301_i=$sub322_us300_i&127;
 var $cmp324_us302_i=($k_5_us284_i|0)!=($and323_us301_i|0);
 var $cmp327_us303_i=($k_5_us284_i|0)==($a_2_ph268_i|0);
 var $or_cond228_us304_i=$cmp324_us302_i|$cmp327_us303_i;
 if($or_cond228_us304_i){var $z_3_us309_i=$z_2_us281_i;label=219;break;}else{label=218;break;}
 case 218: 
 var $tobool331_us306_i=($rem315_sink_off0_us298_i|0)==0;
 var $k_5_z_2_us307_i=($tobool331_us306_i?$k_5_us284_i:$z_2_us281_i);
 var $z_3_us309_i=$k_5_z_2_us307_i;label=219;break;
 case 219: 
 var $z_3_us309_i;
 var $sub339_us310_i=((($k_5_us284_i)-(1))|0);
 if($cmp327_us303_i){label=220;break;}else{var $carry299_0_us283_i=$carry299_1_us299_i;var $k_5_in_us282_i=$sub339_us310_i;var $z_2_us281_i=$z_3_us309_i;label=215;break;}
 case 220: 
 var $sub300_us278_i=((($e2_0_us272_i)-(29))|0);
 var $tobool342_us314_i=($carry299_1_us299_i|0)==0;
 if($tobool342_us314_i){var $z_1_us273_i=$z_3_us309_i;var $e2_0_us272_i=$sub300_us278_i;label=213;break;}else{var $sub300_lcssa_i=$sub300_us278_i;var $z_3_lcssa_lcssa_i=$z_3_us309_i;var $carry299_1_lcssa_lcssa_i=$carry299_1_us299_i;label=221;break;}
 case 221: 
 var $carry299_1_lcssa_lcssa_i;
 var $z_3_lcssa_lcssa_i;
 var $sub300_lcssa_i;
 var $add344_i=((($rp_2_ph266_i)+(9))|0);
 var $sub345_i=((($a_2_ph268_i)+(127))|0);
 var $and346_i=$sub345_i&127;
 var $cmp347_i=($and346_i|0)==($z_3_lcssa_lcssa_i|0);
 if($cmp347_i){label=222;break;}else{var $z_4_i=$z_3_lcssa_lcssa_i;label=223;break;}
 case 222: 
 var $sub350_i=((($z_3_lcssa_lcssa_i)+(127))|0);
 var $and351_i=$sub350_i&127;
 var $arrayidx352_i=(($x_i+($and351_i<<2))|0);
 var $87=((((HEAPU8[($arrayidx352_i)])|(HEAPU8[((($arrayidx352_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx352_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx352_i)+(3))|0)]<<24))|0));
 var $sub353_i=((($z_3_lcssa_lcssa_i)+(126))|0);
 var $and354_i=$sub353_i&127;
 var $arrayidx355_i=(($x_i+($and354_i<<2))|0);
 var $88=((((HEAPU8[($arrayidx355_i)])|(HEAPU8[((($arrayidx355_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx355_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx355_i)+(3))|0)]<<24))|0));
 var $or356_i=$88|$87;
 tempBigInt=$or356_i;HEAP8[($arrayidx355_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx355_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx355_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx355_i)+(3))|0)]=tempBigInt&0xff;
 var $z_4_i=$and351_i;label=223;break;
 case 223: 
 var $z_4_i;
 var $arrayidx358_i=(($x_i+($and346_i<<2))|0);
 tempBigInt=$carry299_1_lcssa_lcssa_i;HEAP8[($arrayidx358_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx358_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx358_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx358_i)+(3))|0)]=tempBigInt&0xff;
 var $a_2_ph268_i=$and346_i;var $z_1_ph267_i=$z_4_i;var $e2_0_ph_i=$sub300_lcssa_i;var $rp_2_ph266_i=$add344_i;label=204;break;
 case 224: 
 var $e2_1_i;
 var $a_3_i;
 var $i_0254_i=0;label=226;break;
 case 225: 
 var $cmp365_i=($inc388_i|0)<2;
 if($cmp365_i){var $i_0254_i=$inc388_i;label=226;break;}else{var $i_1_i=$inc388_i;label=229;break;}
 case 226: 
 var $i_0254_i;
 var $add368_i=((($i_0254_i)+($a_3_i))|0);
 var $and369_i=$add368_i&127;
 var $cmp370_i=($and369_i|0)==($z_5_ph_i|0);
 if($cmp370_i){var $i_1_i=2;label=229;break;}else{label=227;break;}
 case 227: 
 var $arrayidx373_i=(($x_i+($and369_i<<2))|0);
 var $89=((((HEAPU8[($arrayidx373_i)])|(HEAPU8[((($arrayidx373_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx373_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx373_i)+(3))|0)]<<24))|0));
 var $arrayidx374_i=((480+($i_0254_i<<2))|0);
 var $90=((((HEAPU8[($arrayidx374_i)])|(HEAPU8[((($arrayidx374_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx374_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx374_i)+(3))|0)]<<24))|0));
 var $cmp375_i=($89>>>0)<($90>>>0);
 if($cmp375_i){var $i_1_i=2;label=229;break;}else{label=228;break;}
 case 228: 
 var $cmp383_i=($89>>>0)>($90>>>0);
 var $inc388_i=((($i_0254_i)+(1))|0);
 if($cmp383_i){var $i_1_i=$i_0254_i;label=229;break;}else{label=225;break;}
 case 229: 
 var $i_1_i;
 var $cmp390_i=($i_1_i|0)==2;
 var $or_cond2_i115=$cmp390_i&$cmp393_i;
 if($or_cond2_i115){label=230;break;}else{label=231;break;}
 case 230: 
 var $and456_i=$a_3_i&127;
 var $cmp457_i=($and456_i|0)==($z_5_ph_i|0);
 if($cmp457_i){label=240;break;}else{var $z_7_i=$z_5_ph_i;label=241;break;}
 case 231: 
 var $add401_i=((($__i)+($e2_1_i))|0);
 var $cmp403255_i=($a_3_i|0)==($z_5_ph_i|0);
 if($cmp403255_i){var $a_3_i=$z_5_ph_i;var $e2_1_i=$add401_i;label=224;break;}else{label=232;break;}
 case 232: 
 var $shl409_i=1<<$__i;
 var $sub410_i=((($shl409_i)-(1))|0);
 var $shr416_i=1000000000>>>($__i>>>0);
 var $rp_4256_i=$rp_3_i_ph;var $a_4257_i=$a_3_i;var $k_6258_i=$a_3_i;var $carry362_0260_i=0;label=233;break;
 case 233: 
 var $carry362_0260_i;
 var $k_6258_i;
 var $a_4257_i;
 var $rp_4256_i;
 var $arrayidx408_i=(($x_i+($k_6258_i<<2))|0);
 var $91=((((HEAPU8[($arrayidx408_i)])|(HEAPU8[((($arrayidx408_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx408_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx408_i)+(3))|0)]<<24))|0));
 var $and411_i=$91&$sub410_i;
 var $shr413_i=$91>>>($__i>>>0);
 var $add414_i=((($shr413_i)+($carry362_0260_i))|0);
 tempBigInt=$add414_i;HEAP8[($arrayidx408_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx408_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx408_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx408_i)+(3))|0)]=tempBigInt&0xff;
 var $mul417_i=(Math_imul($and411_i,$shr416_i)|0);
 var $cmp418_i=($k_6258_i|0)==($a_4257_i|0);
 var $tobool422_i=($add414_i|0)==0;
 var $or_cond229_i=$cmp418_i&$tobool422_i;
 var $add424_i=((($k_6258_i)+(1))|0);
 var $and425_i=$add424_i&127;
 var $sub427_i=((($rp_4256_i)-(9))|0);
 var $rp_5_i=($or_cond229_i?$sub427_i:$rp_4256_i);
 var $a_5_i=($or_cond229_i?$and425_i:$a_4257_i);
 var $cmp403_i=($and425_i|0)==($z_5_ph_i|0);
 if($cmp403_i){label=234;break;}else{var $rp_4256_i=$rp_5_i;var $a_4257_i=$a_5_i;var $k_6258_i=$and425_i;var $carry362_0260_i=$mul417_i;label=233;break;}
 case 234: 
 var $tobool433_i=($mul417_i|0)==0;
 if($tobool433_i){var $a_3_i_ph=$a_5_i;var $e2_1_i_ph=$add401_i;var $rp_3_i_ph=$rp_5_i;label=238;break;}else{label=235;break;}
 case 235: 
 var $cmp437_i=($and436_i|0)==($a_5_i|0);
 if($cmp437_i){label=239;break;}else{label=236;break;}
 case 236: 
 var $arrayidx440_i=(($x_i+($z_5_ph_i<<2))|0);
 tempBigInt=$mul417_i;HEAP8[($arrayidx440_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx440_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx440_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx440_i)+(3))|0)]=tempBigInt&0xff;
 var $a_3_ph_i=$a_5_i;var $z_5_ph_i=$and436_i;var $e2_1_ph_i=$add401_i;var $rp_3_ph263_i=$rp_5_i;label=237;break;
 case 237: 
 var $rp_3_ph263_i;
 var $e2_1_ph_i;
 var $z_5_ph_i;
 var $a_3_ph_i;
 var $add435_i=((($z_5_ph_i)+(1))|0);
 var $and436_i=$add435_i&127;
 var $sub444_i=((($z_5_ph_i)+(127))|0);
 var $and445_i=$sub444_i&127;
 var $arrayidx446_i=(($x_i+($and445_i<<2))|0);
 var $a_3_i_ph=$a_3_ph_i;var $e2_1_i_ph=$e2_1_ph_i;var $rp_3_i_ph=$rp_3_ph263_i;label=238;break;
 case 238: 
 var $rp_3_i_ph;
 var $e2_1_i_ph;
 var $a_3_i_ph;
 var $cmp393_i=($rp_3_i_ph|0)==18;
 var $cmp397_i=($rp_3_i_ph|0)>27;
 var $__i=($cmp397_i?9:1);
 var $a_3_i=$a_3_i_ph;var $e2_1_i=$e2_1_i_ph;label=224;break;
 case 239: 
 var $92=((((HEAPU8[($arrayidx446_i)])|(HEAPU8[((($arrayidx446_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx446_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx446_i)+(3))|0)]<<24))|0));
 var $or447_i=$92|1;
 tempBigInt=$or447_i;HEAP8[($arrayidx446_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx446_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx446_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx446_i)+(3))|0)]=tempBigInt&0xff;
 var $a_3_i_ph=$a_5_i;var $e2_1_i_ph=$add401_i;var $rp_3_i_ph=$rp_5_i;label=238;break;
 case 240: 
 var $sub462_i=((($and436_i)-(1))|0);
 var $arrayidx463_i=(($x_i+($sub462_i<<2))|0);
 tempBigInt=0;HEAP8[($arrayidx463_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx463_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx463_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx463_i)+(3))|0)]=tempBigInt&0xff;
 var $z_7_i=$and436_i;label=241;break;
 case 241: 
 var $z_7_i;
 var $arrayidx468_i=(($x_i+($and456_i<<2))|0);
 var $93=((((HEAPU8[($arrayidx468_i)])|(HEAPU8[((($arrayidx468_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx468_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx468_i)+(3))|0)]<<24))|0));
 var $conv469_i=($93>>>0);
 var $add455_1_i=((($a_3_i)+(1))|0);
 var $and456_1_i=$add455_1_i&127;
 var $cmp457_1_i=($and456_1_i|0)==($z_7_i|0);
 if($cmp457_1_i){label=265;break;}else{var $z_7_1_i=$z_7_i;label=266;break;}
 case 242: 
 var $cmp483_i=($sub477_i|0)<0;
 if($cmp483_i){var $denormal_0244_i=1;var $bits_addr_0245_i=0;label=244;break;}else{var $bits_addr_0_i116=$sub477_i;var $denormal_0_i=1;label=243;break;}
 case 243: 
 var $denormal_0_i;
 var $bits_addr_0_i116;
 var $cmp488_i=($bits_addr_0_i116|0)<53;
 if($cmp488_i){var $denormal_0244_i=$denormal_0_i;var $bits_addr_0245_i=$bits_addr_0_i116;label=244;break;}else{var $bias_0_i118=0;var $frac_0_i=0;var $y_1_i117=$mul475_i;var $denormal_0243_i=$denormal_0_i;var $bits_addr_0246_i=$bits_addr_0_i116;label=245;break;}
 case 244: 
 var $bits_addr_0245_i;
 var $denormal_0244_i;
 var $sub492_i=(((105)-($bits_addr_0245_i))|0);
 var $call493_i=_scalbn(1,$sub492_i);
 var $call494_i=_copysign($call493_i,$mul475_i);
 var $sub495_i=(((53)-($bits_addr_0245_i))|0);
 var $call496_i=_scalbn(1,$sub495_i);
 var $call497_i=_fmod($mul475_i,$call496_i);
 var $sub498_i=($mul475_i)-($call497_i);
 var $add499_i=($call494_i)+($sub498_i);
 var $bias_0_i118=$call494_i;var $frac_0_i=$call497_i;var $y_1_i117=$add499_i;var $denormal_0243_i=$denormal_0244_i;var $bits_addr_0246_i=$bits_addr_0245_i;label=245;break;
 case 245: 
 var $bits_addr_0246_i;
 var $denormal_0243_i;
 var $y_1_i117;
 var $frac_0_i;
 var $bias_0_i118;
 var $add501_i=((($a_3_i)+(2))|0);
 var $and502_i=$add501_i&127;
 var $cmp503_i=($and502_i|0)==($z_7_1_i|0);
 if($cmp503_i){var $frac_2_i=$frac_0_i;label=258;break;}else{label=246;break;}
 case 246: 
 var $arrayidx509_i=(($x_i+($and502_i<<2))|0);
 var $94=((((HEAPU8[($arrayidx509_i)])|(HEAPU8[((($arrayidx509_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx509_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx509_i)+(3))|0)]<<24))|0));
 var $cmp510_i=($94>>>0)<500000000;
 if($cmp510_i){label=247;break;}else{label=250;break;}
 case 247: 
 var $tobool513_i=($94|0)==0;
 if($tobool513_i){label=248;break;}else{label=249;break;}
 case 248: 
 var $add516_i=((($a_3_i)+(3))|0);
 var $and517_i=$add516_i&127;
 var $cmp518_i=($and517_i|0)==($z_7_1_i|0);
 if($cmp518_i){var $frac_1_i=$frac_0_i;label=255;break;}else{label=249;break;}
 case 249: 
 var $mul522_i=($conv474_i)*((0.25));
 var $add523_i=($mul522_i)+($frac_0_i);
 var $frac_1_i=$add523_i;label=255;break;
 case 250: 
 var $cmp525_i=($94>>>0)>500000000;
 if($cmp525_i){label=251;break;}else{label=252;break;}
 case 251: 
 var $mul529_i=($conv474_i)*((0.75));
 var $add530_i=($mul529_i)+($frac_0_i);
 var $frac_1_i=$add530_i;label=255;break;
 case 252: 
 var $add536_i=((($a_3_i)+(3))|0);
 var $and537_i=$add536_i&127;
 var $cmp538_i=($and537_i|0)==($z_7_1_i|0);
 if($cmp538_i){label=253;break;}else{label=254;break;}
 case 253: 
 var $mul542_i=($conv474_i)*((0.5));
 var $add543_i=($mul542_i)+($frac_0_i);
 var $frac_1_i=$add543_i;label=255;break;
 case 254: 
 var $mul546_i=($conv474_i)*((0.75));
 var $add547_i=($mul546_i)+($frac_0_i);
 var $frac_1_i=$add547_i;label=255;break;
 case 255: 
 var $frac_1_i;
 var $sub552_i=(((53)-($bits_addr_0246_i))|0);
 var $cmp553_i=($sub552_i|0)>1;
 if($cmp553_i){label=256;break;}else{var $frac_2_i=$frac_1_i;label=258;break;}
 case 256: 
 var $call556_i=_fmod($frac_1_i,1);
 var $tobool557_i=$call556_i!=0;
 if($tobool557_i){var $frac_2_i=$frac_1_i;label=258;break;}else{label=257;break;}
 case 257: 
 var $inc559_i=($frac_1_i)+(1);
 var $frac_2_i=$inc559_i;label=258;break;
 case 258: 
 var $frac_2_i;
 var $add562_i=($y_1_i117)+($frac_2_i);
 var $sub563_i=($add562_i)-($bias_0_i118);
 var $and565_i=$add476_i&2147483647;
 var $sub566_i=(((-2)-($sum_i))|0);
 var $cmp567_i=($and565_i|0)>($sub566_i|0);
 if($cmp567_i){label=259;break;}else{var $y_3_i=$sub563_i;var $e2_3_i=$e2_1_i;label=264;break;}
 case 259: 
 var $call570_i=Math_abs($sub563_i);
 var $cmp571_i=$call570_i<9007199254740992;
 if($cmp571_i){var $y_2_i119=$sub563_i;var $denormal_2_i=$denormal_0243_i;var $e2_2_i=$e2_1_i;label=261;break;}else{label=260;break;}
 case 260: 
 var $tobool574_i=($denormal_0243_i|0)!=0;
 var $cmp578_i=($bits_addr_0246_i|0)==($sub477_i|0);
 var $or_cond230_i=$tobool574_i&$cmp578_i;
 var $denormal_1_i=($or_cond230_i?0:$denormal_0243_i);
 var $mul582_i=($sub563_i)*((0.5));
 var $inc583_i=((($e2_1_i)+(1))|0);
 var $y_2_i119=$mul582_i;var $denormal_2_i=$denormal_1_i;var $e2_2_i=$inc583_i;label=261;break;
 case 261: 
 var $e2_2_i;
 var $denormal_2_i;
 var $y_2_i119;
 var $95=((($e2_2_i)+(50))|0);
 var $cmp586_i=($95|0)>($sub1_i|0);
 if($cmp586_i){label=263;break;}else{label=262;break;}
 case 262: 
 var $tobool589_i=($denormal_2_i|0)!=0;
 var $tobool591_i=$frac_2_i!=0;
 var $or_cond3_i120=$tobool589_i&$tobool591_i;
 if($or_cond3_i120){label=263;break;}else{var $y_3_i=$y_2_i119;var $e2_3_i=$e2_2_i;label=264;break;}
 case 263: 
 var $call593_i=___errno_location();
 tempBigInt=34;HEAP8[($call593_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($call593_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($call593_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($call593_i)+(3))|0)]=tempBigInt&0xff;
 var $y_3_i=$y_2_i119;var $e2_3_i=$e2_2_i;label=264;break;
 case 264: 
 var $e2_3_i;
 var $y_3_i;
 var $call596_i=_scalbnl($y_3_i,$e2_3_i);
 var $retval_0=$call596_i;label=267;break;
 case 265: 
 var $add460_1_i=((($z_7_i)+(1))|0);
 var $and461_1_i=$add460_1_i&127;
 var $sub462_1_i=((($and461_1_i)-(1))|0);
 var $arrayidx463_1_i=(($x_i+($sub462_1_i<<2))|0);
 tempBigInt=0;HEAP8[($arrayidx463_1_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx463_1_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx463_1_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx463_1_i)+(3))|0)]=tempBigInt&0xff;
 var $z_7_1_i=$and461_1_i;label=266;break;
 case 266: 
 var $z_7_1_i;
 var $mul465_1_i=($conv469_i)*(1000000000);
 var $arrayidx468_1_i=(($x_i+($and456_1_i<<2))|0);
 var $96=((((HEAPU8[($arrayidx468_1_i)])|(HEAPU8[((($arrayidx468_1_i)+(1))|0)]<<8)|(HEAPU8[((($arrayidx468_1_i)+(2))|0)]<<16)|(HEAPU8[((($arrayidx468_1_i)+(3))|0)]<<24))|0));
 var $conv469_1_i=($96>>>0);
 var $add470_1_i=($mul465_1_i)+($conv469_1_i);
 var $conv474_i=($sign_0|0);
 var $mul475_i=($conv474_i)*($add470_1_i);
 var $add476_i=((($e2_1_i)+(53))|0);
 var $sub477_i=((($add476_i)-($emin_0_ph))|0);
 var $cmp478_i=($sub477_i|0)<($bits_0_ph|0);
 if($cmp478_i){label=242;break;}else{var $bits_addr_0_i116=$bits_0_ph;var $denormal_0_i=0;label=243;break;}
 case 267: 
 var $retval_0;
 STACKTOP=sp;return $retval_0;
  default: assert(0, "bad label: " + label);
 }

}


function ___shlim($f,$lim){
 var label=0;

 label = 1; 
 while(1)switch(label){
 case 1: 
 var $shlim=(($f+104)|0);
 tempBigInt=$lim;HEAP8[($shlim)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($shlim)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($shlim)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($shlim)+(3))|0)]=tempBigInt&0xff;
 var $rend=(($f+8)|0);
 var $0=((((HEAPU8[($rend)])|(HEAPU8[((($rend)+(1))|0)]<<8)|(HEAPU8[((($rend)+(2))|0)]<<16)|(HEAPU8[((($rend)+(3))|0)]<<24))|0));
 var $rpos=(($f+4)|0);
 var $1=((((HEAPU8[($rpos)])|(HEAPU8[((($rpos)+(1))|0)]<<8)|(HEAPU8[((($rpos)+(2))|0)]<<16)|(HEAPU8[((($rpos)+(3))|0)]<<24))|0));
 var $sub_ptr_lhs_cast=$0;
 var $sub_ptr_rhs_cast=$1;
 var $sub_ptr_sub=((($sub_ptr_lhs_cast)-($sub_ptr_rhs_cast))|0);
 var $shcnt=(($f+108)|0);
 tempBigInt=$sub_ptr_sub;HEAP8[($shcnt)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($shcnt)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($shcnt)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($shcnt)+(3))|0)]=tempBigInt&0xff;
 var $tobool=($lim|0)!=0;
 var $cmp=($sub_ptr_sub|0)>($lim|0);
 var $or_cond=$tobool&$cmp;
 if($or_cond){label=2;break;}else{label=3;break;}
 case 2: 
 var $add_ptr=(($1+$lim)|0);
 var $shend=(($f+100)|0);
 tempBigInt=$add_ptr;HEAP8[($shend)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($shend)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($shend)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($shend)+(3))|0)]=tempBigInt&0xff;
 label=4;break;
 case 3: 
 var $shend4=(($f+100)|0);
 tempBigInt=$0;HEAP8[($shend4)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($shend4)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($shend4)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($shend4)+(3))|0)]=tempBigInt&0xff;
 label=4;break;
 case 4: 
 return;
  default: assert(0, "bad label: " + label);
 }

}


function ___shgetc($f){
 var label=0;

 label = 1; 
 while(1)switch(label){
 case 1: 
 var $shlim=(($f+104)|0);
 var $0=((((HEAPU8[($shlim)])|(HEAPU8[((($shlim)+(1))|0)]<<8)|(HEAPU8[((($shlim)+(2))|0)]<<16)|(HEAPU8[((($shlim)+(3))|0)]<<24))|0));
 var $tobool=($0|0)==0;
 if($tobool){label=3;break;}else{label=2;break;}
 case 2: 
 var $shcnt=(($f+108)|0);
 var $1=((((HEAPU8[($shcnt)])|(HEAPU8[((($shcnt)+(1))|0)]<<8)|(HEAPU8[((($shcnt)+(2))|0)]<<16)|(HEAPU8[((($shcnt)+(3))|0)]<<24))|0));
 var $cmp=($1|0)<($0|0);
 if($cmp){label=3;break;}else{label=4;break;}
 case 3: 
 var $call=___uflow($f);
 var $cmp2=($call|0)<0;
 if($cmp2){label=4;break;}else{label=5;break;}
 case 4: 
 var $shend=(($f+100)|0);
 tempBigInt=0;HEAP8[($shend)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($shend)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($shend)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($shend)+(3))|0)]=tempBigInt&0xff;
 var $retval_0=-1;label=13;break;
 case 5: 
 var $2=((((HEAPU8[($shlim)])|(HEAPU8[((($shlim)+(1))|0)]<<8)|(HEAPU8[((($shlim)+(2))|0)]<<16)|(HEAPU8[((($shlim)+(3))|0)]<<24))|0));
 var $tobool4=($2|0)==0;
 var $rend17_phi_trans_insert=(($f+8)|0);
 var $_pre=((((HEAPU8[($rend17_phi_trans_insert)])|(HEAPU8[((($rend17_phi_trans_insert)+(1))|0)]<<8)|(HEAPU8[((($rend17_phi_trans_insert)+(2))|0)]<<16)|(HEAPU8[((($rend17_phi_trans_insert)+(3))|0)]<<24))|0));
 if($tobool4){label=8;break;}else{label=6;break;}
 case 6: 
 var $rpos=(($f+4)|0);
 var $3=((((HEAPU8[($rpos)])|(HEAPU8[((($rpos)+(1))|0)]<<8)|(HEAPU8[((($rpos)+(2))|0)]<<16)|(HEAPU8[((($rpos)+(3))|0)]<<24))|0));
 var $sub_ptr_lhs_cast=$_pre;
 var $sub_ptr_rhs_cast=$3;
 var $sub_ptr_sub=((($sub_ptr_lhs_cast)-($sub_ptr_rhs_cast))|0);
 var $shcnt7=(($f+108)|0);
 var $4=((((HEAPU8[($shcnt7)])|(HEAPU8[((($shcnt7)+(1))|0)]<<8)|(HEAPU8[((($shcnt7)+(2))|0)]<<16)|(HEAPU8[((($shcnt7)+(3))|0)]<<24))|0));
 var $sub=((($2)-($4))|0);
 var $sub8=((($sub)-(1))|0);
 var $cmp9=($sub_ptr_sub|0)>($sub8|0);
 if($cmp9){label=7;break;}else{label=8;break;}
 case 7: 
 var $add_ptr=(($3+$sub8)|0);
 var $shend16=(($f+100)|0);
 tempBigInt=$add_ptr;HEAP8[($shend16)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($shend16)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($shend16)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($shend16)+(3))|0)]=tempBigInt&0xff;
 label=9;break;
 case 8: 
 var $shend18=(($f+100)|0);
 tempBigInt=$_pre;HEAP8[($shend18)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($shend18)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($shend18)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($shend18)+(3))|0)]=tempBigInt&0xff;
 label=9;break;
 case 9: 
 var $tobool21=($_pre|0)==0;
 var $rpos31_phi_trans_insert=(($f+4)|0);
 var $_pre24=((((HEAPU8[($rpos31_phi_trans_insert)])|(HEAPU8[((($rpos31_phi_trans_insert)+(1))|0)]<<8)|(HEAPU8[((($rpos31_phi_trans_insert)+(2))|0)]<<16)|(HEAPU8[((($rpos31_phi_trans_insert)+(3))|0)]<<24))|0));
 if($tobool21){label=11;break;}else{label=10;break;}
 case 10: 
 var $sub_ptr_lhs_cast25=$_pre;
 var $sub_ptr_rhs_cast26=$_pre24;
 var $shcnt28=(($f+108)|0);
 var $5=((((HEAPU8[($shcnt28)])|(HEAPU8[((($shcnt28)+(1))|0)]<<8)|(HEAPU8[((($shcnt28)+(2))|0)]<<16)|(HEAPU8[((($shcnt28)+(3))|0)]<<24))|0));
 var $sub_ptr_sub27=((($sub_ptr_lhs_cast25)+(1))|0);
 var $add=((($sub_ptr_sub27)-($sub_ptr_rhs_cast26))|0);
 var $add29=((($add)+($5))|0);
 tempBigInt=$add29;HEAP8[($shcnt28)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($shcnt28)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($shcnt28)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($shcnt28)+(3))|0)]=tempBigInt&0xff;
 label=11;break;
 case 11: 
 var $arrayidx=((($_pre24)-(1))|0);
 var $6=HEAP8[($arrayidx)];
 var $conv=($6&255);
 var $cmp32=($conv|0)==($call|0);
 if($cmp32){var $retval_0=$call;label=13;break;}else{label=12;break;}
 case 12: 
 var $conv35=(($call)&255);
 HEAP8[($arrayidx)]=$conv35;
 var $retval_0=$call;label=13;break;
 case 13: 
 var $retval_0;
 return $retval_0;
  default: assert(0, "bad label: " + label);
 }

}


function _scalbn($x,$n){
 var label=0;

 label = 1; 
 while(1)switch(label){
 case 1: 
 var $cmp=($n|0)>1023;
 if($cmp){label=2;break;}else{label=4;break;}
 case 2: 
 var $mul=($x)*((8.98846567431158e+307));
 var $sub=((($n)-(1023))|0);
 var $cmp1=($sub|0)>1023;
 if($cmp1){label=3;break;}else{var $y_0=$mul;var $n_addr_0=$sub;label=7;break;}
 case 3: 
 var $mul3=($mul)*((8.98846567431158e+307));
 var $sub4=((($n)-(2046))|0);
 var $cmp5=($sub4|0)>1023;
 var $_sub4=($cmp5?1023:$sub4);
 var $y_0=$mul3;var $n_addr_0=$_sub4;label=7;break;
 case 4: 
 var $cmp8=($n|0)<-1022;
 if($cmp8){label=5;break;}else{var $y_0=$x;var $n_addr_0=$n;label=7;break;}
 case 5: 
 var $mul10=($x)*((2.2250738585072014e-308));
 var $add=((($n)+(1022))|0);
 var $cmp11=($add|0)<-1022;
 if($cmp11){label=6;break;}else{var $y_0=$mul10;var $n_addr_0=$add;label=7;break;}
 case 6: 
 var $mul13=($mul10)*((2.2250738585072014e-308));
 var $add14=((($n)+(2044))|0);
 var $cmp15=($add14|0)<-1022;
 var $_add14=($cmp15?-1022:$add14);
 var $y_0=$mul13;var $n_addr_0=$_add14;label=7;break;
 case 7: 
 var $n_addr_0;
 var $y_0;
 var $add21=((($n_addr_0)+(1023))|0);
 var $conv16$0=$add21;
 var $conv16$1=0;
 var $shl$0=(0<<20)|(0>>>12);
 var $shl$1=($conv16$0<<20)|(0>>>12);
 var $0=(HEAP32[((tempDoublePtr)>>2)]=$shl$0, HEAP32[(((tempDoublePtr)+(4))>>2)]=$shl$1, HEAPF64[(tempDoublePtr)>>3]);
 var $mul22=($y_0)*($0);
 return $mul22;
  default: assert(0, "bad label: " + label);
 }

}


function _scalbnl($x,$n){
 var label=0;


 var $call=_scalbn($x,$n);
 return $call;
}


function ___toread($f){
 var label=0;

 label = 1; 
 while(1)switch(label){
 case 1: 
 var $mode=(($f+74)|0);
 var $0=HEAP8[($mode)];
 var $sub=((($0)-(1))&255);
 var $or=$sub|$0;
 HEAP8[($mode)]=$or;
 var $wpos=(($f+20)|0);
 var $1=((((HEAPU8[($wpos)])|(HEAPU8[((($wpos)+(1))|0)]<<8)|(HEAPU8[((($wpos)+(2))|0)]<<16)|(HEAPU8[((($wpos)+(3))|0)]<<24))|0));
 var $buf=(($f+44)|0);
 var $2=((((HEAPU8[($buf)])|(HEAPU8[((($buf)+(1))|0)]<<8)|(HEAPU8[((($buf)+(2))|0)]<<16)|(HEAPU8[((($buf)+(3))|0)]<<24))|0));
 var $cmp=($1>>>0)>($2>>>0);
 if($cmp){label=2;break;}else{label=3;break;}
 case 2: 
 var $write=(($f+36)|0);
 var $3=((((HEAPU8[($write)])|(HEAPU8[((($write)+(1))|0)]<<8)|(HEAPU8[((($write)+(2))|0)]<<16)|(HEAPU8[((($write)+(3))|0)]<<24))|0));
 var $call=FUNCTION_TABLE[$3]($f,0,0);
 label=3;break;
 case 3: 
 var $wend=(($f+16)|0);
 tempBigInt=0;HEAP8[($wend)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($wend)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($wend)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($wend)+(3))|0)]=tempBigInt&0xff;
 var $wbase=(($f+28)|0);
 tempBigInt=0;HEAP8[($wbase)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($wbase)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($wbase)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($wbase)+(3))|0)]=tempBigInt&0xff;
 tempBigInt=0;HEAP8[($wpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($wpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($wpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($wpos)+(3))|0)]=tempBigInt&0xff;
 var $flags=(($f)|0);
 var $4=((((HEAPU8[($flags)])|(HEAPU8[((($flags)+(1))|0)]<<8)|(HEAPU8[((($flags)+(2))|0)]<<16)|(HEAPU8[((($flags)+(3))|0)]<<24))|0));
 var $and=$4&20;
 var $tobool=($and|0)==0;
 if($tobool){label=6;break;}else{label=4;break;}
 case 4: 
 var $and8=$4&4;
 var $tobool9=($and8|0)==0;
 if($tobool9){var $retval_0=-1;label=7;break;}else{label=5;break;}
 case 5: 
 var $or12=$4|32;
 tempBigInt=$or12;HEAP8[($flags)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($flags)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($flags)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($flags)+(3))|0)]=tempBigInt&0xff;
 var $retval_0=-1;label=7;break;
 case 6: 
 var $5=((((HEAPU8[($buf)])|(HEAPU8[((($buf)+(1))|0)]<<8)|(HEAPU8[((($buf)+(2))|0)]<<16)|(HEAPU8[((($buf)+(3))|0)]<<24))|0));
 var $rend=(($f+8)|0);
 tempBigInt=$5;HEAP8[($rend)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rend)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rend)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rend)+(3))|0)]=tempBigInt&0xff;
 var $rpos=(($f+4)|0);
 tempBigInt=$5;HEAP8[($rpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(3))|0)]=tempBigInt&0xff;
 var $retval_0=0;label=7;break;
 case 7: 
 var $retval_0;
 return $retval_0;
  default: assert(0, "bad label: " + label);
 }

}


function ___uflow($f){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+8)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $c=sp;
 var $rend=(($f+8)|0);
 var $0=((((HEAPU8[($rend)])|(HEAPU8[((($rend)+(1))|0)]<<8)|(HEAPU8[((($rend)+(2))|0)]<<16)|(HEAPU8[((($rend)+(3))|0)]<<24))|0));
 var $tobool=($0|0)==0;
 if($tobool){label=2;break;}else{label=3;break;}
 case 2: 
 var $call=___toread($f);
 var $tobool1=($call|0)==0;
 if($tobool1){label=3;break;}else{var $retval_0=-1;label=5;break;}
 case 3: 
 var $read=(($f+32)|0);
 var $1=((((HEAPU8[($read)])|(HEAPU8[((($read)+(1))|0)]<<8)|(HEAPU8[((($read)+(2))|0)]<<16)|(HEAPU8[((($read)+(3))|0)]<<24))|0));
 var $call2=FUNCTION_TABLE[$1]($f,$c,1);
 var $cmp=($call2|0)==1;
 if($cmp){label=4;break;}else{var $retval_0=-1;label=5;break;}
 case 4: 
 var $2=HEAP8[($c)];
 var $conv=($2&255);
 var $retval_0=$conv;label=5;break;
 case 5: 
 var $retval_0;
 STACKTOP=sp;return $retval_0;
  default: assert(0, "bad label: " + label);
 }

}


function _strtod($s,$p){
 var label=0;
 var sp=STACKTOP;STACKTOP=(STACKTOP+112)|0; (assert((STACKTOP|0) < (STACK_MAX|0))|0);
 label = 1; 
 while(1)switch(label){
 case 1: 
 var $f_i=sp;
 var $0=$f_i;
 var $$etemp$0$0=112;
 var $$etemp$0$1=0;

 _memset($0, 0, 112)|0;
 var $rpos_i=(($f_i+4)|0);
 tempBigInt=$s;HEAP8[($rpos_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos_i)+(3))|0)]=tempBigInt&0xff;
 var $rend_i=(($f_i+8)|0);
 tempBigInt=-1;HEAP8[($rend_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rend_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rend_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rend_i)+(3))|0)]=tempBigInt&0xff;
 var $buf_i=(($f_i+44)|0);
 tempBigInt=$s;HEAP8[($buf_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($buf_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($buf_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($buf_i)+(3))|0)]=tempBigInt&0xff;
 var $lock_i=(($f_i+76)|0);
 tempBigInt=-1;HEAP8[($lock_i)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($lock_i)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($lock_i)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($lock_i)+(3))|0)]=tempBigInt&0xff;
 ___shlim($f_i,0);
 var $call_i=___floatscan($f_i,1,1);
 var $shcnt_i=(($f_i+108)|0);
 var $1=((((HEAPU8[($shcnt_i)])|(HEAPU8[((($shcnt_i)+(1))|0)]<<8)|(HEAPU8[((($shcnt_i)+(2))|0)]<<16)|(HEAPU8[((($shcnt_i)+(3))|0)]<<24))|0));
 var $2=((((HEAPU8[($rpos_i)])|(HEAPU8[((($rpos_i)+(1))|0)]<<8)|(HEAPU8[((($rpos_i)+(2))|0)]<<16)|(HEAPU8[((($rpos_i)+(3))|0)]<<24))|0));
 var $3=((((HEAPU8[($rend_i)])|(HEAPU8[((($rend_i)+(1))|0)]<<8)|(HEAPU8[((($rend_i)+(2))|0)]<<16)|(HEAPU8[((($rend_i)+(3))|0)]<<24))|0));
 var $sub_ptr_lhs_cast_i=$2;
 var $sub_ptr_rhs_cast_i=$3;
 var $sub_ptr_sub_i=((($sub_ptr_lhs_cast_i)-($sub_ptr_rhs_cast_i))|0);
 var $add_i=((($sub_ptr_sub_i)+($1))|0);
 var $tobool_i=($p|0)==0;
 if($tobool_i){label=5;break;}else{label=2;break;}
 case 2: 
 var $tobool3_i=($add_i|0)==0;
 if($tobool3_i){var $cond_i=$s;label=4;break;}else{label=3;break;}
 case 3: 
 var $add_ptr_i=(($s+$add_i)|0);
 var $cond_i=$add_ptr_i;label=4;break;
 case 4: 
 var $cond_i;
 tempBigInt=$cond_i;HEAP8[($p)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($p)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($p)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($p)+(3))|0)]=tempBigInt&0xff;
 label=5;break;
 case 5: 
 var $$etemp$1$0=112;
 var $$etemp$1$1=0;

 STACKTOP=sp;return $call_i;
  default: assert(0, "bad label: " + label);
 }

}


function _try_realloc_chunk($p,$nb){
 var label=0;

 label = 1; 
 while(1)switch(label){
 case 1: 
 var $head=(($p+4)|0);
 var $0=((((HEAPU8[($head)])|(HEAPU8[((($head)+(1))|0)]<<8)|(HEAPU8[((($head)+(2))|0)]<<16)|(HEAPU8[((($head)+(3))|0)]<<24))|0));
 var $and=$0&-8;
 var $1=$p;
 var $add_ptr=(($1+$and)|0);
 var $2=$add_ptr;
 var $3=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $and2=$0&3;
 var $notlhs=($1>>>0)>=($3>>>0);
 var $notrhs=($and2|0)!=1;
 var $or_cond_not=$notrhs&$notlhs;
 var $cmp5=($1>>>0)<($add_ptr>>>0);
 var $or_cond23=$or_cond_not&$cmp5;
 if($or_cond23){label=2;break;}else{label=71;break;}
 case 2: 
 var $add_ptr_sum2122=$and|4;
 var $head6=(($1+$add_ptr_sum2122)|0);
 var $4=$head6;
 var $5=((((HEAPU8[($4)])|(HEAPU8[((($4)+(1))|0)]<<8)|(HEAPU8[((($4)+(2))|0)]<<16)|(HEAPU8[((($4)+(3))|0)]<<24))|0));
 var $and7=$5&1;
 var $phitmp=($and7|0)==0;
 if($phitmp){label=71;break;}else{label=3;break;}
 case 3: 
 var $cmp11=($and2|0)==0;
 if($cmp11){label=4;break;}else{label=8;break;}
 case 4: 
 var $cmp_i=($nb>>>0)<256;
 if($cmp_i){var $newp_0=0;label=72;break;}else{label=5;break;}
 case 5: 
 var $add_i=((($nb)+(4))|0);
 var $cmp1_i=($and>>>0)<($add_i>>>0);
 if($cmp1_i){label=7;break;}else{label=6;break;}
 case 6: 
 var $sub_i=((($and)-($nb))|0);
 var $6=((((HEAPU8[(19688)])|(HEAPU8[(19689)]<<8)|(HEAPU8[(19690)]<<16)|(HEAPU8[(19691)]<<24))|0));
 var $shl_i=$6<<1;
 var $cmp2_i=($sub_i>>>0)>($shl_i>>>0);
 if($cmp2_i){label=7;break;}else{var $newp_0=$p;label=72;break;}
 case 7: 
 var $newp_0=0;label=72;break;
 case 8: 
 var $cmp13=($and>>>0)<($nb>>>0);
 if($cmp13){label=11;break;}else{label=9;break;}
 case 9: 
 var $sub=((($and)-($nb))|0);
 var $cmp15=($sub>>>0)>15;
 if($cmp15){label=10;break;}else{var $newp_0=$p;label=72;break;}
 case 10: 
 var $add_ptr17=(($1+$nb)|0);
 var $7=$add_ptr17;
 var $and19=$0&1;
 var $or=$and19|$nb;
 var $or20=$or|2;
 tempBigInt=$or20;HEAP8[($head)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr17_sum=((($nb)+(4))|0);
 var $head23=(($1+$add_ptr17_sum)|0);
 var $8=$head23;
 var $or28=$sub|3;
 tempBigInt=$or28;HEAP8[($8)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($8)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($8)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($8)+(3))|0)]=tempBigInt&0xff;
 var $9=((((HEAPU8[($4)])|(HEAPU8[((($4)+(1))|0)]<<8)|(HEAPU8[((($4)+(2))|0)]<<16)|(HEAPU8[((($4)+(3))|0)]<<24))|0));
 var $or32=$9|1;
 tempBigInt=$or32;HEAP8[($4)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($4)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($4)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($4)+(3))|0)]=tempBigInt&0xff;
 _dispose_chunk($7,$sub);
 var $newp_0=$p;label=72;break;
 case 11: 
 var $10=((((HEAPU8[(19768)])|(HEAPU8[(19769)]<<8)|(HEAPU8[(19770)]<<16)|(HEAPU8[(19771)]<<24))|0));
 var $cmp34=($2|0)==($10|0);
 if($cmp34){label=12;break;}else{label=14;break;}
 case 12: 
 var $11=((((HEAPU8[(19756)])|(HEAPU8[(19757)]<<8)|(HEAPU8[(19758)]<<16)|(HEAPU8[(19759)]<<24))|0));
 var $add=((($11)+($and))|0);
 var $cmp36=($add>>>0)>($nb>>>0);
 if($cmp36){label=13;break;}else{var $newp_0=0;label=72;break;}
 case 13: 
 var $sub40=((($add)-($nb))|0);
 var $add_ptr41=(($1+$nb)|0);
 var $12=$add_ptr41;
 var $and43=$0&1;
 var $or44=$and43|$nb;
 var $or45=$or44|2;
 tempBigInt=$or45;HEAP8[($head)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr41_sum=((($nb)+(4))|0);
 var $head48=(($1+$add_ptr41_sum)|0);
 var $13=$head48;
 var $or50=$sub40|1;
 tempBigInt=$or50;HEAP8[($13)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($13)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($13)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($13)+(3))|0)]=tempBigInt&0xff;
 tempBigInt=$12;HEAP8[(19768)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19769)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19770)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19771)]=tempBigInt&0xff;
 tempBigInt=$sub40;HEAP8[(19756)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19757)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19758)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19759)]=tempBigInt&0xff;
 var $newp_0=$p;label=72;break;
 case 14: 
 var $14=((((HEAPU8[(19764)])|(HEAPU8[(19765)]<<8)|(HEAPU8[(19766)]<<16)|(HEAPU8[(19767)]<<24))|0));
 var $cmp56=($2|0)==($14|0);
 if($cmp56){label=15;break;}else{label=20;break;}
 case 15: 
 var $15=((((HEAPU8[(19752)])|(HEAPU8[(19753)]<<8)|(HEAPU8[(19754)]<<16)|(HEAPU8[(19755)]<<24))|0));
 var $add58=((($15)+($and))|0);
 var $cmp59=($add58>>>0)<($nb>>>0);
 if($cmp59){var $newp_0=0;label=72;break;}else{label=16;break;}
 case 16: 
 var $sub62=((($add58)-($nb))|0);
 var $cmp63=($sub62>>>0)>15;
 if($cmp63){label=17;break;}else{label=18;break;}
 case 17: 
 var $add_ptr66=(($1+$nb)|0);
 var $16=$add_ptr66;
 var $add_ptr67=(($1+$add58)|0);
 var $and69=$0&1;
 var $or70=$and69|$nb;
 var $or71=$or70|2;
 tempBigInt=$or71;HEAP8[($head)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr66_sum=((($nb)+(4))|0);
 var $head74=(($1+$add_ptr66_sum)|0);
 var $17=$head74;
 var $or76=$sub62|1;
 tempBigInt=$or76;HEAP8[($17)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($17)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($17)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($17)+(3))|0)]=tempBigInt&0xff;
 var $prev_foot=$add_ptr67;
 tempBigInt=$sub62;HEAP8[($prev_foot)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr67_sum=((($add58)+(4))|0);
 var $head79=(($1+$add_ptr67_sum)|0);
 var $18=$head79;
 var $19=((((HEAPU8[($18)])|(HEAPU8[((($18)+(1))|0)]<<8)|(HEAPU8[((($18)+(2))|0)]<<16)|(HEAPU8[((($18)+(3))|0)]<<24))|0));
 var $and80=$19&-2;
 tempBigInt=$and80;HEAP8[($18)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($18)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($18)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($18)+(3))|0)]=tempBigInt&0xff;
 var $storemerge=$16;var $storemerge18=$sub62;label=19;break;
 case 18: 
 var $and87=$0&1;
 var $or88=$and87|$add58;
 var $or89=$or88|2;
 tempBigInt=$or89;HEAP8[($head)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr91_sum=((($add58)+(4))|0);
 var $head92=(($1+$add_ptr91_sum)|0);
 var $20=$head92;
 var $21=((((HEAPU8[($20)])|(HEAPU8[((($20)+(1))|0)]<<8)|(HEAPU8[((($20)+(2))|0)]<<16)|(HEAPU8[((($20)+(3))|0)]<<24))|0));
 var $or93=$21|1;
 tempBigInt=$or93;HEAP8[($20)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($20)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($20)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($20)+(3))|0)]=tempBigInt&0xff;
 var $storemerge=0;var $storemerge18=0;label=19;break;
 case 19: 
 var $storemerge18;
 var $storemerge;
 tempBigInt=$storemerge18;HEAP8[(19752)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19753)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19754)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19755)]=tempBigInt&0xff;
 tempBigInt=$storemerge;HEAP8[(19764)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19765)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19766)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19767)]=tempBigInt&0xff;
 var $newp_0=$p;label=72;break;
 case 20: 
 var $and100=$5&2;
 var $tobool101=($and100|0)==0;
 if($tobool101){label=21;break;}else{var $newp_0=0;label=72;break;}
 case 21: 
 var $and104=$5&-8;
 var $add105=((($and104)+($and))|0);
 var $cmp106=($add105>>>0)<($nb>>>0);
 if($cmp106){var $newp_0=0;label=72;break;}else{label=22;break;}
 case 22: 
 var $sub110=((($add105)-($nb))|0);
 var $shr=$5>>>3;
 var $cmp111=($5>>>0)<256;
 if($cmp111){label=23;break;}else{label=35;break;}
 case 23: 
 var $add_ptr_sum12=((($and)+(8))|0);
 var $fd=(($1+$add_ptr_sum12)|0);
 var $22=$fd;
 var $23=((((HEAPU8[($22)])|(HEAPU8[((($22)+(1))|0)]<<8)|(HEAPU8[((($22)+(2))|0)]<<16)|(HEAPU8[((($22)+(3))|0)]<<24))|0));
 var $add_ptr_sum13=((($and)+(12))|0);
 var $bk=(($1+$add_ptr_sum13)|0);
 var $24=$bk;
 var $25=((((HEAPU8[($24)])|(HEAPU8[((($24)+(1))|0)]<<8)|(HEAPU8[((($24)+(2))|0)]<<16)|(HEAPU8[((($24)+(3))|0)]<<24))|0));
 var $shl=$shr<<1;
 var $arrayidx=((19784+($shl<<2))|0);
 var $26=$arrayidx;
 var $cmp114=($23|0)==($26|0);
 if($cmp114){label=26;break;}else{label=24;break;}
 case 24: 
 var $27=$23;
 var $cmp116=($27>>>0)<($3>>>0);
 if($cmp116){label=34;break;}else{label=25;break;}
 case 25: 
 var $bk118=(($23+12)|0);
 var $28=((((HEAPU8[($bk118)])|(HEAPU8[((($bk118)+(1))|0)]<<8)|(HEAPU8[((($bk118)+(2))|0)]<<16)|(HEAPU8[((($bk118)+(3))|0)]<<24))|0));
 var $cmp119=($28|0)==($2|0);
 if($cmp119){label=26;break;}else{label=34;break;}
 case 26: 
 var $cmp125=($25|0)==($23|0);
 if($cmp125){label=27;break;}else{label=28;break;}
 case 27: 
 var $shl127=1<<$shr;
 var $neg=$shl127^-1;
 var $29=((((HEAPU8[(19744)])|(HEAPU8[(19745)]<<8)|(HEAPU8[(19746)]<<16)|(HEAPU8[(19747)]<<24))|0));
 var $and128=$29&$neg;
 tempBigInt=$and128;HEAP8[(19744)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19745)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19746)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19747)]=tempBigInt&0xff;
 label=68;break;
 case 28: 
 var $cmp133=($25|0)==($26|0);
 if($cmp133){label=29;break;}else{label=30;break;}
 case 29: 
 var $fd148_pre=(($25+8)|0);
 var $fd148_pre_phi=$fd148_pre;label=32;break;
 case 30: 
 var $30=$25;
 var $cmp136=($30>>>0)<($3>>>0);
 if($cmp136){label=33;break;}else{label=31;break;}
 case 31: 
 var $fd138=(($25+8)|0);
 var $31=((((HEAPU8[($fd138)])|(HEAPU8[((($fd138)+(1))|0)]<<8)|(HEAPU8[((($fd138)+(2))|0)]<<16)|(HEAPU8[((($fd138)+(3))|0)]<<24))|0));
 var $cmp139=($31|0)==($2|0);
 if($cmp139){var $fd148_pre_phi=$fd138;label=32;break;}else{label=33;break;}
 case 32: 
 var $fd148_pre_phi;
 var $bk147=(($23+12)|0);
 tempBigInt=$25;HEAP8[($bk147)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk147)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk147)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk147)+(3))|0)]=tempBigInt&0xff;
 tempBigInt=$23;HEAP8[($fd148_pre_phi)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd148_pre_phi)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd148_pre_phi)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd148_pre_phi)+(3))|0)]=tempBigInt&0xff;
 label=68;break;
 case 33: 
 _abort();
 throw "Reached an unreachable!";
 case 34: 
 _abort();
 throw "Reached an unreachable!";
 case 35: 
 var $32=$add_ptr;
 var $add_ptr_sum=((($and)+(24))|0);
 var $parent=(($1+$add_ptr_sum)|0);
 var $33=$parent;
 var $34=((((HEAPU8[($33)])|(HEAPU8[((($33)+(1))|0)]<<8)|(HEAPU8[((($33)+(2))|0)]<<16)|(HEAPU8[((($33)+(3))|0)]<<24))|0));
 var $add_ptr_sum2=((($and)+(12))|0);
 var $bk155=(($1+$add_ptr_sum2)|0);
 var $35=$bk155;
 var $36=((((HEAPU8[($35)])|(HEAPU8[((($35)+(1))|0)]<<8)|(HEAPU8[((($35)+(2))|0)]<<16)|(HEAPU8[((($35)+(3))|0)]<<24))|0));
 var $cmp156=($36|0)==($32|0);
 if($cmp156){label=41;break;}else{label=36;break;}
 case 36: 
 var $add_ptr_sum9=((($and)+(8))|0);
 var $fd159=(($1+$add_ptr_sum9)|0);
 var $37=$fd159;
 var $38=((((HEAPU8[($37)])|(HEAPU8[((($37)+(1))|0)]<<8)|(HEAPU8[((($37)+(2))|0)]<<16)|(HEAPU8[((($37)+(3))|0)]<<24))|0));
 var $39=$38;
 var $cmp162=($39>>>0)<($3>>>0);
 if($cmp162){label=40;break;}else{label=37;break;}
 case 37: 
 var $bk164=(($38+12)|0);
 var $40=((((HEAPU8[($bk164)])|(HEAPU8[((($bk164)+(1))|0)]<<8)|(HEAPU8[((($bk164)+(2))|0)]<<16)|(HEAPU8[((($bk164)+(3))|0)]<<24))|0));
 var $cmp165=($40|0)==($32|0);
 if($cmp165){label=38;break;}else{label=40;break;}
 case 38: 
 var $fd167=(($36+8)|0);
 var $41=((((HEAPU8[($fd167)])|(HEAPU8[((($fd167)+(1))|0)]<<8)|(HEAPU8[((($fd167)+(2))|0)]<<16)|(HEAPU8[((($fd167)+(3))|0)]<<24))|0));
 var $cmp168=($41|0)==($32|0);
 if($cmp168){label=39;break;}else{label=40;break;}
 case 39: 
 tempBigInt=$36;HEAP8[($bk164)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk164)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk164)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk164)+(3))|0)]=tempBigInt&0xff;
 tempBigInt=$38;HEAP8[($fd167)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd167)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd167)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd167)+(3))|0)]=tempBigInt&0xff;
 var $R_1=$36;label=48;break;
 case 40: 
 _abort();
 throw "Reached an unreachable!";
 case 41: 
 var $child_sum=((($and)+(20))|0);
 var $arrayidx179=(($1+$child_sum)|0);
 var $42=$arrayidx179;
 var $43=((((HEAPU8[($42)])|(HEAPU8[((($42)+(1))|0)]<<8)|(HEAPU8[((($42)+(2))|0)]<<16)|(HEAPU8[((($42)+(3))|0)]<<24))|0));
 var $cmp180=($43|0)==0;
 if($cmp180){label=42;break;}else{var $R_0=$43;var $RP_0=$42;label=43;break;}
 case 42: 
 var $add_ptr_sum3=((($and)+(16))|0);
 var $child=(($1+$add_ptr_sum3)|0);
 var $arrayidx182=$child;
 var $44=((((HEAPU8[($arrayidx182)])|(HEAPU8[((($arrayidx182)+(1))|0)]<<8)|(HEAPU8[((($arrayidx182)+(2))|0)]<<16)|(HEAPU8[((($arrayidx182)+(3))|0)]<<24))|0));
 var $cmp183=($44|0)==0;
 if($cmp183){var $R_1=0;label=48;break;}else{var $R_0=$44;var $RP_0=$arrayidx182;label=43;break;}
 case 43: 
 var $RP_0;
 var $R_0;
 var $arrayidx186=(($R_0+20)|0);
 var $45=((((HEAPU8[($arrayidx186)])|(HEAPU8[((($arrayidx186)+(1))|0)]<<8)|(HEAPU8[((($arrayidx186)+(2))|0)]<<16)|(HEAPU8[((($arrayidx186)+(3))|0)]<<24))|0));
 var $cmp187=($45|0)==0;
 if($cmp187){label=44;break;}else{var $R_0=$45;var $RP_0=$arrayidx186;label=43;break;}
 case 44: 
 var $arrayidx190=(($R_0+16)|0);
 var $46=((((HEAPU8[($arrayidx190)])|(HEAPU8[((($arrayidx190)+(1))|0)]<<8)|(HEAPU8[((($arrayidx190)+(2))|0)]<<16)|(HEAPU8[((($arrayidx190)+(3))|0)]<<24))|0));
 var $cmp191=($46|0)==0;
 if($cmp191){label=45;break;}else{var $R_0=$46;var $RP_0=$arrayidx190;label=43;break;}
 case 45: 
 var $47=$RP_0;
 var $cmp195=($47>>>0)<($3>>>0);
 if($cmp195){label=47;break;}else{label=46;break;}
 case 46: 
 tempBigInt=0;HEAP8[($RP_0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($RP_0)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($RP_0)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($RP_0)+(3))|0)]=tempBigInt&0xff;
 var $R_1=$R_0;label=48;break;
 case 47: 
 _abort();
 throw "Reached an unreachable!";
 case 48: 
 var $R_1;
 var $cmp203=($34|0)==0;
 if($cmp203){label=68;break;}else{label=49;break;}
 case 49: 
 var $add_ptr_sum7=((($and)+(28))|0);
 var $index=(($1+$add_ptr_sum7)|0);
 var $48=$index;
 var $49=((((HEAPU8[($48)])|(HEAPU8[((($48)+(1))|0)]<<8)|(HEAPU8[((($48)+(2))|0)]<<16)|(HEAPU8[((($48)+(3))|0)]<<24))|0));
 var $arrayidx206=((20048+($49<<2))|0);
 var $50=((((HEAPU8[($arrayidx206)])|(HEAPU8[((($arrayidx206)+(1))|0)]<<8)|(HEAPU8[((($arrayidx206)+(2))|0)]<<16)|(HEAPU8[((($arrayidx206)+(3))|0)]<<24))|0));
 var $cmp207=($32|0)==($50|0);
 if($cmp207){label=50;break;}else{label=52;break;}
 case 50: 
 tempBigInt=$R_1;HEAP8[($arrayidx206)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx206)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx206)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx206)+(3))|0)]=tempBigInt&0xff;
 var $cond=($R_1|0)==0;
 if($cond){label=51;break;}else{label=58;break;}
 case 51: 
 var $51=((((HEAPU8[($48)])|(HEAPU8[((($48)+(1))|0)]<<8)|(HEAPU8[((($48)+(2))|0)]<<16)|(HEAPU8[((($48)+(3))|0)]<<24))|0));
 var $shl214=1<<$51;
 var $neg215=$shl214^-1;
 var $52=((((HEAPU8[(19748)])|(HEAPU8[(19749)]<<8)|(HEAPU8[(19750)]<<16)|(HEAPU8[(19751)]<<24))|0));
 var $and216=$52&$neg215;
 tempBigInt=$and216;HEAP8[(19748)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19749)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19750)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19751)]=tempBigInt&0xff;
 label=68;break;
 case 52: 
 var $53=$34;
 var $54=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp220=($53>>>0)<($54>>>0);
 if($cmp220){label=56;break;}else{label=53;break;}
 case 53: 
 var $arrayidx226=(($34+16)|0);
 var $55=((((HEAPU8[($arrayidx226)])|(HEAPU8[((($arrayidx226)+(1))|0)]<<8)|(HEAPU8[((($arrayidx226)+(2))|0)]<<16)|(HEAPU8[((($arrayidx226)+(3))|0)]<<24))|0));
 var $cmp227=($55|0)==($32|0);
 if($cmp227){label=54;break;}else{label=55;break;}
 case 54: 
 tempBigInt=$R_1;HEAP8[($arrayidx226)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx226)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx226)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx226)+(3))|0)]=tempBigInt&0xff;
 label=57;break;
 case 55: 
 var $arrayidx234=(($34+20)|0);
 tempBigInt=$R_1;HEAP8[($arrayidx234)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx234)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx234)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx234)+(3))|0)]=tempBigInt&0xff;
 label=57;break;
 case 56: 
 _abort();
 throw "Reached an unreachable!";
 case 57: 
 var $cmp239=($R_1|0)==0;
 if($cmp239){label=68;break;}else{label=58;break;}
 case 58: 
 var $56=$R_1;
 var $57=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp243=($56>>>0)<($57>>>0);
 if($cmp243){label=67;break;}else{label=59;break;}
 case 59: 
 var $parent248=(($R_1+24)|0);
 tempBigInt=$34;HEAP8[($parent248)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent248)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent248)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent248)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr_sum8=((($and)+(16))|0);
 var $child249=(($1+$add_ptr_sum8)|0);
 var $arrayidx250=$child249;
 var $58=((((HEAPU8[($arrayidx250)])|(HEAPU8[((($arrayidx250)+(1))|0)]<<8)|(HEAPU8[((($arrayidx250)+(2))|0)]<<16)|(HEAPU8[((($arrayidx250)+(3))|0)]<<24))|0));
 var $cmp251=($58|0)==0;
 if($cmp251){label=63;break;}else{label=60;break;}
 case 60: 
 var $59=$58;
 var $60=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp255=($59>>>0)<($60>>>0);
 if($cmp255){label=62;break;}else{label=61;break;}
 case 61: 
 var $arrayidx261=(($R_1+16)|0);
 tempBigInt=$58;HEAP8[($arrayidx261)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx261)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx261)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx261)+(3))|0)]=tempBigInt&0xff;
 var $parent262=(($58+24)|0);
 tempBigInt=$R_1;HEAP8[($parent262)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent262)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent262)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent262)+(3))|0)]=tempBigInt&0xff;
 label=63;break;
 case 62: 
 _abort();
 throw "Reached an unreachable!";
 case 63: 
 var $child249_sum=((($and)+(20))|0);
 var $arrayidx267=(($1+$child249_sum)|0);
 var $61=$arrayidx267;
 var $62=((((HEAPU8[($61)])|(HEAPU8[((($61)+(1))|0)]<<8)|(HEAPU8[((($61)+(2))|0)]<<16)|(HEAPU8[((($61)+(3))|0)]<<24))|0));
 var $cmp268=($62|0)==0;
 if($cmp268){label=68;break;}else{label=64;break;}
 case 64: 
 var $63=$62;
 var $64=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp272=($63>>>0)<($64>>>0);
 if($cmp272){label=66;break;}else{label=65;break;}
 case 65: 
 var $arrayidx278=(($R_1+20)|0);
 tempBigInt=$62;HEAP8[($arrayidx278)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx278)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx278)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx278)+(3))|0)]=tempBigInt&0xff;
 var $parent279=(($62+24)|0);
 tempBigInt=$R_1;HEAP8[($parent279)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent279)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent279)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent279)+(3))|0)]=tempBigInt&0xff;
 label=68;break;
 case 66: 
 _abort();
 throw "Reached an unreachable!";
 case 67: 
 _abort();
 throw "Reached an unreachable!";
 case 68: 
 var $cmp288=($sub110>>>0)<16;
 if($cmp288){label=69;break;}else{label=70;break;}
 case 69: 
 var $65=((((HEAPU8[($head)])|(HEAPU8[((($head)+(1))|0)]<<8)|(HEAPU8[((($head)+(2))|0)]<<16)|(HEAPU8[((($head)+(3))|0)]<<24))|0));
 var $and294=$65&1;
 var $or295=$add105|$and294;
 var $or296=$or295|2;
 tempBigInt=$or296;HEAP8[($head)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr298_sum6=$add105|4;
 var $head299=(($1+$add_ptr298_sum6)|0);
 var $66=$head299;
 var $67=((((HEAPU8[($66)])|(HEAPU8[((($66)+(1))|0)]<<8)|(HEAPU8[((($66)+(2))|0)]<<16)|(HEAPU8[((($66)+(3))|0)]<<24))|0));
 var $or300=$67|1;
 tempBigInt=$or300;HEAP8[($66)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($66)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($66)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($66)+(3))|0)]=tempBigInt&0xff;
 var $newp_0=$p;label=72;break;
 case 70: 
 var $add_ptr303=(($1+$nb)|0);
 var $68=$add_ptr303;
 var $69=((((HEAPU8[($head)])|(HEAPU8[((($head)+(1))|0)]<<8)|(HEAPU8[((($head)+(2))|0)]<<16)|(HEAPU8[((($head)+(3))|0)]<<24))|0));
 var $and305=$69&1;
 var $or306=$and305|$nb;
 var $or307=$or306|2;
 tempBigInt=$or307;HEAP8[($head)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr303_sum=((($nb)+(4))|0);
 var $head310=(($1+$add_ptr303_sum)|0);
 var $70=$head310;
 var $or315=$sub110|3;
 tempBigInt=$or315;HEAP8[($70)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($70)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($70)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($70)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr317_sum5=$add105|4;
 var $head318=(($1+$add_ptr317_sum5)|0);
 var $71=$head318;
 var $72=((((HEAPU8[($71)])|(HEAPU8[((($71)+(1))|0)]<<8)|(HEAPU8[((($71)+(2))|0)]<<16)|(HEAPU8[((($71)+(3))|0)]<<24))|0));
 var $or319=$72|1;
 tempBigInt=$or319;HEAP8[($71)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($71)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($71)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($71)+(3))|0)]=tempBigInt&0xff;
 _dispose_chunk($68,$sub110);
 var $newp_0=$p;label=72;break;
 case 71: 
 _abort();
 throw "Reached an unreachable!";
 case 72: 
 var $newp_0;
 return $newp_0;
  default: assert(0, "bad label: " + label);
 }

}


function _dispose_chunk($p,$psize){
 var label=0;

 label = 1; 
 while(1)switch(label){
 case 1: 
 var $0=$p;
 var $add_ptr=(($0+$psize)|0);
 var $1=$add_ptr;
 var $head=(($p+4)|0);
 var $2=((((HEAPU8[($head)])|(HEAPU8[((($head)+(1))|0)]<<8)|(HEAPU8[((($head)+(2))|0)]<<16)|(HEAPU8[((($head)+(3))|0)]<<24))|0));
 var $and=$2&1;
 var $tobool=($and|0)==0;
 if($tobool){label=2;break;}else{var $p_addr_0=$p;var $psize_addr_0=$psize;label=54;break;}
 case 2: 
 var $prev_foot=(($p)|0);
 var $3=((((HEAPU8[($prev_foot)])|(HEAPU8[((($prev_foot)+(1))|0)]<<8)|(HEAPU8[((($prev_foot)+(2))|0)]<<16)|(HEAPU8[((($prev_foot)+(3))|0)]<<24))|0));
 var $and2=$2&3;
 var $cmp=($and2|0)==0;
 if($cmp){label=134;break;}else{label=3;break;}
 case 3: 
 var $idx_neg=(((-$3))|0);
 var $add_ptr5=(($0+$idx_neg)|0);
 var $4=$add_ptr5;
 var $add6=((($3)+($psize))|0);
 var $5=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp7=($add_ptr5>>>0)<($5>>>0);
 if($cmp7){label=53;break;}else{label=4;break;}
 case 4: 
 var $6=((((HEAPU8[(19764)])|(HEAPU8[(19765)]<<8)|(HEAPU8[(19766)]<<16)|(HEAPU8[(19767)]<<24))|0));
 var $cmp10=($4|0)==($6|0);
 if($cmp10){label=51;break;}else{label=5;break;}
 case 5: 
 var $shr=$3>>>3;
 var $cmp13=($3>>>0)<256;
 if($cmp13){label=6;break;}else{label=18;break;}
 case 6: 
 var $add_ptr5_sum29=(((8)-($3))|0);
 var $fd=(($0+$add_ptr5_sum29)|0);
 var $7=$fd;
 var $8=((((HEAPU8[($7)])|(HEAPU8[((($7)+(1))|0)]<<8)|(HEAPU8[((($7)+(2))|0)]<<16)|(HEAPU8[((($7)+(3))|0)]<<24))|0));
 var $add_ptr5_sum30=(((12)-($3))|0);
 var $bk=(($0+$add_ptr5_sum30)|0);
 var $9=$bk;
 var $10=((((HEAPU8[($9)])|(HEAPU8[((($9)+(1))|0)]<<8)|(HEAPU8[((($9)+(2))|0)]<<16)|(HEAPU8[((($9)+(3))|0)]<<24))|0));
 var $shl=$shr<<1;
 var $arrayidx=((19784+($shl<<2))|0);
 var $11=$arrayidx;
 var $cmp17=($8|0)==($11|0);
 if($cmp17){label=9;break;}else{label=7;break;}
 case 7: 
 var $12=$8;
 var $cmp20=($12>>>0)<($5>>>0);
 if($cmp20){label=17;break;}else{label=8;break;}
 case 8: 
 var $bk22=(($8+12)|0);
 var $13=((((HEAPU8[($bk22)])|(HEAPU8[((($bk22)+(1))|0)]<<8)|(HEAPU8[((($bk22)+(2))|0)]<<16)|(HEAPU8[((($bk22)+(3))|0)]<<24))|0));
 var $cmp23=($13|0)==($4|0);
 if($cmp23){label=9;break;}else{label=17;break;}
 case 9: 
 var $cmp28=($10|0)==($8|0);
 if($cmp28){label=10;break;}else{label=11;break;}
 case 10: 
 var $shl31=1<<$shr;
 var $neg=$shl31^-1;
 var $14=((((HEAPU8[(19744)])|(HEAPU8[(19745)]<<8)|(HEAPU8[(19746)]<<16)|(HEAPU8[(19747)]<<24))|0));
 var $and32=$14&$neg;
 tempBigInt=$and32;HEAP8[(19744)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19745)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19746)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19747)]=tempBigInt&0xff;
 var $p_addr_0=$4;var $psize_addr_0=$add6;label=54;break;
 case 11: 
 var $cmp36=($10|0)==($11|0);
 if($cmp36){label=12;break;}else{label=13;break;}
 case 12: 
 var $fd53_pre=(($10+8)|0);
 var $fd53_pre_phi=$fd53_pre;label=15;break;
 case 13: 
 var $15=$10;
 var $cmp40=($15>>>0)<($5>>>0);
 if($cmp40){label=16;break;}else{label=14;break;}
 case 14: 
 var $fd43=(($10+8)|0);
 var $16=((((HEAPU8[($fd43)])|(HEAPU8[((($fd43)+(1))|0)]<<8)|(HEAPU8[((($fd43)+(2))|0)]<<16)|(HEAPU8[((($fd43)+(3))|0)]<<24))|0));
 var $cmp44=($16|0)==($4|0);
 if($cmp44){var $fd53_pre_phi=$fd43;label=15;break;}else{label=16;break;}
 case 15: 
 var $fd53_pre_phi;
 var $bk52=(($8+12)|0);
 tempBigInt=$10;HEAP8[($bk52)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk52)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk52)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk52)+(3))|0)]=tempBigInt&0xff;
 tempBigInt=$8;HEAP8[($fd53_pre_phi)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd53_pre_phi)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd53_pre_phi)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd53_pre_phi)+(3))|0)]=tempBigInt&0xff;
 var $p_addr_0=$4;var $psize_addr_0=$add6;label=54;break;
 case 16: 
 _abort();
 throw "Reached an unreachable!";
 case 17: 
 _abort();
 throw "Reached an unreachable!";
 case 18: 
 var $17=$add_ptr5;
 var $add_ptr5_sum22=(((24)-($3))|0);
 var $parent=(($0+$add_ptr5_sum22)|0);
 var $18=$parent;
 var $19=((((HEAPU8[($18)])|(HEAPU8[((($18)+(1))|0)]<<8)|(HEAPU8[((($18)+(2))|0)]<<16)|(HEAPU8[((($18)+(3))|0)]<<24))|0));
 var $add_ptr5_sum23=(((12)-($3))|0);
 var $bk60=(($0+$add_ptr5_sum23)|0);
 var $20=$bk60;
 var $21=((((HEAPU8[($20)])|(HEAPU8[((($20)+(1))|0)]<<8)|(HEAPU8[((($20)+(2))|0)]<<16)|(HEAPU8[((($20)+(3))|0)]<<24))|0));
 var $cmp61=($21|0)==($17|0);
 if($cmp61){label=24;break;}else{label=19;break;}
 case 19: 
 var $add_ptr5_sum27=(((8)-($3))|0);
 var $fd65=(($0+$add_ptr5_sum27)|0);
 var $22=$fd65;
 var $23=((((HEAPU8[($22)])|(HEAPU8[((($22)+(1))|0)]<<8)|(HEAPU8[((($22)+(2))|0)]<<16)|(HEAPU8[((($22)+(3))|0)]<<24))|0));
 var $24=$23;
 var $cmp68=($24>>>0)<($5>>>0);
 if($cmp68){label=23;break;}else{label=20;break;}
 case 20: 
 var $bk70=(($23+12)|0);
 var $25=((((HEAPU8[($bk70)])|(HEAPU8[((($bk70)+(1))|0)]<<8)|(HEAPU8[((($bk70)+(2))|0)]<<16)|(HEAPU8[((($bk70)+(3))|0)]<<24))|0));
 var $cmp71=($25|0)==($17|0);
 if($cmp71){label=21;break;}else{label=23;break;}
 case 21: 
 var $fd74=(($21+8)|0);
 var $26=((((HEAPU8[($fd74)])|(HEAPU8[((($fd74)+(1))|0)]<<8)|(HEAPU8[((($fd74)+(2))|0)]<<16)|(HEAPU8[((($fd74)+(3))|0)]<<24))|0));
 var $cmp75=($26|0)==($17|0);
 if($cmp75){label=22;break;}else{label=23;break;}
 case 22: 
 tempBigInt=$21;HEAP8[($bk70)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk70)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk70)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk70)+(3))|0)]=tempBigInt&0xff;
 tempBigInt=$23;HEAP8[($fd74)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd74)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd74)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd74)+(3))|0)]=tempBigInt&0xff;
 var $R_1=$21;label=31;break;
 case 23: 
 _abort();
 throw "Reached an unreachable!";
 case 24: 
 var $add_ptr5_sum24=(((16)-($3))|0);
 var $child_sum=((($add_ptr5_sum24)+(4))|0);
 var $arrayidx86=(($0+$child_sum)|0);
 var $27=$arrayidx86;
 var $28=((((HEAPU8[($27)])|(HEAPU8[((($27)+(1))|0)]<<8)|(HEAPU8[((($27)+(2))|0)]<<16)|(HEAPU8[((($27)+(3))|0)]<<24))|0));
 var $cmp87=($28|0)==0;
 if($cmp87){label=25;break;}else{var $R_0=$28;var $RP_0=$27;label=26;break;}
 case 25: 
 var $child=(($0+$add_ptr5_sum24)|0);
 var $arrayidx90=$child;
 var $29=((((HEAPU8[($arrayidx90)])|(HEAPU8[((($arrayidx90)+(1))|0)]<<8)|(HEAPU8[((($arrayidx90)+(2))|0)]<<16)|(HEAPU8[((($arrayidx90)+(3))|0)]<<24))|0));
 var $cmp91=($29|0)==0;
 if($cmp91){var $R_1=0;label=31;break;}else{var $R_0=$29;var $RP_0=$arrayidx90;label=26;break;}
 case 26: 
 var $RP_0;
 var $R_0;
 var $arrayidx95=(($R_0+20)|0);
 var $30=((((HEAPU8[($arrayidx95)])|(HEAPU8[((($arrayidx95)+(1))|0)]<<8)|(HEAPU8[((($arrayidx95)+(2))|0)]<<16)|(HEAPU8[((($arrayidx95)+(3))|0)]<<24))|0));
 var $cmp96=($30|0)==0;
 if($cmp96){label=27;break;}else{var $R_0=$30;var $RP_0=$arrayidx95;label=26;break;}
 case 27: 
 var $arrayidx100=(($R_0+16)|0);
 var $31=((((HEAPU8[($arrayidx100)])|(HEAPU8[((($arrayidx100)+(1))|0)]<<8)|(HEAPU8[((($arrayidx100)+(2))|0)]<<16)|(HEAPU8[((($arrayidx100)+(3))|0)]<<24))|0));
 var $cmp101=($31|0)==0;
 if($cmp101){label=28;break;}else{var $R_0=$31;var $RP_0=$arrayidx100;label=26;break;}
 case 28: 
 var $32=$RP_0;
 var $cmp106=($32>>>0)<($5>>>0);
 if($cmp106){label=30;break;}else{label=29;break;}
 case 29: 
 tempBigInt=0;HEAP8[($RP_0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($RP_0)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($RP_0)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($RP_0)+(3))|0)]=tempBigInt&0xff;
 var $R_1=$R_0;label=31;break;
 case 30: 
 _abort();
 throw "Reached an unreachable!";
 case 31: 
 var $R_1;
 var $cmp115=($19|0)==0;
 if($cmp115){var $p_addr_0=$4;var $psize_addr_0=$add6;label=54;break;}else{label=32;break;}
 case 32: 
 var $add_ptr5_sum25=(((28)-($3))|0);
 var $index=(($0+$add_ptr5_sum25)|0);
 var $33=$index;
 var $34=((((HEAPU8[($33)])|(HEAPU8[((($33)+(1))|0)]<<8)|(HEAPU8[((($33)+(2))|0)]<<16)|(HEAPU8[((($33)+(3))|0)]<<24))|0));
 var $arrayidx118=((20048+($34<<2))|0);
 var $35=((((HEAPU8[($arrayidx118)])|(HEAPU8[((($arrayidx118)+(1))|0)]<<8)|(HEAPU8[((($arrayidx118)+(2))|0)]<<16)|(HEAPU8[((($arrayidx118)+(3))|0)]<<24))|0));
 var $cmp119=($17|0)==($35|0);
 if($cmp119){label=33;break;}else{label=35;break;}
 case 33: 
 tempBigInt=$R_1;HEAP8[($arrayidx118)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx118)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx118)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx118)+(3))|0)]=tempBigInt&0xff;
 var $cond36=($R_1|0)==0;
 if($cond36){label=34;break;}else{label=41;break;}
 case 34: 
 var $36=((((HEAPU8[($33)])|(HEAPU8[((($33)+(1))|0)]<<8)|(HEAPU8[((($33)+(2))|0)]<<16)|(HEAPU8[((($33)+(3))|0)]<<24))|0));
 var $shl126=1<<$36;
 var $neg127=$shl126^-1;
 var $37=((((HEAPU8[(19748)])|(HEAPU8[(19749)]<<8)|(HEAPU8[(19750)]<<16)|(HEAPU8[(19751)]<<24))|0));
 var $and128=$37&$neg127;
 tempBigInt=$and128;HEAP8[(19748)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19749)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19750)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19751)]=tempBigInt&0xff;
 var $p_addr_0=$4;var $psize_addr_0=$add6;label=54;break;
 case 35: 
 var $38=$19;
 var $39=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp132=($38>>>0)<($39>>>0);
 if($cmp132){label=39;break;}else{label=36;break;}
 case 36: 
 var $arrayidx138=(($19+16)|0);
 var $40=((((HEAPU8[($arrayidx138)])|(HEAPU8[((($arrayidx138)+(1))|0)]<<8)|(HEAPU8[((($arrayidx138)+(2))|0)]<<16)|(HEAPU8[((($arrayidx138)+(3))|0)]<<24))|0));
 var $cmp139=($40|0)==($17|0);
 if($cmp139){label=37;break;}else{label=38;break;}
 case 37: 
 tempBigInt=$R_1;HEAP8[($arrayidx138)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx138)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx138)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx138)+(3))|0)]=tempBigInt&0xff;
 label=40;break;
 case 38: 
 var $arrayidx146=(($19+20)|0);
 tempBigInt=$R_1;HEAP8[($arrayidx146)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx146)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx146)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx146)+(3))|0)]=tempBigInt&0xff;
 label=40;break;
 case 39: 
 _abort();
 throw "Reached an unreachable!";
 case 40: 
 var $cmp151=($R_1|0)==0;
 if($cmp151){var $p_addr_0=$4;var $psize_addr_0=$add6;label=54;break;}else{label=41;break;}
 case 41: 
 var $41=$R_1;
 var $42=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp155=($41>>>0)<($42>>>0);
 if($cmp155){label=50;break;}else{label=42;break;}
 case 42: 
 var $parent160=(($R_1+24)|0);
 tempBigInt=$19;HEAP8[($parent160)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent160)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent160)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent160)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr5_sum26=(((16)-($3))|0);
 var $child161=(($0+$add_ptr5_sum26)|0);
 var $arrayidx162=$child161;
 var $43=((((HEAPU8[($arrayidx162)])|(HEAPU8[((($arrayidx162)+(1))|0)]<<8)|(HEAPU8[((($arrayidx162)+(2))|0)]<<16)|(HEAPU8[((($arrayidx162)+(3))|0)]<<24))|0));
 var $cmp163=($43|0)==0;
 if($cmp163){label=46;break;}else{label=43;break;}
 case 43: 
 var $44=$43;
 var $45=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp167=($44>>>0)<($45>>>0);
 if($cmp167){label=45;break;}else{label=44;break;}
 case 44: 
 var $arrayidx173=(($R_1+16)|0);
 tempBigInt=$43;HEAP8[($arrayidx173)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx173)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx173)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx173)+(3))|0)]=tempBigInt&0xff;
 var $parent174=(($43+24)|0);
 tempBigInt=$R_1;HEAP8[($parent174)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent174)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent174)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent174)+(3))|0)]=tempBigInt&0xff;
 label=46;break;
 case 45: 
 _abort();
 throw "Reached an unreachable!";
 case 46: 
 var $child161_sum=((($add_ptr5_sum26)+(4))|0);
 var $arrayidx179=(($0+$child161_sum)|0);
 var $46=$arrayidx179;
 var $47=((((HEAPU8[($46)])|(HEAPU8[((($46)+(1))|0)]<<8)|(HEAPU8[((($46)+(2))|0)]<<16)|(HEAPU8[((($46)+(3))|0)]<<24))|0));
 var $cmp180=($47|0)==0;
 if($cmp180){var $p_addr_0=$4;var $psize_addr_0=$add6;label=54;break;}else{label=47;break;}
 case 47: 
 var $48=$47;
 var $49=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp184=($48>>>0)<($49>>>0);
 if($cmp184){label=49;break;}else{label=48;break;}
 case 48: 
 var $arrayidx190=(($R_1+20)|0);
 tempBigInt=$47;HEAP8[($arrayidx190)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx190)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx190)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx190)+(3))|0)]=tempBigInt&0xff;
 var $parent191=(($47+24)|0);
 tempBigInt=$R_1;HEAP8[($parent191)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent191)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent191)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent191)+(3))|0)]=tempBigInt&0xff;
 var $p_addr_0=$4;var $psize_addr_0=$add6;label=54;break;
 case 49: 
 _abort();
 throw "Reached an unreachable!";
 case 50: 
 _abort();
 throw "Reached an unreachable!";
 case 51: 
 var $add_ptr_sum=((($psize)+(4))|0);
 var $head201=(($0+$add_ptr_sum)|0);
 var $50=$head201;
 var $51=((((HEAPU8[($50)])|(HEAPU8[((($50)+(1))|0)]<<8)|(HEAPU8[((($50)+(2))|0)]<<16)|(HEAPU8[((($50)+(3))|0)]<<24))|0));
 var $and202=$51&3;
 var $cmp203=($and202|0)==3;
 if($cmp203){label=52;break;}else{var $p_addr_0=$4;var $psize_addr_0=$add6;label=54;break;}
 case 52: 
 tempBigInt=$add6;HEAP8[(19752)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19753)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19754)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19755)]=tempBigInt&0xff;
 var $52=((((HEAPU8[($50)])|(HEAPU8[((($50)+(1))|0)]<<8)|(HEAPU8[((($50)+(2))|0)]<<16)|(HEAPU8[((($50)+(3))|0)]<<24))|0));
 var $and207=$52&-2;
 tempBigInt=$and207;HEAP8[($50)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($50)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($50)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($50)+(3))|0)]=tempBigInt&0xff;
 var $or=$add6|1;
 var $add_ptr5_sum=(((4)-($3))|0);
 var $head208=(($0+$add_ptr5_sum)|0);
 var $53=$head208;
 tempBigInt=$or;HEAP8[($53)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($53)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($53)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($53)+(3))|0)]=tempBigInt&0xff;
 var $prev_foot210=$add_ptr;
 tempBigInt=$add6;HEAP8[($prev_foot210)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot210)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot210)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot210)+(3))|0)]=tempBigInt&0xff;
 label=134;break;
 case 53: 
 _abort();
 throw "Reached an unreachable!";
 case 54: 
 var $psize_addr_0;
 var $p_addr_0;
 var $54=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp217=($add_ptr>>>0)<($54>>>0);
 if($cmp217){label=133;break;}else{label=55;break;}
 case 55: 
 var $add_ptr_sum1=((($psize)+(4))|0);
 var $head222=(($0+$add_ptr_sum1)|0);
 var $55=$head222;
 var $56=((((HEAPU8[($55)])|(HEAPU8[((($55)+(1))|0)]<<8)|(HEAPU8[((($55)+(2))|0)]<<16)|(HEAPU8[((($55)+(3))|0)]<<24))|0));
 var $and223=$56&2;
 var $tobool224=($and223|0)==0;
 if($tobool224){label=56;break;}else{label=109;break;}
 case 56: 
 var $57=((((HEAPU8[(19768)])|(HEAPU8[(19769)]<<8)|(HEAPU8[(19770)]<<16)|(HEAPU8[(19771)]<<24))|0));
 var $cmp226=($1|0)==($57|0);
 if($cmp226){label=57;break;}else{label=59;break;}
 case 57: 
 var $58=((((HEAPU8[(19756)])|(HEAPU8[(19757)]<<8)|(HEAPU8[(19758)]<<16)|(HEAPU8[(19759)]<<24))|0));
 var $add229=((($58)+($psize_addr_0))|0);
 tempBigInt=$add229;HEAP8[(19756)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19757)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19758)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19759)]=tempBigInt&0xff;
 tempBigInt=$p_addr_0;HEAP8[(19768)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19769)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19770)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19771)]=tempBigInt&0xff;
 var $or231=$add229|1;
 var $head232=(($p_addr_0+4)|0);
 tempBigInt=$or231;HEAP8[($head232)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head232)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head232)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head232)+(3))|0)]=tempBigInt&0xff;
 var $59=((((HEAPU8[(19764)])|(HEAPU8[(19765)]<<8)|(HEAPU8[(19766)]<<16)|(HEAPU8[(19767)]<<24))|0));
 var $cmp234=($p_addr_0|0)==($59|0);
 if($cmp234){label=58;break;}else{label=134;break;}
 case 58: 
 tempBigInt=0;HEAP8[(19764)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19765)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19766)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19767)]=tempBigInt&0xff;
 tempBigInt=0;HEAP8[(19752)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19753)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19754)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19755)]=tempBigInt&0xff;
 label=134;break;
 case 59: 
 var $60=((((HEAPU8[(19764)])|(HEAPU8[(19765)]<<8)|(HEAPU8[(19766)]<<16)|(HEAPU8[(19767)]<<24))|0));
 var $cmp242=($1|0)==($60|0);
 if($cmp242){label=60;break;}else{label=61;break;}
 case 60: 
 var $61=((((HEAPU8[(19752)])|(HEAPU8[(19753)]<<8)|(HEAPU8[(19754)]<<16)|(HEAPU8[(19755)]<<24))|0));
 var $add246=((($61)+($psize_addr_0))|0);
 tempBigInt=$add246;HEAP8[(19752)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19753)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19754)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19755)]=tempBigInt&0xff;
 tempBigInt=$p_addr_0;HEAP8[(19764)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19765)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19766)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19767)]=tempBigInt&0xff;
 var $or248=$add246|1;
 var $head249=(($p_addr_0+4)|0);
 tempBigInt=$or248;HEAP8[($head249)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head249)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head249)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head249)+(3))|0)]=tempBigInt&0xff;
 var $62=$p_addr_0;
 var $add_ptr250=(($62+$add246)|0);
 var $prev_foot251=$add_ptr250;
 tempBigInt=$add246;HEAP8[($prev_foot251)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot251)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot251)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot251)+(3))|0)]=tempBigInt&0xff;
 label=134;break;
 case 61: 
 var $and254=$56&-8;
 var $add255=((($and254)+($psize_addr_0))|0);
 var $shr256=$56>>>3;
 var $cmp257=($56>>>0)<256;
 if($cmp257){label=62;break;}else{label=74;break;}
 case 62: 
 var $add_ptr_sum17=((($psize)+(8))|0);
 var $fd261=(($0+$add_ptr_sum17)|0);
 var $63=$fd261;
 var $64=((((HEAPU8[($63)])|(HEAPU8[((($63)+(1))|0)]<<8)|(HEAPU8[((($63)+(2))|0)]<<16)|(HEAPU8[((($63)+(3))|0)]<<24))|0));
 var $add_ptr_sum18=((($psize)+(12))|0);
 var $bk263=(($0+$add_ptr_sum18)|0);
 var $65=$bk263;
 var $66=((((HEAPU8[($65)])|(HEAPU8[((($65)+(1))|0)]<<8)|(HEAPU8[((($65)+(2))|0)]<<16)|(HEAPU8[((($65)+(3))|0)]<<24))|0));
 var $shl266=$shr256<<1;
 var $arrayidx268=((19784+($shl266<<2))|0);
 var $67=$arrayidx268;
 var $cmp269=($64|0)==($67|0);
 if($cmp269){label=65;break;}else{label=63;break;}
 case 63: 
 var $68=$64;
 var $cmp273=($68>>>0)<($54>>>0);
 if($cmp273){label=73;break;}else{label=64;break;}
 case 64: 
 var $bk276=(($64+12)|0);
 var $69=((((HEAPU8[($bk276)])|(HEAPU8[((($bk276)+(1))|0)]<<8)|(HEAPU8[((($bk276)+(2))|0)]<<16)|(HEAPU8[((($bk276)+(3))|0)]<<24))|0));
 var $cmp277=($69|0)==($1|0);
 if($cmp277){label=65;break;}else{label=73;break;}
 case 65: 
 var $cmp286=($66|0)==($64|0);
 if($cmp286){label=66;break;}else{label=67;break;}
 case 66: 
 var $shl289=1<<$shr256;
 var $neg290=$shl289^-1;
 var $70=((((HEAPU8[(19744)])|(HEAPU8[(19745)]<<8)|(HEAPU8[(19746)]<<16)|(HEAPU8[(19747)]<<24))|0));
 var $and292=$70&$neg290;
 tempBigInt=$and292;HEAP8[(19744)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19745)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19746)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19747)]=tempBigInt&0xff;
 label=107;break;
 case 67: 
 var $cmp297=($66|0)==($67|0);
 if($cmp297){label=68;break;}else{label=69;break;}
 case 68: 
 var $fd315_pre=(($66+8)|0);
 var $fd315_pre_phi=$fd315_pre;label=71;break;
 case 69: 
 var $71=$66;
 var $cmp301=($71>>>0)<($54>>>0);
 if($cmp301){label=72;break;}else{label=70;break;}
 case 70: 
 var $fd304=(($66+8)|0);
 var $72=((((HEAPU8[($fd304)])|(HEAPU8[((($fd304)+(1))|0)]<<8)|(HEAPU8[((($fd304)+(2))|0)]<<16)|(HEAPU8[((($fd304)+(3))|0)]<<24))|0));
 var $cmp305=($72|0)==($1|0);
 if($cmp305){var $fd315_pre_phi=$fd304;label=71;break;}else{label=72;break;}
 case 71: 
 var $fd315_pre_phi;
 var $bk314=(($64+12)|0);
 tempBigInt=$66;HEAP8[($bk314)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk314)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk314)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk314)+(3))|0)]=tempBigInt&0xff;
 tempBigInt=$64;HEAP8[($fd315_pre_phi)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd315_pre_phi)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd315_pre_phi)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd315_pre_phi)+(3))|0)]=tempBigInt&0xff;
 label=107;break;
 case 72: 
 _abort();
 throw "Reached an unreachable!";
 case 73: 
 _abort();
 throw "Reached an unreachable!";
 case 74: 
 var $73=$add_ptr;
 var $add_ptr_sum2=((($psize)+(24))|0);
 var $parent324=(($0+$add_ptr_sum2)|0);
 var $74=$parent324;
 var $75=((((HEAPU8[($74)])|(HEAPU8[((($74)+(1))|0)]<<8)|(HEAPU8[((($74)+(2))|0)]<<16)|(HEAPU8[((($74)+(3))|0)]<<24))|0));
 var $add_ptr_sum3=((($psize)+(12))|0);
 var $bk326=(($0+$add_ptr_sum3)|0);
 var $76=$bk326;
 var $77=((((HEAPU8[($76)])|(HEAPU8[((($76)+(1))|0)]<<8)|(HEAPU8[((($76)+(2))|0)]<<16)|(HEAPU8[((($76)+(3))|0)]<<24))|0));
 var $cmp327=($77|0)==($73|0);
 if($cmp327){label=80;break;}else{label=75;break;}
 case 75: 
 var $add_ptr_sum15=((($psize)+(8))|0);
 var $fd331=(($0+$add_ptr_sum15)|0);
 var $78=$fd331;
 var $79=((((HEAPU8[($78)])|(HEAPU8[((($78)+(1))|0)]<<8)|(HEAPU8[((($78)+(2))|0)]<<16)|(HEAPU8[((($78)+(3))|0)]<<24))|0));
 var $80=$79;
 var $cmp334=($80>>>0)<($54>>>0);
 if($cmp334){label=79;break;}else{label=76;break;}
 case 76: 
 var $bk337=(($79+12)|0);
 var $81=((((HEAPU8[($bk337)])|(HEAPU8[((($bk337)+(1))|0)]<<8)|(HEAPU8[((($bk337)+(2))|0)]<<16)|(HEAPU8[((($bk337)+(3))|0)]<<24))|0));
 var $cmp338=($81|0)==($73|0);
 if($cmp338){label=77;break;}else{label=79;break;}
 case 77: 
 var $fd341=(($77+8)|0);
 var $82=((((HEAPU8[($fd341)])|(HEAPU8[((($fd341)+(1))|0)]<<8)|(HEAPU8[((($fd341)+(2))|0)]<<16)|(HEAPU8[((($fd341)+(3))|0)]<<24))|0));
 var $cmp342=($82|0)==($73|0);
 if($cmp342){label=78;break;}else{label=79;break;}
 case 78: 
 tempBigInt=$77;HEAP8[($bk337)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk337)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk337)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk337)+(3))|0)]=tempBigInt&0xff;
 tempBigInt=$79;HEAP8[($fd341)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd341)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd341)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd341)+(3))|0)]=tempBigInt&0xff;
 var $R325_1=$77;label=87;break;
 case 79: 
 _abort();
 throw "Reached an unreachable!";
 case 80: 
 var $child355_sum=((($psize)+(20))|0);
 var $arrayidx356=(($0+$child355_sum)|0);
 var $83=$arrayidx356;
 var $84=((((HEAPU8[($83)])|(HEAPU8[((($83)+(1))|0)]<<8)|(HEAPU8[((($83)+(2))|0)]<<16)|(HEAPU8[((($83)+(3))|0)]<<24))|0));
 var $cmp357=($84|0)==0;
 if($cmp357){label=81;break;}else{var $R325_0=$84;var $RP354_0=$83;label=82;break;}
 case 81: 
 var $add_ptr_sum4=((($psize)+(16))|0);
 var $child355=(($0+$add_ptr_sum4)|0);
 var $arrayidx361=$child355;
 var $85=((((HEAPU8[($arrayidx361)])|(HEAPU8[((($arrayidx361)+(1))|0)]<<8)|(HEAPU8[((($arrayidx361)+(2))|0)]<<16)|(HEAPU8[((($arrayidx361)+(3))|0)]<<24))|0));
 var $cmp362=($85|0)==0;
 if($cmp362){var $R325_1=0;label=87;break;}else{var $R325_0=$85;var $RP354_0=$arrayidx361;label=82;break;}
 case 82: 
 var $RP354_0;
 var $R325_0;
 var $arrayidx368=(($R325_0+20)|0);
 var $86=((((HEAPU8[($arrayidx368)])|(HEAPU8[((($arrayidx368)+(1))|0)]<<8)|(HEAPU8[((($arrayidx368)+(2))|0)]<<16)|(HEAPU8[((($arrayidx368)+(3))|0)]<<24))|0));
 var $cmp369=($86|0)==0;
 if($cmp369){label=83;break;}else{var $R325_0=$86;var $RP354_0=$arrayidx368;label=82;break;}
 case 83: 
 var $arrayidx373=(($R325_0+16)|0);
 var $87=((((HEAPU8[($arrayidx373)])|(HEAPU8[((($arrayidx373)+(1))|0)]<<8)|(HEAPU8[((($arrayidx373)+(2))|0)]<<16)|(HEAPU8[((($arrayidx373)+(3))|0)]<<24))|0));
 var $cmp374=($87|0)==0;
 if($cmp374){label=84;break;}else{var $R325_0=$87;var $RP354_0=$arrayidx373;label=82;break;}
 case 84: 
 var $88=$RP354_0;
 var $cmp381=($88>>>0)<($54>>>0);
 if($cmp381){label=86;break;}else{label=85;break;}
 case 85: 
 tempBigInt=0;HEAP8[($RP354_0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($RP354_0)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($RP354_0)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($RP354_0)+(3))|0)]=tempBigInt&0xff;
 var $R325_1=$R325_0;label=87;break;
 case 86: 
 _abort();
 throw "Reached an unreachable!";
 case 87: 
 var $R325_1;
 var $cmp390=($75|0)==0;
 if($cmp390){label=107;break;}else{label=88;break;}
 case 88: 
 var $add_ptr_sum13=((($psize)+(28))|0);
 var $index394=(($0+$add_ptr_sum13)|0);
 var $89=$index394;
 var $90=((((HEAPU8[($89)])|(HEAPU8[((($89)+(1))|0)]<<8)|(HEAPU8[((($89)+(2))|0)]<<16)|(HEAPU8[((($89)+(3))|0)]<<24))|0));
 var $arrayidx396=((20048+($90<<2))|0);
 var $91=((((HEAPU8[($arrayidx396)])|(HEAPU8[((($arrayidx396)+(1))|0)]<<8)|(HEAPU8[((($arrayidx396)+(2))|0)]<<16)|(HEAPU8[((($arrayidx396)+(3))|0)]<<24))|0));
 var $cmp397=($73|0)==($91|0);
 if($cmp397){label=89;break;}else{label=91;break;}
 case 89: 
 tempBigInt=$R325_1;HEAP8[($arrayidx396)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx396)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx396)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx396)+(3))|0)]=tempBigInt&0xff;
 var $cond37=($R325_1|0)==0;
 if($cond37){label=90;break;}else{label=97;break;}
 case 90: 
 var $92=((((HEAPU8[($89)])|(HEAPU8[((($89)+(1))|0)]<<8)|(HEAPU8[((($89)+(2))|0)]<<16)|(HEAPU8[((($89)+(3))|0)]<<24))|0));
 var $shl404=1<<$92;
 var $neg405=$shl404^-1;
 var $93=((((HEAPU8[(19748)])|(HEAPU8[(19749)]<<8)|(HEAPU8[(19750)]<<16)|(HEAPU8[(19751)]<<24))|0));
 var $and407=$93&$neg405;
 tempBigInt=$and407;HEAP8[(19748)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19749)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19750)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19751)]=tempBigInt&0xff;
 label=107;break;
 case 91: 
 var $94=$75;
 var $95=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp411=($94>>>0)<($95>>>0);
 if($cmp411){label=95;break;}else{label=92;break;}
 case 92: 
 var $arrayidx417=(($75+16)|0);
 var $96=((((HEAPU8[($arrayidx417)])|(HEAPU8[((($arrayidx417)+(1))|0)]<<8)|(HEAPU8[((($arrayidx417)+(2))|0)]<<16)|(HEAPU8[((($arrayidx417)+(3))|0)]<<24))|0));
 var $cmp418=($96|0)==($73|0);
 if($cmp418){label=93;break;}else{label=94;break;}
 case 93: 
 tempBigInt=$R325_1;HEAP8[($arrayidx417)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx417)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx417)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx417)+(3))|0)]=tempBigInt&0xff;
 label=96;break;
 case 94: 
 var $arrayidx425=(($75+20)|0);
 tempBigInt=$R325_1;HEAP8[($arrayidx425)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx425)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx425)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx425)+(3))|0)]=tempBigInt&0xff;
 label=96;break;
 case 95: 
 _abort();
 throw "Reached an unreachable!";
 case 96: 
 var $cmp430=($R325_1|0)==0;
 if($cmp430){label=107;break;}else{label=97;break;}
 case 97: 
 var $97=$R325_1;
 var $98=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp434=($97>>>0)<($98>>>0);
 if($cmp434){label=106;break;}else{label=98;break;}
 case 98: 
 var $parent441=(($R325_1+24)|0);
 tempBigInt=$75;HEAP8[($parent441)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent441)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent441)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent441)+(3))|0)]=tempBigInt&0xff;
 var $add_ptr_sum14=((($psize)+(16))|0);
 var $child442=(($0+$add_ptr_sum14)|0);
 var $arrayidx443=$child442;
 var $99=((((HEAPU8[($arrayidx443)])|(HEAPU8[((($arrayidx443)+(1))|0)]<<8)|(HEAPU8[((($arrayidx443)+(2))|0)]<<16)|(HEAPU8[((($arrayidx443)+(3))|0)]<<24))|0));
 var $cmp444=($99|0)==0;
 if($cmp444){label=102;break;}else{label=99;break;}
 case 99: 
 var $100=$99;
 var $101=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp448=($100>>>0)<($101>>>0);
 if($cmp448){label=101;break;}else{label=100;break;}
 case 100: 
 var $arrayidx454=(($R325_1+16)|0);
 tempBigInt=$99;HEAP8[($arrayidx454)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx454)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx454)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx454)+(3))|0)]=tempBigInt&0xff;
 var $parent455=(($99+24)|0);
 tempBigInt=$R325_1;HEAP8[($parent455)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent455)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent455)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent455)+(3))|0)]=tempBigInt&0xff;
 label=102;break;
 case 101: 
 _abort();
 throw "Reached an unreachable!";
 case 102: 
 var $child442_sum=((($psize)+(20))|0);
 var $arrayidx460=(($0+$child442_sum)|0);
 var $102=$arrayidx460;
 var $103=((((HEAPU8[($102)])|(HEAPU8[((($102)+(1))|0)]<<8)|(HEAPU8[((($102)+(2))|0)]<<16)|(HEAPU8[((($102)+(3))|0)]<<24))|0));
 var $cmp461=($103|0)==0;
 if($cmp461){label=107;break;}else{label=103;break;}
 case 103: 
 var $104=$103;
 var $105=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp465=($104>>>0)<($105>>>0);
 if($cmp465){label=105;break;}else{label=104;break;}
 case 104: 
 var $arrayidx471=(($R325_1+20)|0);
 tempBigInt=$103;HEAP8[($arrayidx471)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx471)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx471)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx471)+(3))|0)]=tempBigInt&0xff;
 var $parent472=(($103+24)|0);
 tempBigInt=$R325_1;HEAP8[($parent472)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent472)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent472)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent472)+(3))|0)]=tempBigInt&0xff;
 label=107;break;
 case 105: 
 _abort();
 throw "Reached an unreachable!";
 case 106: 
 _abort();
 throw "Reached an unreachable!";
 case 107: 
 var $or481=$add255|1;
 var $head482=(($p_addr_0+4)|0);
 tempBigInt=$or481;HEAP8[($head482)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head482)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head482)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head482)+(3))|0)]=tempBigInt&0xff;
 var $106=$p_addr_0;
 var $add_ptr483=(($106+$add255)|0);
 var $prev_foot484=$add_ptr483;
 tempBigInt=$add255;HEAP8[($prev_foot484)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot484)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot484)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot484)+(3))|0)]=tempBigInt&0xff;
 var $107=((((HEAPU8[(19764)])|(HEAPU8[(19765)]<<8)|(HEAPU8[(19766)]<<16)|(HEAPU8[(19767)]<<24))|0));
 var $cmp486=($p_addr_0|0)==($107|0);
 if($cmp486){label=108;break;}else{var $psize_addr_1=$add255;label=110;break;}
 case 108: 
 tempBigInt=$add255;HEAP8[(19752)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19753)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19754)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19755)]=tempBigInt&0xff;
 label=134;break;
 case 109: 
 var $and495=$56&-2;
 tempBigInt=$and495;HEAP8[($55)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($55)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($55)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($55)+(3))|0)]=tempBigInt&0xff;
 var $or496=$psize_addr_0|1;
 var $head497=(($p_addr_0+4)|0);
 tempBigInt=$or496;HEAP8[($head497)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head497)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head497)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($head497)+(3))|0)]=tempBigInt&0xff;
 var $108=$p_addr_0;
 var $add_ptr498=(($108+$psize_addr_0)|0);
 var $prev_foot499=$add_ptr498;
 tempBigInt=$psize_addr_0;HEAP8[($prev_foot499)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot499)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot499)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($prev_foot499)+(3))|0)]=tempBigInt&0xff;
 var $psize_addr_1=$psize_addr_0;label=110;break;
 case 110: 
 var $psize_addr_1;
 var $shr501=$psize_addr_1>>>3;
 var $cmp502=($psize_addr_1>>>0)<256;
 if($cmp502){label=111;break;}else{label=116;break;}
 case 111: 
 var $shl508=$shr501<<1;
 var $arrayidx510=((19784+($shl508<<2))|0);
 var $109=$arrayidx510;
 var $110=((((HEAPU8[(19744)])|(HEAPU8[(19745)]<<8)|(HEAPU8[(19746)]<<16)|(HEAPU8[(19747)]<<24))|0));
 var $shl513=1<<$shr501;
 var $and514=$110&$shl513;
 var $tobool515=($and514|0)==0;
 if($tobool515){label=112;break;}else{label=113;break;}
 case 112: 
 var $or519=$110|$shl513;
 tempBigInt=$or519;HEAP8[(19744)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19745)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19746)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19747)]=tempBigInt&0xff;
 var $arrayidx510_sum_pre=((($shl508)+(2))|0);
 var $_pre=((19784+($arrayidx510_sum_pre<<2))|0);
 var $F511_0=$109;var $_pre_phi=$_pre;label=115;break;
 case 113: 
 var $arrayidx510_sum12=((($shl508)+(2))|0);
 var $111=((19784+($arrayidx510_sum12<<2))|0);
 var $112=((((HEAPU8[($111)])|(HEAPU8[((($111)+(1))|0)]<<8)|(HEAPU8[((($111)+(2))|0)]<<16)|(HEAPU8[((($111)+(3))|0)]<<24))|0));
 var $113=$112;
 var $114=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp523=($113>>>0)<($114>>>0);
 if($cmp523){label=114;break;}else{var $F511_0=$112;var $_pre_phi=$111;label=115;break;}
 case 114: 
 _abort();
 throw "Reached an unreachable!";
 case 115: 
 var $_pre_phi;
 var $F511_0;
 tempBigInt=$p_addr_0;HEAP8[($_pre_phi)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($_pre_phi)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($_pre_phi)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($_pre_phi)+(3))|0)]=tempBigInt&0xff;
 var $bk533=(($F511_0+12)|0);
 tempBigInt=$p_addr_0;HEAP8[($bk533)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk533)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk533)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk533)+(3))|0)]=tempBigInt&0xff;
 var $fd534=(($p_addr_0+8)|0);
 tempBigInt=$F511_0;HEAP8[($fd534)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd534)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd534)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd534)+(3))|0)]=tempBigInt&0xff;
 var $bk535=(($p_addr_0+12)|0);
 tempBigInt=$109;HEAP8[($bk535)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk535)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk535)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk535)+(3))|0)]=tempBigInt&0xff;
 label=134;break;
 case 116: 
 var $115=$p_addr_0;
 var $shr540=$psize_addr_1>>>8;
 var $cmp541=($shr540|0)==0;
 if($cmp541){var $I539_0=0;label=119;break;}else{label=117;break;}
 case 117: 
 var $cmp545=($psize_addr_1>>>0)>16777215;
 if($cmp545){var $I539_0=31;label=119;break;}else{label=118;break;}
 case 118: 
 var $sub=((($shr540)+(1048320))|0);
 var $shr549=$sub>>>16;
 var $and550=$shr549&8;
 var $shl551=$shr540<<$and550;
 var $sub552=((($shl551)+(520192))|0);
 var $shr553=$sub552>>>16;
 var $and554=$shr553&4;
 var $add555=$and554|$and550;
 var $shl556=$shl551<<$and554;
 var $sub557=((($shl556)+(245760))|0);
 var $shr558=$sub557>>>16;
 var $and559=$shr558&2;
 var $add560=$add555|$and559;
 var $sub561=(((14)-($add560))|0);
 var $shl562=$shl556<<$and559;
 var $shr563=$shl562>>>15;
 var $add564=((($sub561)+($shr563))|0);
 var $shl565=$add564<<1;
 var $add566=((($add564)+(7))|0);
 var $shr567=$psize_addr_1>>>($add566>>>0);
 var $and568=$shr567&1;
 var $add569=$and568|$shl565;
 var $I539_0=$add569;label=119;break;
 case 119: 
 var $I539_0;
 var $arrayidx573=((20048+($I539_0<<2))|0);
 var $index574=(($p_addr_0+28)|0);
 var $I539_0_c=$I539_0;
 tempBigInt=$I539_0_c;HEAP8[($index574)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($index574)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($index574)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($index574)+(3))|0)]=tempBigInt&0xff;
 var $arrayidx576=(($p_addr_0+20)|0);
 tempBigInt=0;HEAP8[($arrayidx576)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx576)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx576)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx576)+(3))|0)]=tempBigInt&0xff;
 var $116=(($p_addr_0+16)|0);
 tempBigInt=0;HEAP8[($116)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($116)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($116)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($116)+(3))|0)]=tempBigInt&0xff;
 var $117=((((HEAPU8[(19748)])|(HEAPU8[(19749)]<<8)|(HEAPU8[(19750)]<<16)|(HEAPU8[(19751)]<<24))|0));
 var $shl580=1<<$I539_0;
 var $and581=$117&$shl580;
 var $tobool582=($and581|0)==0;
 if($tobool582){label=120;break;}else{label=121;break;}
 case 120: 
 var $or586=$117|$shl580;
 tempBigInt=$or586;HEAP8[(19748)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19749)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19750)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[(19751)]=tempBigInt&0xff;
 tempBigInt=$115;HEAP8[($arrayidx573)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx573)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx573)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx573)+(3))|0)]=tempBigInt&0xff;
 var $parent587=(($p_addr_0+24)|0);
 var $_c=$arrayidx573;
 tempBigInt=$_c;HEAP8[($parent587)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent587)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent587)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent587)+(3))|0)]=tempBigInt&0xff;
 var $bk588=(($p_addr_0+12)|0);
 tempBigInt=$p_addr_0;HEAP8[($bk588)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk588)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk588)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk588)+(3))|0)]=tempBigInt&0xff;
 var $fd589=(($p_addr_0+8)|0);
 tempBigInt=$p_addr_0;HEAP8[($fd589)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd589)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd589)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd589)+(3))|0)]=tempBigInt&0xff;
 label=134;break;
 case 121: 
 var $118=((((HEAPU8[($arrayidx573)])|(HEAPU8[((($arrayidx573)+(1))|0)]<<8)|(HEAPU8[((($arrayidx573)+(2))|0)]<<16)|(HEAPU8[((($arrayidx573)+(3))|0)]<<24))|0));
 var $cmp592=($I539_0|0)==31;
 if($cmp592){var $cond=0;label=123;break;}else{label=122;break;}
 case 122: 
 var $shr594=$I539_0>>>1;
 var $sub597=(((25)-($shr594))|0);
 var $cond=$sub597;label=123;break;
 case 123: 
 var $cond;
 var $head59939=(($118+4)|0);
 var $119=((((HEAPU8[($head59939)])|(HEAPU8[((($head59939)+(1))|0)]<<8)|(HEAPU8[((($head59939)+(2))|0)]<<16)|(HEAPU8[((($head59939)+(3))|0)]<<24))|0));
 var $and60040=$119&-8;
 var $cmp60141=($and60040|0)==($psize_addr_1|0);
 if($cmp60141){var $T_0_lcssa=$118;label=130;break;}else{label=124;break;}
 case 124: 
 var $shl598=$psize_addr_1<<$cond;
 var $T_042=$118;var $K591_043=$shl598;label=126;break;
 case 125: 
 var $shl608=$K591_043<<1;
 var $head599=(($121+4)|0);
 var $120=((((HEAPU8[($head599)])|(HEAPU8[((($head599)+(1))|0)]<<8)|(HEAPU8[((($head599)+(2))|0)]<<16)|(HEAPU8[((($head599)+(3))|0)]<<24))|0));
 var $and600=$120&-8;
 var $cmp601=($and600|0)==($psize_addr_1|0);
 if($cmp601){var $T_0_lcssa=$121;label=130;break;}else{var $T_042=$121;var $K591_043=$shl608;label=126;break;}
 case 126: 
 var $K591_043;
 var $T_042;
 var $shr604=$K591_043>>>31;
 var $arrayidx607=(($T_042+16+($shr604<<2))|0);
 var $121=((((HEAPU8[($arrayidx607)])|(HEAPU8[((($arrayidx607)+(1))|0)]<<8)|(HEAPU8[((($arrayidx607)+(2))|0)]<<16)|(HEAPU8[((($arrayidx607)+(3))|0)]<<24))|0));
 var $cmp609=($121|0)==0;
 if($cmp609){label=127;break;}else{label=125;break;}
 case 127: 
 var $122=$arrayidx607;
 var $123=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp614=($122>>>0)<($123>>>0);
 if($cmp614){label=129;break;}else{label=128;break;}
 case 128: 
 tempBigInt=$115;HEAP8[($arrayidx607)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx607)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx607)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($arrayidx607)+(3))|0)]=tempBigInt&0xff;
 var $parent619=(($p_addr_0+24)|0);
 var $T_0_c9=$T_042;
 tempBigInt=$T_0_c9;HEAP8[($parent619)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent619)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent619)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent619)+(3))|0)]=tempBigInt&0xff;
 var $bk620=(($p_addr_0+12)|0);
 tempBigInt=$p_addr_0;HEAP8[($bk620)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk620)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk620)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk620)+(3))|0)]=tempBigInt&0xff;
 var $fd621=(($p_addr_0+8)|0);
 tempBigInt=$p_addr_0;HEAP8[($fd621)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd621)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd621)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd621)+(3))|0)]=tempBigInt&0xff;
 label=134;break;
 case 129: 
 _abort();
 throw "Reached an unreachable!";
 case 130: 
 var $T_0_lcssa;
 var $fd626=(($T_0_lcssa+8)|0);
 var $124=((((HEAPU8[($fd626)])|(HEAPU8[((($fd626)+(1))|0)]<<8)|(HEAPU8[((($fd626)+(2))|0)]<<16)|(HEAPU8[((($fd626)+(3))|0)]<<24))|0));
 var $125=$T_0_lcssa;
 var $126=((((HEAPU8[(19760)])|(HEAPU8[(19761)]<<8)|(HEAPU8[(19762)]<<16)|(HEAPU8[(19763)]<<24))|0));
 var $cmp628=($125>>>0)>=($126>>>0);
 var $127=$124;
 var $cmp632=($127>>>0)>=($126>>>0);
 var $or_cond=$cmp628&$cmp632;
 if($or_cond){label=131;break;}else{label=132;break;}
 case 131: 
 var $bk639=(($124+12)|0);
 tempBigInt=$115;HEAP8[($bk639)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk639)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk639)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk639)+(3))|0)]=tempBigInt&0xff;
 tempBigInt=$115;HEAP8[($fd626)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd626)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd626)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd626)+(3))|0)]=tempBigInt&0xff;
 var $fd641=(($p_addr_0+8)|0);
 var $_c8=$124;
 tempBigInt=$_c8;HEAP8[($fd641)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd641)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd641)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($fd641)+(3))|0)]=tempBigInt&0xff;
 var $bk642=(($p_addr_0+12)|0);
 var $T_0_c=$T_0_lcssa;
 tempBigInt=$T_0_c;HEAP8[($bk642)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk642)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk642)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($bk642)+(3))|0)]=tempBigInt&0xff;
 var $parent643=(($p_addr_0+24)|0);
 tempBigInt=0;HEAP8[($parent643)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent643)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent643)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($parent643)+(3))|0)]=tempBigInt&0xff;
 label=134;break;
 case 132: 
 _abort();
 throw "Reached an unreachable!";
 case 133: 
 _abort();
 throw "Reached an unreachable!";
 case 134: 
 return;
  default: assert(0, "bad label: " + label);
 }

}


function _scanexp($f,$pok){
 var label=0;

 label = 1; 
 while(1)switch(label){
 case 1: 
 var $rpos=(($f+4)|0);
 var $0=((((HEAPU8[($rpos)])|(HEAPU8[((($rpos)+(1))|0)]<<8)|(HEAPU8[((($rpos)+(2))|0)]<<16)|(HEAPU8[((($rpos)+(3))|0)]<<24))|0));
 var $shend=(($f+100)|0);
 var $1=((((HEAPU8[($shend)])|(HEAPU8[((($shend)+(1))|0)]<<8)|(HEAPU8[((($shend)+(2))|0)]<<16)|(HEAPU8[((($shend)+(3))|0)]<<24))|0));
 var $cmp=($0>>>0)<($1>>>0);
 if($cmp){label=2;break;}else{label=3;break;}
 case 2: 
 var $incdec_ptr=(($0+1)|0);
 tempBigInt=$incdec_ptr;HEAP8[($rpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(3))|0)]=tempBigInt&0xff;
 var $2=HEAP8[($0)];
 var $conv=($2&255);
 var $cond=$conv;label=4;break;
 case 3: 
 var $call=___shgetc($f);
 var $cond=$call;label=4;break;
 case 4: 
 var $cond;
 var $cmp4=($cond|0)==45;
 if(($cond|0)==45|($cond|0)==43){ label=5;break;}else{var $neg_0=0;var $c_0=$cond;label=11;break;}
 case 5: 
 var $3=((((HEAPU8[($rpos)])|(HEAPU8[((($rpos)+(1))|0)]<<8)|(HEAPU8[((($rpos)+(2))|0)]<<16)|(HEAPU8[((($rpos)+(3))|0)]<<24))|0));
 var $conv7=($cmp4&1);
 var $4=((((HEAPU8[($shend)])|(HEAPU8[((($shend)+(1))|0)]<<8)|(HEAPU8[((($shend)+(2))|0)]<<16)|(HEAPU8[((($shend)+(3))|0)]<<24))|0));
 var $cmp10=($3>>>0)<($4>>>0);
 if($cmp10){label=6;break;}else{label=7;break;}
 case 6: 
 var $incdec_ptr14=(($3+1)|0);
 tempBigInt=$incdec_ptr14;HEAP8[($rpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(3))|0)]=tempBigInt&0xff;
 var $5=HEAP8[($3)];
 var $conv15=($5&255);
 var $cond19=$conv15;label=8;break;
 case 7: 
 var $call17=___shgetc($f);
 var $cond19=$call17;label=8;break;
 case 8: 
 var $cond19;
 var $sub=((($cond19)-(48))|0);
 var $cmp20=($sub>>>0)>9;
 var $tobool=($pok|0)!=0;
 var $or_cond1=$cmp20&$tobool;
 if($or_cond1){label=9;break;}else{var $neg_0=$conv7;var $c_0=$cond19;label=11;break;}
 case 9: 
 var $6=((((HEAPU8[($shend)])|(HEAPU8[((($shend)+(1))|0)]<<8)|(HEAPU8[((($shend)+(2))|0)]<<16)|(HEAPU8[((($shend)+(3))|0)]<<24))|0));
 var $tobool24=($6|0)==0;
 if($tobool24){var $neg_0=$conv7;var $c_0=$cond19;label=11;break;}else{label=10;break;}
 case 10: 
 var $7=((((HEAPU8[($rpos)])|(HEAPU8[((($rpos)+(1))|0)]<<8)|(HEAPU8[((($rpos)+(2))|0)]<<16)|(HEAPU8[((($rpos)+(3))|0)]<<24))|0));
 var $incdec_ptr27=((($7)-(1))|0);
 tempBigInt=$incdec_ptr27;HEAP8[($rpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(3))|0)]=tempBigInt&0xff;
 var $neg_0=$conv7;var $c_0=$cond19;label=11;break;
 case 11: 
 var $c_0;
 var $neg_0;
 var $sub31=((($c_0)-(48))|0);
 var $cmp32=($sub31>>>0)>9;
 if($cmp32){label=12;break;}else{var $c_143=$c_0;var $x_044=0;label=14;break;}
 case 12: 
 var $8=((((HEAPU8[($shend)])|(HEAPU8[((($shend)+(1))|0)]<<8)|(HEAPU8[((($shend)+(2))|0)]<<16)|(HEAPU8[((($shend)+(3))|0)]<<24))|0));
 var $tobool36=($8|0)==0;
 if($tobool36){var $retval_0$1=-2147483648;var $retval_0$0=0;label=31;break;}else{label=13;break;}
 case 13: 
 var $9=((((HEAPU8[($rpos)])|(HEAPU8[((($rpos)+(1))|0)]<<8)|(HEAPU8[((($rpos)+(2))|0)]<<16)|(HEAPU8[((($rpos)+(3))|0)]<<24))|0));
 var $incdec_ptr39=((($9)-(1))|0);
 tempBigInt=$incdec_ptr39;HEAP8[($rpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(3))|0)]=tempBigInt&0xff;
 var $retval_0$1=-2147483648;var $retval_0$0=0;label=31;break;
 case 14: 
 var $x_044;
 var $c_143;
 var $mul=((($x_044)*(10))&-1);
 var $add=((($c_143)-(48))|0);
 var $sub48=((($add)+($mul))|0);
 var $10=((((HEAPU8[($rpos)])|(HEAPU8[((($rpos)+(1))|0)]<<8)|(HEAPU8[((($rpos)+(2))|0)]<<16)|(HEAPU8[((($rpos)+(3))|0)]<<24))|0));
 var $11=((((HEAPU8[($shend)])|(HEAPU8[((($shend)+(1))|0)]<<8)|(HEAPU8[((($shend)+(2))|0)]<<16)|(HEAPU8[((($shend)+(3))|0)]<<24))|0));
 var $cmp51=($10>>>0)<($11>>>0);
 if($cmp51){label=15;break;}else{label=16;break;}
 case 15: 
 var $incdec_ptr55=(($10+1)|0);
 tempBigInt=$incdec_ptr55;HEAP8[($rpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(3))|0)]=tempBigInt&0xff;
 var $12=HEAP8[($10)];
 var $conv56=($12&255);
 var $c_1_be=$conv56;label=17;break;
 case 16: 
 var $call58=___shgetc($f);
 var $c_1_be=$call58;label=17;break;
 case 17: 
 var $c_1_be;
 var $sub43=((($c_1_be)-(48))|0);
 var $cmp44=($sub43>>>0)<10;
 var $cmp46=($sub48|0)<214748364;
 var $cmp46_=$cmp44&$cmp46;
 if($cmp46_){var $c_143=$c_1_be;var $x_044=$sub48;label=14;break;}else{label=18;break;}
 case 18: 
 var $phitmp$0=$sub48;
 var $phitmp$1=((((($sub48|0)<0))|0)?-1:0);
 var $sub6336=((($c_1_be)-(48))|0);
 var $cmp6437=($sub6336>>>0)<10;
 if($cmp6437){var $c_238=$c_1_be;var $y_039$1=$phitmp$1;var $y_039$0=$phitmp$0;label=20;break;}else{var $c_2_lcssa=$c_1_be;var $y_0_lcssa$1=$phitmp$1;var $y_0_lcssa$0=$phitmp$0;label=19;break;}
 case 19: 
 var $y_0_lcssa$0;
 var $y_0_lcssa$1;
 var $c_2_lcssa;
 var $sub9034=((($c_2_lcssa)-(48))|0);
 var $cmp9135=($sub9034>>>0)<10;
 if($cmp9135){label=24;break;}else{label=28;break;}
 case 20: 
 var $y_039$0;
 var $y_039$1;
 var $c_238;
 var $$etemp$0$0=10;
 var $$etemp$0$1=0;
 var $mul71$0=___muldi3($y_039$0,$y_039$1,$$etemp$0$0,$$etemp$0$1);var $mul71$1=tempRet0;
 var $conv72$0=$c_238;
 var $conv72$1=((((($c_238|0)<0))|0)?-1:0);
 var $$etemp$1$0=-48;
 var $$etemp$1$1=-1;
 var $add73$0=_i64Add($conv72$0,$conv72$1,$$etemp$1$0,$$etemp$1$1);var $add73$1=tempRet0;
 var $sub74$0=_i64Add($add73$0,$add73$1,$mul71$0,$mul71$1);var $sub74$1=tempRet0;
 var $13=((((HEAPU8[($rpos)])|(HEAPU8[((($rpos)+(1))|0)]<<8)|(HEAPU8[((($rpos)+(2))|0)]<<16)|(HEAPU8[((($rpos)+(3))|0)]<<24))|0));
 var $14=((((HEAPU8[($shend)])|(HEAPU8[((($shend)+(1))|0)]<<8)|(HEAPU8[((($shend)+(2))|0)]<<16)|(HEAPU8[((($shend)+(3))|0)]<<24))|0));
 var $cmp78=($13>>>0)<($14>>>0);
 if($cmp78){label=21;break;}else{label=22;break;}
 case 21: 
 var $incdec_ptr82=(($13+1)|0);
 tempBigInt=$incdec_ptr82;HEAP8[($rpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(3))|0)]=tempBigInt&0xff;
 var $15=HEAP8[($13)];
 var $conv83=($15&255);
 var $c_2_be=$conv83;label=23;break;
 case 22: 
 var $call85=___shgetc($f);
 var $c_2_be=$call85;label=23;break;
 case 23: 
 var $c_2_be;
 var $sub63=((($c_2_be)-(48))|0);
 var $cmp64=($sub63>>>0)<10;
 var $$etemp$2$0=2061584302;
 var $$etemp$2$1=21474836;
 var $cmp67=(($sub74$1|0) < ($$etemp$2$1|0)) | (((($sub74$1|0) == ($$etemp$2$1|0) & ($sub74$0>>>0) <  ($$etemp$2$0>>>0))));
 var $or_cond2=$cmp64&$cmp67;
 if($or_cond2){var $c_238=$c_2_be;var $y_039$1=$sub74$1;var $y_039$0=$sub74$0;label=20;break;}else{var $c_2_lcssa=$c_2_be;var $y_0_lcssa$1=$sub74$1;var $y_0_lcssa$0=$sub74$0;label=19;break;}
 case 24: 
 var $16=((((HEAPU8[($rpos)])|(HEAPU8[((($rpos)+(1))|0)]<<8)|(HEAPU8[((($rpos)+(2))|0)]<<16)|(HEAPU8[((($rpos)+(3))|0)]<<24))|0));
 var $17=((((HEAPU8[($shend)])|(HEAPU8[((($shend)+(1))|0)]<<8)|(HEAPU8[((($shend)+(2))|0)]<<16)|(HEAPU8[((($shend)+(3))|0)]<<24))|0));
 var $cmp97=($16>>>0)<($17>>>0);
 if($cmp97){label=25;break;}else{label=26;break;}
 case 25: 
 var $incdec_ptr101=(($16+1)|0);
 tempBigInt=$incdec_ptr101;HEAP8[($rpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(3))|0)]=tempBigInt&0xff;
 var $18=HEAP8[($16)];
 var $conv102=($18&255);
 var $c_3_be=$conv102;label=27;break;
 case 26: 
 var $call104=___shgetc($f);
 var $c_3_be=$call104;label=27;break;
 case 27: 
 var $c_3_be;
 var $sub90=((($c_3_be)-(48))|0);
 var $cmp91=($sub90>>>0)<10;
 if($cmp91){label=24;break;}else{label=28;break;}
 case 28: 
 var $19=((((HEAPU8[($shend)])|(HEAPU8[((($shend)+(1))|0)]<<8)|(HEAPU8[((($shend)+(2))|0)]<<16)|(HEAPU8[((($shend)+(3))|0)]<<24))|0));
 var $tobool109=($19|0)==0;
 if($tobool109){label=30;break;}else{label=29;break;}
 case 29: 
 var $20=((((HEAPU8[($rpos)])|(HEAPU8[((($rpos)+(1))|0)]<<8)|(HEAPU8[((($rpos)+(2))|0)]<<16)|(HEAPU8[((($rpos)+(3))|0)]<<24))|0));
 var $incdec_ptr112=((($20)-(1))|0);
 tempBigInt=$incdec_ptr112;HEAP8[($rpos)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(1))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(2))|0)]=tempBigInt&0xff;tempBigInt = tempBigInt>>8;HEAP8[((($rpos)+(3))|0)]=tempBigInt&0xff;
 label=30;break;
 case 30: 
 var $tobool115=($neg_0|0)!=0;
 var $$etemp$3$0=0;
 var $$etemp$3$1=0;
 var $sub117$0=_i64Subtract($$etemp$3$0,$$etemp$3$1,$y_0_lcssa$0,$y_0_lcssa$1);var $sub117$1=tempRet0;
 var $cond120$0=($tobool115?$sub117$0:$y_0_lcssa$0);
 var $cond120$1=($tobool115?$sub117$1:$y_0_lcssa$1);
 var $retval_0$1=$cond120$1;var $retval_0$0=$cond120$0;label=31;break;
 case 31: 
 var $retval_0$0;
 var $retval_0$1;
 return (tempRet0=$retval_0$1,$retval_0$0);
  default: assert(0, "bad label: " + label);
 }

}



// EMSCRIPTEN_END_FUNCS
function _i64Add(a, b, c, d) {
    /*
      x = a + b*2^32
      y = c + d*2^32
      result = l + h*2^32
    */
    a = a|0; b = b|0; c = c|0; d = d|0;
    var l = 0, h = 0;
    l = (a + c)>>>0;
    h = (b + d + (((l>>>0) < (a>>>0))|0))>>>0; // Add carry from low word to high word on overflow.
    return tempRet0 = h,l|0;
  }
function _i64Subtract(a, b, c, d) {
    a = a|0; b = b|0; c = c|0; d = d|0;
    var l = 0, h = 0;
    l = (a - c)>>>0;
    h = (b - d)>>>0;
    h = (b - d - (((c>>>0) > (a>>>0))|0))>>>0; // Borrow one from high word to low word on underflow.
    return tempRet0 = h,l|0;
  }
function _bitshift64Shl(low, high, bits) {
    low = low|0; high = high|0; bits = bits|0;
    var ander = 0;
    if ((bits|0) < 32) {
      ander = ((1 << bits) - 1)|0;
      tempRet0 = (high << bits) | ((low&(ander << (32 - bits))) >>> (32 - bits));
      return low << bits;
    }
    tempRet0 = low << (bits - 32);
    return 0;
  }
function _bitshift64Lshr(low, high, bits) {
    low = low|0; high = high|0; bits = bits|0;
    var ander = 0;
    if ((bits|0) < 32) {
      ander = ((1 << bits) - 1)|0;
      tempRet0 = high >>> bits;
      return (low >>> bits) | ((high&ander) << (32 - bits));
    }
    tempRet0 = 0;
    return (high >>> (bits - 32))|0;
  }
function _bitshift64Ashr(low, high, bits) {
    low = low|0; high = high|0; bits = bits|0;
    var ander = 0;
    if ((bits|0) < 32) {
      ander = ((1 << bits) - 1)|0;
      tempRet0 = high >> bits;
      return (low >>> bits) | ((high&ander) << (32 - bits));
    }
    tempRet0 = (high|0) < 0 ? -1 : 0;
    return (high >> (bits - 32))|0;
  }
function _llvm_ctlz_i32(x) {
    x = x|0;
    var ret = 0;
    ret = HEAP8[(((ctlz_i8)+(x >>> 24))|0)];
    if ((ret|0) < 8) return ret|0;
    ret = HEAP8[(((ctlz_i8)+((x >> 16)&0xff))|0)];
    if ((ret|0) < 8) return (ret + 8)|0;
    ret = HEAP8[(((ctlz_i8)+((x >> 8)&0xff))|0)];
    if ((ret|0) < 8) return (ret + 16)|0;
    return (HEAP8[(((ctlz_i8)+(x&0xff))|0)] + 24)|0;
  }
/* PRE_ASM */ var ctlz_i8 = allocate([8,7,6,6,5,5,5,5,4,4,4,4,4,4,4,4,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0], "i8", ALLOC_DYNAMIC);

function _llvm_cttz_i32(x) {
    x = x|0;
    var ret = 0;
    ret = HEAP8[(((cttz_i8)+(x & 0xff))|0)];
    if ((ret|0) < 8) return ret|0;
    ret = HEAP8[(((cttz_i8)+((x >> 8)&0xff))|0)];
    if ((ret|0) < 8) return (ret + 8)|0;
    ret = HEAP8[(((cttz_i8)+((x >> 16)&0xff))|0)];
    if ((ret|0) < 8) return (ret + 16)|0;
    return (HEAP8[(((cttz_i8)+(x >>> 24))|0)] + 24)|0;
  }
/* PRE_ASM */ var cttz_i8 = allocate([8,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,6,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,7,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,6,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0], "i8", ALLOC_DYNAMIC);

// ======== compiled code from system/lib/compiler-rt , see readme therein
function ___muldsi3($a, $b) {
  $a = $a | 0;
  $b = $b | 0;
  var $1 = 0, $2 = 0, $3 = 0, $6 = 0, $8 = 0, $11 = 0, $12 = 0;
  $1 = $a & 65535;
  $2 = $b & 65535;
  $3 = Math_imul($2, $1) | 0;
  $6 = $a >>> 16;
  $8 = ($3 >>> 16) + (Math_imul($2, $6) | 0) | 0;
  $11 = $b >>> 16;
  $12 = Math_imul($11, $1) | 0;
  return (tempRet0 = (($8 >>> 16) + (Math_imul($11, $6) | 0) | 0) + ((($8 & 65535) + $12 | 0) >>> 16) | 0, 0 | ($8 + $12 << 16 | $3 & 65535)) | 0;
}
function ___divdi3($a$0, $a$1, $b$0, $b$1) {
  $a$0 = $a$0 | 0;
  $a$1 = $a$1 | 0;
  $b$0 = $b$0 | 0;
  $b$1 = $b$1 | 0;
  var $1$0 = 0, $1$1 = 0, $2$0 = 0, $2$1 = 0, $4$0 = 0, $4$1 = 0, $6$0 = 0, $7$0 = 0, $7$1 = 0, $8$0 = 0, $10$0 = 0;
  $1$0 = $a$1 >> 31 | (($a$1 | 0) < 0 ? -1 : 0) << 1;
  $1$1 = (($a$1 | 0) < 0 ? -1 : 0) >> 31 | (($a$1 | 0) < 0 ? -1 : 0) << 1;
  $2$0 = $b$1 >> 31 | (($b$1 | 0) < 0 ? -1 : 0) << 1;
  $2$1 = (($b$1 | 0) < 0 ? -1 : 0) >> 31 | (($b$1 | 0) < 0 ? -1 : 0) << 1;
  $4$0 = _i64Subtract($1$0 ^ $a$0, $1$1 ^ $a$1, $1$0, $1$1) | 0;
  $4$1 = tempRet0;
  $6$0 = _i64Subtract($2$0 ^ $b$0, $2$1 ^ $b$1, $2$0, $2$1) | 0;
  $7$0 = $2$0 ^ $1$0;
  $7$1 = $2$1 ^ $1$1;
  $8$0 = ___udivmoddi4($4$0, $4$1, $6$0, tempRet0, 0) | 0;
  $10$0 = _i64Subtract($8$0 ^ $7$0, tempRet0 ^ $7$1, $7$0, $7$1) | 0;
  return (tempRet0 = tempRet0, $10$0) | 0;
}
function ___remdi3($a$0, $a$1, $b$0, $b$1) {
  $a$0 = $a$0 | 0;
  $a$1 = $a$1 | 0;
  $b$0 = $b$0 | 0;
  $b$1 = $b$1 | 0;
  var $rem = 0, $1$0 = 0, $1$1 = 0, $2$0 = 0, $2$1 = 0, $4$0 = 0, $4$1 = 0, $6$0 = 0, $10$0 = 0, $10$1 = 0, __stackBase__ = 0;
  __stackBase__ = STACKTOP;
  STACKTOP = STACKTOP + 8 | 0;
  $rem = __stackBase__ | 0;
  $1$0 = $a$1 >> 31 | (($a$1 | 0) < 0 ? -1 : 0) << 1;
  $1$1 = (($a$1 | 0) < 0 ? -1 : 0) >> 31 | (($a$1 | 0) < 0 ? -1 : 0) << 1;
  $2$0 = $b$1 >> 31 | (($b$1 | 0) < 0 ? -1 : 0) << 1;
  $2$1 = (($b$1 | 0) < 0 ? -1 : 0) >> 31 | (($b$1 | 0) < 0 ? -1 : 0) << 1;
  $4$0 = _i64Subtract($1$0 ^ $a$0, $1$1 ^ $a$1, $1$0, $1$1) | 0;
  $4$1 = tempRet0;
  $6$0 = _i64Subtract($2$0 ^ $b$0, $2$1 ^ $b$1, $2$0, $2$1) | 0;
  ___udivmoddi4($4$0, $4$1, $6$0, tempRet0, $rem) | 0;
  $10$0 = _i64Subtract(HEAP32[$rem >> 2] ^ $1$0, HEAP32[$rem + 4 >> 2] ^ $1$1, $1$0, $1$1) | 0;
  $10$1 = tempRet0;
  STACKTOP = __stackBase__;
  return (tempRet0 = $10$1, $10$0) | 0;
}
function ___muldi3($a$0, $a$1, $b$0, $b$1) {
  $a$0 = $a$0 | 0;
  $a$1 = $a$1 | 0;
  $b$0 = $b$0 | 0;
  $b$1 = $b$1 | 0;
  var $x_sroa_0_0_extract_trunc = 0, $y_sroa_0_0_extract_trunc = 0, $1$0 = 0, $1$1 = 0, $2 = 0;
  $x_sroa_0_0_extract_trunc = $a$0;
  $y_sroa_0_0_extract_trunc = $b$0;
  $1$0 = ___muldsi3($x_sroa_0_0_extract_trunc, $y_sroa_0_0_extract_trunc) | 0;
  $1$1 = tempRet0;
  $2 = Math_imul($a$1, $y_sroa_0_0_extract_trunc) | 0;
  return (tempRet0 = ((Math_imul($b$1, $x_sroa_0_0_extract_trunc) | 0) + $2 | 0) + $1$1 | $1$1 & 0, 0 | $1$0 & -1) | 0;
}
function ___udivdi3($a$0, $a$1, $b$0, $b$1) {
  $a$0 = $a$0 | 0;
  $a$1 = $a$1 | 0;
  $b$0 = $b$0 | 0;
  $b$1 = $b$1 | 0;
  var $1$0 = 0;
  $1$0 = ___udivmoddi4($a$0, $a$1, $b$0, $b$1, 0) | 0;
  return (tempRet0 = tempRet0, $1$0) | 0;
}
function ___uremdi3($a$0, $a$1, $b$0, $b$1) {
  $a$0 = $a$0 | 0;
  $a$1 = $a$1 | 0;
  $b$0 = $b$0 | 0;
  $b$1 = $b$1 | 0;
  var $rem = 0, __stackBase__ = 0;
  __stackBase__ = STACKTOP;
  STACKTOP = STACKTOP + 8 | 0;
  $rem = __stackBase__ | 0;
  ___udivmoddi4($a$0, $a$1, $b$0, $b$1, $rem) | 0;
  STACKTOP = __stackBase__;
  return (tempRet0 = HEAP32[$rem + 4 >> 2] | 0, HEAP32[$rem >> 2] | 0) | 0;
}
function ___udivmoddi4($a$0, $a$1, $b$0, $b$1, $rem) {
  $a$0 = $a$0 | 0;
  $a$1 = $a$1 | 0;
  $b$0 = $b$0 | 0;
  $b$1 = $b$1 | 0;
  $rem = $rem | 0;
  var $n_sroa_0_0_extract_trunc = 0, $n_sroa_1_4_extract_shift$0 = 0, $n_sroa_1_4_extract_trunc = 0, $d_sroa_0_0_extract_trunc = 0, $d_sroa_1_4_extract_shift$0 = 0, $d_sroa_1_4_extract_trunc = 0, $4 = 0, $17 = 0, $37 = 0, $49 = 0, $51 = 0, $57 = 0, $58 = 0, $66 = 0, $78 = 0, $86 = 0, $88 = 0, $89 = 0, $91 = 0, $92 = 0, $95 = 0, $105 = 0, $117 = 0, $119 = 0, $125 = 0, $126 = 0, $130 = 0, $q_sroa_1_1_ph = 0, $q_sroa_0_1_ph = 0, $r_sroa_1_1_ph = 0, $r_sroa_0_1_ph = 0, $sr_1_ph = 0, $d_sroa_0_0_insert_insert99$0 = 0, $d_sroa_0_0_insert_insert99$1 = 0, $137$0 = 0, $137$1 = 0, $carry_0203 = 0, $sr_1202 = 0, $r_sroa_0_1201 = 0, $r_sroa_1_1200 = 0, $q_sroa_0_1199 = 0, $q_sroa_1_1198 = 0, $147 = 0, $149 = 0, $r_sroa_0_0_insert_insert42$0 = 0, $r_sroa_0_0_insert_insert42$1 = 0, $150$1 = 0, $151$0 = 0, $152 = 0, $154$0 = 0, $r_sroa_0_0_extract_trunc = 0, $r_sroa_1_4_extract_trunc = 0, $155 = 0, $carry_0_lcssa$0 = 0, $carry_0_lcssa$1 = 0, $r_sroa_0_1_lcssa = 0, $r_sroa_1_1_lcssa = 0, $q_sroa_0_1_lcssa = 0, $q_sroa_1_1_lcssa = 0, $q_sroa_0_0_insert_ext75$0 = 0, $q_sroa_0_0_insert_ext75$1 = 0, $q_sroa_0_0_insert_insert77$1 = 0, $_0$0 = 0, $_0$1 = 0;
  $n_sroa_0_0_extract_trunc = $a$0;
  $n_sroa_1_4_extract_shift$0 = $a$1;
  $n_sroa_1_4_extract_trunc = $n_sroa_1_4_extract_shift$0;
  $d_sroa_0_0_extract_trunc = $b$0;
  $d_sroa_1_4_extract_shift$0 = $b$1;
  $d_sroa_1_4_extract_trunc = $d_sroa_1_4_extract_shift$0;
  if (($n_sroa_1_4_extract_trunc | 0) == 0) {
    $4 = ($rem | 0) != 0;
    if (($d_sroa_1_4_extract_trunc | 0) == 0) {
      if ($4) {
        HEAP32[$rem >> 2] = ($n_sroa_0_0_extract_trunc >>> 0) % ($d_sroa_0_0_extract_trunc >>> 0);
        HEAP32[$rem + 4 >> 2] = 0;
      }
      $_0$1 = 0;
      $_0$0 = ($n_sroa_0_0_extract_trunc >>> 0) / ($d_sroa_0_0_extract_trunc >>> 0) >>> 0;
      return (tempRet0 = $_0$1, $_0$0) | 0;
    } else {
      if (!$4) {
        $_0$1 = 0;
        $_0$0 = 0;
        return (tempRet0 = $_0$1, $_0$0) | 0;
      }
      HEAP32[$rem >> 2] = $a$0 & -1;
      HEAP32[$rem + 4 >> 2] = $a$1 & 0;
      $_0$1 = 0;
      $_0$0 = 0;
      return (tempRet0 = $_0$1, $_0$0) | 0;
    }
  }
  $17 = ($d_sroa_1_4_extract_trunc | 0) == 0;
  do {
    if (($d_sroa_0_0_extract_trunc | 0) == 0) {
      if ($17) {
        if (($rem | 0) != 0) {
          HEAP32[$rem >> 2] = ($n_sroa_1_4_extract_trunc >>> 0) % ($d_sroa_0_0_extract_trunc >>> 0);
          HEAP32[$rem + 4 >> 2] = 0;
        }
        $_0$1 = 0;
        $_0$0 = ($n_sroa_1_4_extract_trunc >>> 0) / ($d_sroa_0_0_extract_trunc >>> 0) >>> 0;
        return (tempRet0 = $_0$1, $_0$0) | 0;
      }
      if (($n_sroa_0_0_extract_trunc | 0) == 0) {
        if (($rem | 0) != 0) {
          HEAP32[$rem >> 2] = 0;
          HEAP32[$rem + 4 >> 2] = ($n_sroa_1_4_extract_trunc >>> 0) % ($d_sroa_1_4_extract_trunc >>> 0);
        }
        $_0$1 = 0;
        $_0$0 = ($n_sroa_1_4_extract_trunc >>> 0) / ($d_sroa_1_4_extract_trunc >>> 0) >>> 0;
        return (tempRet0 = $_0$1, $_0$0) | 0;
      }
      $37 = $d_sroa_1_4_extract_trunc - 1 | 0;
      if (($37 & $d_sroa_1_4_extract_trunc | 0) == 0) {
        if (($rem | 0) != 0) {
          HEAP32[$rem >> 2] = 0 | $a$0 & -1;
          HEAP32[$rem + 4 >> 2] = $37 & $n_sroa_1_4_extract_trunc | $a$1 & 0;
        }
        $_0$1 = 0;
        $_0$0 = $n_sroa_1_4_extract_trunc >>> ((_llvm_cttz_i32($d_sroa_1_4_extract_trunc | 0) | 0) >>> 0);
        return (tempRet0 = $_0$1, $_0$0) | 0;
      }
      $49 = _llvm_ctlz_i32($d_sroa_1_4_extract_trunc | 0) | 0;
      $51 = $49 - (_llvm_ctlz_i32($n_sroa_1_4_extract_trunc | 0) | 0) | 0;
      if ($51 >>> 0 <= 30) {
        $57 = $51 + 1 | 0;
        $58 = 31 - $51 | 0;
        $sr_1_ph = $57;
        $r_sroa_0_1_ph = $n_sroa_1_4_extract_trunc << $58 | $n_sroa_0_0_extract_trunc >>> ($57 >>> 0);
        $r_sroa_1_1_ph = $n_sroa_1_4_extract_trunc >>> ($57 >>> 0);
        $q_sroa_0_1_ph = 0;
        $q_sroa_1_1_ph = $n_sroa_0_0_extract_trunc << $58;
        break;
      }
      if (($rem | 0) == 0) {
        $_0$1 = 0;
        $_0$0 = 0;
        return (tempRet0 = $_0$1, $_0$0) | 0;
      }
      HEAP32[$rem >> 2] = 0 | $a$0 & -1;
      HEAP32[$rem + 4 >> 2] = $n_sroa_1_4_extract_shift$0 | $a$1 & 0;
      $_0$1 = 0;
      $_0$0 = 0;
      return (tempRet0 = $_0$1, $_0$0) | 0;
    } else {
      if (!$17) {
        $117 = _llvm_ctlz_i32($d_sroa_1_4_extract_trunc | 0) | 0;
        $119 = $117 - (_llvm_ctlz_i32($n_sroa_1_4_extract_trunc | 0) | 0) | 0;
        if ($119 >>> 0 <= 31) {
          $125 = $119 + 1 | 0;
          $126 = 31 - $119 | 0;
          $130 = $119 - 31 >> 31;
          $sr_1_ph = $125;
          $r_sroa_0_1_ph = $n_sroa_0_0_extract_trunc >>> ($125 >>> 0) & $130 | $n_sroa_1_4_extract_trunc << $126;
          $r_sroa_1_1_ph = $n_sroa_1_4_extract_trunc >>> ($125 >>> 0) & $130;
          $q_sroa_0_1_ph = 0;
          $q_sroa_1_1_ph = $n_sroa_0_0_extract_trunc << $126;
          break;
        }
        if (($rem | 0) == 0) {
          $_0$1 = 0;
          $_0$0 = 0;
          return (tempRet0 = $_0$1, $_0$0) | 0;
        }
        HEAP32[$rem >> 2] = 0 | $a$0 & -1;
        HEAP32[$rem + 4 >> 2] = $n_sroa_1_4_extract_shift$0 | $a$1 & 0;
        $_0$1 = 0;
        $_0$0 = 0;
        return (tempRet0 = $_0$1, $_0$0) | 0;
      }
      $66 = $d_sroa_0_0_extract_trunc - 1 | 0;
      if (($66 & $d_sroa_0_0_extract_trunc | 0) != 0) {
        $86 = (_llvm_ctlz_i32($d_sroa_0_0_extract_trunc | 0) | 0) + 33 | 0;
        $88 = $86 - (_llvm_ctlz_i32($n_sroa_1_4_extract_trunc | 0) | 0) | 0;
        $89 = 64 - $88 | 0;
        $91 = 32 - $88 | 0;
        $92 = $91 >> 31;
        $95 = $88 - 32 | 0;
        $105 = $95 >> 31;
        $sr_1_ph = $88;
        $r_sroa_0_1_ph = $91 - 1 >> 31 & $n_sroa_1_4_extract_trunc >>> ($95 >>> 0) | ($n_sroa_1_4_extract_trunc << $91 | $n_sroa_0_0_extract_trunc >>> ($88 >>> 0)) & $105;
        $r_sroa_1_1_ph = $105 & $n_sroa_1_4_extract_trunc >>> ($88 >>> 0);
        $q_sroa_0_1_ph = $n_sroa_0_0_extract_trunc << $89 & $92;
        $q_sroa_1_1_ph = ($n_sroa_1_4_extract_trunc << $89 | $n_sroa_0_0_extract_trunc >>> ($95 >>> 0)) & $92 | $n_sroa_0_0_extract_trunc << $91 & $88 - 33 >> 31;
        break;
      }
      if (($rem | 0) != 0) {
        HEAP32[$rem >> 2] = $66 & $n_sroa_0_0_extract_trunc;
        HEAP32[$rem + 4 >> 2] = 0;
      }
      if (($d_sroa_0_0_extract_trunc | 0) == 1) {
        $_0$1 = $n_sroa_1_4_extract_shift$0 | $a$1 & 0;
        $_0$0 = 0 | $a$0 & -1;
        return (tempRet0 = $_0$1, $_0$0) | 0;
      } else {
        $78 = _llvm_cttz_i32($d_sroa_0_0_extract_trunc | 0) | 0;
        $_0$1 = 0 | $n_sroa_1_4_extract_trunc >>> ($78 >>> 0);
        $_0$0 = $n_sroa_1_4_extract_trunc << 32 - $78 | $n_sroa_0_0_extract_trunc >>> ($78 >>> 0) | 0;
        return (tempRet0 = $_0$1, $_0$0) | 0;
      }
    }
  } while (0);
  if (($sr_1_ph | 0) == 0) {
    $q_sroa_1_1_lcssa = $q_sroa_1_1_ph;
    $q_sroa_0_1_lcssa = $q_sroa_0_1_ph;
    $r_sroa_1_1_lcssa = $r_sroa_1_1_ph;
    $r_sroa_0_1_lcssa = $r_sroa_0_1_ph;
    $carry_0_lcssa$1 = 0;
    $carry_0_lcssa$0 = 0;
  } else {
    $d_sroa_0_0_insert_insert99$0 = 0 | $b$0 & -1;
    $d_sroa_0_0_insert_insert99$1 = $d_sroa_1_4_extract_shift$0 | $b$1 & 0;
    $137$0 = _i64Add($d_sroa_0_0_insert_insert99$0, $d_sroa_0_0_insert_insert99$1, -1, -1) | 0;
    $137$1 = tempRet0;
    $q_sroa_1_1198 = $q_sroa_1_1_ph;
    $q_sroa_0_1199 = $q_sroa_0_1_ph;
    $r_sroa_1_1200 = $r_sroa_1_1_ph;
    $r_sroa_0_1201 = $r_sroa_0_1_ph;
    $sr_1202 = $sr_1_ph;
    $carry_0203 = 0;
    while (1) {
      $147 = $q_sroa_0_1199 >>> 31 | $q_sroa_1_1198 << 1;
      $149 = $carry_0203 | $q_sroa_0_1199 << 1;
      $r_sroa_0_0_insert_insert42$0 = 0 | ($r_sroa_0_1201 << 1 | $q_sroa_1_1198 >>> 31);
      $r_sroa_0_0_insert_insert42$1 = $r_sroa_0_1201 >>> 31 | $r_sroa_1_1200 << 1 | 0;
      _i64Subtract($137$0, $137$1, $r_sroa_0_0_insert_insert42$0, $r_sroa_0_0_insert_insert42$1) | 0;
      $150$1 = tempRet0;
      $151$0 = $150$1 >> 31 | (($150$1 | 0) < 0 ? -1 : 0) << 1;
      $152 = $151$0 & 1;
      $154$0 = _i64Subtract($r_sroa_0_0_insert_insert42$0, $r_sroa_0_0_insert_insert42$1, $151$0 & $d_sroa_0_0_insert_insert99$0, ((($150$1 | 0) < 0 ? -1 : 0) >> 31 | (($150$1 | 0) < 0 ? -1 : 0) << 1) & $d_sroa_0_0_insert_insert99$1) | 0;
      $r_sroa_0_0_extract_trunc = $154$0;
      $r_sroa_1_4_extract_trunc = tempRet0;
      $155 = $sr_1202 - 1 | 0;
      if (($155 | 0) == 0) {
        break;
      } else {
        $q_sroa_1_1198 = $147;
        $q_sroa_0_1199 = $149;
        $r_sroa_1_1200 = $r_sroa_1_4_extract_trunc;
        $r_sroa_0_1201 = $r_sroa_0_0_extract_trunc;
        $sr_1202 = $155;
        $carry_0203 = $152;
      }
    }
    $q_sroa_1_1_lcssa = $147;
    $q_sroa_0_1_lcssa = $149;
    $r_sroa_1_1_lcssa = $r_sroa_1_4_extract_trunc;
    $r_sroa_0_1_lcssa = $r_sroa_0_0_extract_trunc;
    $carry_0_lcssa$1 = 0;
    $carry_0_lcssa$0 = $152;
  }
  $q_sroa_0_0_insert_ext75$0 = $q_sroa_0_1_lcssa;
  $q_sroa_0_0_insert_ext75$1 = 0;
  $q_sroa_0_0_insert_insert77$1 = $q_sroa_1_1_lcssa | $q_sroa_0_0_insert_ext75$1;
  if (($rem | 0) != 0) {
    HEAP32[$rem >> 2] = 0 | $r_sroa_0_1_lcssa;
    HEAP32[$rem + 4 >> 2] = $r_sroa_1_1_lcssa | 0;
  }
  $_0$1 = (0 | $q_sroa_0_0_insert_ext75$0) >>> 31 | $q_sroa_0_0_insert_insert77$1 << 1 | ($q_sroa_0_0_insert_ext75$1 << 1 | $q_sroa_0_0_insert_ext75$0 >>> 31) & 0 | $carry_0_lcssa$1;
  $_0$0 = ($q_sroa_0_0_insert_ext75$0 << 1 | 0 >>> 31) & -2 | $carry_0_lcssa$0;
  return (tempRet0 = $_0$1, $_0$0) | 0;
}
// =======================================================================


// EMSCRIPTEN_END_FUNCS

// TODO: strip out parts of this we do not need

//======= begin closure i64 code =======

// Copyright 2009 The Closure Library Authors. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS-IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/**
 * @fileoverview Defines a Long class for representing a 64-bit two's-complement
 * integer value, which faithfully simulates the behavior of a Java "long". This
 * implementation is derived from LongLib in GWT.
 *
 */

var i64Math = (function() { // Emscripten wrapper
  var goog = { math: {} };


  /**
   * Constructs a 64-bit two's-complement integer, given its low and high 32-bit
   * values as *signed* integers.  See the from* functions below for more
   * convenient ways of constructing Longs.
   *
   * The internal representation of a long is the two given signed, 32-bit values.
   * We use 32-bit pieces because these are the size of integers on which
   * Javascript performs bit-operations.  For operations like addition and
   * multiplication, we split each number into 16-bit pieces, which can easily be
   * multiplied within Javascript's floating-point representation without overflow
   * or change in sign.
   *
   * In the algorithms below, we frequently reduce the negative case to the
   * positive case by negating the input(s) and then post-processing the result.
   * Note that we must ALWAYS check specially whether those values are MIN_VALUE
   * (-2^63) because -MIN_VALUE == MIN_VALUE (since 2^63 cannot be represented as
   * a positive number, it overflows back into a negative).  Not handling this
   * case would often result in infinite recursion.
   *
   * @param {number} low  The low (signed) 32 bits of the long.
   * @param {number} high  The high (signed) 32 bits of the long.
   * @constructor
   */
  goog.math.Long = function(low, high) {
    /**
     * @type {number}
     * @private
     */
    this.low_ = low | 0;  // force into 32 signed bits.

    /**
     * @type {number}
     * @private
     */
    this.high_ = high | 0;  // force into 32 signed bits.
  };


  // NOTE: Common constant values ZERO, ONE, NEG_ONE, etc. are defined below the
  // from* methods on which they depend.


  /**
   * A cache of the Long representations of small integer values.
   * @type {!Object}
   * @private
   */
  goog.math.Long.IntCache_ = {};


  /**
   * Returns a Long representing the given (32-bit) integer value.
   * @param {number} value The 32-bit integer in question.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromInt = function(value) {
    if (-128 <= value && value < 128) {
      var cachedObj = goog.math.Long.IntCache_[value];
      if (cachedObj) {
        return cachedObj;
      }
    }

    var obj = new goog.math.Long(value | 0, value < 0 ? -1 : 0);
    if (-128 <= value && value < 128) {
      goog.math.Long.IntCache_[value] = obj;
    }
    return obj;
  };


  /**
   * Returns a Long representing the given value, provided that it is a finite
   * number.  Otherwise, zero is returned.
   * @param {number} value The number in question.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromNumber = function(value) {
    if (isNaN(value) || !isFinite(value)) {
      return goog.math.Long.ZERO;
    } else if (value <= -goog.math.Long.TWO_PWR_63_DBL_) {
      return goog.math.Long.MIN_VALUE;
    } else if (value + 1 >= goog.math.Long.TWO_PWR_63_DBL_) {
      return goog.math.Long.MAX_VALUE;
    } else if (value < 0) {
      return goog.math.Long.fromNumber(-value).negate();
    } else {
      return new goog.math.Long(
          (value % goog.math.Long.TWO_PWR_32_DBL_) | 0,
          (value / goog.math.Long.TWO_PWR_32_DBL_) | 0);
    }
  };


  /**
   * Returns a Long representing the 64-bit integer that comes by concatenating
   * the given high and low bits.  Each is assumed to use 32 bits.
   * @param {number} lowBits The low 32-bits.
   * @param {number} highBits The high 32-bits.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromBits = function(lowBits, highBits) {
    return new goog.math.Long(lowBits, highBits);
  };


  /**
   * Returns a Long representation of the given string, written using the given
   * radix.
   * @param {string} str The textual representation of the Long.
   * @param {number=} opt_radix The radix in which the text is written.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromString = function(str, opt_radix) {
    if (str.length == 0) {
      throw Error('number format error: empty string');
    }

    var radix = opt_radix || 10;
    if (radix < 2 || 36 < radix) {
      throw Error('radix out of range: ' + radix);
    }

    if (str.charAt(0) == '-') {
      return goog.math.Long.fromString(str.substring(1), radix).negate();
    } else if (str.indexOf('-') >= 0) {
      throw Error('number format error: interior "-" character: ' + str);
    }

    // Do several (8) digits each time through the loop, so as to
    // minimize the calls to the very expensive emulated div.
    var radixToPower = goog.math.Long.fromNumber(Math.pow(radix, 8));

    var result = goog.math.Long.ZERO;
    for (var i = 0; i < str.length; i += 8) {
      var size = Math.min(8, str.length - i);
      var value = parseInt(str.substring(i, i + size), radix);
      if (size < 8) {
        var power = goog.math.Long.fromNumber(Math.pow(radix, size));
        result = result.multiply(power).add(goog.math.Long.fromNumber(value));
      } else {
        result = result.multiply(radixToPower);
        result = result.add(goog.math.Long.fromNumber(value));
      }
    }
    return result;
  };


  // NOTE: the compiler should inline these constant values below and then remove
  // these variables, so there should be no runtime penalty for these.


  /**
   * Number used repeated below in calculations.  This must appear before the
   * first call to any from* function below.
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_16_DBL_ = 1 << 16;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_24_DBL_ = 1 << 24;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_32_DBL_ =
      goog.math.Long.TWO_PWR_16_DBL_ * goog.math.Long.TWO_PWR_16_DBL_;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_31_DBL_ =
      goog.math.Long.TWO_PWR_32_DBL_ / 2;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_48_DBL_ =
      goog.math.Long.TWO_PWR_32_DBL_ * goog.math.Long.TWO_PWR_16_DBL_;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_64_DBL_ =
      goog.math.Long.TWO_PWR_32_DBL_ * goog.math.Long.TWO_PWR_32_DBL_;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_63_DBL_ =
      goog.math.Long.TWO_PWR_64_DBL_ / 2;


  /** @type {!goog.math.Long} */
  goog.math.Long.ZERO = goog.math.Long.fromInt(0);


  /** @type {!goog.math.Long} */
  goog.math.Long.ONE = goog.math.Long.fromInt(1);


  /** @type {!goog.math.Long} */
  goog.math.Long.NEG_ONE = goog.math.Long.fromInt(-1);


  /** @type {!goog.math.Long} */
  goog.math.Long.MAX_VALUE =
      goog.math.Long.fromBits(0xFFFFFFFF | 0, 0x7FFFFFFF | 0);


  /** @type {!goog.math.Long} */
  goog.math.Long.MIN_VALUE = goog.math.Long.fromBits(0, 0x80000000 | 0);


  /**
   * @type {!goog.math.Long}
   * @private
   */
  goog.math.Long.TWO_PWR_24_ = goog.math.Long.fromInt(1 << 24);


  /** @return {number} The value, assuming it is a 32-bit integer. */
  goog.math.Long.prototype.toInt = function() {
    return this.low_;
  };


  /** @return {number} The closest floating-point representation to this value. */
  goog.math.Long.prototype.toNumber = function() {
    return this.high_ * goog.math.Long.TWO_PWR_32_DBL_ +
           this.getLowBitsUnsigned();
  };


  /**
   * @param {number=} opt_radix The radix in which the text should be written.
   * @return {string} The textual representation of this value.
   */
  goog.math.Long.prototype.toString = function(opt_radix) {
    var radix = opt_radix || 10;
    if (radix < 2 || 36 < radix) {
      throw Error('radix out of range: ' + radix);
    }

    if (this.isZero()) {
      return '0';
    }

    if (this.isNegative()) {
      if (this.equals(goog.math.Long.MIN_VALUE)) {
        // We need to change the Long value before it can be negated, so we remove
        // the bottom-most digit in this base and then recurse to do the rest.
        var radixLong = goog.math.Long.fromNumber(radix);
        var div = this.div(radixLong);
        var rem = div.multiply(radixLong).subtract(this);
        return div.toString(radix) + rem.toInt().toString(radix);
      } else {
        return '-' + this.negate().toString(radix);
      }
    }

    // Do several (6) digits each time through the loop, so as to
    // minimize the calls to the very expensive emulated div.
    var radixToPower = goog.math.Long.fromNumber(Math.pow(radix, 6));

    var rem = this;
    var result = '';
    while (true) {
      var remDiv = rem.div(radixToPower);
      var intval = rem.subtract(remDiv.multiply(radixToPower)).toInt();
      var digits = intval.toString(radix);

      rem = remDiv;
      if (rem.isZero()) {
        return digits + result;
      } else {
        while (digits.length < 6) {
          digits = '0' + digits;
        }
        result = '' + digits + result;
      }
    }
  };


  /** @return {number} The high 32-bits as a signed value. */
  goog.math.Long.prototype.getHighBits = function() {
    return this.high_;
  };


  /** @return {number} The low 32-bits as a signed value. */
  goog.math.Long.prototype.getLowBits = function() {
    return this.low_;
  };


  /** @return {number} The low 32-bits as an unsigned value. */
  goog.math.Long.prototype.getLowBitsUnsigned = function() {
    return (this.low_ >= 0) ?
        this.low_ : goog.math.Long.TWO_PWR_32_DBL_ + this.low_;
  };


  /**
   * @return {number} Returns the number of bits needed to represent the absolute
   *     value of this Long.
   */
  goog.math.Long.prototype.getNumBitsAbs = function() {
    if (this.isNegative()) {
      if (this.equals(goog.math.Long.MIN_VALUE)) {
        return 64;
      } else {
        return this.negate().getNumBitsAbs();
      }
    } else {
      var val = this.high_ != 0 ? this.high_ : this.low_;
      for (var bit = 31; bit > 0; bit--) {
        if ((val & (1 << bit)) != 0) {
          break;
        }
      }
      return this.high_ != 0 ? bit + 33 : bit + 1;
    }
  };


  /** @return {boolean} Whether this value is zero. */
  goog.math.Long.prototype.isZero = function() {
    return this.high_ == 0 && this.low_ == 0;
  };


  /** @return {boolean} Whether this value is negative. */
  goog.math.Long.prototype.isNegative = function() {
    return this.high_ < 0;
  };


  /** @return {boolean} Whether this value is odd. */
  goog.math.Long.prototype.isOdd = function() {
    return (this.low_ & 1) == 1;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long equals the other.
   */
  goog.math.Long.prototype.equals = function(other) {
    return (this.high_ == other.high_) && (this.low_ == other.low_);
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long does not equal the other.
   */
  goog.math.Long.prototype.notEquals = function(other) {
    return (this.high_ != other.high_) || (this.low_ != other.low_);
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is less than the other.
   */
  goog.math.Long.prototype.lessThan = function(other) {
    return this.compare(other) < 0;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is less than or equal to the other.
   */
  goog.math.Long.prototype.lessThanOrEqual = function(other) {
    return this.compare(other) <= 0;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is greater than the other.
   */
  goog.math.Long.prototype.greaterThan = function(other) {
    return this.compare(other) > 0;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is greater than or equal to the other.
   */
  goog.math.Long.prototype.greaterThanOrEqual = function(other) {
    return this.compare(other) >= 0;
  };


  /**
   * Compares this Long with the given one.
   * @param {goog.math.Long} other Long to compare against.
   * @return {number} 0 if they are the same, 1 if the this is greater, and -1
   *     if the given one is greater.
   */
  goog.math.Long.prototype.compare = function(other) {
    if (this.equals(other)) {
      return 0;
    }

    var thisNeg = this.isNegative();
    var otherNeg = other.isNegative();
    if (thisNeg && !otherNeg) {
      return -1;
    }
    if (!thisNeg && otherNeg) {
      return 1;
    }

    // at this point, the signs are the same, so subtraction will not overflow
    if (this.subtract(other).isNegative()) {
      return -1;
    } else {
      return 1;
    }
  };


  /** @return {!goog.math.Long} The negation of this value. */
  goog.math.Long.prototype.negate = function() {
    if (this.equals(goog.math.Long.MIN_VALUE)) {
      return goog.math.Long.MIN_VALUE;
    } else {
      return this.not().add(goog.math.Long.ONE);
    }
  };


  /**
   * Returns the sum of this and the given Long.
   * @param {goog.math.Long} other Long to add to this one.
   * @return {!goog.math.Long} The sum of this and the given Long.
   */
  goog.math.Long.prototype.add = function(other) {
    // Divide each number into 4 chunks of 16 bits, and then sum the chunks.

    var a48 = this.high_ >>> 16;
    var a32 = this.high_ & 0xFFFF;
    var a16 = this.low_ >>> 16;
    var a00 = this.low_ & 0xFFFF;

    var b48 = other.high_ >>> 16;
    var b32 = other.high_ & 0xFFFF;
    var b16 = other.low_ >>> 16;
    var b00 = other.low_ & 0xFFFF;

    var c48 = 0, c32 = 0, c16 = 0, c00 = 0;
    c00 += a00 + b00;
    c16 += c00 >>> 16;
    c00 &= 0xFFFF;
    c16 += a16 + b16;
    c32 += c16 >>> 16;
    c16 &= 0xFFFF;
    c32 += a32 + b32;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c48 += a48 + b48;
    c48 &= 0xFFFF;
    return goog.math.Long.fromBits((c16 << 16) | c00, (c48 << 16) | c32);
  };


  /**
   * Returns the difference of this and the given Long.
   * @param {goog.math.Long} other Long to subtract from this.
   * @return {!goog.math.Long} The difference of this and the given Long.
   */
  goog.math.Long.prototype.subtract = function(other) {
    return this.add(other.negate());
  };


  /**
   * Returns the product of this and the given long.
   * @param {goog.math.Long} other Long to multiply with this.
   * @return {!goog.math.Long} The product of this and the other.
   */
  goog.math.Long.prototype.multiply = function(other) {
    if (this.isZero()) {
      return goog.math.Long.ZERO;
    } else if (other.isZero()) {
      return goog.math.Long.ZERO;
    }

    if (this.equals(goog.math.Long.MIN_VALUE)) {
      return other.isOdd() ? goog.math.Long.MIN_VALUE : goog.math.Long.ZERO;
    } else if (other.equals(goog.math.Long.MIN_VALUE)) {
      return this.isOdd() ? goog.math.Long.MIN_VALUE : goog.math.Long.ZERO;
    }

    if (this.isNegative()) {
      if (other.isNegative()) {
        return this.negate().multiply(other.negate());
      } else {
        return this.negate().multiply(other).negate();
      }
    } else if (other.isNegative()) {
      return this.multiply(other.negate()).negate();
    }

    // If both longs are small, use float multiplication
    if (this.lessThan(goog.math.Long.TWO_PWR_24_) &&
        other.lessThan(goog.math.Long.TWO_PWR_24_)) {
      return goog.math.Long.fromNumber(this.toNumber() * other.toNumber());
    }

    // Divide each long into 4 chunks of 16 bits, and then add up 4x4 products.
    // We can skip products that would overflow.

    var a48 = this.high_ >>> 16;
    var a32 = this.high_ & 0xFFFF;
    var a16 = this.low_ >>> 16;
    var a00 = this.low_ & 0xFFFF;

    var b48 = other.high_ >>> 16;
    var b32 = other.high_ & 0xFFFF;
    var b16 = other.low_ >>> 16;
    var b00 = other.low_ & 0xFFFF;

    var c48 = 0, c32 = 0, c16 = 0, c00 = 0;
    c00 += a00 * b00;
    c16 += c00 >>> 16;
    c00 &= 0xFFFF;
    c16 += a16 * b00;
    c32 += c16 >>> 16;
    c16 &= 0xFFFF;
    c16 += a00 * b16;
    c32 += c16 >>> 16;
    c16 &= 0xFFFF;
    c32 += a32 * b00;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c32 += a16 * b16;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c32 += a00 * b32;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c48 += a48 * b00 + a32 * b16 + a16 * b32 + a00 * b48;
    c48 &= 0xFFFF;
    return goog.math.Long.fromBits((c16 << 16) | c00, (c48 << 16) | c32);
  };


  /**
   * Returns this Long divided by the given one.
   * @param {goog.math.Long} other Long by which to divide.
   * @return {!goog.math.Long} This Long divided by the given one.
   */
  goog.math.Long.prototype.div = function(other) {
    if (other.isZero()) {
      throw Error('division by zero');
    } else if (this.isZero()) {
      return goog.math.Long.ZERO;
    }

    if (this.equals(goog.math.Long.MIN_VALUE)) {
      if (other.equals(goog.math.Long.ONE) ||
          other.equals(goog.math.Long.NEG_ONE)) {
        return goog.math.Long.MIN_VALUE;  // recall that -MIN_VALUE == MIN_VALUE
      } else if (other.equals(goog.math.Long.MIN_VALUE)) {
        return goog.math.Long.ONE;
      } else {
        // At this point, we have |other| >= 2, so |this/other| < |MIN_VALUE|.
        var halfThis = this.shiftRight(1);
        var approx = halfThis.div(other).shiftLeft(1);
        if (approx.equals(goog.math.Long.ZERO)) {
          return other.isNegative() ? goog.math.Long.ONE : goog.math.Long.NEG_ONE;
        } else {
          var rem = this.subtract(other.multiply(approx));
          var result = approx.add(rem.div(other));
          return result;
        }
      }
    } else if (other.equals(goog.math.Long.MIN_VALUE)) {
      return goog.math.Long.ZERO;
    }

    if (this.isNegative()) {
      if (other.isNegative()) {
        return this.negate().div(other.negate());
      } else {
        return this.negate().div(other).negate();
      }
    } else if (other.isNegative()) {
      return this.div(other.negate()).negate();
    }

    // Repeat the following until the remainder is less than other:  find a
    // floating-point that approximates remainder / other *from below*, add this
    // into the result, and subtract it from the remainder.  It is critical that
    // the approximate value is less than or equal to the real value so that the
    // remainder never becomes negative.
    var res = goog.math.Long.ZERO;
    var rem = this;
    while (rem.greaterThanOrEqual(other)) {
      // Approximate the result of division. This may be a little greater or
      // smaller than the actual value.
      var approx = Math.max(1, Math.floor(rem.toNumber() / other.toNumber()));

      // We will tweak the approximate result by changing it in the 48-th digit or
      // the smallest non-fractional digit, whichever is larger.
      var log2 = Math.ceil(Math.log(approx) / Math.LN2);
      var delta = (log2 <= 48) ? 1 : Math.pow(2, log2 - 48);

      // Decrease the approximation until it is smaller than the remainder.  Note
      // that if it is too large, the product overflows and is negative.
      var approxRes = goog.math.Long.fromNumber(approx);
      var approxRem = approxRes.multiply(other);
      while (approxRem.isNegative() || approxRem.greaterThan(rem)) {
        approx -= delta;
        approxRes = goog.math.Long.fromNumber(approx);
        approxRem = approxRes.multiply(other);
      }

      // We know the answer can't be zero... and actually, zero would cause
      // infinite recursion since we would make no progress.
      if (approxRes.isZero()) {
        approxRes = goog.math.Long.ONE;
      }

      res = res.add(approxRes);
      rem = rem.subtract(approxRem);
    }
    return res;
  };


  /**
   * Returns this Long modulo the given one.
   * @param {goog.math.Long} other Long by which to mod.
   * @return {!goog.math.Long} This Long modulo the given one.
   */
  goog.math.Long.prototype.modulo = function(other) {
    return this.subtract(this.div(other).multiply(other));
  };


  /** @return {!goog.math.Long} The bitwise-NOT of this value. */
  goog.math.Long.prototype.not = function() {
    return goog.math.Long.fromBits(~this.low_, ~this.high_);
  };


  /**
   * Returns the bitwise-AND of this Long and the given one.
   * @param {goog.math.Long} other The Long with which to AND.
   * @return {!goog.math.Long} The bitwise-AND of this and the other.
   */
  goog.math.Long.prototype.and = function(other) {
    return goog.math.Long.fromBits(this.low_ & other.low_,
                                   this.high_ & other.high_);
  };


  /**
   * Returns the bitwise-OR of this Long and the given one.
   * @param {goog.math.Long} other The Long with which to OR.
   * @return {!goog.math.Long} The bitwise-OR of this and the other.
   */
  goog.math.Long.prototype.or = function(other) {
    return goog.math.Long.fromBits(this.low_ | other.low_,
                                   this.high_ | other.high_);
  };


  /**
   * Returns the bitwise-XOR of this Long and the given one.
   * @param {goog.math.Long} other The Long with which to XOR.
   * @return {!goog.math.Long} The bitwise-XOR of this and the other.
   */
  goog.math.Long.prototype.xor = function(other) {
    return goog.math.Long.fromBits(this.low_ ^ other.low_,
                                   this.high_ ^ other.high_);
  };


  /**
   * Returns this Long with bits shifted to the left by the given amount.
   * @param {number} numBits The number of bits by which to shift.
   * @return {!goog.math.Long} This shifted to the left by the given amount.
   */
  goog.math.Long.prototype.shiftLeft = function(numBits) {
    numBits &= 63;
    if (numBits == 0) {
      return this;
    } else {
      var low = this.low_;
      if (numBits < 32) {
        var high = this.high_;
        return goog.math.Long.fromBits(
            low << numBits,
            (high << numBits) | (low >>> (32 - numBits)));
      } else {
        return goog.math.Long.fromBits(0, low << (numBits - 32));
      }
    }
  };


  /**
   * Returns this Long with bits shifted to the right by the given amount.
   * @param {number} numBits The number of bits by which to shift.
   * @return {!goog.math.Long} This shifted to the right by the given amount.
   */
  goog.math.Long.prototype.shiftRight = function(numBits) {
    numBits &= 63;
    if (numBits == 0) {
      return this;
    } else {
      var high = this.high_;
      if (numBits < 32) {
        var low = this.low_;
        return goog.math.Long.fromBits(
            (low >>> numBits) | (high << (32 - numBits)),
            high >> numBits);
      } else {
        return goog.math.Long.fromBits(
            high >> (numBits - 32),
            high >= 0 ? 0 : -1);
      }
    }
  };


  /**
   * Returns this Long with bits shifted to the right by the given amount, with
   * the new top bits matching the current sign bit.
   * @param {number} numBits The number of bits by which to shift.
   * @return {!goog.math.Long} This shifted to the right by the given amount, with
   *     zeros placed into the new leading bits.
   */
  goog.math.Long.prototype.shiftRightUnsigned = function(numBits) {
    numBits &= 63;
    if (numBits == 0) {
      return this;
    } else {
      var high = this.high_;
      if (numBits < 32) {
        var low = this.low_;
        return goog.math.Long.fromBits(
            (low >>> numBits) | (high << (32 - numBits)),
            high >>> numBits);
      } else if (numBits == 32) {
        return goog.math.Long.fromBits(high, 0);
      } else {
        return goog.math.Long.fromBits(high >>> (numBits - 32), 0);
      }
    }
  };

  //======= begin jsbn =======

  var navigator = { appName: 'Modern Browser' }; // polyfill a little

  // Copyright (c) 2005  Tom Wu
  // All Rights Reserved.
  // http://www-cs-students.stanford.edu/~tjw/jsbn/

  /*
   * Copyright (c) 2003-2005  Tom Wu
   * All Rights Reserved.
   *
   * Permission is hereby granted, free of charge, to any person obtaining
   * a copy of this software and associated documentation files (the
   * "Software"), to deal in the Software without restriction, including
   * without limitation the rights to use, copy, modify, merge, publish,
   * distribute, sublicense, and/or sell copies of the Software, and to
   * permit persons to whom the Software is furnished to do so, subject to
   * the following conditions:
   *
   * The above copyright notice and this permission notice shall be
   * included in all copies or substantial portions of the Software.
   *
   * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, 
   * EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY 
   * WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  
   *
   * IN NO EVENT SHALL TOM WU BE LIABLE FOR ANY SPECIAL, INCIDENTAL,
   * INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER
   * RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF
   * THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT
   * OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
   *
   * In addition, the following condition applies:
   *
   * All redistributions must retain an intact copy of this copyright notice
   * and disclaimer.
   */

  // Basic JavaScript BN library - subset useful for RSA encryption.

  // Bits per digit
  var dbits;

  // JavaScript engine analysis
  var canary = 0xdeadbeefcafe;
  var j_lm = ((canary&0xffffff)==0xefcafe);

  // (public) Constructor
  function BigInteger(a,b,c) {
    if(a != null)
      if("number" == typeof a) this.fromNumber(a,b,c);
      else if(b == null && "string" != typeof a) this.fromString(a,256);
      else this.fromString(a,b);
  }

  // return new, unset BigInteger
  function nbi() { return new BigInteger(null); }

  // am: Compute w_j += (x*this_i), propagate carries,
  // c is initial carry, returns final carry.
  // c < 3*dvalue, x < 2*dvalue, this_i < dvalue
  // We need to select the fastest one that works in this environment.

  // am1: use a single mult and divide to get the high bits,
  // max digit bits should be 26 because
  // max internal value = 2*dvalue^2-2*dvalue (< 2^53)
  function am1(i,x,w,j,c,n) {
    while(--n >= 0) {
      var v = x*this[i++]+w[j]+c;
      c = Math.floor(v/0x4000000);
      w[j++] = v&0x3ffffff;
    }
    return c;
  }
  // am2 avoids a big mult-and-extract completely.
  // Max digit bits should be <= 30 because we do bitwise ops
  // on values up to 2*hdvalue^2-hdvalue-1 (< 2^31)
  function am2(i,x,w,j,c,n) {
    var xl = x&0x7fff, xh = x>>15;
    while(--n >= 0) {
      var l = this[i]&0x7fff;
      var h = this[i++]>>15;
      var m = xh*l+h*xl;
      l = xl*l+((m&0x7fff)<<15)+w[j]+(c&0x3fffffff);
      c = (l>>>30)+(m>>>15)+xh*h+(c>>>30);
      w[j++] = l&0x3fffffff;
    }
    return c;
  }
  // Alternately, set max digit bits to 28 since some
  // browsers slow down when dealing with 32-bit numbers.
  function am3(i,x,w,j,c,n) {
    var xl = x&0x3fff, xh = x>>14;
    while(--n >= 0) {
      var l = this[i]&0x3fff;
      var h = this[i++]>>14;
      var m = xh*l+h*xl;
      l = xl*l+((m&0x3fff)<<14)+w[j]+c;
      c = (l>>28)+(m>>14)+xh*h;
      w[j++] = l&0xfffffff;
    }
    return c;
  }
  if(j_lm && (navigator.appName == "Microsoft Internet Explorer")) {
    BigInteger.prototype.am = am2;
    dbits = 30;
  }
  else if(j_lm && (navigator.appName != "Netscape")) {
    BigInteger.prototype.am = am1;
    dbits = 26;
  }
  else { // Mozilla/Netscape seems to prefer am3
    BigInteger.prototype.am = am3;
    dbits = 28;
  }

  BigInteger.prototype.DB = dbits;
  BigInteger.prototype.DM = ((1<<dbits)-1);
  BigInteger.prototype.DV = (1<<dbits);

  var BI_FP = 52;
  BigInteger.prototype.FV = Math.pow(2,BI_FP);
  BigInteger.prototype.F1 = BI_FP-dbits;
  BigInteger.prototype.F2 = 2*dbits-BI_FP;

  // Digit conversions
  var BI_RM = "0123456789abcdefghijklmnopqrstuvwxyz";
  var BI_RC = new Array();
  var rr,vv;
  rr = "0".charCodeAt(0);
  for(vv = 0; vv <= 9; ++vv) BI_RC[rr++] = vv;
  rr = "a".charCodeAt(0);
  for(vv = 10; vv < 36; ++vv) BI_RC[rr++] = vv;
  rr = "A".charCodeAt(0);
  for(vv = 10; vv < 36; ++vv) BI_RC[rr++] = vv;

  function int2char(n) { return BI_RM.charAt(n); }
  function intAt(s,i) {
    var c = BI_RC[s.charCodeAt(i)];
    return (c==null)?-1:c;
  }

  // (protected) copy this to r
  function bnpCopyTo(r) {
    for(var i = this.t-1; i >= 0; --i) r[i] = this[i];
    r.t = this.t;
    r.s = this.s;
  }

  // (protected) set from integer value x, -DV <= x < DV
  function bnpFromInt(x) {
    this.t = 1;
    this.s = (x<0)?-1:0;
    if(x > 0) this[0] = x;
    else if(x < -1) this[0] = x+DV;
    else this.t = 0;
  }

  // return bigint initialized to value
  function nbv(i) { var r = nbi(); r.fromInt(i); return r; }

  // (protected) set from string and radix
  function bnpFromString(s,b) {
    var k;
    if(b == 16) k = 4;
    else if(b == 8) k = 3;
    else if(b == 256) k = 8; // byte array
    else if(b == 2) k = 1;
    else if(b == 32) k = 5;
    else if(b == 4) k = 2;
    else { this.fromRadix(s,b); return; }
    this.t = 0;
    this.s = 0;
    var i = s.length, mi = false, sh = 0;
    while(--i >= 0) {
      var x = (k==8)?s[i]&0xff:intAt(s,i);
      if(x < 0) {
        if(s.charAt(i) == "-") mi = true;
        continue;
      }
      mi = false;
      if(sh == 0)
        this[this.t++] = x;
      else if(sh+k > this.DB) {
        this[this.t-1] |= (x&((1<<(this.DB-sh))-1))<<sh;
        this[this.t++] = (x>>(this.DB-sh));
      }
      else
        this[this.t-1] |= x<<sh;
      sh += k;
      if(sh >= this.DB) sh -= this.DB;
    }
    if(k == 8 && (s[0]&0x80) != 0) {
      this.s = -1;
      if(sh > 0) this[this.t-1] |= ((1<<(this.DB-sh))-1)<<sh;
    }
    this.clamp();
    if(mi) BigInteger.ZERO.subTo(this,this);
  }

  // (protected) clamp off excess high words
  function bnpClamp() {
    var c = this.s&this.DM;
    while(this.t > 0 && this[this.t-1] == c) --this.t;
  }

  // (public) return string representation in given radix
  function bnToString(b) {
    if(this.s < 0) return "-"+this.negate().toString(b);
    var k;
    if(b == 16) k = 4;
    else if(b == 8) k = 3;
    else if(b == 2) k = 1;
    else if(b == 32) k = 5;
    else if(b == 4) k = 2;
    else return this.toRadix(b);
    var km = (1<<k)-1, d, m = false, r = "", i = this.t;
    var p = this.DB-(i*this.DB)%k;
    if(i-- > 0) {
      if(p < this.DB && (d = this[i]>>p) > 0) { m = true; r = int2char(d); }
      while(i >= 0) {
        if(p < k) {
          d = (this[i]&((1<<p)-1))<<(k-p);
          d |= this[--i]>>(p+=this.DB-k);
        }
        else {
          d = (this[i]>>(p-=k))&km;
          if(p <= 0) { p += this.DB; --i; }
        }
        if(d > 0) m = true;
        if(m) r += int2char(d);
      }
    }
    return m?r:"0";
  }

  // (public) -this
  function bnNegate() { var r = nbi(); BigInteger.ZERO.subTo(this,r); return r; }

  // (public) |this|
  function bnAbs() { return (this.s<0)?this.negate():this; }

  // (public) return + if this > a, - if this < a, 0 if equal
  function bnCompareTo(a) {
    var r = this.s-a.s;
    if(r != 0) return r;
    var i = this.t;
    r = i-a.t;
    if(r != 0) return (this.s<0)?-r:r;
    while(--i >= 0) if((r=this[i]-a[i]) != 0) return r;
    return 0;
  }

  // returns bit length of the integer x
  function nbits(x) {
    var r = 1, t;
    if((t=x>>>16) != 0) { x = t; r += 16; }
    if((t=x>>8) != 0) { x = t; r += 8; }
    if((t=x>>4) != 0) { x = t; r += 4; }
    if((t=x>>2) != 0) { x = t; r += 2; }
    if((t=x>>1) != 0) { x = t; r += 1; }
    return r;
  }

  // (public) return the number of bits in "this"
  function bnBitLength() {
    if(this.t <= 0) return 0;
    return this.DB*(this.t-1)+nbits(this[this.t-1]^(this.s&this.DM));
  }

  // (protected) r = this << n*DB
  function bnpDLShiftTo(n,r) {
    var i;
    for(i = this.t-1; i >= 0; --i) r[i+n] = this[i];
    for(i = n-1; i >= 0; --i) r[i] = 0;
    r.t = this.t+n;
    r.s = this.s;
  }

  // (protected) r = this >> n*DB
  function bnpDRShiftTo(n,r) {
    for(var i = n; i < this.t; ++i) r[i-n] = this[i];
    r.t = Math.max(this.t-n,0);
    r.s = this.s;
  }

  // (protected) r = this << n
  function bnpLShiftTo(n,r) {
    var bs = n%this.DB;
    var cbs = this.DB-bs;
    var bm = (1<<cbs)-1;
    var ds = Math.floor(n/this.DB), c = (this.s<<bs)&this.DM, i;
    for(i = this.t-1; i >= 0; --i) {
      r[i+ds+1] = (this[i]>>cbs)|c;
      c = (this[i]&bm)<<bs;
    }
    for(i = ds-1; i >= 0; --i) r[i] = 0;
    r[ds] = c;
    r.t = this.t+ds+1;
    r.s = this.s;
    r.clamp();
  }

  // (protected) r = this >> n
  function bnpRShiftTo(n,r) {
    r.s = this.s;
    var ds = Math.floor(n/this.DB);
    if(ds >= this.t) { r.t = 0; return; }
    var bs = n%this.DB;
    var cbs = this.DB-bs;
    var bm = (1<<bs)-1;
    r[0] = this[ds]>>bs;
    for(var i = ds+1; i < this.t; ++i) {
      r[i-ds-1] |= (this[i]&bm)<<cbs;
      r[i-ds] = this[i]>>bs;
    }
    if(bs > 0) r[this.t-ds-1] |= (this.s&bm)<<cbs;
    r.t = this.t-ds;
    r.clamp();
  }

  // (protected) r = this - a
  function bnpSubTo(a,r) {
    var i = 0, c = 0, m = Math.min(a.t,this.t);
    while(i < m) {
      c += this[i]-a[i];
      r[i++] = c&this.DM;
      c >>= this.DB;
    }
    if(a.t < this.t) {
      c -= a.s;
      while(i < this.t) {
        c += this[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c += this.s;
    }
    else {
      c += this.s;
      while(i < a.t) {
        c -= a[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c -= a.s;
    }
    r.s = (c<0)?-1:0;
    if(c < -1) r[i++] = this.DV+c;
    else if(c > 0) r[i++] = c;
    r.t = i;
    r.clamp();
  }

  // (protected) r = this * a, r != this,a (HAC 14.12)
  // "this" should be the larger one if appropriate.
  function bnpMultiplyTo(a,r) {
    var x = this.abs(), y = a.abs();
    var i = x.t;
    r.t = i+y.t;
    while(--i >= 0) r[i] = 0;
    for(i = 0; i < y.t; ++i) r[i+x.t] = x.am(0,y[i],r,i,0,x.t);
    r.s = 0;
    r.clamp();
    if(this.s != a.s) BigInteger.ZERO.subTo(r,r);
  }

  // (protected) r = this^2, r != this (HAC 14.16)
  function bnpSquareTo(r) {
    var x = this.abs();
    var i = r.t = 2*x.t;
    while(--i >= 0) r[i] = 0;
    for(i = 0; i < x.t-1; ++i) {
      var c = x.am(i,x[i],r,2*i,0,1);
      if((r[i+x.t]+=x.am(i+1,2*x[i],r,2*i+1,c,x.t-i-1)) >= x.DV) {
        r[i+x.t] -= x.DV;
        r[i+x.t+1] = 1;
      }
    }
    if(r.t > 0) r[r.t-1] += x.am(i,x[i],r,2*i,0,1);
    r.s = 0;
    r.clamp();
  }

  // (protected) divide this by m, quotient and remainder to q, r (HAC 14.20)
  // r != q, this != m.  q or r may be null.
  function bnpDivRemTo(m,q,r) {
    var pm = m.abs();
    if(pm.t <= 0) return;
    var pt = this.abs();
    if(pt.t < pm.t) {
      if(q != null) q.fromInt(0);
      if(r != null) this.copyTo(r);
      return;
    }
    if(r == null) r = nbi();
    var y = nbi(), ts = this.s, ms = m.s;
    var nsh = this.DB-nbits(pm[pm.t-1]);	// normalize modulus
    if(nsh > 0) { pm.lShiftTo(nsh,y); pt.lShiftTo(nsh,r); }
    else { pm.copyTo(y); pt.copyTo(r); }
    var ys = y.t;
    var y0 = y[ys-1];
    if(y0 == 0) return;
    var yt = y0*(1<<this.F1)+((ys>1)?y[ys-2]>>this.F2:0);
    var d1 = this.FV/yt, d2 = (1<<this.F1)/yt, e = 1<<this.F2;
    var i = r.t, j = i-ys, t = (q==null)?nbi():q;
    y.dlShiftTo(j,t);
    if(r.compareTo(t) >= 0) {
      r[r.t++] = 1;
      r.subTo(t,r);
    }
    BigInteger.ONE.dlShiftTo(ys,t);
    t.subTo(y,y);	// "negative" y so we can replace sub with am later
    while(y.t < ys) y[y.t++] = 0;
    while(--j >= 0) {
      // Estimate quotient digit
      var qd = (r[--i]==y0)?this.DM:Math.floor(r[i]*d1+(r[i-1]+e)*d2);
      if((r[i]+=y.am(0,qd,r,j,0,ys)) < qd) {	// Try it out
        y.dlShiftTo(j,t);
        r.subTo(t,r);
        while(r[i] < --qd) r.subTo(t,r);
      }
    }
    if(q != null) {
      r.drShiftTo(ys,q);
      if(ts != ms) BigInteger.ZERO.subTo(q,q);
    }
    r.t = ys;
    r.clamp();
    if(nsh > 0) r.rShiftTo(nsh,r);	// Denormalize remainder
    if(ts < 0) BigInteger.ZERO.subTo(r,r);
  }

  // (public) this mod a
  function bnMod(a) {
    var r = nbi();
    this.abs().divRemTo(a,null,r);
    if(this.s < 0 && r.compareTo(BigInteger.ZERO) > 0) a.subTo(r,r);
    return r;
  }

  // Modular reduction using "classic" algorithm
  function Classic(m) { this.m = m; }
  function cConvert(x) {
    if(x.s < 0 || x.compareTo(this.m) >= 0) return x.mod(this.m);
    else return x;
  }
  function cRevert(x) { return x; }
  function cReduce(x) { x.divRemTo(this.m,null,x); }
  function cMulTo(x,y,r) { x.multiplyTo(y,r); this.reduce(r); }
  function cSqrTo(x,r) { x.squareTo(r); this.reduce(r); }

  Classic.prototype.convert = cConvert;
  Classic.prototype.revert = cRevert;
  Classic.prototype.reduce = cReduce;
  Classic.prototype.mulTo = cMulTo;
  Classic.prototype.sqrTo = cSqrTo;

  // (protected) return "-1/this % 2^DB"; useful for Mont. reduction
  // justification:
  //         xy == 1 (mod m)
  //         xy =  1+km
  //   xy(2-xy) = (1+km)(1-km)
  // x[y(2-xy)] = 1-k^2m^2
  // x[y(2-xy)] == 1 (mod m^2)
  // if y is 1/x mod m, then y(2-xy) is 1/x mod m^2
  // should reduce x and y(2-xy) by m^2 at each step to keep size bounded.
  // JS multiply "overflows" differently from C/C++, so care is needed here.
  function bnpInvDigit() {
    if(this.t < 1) return 0;
    var x = this[0];
    if((x&1) == 0) return 0;
    var y = x&3;		// y == 1/x mod 2^2
    y = (y*(2-(x&0xf)*y))&0xf;	// y == 1/x mod 2^4
    y = (y*(2-(x&0xff)*y))&0xff;	// y == 1/x mod 2^8
    y = (y*(2-(((x&0xffff)*y)&0xffff)))&0xffff;	// y == 1/x mod 2^16
    // last step - calculate inverse mod DV directly;
    // assumes 16 < DB <= 32 and assumes ability to handle 48-bit ints
    y = (y*(2-x*y%this.DV))%this.DV;		// y == 1/x mod 2^dbits
    // we really want the negative inverse, and -DV < y < DV
    return (y>0)?this.DV-y:-y;
  }

  // Montgomery reduction
  function Montgomery(m) {
    this.m = m;
    this.mp = m.invDigit();
    this.mpl = this.mp&0x7fff;
    this.mph = this.mp>>15;
    this.um = (1<<(m.DB-15))-1;
    this.mt2 = 2*m.t;
  }

  // xR mod m
  function montConvert(x) {
    var r = nbi();
    x.abs().dlShiftTo(this.m.t,r);
    r.divRemTo(this.m,null,r);
    if(x.s < 0 && r.compareTo(BigInteger.ZERO) > 0) this.m.subTo(r,r);
    return r;
  }

  // x/R mod m
  function montRevert(x) {
    var r = nbi();
    x.copyTo(r);
    this.reduce(r);
    return r;
  }

  // x = x/R mod m (HAC 14.32)
  function montReduce(x) {
    while(x.t <= this.mt2)	// pad x so am has enough room later
      x[x.t++] = 0;
    for(var i = 0; i < this.m.t; ++i) {
      // faster way of calculating u0 = x[i]*mp mod DV
      var j = x[i]&0x7fff;
      var u0 = (j*this.mpl+(((j*this.mph+(x[i]>>15)*this.mpl)&this.um)<<15))&x.DM;
      // use am to combine the multiply-shift-add into one call
      j = i+this.m.t;
      x[j] += this.m.am(0,u0,x,i,0,this.m.t);
      // propagate carry
      while(x[j] >= x.DV) { x[j] -= x.DV; x[++j]++; }
    }
    x.clamp();
    x.drShiftTo(this.m.t,x);
    if(x.compareTo(this.m) >= 0) x.subTo(this.m,x);
  }

  // r = "x^2/R mod m"; x != r
  function montSqrTo(x,r) { x.squareTo(r); this.reduce(r); }

  // r = "xy/R mod m"; x,y != r
  function montMulTo(x,y,r) { x.multiplyTo(y,r); this.reduce(r); }

  Montgomery.prototype.convert = montConvert;
  Montgomery.prototype.revert = montRevert;
  Montgomery.prototype.reduce = montReduce;
  Montgomery.prototype.mulTo = montMulTo;
  Montgomery.prototype.sqrTo = montSqrTo;

  // (protected) true iff this is even
  function bnpIsEven() { return ((this.t>0)?(this[0]&1):this.s) == 0; }

  // (protected) this^e, e < 2^32, doing sqr and mul with "r" (HAC 14.79)
  function bnpExp(e,z) {
    if(e > 0xffffffff || e < 1) return BigInteger.ONE;
    var r = nbi(), r2 = nbi(), g = z.convert(this), i = nbits(e)-1;
    g.copyTo(r);
    while(--i >= 0) {
      z.sqrTo(r,r2);
      if((e&(1<<i)) > 0) z.mulTo(r2,g,r);
      else { var t = r; r = r2; r2 = t; }
    }
    return z.revert(r);
  }

  // (public) this^e % m, 0 <= e < 2^32
  function bnModPowInt(e,m) {
    var z;
    if(e < 256 || m.isEven()) z = new Classic(m); else z = new Montgomery(m);
    return this.exp(e,z);
  }

  // protected
  BigInteger.prototype.copyTo = bnpCopyTo;
  BigInteger.prototype.fromInt = bnpFromInt;
  BigInteger.prototype.fromString = bnpFromString;
  BigInteger.prototype.clamp = bnpClamp;
  BigInteger.prototype.dlShiftTo = bnpDLShiftTo;
  BigInteger.prototype.drShiftTo = bnpDRShiftTo;
  BigInteger.prototype.lShiftTo = bnpLShiftTo;
  BigInteger.prototype.rShiftTo = bnpRShiftTo;
  BigInteger.prototype.subTo = bnpSubTo;
  BigInteger.prototype.multiplyTo = bnpMultiplyTo;
  BigInteger.prototype.squareTo = bnpSquareTo;
  BigInteger.prototype.divRemTo = bnpDivRemTo;
  BigInteger.prototype.invDigit = bnpInvDigit;
  BigInteger.prototype.isEven = bnpIsEven;
  BigInteger.prototype.exp = bnpExp;

  // public
  BigInteger.prototype.toString = bnToString;
  BigInteger.prototype.negate = bnNegate;
  BigInteger.prototype.abs = bnAbs;
  BigInteger.prototype.compareTo = bnCompareTo;
  BigInteger.prototype.bitLength = bnBitLength;
  BigInteger.prototype.mod = bnMod;
  BigInteger.prototype.modPowInt = bnModPowInt;

  // "constants"
  BigInteger.ZERO = nbv(0);
  BigInteger.ONE = nbv(1);

  // jsbn2 stuff

  // (protected) convert from radix string
  function bnpFromRadix(s,b) {
    this.fromInt(0);
    if(b == null) b = 10;
    var cs = this.chunkSize(b);
    var d = Math.pow(b,cs), mi = false, j = 0, w = 0;
    for(var i = 0; i < s.length; ++i) {
      var x = intAt(s,i);
      if(x < 0) {
        if(s.charAt(i) == "-" && this.signum() == 0) mi = true;
        continue;
      }
      w = b*w+x;
      if(++j >= cs) {
        this.dMultiply(d);
        this.dAddOffset(w,0);
        j = 0;
        w = 0;
      }
    }
    if(j > 0) {
      this.dMultiply(Math.pow(b,j));
      this.dAddOffset(w,0);
    }
    if(mi) BigInteger.ZERO.subTo(this,this);
  }

  // (protected) return x s.t. r^x < DV
  function bnpChunkSize(r) { return Math.floor(Math.LN2*this.DB/Math.log(r)); }

  // (public) 0 if this == 0, 1 if this > 0
  function bnSigNum() {
    if(this.s < 0) return -1;
    else if(this.t <= 0 || (this.t == 1 && this[0] <= 0)) return 0;
    else return 1;
  }

  // (protected) this *= n, this >= 0, 1 < n < DV
  function bnpDMultiply(n) {
    this[this.t] = this.am(0,n-1,this,0,0,this.t);
    ++this.t;
    this.clamp();
  }

  // (protected) this += n << w words, this >= 0
  function bnpDAddOffset(n,w) {
    if(n == 0) return;
    while(this.t <= w) this[this.t++] = 0;
    this[w] += n;
    while(this[w] >= this.DV) {
      this[w] -= this.DV;
      if(++w >= this.t) this[this.t++] = 0;
      ++this[w];
    }
  }

  // (protected) convert to radix string
  function bnpToRadix(b) {
    if(b == null) b = 10;
    if(this.signum() == 0 || b < 2 || b > 36) return "0";
    var cs = this.chunkSize(b);
    var a = Math.pow(b,cs);
    var d = nbv(a), y = nbi(), z = nbi(), r = "";
    this.divRemTo(d,y,z);
    while(y.signum() > 0) {
      r = (a+z.intValue()).toString(b).substr(1) + r;
      y.divRemTo(d,y,z);
    }
    return z.intValue().toString(b) + r;
  }

  // (public) return value as integer
  function bnIntValue() {
    if(this.s < 0) {
      if(this.t == 1) return this[0]-this.DV;
      else if(this.t == 0) return -1;
    }
    else if(this.t == 1) return this[0];
    else if(this.t == 0) return 0;
    // assumes 16 < DB < 32
    return ((this[1]&((1<<(32-this.DB))-1))<<this.DB)|this[0];
  }

  // (protected) r = this + a
  function bnpAddTo(a,r) {
    var i = 0, c = 0, m = Math.min(a.t,this.t);
    while(i < m) {
      c += this[i]+a[i];
      r[i++] = c&this.DM;
      c >>= this.DB;
    }
    if(a.t < this.t) {
      c += a.s;
      while(i < this.t) {
        c += this[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c += this.s;
    }
    else {
      c += this.s;
      while(i < a.t) {
        c += a[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c += a.s;
    }
    r.s = (c<0)?-1:0;
    if(c > 0) r[i++] = c;
    else if(c < -1) r[i++] = this.DV+c;
    r.t = i;
    r.clamp();
  }

  BigInteger.prototype.fromRadix = bnpFromRadix;
  BigInteger.prototype.chunkSize = bnpChunkSize;
  BigInteger.prototype.signum = bnSigNum;
  BigInteger.prototype.dMultiply = bnpDMultiply;
  BigInteger.prototype.dAddOffset = bnpDAddOffset;
  BigInteger.prototype.toRadix = bnpToRadix;
  BigInteger.prototype.intValue = bnIntValue;
  BigInteger.prototype.addTo = bnpAddTo;

  //======= end jsbn =======

  // Emscripten wrapper
  var Wrapper = {
    abs: function(l, h) {
      var x = new goog.math.Long(l, h);
      var ret;
      if (x.isNegative()) {
        ret = x.negate();
      } else {
        ret = x;
      }
      HEAP32[tempDoublePtr>>2] = ret.low_;
      HEAP32[tempDoublePtr+4>>2] = ret.high_;
    },
    ensureTemps: function() {
      if (Wrapper.ensuredTemps) return;
      Wrapper.ensuredTemps = true;
      Wrapper.two32 = new BigInteger();
      Wrapper.two32.fromString('4294967296', 10);
      Wrapper.two64 = new BigInteger();
      Wrapper.two64.fromString('18446744073709551616', 10);
      Wrapper.temp1 = new BigInteger();
      Wrapper.temp2 = new BigInteger();
    },
    lh2bignum: function(l, h) {
      var a = new BigInteger();
      a.fromString(h.toString(), 10);
      var b = new BigInteger();
      a.multiplyTo(Wrapper.two32, b);
      var c = new BigInteger();
      c.fromString(l.toString(), 10);
      var d = new BigInteger();
      c.addTo(b, d);
      return d;
    },
    stringify: function(l, h, unsigned) {
      var ret = new goog.math.Long(l, h).toString();
      if (unsigned && ret[0] == '-') {
        // unsign slowly using jsbn bignums
        Wrapper.ensureTemps();
        var bignum = new BigInteger();
        bignum.fromString(ret, 10);
        ret = new BigInteger();
        Wrapper.two64.addTo(bignum, ret);
        ret = ret.toString(10);
      }
      return ret;
    },
    fromString: function(str, base, min, max, unsigned) {
      Wrapper.ensureTemps();
      var bignum = new BigInteger();
      bignum.fromString(str, base);
      var bigmin = new BigInteger();
      bigmin.fromString(min, 10);
      var bigmax = new BigInteger();
      bigmax.fromString(max, 10);
      if (unsigned && bignum.compareTo(BigInteger.ZERO) < 0) {
        var temp = new BigInteger();
        bignum.addTo(Wrapper.two64, temp);
        bignum = temp;
      }
      var error = false;
      if (bignum.compareTo(bigmin) < 0) {
        bignum = bigmin;
        error = true;
      } else if (bignum.compareTo(bigmax) > 0) {
        bignum = bigmax;
        error = true;
      }
      var ret = goog.math.Long.fromString(bignum.toString()); // min-max checks should have clamped this to a range goog.math.Long can handle well
      HEAP32[tempDoublePtr>>2] = ret.low_;
      HEAP32[tempDoublePtr+4>>2] = ret.high_;
      if (error) throw 'range error';
    }
  };
  return Wrapper;
})();

//======= end closure i64 code =======



// === Auto-generated postamble setup entry stuff ===

if (memoryInitializer) {
  function applyData(data) {
    HEAPU8.set(data, STATIC_BASE);
  }
  if (ENVIRONMENT_IS_NODE || ENVIRONMENT_IS_SHELL) {
    applyData(Module['readBinary'](memoryInitializer));
  } else {
    addRunDependency('memory initializer');
    Browser.asyncLoad(memoryInitializer, function(data) {
      applyData(data);
      removeRunDependency('memory initializer');
    }, function(data) {
      throw 'could not load memory initializer ' + memoryInitializer;
    });
  }
}

function ExitStatus(status) {
  this.name = "ExitStatus";
  this.message = "Program terminated with exit(" + status + ")";
  this.status = status;
};
ExitStatus.prototype = new Error();
ExitStatus.prototype.constructor = ExitStatus;

var initialStackTop;
var preloadStartTime = null;
var calledMain = false;

dependenciesFulfilled = function runCaller() {
  // If run has never been called, and we should call run (INVOKE_RUN is true, and Module.noInitialRun is not false)
  if (!Module['calledRun'] && shouldRunNow) run();
  if (!Module['calledRun']) dependenciesFulfilled = runCaller; // try this again later, after new deps are fulfilled
}

Module['callMain'] = Module.callMain = function callMain(args) {
  assert(runDependencies == 0, 'cannot call main when async dependencies remain! (listen on __ATMAIN__)');
  assert(__ATPRERUN__.length == 0, 'cannot call main when preRun functions remain to be called');

  args = args || [];

  if (ENVIRONMENT_IS_WEB && preloadStartTime !== null) {
    Module.printErr('preload time: ' + (Date.now() - preloadStartTime) + ' ms');
  }

  ensureInitRuntime();

  var argc = args.length+1;
  function pad() {
    for (var i = 0; i < 4-1; i++) {
      argv.push(0);
    }
  }
  var argv = [allocate(intArrayFromString("/bin/this.program"), 'i8', ALLOC_NORMAL) ];
  pad();
  for (var i = 0; i < argc-1; i = i + 1) {
    argv.push(allocate(intArrayFromString(args[i]), 'i8', ALLOC_NORMAL));
    pad();
  }
  argv.push(0);
  argv = allocate(argv, 'i32', ALLOC_NORMAL);

  initialStackTop = STACKTOP;

  try {

    var ret = Module['_main'](argc, argv, 0);


    // if we're not running an evented main loop, it's time to exit
    if (!Module['noExitRuntime']) {
      exit(ret);
    }
  }
  catch(e) {
    if (e instanceof ExitStatus) {
      // exit() throws this once it's done to make sure execution
      // has been stopped completely
      return;
    } else if (e == 'SimulateInfiniteLoop') {
      // running an evented main loop, don't immediately exit
      Module['noExitRuntime'] = true;
      return;
    } else {
      if (e && typeof e === 'object' && e.stack) Module.printErr('exception thrown: ' + [e, e.stack]);
      throw e;
    }
  } finally {
    calledMain = true;
  }
}




function run(args) {
  args = args || Module['arguments'];

  if (preloadStartTime === null) preloadStartTime = Date.now();

  if (runDependencies > 0) {
    Module.printErr('run() called, but dependencies remain, so not running');
    return;
  }

  preRun();

  if (runDependencies > 0) return; // a preRun added a dependency, run will be called later
  if (Module['calledRun']) return; // run may have just been called through dependencies being fulfilled just in this very frame

  function doRun() {
    if (Module['calledRun']) return; // run may have just been called while the async setStatus time below was happening
    Module['calledRun'] = true;

    ensureInitRuntime();

    preMain();

    if (Module['_main'] && shouldRunNow) {
      Module['callMain'](args);
    }

    postRun();
  }

  if (Module['setStatus']) {
    Module['setStatus']('Running...');
    setTimeout(function() {
      setTimeout(function() {
        Module['setStatus']('');
      }, 1);
      if (!ABORT) doRun();
    }, 1);
  } else {
    doRun();
  }
}
Module['run'] = Module.run = run;

function exit(status) {
  ABORT = true;
  EXITSTATUS = status;
  STACKTOP = initialStackTop;

  // exit the runtime
  exitRuntime();

  // TODO We should handle this differently based on environment.
  // In the browser, the best we can do is throw an exception
  // to halt execution, but in node we could process.exit and
  // I'd imagine SM shell would have something equivalent.
  // This would let us set a proper exit status (which
  // would be great for checking test exit statuses).
  // https://github.com/kripken/emscripten/issues/1371

  // throw an exception to halt the current execution
  throw new ExitStatus(status);
}
Module['exit'] = Module.exit = exit;

function abort(text) {
  if (text) {
    Module.print(text);
    Module.printErr(text);
  }

  ABORT = true;
  EXITSTATUS = 1;

  throw 'abort() at ' + stackTrace();
}
Module['abort'] = Module.abort = abort;

// {{PRE_RUN_ADDITIONS}}

if (Module['preInit']) {
  if (typeof Module['preInit'] == 'function') Module['preInit'] = [Module['preInit']];
  while (Module['preInit'].length > 0) {
    Module['preInit'].pop()();
  }
}

// shouldRunNow refers to calling main(), not run().
var shouldRunNow = true;
if (Module['noInitialRun']) {
  shouldRunNow = false;
}

run();

// {{POST_RUN_ADDITIONS}}






// {{MODULE_ADDITIONS}}



//
// openspin-post.js
//
// Tail end of wrapper function around openspin.js
// See openspin-pre.js for the head end. 

    // Export the file system
    ModuleConf['FS'] = FS;
};
//@ sourceMappingURL=openspin.html.map



